MechDesigner-Reference Help

Navigation: »No topics above this level«

Return to chapter overview

MechDesigner & MotionDesigner Help -16.1.358

Represent Motion

Motion is an concept you can experience and witness, but you cannot physically hold it. To design a machine, you must be able design and represent the motion of each of its moving parts.

There are three ways to represent, edit, and optimize motions for your machine:

1.List each motion as a series of positions ...see NotePad®, Excel® , ...

Good luck!

2.Plot each motion with a graph ... see MotionDesigner
Graphs plot the motions, and their motion-derivatives, of the machine parts, over a complete machine-cycle.

3.Show the motion with moving parts ... see MechDesigner
Simulations show the machine parts move and synchronized with each other, for the complete machine-cycle, over and over again.

When you can see all of the mechanisms move and interact with each other in a simulation of the entire machine, it becomes much easier to spot opportunities to improve your design before you commit to building your machine.

MotionDesigner and MechDesigner are a powerful combination.

Motion, Cams, Mechanisms, Gears, Racks, Ball-Screws, Pulleys, Belts, ...

Reference Help

The Reference Help provides the instructions for how to add and edit the elements you will need to model and simulate machines.

MechDesigner Reference and Interface - to model all of the multi-link mechanisms in your multi-axis machines, with forward and inverse-kinematics, and with force analysis. Plus many other tools.

MotionDesigner Reference and Interface - to design simple and complex motions, with all motion-derivatives, for all of the mechanisms that are in your model.

Tutorials on the Web

You need an internet connection.

MechDesigner Tutorials

MotionDesigner Tutorials

General Information

System Requirements

Firewall, Virus Checkers, ...

Known Bugs after Latest Release

Text Formatting

Menu / Toolbar ; Commands - e.g. Kinematic elements toolbar ; Add Part

element : objects you add to the model - e.g. 2D-Cam

Element dialog-Box : the interface that we use to edit an element parameters - e.g. 2D-Cam dialog-box

Dialog separator : click to collapse/expand grouped parameters in a dialog-box - e.g. Material Properties

Parameters : values that you edit in an element's dialog-box - e.g. Radial-Clearance

Sub-element : elements we do not explicitly add, but are in the model - e.g. start-Point

Derived-Name : a descriptive name we use for elements - e.g. rotating-Part

user-interface : areas of the working application - e.g. Project-Explorer

Important Word : a word in an instruction that is important - e.g. not


System-Requirements, Windows-Settings, ...

System Requirements

Operating System : | Windows 7, 10, 11 64-bit only
PC Memory : | Minimum : 4 GB of RAM Recommended : 8 GB or more
Hard Drive Space : | 1GB of available space Recommended : 20 GB or more - keep your drive healthy
Graphics Card : | High-performance Graphics-Card for CAD or Gaming OpenGL 4.5+ Minimum : 1 GB card memory Recommended : 4 GB card memory Important Message: Bug: there is a problem with the Intel XE Graphic Card on some laptops. We do not have more information yet.

Windows Permissions

Installation : | Administrator Rights and Internet Connection.
Downloads: | Administrator Rights 1.Right-click MechDesigner application start icon 2.Click Run as Administrator in the contextual-menu 3.Click Help menu > Download Local Help | Examples | Tutorials
General Running : | You do not need Administrator Rights to use MechDesigner. You do need an internet connection, as MechDesigner check your license with CopyMinder every week, approximately.

Recommended Windows Settings

Display Resolution : | Minimum : 2560 × 1440 pixels Recommended : 4K (3840 × 2160 pixels)
Windows D.P.I. : | Screen Resolution : 2560 × 1440 pixels, set Windows DPI to 100% Screen Resolution : 3840 × 2160 pixels, set Windows DPI to 150% Note: To change your screen settings, right-click your screen desktop, and select Display Settings.

Anti-Virus

PSMotion recommends that you:

·Use a trusted anti-virus product. Update it with the latest anti-virus definition/signature file.

·Add exemptions for MechDesigner file-types and folder locations. see also: Firewalls, Virus-Checkers

Software Protection

We use CopyMinder® for our software protection. It uses the internet to check your license details.

·If you have a Trial License, you need to verify an email from verification@copyminder.com before you run. You do not need to know the Product-Key.

·If you have a Standalone License, you need a Product-Key. You need the Product-Key to run MechDesigner the first time. Keep the Product Key safe.

·If you have a Network-License (also called a Floating-License), your I.T. department needs the Product-Key to run an application on the server. They should keep the Product Key it safe.

Uninstall

·If you want to remove MechDesigner completely, then use the Windows > Uninstall utility.

·You must remove MechDesigner CXL, MTD, ZXL, and LXL file-types manually.


File Locations

The default paths are:

<Install Directory>: C:\Program Files\PSMotion\MDxx Pro64\

<CommonAppData>: C:\ProgramData\PSMotion\

<LocalAppData>: C:\users\<user-name>\AppData\Local\PSMotion\

<User-name>: for example 'Adam'

File-types and File-Locations

SOLIDWORKS Type Library:

yyyy = SOLIDWORKS release-date.

<Install Directory>\ SW_TLByyyy_64 \

Database files:

See also: Help menu > Edit Language Database

<CommonAppData>\ DBase \

Local Help:

See also: Help menu > Open Local Help / Download Latest Help

<CommonAppData>\ Help \

Library files:

See also: File menu > Import Library Files

<CommonAppData>\ Library \

Theme and settings:

See also: Edit menu > Application Settings : Save / Load buttons

<CommonAppData> \ Style \

Example Models:

See also: Help menu > Internet sub-menu > Download Example Models

<LocalAppData> \ Examples \

MechDesigner.INI ; MechDesigner.XML

These two files are your user-settings. If they get corrupted, MechDesigner can be unstable. You can delete these at any time to reset MechDesigner to its factory settings.

<LocalAppData> \ Inifiles \

Timing Diagrams:

<CommonAppData> \ Timing Diagram.xlsm

<LocalAppData> \ Timing Diagram.xlsm

Tutorials:

See also : Help menu > Download Tutorial Videos

<LocalAppData> \ Tutorials\ *.mp4

CopyMinder Software Protection Text Files:

Email to PSMotion these two files if you have problems with CopyMinder:

C:\ProgramData\HW\MD32_0_0\cm\mechdesigner.exe.cm.ini

C:\ProgramData\HW\MD32_0_0\cm\mechdesigner.exe.cm.log

Note:

ProgramData and AppData are hidden by default.

To show these paths :

1.Click Start (Windows) > Documents or File-Explorer

The Documents or File Explorer interface opens.

2.Click the View tab

3.Click the Hidden Items check-box in the Show/hide group

Note:

! Be careful. Hidden files are 'hidden' to prevent you accidentally moving or deleting them and because they are important !

Other Files:

<user account>_*.memopad

The name for the Memo you can add to the Model and Mechanism name-tabs


Firewall, Virus-Checkers, ...

Show/Hide Hidden Text

Firewalls, Virus Checkers

Occasionally, your Virus Checker, Firewall, or IT Network Administrator, may not allow you to:

·Download MechDesigner from our website

·Install MechDesigner

·Check your Product Key and License with the CopyMinder® database

You may need to:

·Restore a MechDesigner file from Quarantine

·Add exception paths

·Add files to trust

·Add IP addresses for the CopyMinder® database servers

·Run MechDesigner with Administrator privileges

Exception Paths

After you install MechDesigner, add these paths as exceptions to your Virus Checker:

·C:\ProgramData\PSMotion

·C:\ProgramData\HW\ - this is the path for CopyMinder® related files.

Add this file as an exception to your Virus Checker:

·C:\ProgramData\HW\MD32_0_0\CM\MechDesigner.exe.cm64.exe

or, for a Trial installation:

·C:\ProgramData\HW\MDTRL\CM\MechDesigner.exe.cm64.exe

CopyMinder Servers - IP Address and your Firewall

MechDesigner checks your license and Product-Key with a CopyMinder® database*.

There are two IP addresses for the CopyMinder® database:

·Primary Server : 89.200.137.136

·Secondary Server: 92.60.122.223

Add these IP addresses to your Firewall white-list.

* These servers are run by Microcosm Ltd, the developer of the CopyMinder® software protection system.

Example Norton Pop-ups

Download Insight

At the point when you try to install MechDesigner from the ZIP file, it is possible that your virus checker may decide that the file is a threat.

Please click Run the program anyway.

FIREWALL ALERT : Norton: Suspicious Network Activity.

·MechDesigner.exe may be detected as a threat

·MechDesigner.ex.cm64.exe maybe detected as a threat

Please use Allow Always, or Allow this Instances.

ACTION REQUIRED: Threat Detected!

If this pop-up shows, then please use the 'Exclude' in the drop-down list to exclude CopyMinder as a threat.
Norton 'Restoration from Quarantine':

Norton:

1.Open your Norton product

2.On the main window click Tasks on the Security History option

3.On the opened window click on the menu and select Quarantine

4.On the list, find the file you want to restore - MechDesigner.xxx

5.Click on More Details

6.On the new window click on Options (bottom)

7.Click on Restore file

8.Check the Do not detect it again option during the restore

9.Close the windows


Known bugs after latest release

16.1.338

Laptop with some Intel Graphic-Cards

When does it happen?

1.Immediately you start MD.

Result

Everything is selected all of the time / You cannot model anything.

You must re-direct the Laptop, so that it does NOT use the Intel graphics Card.

For example

1.Start the NVIDIA control panel (or other high performance graphic-card control panel)

2.Change the Preferred graphics processor from ‘Auto Select’ to High-performance NVIDIA processor.

No other solution.

16.1.336

MechDesigner hangs after you open a Library model.

When does it happen?

1.Open a Library file with File toolbar > Import Library Model

Result

You cannot select anything with your mouse.

The model seems to hang.

Temporary Solution:

1.Press the ALT+C keyboard combination to cycle the model.

2.Press ALT+C again to stop the model.

Version when corrected:

Corrected in 16-1-342+

16.1.328

Lighting - Ambient increases to the Maximum

When does it happen?

1.Add a Profile

2.Enable Show Solids in Mechanism-Editors

3.Disable Show Solids in Mechanism-Editors

Result

The Ambient Lighting increases to a maximum

Solution:

1.Save the model if not already saved

2.Click the Model element at the top of the Assembly-Tree

3.Right-click the Model element

The Model-Options dialog is now open

4.Drag the Ambient Lighting Slider to almost the minimum.

Version when corrected:

Not yet corrected.

16-1-230

Crash if you drag a FB past a Kinematic-Vector

Release : | 16-1-230
Corrected : | 16-1-264
Release Date : | 15-July-2022
Bug : | Drag a Function-Block over a Velocity or Acceleration-Vector and the FB flies along the Vector!
Result : | Angry modeller.
Corrected 16.1.250

16-1-146

Blurry elements

Release : | 16-1-146
Release Date : | 22-March-2022
Bug : | Blurry, Smokey Elements?
Details : | Especially if you load a Library File. The elements look 'washed-out', or blurred. The Ambient Lighting is set to zero.
To correct the Bug: | 1.Save the Model 2.Right-Click the Model element at the top of the Assembly-Tree 3.In the Model Options dialog-box > Lighting tab, increase the Ambient Lighting by sliding its slider to the right.

16-1-102

Known Bug 1

Release : | 16-1-102
Release Date : | 04-02-2022
Bug : | Blend-Curve Drag-Handles reset Blend-Curve to defaults when you lock the Drag-Handle
Details : | After you lock a Drag-Handle (double-click to edit, double-click again to lock), the Blend-Curve Resets to its default shape.
To correct the Bug: | Do not use Drag-Handles, use dialog-box only Double-Click Blend-Curve to edit and open the dialog.

15-1-58

Known Bug 1 - corrected 16-1-120

Release : | 15-1-50
Release Date : | 10-October-2021
Bug : | Theme - not saved after you run MD the first time ever.
Details : | When you run MechDesigner the first time, you are asked: Do you want to use the Dark theme? If you answer Yes, you will see the Charcoal Dark Slate theme, which is the Dark theme. However, the next time you run MechDesigner, you will actually see the Windows10 theme, which is a Light theme.
To correct the Bug: | Do : 1.Edit menu > Application-Settings > General tab > Themes 2.Select the Charcoal Dark Slate theme in the drop-down box 3.Restart MechDesigner.

Known Bug 2

Release : | 15-1-50
Release Date : | 10-October-2021
Bug : | Solids are active the first time you run MechDesigner
Details : | When you Add a Mechanism-Editor, a Plane hides the axes of the Base-Part. The Planes show when Visibility toolbar > Show Solids in Mechanisms is active.
To correct the Bug: | Do : 1.Add a Mechanism-Editor 2.Deselect Visibility toolbar > Show Solids in Mechanisms 3.Save the model with File menu > Save as 4.Restart MechDesigner.

Known Bug 3

Release : | 15-1-50
Release Date : | 10-October-2021
Bug : | Display menu > Show / Hide elements
Details : | After you use Display toolbar > Hide 'element' Toggle Switches to Hide elements, they do not show when you click the same button to Show the element again.
To correct the Bug: | Do : If the elements do not show again: 1.Click the Model name-tab 2.Click the Mechanism name-tab again. OR 3.Start the Part-Editor 4.Exit the Part-Editor

Known Bug 4 - corrected 16-1-100

Release : | 15-1-50
Release Date : | 10-October-2021
Bug : | Delete a Joint will also delete Motion-Dimension FB, even though the joint is not associated with the Motion-Dimension FB
Details : | Delete a Joint (from a Line) that is not associated with a Motion-Dimension FB, the Motion-Dimension FB is also deleted!
To correct the Bug: | No way out! Add the Motion-Dimension FB again - sorry. This should be corrected in the next release - Corrected in MD16.

Known Bug 5

Release : | 15-1-50
Release Date : | 10-October-2021
Bug : | If a Plane references a Line, and you edit the Position of the Line, the Plane does not move to the new location of the Line.
Details : | To build 3D models, you will often want to add a Plane to a Line. If, later, you want to move the Line and the Plane, the Plane does not move.
To correct the Bug: | 1.Edit the Plane element that references the Line. The Plane dialog-box is now open. 2.Edit one angle from Rotate the X, Y, or Z-axis parameters 3.Immediately return the X, Y or Z-axis to its original angle 4.Click [image] to close the Plane dialog-box This bug should be corrected in the next release


MechDesigner-Reference-Help

Navigation: »No topics above this level«

Return to chapter overview

MechDesigner User Interface

User Interface - Visual Reference

1

Menus and Toolbars

Menus are at the top of the application window.

Toolbars are above, below, left, and right of the graphics-area [image] .

Toolbars are contextual to the active editor

2

Editor workspace

There are three types of editor.

·Model-Editor

·Mechanism-Editor

·Part-Editor

The graphics-area is the main workspace. It displays and lets you edit the elements you add to each editor.

3

Project-Explorer is to the left of the graphics-area.

See more: Project-Explorer

4

Feedback-Area is below the graphics-area.

See more: Feedback-Area

5

MotionDesigner is docked (default) to the right of the graphics-area.

See more: MotionDesigner

6

Memo opens when you start MechDesigner the first time.

To turn the memo off, de-select the Open Automatically at Start check-box.

See more: Memo


Keyboard-Shortcuts

Keyboard Shortcuts

zoom | SCROLL-WHEEL
Zoom-In : Zoom-Out : |
 | The center of the Zoom is at your mouse-pointer.
PAN |
If I want to move PAN - say to the right - I place my mouse-pointer to the right, Zoom-Out with my Scroll-Wheel, then move my mouse-pointer to the middle and Zoom-In again with my Scroll-Wheel - this is often easier.
Pan : | CTRL + Drag
PAN Left or Right : | CTRL + [image] (scroll wheel)
PAN up or down : | SHIFT + [image] (scroll wheel)
SPIN |
Free-Spin : | SHIFT + Drag
10º spin : | , [image] , [image] or
30º spin : | CTRL + [image] , [image] , [image] or
90º spin : | SHIFT + [image] , [image] , [image] or

Mouse-Button Shortcuts

Double-Click : | ... an element to open its dialog, and edit its parameters
Click Nothing : | ... to deselect all elements
Click : | ... an element to show an element in the Selection-Window
CTRL+Click : | ... an element to show the kinematic and dynamic properties of the element the Element-Properties dialog
Alt + Click : | ... in the graphics-area to show a bulls-eye target of concentric rings. It has a scale to approximate the distance between elements - to a minimum of 0.1mm
Right-Click : | ... an element to complete an active command for which you must select only one element
Right-Click : | ... the graphics-area to cancel the active command

Keyboard Shortcuts

F1 : | Hover above an toolbar icon, then click F1 (Fn+F1 on a laptop) to read the help for the command. See also Help menu > Download Latest Help
INSERT : | Add a Part
ALT+C : | Continuously Cycle
ALT+F : | One Machine-Step Forward
ALT+B : | One Machine-Step Back.
ALT+H : | Stop Continuous Cycle and move the Master-Machine-Angle to 0º.
CTRL + Z : | Undo - This is quite powerful
ESC : | Cancel the active command


Known-Bugs

16.1.386

Spin-Boxes in MotionDesigner

When does it happen?

When you open the Segment Editor or the Blend-Point Editor, the Spin-Box tool does not show in the Motion-Value data-boxes

Result

Nothing

Solution:

In each data-box that does not show the Spin-Box tool:

1.Double-click, and

2.Double-click, again.

Version when corrected:

It is weird, and we are not sure why this happens.

16.1.386

Continuous Crank Fails if the motion ...

When does it happen?

If the Motion of the Tool-Part has a dwell that is not at the maximum or minimum of its motion-range, then the Continuous-Crank FB will not work as expected.

Result

The Crank changes to the incorrect length.

Temporary Solution:

None

Version when corrected:

Coming Soon

16.1.336

Hangs after Importing Library Model

When does it happen?

1.Open a Library file with File toolbar > Import Library Model

Result

You cannot select anything with your mouse.

The model seems to hang.

Temporary Solution:

1.Press the ALT+C keyboard combination to Cycle the model.

2.Press ALT+C again to stop the model cycling.

Version when corrected:

16.1.342

16.1.336

SolidWorks 2018.

When does it happen?

Help about > Type Libraries are SolidWorks 2018 - and all good to go.

1.Start SolidWorks 2018, and open a Part document.

2.In MD: Edit a CAD-Line

3.Import SolidWorks document...crash

Result

Will not open a SW2018 document - my 16-1-336 tries to activate SolidWorks 2020!

Temporary Solution:

None - can you use a different release of SolidWorks?

Version when corrected:

16-1-342 - not yet released.

16.1.328

Lighting - Ambient increases to the Maximum

When does it happen?

1.Add a Profile

2.Enable Show Solids in Mechanism-Editors

3.Disable Show Solids in Mechanism-Editors

Result

The Ambient Lighting increases to a maximum

Solution:

1.Save the model if not already saved

2.Click the Model element at the top of the Assembly-Tree

3.Right-click the Model element

The Model-Options dialog is now open

4.Drag the Ambient Lighting Slider to almost the minimum.

Version when corrected:

Not yet corrected.


1: Menu bar and General Toolbars

Menu bar

The commands in the File, Edit, Filters, View, Dynamics, Help menus are common to most CAD applications.

The commands in the Function-Blocks, Elements, Sketch, Solids, Visibility, Run, and Dynamics are those that you use to build your MechDesigner model.

General toolbars

The General toolbars are above and below the graphics-area.

All toolbars are collapsed when you start MechDesigner.

Click the icon to expand and collapse each toolbar.

General toolbars ABOVE the graphics-area

General toolbars above graphic-area

General toolbars BELOW the graphics-area

General toolbars below graphic-area


Navigation: MechDesigner User Interface > 1: Menu bar and General Toolbars >

Return to chapter overview

Menu | File

File menu

File menu

File toolbar

The File toolbar is ABOVE the graphics-area.

File toolbar


File | New

File > New

File menu > New

File toolbar > New

Notes:

Shortcut:

CTRL+N

If the active model is different from the model that has been saved, you must decide what to do before you start the new model.

Yes: Close the dialog and save the active model

No: Close the dialog and not save the active model

Cancel: Close the dialog and do not save the active model


File | Open

Show/Hide Hidden Text

File > Open

File menu > Open

File toolbar > Open

See also File toolbar > Import Library Files

Open these File-types:

CXL

When you save a model, you save two files to the same path, with the same file-name.

CXL - the file-type that is for the MechDesigner model.

MTD - the file-type that is for the MotionDesigner motions that model needs.

OLD MODELS: MechDesigner may find a sketch-element that is over-constrained.

A pop-up asks you if we can delete for you the constraint so that we can solve the sketch. Click YES if you want to open the file! Check important sketches after you open the model, then save the model again.

See also: Why so many CXL and MTD files?
LXL

Small Bug: After you open a Library LXL file-type, the model is unresponsive to your mouse-pointer. To solve this bug, do ALT+C on your keyboard to cycle the model, or do Run menu > Cycle, then do again to stop the model.

LXL - the file-type for a Library file.

There are three options when you open a Library File.

·Preselect a Plane - the Library File adds a new Mechanism-Editor. The model in the Library file opens on the XY-Plane of the new Mechanism-Editor.

·Preselect a Part - the Library File opens on the Part. The Library File is a child to the Part.

·Preselect nothing - the Library Fie is opened and merged with the active Mechanism-Editor.

See more: Open LXL File

See also: Save as > LXL file-type
ZXL

ZXL is the file-type for a MechDesigner ZIP file - see Save as > ZXL

The file-types that may be zipped-up in a ZXL file are the:

·CXL and MTD file-types

·STL, SLDPRT, SLDASM and DXF file-types that you may have linked to CAD-Lines.

After you open the ZXL file, the STL, SLDPRT, SLDASM file-types become linked to the path in which you extract the ZXL files.

Note:

You can choose the path to which you want to extract ZXL file-types:

Application Settings | General tab | File Options > Extract ZXL files to:

¤Create sub-directory automatically - all files extract into a path location that is a sub-directory to that of the ZXL file.

¤Specify ZXL output directory - you enter the path for the files.

I recommend you select Specify ZXL Output Directory. I usually use the same path as that of the ZXL file itself. You can also select or make a new path.

See more: File menu > Save as > ZXL file-type.
DXF

When you open a DXF file-type, you add a DXF-element to the Assembly-Tree as a child to the Model. The DXF element is the container for the DXF-drawing.

You must link the DXF-Element to a CAD-Line to show the DXF-Drawing in the graphics-area.

Thus, to show a DXF-Drawing, do:

STEP 1.File > Open DXF file-type

STEP 2.Edit a CAD-Line to open the CAD-Line dialog

STEP 3.In the CAD-Line dialog > DXF tab, select the DXF-Element

The DXF-drawing shows in the graphics-area.

See more: CAD-Line dialog > DXF tab

MEC [Camlinks]

MEC is a Camlinks file-type.

See more: Open MEC files

Why are there so many CXL and MTD files?

If you use Windows Explorer to find your model files, you also see many other files.

Why so many? They are the backup files.

A The CXL is the file for the MechDesigner model. The MTD file is for the motions in MotionDesigner, It opens also when you open the CXL file.

When you open a model, we also look for the oldest backup files and copy them to another backup file.

·CXL.n and MTD.n are copied to CXL.n+1 and MTD.n+1

Thus if:

1.CXL.2 and MTD.2 are the oldest, they are copied to CXL.3 and MTD.3

1.CXL.1 and MTD.1 are copied to replace CXL.2 and MTD.2

2.CXL and MTD are copied to CXL.1 and MTD.1

3.A copy of CXL and MTD are saved to RAM

AUTO-SAVE

When you Enable Auto-save, we auto-save the model for you after a number of commands:

1.CXL and MTD in RAM are saved to ~CXL and ~MTD on disk

2.New copies of CXL and MTD are saved to RAM

WARNING : You overwrite the original model with each Auto-Save.

See Application Settings > General tab > File Options to:

·Enable or disable Auto-save

·Edit the number of Backup files

·Edit the number of commands between each Auto-Save


Open LXL file-type

Navigation: MechDesigner User Interface > 1: Menu bar and General Toolbars > File > File | Open >

Return to chapter overview

File | Open - LXL File-Type

File > Open > LXL file-type

Open a Library file (LXL file-type) that you have saved at another time - see Save as Library File.

SEE > NEW in MD16 Import Library File

To open a Library File with File > Open

1.Click to select a Plane, a Part; or select Nothing:

If you:

·Select a Plane - the Library file opens onto a new Mechanism-Editor as a child to the Plane

·Select a Part - the Library fie opens onto the Part as a child to the Part.

·Select nothing - the Library fie opens and merges with the active Mechanism-Editor.

2.Click File > Open

The Windows® File Open interface starts.

3.In the Files of type drop-down, select Library files (*.LXL)

4.Select, a Library File

5.Click the Open button

You can now save the original model before you open the Library File.

You should now see the Library file as a new Mechanism-Editor, as a child to a Part, or merged with the active Mechanism-Editor.


Open DXF File

File > Open > DXF file-type

When you do: File menu > Open > DXF file-type, you add a DXF-element to the Assembly-Tree.

The DXF-element is the container for the DXF-Drawing.

To show the DXF-Drawing, you must link that DXF-element and DXF-drawing to a CAD-Line.

To show a DXF-drawing:

STEP 1 : File menu > Open > DXF file-type

1.Click File menu (or toolbar) > Open

Make sure the File of type filter is set to DXF.

2.Browse to a DXF file

3.Click the Open button

A DXF-element shows in the Assembly-Tree.

STEP 2 : Show the DXF-Drawing

1.Edit a CAD-Line to open its CAD-Line dialog

2.Select the DXF tab

See CAD-Line dialog > DXF tab

Options

Edit the DXF Element in the Assembly-Tree to:

·Link the DXF element with a different DXF-Drawing file

·Define the units of the DXF-Drawing. Usually, to the units of the original DXF-Drawing.

See also: DXF-Element dialog

Top-Tips

When you save a DXF-Drawing in your original CAD software:

·Save the DXF-Drawing as Release 1, or as near to Release 12 as possible.

·If you use 3D CAD, use Hidden Lines Removed before you save the DXF-Drawing


Open MEC file-type

Why we recommend that you re-build Camlinks models in MechDesigner.

·You will remember your design decisions.

·We must add elements from the Camlinks model that you do not need in the MechDesigner model.

·We cannot support you with your Camlinks models.

·We want to help you use MechDesigner.

·We can guarantee MechDesigner will run with Windows® 10, 11, ... .

·We cannot guarantee that the MechDesigner will represent the Camlinks model in every respect.

·We continue to improve MechDesigner in many new ways.

IMPORTANT: Locked-Points: After you open a .MEC file, Points in the model you import are locked.

To edit the Position of a Locked-Point:

1.Double-click the Locked-Point to open the Point Properties dialog

2.Click Part Coordinates (Read-Write) and

3.Edit the x and y values

To add and edit dimensions to edit the Position of the a Point:

1.Double-click the Locked-Point to open the Point Properties dialog

2.Click Part Coordinates (Read-Write)

3.Click Edit in Part-Editor radio-button

4.Click [image] to close the dialog.

5.Edit the Part in the Part-Editor in the normal way.

History Note for Camlinks, and Camlinks Import Limitations.

MOTION: Camlinks4 vs Camlinks3

1.'Camlinks4': Mechanisms and motions are a MEC file-type. The motions were defined with segment and motion parameters. Open a 'MEC' file in MechDesigner to recreate the motions with motion segments in MotionDesigner.

2.'Camlinks3': Mechanisms and motions use also a MEC file-type. However, motions were defined with a list of numbers. Open a 'MEC' file in MechDesigner to recreate the motion, but with a Z Raw Data List Segment-Type in MotionDesigner.

3.To help you recreate the motion design (with segments), save the Z Raw Data List Segment-Type, and use the Overlay Motion tool to design a new motion MotionDesigner: Overlay Trace.

Throw Motion-Law

These are available in Camlinks but not imported into MotionDesigner. However, it is possible to design the Throw Motion-Law with two(2) segments and the correct Blend-point Control Button conditions. We can give a Video on request.

Auto-Adjust

Auto-Adjust is not recreated. However, we have a better tool, which we call Magnetic-Joint.

View Outline On/Off as a Function of the Master Machine Angle

MechDesigner uses the Pattern Element - Release 7+

Camlinks Outlines

Camlinks Outlines are DXF-Drawings that you have imported onto Parts in Camlinks. The lines and arcs in the DXF-Drawing were converted to 'Camlinks Outlines'. They were 'dumb'. You could not edit them in Camlinks.

When you open a Camlinks file with 'Outlines' in MechDesigner, you have three options available. See below.

SSR

We do not import these dyads.

You can design the SSR and SSP dyads in MechDesigner.

RamR and RamP Dyads

We do not import these dyads. If you use these dyads, MechDesigner will crash (23-03-2013).

Forces, Forcebars, Torquebars

Use MechDesigner to add and show forces and torques in your kinematic-chains.

Cams

When a Follower-Roller has 0mm diameter in Camlinks – to define the Pitch-Center of the Cam – MechDesigner will re-define it as 0.1mm, not as 0.0mm.

You must edit the 0.1mm dimension to make it equal to the real Follower Radius. Then, to show the Pitch-Curve, use the Pitch-Circle-Path check-box in the 2D-Cam dialog.


File | Save

File > Save

 | File menu > Save
 | File toolbar > Save
If the model does not have a file-name, the Save as dialog opens.

Notes:

Keyboard Shortcut:

CTRL+S

File > Save actually saves two files:

·CXL - for the MechDesigner model

·MTD - for the MotionDesigner motions

Auto-save

Auto-save starts only when the model has a file-name.

MotionDesigner.

You can also, in MotionDesigner, use File toolbar > Save Active Motion, Save all Motions, and Save as to save your motions.

See also:

File menu > Save as

Edit menu > Application-Settings > General Tab > File Options: Auto-Save


File | Save as

Show/Hide Hidden Text

File > Save as

File menu > Save as

File toolbar > Save as

Save as:

CXL

CXL & MTD file-types

·CXL file-type is for the MechDesigner model

·MTD file-type is for MotionDesigner motions
LXL

See also: Open Library File, and Import Library File.

LXL file-type is a Library File.

1.Browse to a path, to save the file as a Library file.

2.Select Save as Type: Library Files (.lxl)

or

1.Save the file to your User-Library

Notes:

If the active Mechanism-Editor has a child Mechanism-Editor, the LXL file canNOT save.

The Library List of Non-relatives information pop-up shows if you cannot save the LXL file.
ZXL

This file-type is identical to a ZIP file-type. You can use Win-Zip® to unzip ZXL file-types.

You must save the model as a CXL file-type before you can save it with the ZXL file-type.

If these file-types are in the model, we save these files for you with the ZXL file:

·SLDPRT*

·SLDASM*

·STL

·DXF

·TXT (used with a Point-Cloud).

* IMPORTANT - save all SOLIDWORKS documents and exit SolidWorks before you do File > Save as the ZXL file-type.

If you link a SLDASM assembly document with a CAD-Line, you can also save the SLDPRT part documents that are in the assembly with the ZXL file.

When the ZXL file interface opens, you can:

þSelect all

þSelect STL files

þSelect SolidWorks file

Click [image] to close the interface and save the ZXL file.
DXF

A DXF file of the model includes Lines, Arcs and Part-axes.

You can save a DXF file of one Part or all of the Parts in a Mechanism-Editor:

1.Click to preselect a Mechanism element or Part element

The Mechanism or Part element must show in the Selection-Window.

2.Click File menu > Save as

3.Select DXF as the File of type in the Save as. dialog

4.Enter a file name.


File | Most Recently Used

File menu > Most Recently Used

The most recent file is at the top of the list.

If you have opened or saved DXF files, they are below the CXL files.

Most Recently Used files.

Most Recently Used files.


File | Print

File > Print

 | File menu > Print
 | File toolbar > Print
Use to: ·Print a screenshot of the graphics-area. AND/OR ·Save a screenshot of the graphics-area as a JPG, BMP, PNG or GIF file-type. The screenshot is a 1:1 scale of the graphics-area. Re-size the graphics-area to increase or decrease the area of the screenshot.


File | Printer Set-up

File > Printer Set-up

See also: Print

This is a Windows® form that you can use to select the Printer, and other properties.

Print Setup dialog

Print Setup dialog


File | Download Tutorial Videos

File toolbar (Help menu) > Download Tutorial Videos

File toolbar > Download Tutorial Videos

Help menu > Download Tutorial Videos

See also : Download Tutorials dialog


File | Make Movie

File > Movie

See also Make Movie dialog

File toolbar > Movie (video)

File menu > Movie

Notes:

Use File menu > Movie to:

·record and save a movie as a GIF file-type

or

·record and save a sequence of images as JPEG, JPG, PNG and BMP file-types

We append for you a number to each image. The numbers are 000, 001, 002, ...

or

·save one image - a snapshot of the model.

Notes:

The GIF format produces a large file when the movie-frame-size and/or the number-of-frames is large.

You can edit the position and size of the movie-frame, and also number-of-frames in the Make Movie dialog.

Top-Tip - Before you do File menu > Make Movie move the Master-Machine-Angle to zero(0).

1. Run menu > Home

or

1.Use the ALT+H keyboard shortcut.


File | Save Timing Diagram

File menu> Save Timing Diagram

File toolbar - NO ICON

A Timing Diagram:

·Represents each motion with a Motion name-tab as graphs that are above each other.

·Each graph has straight-lines between the positional values of each Blend-Point.

How to export and show a Timing Diagram in Excel

STEP 1: MechDesigner - Save the Timing-Diagram.

A: Do: File menu > Save Timing Diagram

We save for you a CSV file-type with the required data to display a timing diagram with the Excel workbook: Timing Diagram.xlsm - see STEP 2, below

The CSV file includes the:

·motion name

·Blend-Point: X-axis and Y-axis position values

The CSV does not include the:

·Motion-Law (Cam-Law)

·Motion derivatives

STEP 2: Microsoft Excel

A.Open the Excel Macro-Enabled Worksheet: Timing-Diagram.XLSM

Timing Diagram.xlsm is located in:

<LOCALAPPDATA> \ TIMING DIAGRAM.XLSM

OR

<CommonAppData> \ Timing Diagram.xlsm

B.Enable macros

There are two buttons in the Timing-Diagram | Motion worksheet.

C.Press Button:

Find, and open, the CSV file you have saved to disc with MechDesigner : File menu > Save Timing Diagram - see STEP 1, above

NOTE - reformatting is required:

Look carefully at the image below - Typical Timing-Diagram with 2 Motions.

The data-format of the Y-axis of the top motion moves the plot of the actual Timing-Diagram slightly to the right.

To correct this:

1.Format the Y-axis data of 'Motion0' to make sure its data format is the same as 'Motion1, 2, ...'.

D.Press Button:

E.Look at the worksheet Timing Diagram to see the timing diagram for each motion

Typical Timing Diagram with 4 Motions

Typical Timing Diagram with 2 Motions


File | Import Library File

File toolbar > Import Library File

See also: File menu > Open > File of Type: LXL.

A Library-File is a model that you can import and merge with the active Mechanism-Editor. It has the LXL file-extension.

Use Import Library File to save time. Use the Import Library File interface to review the Library File before you import it.

Warnings

1.You cannot undo Import Library File.

2.Auto-save starts only after you save the model with a file-name.

Import Library-File interface

Import Library File interface

Import Library File interface

There are two libraries:

Standard Library - for those customers that have Annual Support can download these models from our website.

User Library - your Library Files.

You need these files in the User Library Path

LibraryFile.LXL - see Save as > File of Type > Library File (.LXL)

Optionally, LibraryFile.MTD when the Library File needs a Motion.

To get the maximum use from your User Library and the Import Library-File interface, you need these files in the same path as the LibraryFile.LXL

LibraryFile.PNG - an image - ideal size is 480 x 360 that is a snapshot of the model in the Library File.

To save a 480×360 image, use File menu > Movie: File-type: PNG ; File-path: User Library Path ; Frame Size: 430 × 360 ; Press Single Shot button.

LibraryFile.RTF - a description of the model, and what to edit (ideally with a Design-Set).

Use Word®, for example.

Optionally:

LibraryFile24.PNG - an icon that is to the left of each Library-File

Use an image-editor to make an image that has exactly 24x24 pixels, with a transparent background (Note that the file-name is appended with 24).

Import a Library File:

STEP 1:Click to select a Mechanism-Editor or Edit a Part

Model-Editor: You add the Library File to a new Mechanism-Editor on the Front Plane.

Mechanism-Editor: You will merge the Library File with the active Mechanism-Editor.

Remember, you can add a Mechanism-Editor to a Plane that references a moving Line in a Part - see Add Plane to Line

Part: If the Library File is Geometry ONLY, then edit a Part to import the Geometry onto the Part.

STEP 2: File toolbar > Import Library-File

STEP 3: Use the Import Library File interface (see above) to find a Library file:

Standard Library [image] - provided by PSMotion

User Library [image] - your Library Files

When you click a Library file, you see:

an image that is a preview of the Library-File

a note that describes the Library File and how and which dimensions and parameters to edit its, ideally with a Design-Set.

STEP 4: Click the Load button

We load the Library File immediately into the Mechanism-Editor or Part - see STEP 1

STEP 5: Click ⛒ to close the dialog


File | Exit

File > Exit

To close MechDesigner.

If the model has changes since you last saved it, the Information box shows:

1.Click Yes, No, or Cancel.


Navigation: MechDesigner User Interface > 1: Menu bar and General Toolbars >

Return to chapter overview

Menu | Edit

Edit menu

Edit menu

Edit toolbar

The Edit toolbar is ABOVE the graphics-area.

Edit Toolbar


Edit | Auto Rebuild

Auto Rebuild

Note: Auto Rebuild is in the Edit toolbar only.

See also Rebuild Now

Enable Auto-Rebuild.

The model should be up-to date - see Top-Tips, below.

Disable Auto-Rebuild

The model may not be up-to-date.

Top-Tips

To make sure the model is up-to-date - especially for complex models:

1.Click Rebuild Now

2.Click to disable Auto Rebuild, and then click again to enable Auto-Rebuild.

3.Move the Master-Machine-Angle to 0 (Do ALT+H (Run menu > Home)).

4.Edit a Part, then exit the Part-Editor. This also rebuilds the model.

5.If there is a 2D-Cam in the model, open then close the 2D-Cam dialog.

6.Click Rebuild now.


Edit | Rebuild Now

Rebuild Now

Note: Auto Rebuild is in the Edit toolbar only.

Rebuild Now does a one-time, model rebuild.

The button also indicates if the model is up-to-date or not up-to-date.

See also Auto Rebuild

Model is up-to-date

The model is up-to-date.

Model is not up-to-date

The model is not up-to-date.

Click the icon to rebuild the model (and the fort!).


Edit | Command History

Command-History

Use the Command-History dialog to undo or to redo more than one command at a time.

To open the Command-History dialog:

Command-History icon

1.Click Edit toolbar >Command History

or

1.Click Edit menu > Command History

The Command-History dialog is now open

See also:

Undo

Redo

Command-History dialog

Command-History dialog | When you open the Command-History dialog, the most recent command is at the top of the list. To Undo the Command-History: 1.Select any command on the list.
 |  | 2.Click YES to confirm you want to undo all of the commands. Wait until the command you select and all of the commands above or undone.
Command History dialog Command History dialog | To Redo the Command History: 1.Select a command higher than the undone commands Wait until all commands are redone Warning: If you do a new command before you Redo commands in the Command History, the new command becomes the top command in the list. Then, you cannot redo the other commands.


Edit | Machine-Settings

Machine-Settings

Machine-Settings include: Machine-Speed (RPM), Number-of-Steps in a Machine-Cycle, and the Engineering Units.

To open the Machine-Settings dialog:

 | Edit toolbar > Machine-Settings
or | Edit menu > Machine Settings

The Machine Setting dialog is now open.

See Machine Settings dialog

See also : Application-Settings dialog


Edit | Edit Element

Edit Element

Note: You cannot edit all element-types - for example, you cannot edit a start-Point.

To edit an element:

Edit element icon

1.Click the element in

·the graphics-area,

·the Assembly-Tree, or

·the Selection-Window

2.Click Edit toolbar > Edit Element

When it is possible to edit the element-type, the dialog to edit the element is now open.

See also:

Delete Element

How to open a dialog

How to edit a parameter

Dialogs


Edit | Application-Settings

Application Settings

Application Settings include: colors, number-formats, element sizes, ... and many more settings.

To open the Application-Setting dialog:

 | Edit toolbar > Application-Settings
or | Edit menu > Edit Application-Settings

The Application-Settings dialog is now open.

See Application-Settings dialog

See also: Machine-Settings dialog

Notes:

We save your Application-Settings automatically for you when you exit MechDesigner to these files:

·<LocalAppData>\IniFiles\MechDesigner.INI

·<LocalAppData>\IniFiles\ MechDesigner.XML

Delete these two files to revert to factory-settings.


Edit | Delete Element

Delete Element

There are many ways to delete elements.

For example, select the element, then use your Delete key on your keyboard.

How to use the Delete Element tool.

To delete elements with Edit menu > Delete element: 1.Click an element in: ·the graphics-area, or ·the Assembly-Tree One or more elements are now in the Selection-Window.
 | To delete ALL of the elements that are in the Selection-Window: 2.Click Edit toolbar > Delete Element If there are dependent elements, the Delete Dependent elements opens. Be careful! Only click [image] in the Delete Dependent element form if you are sure.
 | To delete one of the elements that is in the Selection-Window: 2.Click, in the Selection-Window, the element that you want to delete. 3.Click Edit toolbar > Delete Element If there are dependent elements, the Delete Dependent elements opens. Be careful! Only click [image] in the Delete Dependent element form if you are sure.

Notes:

·You cannot delete an element that is in a Design-Set. You must remove the element from the Design-Set before you can delete it.

·You cannot delete a 2D-Cam after you add to it a Polyline. You must delete the Polyline, then delete the 2D-Cam.


Edit | Undo

Undo

To undo commands:

 | 1.Click Edit toolbar > Undo
or | 1.Click Edit menu > Undo

The most recent command is now undone.

Do again to undo earlier commands.

Notes:

·Keyboard shortcut: CTRL+Z

·To redo a command, do not do a new command.

See also:

Command History, Redo


Edit | Redo

Redo

To redo commands you have undone:

 | 1.Click Edit toolbar > Redo last undone command.
or | 1.Click Edit menu > Redo last undone command

The command that you undone is now redone

See also:

Command History, Undo

Notes:

·Keyboard shortcut: CTRL+R

·To redo a command you have undone, do not do a new command.


Menu | Run

Run menu

Run menu

Run toolbar

The Run toolbar is ABOVE the graphics-area.

Run toolbar

Commands and shortcuts

Icon | Command | Shortcut (Not Case-Sensitive)
 | Enable : Continuously Cycle Disable: Stop | ALT+C ALT+C
 | Toggle: Cycle: increase at a constant rate, or stop, the Master-Machine-Angle (MMA).
 | Step Forward 1 Step* : | CTRL+ALT+F
 | To increase the MMA by 360°/ Number-of-Steps
 | Step-Backward 1 Step* : | ALT+B
 | To decrease the MMA by 360°/ Number-of-Steps
 | Cancel Cycle & move MMA to zero* : | Home key on your keyboard
 | To stop Cycling, and move the MMA and Revs to Zero (0)
* To edit the MMA to any machine-angle, approximately or exactly, see Master-Machine-Angle (MMA)


Menu | Add

Navigation: MechDesigner User Interface > 1: Menu bar and General Toolbars >

Return to chapter overview

Add...

Add menu

The Add menu and its sub-menus have the commands you need to build your models. The commands are contextual to each editor-type: Model-Editor, Mechanism-Editor, Part-Editor.

To build a model, you do these steps:

STEP 1: Add an element that is contextual to the editor-type:

See Model-Editor

See Mechanism-Editor

See Part-Editor

STEP 2: Open the element's dialog

See Dialogs

See How to open a dialog

STEP 3: Edit the parameters to change the element's properties

Use the element's dialog to edit its parameters:

See How to edit a Parameter in a dialog

STEP 4: Close the dialog

STEP 5: Do STEPS 1 to 4 again, and again, ...

Add menu

This is the structure of the Add menu.

Structure of the Add menu

Structure of the Add menu

Model Editor menus and toolbar:

Model elements toolbar - left of the graphics-area (only two commands: add Planes and Mechanism-Editors to Planes )

Mechanism-Editor menus and toolbars:

Model elements toolbar - left of the graphics-area - add Planes and Mechanism-Editors to Planes

Kinematic elements toolbar - left of the graphics-area - add basic elements: parts, joints, to build kinematic-chains

Machine elements toolbar - left of the graphics-area - add more complex, functional elements to the model

Kinematic Function-Blocks toolbar - right of the graphics-area - plan and measure the motion of each kinematic-chain

Modeling Function-Blocks toolbar - above the graphics-area - tools that help you do more complex modeling

Force elements toolbar - right of the graphics-area - measure force, torque, and power that is required to drive each kinematic-chain

Solid element toolbar - above the graphics-area - show kinematic elements as solid model elements

Part-Editor menus and toolbars:

Geometry toolbar - left of the graphics-area - add sketch-elements and dimensions to Parts

Constraints toolbar - right of the graphics-area - add constraints to sketch-elements


Visibility (toolbar only)

Visibility toolbar

Note: There is not a Visibility menu

The Visibility toolbar is above the graphics-area.

Enable or disable each tool to visibility of different element-types.

Visibility toolbar

Visibility toolbar:

Visibility controls for Solids

 | - Enable “Force-Vectors: Display” - See More
 | - Disable: “Force-Vectors: Display”
 | - Enable “Show other Kinematic and Sketch elements” - See More
 | - Disable “Show other Kinematic and Sketch elements”
 |  | -Show “Solids as Shaded AND Wireframe edges” - See More
 |  | - Show “Solids as Wireframe only”
 |  | - Show “Solids as Shaded only”
Show Model in Mechanism icon |  | - Enable “Show Solids in Mechanism-Editor” - See More
Hide Model in Mechanism icon |  | - Disable “Show Solids in Mechanism-Editor”
 | - MotionDesigner is “Docked” : See More
 | - MotionDesigner is “Floating”
 |  | - Show “Solids in ACTIVE Mechanism-Editor ONLY” - See More
 |  | - Show “Solids in ALL Mechanism-Editors”
 |  | - Show “Solids as Orthonormal View” - See More
 |  | - Show “Solids as Projection View”


Show/Hide Force Vectors

Navigation: MechDesigner User Interface > 1: Menu bar and General Toolbars > Visibility [toolbar only] >

Return to chapter overview

Show/Hide Force-Vectors

Visibility toolbar > Force-Vectors: Display

See Force toolbar > Force-Vectors: Display


Show Other Kinematic and Sketch elements

Visibility toolbar > Show Other Kinematic and Sketch-elements (Global Switch)

Use this command to switch the visibility of Kinematic elements and Sketch elements that are in the active and other Mechanism-Editors.

Use this control together with the Light-Bulb switch. and the Colors

Global Switch

Visibility toolbar > Show other Kinematic and Sketch elements : Enable

Visibility toolbar > Show other Kinematic and Sketch elements : Disable

Light-Bulb Switch

Each Mechanism-Editor has a Light-bulb.
 | Mechanism name-tab : light-bulb switch : Enabled
 | Mechanism name-tab : light-bulb switch : Disabled
 |  | To turn a Light-bulb switch to on [image] : 1.Right-click on the name-tab of any Mechanism-Editor 2.Click Show with "other kinematic and sketch elements". Note: You can also Edit the Color of the “other kinematic and sketch-elements”.

When the Visibility toolbar > Show other kinematic and sketch-elements is enabled, you can see:

... those Kinematic elements and Sketch elements that are

in the active Mechanism-Editor

AND

... other Mechanism-Editors that have their Light-Bulb ON

Example

Normal Visibility

Visibility Toolbar > Show other Kinematic and Sketch elements is OFF

Kinematic and Sketch-Elements of other Mechanism-Editors.

Visibility Toolbar > Show with other kinematic and sketch elements is ON

A Part-Symbol in a different Mechanism-Editor with its Light-Bulb ON

A Line or CAD-Line in a different Mechanism-Editor with its Light-Bulb ON

TOP-TIP :

To Identify Parts

·Single-Click a Part-Outline (or Joint, or CAD-Line) to identify in the Selection-Window and Assembly-Tree the name of the Part (or Joint, or CAD-Line) and the Mechanism-Editor to which it is a child.

·Single-Click a sketch-element to identify, in the Selection-Window, the name of the sketch-element and the Part to which the sketch-element is a child.

To Jump-to a different Mechanism-Editor

·Double-Click a Part-Outline or sketch-element to jump to the Mechanism-Editor to which the Part or sketch-element is a child.

See also:

Colors: To change the color of other kinematic and sketch elements:

Edit menu > Application-Settings > Graphics tab > Graphic Options | Background Sketch


Solids Display Mode

Visibility toolbar > SOLIDS Display Mode

NOTE - there is not a Visibility menu

To change how you view Solids.

The toggle switch has three states.

 | Visibility toolbar > Solids as Shaded AND Wire-Frame
 | Visibility toolbar > Solids as Wire-Frame ONLY (hidden lines visible)
 | Visibility toolbar > Solids as Shaded ONLY
MUST also be enabled: ·Visibility toolbar> Show Solids in Mechanisms Options: ·Visibility toolbar > Show Solids in Active or All Mechanisms ·Visibility toolbar > Show Solids as Orthonormal or as a Projection View


Solids in Mechanisms

Visibility toolbar > Solids in Mechanisms (and Part-Editor)

NOTE - there is not a Visibility menu

Use this command to switch between Show and Hide Solids in Mechanism-Editors.

Show Model in Mechanism icon | Visibility toolbar > Show Solids in Mechanisms - Enable
Hide Model in Mechanism icon | Visibility toolbar > Show Solids in Mechanisms - Disable
Planes also show when you show Solids in Mechanisms, which you may find inconvenient. To hide Planes, use: ·Filters menu > Display Filters sub-menu > Show or Hide Planes
Use this command with: Visibility toolbar > Show Solids in Active or All Mechanism-Editors Visibility toolbar > Solids Display Mode Visibility toolbar > Show Solids as Orthonormal or Projection View

Solids and Profiles in Mechanism-Editors

A CAD-Solid | This is a typical CAD-Solid that you might import.
An MD-Solid | This is a typical MD-Solid you would sketch. Show Solids in Mechanisms is enabled. In Mechanism-Editors, you can see Pink Profile and Extrusion Elements.
 | This is: ·Disable Show Solids in Mechanisms In Mechanism-Editors, you can see only the Pink Profile elements.


Dock or Float MotionDesigner

Visibility toolbar > Dock / Float MotionDesigner

NOTE - there is not a Visibility menu

This command has two(2) states:

Visibility toolbar > MotionDesigner is Docked

Visibility toolbar > MotionDesigner is Floating


Show/Hide Model in Active Mechanism/All Mechanism

Navigation: MechDesigner User Interface > 1: Menu bar and General Toolbars > Visibility [toolbar only] >

Return to chapter overview

Solids In Active or All Mechanisms

Visibility toolbar > Show Solids in Active or All Mechanism-Editors

NOTE - there is not a Visibility menu

This command relates to Solid and Plane elements.

 | Visibility toolbar > Show Solids in the active Mechanism-Editor ONLY
 | Visibility toolbar > Show Solids in all of the Mechanism-Editors
MUST also be enabled: ·Visibility toolbar> Show Solids in Mechanisms Options: ·Visibility toolbar > Solids Display Mode: Shaded, Wire-Frame, or Shaded AND Wire-Frame ·Visibility toolbar > Model as Orthonormal or Perspective View


Orthonomal or Perspective Projection

Visibility toolbar > Orthonormal or Perspective Projection

NOTE - there is not a Visibility menu

Use this command to the model with an Orthonormal Projection or a Perspective Projection.

 | Visibility toolbar > Show Solids with Orthonormal Projection
 | Visibility toolbar > Show Perspective Projection
Options: ·Visibility toolbar> Show Other Kinematic and Sketch-Elements ·Visibility toolbar> Show Solids in Mechanisms ·Visibility toolbar > Solids Display Mode: Shaded, Wire-Frame, or Shaded AND Wire-Frame


Menu | Filters

Navigation: MechDesigner User Interface > 1: Menu bar and General Toolbars >

Return to chapter overview

Filters

Filter and Display menus and toolbars

Filter: Selection Filters and Display Filters menus

Display Filters & Selection Filters menus

Display Filters & Selection Filters menus

Filters: Display Filter, Selection Filter, (and View) toolbars

The Display Filters, Selection Filters (and View) toolbars are BELOW the graphics-area.

Display Filters & Selection Filters (and View) toolbars - collapsed

Display Filters & Selection Filters (and View) toolbars - collapsed


Display Filters

Display Filters toolbar

The Display Filters toolbar is BELOW the graphics-area.

Default: All Display filters are SELECTED to display all element-types.

Display Filters toolbar

Display Filters toolbar
[Default: All Filters Selected to Display ALL element-types]

Display Filter icons

Show or Hide Planes from the graphics-area.

Note: An active Mechanism-Editor shows only those Planes that are its 'children'.

Show or Hide Model Axes from the graphics-area.

Show or Hide Part-Outlines and Joints from the graphics-area.

Show or Hide Points from the graphics-area.

Show or Hide Sketch-Elements AND Part-Axes from the graphics-area.

Show or Hide Profiles from the graphics-area.

Click to hide CAD-Lines, all DXF Outlines and CAD-Solids from the graphics-area.

Show or Hide DXF Points in DXF-Drawings from the graphics-area. Other DXF Entities stay in the graphics-area.

DXF Points show at the ends of DXF Entities in a DXF-Drawing that you import. If there are many DXF Points, they can hide the DXF-Drawing.

Show or Hide Camlinks Outlines from the graphics-area.

Camlinks was a 2D kinematics software package.

Show or Hide Function-Blocks, Input-Connectors and Output-Connectors from the graphics-area.

Show or Hide:

·Motion-Dimensions and Motion-Dimension FBs

·Dimensions

Show or Hide Gear-Pairs

Show or Hide 2D Cam

Show or Hide 3D-Cams


Selection-Filters

Selection Filters toolbar

The Selection Filters toolbar is BELOW the graphics-area.

Special Case and default: Disable all Filters to select all element-types.

Selection Filters toolbar

Selection Filters toolbar
[All filter elements selected]

Selection Filter icons

Filter for Planes

Filter for Part-Outlines (to select a Part).

Filter for Points

Filter for Lines, CAD-Lines, X-axes, and Y-axes of a Part.

Filter for Circles and Arcs

Filter for Dimensions:

·Dimensions in the Part-Editor

·Measurement Dimensions and Measurement FBs in the Mechanism-Editor

·Motion-Dimensions and Motion-Dimension FBs in the Mechanism-Editor

Filter for Profiles

Filter for Function-Blocks

Filter for Pin-Joints and Slide-Joints


Menu | View

Navigation: MechDesigner User Interface > 1: Menu bar and General Toolbars >

Return to chapter overview

View

View toolbar and menu

The View toolbar is below the graphic area.

It has the typical View options of CAD software.

View menu

View menu

View toolbar

The View toolbar is BELOW the graphics-area.

View toolbar

View toolbar icons

View from the: Front ; Back ; Left ; Right ; Top ; Bottom Front-View is the XY-Plane of the active Mechanism-Editor F3 key on your keyboard is the s short-cut key for the Front-View TOP-TIP: Clipped Models - if part of the model is large, it may not display correctly. The model is clipped. If the model is clipped: 1.Click Front-View (F3) 2.Click Zoom-Extents
 | View Align ·Part-Editor : Click View Align to view the Part with a horizontal X-axis. ·Mechanism-Editor : Click View Align to view the Base-Part with a horizontal X-axis.
 | View Normal to a Plane To make the view normal(⊥) to a Plane: 1.Click View Normal to Plane 2.Click a Plane 3.Click [image] in the Command-Manager
 | SPIN Spin button + Mouse-Button-Down + move your mouse-pointer to Spin the model. Shortcut: - not usually recommended SHIFT key + Mouse-Button Down + move your mouse-pointer to Spin the model. Spin Shortcuts with keyboard arrow-keys - recommended 10º Spin : LEFT / RIGHT & UP / DOWN keyboard arrow-keys. 30º Spin : CTRL + LEFT / RIGHT & UP / DOWN keyboard arrow-keys. 90º Spin : SHIFT + LEFT / RIGHT & UP / DOWN keyboard arrows-keys.
 | PAN Pan button + Mouse-Button-Down + move your mouse-pointer to Pan the model. Shortcut: CTRL key + Mouse-Button Down + move your mouse-pointer to Pan the model. Notes: With practice, you can also use your middle-mouse-wheel to Zoom Out then Zoom-In. If the model is a large, wait for the model to move when you move your mouse-pointer.
 | Zoom Extents To display the complete model. If the complete model does not show, do Front-View(F3), then Zoom-Extents.
 | Zoom In SHORTCUT: Mouse Wheel: Zoom in/out at your mouse position.
 | Zoom Out SHORTCUT: Mouse-Wheel: Zoom in/out at your mouse position.
 | Zoom Windows With your mouse, drag a window for the new model view.


Menu | Help

Navigation: MechDesigner User Interface > 1: Menu bar and General Toolbars >

Return to chapter overview

Help

Help menu

Help menu commands

 | Open Local Help The Local Help is copied to <CommonAppData>\ Help \ when you install MechDesigner. To get contextual help: ·Click Help menu > Open Local Help, and/or ·Click the [image] icon in a dialog, and/or ·Press the F1 key when you move your mouse over a command icon.
 | On-line Help You need an Internet connection. We open for you the MechDesigner's Help Welcome Page. The On-Line help has many tutorials.
 | Download Latest Help... You MUST have Administrator Rights Download the Local Help to make sure you have the latest version. 1.Click Help menu > Download Latest Help... 2.Click Download Now button
 | Download Example Models 1.Click a model from the list of Examples Wait for the model to download. Some models are large. Please be patient to make sure the file downloads. To show the Solids that are in the model, click: ·Edit toolbar > Auto Update / Rebuild ·Visibility toolbar > Show Model in Mechanisms to show Solids ·Filters menu > Display Filters > Show/Hide Planes to hide Planes that may hide other elements in the model.
 | Toggle Hints Use to show tool-tips next to your mouse-pointer. 1.Click to Toggle Off (You may need to click this two(2) times) 2.Click again to Toggle On See also Application Settings
 | Download Tutorial Videos: See Tutorials dialog
Internet sub-menu >
 | About dialog tabs: MechDesigner - 16.1.54: (Release.Version.Build) Graphics - your Graphics Card Supplier, OpenGL Version, Graphics Card Model, OpenGL Extensions Type-Libraries: Last used version of SOLIDWORKS and installed version of SOLIDWORKS Type-Libraries Protection Key - Your License Settings See About dialog


Internet menu

Navigation: MechDesigner User Interface > 1: Menu bar and General Toolbars > Help >

Return to chapter overview

Help > Internet

Help menu > Internet

You need an internet connection.

PSMotion Home Page

A link to: psmotion dot com in your web-browser.

Report Bug, Send Mail, Feature Request

Report Bug / Feature Request

Please send all Bugs and Feature Requests to support at psmotion dot com

Send Mail

Send emails to support at psmotion dot com or sales at psmotion dot com

Download Example Models


About

Navigation: MechDesigner User Interface > 1: Menu bar and General Toolbars > Help >

Return to chapter overview

Help > About

Show/Hide Hidden Text

Help > About dialog

There are four tabs:

MD XXX V-R-B tab

Version: MechDesigner XXX V.R.B
XXX = PRO - Professional ; STD = Standard ; TRL = Trial V. R . B : Version - Release - Build
Type : | Win64
Features: | FULL Version
Release Date: | dd-mm-yyyy

Graphics tab

Graphics Card Supplier: | For example: NVIDIA Corporation
OpenGL Version: | For example: 4.5.0 NVIDIA 361.91
Graphics Card Model | For example: GeForce GTX 970/PCIe/SSE2
OpenGL Extension | For example: GL...AMD_multi_draw_indirect, GL_AMD,_.... and others.
Type Library tab

SolidWorks® Type-Libraries / Installed Version of SolidWorks

Each version of SolidWorks uses a different Type Library file.

In the image above :

·SolidWorks Type Library: 2021

·Installed Version of SolidWorks: 2021

When the year is the same, you are All good to go.

If the versions are not the same, then Run as Administrator when you start MechDesigner, and check again.

Note: From MD15 - the correct Type Libraries are installed automatically with your installation, and it checks which version of SolidWorks you are using each time you start MechDesigner.

Protection Key

MechDesigner Software Key | Mdxx_x_x-xxxx-xxxx-xx
Program Expiry Date | Lifetime / Expiry Date
Support | Have Support + Expiry date / Without Support
Code Features | PREM, STAN, LITE (TEST (code testing only))
License Duration | Lifetime / Annual


2.1 Model-Editor:

Model-Editor

What is a Model-Editor?

Use the Model-Editor to:

·add Planes and Mechanism-Editors to Planes - see Add Model elements

·watch the Solid elements in your machine move as you cycle the model.

Important:

You must use the Model-Editor to add a minimum of one Mechanism-Editor to a Plane.

See Model elements > Add Mechanism

Model-Editor workspace

Model-Editor: Reference Triad and fixed Planes

Model-Editor: Reference Triad and fixed Planes

Graphics-area :

The Reference Triad shows the directions of the XYZ-axes.

The direction of each axis uses the right-hand rule. The:

·thumb finger points to the positive X direction

·index finger points to the positive Y direction

·middle finger points to the positive Z direction, normal to the X and Y directions

The elements in the Model-Editor are:

·Three fixed Planes:

oFront Plane, which is co-planar with the Global XY-axes

oTop Plane, which is coplanar with the Global ZX-axes

oRight Plane, which is coplanar with the Global YZ-axes

·Other Planes

·Solids

Model elements toolbar : this toolbar is to the left of the graphics-area

Name-tab : the default name of the Model-Editor is Model

Menu and Toolbar:

The commands that are in the toolbar, are also in the Add menu.

Model elements toolbar - Add Plane, and Add Mechanism-Editor.

See also:

Model Options dialog


Model elements

Model elements

Model elements - Planes and Mechanism-Editors - arrange the layout of the machine.

Important:

You must use the Model-Editor to add a minimum of one Mechanism-Editor to a Plane.

See Model elements > Add Mechanism

Add menu > Add Model elements

There are two commands in add Model elements in the Add menu.

Model elements menu

Model elements menu

Model elements toolbar

The Model elements toolbar is to left of the graphics-area.

Model elements toolbar

Model elements toolbar


Add Mechanism-Editor

Navigation: MechDesigner User Interface > 2.1 Model-Editor: > Model elements >

Return to chapter overview

Model | Add Mechanism (Editor)

Important Note:

Before you add the first Mechanism-Editor to a Plane, consider the type and layout of your machine.

Gravitational Vector ( g = 9.81665 m/s/s )

Gravity Vector - its direction is in the negative Y-axis direction,

It is down relative to the Green arrowhead in the Model-Editor.

For example, if your machine has a horizontal indexing or rotating table, add the first Mechanism-Editor for the table to the Top Plane, or a Plane that is parallel to the Top Plane.

Add Mechanism

STEP 1:Start the Add Mechanism command:

Model elements toolbar

Model elements toolbar

1.Click Add menu > Add Mechanism

OR

1.Click Model elements toolbar > Add Mechanism

STEP 2: Select a Plane

Command-Manager

Command-Manager - Plane element

Command-Manager - Plane element

The Command-Manager (left of graphics-area) has one selection-box.

You must select a Plane.

1.Click a Plane in the graphics-area

or

1.Click a Plane in the Assembly-Tree

The Plane is now in the selection-box in the Command-Manager.

If you cannot see Planes: Enable Show Solids in Mechanisms.

STEP 3: Complete the command

Command-Manager - Plane element

Command-Manager - 'OK'

You must click the 'tick' to complete the command.

In the Command-Manager:

1.Click the [image] below the selection-box.

Results

1.The Command-Manager closes.

2.You jump immediately to a new Mechanism-Editor workspace - with a Mechanism tab, graphics-area, Base-Part, and toolbars.

See also: The Base-Part does not show correctly!

3.The Mechanism element is a child to the Plane you select.

RESULT: Workspace

Mechanism Editor - Identify

Mechanism-Editor workspace

: Base-Part with a rectangular Part-Outline

: Mechanism tab

: Toolbars (left and right of the graphics-area)

: graphics-area

: Local XY-axes of the new Mechanism-Editor and Base-Part.

The XY-Plane of the Plane you select, the new Mechanism, and the Base-Part are coplanar and coincident.

Result: Assembly-Tree

The hierarchy of the new Mechanism element

Plane4 - you select to add the Mechanism element:

(New) Mechanism2 - a child to Plane4

(New) BasePart2 - a child to Mechanism2

Video

Video: Model-Editor: Add Mechanism-Editor to Plane

Video: Model-Editor: Add Mechanism-Editor to Plane


Add Plane in Model-Editor)

Navigation: MechDesigner User Interface > 2.1 Model-Editor: > Model elements >

Return to chapter overview

Add Plane in Model-Editor

What is a Plane?

A Plane is a flat surface, defined by its Local XYZ-axes. The Plane is coincident with the XY axes. The Z-axis follows the usual Right-Hand-Rule.

You add Planes to arrange the layout of your machine.

You can add Mechanism-Editors to Planes.

Add Plane (Model-Editor)

In the Model-Editor, a new Plane is offset along the Z-axis of a Plane. you select.

STEP 1:Start the Add Plane command

Add menu > Add Plane

OR

Model elements toolbar > Add Plane

FORMAT 1: Add Plane to Plane

FORMAT 1: Add Plane to Plane

The Add Plane dialog opens, immediately

In the Model-Editor, its format is>

Name - of new Plane

Plane Parameters

Plane Definition for the new Plane :

Offset from Plane (always in the Model-Editor)

Parameter to define the new Plane :

Distance to New Plane

Element box - the reference element for new Plane
Click a Plane in the Assembly-Tree

Click a Plane in the Assembly-Tree

STEP 2:Click a Plane.

Click a Plane in the graphics-area

or

Click a Plane in the Assembly-Tree.

When you click a Plane, it shows in the Element box [image] of the Add Plane dialog

A preview of the new Plane is also in the graphics-area.

STEP 3:Edit the Parameter

Edit Distance to New Plane

Distance to new Plane from the Plane in the Element-box [image] .
New Plane in the Graphic-Area

New Plane in the Graphic-Area

STEP 4:Complete the Command

Click [image] in the Add-Plane dialog

Result

The new Plane [image] is in the graphics-area and Assembly-Tree.

The new Plane has Local XYZ-axes.

Note:

If you cannot see the new Plane try:

View menu > Zoom-Out

View menu > Spin model

Filters menu (or Display toolbar) > Display Planes

Videos:

Video: Add a Plane in the Model-Editor

Video: Add a Plane in the Model-Editor


2.2 Mechanism-Editor:

Mechanism-Editor

What is a Mechanism-Editor?

Each Mechanism element you add to the model - with the Add Mechanism command - defines a working environment of a Mechanism-Editor.

Each Mechanism-Editor includes a Mechanism name-tab, graphics-area, XY-axes, and a Base-Part.

To add a Mechanism element, you must select a Plane in the Model-Editor or the active Mechanism-Editor.

Why add a Mechanism-Editor?

The position and orientation of Planes, and Mechanisms you add to Planes, define the layout of your machine.

You use the working environment of each Mechanism-Editor to add all other element-types.

Therefore, you MUST add at least one Mechanism-Element to build your model.

Mechanism-Editor workspace

Mechanism-Editor- Example

Graphics-area : to add Kinematic and Machine elements, Kinematic and Modeling Function-Blocks, Solids, and Force elements, ...

Toolbars : to the left, right, above, and below the graphics-area - see Menus and Toolbars, below

Name-tabs : each Mechanism-Editor has a name tab.

Menus and Toolbars:

The commands that are in each toolbar, are also in the Add menu, and sub-menus.

Model elements toolbar - left of the graphics-area - add Planes and add Mechanism-Editors to Planes.

Kinematic elements toolbar - left of the graphics-area - add the basic kinematic elements to build kinematic-chains.

Machine elements toolbar - left of the graphics-area - add more complex functional parts to your model.

Kinematic Function-Blocks toolbar - right of the graphics-area - plan and measure the motion of each kinematic-chain.

Modeling Function-Blocks toolbar - above the graphics-area - tools that help you do more complex modelling.

Force elements toolbar - right of the graphics-area - measure force, torque, and power that is required to drive each kinematic-chain.

Solid element toolbar - above the graphics-area - show kinematic elements as solid model elements.


Model menu | Model toolbar in ME

Navigation: MechDesigner User Interface > 2.2 Mechanism-Editor: >

Return to chapter overview

Model elements

Model elements

Model elements - Planes and Mechanism-Editors - arrange the layout of the machine.

Add menu> Add Model elements

There are two commands to add Model elements in the Add menu.

Model elements : menu

Model elements : menu

Model elements toolbar

The Model elements toolbar is to left of the graphics-area.

Model elements : toolbar

Model elements : toolbar


Add Mechanism-Editor

What is a Mechanism?

A Mechanism element defines the workspace of one Mechanism-Editor - Mechanism name-tab, graphics-area, XY-axes, and Base-Part.

To add a Mechanism element, you must select a Plane.

The XY-axes of the Mechanism-Editor's workspace and of the Plane you select are coincident and coplanar.

There is no limit to the number of Mechanism elements you can add to your model. You add all other element-types to Mechanism-Editors.

Add Mechanism

STEP 1:Start the Add Mechanism command:

Model elements toolbar

Model elements toolbar

1.Click Add menu > Add Mechanism

OR

1.Click Model elements toolbar > Add Mechanism

The Command-Manager starts. It has one selection-box.

STEP 2: Select a Plane

Command-Manager

Command-Manager - Plane element

Command-Manager - Plane element

The Command-Manager has one selection-box.

You must select a Plane.

If you cannot see a Plane: Enable Show Solids in Mechanisms.

1.Click a Plane in the graphics-area

or

1.Click a Plane in the Assembly-Tree

The Plane is now in the selection-box in the Command-Manager.

STEP 3: Complete the command

Command-Manager - Plane element

Command-Manager - 'OK'

You must click the 'tick' to complete the command.

1.Click [image] in the Command-Manager

Result

1.The Command-Manager closes.

2.You jump immediately to a new Mechanism-Editor workspace

3.The Mechanism element is new element that is a child to the Plane you select.

RESULT: Workspace

Mechanism Editor - Identify

Mechanism-Editor workspace

The workspace of each Mechanism-Editor has many important features

: Base-Part with a rectangular Part-Outline

: Mechanism tab

: Toolbars (left and right of the graphics-area)

: graphics-area

: Local XY-axes of the Mechanism-Editor and Base-Part

Result: Assembly-Tree

The Mechanism element in the Assembly-Tree:

Plane4 - you select to add the Mechanism element:

(New) Mechanism2 - a child to Plane4, and coplanar with the XY axes of Plane4

(New) BasePart2 - a child to Mechanism2 and coplanar with the XY axes of Plane4

The XY-Plane of Plane4, Mechanism2, and Base-Part2 are coplanar.

Video: Add Mechanism

Video: Add Mechanism-Editor to Plane

Video: Add Mechanism-Editor to Plane


Add Plane in Mechanism-Editor)

Navigation: MechDesigner User Interface > 2.2 Mechanism-Editor: > Model elements >

Return to chapter overview

Add Plane in Mechanism-Editor

Show/Hide Hidden Text

What is a Plane?

A Plane is a flat surface, defined by its Local XYZ-axes. The XY axes are coplanar with each Plane. The Z-axis follows the usual Right-Hand-Rule.

Use Visibility toolbar > Show Solids in Mechanisms to see Planes in Mechanism-Editors.

See also: Add Plane - Model-Editor

Add Plane (Mechanism-Editor)

FORMAT 1: Add Plane to a Plane

STEP 1:Start the Add Plane command

Add menu > Add Plane

OR

Model elements toolbar > Add Plane

FORMAT 1: Add Plane to Plane

FORMAT 1: Add Plane to Plane

The Add Plane dialog opens, immediately

In the Mechanism-Editor, the default format is:

New Plane Name - Plane6

Plane Parameters

Plane Definition - (default format)

Offset from Plane (default definition)

Parameter to define the new Plane :

Distance to New Plane

Element box - the name of the element(s) that are referenced by the new Plane.

STEP 2:Click a Plane.

Click a Plane in the graphics-area or the Assembly-Tree.

When you click a Plane, it shows in the Element box [image] of the Add Plane dialog.

A preview of the new Plane is also in the graphics-area immediately.

STEP 3:Edit the Parameter

Edit Distance to New Plane

Distance to new Plane - to Plane 6 [image] from Plane5

STEP 4.Complete the Add Plane command

Click [image] in the Add-Plane dialog

Result

The new Plane [image] is in the graphics-area and Assembly-Tree.

It is on Local Z-axis of the Plane you select to add the new Plane.

The new Plane has its own Local XYZ-axes.

FORMAT 2: Add Plane to a Line (CAD-Line, Part's X-axis or Y-axis)

STEP 1:Start the Add Plane command

Add menu > Add Plane

OR

Model elements toolbar > Add Plane

FORMAT 1: Add Plane to Plane

FORMAT 1: Add Plane to Plane

The Add Plane dialog opens, immediately

In the Mechanism-Editor, the default format assumes you will select a Plane.

New Plane Name - Plane6

Plane Parameters

Plane Definition - (default format)

Offset from Plane (default definition)

Parameter to define the new Plane :

Distance to New Plane

Element box - the name of the element(s) that are referenced by the new Plane.

STEP 2:Click a Line*.

Click a Line* in the graphics-area

* Line, CAD-Line, or a Part's X-axis or Y-axis

When you click a Line, it shows in the Element box [image] with the Plane (see below) to which the Line is descendant (great-grand-child - Plane > Mechanism > Part > Line )

There is a preview of the new Plane in the graphics-area, immediately.

Note: The default Rotate around X-axis parameter is 90.
FORMAT 2: Add Plane to Line

FORMAT 2: Add Plane to Line

STEP 3.Edit the parameters

Angle - rotate the new Plane around the X–axis

and

Angle - rotate the new Plane around the Y–axis

and

Angle - rotate the new Plane around the Z–Axis

Optional (for Bevel Gearboxes)

Move Plane to end-Point - move the new Plane to the end of the Line in the Element box.

If you enable Move Plane to end-Point, (and the Rotate around X,Y,Z parameters are zero(0)), the Local X-axis is from the end-Point to the start-Point, the Local Y-axis is on the new Plane, and the Local Z-axis follows the Right-Hand-Rule.

STEP 4.Complete the Add Plane command

Click [image] in the Add-Plane dialog

Result

The new Plane [image] is in the graphics-area and Assembly-Tree.

The new Plane has its own Local XYZ-axes.

Video:

Video: Add Plane to a Line, CAD-Line, or the X- or Y-axis of a Part

Video: Add Plane to a Line, CAD-Line, or the X- or Y-axis of a Part


Mechanism menu: Kinematic-Elements-toolbars

Navigation: MechDesigner User Interface > 2.2 Mechanism-Editor: >

Return to chapter overview

Kinematic elements

Kinematic elements

Kinematic elements are coplanar with the XY-Plane of the active Mechanism-Editor*.

Kinematic elements represent the moving parts in your machine. You join Parts to each other to form kinematic-chains (mechanisms, linkages).

Kinematic elements are NOT solid bodies; and they do NOT have shape or form**.

* An exception is a Part with a Ball-Joint at its start-Point and end-Point.

** To add a solid body to a Part, add to it a Profile and/or import a SolidWorks part/assembly document or an STL file from other CAD.

Kinematic elements menu

Kinematic-elements in Add menu

Kinematic-elements in Add menu

Kinematics elements toolbar

The Kinematic elements toolbar is to the left of the graphics-area.

Kinematic elements toolbar

Kinematic elements toolbar


Add Magnetic-Joint

Magnetic-Joint

See also: Magnetic-Joint dialog ( YouTube Video : http://youtu.be/IME9Eb4mpQE )

Use Magnetic-Joints ONLY for special modeling - for example, to reverse-engineer the motion of a Follower from the shape of an imported Cam.

Magnetic-Joints use iterative, root-finding techniques. All other kinematic joints use closed-form equations for exact and fast evaluations. Therefore, a model with a Magnetic-Joint is ~100+ x slower to solve than a model with Slide-Joints, Pin-Joints, and Ball-Joints. Most models (99%?) do not need a Magnetic-Joint.

Terminology

Magnetic-Joint : | A Magnetic-Joint pulls a circular Profile to be in continuous contact with an irregular Profile (or Curve). The circular Profile and irregular Profile (or Curve) are in different kinematic-chains. After you add a Magnetic-Joint, the motion of the kinematic-chain with the irregular profile (or curve) is are related by the contact between the circular and irregular profiles (or curve).
Point-Cloud : | X-Y or R-Θ coordinates. Use a Point-Cloud FB to import the Point-Cloud coordinates.
Curve : | The smooth shape that we calculate for you from the Point-Cloud coordinates.

Preparation for Add Magnetic-Joint (Typical)

The Magnetic-Joint pulls a Circular-Profile [image] onto an Irregular-Profile [image] .

A Part (and kinematic-chain) to which the Irregular-Profile [image] is a child.

An Irregular-Profile, which is a

·Profile that you add to a sketch-loop

or

·Curve that you calculate from a Point-Cloud

A Part (and kinematic-chain) to which the Circular Profile [image] is a child.

The Motion-Dimension FB that becomes driven by the action of the Magnetic-Joint.

Add Magnetic-Joint

STEP 1: Pre-Position the Circular Profile

1.HOME the model

Select the Home key, or use the ALT+H keyboard shortcut, or do Run menu/toolbar > Home.

2.Edit the Motion-Dimension FB [image] | Base-Value so that the:

Distance from the Circular-Profile [image] to the Irregular-Profile [image] ...

... < 0.5 × Radius of Circular-Profile

Note: See also Magnetic-Joint dialog > Advanced

STEP 2:Start the Add Magnetic-Joint command

1.Add menu > Mechanism sub-menu > Add Magnetic-Joint

OR

Add Magnetic-Joint icon

1.Kinematic elements toolbar > Add Magnetic-Joint

STEP 3:Select the elements:

1.Click the Irregular Profile

2.Click the Motion-Dimension FB [image] that you want to 'drive' with the Magnetic-Joint.

3.Click Circular Profile

STEP 4: Complete the Command

1.Command-Manager: Click [image] in the Command-Manager.

Result: (usually)

The Magnetic-Joint pulls the Circular-Profile [image] to be in contact with the Irregular-Profile [image] .

A Point Symbol [image] is at the contact.

The Magnetic-Joint FB [image] is near to the Point-Symbol

There is a Magnetic-Joint icon [image] below and right of the Motion-Dimension FB [image] that is driven by the Magnetic-Joint.

STEP 5: Open the Magnetic-Joint dialog

Video:

Video: Add a Magnetic-Joint

Video: Add a Magnetic-Joint


Add Pin-Joint

Pin-Joint

See also: Edit-Pin-Joint ( Servo-motor and Gearbox Sizing )

Pin-Joints in MechDesigner

Pin-Joints in MechDesigner
Pin Joint: Connecting-Rod and Piston

Pin Joint: Connecting-Rod and Piston
Pin-Joint in SOLIDWORKS

Pin-Joint in CAD model.

Terminology

Pin-Joint : | A Pin-Joint makes a Point* in a Part to be coincident with a Point* in a different Part. A Pin-Joint allows only rotary motion between two Parts. A Pin-Joint removes two degrees-of-freedom from the model.
rotating-Part : | A Part that that can rotate relative to a different Part.
Revolute-Joint : | The kinematic and equivalent term of a Pin-Joint.
Kinematics-Tree : | In Dyads, Pin-Joints are represented by the letter R, which is from the kinematic term: Revolute-Joint.
* Point, start-Point, end-Point, or center-Point.

Pin-Joints in the graphics-area

There are two symbols for a Pin-Joint:

<<< Pin-Joint [image] between a Part and the Base-Part.

<<< Pin-Joint [image] between two(2) added Parts.

- the symbol for a Pin-Joint that cannot move relative to the Base-Part.

- the outer circle is the symbol for a Pin-Joint that can move relative to the Base-Part.

Simple Case - Add Pin-Joint

STEP 1: Start the Add Pin-Joint command

Add menu > Mechanism sub-menu > Add Pin-Joint

OR

Kinematic elements toolbar > Add Pin-Joint

STEP 2: Select two(2) Points:

At least one Point must be in a free Part.

1.Click a Point [image] in a free Part

2.Click a different Point [image] in a Part

The two(2) Points become coincident at the Pin-Joint.

If the Select-Elements dialog opens, see Special-Case.

Two Pin-Joints

See also:

Add Slide-Joint

Add Ball-Joint

Add Motion-Dimension FB

VIDEO : Add Pin-Joint - Simple-Case

Add Pin-Joint (Simple Case)

Video: Add Pin-Joint (Simple Case)

Special-Case - Add two or more coincident Pin-Joints

Frequently, a design has Pin-Joints that are coincident, to join more than two Parts.

Example:

You want to join Points(#1,#2,#3), in Parts(#1,#2,#3). with Pin-Joints(#1,#2).

Say, Pin-Joint#1 is between Points #1 & #2 (in Parts #1 & #2)

When you add Pin-Joint#2, you have two(2) options:

·Option A: Pin-Joint#2 is between Points #3 & #1 (in Parts #3 & #1)

OR

·Option B: Pin-Joint#2 is between Points #3 & #2 (in Parts #3 & #2)

To select Option A or Option B is important if you also select the Pin-Joints to add Motion-Dimension FBs.

Preparation example:

Line in the Base-Part (any Part that is kinematically-defined )

Part that is completely-free

Part that is free

Pin-Joint [image] joins the start-Point of Line [image] to the start-Point of Part

You want to join Part [image] that is completely-free with a Pin-Joint that is coincident with Pin-Joint [image] .

STEP 1:Add Pin-Joint #2

1.Click Kinematic elements toolbar > Add Pin-Joint

1.Click Point [image] at the end of the Completely-Free-Part

2.Click the Pin-Joint [image] to select a Point - see below

You have actually clicked a total of three(3) Points.

·One Point at

·Two Points at

However, the Pin-Joint is between two(2) Points.

Therefore, there is ambiguity ...

... Which two(2) Points, of the three(3) Points, do you want the Pin-Joint to select?

Definition:

Ambiguity: it is not clear which element(s) to select.

Select-Elements dialog

When there is ambiguity as to which elements you want to select, the Select Elements dialog opens.

In this model, there are three(3) possible Points from which you want to select two(2) Points.

·Point11 (the start-Point [image] of the Part [image] that is completely-free)

·Point5 (the Point [image] at the left of the Line in the Base-Part)

·Point7 (the start-Point [image] of the Part that is free)

TOP-TIP: The element at the top of the list is the first element you click. Therefore, click the element you know you need before you click the other elements. Then, you know you need to select the top element.

OPTION A

STEP 2:Select the Points in the Select-Elements dialog:

1. key down

2.Click the two Points you want to use for the Pin-Joint

3. key up

The [image] colorizes only when you select the elements that are compatible .

4.Click [image] at the top, right of the dialog

Which two Points do you select from the three Points?

There are three options to select two(2) elements from three(3) elements.

·Option A: Two elements are compatible or NOT compatible.

·Yes, you can select Point11 and Point5

OPTION B

OR

·Option B: Yes, you can select Point11 and Point7.

OPTION C

Option C: No, you cannot select Point5 and Point7.

Why? Because Point5 and Point7 are joined with a Pin-Joint, already.

Note: In the image to the left, see the word 'not' in the message that is below the element-box

'Two selected elements are not compatible'

Option A

STEP 2:To confirm again, select the TWO Points:

1. key down

2.Click the two Points you want to use for the Pin-Joint

3. key up

The [image] colorizes only when you select the elements that are compatible .

4.Click [image] at the top right of the dialog

The Select-Elements dialog closes.

The Points (and completely free-Part) are coincident, at the new Pin-Joint.

Top-Tip:

If the Select-Elements dialog opens, the element you click first is at the top of the list.

Therefore, if I know there will be ambiguity, I click the element that I know I need to select before the elements that cause the ambiguity. Then, when the Select-Elements dialog open, the element I click first will at the top of the list.

VIDEO - Add Pin-Joint - Special-Case:

Add Pin-Joint - Special Case

Add Pin-Joint - Special Case


Add Part

Part

See also: Edit Part

Part Images

Part in MechDesigner

Part in MechDesigner
Part in SOLIDWORKS

A Part in SOLIDWORKS
A physical part/link

A physical part/link

Terminology

Part : | Parts represent any fixed or moving component in a machine (see also Base-Part below) Use the Part-Editor to edit the length of the Part, and to add sketch-elements and constraints to the sketch-elements.
Base-Part : | The Part we add for you, which is the fixed frame for each Mechanism-Editor.
Part-Outline : | The Part-Outline is the symbol you select or edit a Part. Part-Outlines have two shapes: ·Oval shape: the symbol of a Part that you add to the model. ·Rectangular shape: the symbol of the Base-Part.
A Part has two possible kinematic-states.
Not kinematically-defined : | The state of a Part when it has one or more degrees-of-freedom. Other terms: Free-Part, Completely-Free Part, a Part that is not solved. The Part-Outline is approximately Blue
kinematically-defined : | The state of a Part when its Mobility is Zero(0). Other term: is a Part that is solved. The Part-Outline is approximately Green
IMPORTANT: All of the Parts in your model must be kinematically-defined before you can analyze kinematic (motion) and kinetostatic (force) data in your model.

A Part in the graphics-area.

Part-Outline: the symbol of the Part you select to edit the Part with the Part-Editor.

You cannot edit the shape of the Part-Outline.

start-Point and [image] end-Point of the Part

CAD-Line from the start-Point to the end-Point

X & Y-axes: at the start-Point

TOP-TIPs:

You can hide Part-Outlines (Display Filters - Part-Outlines).

You can and edit the Y-axis to edit the Part.

Add Part

STEP 1.Start the Add Part command

 | Add menu > Mechanism sub-menu > Add Part OR
Add Part icon | Kinematic elements toolbar > Add Part or Click the INSERT key on your keyboard as a short-cut key

STEP 2.To add the Part

DRAG: in the graphics-area :

Mouse-button down, ... move your mouse, ... mouse-button up.

The Part is now in the graphics-area.

Add Part is not a persistent command.

Do Step 1 and Step 2 again to add a new Part.

Video:

Video: Add a Part

Video: Add a Part


Add Slide-Joint

Slide-Joint

Slide-Joint in MechDesigner

Slide-Joint in MechDesigner
Slide-Joint - THK

Slide-Joint - THK
Slide-Joint in SOLIDWORKS

Slide-Joint in SOLIDWORKS

Terminology

Slide-Joint : | A Slide-Joint forces a Line* in a Part to be collinear with a Line* in a different Part. A Slide-Joint removes two degrees-of-freedom from the model. A Slide-Joint allows only rectilinear translation motion between two parts (rigid bodies).
Prismatic Joint : | The kinematic and equivalent term for a Slide-Joint.
Kinematics-Tree : | Joints in a Dyad use the letter P to represent a Slide-Joint. - for example: R-R-P dyad
* Line or CAD-Line.
Derived Names:
sliding-Part : | a Part that you join with a Slide-Joint to a different Part.

A Slide-Joint in the graphics-area

Slide-Joint

The symbol for a Slide-Joint:

A Narrow Rectangle that is equal to the length of the Line in one of the Parts.

A Wide Rectangle that is equal to the length of the Line in the other Part.

An Arrowhead that is the Positive-Direction* of the Slide-Joint.

* The Positive-Direction is important if you want to add a motion to the Slide-Joint.

See Positive direction of Slide-Joints and Motion-Dimension.

IMPORTANT: To calculate reaction Forces on a Slide-Joint:

The length and position of the Lines should be equivalent to the actual design.

Add Slide-Joint:

Select two Lines

Select two Lines

A New Slide-Joint

A New Slide-Joint

STEP 1: Start the Add Slide-Joint command

Add menu > Mechanism sub-menu > Add Slide-Joint

OR

Kinematic elements toolbar > Add Slide-Joint

STEP 2: Click the two(2) Lines

1.Click a Line [image] in a free-Part

2.Click a Line [image] in a different Part

The two(2) Lines become collinear to add the Slide-Joint.

The Positive Direction of the Slide-Joint is identified by the small arrowhead.

If the Select-Elements dialog opens, see Slide-Joint Special Case

VIDEO: Add Slide-Joint - Simple-Case

Video: Add Slide-Joint - Special-Case

Video: Add Slide-Joint - Special-Case

Special Case: two(2) or more collinear Slide-Joints

Frequently, a machine design has two(2) collinear Slide-Joints between three Parts.

You must decide which two(2) Lines from which of two(2) Parts you want to select for each Slide-Joint.

For example:

There are a total three Parts. You must add two(2) Slide-Joints:

Slide-Joint#1 - joins Lines 1 & 2 (in Parts 1 & 2),

Slide-Joint#2: joins

Option A: Lines 3 & 1 (in Parts 3 & 1)

or

Option B: Lines 3 & 2 (in Parts 3 & 2)

Option A or Option B is important when you also add a Motion-Dimension FBs to control the motions of the two(2) Parts.

Preparation example:

Line in the Base-Part

CAD-Line along the center of a Sliding-Part

CAD-Line in a Part that is Completely-Free

You want to join the Part that is completely-free [image] to be become collinear with the existing Slide-Joint.

STEP 1:Add Slide-Joint

1.Mechanism-Editor: Add menu > Mechanism menu > Add Slide-Joint

OR

1.Mechanism-Editor: Kinematic elements toolbar > Add Slide-Joint

STEP 2:Select two(2) Lines:

1.Mechanism-Editor: Click the CAD-Line [image] in the Completely Free Part.

2.Mechanism-Editor: Click Lines [image] [image] at

You have clicked a total of three(3) Lines.

However, the Slide-Joint is between two(2) Lines.

Therefore, there is ambiguity. Which two(2) Lines do you want for the Slide-Joint?

Ambiguity: when MechDesigner does not know which elements you want to select.

When there is ambiguity, the Select Elements dialog opens.

<<< Select-Elements dialog
Two Lines are Compatible

Two Lines are Compatible

STEP 3:Select the TWO Lines in the Select-Elements dialog

1.Click a Line (CAD-Line2) at the top of the Element list (CAD-Line2)

2. key down

AND

3.Click one other Line in the Element list.

You can select:

CAD-Line2 and CAD-Line are compatible

OR

CAD-Line2 and CAD-Line3 are compatible

You cannot select:

CAD-Line and CAD-Line3 are NOT compatible (image below)

Why not CAD-Line and CAD-Line3 ?

There is a Slide-Joint between CAD-Line and CAD-Line3 already.

Two Lines are Compatible

Two Lines are Compatible
Two Lines are NOT Compatible

Two Lines are NOT Compatible

STEP 5: Close the Select-Elements dialog

Select-elements: Click [image] to close the Select-Elements dialog.

There are now two(2) Slide-Joint between three(3) Lines


Add Ball-Joint

Ball-Joint

Pin-Joints in MechDesigner

2x Ball-Joints in MechDesigner

Rod-End Bearing
2 x Ball-Joint in SOLIDWORKS

2 x Ball-Joint in
SOLIDWORKS

Terminology:

Ball-Joint : | A Ball-Joint makes a Point in a Connecting-Part coincident with a Point in a different Part. You must add 2 x Ball-Joints to add a Ball-Joint to each end of a Connecting-Part : ·1 x Ball-Joint between Points in different Parts that are in the active Mechanism-Editor. ·1 x Ball-Joint between Points in different Parts that are in different Mechanism-Editors.
Spherical-Joint : | The kinematic and equivalent term for a Ball-Joint.
Kinematics-Tree : | Joints in a Dyad use the letter S for a Ball-Joint. For example, the R-S-S and P-S-S Dyads.
Derived Names:
Connecting-Part : | A Part with a Ball-Joint at its start-Point and at its end-Point
Part that is Completely-Free : | A Part with 3 degrees-of-freedom (no joints)
Part that is Free : | A Part with 1 or 2 degrees-of-freedom

See also: Ball-Joint dialog, Connecting Part Length and Diameter.

See also Ball-Joint configurations

Preparation

A typical preparation:
A typical prerpation for Add Ball-Joint

A typical prerpation for Add Ball-Joint

Mechanism A

Usually, Mechanism A is perpendicular(⊥) to Mechanism B

·Part [image] in a kinematic-chain that is kinematically-defined in the image is Pink

Mechanism B - the active Mechanism-Editor

Three Parts:

1 × Part. It is kinematically-defined - typically the Base-Part.

2 × Parts [image] [image] . These Parts are not kinematically-defined.

·Part [image] : A Part that is free. It is joined to the Base-Part with a Pin-Joint.

·Part [image] : A Part that is Completely Free . It does not have joints before you do Add Ball-Joint.

Notes:

·The Mechanism-Editors cannot be parallel to each other. They are most often perpendicular(⊥) to each other.

·The Part that is Completely-Free [image] will joint to Parts [image] and to [image] with Ball-Joints - these are two(2) S joints in the S-S-R or S-S-P dyads. S is for Spherical-Joint.

·As you add the Part that is Completely-Free, try to estimate its length.

If it is too short or too long, the Ball-Joints cannot join it to Part [image] and Part [image] - you do not get the expected result.

Add Ball-Joint × two(2)

Do Add Ball-Joint two(2) times. One time to each end of the Completely Free Part.

STEP 1: Start the Add Ball-Joint command

Add Ball-Joint icon

Add menu > Mechanism sub-menu > Add Ball-Joint

OR

Kinematic elements toolbar > Add Ball-Joint

STEP 2: Add Ball-Joint #1

Mechanism-Editor B is active.

1.Click Point [image] at the end of the Part that is Completely-Free

2.Click Point [image] at the end of the Part that is Free.

If you cannot select the two(2) Points to add a Ball-Joint, disable the Auto-Update tool, and try again.

When you do Add Ball-Joint #1 you can see the Ball-Joint symbol.

However, Points [image] [image] do not snap together before you do Add Ball-Joint #2

STEP 3: Add Ball-Joint #2

1.Click Point [image] at the other end of the Part that is Completely-Free

2.Click Point [image] - the Pink Point - at the end of the Part that is kinematically-defined in Mechanism-Editor(A)

Result

The Ball-Joints [image] [image] snap to the Points in Mechanisms A and B.

The Parts that were Completely-Free and Free are now kinematically-defined

If the arrangement of the Parts that were Completely-Free and Free is not correct, then see Change-Dyad Closure

Kinematics-Tree

In the Kinematics-Tree,

There is a new Dyad - the R-S-S dyad.

The three Joints in the Dyad are:

·Pin-Joint [image] is the R joint - R is for Revolute-Joint

·Ball-Joints [image] [image] are the S Joints - S is for Spherical-Joint

Connecting-Part: Edit Length, Rod Diameter, Ball-Diameter

Notes:

·You cannot add Solids to Connecting-Parts.

To edit the Length of the Connecting-Part

1.Mechanism-Editor: Double-click the symbol for the Connecting-Part

It is now open in the Part-Editor.

2.Part-Editor: Edit the Length dimension of the Connecting-Part

3.Exit the Part-Editor

To edit the Symbolic Radius of the Connecting-Part

1.Mechanism-Editor: Double-click the symbol for the Connecting-Part

It is now open in the Part-Editor.

2.Part-Editor: Add a Line or Circle

3.Part-Editor: Add a dimension to the Line or Circle

4.Exit the Part-Editor

The dimension becomes the Radius of the Connecting-Part.

To edit the symbolic diameter of the Ball-Joint - see Ball-Joint dialog

Notes:

In the Part-Editor, when the view is not the Front View, the CAD-Line, Axes, sketch-elements and dimensions may show in unusual places!

If you cannot add or edit a dimension: do View toolbar > Front Plane.

Also, to see the new Symbolic Radius: enable Visibility toolbar > Show Solids in Mechanisms


Change Dyad Closure

Change Dyad Closure / Change Configuration of Dyad's Assembly.

Terminology

Dyad : also known as Assur Group : | A dyad is an assembly of two Parts and three joints. There is one joint that joins the two Parts together. The two other joints join the Parts to two other Parts that are kinematically-defined. The two Parts and three joints in a dyad are kinematically-defined.
Assur Groups : | Another name for a dyad
Dyad Closures : | The different ways you can assemble the two Parts of a dyad
Configuration of the Dyad's Assembly is a different way to express Dyad Closure.
Types of Dyad : | Planar Dyads: R-R-R, R-R-P, R-P-R, R-P-P, P-R-P Spatial Dyads: S-S-R, S-S-P
R : | Revolute Joint = Pin-Joint
P : | Prismatic Joint = Slide-Joint
S : | Spherical Joint = Ball-Joint
See more: Dyads

Change Dyad Closure

RRR Dyad - Closure 1

RRR Dyad
Closure 1

Command-Manager: Change Dyad Closure

Command-Manager: Change Dyad Closure

RRR Dyad - Closure 2

RRR Dyad
Closure 2

STEP 1: Start the Change Dyad Closure command

Change Dyad Closure icon

1.Mechanism-Editor: Add menu > Mechanism menu > Change Dyad Closure

OR

1.Mechanism-Editor: Kinematic elements toolbar > Change-Dyad Closure

The Command-Manager indicates you must select a Part in the Dyad.

STEP 2: Select one Part in the Dyad

2.Click the Part-Outline of a Part in the Dyad whose assembly-configuration (Dyad-Closure) you want to change.

STEP 3: Complete the Command

3.Click [image] in the Command-Manager

The configuration of the assembly (Dyad Closure) should now be different.

<<< To the left, compare the bottom image with the top image.

STEP 4: Do again, if needed

4.If necessary, do 1 to 3 again and again to find the configuration of the assembly you want to apply to your design.

Top-Tip:

When there are many Dyads in the model it is sometime not easy to see which Dyad whose closure you need to change.

1.Kinematics-Tree: Click to Expand each Kinematic-Chain in the Kinematics-Tree

2.Kinematics-Tree: Click each Dyad

When you click to explore each dyad in the Kinematics-Tree, the five elements in the Dyad (2 Parts + 3 Joints) become red in the graphics-area.

Assembly-Configurations of the RRP Dyad

The joints in the R-R-P Dyad are: Revolute – Revolute – Prismatic.

In MechDesigner, the equal joint names are: Pin-Joint – Pin-Joint – Slide-Joint.

There are 4 possible assembly configurations (Dyad Closures).

The image below shows an Offset-Slider-Crank mechanism.
4 x Assembly Configurations of an Offset-Crank-Slider

4 x Assembly Configurations of an Offset-Crank-Slider

Part [image] is the Crank - to illustrate the 4 Dyad closures, it does NOT move.

Dyad: The two Parts in the R-R-P dyad are Parts [image] [image] .

To imagine the four assembly-configurations, do not add the Pin-Joint (R2) between Part [image] and Part [image] .

Part [image] can only rotate around the Pin-Joint, R1, at the end of the Crank.

Therefore, Pin-Joint R2 can ONLY be around the red circle at the end of Part [image] .

Part [image] can only slide along the Slide-Joint, P1, along Line [image] .

Important: The Point in Part [image] for the Pin-Joint (R2) is offset from the Slide-Joint and not on the Slide-Joint.

Therefore, Pin-Joint R2 can, also, ONLY be along the red lines that are offset from the Slide-Joint.

The red circle intersects the red lines. at 4 places.

Therefore, the Pin-Joint R2 can ONLY be at 4 places.

Therefore, the Offset Slider-Crank has 4 possible assembly configurations (Dyad Closures).


Add Trace-Point

Trace-Point

Terminology:

Trace-Point :

a locus, or a path, of a moving Point relative to the Mechanism-Plane for one machine-cycle.

Add Trace-Point

Add Trace-Point does NOT add a Point to your model.

You must select a Point that is in your model before you do Add Trace-Point.

Three example Trace-Points

Three example Trace-Points

STEP 1:Start the Add Trace-Point command

1.Mechanism-Editor: Add menu > Mechanism sub-menu > Add Trace-Point

OR

Add Trace-Point

1.Mechanism-Editor: Kinematic elements toolbar > Add Trace-Point

STEP 2:Click a Point

2.Click a Point* in the graphics-area.

For example, in the image, Points [image] [image] and / or

* Start-Point, End-Point, center-Point, or Point

See below: How to drag a Point with a Trace-Point.

If the Select-Element dialog opens, you have clicked more than one Point.

1.a. CTRL + click a Point in the Select-Elements dialog

1.b. Click [image] to close the Select-Elements dialog

STEP 3: Complete the command

3.Click [image] in the Command-Manager

The Trace-Point is now in the graphics-area.

Video:

Video: Add Trace-Point

Video: Add Trace-Point

How to drag a Point with a Trace-Point

Normally, when the Mechanism-Editor is active, you cannot move a sketch-element that is a child to a Part.

However, it is sometimes useful to search for a good Trace-Point, by moving the Point.

You can drag Points in the Mechanism-Editor if ALL of these conditions are met:

The Point must be a Point - that, is, it cannot be a start-Point, end-Point or center-Point.

IF...

In the Part-Editor:

a.You do: Part-Editor > Add Point

AND IF...

Also, in the Part-Editor

b.You do not add a dimension or a constraint to the Point

AND IF...

In the Mechanism-Editor:

c.You add a Trace-Point to the Point

Then, you can drag the Point and the Trace-Point in the Mechanism-Editor.

Note:

To make it easier to move the Point:

·Reduce the Number-of-Steps to ~30 in the Machine Setting dialog

and / or

·Drag the Point and then wait until Trace-Point moves.

To add a Trace-Point of a Point relative to a Part that is NOT the Base-Part

A Trace-Point is the locus of a Point in a moving Part relative to the Base-Part. To see the locus of a Point in a moving Part relative to a different moving Part, you can add a 2D-Cam, and show only the path of the Pitch-Center.

1.Edit the Part with the Point whose locus you want to see relative to a moving Part.

2.Add a Circle, and add a Coincident constraint between the center-Point of the Circle and the Point.

3.Exit the Part-Editor

4.Add a Profile to the Circle

Add 2D-Cam - you must select two elements:

5.Cam-Part: Select the Part in which you want to show the locus of the Point

6.Follower Profile: Select the Profile of the Circle

To show the locus of the Point

7.Edit the 2D-Cam.

8.In 2D-Cam dialog > Display tab > Cam-Visibilities > Enable Pitch-Center.

The locus of the Pitch-center is the locus and Trace-Point of the Point relative to the Cam-Part.


Add Reference Geometry

Reference Geometry

Terminology:

Reference Geometry : | General term for a sketch-element that is a copy of a sketch-element from a different Mechanism-Editor to the active Mechanism-Editor.
Source Sketch-Element : | A sketch-element, in a moving or stationary Part in a different Mechanism-Editor.
Reference Sketch-Element : | A copy of the Source sketch-element, and its motion, to a Part in the active Mechanism-Editor.

Preparation

Preparation example:

Two(2) Mechanism-Editors

·Source

·Reference [image] - this is the active editor

A Circle [image] in Source sketch-element

The Circle is in the Source Mechanism-Editor.

To see the Source Mechanism-Editor when the Reference Mechanism-Editor is active.

·Visibility toolbar > Show other Kinematic and Sketch elements

AND

·Right-click Mechanism name-tab of the Source mechanism-Editor and select Show with 'other Kinematic and Sketch elements'.

AND

·View toolbar > Spin or use your arrow keys on your keyboard to spin the model to see the two editor.

Add Reference Geometry

STEP 1:Start the Add Reference-Geometry command

Add Reference Geometry icon

1.Add menu > Mechanism menu > Add Reference Geometry

OR

1.Kinematic elements toolbar > Add Reference Geometry

The Command-Manager indicates you must select two(2) elements

STEP 2:Select the two elements in the graphics-area

2.Click a sketch-element in the Source Reference-Editor.

Click the Circle [image] in the Source Mechanism-Editor [image] .

3.Click a Part in the Reference Mechanism-Editor

In this case there is only one Part - the Base-Part - in the Reference Mechanism-Editor.

STEP 3:Complete the Command

4.Command-Manager: Click [image] in the Command-Manager.

Result :

The Reference Geometry [image] is now in the Reference Mechanism-Editor.

The motion of the Source Geometry [image] are also transferred to the Reference Mechanism-Editor.

Video:

Video: Add Referecne-Geometry

Video: Add Referecne-Geometry


Machine elements

Machine elements

Machine elements are hardware components that you install on industrial machines.

Machine elements menu

Machine element menu

Machine element menu

Machine elements toolbar

The Machine elements toolbar is to the left of the graphics-area.

Machine elements toolbar

Machine elements toolbar


Add 2D Cam

Navigation: MechDesigner User Interface > 2.2 Mechanism-Editor: > Machine elements >

Return to chapter overview

Add 2D-Cam

Show/Hide Hidden Text

2D-Cam

See also: 2D-Cam dialog

We calculate for you the 2D-Cam from the relative motions of the Cam-Part and Follower-Part, together with the shape of the Follower-Profile.

Add 2D-Cam and Degrees of Freedom

Add 2D-Cam does NOT remove a degree-of-freedom.
Cam-Terminology / 2D-Cam Work-flow.

Terminology:

Terms : | Definitions
Cam : | The Part that supports the Cam-Profile shape. Its motion is the input to the Cam system.
Cam-Shaft : | A rotating-Part (the shaft) onto which you fix a 2D-Cam (or 3D-Cam). The shaft usually rotates with constant angular-velocity.
Cam-Profile : | The surface of a 2D-Cam that is in continuous contact with the Follower-Profile.
Cam-Track : | A groove that is cut into a Cam-Blank with an Outer and an Inner Cam-Profile.
Follower : | The Part that supports the Follower-Profile. Its motion is the output from the cam system.
Follower-Profile : | The surface that interacts with the Cam-Profile.
Follower-Roller : | A Follower-Profile that is cylindrical or barrel-shaped.
Flat-faced Follower : | A Follower-Profile that is a flat surface.
Translating Follower : | A Follower that moves along a straight axis.
Reciprocating : | A sliding-Part that has a non-progressive motion.
Rotating Follower : | A Follower that rotates about a fixed axis with a progressive or non-progressive motion.
Oscillating : | A rotating-Part that has a non-progressive motion.
Progressive Motion : | A motion that moves the Follower in one direction.
Non-Progressive Motion : | A motion that returns the Follower to its original position after each machine cycle.
Indexing : | A progressive, usually rotating motion.
Indexer : | A device whose input is a constant-speed Cam-Shaft and output is a rotating shaft with a progressive motion. After the cam-shaft rotates fully a number of times, the output shaft rotates by 360º.
Cam-Blank : | The material that you need before you cut the shape of the Cam-Profile.

2D-Cam: Work-flow

1.Add a 2D-Cam - see Machine elements toolbar > Add 2D-Cam

If the new 2D-Cam is one from a pair of Conjugate-Cams, or it is one flank of a Groove-Cam

1.a. Add a Conjugate-Cam FB - see Machine elements toolbar > Add Conjugate Cam FB

1.b. Edit the Conjugate-Cam FB to select least two 2D-Cams - see Conjugate-Cam dialog.

2.Select a 2D-Cam or a Conjugate-Cam FB as the Power Source for the Follower - see Configure-Power Source

3.Review the 2D-Cam : Display, Properties, Roller-Life, Cam-Life, ... - see 2D-Cam dialog

4.Add a Cam-Data FB - see Kinematic FBs > Add Cam-Data FB

5.Edit the Cam-Data FB to link it to the 2D-Cam- - see Cam-Data dialog : Cam Analysis

6.Connect wires from the Cam-Data FB to a Graph FB to analyze 5 parameters - see Cam-Data dialog : Cam Analysis

7.Edit the Cam-Data FB again to calculate the Cam's Coordinates - see Cam-Data dialog : Cam-Coordinates

Prepare to add 2D-Cam (typical):

Preparation for Add 2D-Cam

Preparation for Add 2D-Cam

The elements you need in the model before you do Add 2D-Cam:

Cam [image] - any Part that is kinematically-defined

Follower [image] - any other Part that is also kinematically-defined

Follower-Profile [image] - a Profile in the Follower-Part

The Cam usually moves, but it may be stationary.

The Follower usually moves, but it may be stationary.

The Cam and the Follower must move relative to each other.

The Cam-Part and Follower are usually in different kinematic-chains, but this is not necessary.

See also Shape of the Follower-Profile.

Do Add 2D-Cam:

STEP 1: Click Add 2D-Cam

Add 2D-Cam icon

1.Mechanism-Editor: Add menu > Mechanism menu > Add 2D-Cam

OR

1.Mechanism-Editor: Machine-elements toolbar > Add 2D-Cam

The command-manager indicates you need to select two elements.

STEP 2: Select the two elements

Element 1 is the Part to which you want to add the 2D-Cam.

1.Click the Part-Outline [image] in the graphics-area, or the Part element in the Assembly-Tree

Element 2 is the Follower-Profile in the Follower.

2.Click the Profile [image] in the graphics-area or the Profile element in the Assembly-Tree

STEP 3: Complete the Command

3.Command-Manager: Click [image] in the Command-Manager.

Result :

graphics-area

The Inner and Outer 2D-Cams show in the graphics-area.

Result :

Assembly-Tree

A Cam-Plate [image] as a child to the Part [image] to which you add 2D-Cam [image] .

The 2D-Cam [image] is a child to the Cam-Plate [image] .

The icon for the 2D-Cam in the Assembly-Tree provides a warning that it may be “Bad Cam”!

We base the warning for you on the Cam's Radius-of-Curvature as a percentage of the radius of the Follower-Roller. You can set the warning limit. The default warning limit is specified in the Application Settings - see here You can specify a warning limit for each 2D-Cam - see 2D-Cam dialog YOU must make sure the cam is suitable for your needs, even if it is a “Good Cam”.
 | “Good Cam”
 | “Bad Cam”

Next Steps:

If Force analysis is important

Configure the Power-Source and select the 2D-Cam - see Configure Power-Source

Add Mass-Properties to the important Parts in the model - see CAD-Line dialog

Add a Force Data FB to plot Torques, Forces over a machine-cycle - see Force-Data FB, Add Spring FB

If the Cam-Part is actually a Cam-Shaft, then you can select a servo-motor and gearbox - see Servo-motor and Gearbox

Edit the 2D-Cam

Select and edit the 2D-Cam to open the 2D-Cam dialog.

You can display its Pitch-Curve, edit its color, the thickness of the cam-profile, ...

You can estimate the Roller-Life and Cam-Life.

Analyze the Cam over a Machine-Cycle

Add and edit a Cam-Data FB and link it to the 2D-Cam you want to analyze - see Add Cam-Data FB and Cam-Data FB dialog : Cam Analysis

Analysis parameters include: Maximum Shear-Stress, Contact-Force, Radius-of-Curvature, Pressure-Angle, Sliding-Velocity

Calculate and export the Cam-Coordinates in different formats

Add and edit a Cam-Data FB to link it to the 2D-Cam for which you want the Cam-Coordinates - - see Add Cam-Data FB and Cam-Data FB dialog Cam-Coordinates

Calculate the Cam Coordinates as XY-Points or BiArcs.

Export the Cam Coordinates as TXT, DXF, STEP, or export the XY-Points or BiArcs directly to SolidWorks.

Video (EN):

Video: Add 2D-Cam

Video: Add 2D-Cam


Add 3D Cam

Navigation: MechDesigner User Interface > 2.2 Mechanism-Editor: > Machine elements >

Return to chapter overview

Add 3D-Cam

3D-Cam

See also 3D-Cam dialog

We recommend you do [image] Tutorial 6C: Barrel and Globoidal Cams if you have not used this command before.

Add 3D-Cam and Degrees of Freedom

Add 3D-Cam does NOT remove a Degrees-of-Freedom.

Terminology:

3D-Cam :

A 3D-Cam has complex Cam-Flanks that interact with Follower-Rollers. The axis the rotating 3D-Cam is not parallel with the rotating-axes of the Follower-Rollers.

Barrel, Cylindrical, and Globoidal Cams are different types of 3D-Cams.

Globoidal Cams are also known as Roller-Gear-Drives and Ferguson Cams.

Prepare to add a 3D-Cam (typical)

You must prepare the model with five(5) elements.

You must add elements to:

·3 Mechanism-Editors on 3 Planes to add a Barrel Cam

·4 Mechanism-Editors on 3 Planes to add a Globoidal Cam

All Parts are kinematically-defined before you do Add 3D-Cam.

Top-Tip: Rename the Mechanism-Editors to the names of the elements that you must select to add a 3D-Cam.

Mechanism: Name-tabs, Light-Bulbs, and Colors

Mechanism: Name-tabs, Light-Bulbs, and Colors

Prepare the view:

Before you start the Add 3D-Cam command, prepare the view so that you can see all five elements

1.Click Visibility toolbar > Show other Kinematic and Sketch elements

and

1.Right-click each Mechanism name-tab [image] that has an element you need to add a 3D-Cad

2.Click Show with other Kinematic and Sketch elements.

The Light-bulbs [image] should be orange.

It is easier to select the five elements when you cannot see Planes and Solids in the graphics-area

1.Deselect Visibility toolbar > Show Solids in Mechanism-Editor

Prepare the five elements and the view so that you can see all 5 elements.

Part : Follower

Profile : Follower-Roller

Part : Cam - in the active Mechanism-Editor

Profile : Cam-Blank

Line : Cam-Blank Rotational-Axis

Add 3D Cam

STEP 1: Click Add 3D-Cam

1.Mechanism-Editor: Add menu > Mechanism menu > Add 3D-Cam

OR

1.Mechanism-Editor: Machine-elements toolbar > Add 3D-Cam

There are five elements to select in the Command-Manager

STEP 2: Click the five elements, from top-to-bottom, in the graphics-area or the Assembly-Tree.

Part: Follower: Click the Cyan Part-Outline

Profile: Follower-Roller: Click the Pink Profile

Part: Cam: Click the Green Part-Outline in the active Mechanism-Editor

Profile: Cam-Blank Profile: Click the Yellow Profile (contour)

Line: Cam-Blank Rotational Axis: Click the Yellow Line

STEP 3: Complete the command

1.Command-Manager: Click [image] in the Command-Manager.

Elements to add a 3D-Cam:

Elements to add a 3D-Cam:

Result

You can see the 3D-Cam in the graphics-area.

The 3D-Cam has four surfaces, which enclose the solid volume that you cut from a Cam-Blank. The four surfaces are:

·Cam Flank × 2 - one flank for each working side of the Follower-Roller

·Floor Surface - a surface to connect the bottom edges of the Cam-Flanks

·Top Surface - a surface to connect the top edges of the Cam-Flanks. This surface should be outside of the Cam-Blank.

You should now edit the 3D-Cam parameters: See 3D-Cam dialog

Video:

Video: Add 3D-Cam

Video: Add 3D-Cam


Add Rack-Pinion - Ball-Screw

Rack-Pinion / Ball-Screw

See also Rack-Pinion dialog

Add Rack-Pinion removes one(1) degree-of-freedom from a rotating-Part or a sliding-Part.

Terminology

Rack -Pinion : | A Rack-Pinion is the term for a sliding, linear-gear (Rack) that is in mesh with a rotating, circular-gear (Pinion). The motion of the two Parts are kinematically-related by the module and number-of-teeth on the Pinion.
Ball-Screw : | A Ball-Screw is a device in which a Screw rotates to move a Nut, or vice-versa. The Linear-Motion of the Nut and the rotation of the Screw are related by the lead of the screw-thread.
sliding-Part : | a Part that is joined to another Part with a Slide-Joint.
rotating-Part : | a Part that is joined to another Part with a Pin-Joint.

Prepare to do Add Rack-Pinion (typical)

When the movement of the Rack comes from the Pinion (Driving Pinion)

Elements before you do Add Rack-Pinion

Line [image] - in a rotating-Part that is kinematically-defined

Line [image] - in a Sliding-Part that is not kinematically-defined

When the movement of the Pinion comes from the Rack (Driving Rack)

Elements before you do Add Rack-Pinion

Line [image] - in a sliding-Part that is kinematically-defined

Line [image] - in a rotating-Part that is not kinematically-defined

Add Rack-Pinion

When the movement of the Rack comes from the Pinion (Driving Pinion)

STEP 1: Click Add Rack-Pinion

Add Rack-Pinion Ball-Screw icon

1.Add menu > Mechanism menu > Add Rack-Pinion

OR

1.Machine-elements toolbar > Add Rack-Pinion

In the Command-Manager, there are two elements to select.

STEP 2: Select the two elements in the graphics-area

1.Click Line [image] - it is in the Part that is kinematically-defined.

2.Click Line [image] - it is in the Part that is NOT kinematically-defined.

STEP 3: Complete the Command

1.Command-Manager: Click [image] to complete Add Rack-Pinion.

Result :

The Pinion is on the Rotating-Part.

The rotating-axis of the Pinion is coincident with the Pin-Joint.

The Rack is on the Sliding-Part.

The Rack is parallel with the Slide-Joint.

The Pitch-Line of the Rack is offset from the center of the Pinion by the Pitch-Circle Radius of the Pinion.

The sliding-Part is now a Part that is kinematically-defined.

When the movement of the Pinion comes from the Rack (Driving-Rack)

STEP 1:Add Rack-Pinion

Add Rack-Pinion Ball-Screw icon

1.Add menu > Mechanism menu > Add Rack-Pinion

OR

1.Machine-elements toolbar > Add Rack-Pinion

In the Command-Manager, there are two elements to select.

STEP 2:Select the two elements in the graphics-area

2.Click Line [image] - it is in the Part that is kinematically-defined.

3.Click Line [image] - it is in the Part that is NOT kinematically-defined.

STEP 3:Complete the Command

4.Click [image] in the Command-Manager.

The Rack-Pinion is now in the Assembly-Tree and graphics-area.

Result :

The Pinion is on the Rotating-Part.

The rotating-axis of the Pinion is coincident with the Pin-Joint.

The Rack is on the Sliding-Part.

The Pitch-Line of the Rack is parallel to the Slide-Joint and sliding-Part.

The rotating-Part is now a Part that is kinematically-defined.

Kinematics-Tree of Rack-Pinion

When the movement of the Pinion comes from the Rack

Before you do Add Rack-Pinion, there is a sliding-Part that is kinematically-defined and a rotating-Part that has one degree-of-freedom.

After you do Add Rack-Pinion, the sliding-Part(Rack) and the rotating-Part (Pinion) are kinematically-defined.

When the movement of the Rack comes from the Pinion

Before you do Add Rack-Pinion, the rotating-Part is kinematically-defined and the sliding-Part has one degree-of-freedom.

After you do Add Rack-Pinion, the rotating-Part (Pinion) and sliding-Part (Rack) are kinematically-defined, and in one kinematic-chain.

Video of Add Rack-Pinion

Video: Add Rack-Pinion

Video: Add Rack-Pinion


Add Gear-Pair

Add Gear-Pair

See also: Gear-Pair dialog, Add Bevel Gear-Pair

Add Gear-Pair removes one(1) degree-of-freedom from a rotating-Part.

Terminology and definitions:

Gear-Wheel : | A rotating-Part with gear-teeth at a fixed diameter. The diameter is defined by the number and the module of the gear-teeth.
Gear-Pair : | Two inter-locking gear-wheels. Their teeth are in mesh. The angular velocity of each gear-wheel is related by the number-of-teeth on each gear-wheel, and the type of mesh.
Driving Part : | The rotating-Part that is kinematically-defined, and whose motion is defined (even if it is stationary) before you do Add Gear-Pair
Driven Part : | The rotating-Part whose motion is defined after you do Add Gear-Pair by the Driven-Part, the Number-of-Teeth on each Gear in the Gear-Pair, and the Mesh.
Gear-Mesh : | Inter-locking gear-teeth of a Gear-Pair that allow a torque and motion to be transmitted from one shaft to a different shaft.
External Mesh : | The two gear-wheels have gear-teeth that point outwards from their centers-of-rotation.
Internal Mesh : | One of the gear-wheels has gear-teeth that point inwards towards its center-of-rotation.
Simple Gear-Pair : | Two gear-wheels that rotate about two fixed centers.
Epicyclic Gear-Pair : | One gear-wheel orbits around the center of the other gear-wheel.

Prepare to do Add Gear-Pair

Simple Gear-Pair

3 × Parts ; 3 × Lines ; 2 × Pin-Joints

Line [image] & Line [image] and Parts are kinematically-defined

Line [image] and Part is not kinematically-defined

Lines [image] [image] are joined with Pin-Joints to each end of Line

Line [image] has a dimension [image] (in the Part-Editor)

Epicyclic Gear-Pairs

3 × Parts ; 3 × Lines ; 2 × Pin-Joints

Line [image] & Line [image] and Parts are kinematically-defined

Line [image] and Part is not kinematically-defined.

Lines [image] [image] are joined with Pin-Joints to each end of Line

Line [image] has a dimension [image] (in the Part-Editor)

Add Gear-Pair

Simple Gear-Pair

STEP 1: Click Add Gear-Pair (Simple)

Add Rack-Pinion Ball-Screw icon

1.Mechanism-Editor: Add menu > Mechanism menu > Add Gear-Pair

OR

1.Mechanism-Editor: Machine-elements toolbar > Add Gear-Pair

There are four elements to select in the Command-Manager

STEP 2: Select the four elements

1.Mechanism-Editor > Click Line

2.Mechanism-Editor > Click Line

3.Mechanism-Editors : Click Line

STEP 2: continued...

The Part-Editor opens automatically.

4.Part-Editor: Click the Dimension

The Part-Editor closes automatically.

STEP 3: Complete the Command

5.Command-Manager: Click [image] in the Command-Manager.

Result:

The Gear-Pair is in the graphics-area.

The default Gear-Pair has an External Mesh and they have same number-of-teeth.

The length of the Line between the centers of the gears - called the Line-of-centers - becomes a Driven-Dimension.

The length of the Line-of-Centers = (# Gear-Teeth 1 + # Gear-Teeth 2) × Module

The output Part is a Geared-Rocker in the Kinematics-Tree.

To edit the Gear-Pair parameters: see Gear-Pair dialog

Epicyclic Gear-Pair

STEP 1: Click Add Gear-Pair (Epicyclic)

Add Rack-Pinion Ball-Screw icon

1.Mechanism-Editor: Add menu > Mechanism menu > Add Gear-Pair

OR

1.Mechanism-Editor: Machine-elements toolbar > Add Gear-Pair

There are four elements to select in the Command-Manager

STEP 2: Select the four elements

2.Mechanism-Editor > Click Line

3.Mechanism-Editor > Click Line

4.Mechanism-Editor > Click Line

STEP 2: continued...

The Part-Editor opens automatically.

4.Part-Editor: Click the Dimension

The Part-Editor closes automatically.

STEP 3: Complete the Command

5.Command-Manager: Click [image] in the Command-Manager.

Result:

The Gear-Pair is in the graphics-area.

The default Gear-Pair has an External Mesh and the gears have same number-of-teeth.

The length of the Line between the Gear centers - called the Line-of-centers - becomes a Driven-Dimension.

The length of the Line-of-Centers = (# Gear-Teeth 1 + # Gear-Teeth 2) × Module)

The output Part is a Geared-Rocker in the Kinematics-Tree.

To edit the Gear-Pair parameters, see Gear-Pair dialog

Kinematics-Tree of Gear-Pair

Add Gear-Pair removes one degrees-of-freedom.

Gear-Pair

Before you do Add Gear-Pair:

·a rotating-Part that is kinematically-defined

·a rotating-Part that is NOT kinematically-defined - it has one degree-of-freedom.

After you do Add Gear-Pair,

·the two rotating-Part are kinematically-defined

·the rotating-Part that had one degree-of-freedom is now a Geared Rocker

Videos of Add Gear-Pair

Simple Gear-Pairs:

Video: Add a Gear-Pair (Simple)

Video: Add a Gear-Pair (Simple)

Epicyclic Gear-Pairs:

Video: Add a Gear-Pair (Epicyclic)

Video: Add a Gear-Pair (Epicyclic)


Add Bevel Gear-Pair

Add Bevel Gear-Pair

See also: Gear-Pair dialog

Add Bevel Gear-Pair and Degrees of Freedom

Add Bevel Gear-Pair removes one(1) degrees-of-freedom.

What is a Bevel Gear-Pair?

When you do Add Gear-Pair, you add two gears that are in mesh, with intersecting, parallel, rotating-axes.

When you do Add Bevel Gear-Pair, you add two gears that are in mesh, with intersecting, perpendicular, rotating-axes.

We find for you the motion of the Driven-Gear from the motion of the Driving-Gear, the number-of-teeth, and the mesh (internal or external).

Kinematics-Tree of Bevel Gear-Pair

Add Bevel Gear-Pair removes one degrees-of-freedom.

Bevel Gear-Pair

Before you do Add Bevel Gear-Pair, there is a

·rotating-Part that is kinematically-defined, and a

·rotating-Part that has one degree-of-freedom in a different Mechanism-Editor

After you do Add Bevel Gear-Pair, the rotating-Parts are kinematically-defined.

A Bevel-Pair is a child to the Geared-Rocker.

Prepare Bevel Gear-Pair

To add Bevel-Gears is more complex than to add a standard Gear-Pair.

The Parts you add for the two Bevel-Gears are on two different Mechanism-Editors.

The Mechanism-Planes of the two(2) Mechanism-Editors must intersect. They are frequently perpendicular to each other.

Below, for convenience, the names of the two Mechanism-Editors are Mechanism-A and Mechanism-B.

Preparation A1: Mechanism A

Line [image] & Line [image] are in Parts that are kinematically-defined

Lines [image] [image] are joined with a Pin-Joint

Line [image] has a dimension (in the Part-Editor)

See [image] Tutorial 1: Add a Rotating-Part.

Preparation A2: Add a Plane to the Line in the Base-Part

1.Click Model menu (or toolbar) > Add Plane

2.Click the Line [image] in the Base-Part

In the Add Plane dialog:

1.Enable Move Plane to end-Point

2.Enter 90º in the Rotate around the Z-axis

3.Enter 90º (default value) is in Rotate around the x-axis [image] .

See [image] Tutorial 1: Add a Rotating-Part.

New Plane for Mechanism-B

New Plane for Mechanism-B

Preparation A3: Add Mechanism-B to the new Plane

1.Click Model toolbar > Add Mechanism-Editor

2.Click the new Plane

You jump to the new Mechanism-Editor - Mechanism-B

A) Enable Visibility toolbar > Show other Kinematic and Sketch elements

AND

B) Right-click the Mechanism name-tabs Light-Bulb > Enable Show with other Kinematic and Sketch-Elements

C) Spin the model to show the other kinematic and sketch-elements

Preparation B1: Add a new Part and Pin-Joint

1.Click Kinematic elements toolbar > Add Part | Drag to add the Part

2.Click Kinematic elements toolbar > Add Pin-Joint

a.Click the start-Point of the new Part

b.Click the end-Point [image] of the Line in Mechanism-A

The Pin-Joint does not move the Points together.. The Part [image] moves to a new place!!!

See also: Geared-Rocker, Dyads and Kinematics-Tree

Add Bevel Gear-Pair

Note: Click Mechanism-A to make it the active Mechanism-Editor.

STEP 1: Click Add Gear-Pair

1.Mechanism-Editor: Add menu > Mechanism menu > Add Gear-Pair

or

1.Mechanism-Editor: Machine-elements toolbar > Add Gear-Pair

There are four elements to select in the Command-Manager.

STEP 2: Select the four elements

The Line along the center of the rotating-Part in Mechanism-A

The Line along the center of the rotating-Part in Mechanism-B

The Line in Base-Part

...

The Part-Editor opens to show Line [image] and its dimension [image] .

...

Click the arrowhead, or the dimension line.

STEP 4: Complete the Command

Click [image] in the Command-Manager.

Result:

The Bevel Gear-Pair is in the graphics-area.

The default Bevel Gear-Pair has an External Mesh and the gears have an equal number-of-teeth.

All Parts are kinematically-defined.

Bevel Gear Part is in the Kinematics-Tree as a Geared-Rocker.

To edit the Bevel-Gear-Pair parameters: see Gear-Pair dialog


Add Scroll

What is a scroll?

A Scroll feeds products into a Rotating Machine. The products are in a buffer as they move into the start of the Scroll. At the end of the scroll, the products move into a star-wheel. The star-wheel feeds the products into the rotating machine.

The pitch of the products in the buffer, at the start of the scroll, is the same as the length of the product. The products are moved apart by the scroll until their pitch becomes the same as the pockets in the star-wheel, that is at the end of the scroll. The pitch of the products on the star-wheel is the same as the pitch of the products on the Rotary Machine.

Other names for a Scroll are: Feedscrew, Worm.

Add Scroll

 | Machine Elements toolbar > Add Scroll
Menu : | Add menu > Mechanism sub-menu > Add Scroll
What to do : | You must do the Preparation before you can use 'Add Scroll'. You need five elements: 1.A Part for the moving 'Pack'. A sketch-loop is the cross-section of the 'Pack'. You must also add a Motion-Path FB (see 5) and generate a number of Motion-Points to the sketch-loop. 2.A Part that is the rotating Scroll. 3.A sketch-loop and Profile that is the cross-section of the Scroll. 4.A Line to be the Scroll's axis-of-rotation. 5.A Motion-Path FB.
Result : | A Scroll in the graphics-area.
Preparation : | There is a significant amount of preparation. You must prepare five elements in 2 Mechanism-Editors. See Preparation When you click Add Scroll, you see five selection-boxes in the Command-Manager.

Preparation for 'Add Scroll'

STEP 1: Pack: Shape; Motion, and Motion-Points

The Pack moves along a line that is parallel to the scroll's rotation-axis. It is also possible to rotate the Pack on its own axis as it moves from the entry to the exit of the scroll.

1.Add a Mechanism to a 'Plane' - the 'Front' Plane - in the Model-Editor.

2.Rename the Mechanism-Editor to 'Pack'.

In the new Mechanism-Editor:

3.Add a Slider with a motion to define the axial motion of the Pack

If the Pack rotates as it moves along the scroll:

4.Add a Rocker to the Slider Part, and a motion to define the rotation of the Rocker / Pack

5.Then add the shape of the Pack to the Slider or Rocker.

The shape of the Pack must be a sketch-loop. If the Pack is not prismatic, then the shape should represent the its cross-section at the height of the scroll's rotational-axis.

The Motion for the Axial and Rotation of the Pack
Click to Expand and Collapse

Click to Expand and Collapse

Pack Axial Motion

The motion usually has a 'Constant Velocity Segment' as its first and last segment.

Thus, there are two(2) Velocities you must consider.

Start Velocity, (SV)

Packs are usually adjacent '(bunched up', 'back-to-back')

SV = Product-Length ÷ Time for scroll to rotate one time

Final Velocity, (FV)

Packs should be at the same pitch as the star-wheel or circular pitch of the Rotary Machine

FV = Rotary Pitch ÷ Time for scroll to rotate one time

'Time', or 'Number of Machine Degree', for Scroll to rotate one time.

This is a function of the number-of-times the scroll rotates. Thus, of the length of the Scroll

The first constant velocity is the speed of the bottle at its entry.

The last constant velocity is the speed of the bottle at its exit.

You need to edit the motion later.

Pack Rotation

The Pack rotates by 90º as it moves from the entry to the exit.

The duration of the segment that rotates the pack is the same duration as the segment that accelerates the pack.

Motion-Path, Motion-Points.

In order to calculate the shape of the scroll, you must define the contact between the Pack and the Scroll.

Rather than a Profile, you add Motion-Points to the shape of the Pack. Each Motion-Point define a 'Rim' along the scroll - as you see.

1.Click Add Motion-Path

2.Click one of the sketch-elements that give the shape to the Pack

One Motion-Point [image] shows at the start-Point of the sketch-element that you click.

1.Double-click the Motion-Path FB to open the Motion-Path dialog

2.Edit the '# Motion-Points' to 10 - we can edit this number later, if necessary.

3.Click the 'Re-generate Motion-Points'.

4.Edit the 'Range' of the Motion-Points to 160º (use the Range option in degrees).

5.Edit the 'Base-Value' of the Motion-Points until they are only in the half of the sketch-loop for the Pack that 'faces' the rotation-axis.

The Motion-Points must be in the 'Green Area' The Motion-Points cannot be in the 'Red Area'.

A Motion for the Motion-Points

As the Pack rotates, we must also rotate the Motion-Points in the opposite direction so that they remain in the half of the Pack that faces the rotation-axis.

1.Connect a wire from the output-connector of the Motion-Dimension that rotates the Pack to the input-connector of the Motion-Path.

You may need to add a Gearing FB, with a ratio of -1, to move the Points in the opposite direction.

STEP 2: Add the Scroll rotation-section and its rotation-axis.

(Note: I have rotated the Pack by 180º on the rotating Part. This helps later)

We must add a sketch-loop that represents the rotation-section of the scroll.

1.Edit the Base-Part

2.Click Visibility toolbar > Show/Hide other Kinematic and Sketch elements - this shows the shape of the Pack [image] .

3.Add a rectangle [image] , that represents the section-of-rotation of the Scroll-Blank.

The rotation-section needs a rotation-axis.

4.Add a Line [image] that represents the rotation-axis of the scroll.

This should be along the X-axis of the Base-Part.

We must also add a Profile to the rotation-section [image].

1.Close the Part-Editor

2.Add a Profile [image] to the rectangle

When we send the rotation-section and rotation-axis to SolidWorks, SolidWorks makes a 'revolved-section'.

STEP 3: Add a Plane, Mechanism, add the Scroll Part

We add the scroll in a different Mechanism-Editor. We must add a new Plane for the new Mechanism-Editor.

The Plane to which we add the new Mechanism-Editor must be orientated in a particular direction. If the Plane is not in the correct orientation, we cannot add the scroll.

Add the new Plane

1.Spin the model with your keyboard arrow keys

2.Click Add Plane

3.Click the arrowhead of the X-axis at the Origin of the Base-Part

(you can also click the Y-axis)

The image shows the default position of the new Plane.

We must use the Add Plane dialog to re-orientate the Plane.

It is possible to use the Add Plane dialog to edit the orientation of the new Plane now.

However, I find it easier to 'Add a new Mechanism' to the Plane now, and then edit the Plane for the new Mechanism later.

4.Close the Add Plane dialog

5.Click Add Mechanism

6.Click the new Plane

7.Click OK in the Command-Manager

You 'jump' to the new Mechanism-Editor. Rename the new Mechanism-Editor to 'Scroll'

8.Click the 'Pack' Mechanism name-tab to return to the Pack Mechanism-Editor.

9.Click Tools menu (or toolbar) > 'Show Sketches in Mechanism'

You can now see the new Plane and the Base-Part [image] (in Grey) to give the orientation of the new Mechanism-Plane. The XY-axes of the Base-Part are coplanar with Mechanism-Plane.

10. Edit the new Plane - double-click it to open the Plane dialog

MechDesigner Rules - relative orientation of the new Plane with respect to the orientation of the Pack's Mechanism Plane.

·The Z-axis of the Scroll Mechanism's Base-Part must be co-axial with the X-axis of the Pack Mechanism's Base-Part

·The Y-axis of the Scroll Mechanism's Base-Part must be co-axial with the Y-axis of the Pack Mechanism's Base-Part

If you clicked the X-axis to add the new Plane, then the X, Y and Z-axis rotations are 90,90,90 respectively.

If you clicked the Y-axis to add the new Plane, then the X, Y and Z-axis rotations are 0,90,90 respectively.

The image shows the new orientation of the Base-Part and Mechanism-Plane of the 'Scroll' Mechanism.

11.Click the Scroll Mechanism name-tab

We now add the Part that represents the 'scroll'.

12.Add a rotating Part [image] .

Make sure the Origin of the Part is at the Origin of the Base-Part.

Add a Gearing FB, and edit its Gearing Ratio parameter so that the Scroll Part rotates many times in a machine-cycle.

I suggest a Gearing Ratio of 'x8' as the first estimate.

13.Click ALT+H keyboard shortcut to Home the model, in which the MMA is at 0

14.Rotate the view so you can see the elements in the two(2) Mechanism-Editors.

15.Click Add Scroll.

Select the five elements in order.

The Follower is the 'Pack' Part - in grey

The Part to carry the Feed-Screw is the 'Scroll', in the active Mechanism-Editor

The Profile is the 'rotation-section' in grey - the Profile element

The Line for the 'revolve axis' is the 'rotation-axis' in grey

The Motion-Path FB in the graphics-area

Click OK

You may need to click the Model-Editor to force a full model rebuild.

MechDesigner creates a surface for the part of the scroll that becomes in contact with the Pack, as the Pack advances.

STEP 4: Transfer the Scroll to SOLIDWORKS

To transfer the Scroll to SOLIDWORKS, we need to edit the Scroll element.

1.Double-click the Scroll in the graphics-area

or

1.Double-click the Scroll element in the Assembly-Tree

The Scroll Element dialog (Also called the Feed Screw - dialog).

The important separators are:

Cam (that is: Scroll) Surface Mesh Density

·Edit the number of Points along each Rim.

·Typically 500 to 1500.

Flank-Length

The Flank Length is with respect to the MMA.

·Typically, set to 0 to 360

Display

·color

·Transparency - applies to view in the Model only

·Show as Solid (Surface) and Rims check-boxes.

SOLIDWORKS Data Transfer

1.Start SOLIDWORKS, add a new Part, and Save it.

2.You can click each button in turn

If the Scroll Surface is not cut from the Scroll Blank, there may be a couple of things you should look at.

1.The end of the Scroll Surface is outside the ends of the Scroll Blank.

In the image, you can see that the Scroll-Blank extends past the start of the Scroll Surface.

Edit the Scroll-Blank in SOLIDWORKS or MechDesigner.

1.Move the left end of the sketch to the right by a small amount.

When the Scroll Surface is cut from the Blank, then hide the Scroll Surface.


Add Pulley

Add Pulley

See also : Pulley dialog

Terminology:

Pulley :

A rotating-Part. It is a wheel with teeth around its circumference. The teeth engage with a Belt.

The angular motion of the Pulley and the linear motion of a Belt are related by the radius of the Pulley.

The number-of-teeth and the Tooth-Pitch control the radius of the Pulley

There are two types of Pulley.

Type 1: Driving Pulley :

The pre-defined angular motion of the Pulley controls the linear motion of the Belt.

Type 2: Driven Pulley :

The pre-defined linear motion of the Belt controls the angular motion of the Pulley.

Belt:

It is a Timing-Belt (we do not show you the Teeth on the Belt). The Belt does not slip relative to the Teeth on the Pulleys.

The shape of a sketch-path represents the path of the Belt. The motion of a Motion-Point on the sketch-path represents the motion of the Belt;

The sketch-path has an Arc for each Pulley. A Pulley must rotate about the center-Point of an Arc.

Kinematic State before you do Add Pulley.

Type 1: Driving-Pulley: A rotating-Part is kinematically-defined.

Type 2: Driven-Pulley: A rotating-Part is not kinematically-defined.

Kinematic State after you do Add Pulley.

Type 1: The rotating-Part is kinematically-defined. It is a Driving-Pulley.

The motion of the Pulley, its number-of-teeth, and the tooth-pitch now specify the motion of the Motion-Point along the sketch-path (the Belt).

Type 2: The rotating-Part is kinematically-defined. It is a Driven-Pulley.

The motion of the Motion-Point along the sketch-path (the Belt), the Tooth-Pitch and the Number-of-Teeth on the Pulley, now specify the motion of the Pulley.

Kinematics-Tree of Pulley

Driven-Pulley

It is a Pulley-Rocker in the Kinematics-Tree after you do Add Pulley.

A Path-Joint is a child to the Pulley-Rocker.

Driving-Pulley

It is a Part that is kinematically-defined in the Kinematics-Tree before you do Add Pulley.

For example, a Driving-Pulley in the Kinematics-Tree is a Rocker.

Prepare to do Add Pulley (TYPICAL)

Prepare the sketch-path for the Belt.

Sketch-loop as the path of the Belt.

Sketch-loop as the path of the Belt.

Preparation 1: Add a sketch-path to represent the path of the Belt.

The sketch-path should include only Lines and Arcs. Usually, add Tangent constraints between each Line and Arc. Do not add equal constraints to the Arcs. The sketch-path is usually a closed sketch-loop. It is usually helpful to fully define the geometry of the sketch-path.

1.Mechanism-Editor: Edit the Base-Part (usually) or Part

2.Part-Editor: Add a sketch-path to represent the path of the Belt

3.Part-Editor: Add Tangent constraints between each Line and Arc.

4.Part-Editor: Add a dimension to the radius of each Arc. (Do not add Equal constraints between Arcs)

If the rotating-Part is a Rocker:

5.Part-Editor: Add a Line from the center-Point of the Arc that is the rotating-axis of the Rocker / Pulley

You need the Line to add a Motion-Dimension FB to the rotating-Part.
A Line for a Motion-Dimension FB

A Line for a Motion-Dimension FB

Add the Motion-Path FB to the sketch-path

Preparation 2: MOTION-PATH FB

Add ONE Motion-Path FB to the sketch-path.

1.Click Kinematic FB toolbar > Add Motion-Path FB.

2.Click a sketch-element in the sketch-path

The Motion-Path FB is in the graphics-area.

A Motion-Point is at the start-Point of the sketch-element you click.

Prepare the Rotating-Parts that become the Pulleys

A Pulley is a Driving-Pulley or Driven-Pulley. It is a rotating-part.

rotating-Part for a Driving-Pulley

rotating-Part for a Driving-Pulley

Preparation 3A: TYPE 1: DRIVING-PULLEY

A Driving-Pulley is a rotating-Part that is kinematically-defined.

Add a maximum of ONE Driving-Pulley to a Belt.

3.Add a Rocker with its Pin-Joint at the center-Point of the Arc with a Line (see Preparation 1: 5, above)

OR

3.Add Parts to the model, in which there is a rotating-Part with its Pin-Joint at the center of the Arc in the sketch-path of the Belt - it is kinematically-defined.
rotating-Part for a Driven-Pulley

rotating-Part for a Driven-Pulley

Preparation 3b: TYPE 2: DRIVEN-PULLEY

The motion of the Belt and the Pitch-Circle Diameter specify the motion of Driven-Pulleys.

The rotating-Part is not kinematically-defined before you do Add Pulley.

4.Add rotating-Parts to be Driven-Pulleys, with a Pin-Joints at the -Point of each Arc with a Driven-Pulley.

Add Pulley

STEP 1: Click Add Pulley

Add Rack-Pinion Ball-Screw icon

1.Mechanism-Editor: Add menu > Mechanism menu > Add Pulley

- or -

1.Mechanism-Editor: Machine-elements toolbar > Add Pulley

There are four elements to select in the Command-Manager

STEP 2: Click the four elements

1.Click a Pin-Joint at the center of a rotating-Part*.

2.Click the Motion-Path FB.

The Part-Editor opens

3.Click the dimension that controls the radius of the Arc.

The Part-Editor closes

4.Click the rotating-Part* that has a Pin-Joint (see 1) at the center-Point of the Arc (see 3)

* If the rotating-Part is :

·is kinematically-defined - the motion of the Pulley moves the Belt (Driving-Pulley).

·is not kinematically-defined - the motion of the Belt moves the Pulley (Driven-Pulley).

STEP 3: Complete the Command

5.Command-Manager: Click [image] in the Command-Manager.

Result:

The image shows two Pulleys. You must do Add Pulley two times.

New Pulley schematic shows in the graphics-area.

·Use the Motion-Path dialog to edit the Tooth-Pitch and length of the Belt.

The Pulley has an integer number-of-teeth.

·Use the Pulley dialog to edit the number-of-teeth on each Pulley.
1 x Driving-Pulley (Purple) 1 x Driven-Pulley (Magenta)

1 x Driving-Pulley (Purple)
1 x Driven-Pulley (Magenta)

Do Add Pulley to add 1 x Pulley.

Video: Add Pulley:

Video: Add Pulley (and the Belt-Path)

Video: Add Pulley (and the Belt-Path)


Add Conjugate Cam FB

Show/Hide Hidden Text

Add Conjugate Cam FB

See Conjugate-Cam dialog

About Conjugate Cams

The design of a cam-system must make sure the Follower-Profile (usually a Follower-Roller) in one kinematic-chain is in continuous contact with the Cam-Profile in a different kinematic-chain, at all machine-speeds.

There are two(2) designs you can use to make sure a Follower-Profile and a Cam-Profile remain in contact:

A.Force-Closed Cam - an external force pushes or pulls th Follower-Profile against the Cam-Profile. For example, a Spring, Air-Cylinder, Gravity, Magnet, ...

B.Body-Closed (Conjugate) Cam - a minimum of two(2) Follower-Profiles are in continuous contact with two(2) Cam-Profiles. The design makes sure that the Follower-Profiles cannot move away from the Cam-Profiles.

Why use a Conjugate Cam FB?

Typically, to analyze the Contact-Force and Contact Shear-Stress of a 2D-Cam, you select a 2D-Cam as the Power Source in the Configure Power-Source dialog.

However, if two Cams (called Conjugate-Cams) drive one kinematic-chain, you must add and configure a Conjugate Cam FB. Then select you can select it as the Power-Source in the Configure Power-Source dialog. If you do not use and configure a Conjugate Cam FB, the results will not be correct.
Cam-Terminology and 2D-Cam Work-flow.

Terminology:

Terms : | Definitions
Cam : | The Part that supports the Cam-Profile shape. Its motion is the input to the Cam system.
Cam-Shaft : | A rotating-Part (the shaft) onto which you fix a 2D-Cam (or 3D-Cam). The shaft usually rotates with constant angular-velocity.
Cam-Profile : | The surface of a 2D-Cam that is in continuous contact with the Follower-Profile.
Cam-Track : | A groove that is cut into a Cam-Blank with an Outer and an Inner Cam-Profile.
Follower : | The Part that supports the Follower-Profile. Its motion is the output from the cam system.
Follower-Profile : | The surface that interacts with the Cam-Profile.
Follower-Roller : | A Follower-Profile that is cylindrical or barrel-shaped.
Flat-faced Follower : | A Follower-Profile that is a flat surface.
Translating Follower : | A Follower that moves along a straight axis.
Reciprocating : | A sliding-Part that has a non-progressive motion.
Rotating Follower : | A Follower that rotates about a fixed axis with a progressive or non-progressive motion.
Oscillating : | A rotating-Part that has a non-progressive motion.
Progressive Motion : | A motion that moves the Follower in one direction.
Non-Progressive Motion : | A motion that returns the Follower to its original position after each machine cycle.
Indexing : | A progressive, usually rotating motion.
Indexer : | A device whose input is a constant-speed Cam-Shaft and output is a rotating shaft with a progressive motion. After the cam-shaft rotates fully a number of times, the output shaft rotates by 360º.
Cam-Blank : | The material that you need before you cut the shape of the Cam-Profile.

2D-Cam: Work-flow

1.Add a 2D-Cam - see Machine elements toolbar > Add 2D-Cam

If the new 2D-Cam is one from a pair of Conjugate-Cams, or it is one flank of a Groove-Cam

1.a. Add a Conjugate-Cam FB - see Machine elements toolbar > Add Conjugate Cam FB

1.b. Edit the Conjugate-Cam FB to select least two 2D-Cams - see Conjugate-Cam dialog.

2.Select a 2D-Cam or a Conjugate-Cam FB as the Power Source for the Follower - see Configure-Power Source

3.Review the 2D-Cam : Display, Properties, Roller-Life, Cam-Life, ... - see 2D-Cam dialog

4.Add a Cam-Data FB - see Kinematic FBs > Add Cam-Data FB

5.Edit the Cam-Data FB to link it to the 2D-Cam- - see Cam-Data dialog : Cam Analysis

6.Connect wires from the Cam-Data FB to a Graph FB to analyze 5 parameters - see Cam-Data dialog : Cam Analysis

7.Edit the Cam-Data FB again to calculate the Cam's Coordinates - see Cam-Data dialog : Cam-Coordinates

Prepare to Add Conjugate Cam FB

You need a Conjugate Cam FB only to do the correct Force-Analysis when a two Cams drive one kinematic-chain.

Preparation: The elements in the model before you do Add Conjugate-Cam FB:

·Two(2) 2D-Cams on one kinematic-chain Part. For example, on a Cam-Shaft

·Two(2) or more Follower-Profiles* in a different kinematic-chain. For example, on a Rocker

Each 2D-Cam must display one Cam-Profile - the Inner or the Outer.

See 2D-Cam dialog

* Follower-Roller and/or Flat-Faced Follower

See also Shape of the Follower-Profile.

Add Conjugate Cam FB

STEP 1:Add the Conjugate-Cam FB

1.Mechanism-Editor: Add menu > Mechanism menu > Add Conjugate-Cam FB

- or -

1.Mechanism-Editor: Machine-elements toolbar > Add Conjugate-Cam FB

The Conjugate-Cam-FB is now in the graphics-area.

STEP 2:Edit the Conjugate-Cam FB

1.Double-click the Conjugate-Cam FB in the graphics-area

or

1.See How to open a dialog

The Conjugate-Cam dialog is now open.

STEP 3:See Conjugate-Cam dialog


Mechanism Menu: Kinematics Function Blocks ...

Navigation: MechDesigner User Interface > 2.2 Mechanism-Editor: >

Return to chapter overview

Kinematic Function-Blocks

Kinematic Function-Blocks (FB)

Kinematic Function-Blocks are the 'brains' of kinematic-chains.

Connect Function-Blocks with wires. Motion-data* flows instantly through the wires and the Function-Blocks that you connect together.

Use Function-Blocks to plan and control the motion of kinematic-chains, to measure and plot linear or angular motion over a machine-cycle and also to calculate and export Cam-Coordinates.

* Motion-data - Position, Velocity, Acceleration with Linear or Angular motion-units.

See also How to connect FBs ; Forces menu and toolbar

Kinematics FB menu (from Add menu)

Kinematic FB menu

Kinematic FB menu

Kinematics FB toolbar

The Kinematic FB toolbar is to the right of the graphics-area

Kinematic FB toolbar

Kinematic FB toolbar


Function-Blocks | Connect, Parameter-Values, & Channels

Navigation: MechDesigner User Interface > 2.2 Mechanism-Editor: > Kinematic Function-Blocks >

Return to chapter overview

Function-Blocks | How to connect, their Data-Types & Channels

Function-Blocks: Wires and Connectors

Function-Blocks have connectors: input-connectors and/or output-connectors. You connect wires from an output-connector of a Function-Block to an input-connector of a different Function-Block.

The motion-data that flows through the wires and Kinematic Function-Blocks has three Data-Channels, The Data-Channels are Position, Velocity and Acceleration, with Linear or Angular motion-units.

Schematic: Function-Block Wires and Connectors

Schematic: Function-Block Wires and Connectors

The image above is a schematic of how you can add wires to connect Function-Blocks.

VIDEO : How to Connect Function-Blocks:

Video: How to Connect Funtion-Blocks

Video: How to Connect Funtion-Blocks

Data-Types of Motion Function-Blocks.

These Function-Blocks provide or process motion-data.

Linear-Motion FB

Output Data-Type = Rotary

Gearing FB

Output Data-Type = Input Data-Type

Motion FB

Output Data-Type = Rotary or Linear

See Motion FB dialog

Motion-Dimension FB

Output Data-Type = Input Data-Type

Motion-Path FB

No output-connector

Input Data-Type = Rotary or Linear

Measurement FB

Output Data-Type = Rotary or Linear

Point-Data FB

Output Data-Type = Rotary or Linear

Function-Blocks - their Data-Types and Data-Channels

Output-Connector from | Data Type | Data-Channel 1 | Data-Channel 2 | Data-Channel 3
Linear Motion FB | Rotary | Machine Angle | Machine Angular Velocity see Machine-Settings > Cycling Parameters | Machine Angular Acceleration
Gearing FB | Linear | Position - mm | Linear Velocity - mm/s | Linear Acceleration - mm/s/s
 | Rotary | Angle - deg | Angular Velocity deg/s | Angular Acceleration deg/s/s
Motion FB | Linear | Position - mm | Linear Velocity - mm/s | Linear Acceleration - mm/s/s
 | Rotary | Angle - deg | Angular Velocity - rad/s | Angular Acceleration - deg/s/s
Motion-Dimension FB | Linear | Position (mm) | Linear Velocity -mm/s | Linear Acceleration - mm/s/s
 | Rotary | Angle -deg | Angular Velocity -rad/s | Angular Acceleration - rad/s/s
Measurement FB | Linear | Position - mm | Linear Velocity - mm/s | Linear Acceleration - mm/s/s
 | Rotary | Angle -deg | Angular Velocity -rad/s | Angular Acceleration - rad/s/s
Point FB | Linear Linear Linear | X Position mm Y Position - mm Magnitude - mm | X Velocity - mm/s Y Velocity - mm/s Mag. Velocity- mm/s | X Acceleration - mm/s/s Y Acceleration - mm/s/s Mag. Acceleration - mm/s/s
Cam-Data FB | Rotary | Pressure Angle - deg | Contact Pressure Angel 1 - deg | Contact Pressure Angle 2 - deg
 | Linear | Inner Cam Radius-of-Curvature | Outer Cam Radius-of-Curvature | ------
 | Force | Contact Force Total - N | Contact Force, X component - N | Contact Force, Y component
 | Stress/Pressure | Inner Cam Shear Stress- N/mm2 | Outer Cam Shear Stress - N/mm2 | ------
 | Linear | Sliding-Velocity (mm/s) | ------ | ------
Force-Data FB | Force | Joint Total Force / Torque | X Component - N | Y Component - N
 | Force | Cam Contact Force - N | X Component - N | Y Component - N
 | Force | Spring Force - N | X Component - N | Y Component - N
Math FB | See Math FB dialog


Menu | Function-Block | Linear Motion

Navigation: MechDesigner User Interface > 2.2 Mechanism-Editor: > Kinematic Function-Blocks >

Return to chapter overview

Add Linear-Motion FB

Linear-Motion FB

See also:

Linear Motion dialog

How to Connect FBs

Terminology and Definitions

Master Machine Angle : | MMA - when you cycle your model, the MMA increases at a constant rate from 0 to 360, again and again. You can see and edit the MMA at the bottom and left of the application-window.
Linear Motion FB : | The default output from a Linear-Motion FB is equal to the MMA. You can edit the Linear-Motion FB to add or subtract a value from the default-output. The Linear-Motion FB is usually the first in a series of FBs that you connect together with wires.

Linear-Motion FB function

The function of the Linear-Motion FB is:

Output = MMA ±

MMA = Master-Machine-Angle

Use the Linear-Motion dialog to edit [image] .

Add Linear-Motion FB

What to do:

STEP 1: Add a Linear-Motion FB to the graphics-area

Add Linear-Motion FB

1.Click Kinematics FB toolbar > Linear-Motion FB

or

1.Click Add menu > Add Linear-Motion FB

2.Click the graphics-area

The Linear-Motion FB is now in the graphics-area (and Assembly-Tree).

STEP 2: Open the Linear-Motion dialog:

1.Double-click the Linear-Motion FB in the graphics-area.

OR

1.See How to Open a dialog

The Linear-Motion dialog is now open.

Dialog :

STEP 3: See Linear-Motion dialog


Menu | Function-Block | Gearing

Navigation: MechDesigner User Interface > 2.2 Mechanism-Editor: > Kinematic Function-Blocks >

Return to chapter overview

Add Gearing FB

Gearing FB

See also Gearing FB dialog

Terminology

Gearing FB :

The Gearing FB modifies motion-values with a linear equation / function.

The function has 3 parameters - see below

Gearing FB function

The function of the Gearing FB is:

Output = ( [image] * (Input + [image] )) +

Use the Gearing FB dialog to edit the three parameters

Add Gearing FB

What to do:

STEP 1: Add a Gearing FB to the graphics-area

Add Gearing FB

1.Click Kinematics FB toolbar > Gearing FB

OR

1.Click Add menu > Add Gearing FB

2.Click the graphics-area

The Gearing FB is now in the graphics-area (and Assembly-Tree).

STEP 2: Open the Gearing FB dialog

1.Double-click a Gearing FB in the graphics-area or Assembly-Tree

OR

1.See How to Open a dialog

Dialog :

STEP 3: See Gearing FB dialog

Notes:

·The default parameters do not change the motion-data.

·Connect a Gearing FB to the input of a Motion FB to change the frequency of a motion.

·Connect a Motion FB to the input of a Gearing FB to change the amplitude and/or direction of a motion.


Menu | Function-Block | Motion

Navigation: MechDesigner User Interface > 2.2 Mechanism-Editor: > Kinematic Function-Blocks >

Return to chapter overview

Kinematic FB | Add Motion FB

Motion FB

See also :

Motion FB dialog

Motion FB function

Edit the Motion FB to select with which Motion in MotionDesigner you want to link to the Motion FB.

The input to, and the output from, the Motion FB correspond directly to the X-axis and Y-axis values, respectively, of the Motion you select.

Add Motion FB

What to do:

STEP 1: Add a Motion FB to the graphics-area.

Add Motion FB

1.Click Kinematics FB toolbar > Motion FB

or

1.Click Add menu > Add Motion FB

2.Click the graphics-area

The Motion FB is now in the graphics-area and Assembly-Tree.

STEP 2: Open the Motion FB dialog

1.Double-click the Motion FB in the graphics-area or Assembly-Tree

OR

1.See How to Open a dialog

The Motion FB dialog is now in open.

Dialog :

STEP 3: See Motion FB dialog


Add Motion-Dimension FB

Show/Hide Hidden Text

Motion-Dimension FB

See also Motion-Dimension dialog

Terminology and Definitions

Motion-Part : | The derived name for a Part whose Linear or Angular motion, relative to a different Part, you control with motion-values at the input to a Motion-Dimension FB.
Rocker : | A Motion-Part that rotates.
Slider : | A Motion-Part that slides.
Motion-Dimension FB : | A Motion-Dimension FB removes one degree-of-freedom from a Part - the Part becomes a Motion-Part and kinematically-defined.

Motion-Dimension FB function

The output from a Motion-Dimension FB controls the Linear or Angular motion of a Part, (with a derived-name of Motion-Part).

·Angular motion of a Motion-Part = Input motion-value + Base-Value (offset angle) - this is a Rocker

OR

·Linear motion of a Motion-Part = Input motion-value + Base-Value (offset position) - this is a Slider

Use the Motion-Dimension dialog to edit the Base-Value

Add Motion-Dimension FB - ROCKER

Prepare the model with these elements.

Note the kinematic state of each element before you add a Motion-Dimension FB.

ROCKER
Element # | Element Type | Rules
#1 | Pin-Joint | ·Is between two(2) Points ·Each Point is the start-Point or end-Point of a Line (or CAD-Lines) ·Each Point is a child to a different Part ·One Part IS kinematically-defined, the other Part is NOT kinematically-defined
#2 | Line | ·This Line radiates from the Pin-Joint (see Element #1) ·AND this Line is in the Part that IS kinematically-defined
#3 | Line | ·This Line also radiates from the Pin-Joint (see Element #1) ·AND this Line is in the Part that is NOT kinematically-defined

Preparation: Motion-Dimension - Rocker (typical)

Preparation example:

·Two(2) Parts. In this case the Base-Part [image] and a rotating-Part

·Lines [image] [image] in each Part

·Pin-Joint [image] joins the start-Point and/or end-Points of each Line

·Part [image] is kinematically-defined

·Part [image] is not kinematically-defined

See Add Line, Add Part, Add Pin-Joint

Add Motion-Dimension FB (Rocker)

STEP 1: Select the Add Motion-Dimension FB command

Add Motion-Dimension FB

1.Click Kinematics FB toolbar > Motion-Dimension FB

or

1.Click Add menu > Add Motion-Dimension FB

The Command-Manager indicates that there are three elements to select:

STEP 2: Select the three elements in the graphics-area

Element #1: PIN-JOINT

1.Click a Pin-Joint

The Pin-Joint must be a joint between two(2) Parts, and:

·One Part must be kinematically-defined

·The other Part must be a free and joined with a Pin-Joint to the Part that is kinematically-defined

Elements #2 and Element #3: Lines

Each Line must be a child to a Point and also a child to the Pin-Joint. (Element #1)

2.Click Line [image] in the Part that is kinematically-defined

3.Click Line [image] in the free Part

STEP 3: Complete the Command

1.Click [image] in the Command-Manager to complete Add Motion-Dimension FB (Rocker).

Result:

The Mobility of the kinematic-chain is now Zero(0).

Part [image] is now a Part that is kinematically-defined.

The Motion-Dimension [image] and Motion-Dimension FB [image] controls the angle between the Lines

The Motion-Dimension FB icon [image] in the graphics-area for a Rocker.

Note: In the graphics-area:

·To move the Motion-Dimension [image] : CTRL+ Drag the FB icon

·To move the Motion-Dimension FB [image] : Drag the FB icon

Dialog :

STEP 3: Open the dialog - See Motion-Dimension dialog

Kinematics-Tree - Motion-Dimension (Rocker)

When you add a Motion-Dimension FB to a Pin-Joint, you add a Rocker to the Kinematics-Tree.

The kinematic elements are:

Part + Pin-Joint + Motion-Dimension =

ROCKER

Add Motion-Dimension FB and SLIDER

Prepare the model with these elements.

Note the kinematic state of each element before you add the Motion-Dimension FB.

SLIDER
Element # | Element type | Rules
#1 | Slide-Joint | ·Is between two(2) Lines* ·Each Line* is a child to a different Part ·One Part IS kinematically-defined, the other Part is NOT kinematically-defined * Line and/or Cad-Line
#2 | Point | ·the start-Point or the end-Point of one of the Lines in the Slide-Joint (Element #1), ·AND the Point (and Line) is in the Part that is kinematically-defined
#3 | Point | ·the start-Point or the end-Point of one of the Lines in the Slide-Joint (Element #1) ·AND the Point (and Line) is in the Part that is free

Preparation: Add Motion-Dimension - Slider (typical)

Preparation example:

1.Two(2) Parts

One Part is kinematically-defined ...the Base-Part

The other Part that is free

2.The Parts are Joined... with a Slide-Joint

3.Start Point [image] (or end-Point) of a Line in the Part that is kinematically-defined

4.start-Point [image] (or end-Point) of a Line in the Part that is free

The Lines are those that you select for the Slide-Joint [image] .

See Add Line, Add Part, Add Pin-Joint

Add Motion-Dimension FB (Slider)

STEP 1: Add the Motion-Dimension FB

Add Motion-Dimension FB

1.Click Kinematics FB toolbar > Motion-Dimension FB

or

1.Click Add menu > Add Motion-Dimension FB

STEP 2: Select three elements in the graphics-area

Element #1: Slide-JOINT

1.Click a Slide-Joint

The Slide-Joint must be a joint between two(2) Parts, and:

·One Part is kinematically-defined

·The other Part is free

Elements #2 and Element #3: POINTS

Each Point must be a child to a Line that is also a child to the Slide-Joint. (Element #1)

2.Click the Point [image] in the Part that is kinematically-defined

3.Click the Point [image] in the Part that is free

STEP 3: Complete the Command

1.Click [image] in the Command-Manager to complete Add Motion-Dimension FB (Slider).

Result :

The free Part is now kinematically-defined.

The Motion-Dimension [image] and Motion-Dimension FB [image] controls the distance between the Points

The Motion-Dimension FB icon [image] in the graphics-area for a SLIDER.

Note: In the graphics-area:

·To move the Motion-Dimension : CTRL + Drag the FB icon

·To move the Motion-Dimension FB : Drag the FB icon

STEP 4: Open the dialog - See Motion-Dimension dialog

Kinematics-Tree - Motion-Dimension (Slider)

When you add a Motion-Dimension FB to a Slide-Joint, you add a Slider to the Kinematics-Tree.

The kinematic elements are:

Part + Slide-Joint + Motion-Dimension =

SLIDER

Videos: Add Part, Add Joint, Add Motion-Dimension FB:

Add Motion-Dimension FB to a Pin-Joint

Video: Add Motion-Dimension - Rocker

Video: Add Motion-Dimension - Rocker

Add Motion-Dimension FB to a Slide-Joint

Video: Add Motion-Dimension FB - Slider

Video: Add Motion-Dimension FB - Slider

Special Methods

Frequently, in a machine, Pin-Joints can be coincident (co-axial) and Slide-Joints can be collinear.

There are two or more rotating-Parts that rotate about one center, or two or more sliding-Parts that slide along one axis.

Special Method: Coincident Pin-Joints

If you want to specify the motion of each rotating-part with a different Motion-Dimension FB, you must carefully plan as to which Points you select when you add the Pin-Joints.

Then, when you add the Motion-Dimension FBs, the Motion-Dimensions can reference the correct Parts.

The Points you select when you add the Pin-Joints determine between which two Parts you can specify the Motion-Dimension FB.

Special Method: Coincident Slide-Joints

If you want to specify the motion of each sliding-part with a different Motion-Dimension FB, you must carefully plan as to which Lines you select when you add the Slide-Joints.

Then, when you add the Motion-Dimension FBs, the Motion-Dimensions can reference the correct Parts.

The Lines you select when you add the Slide-Joints determine between which two Parts you can specify the Motion-Dimension FB.

Special Method 1

The methods and principles described below apply to Rockers and Sliders. However, the descriptions below are given for Rockers only.

Result of Special Method 1:

The model shows

·Two Motion-Dimension FBs

·They reference the same Line in the Base-Part.

You can see the dimension of the two Motion-Dimensions FBs start at the green horizontal Line.
STEP 1: Add Pin-Joints two times

There are two added Parts

There is an added Part. As always, it has a CAD-Line, with a start-Point and an end-Point.

There is also Line. This Line is in the Base-Part, which you cannot see.

There are three(3) Lines in three(3) Parts in total.

The start-Points of the lines are 5, 7 and 11.

Note: You can select the start-Points and/or the end-Points. However, when possible, use the start-Points.

Add Pin-Joint #1

In the image to the left, Pin-Joint #1 is between point 7 & 5

Now, add a Pin-Joint. #2

ADD Pin-Joint #2

Add Pin-Joint #2 between Points 11 & 5.

Q: Why Points 11 & 5 and not 11 & 7 ?

A: You want the Motion-Dimensions to reference the horizontal Line in the Base-Part.

Add Pin-Joint :

1.Click Point 11 and then try to click Point 5.

The Select-Elements dialog opens! Why? Because there is ambiguity.

Points 5 & 7 are at the same position. You have actually clicked three Points (11, 7 & 5).

You must select the two Points for the Pin-Joint.

About the Select Elements dialog:

·Is a list of ALL of the elements that you have clicked

·The element that you selected first is always at the top of the list.

·None of the elements are selected.

2.CTRL + Click ALL of the elements you need to complete the command.

In this image, select Point 11 and Point 5

1.CTRL + CLICK Point11 AND Point5

2.Click

Now, the two Parts are joined with a Pin-Joint to one Point in the Base-Part.
STEP 2: Add Motion-Dimension FB two times

The two Parts are now joined to the Base-Part with two Pin-Joints

Now, use the Motion-Dimension FB two times

Add Motion-Dimension 1

1.Click Function-Block toolbar > Add Motion-Dimension FB.

The Command-Manager show that you must select three elements [image], [image] and [image].

The first-element must be a Pin-Joint or Slide-Joint.

There are two Pin-Joints!

When you click the Pin-Joints in the graphics-area the Select-Elements dialog opens as there are two Pin-Joints.

In the Select-Elements dialog:

Click the Pin-Joint.

Now, select two Lines.

Click the horizontal Line [image] as the second element.

Click the CAD-Line [image] along one the Parts with which the Pin-Joint is made.

This image shows the three elements in the Command-Manager boxes.

The first Rocker Motion-Dimension FB.

Add Motion-Dimension #2

You must now select another three elements,

Function-Block Toolbar > Motion-Dimension FB again.

These are the elements.

Joint: Pin-Joint2.

Now, there is no ambiguity. There is only one Pin-Joint available.

Line – Solved: select the horizontal Line.

Line – Free: select the CAD-Line along the center of the Blue Part.

Here, you can see the result.

Both Motion-Dimensions FBs use the Horizontal Line in the Base-Part as a reference for the motion-dimension.

Note: When you add two Motion-Dimensions, the FBs may be on top of each other.

Drag each FB so you can see them.

Special Method 2:

Result of Special Method 2

·Motion-Dimension 1:

From the Line in the Base-Part

To a Line in 'Part 1'

·Motion-Dimension 2:

From the Line in 'Part 1'

To the Line in 'Part 2'
STEP 1: Add Pin-Joint two times

Again, there are two Parts and a Line in the Base-Part.

The Points at the ends of the lines are 5, 7 and 11.

You want to:

·Add a Pin-Joint between 'Point7' and 'Point5', and

·Add a Pin-Joint between 'Point11' and 'Point7'.

In the image to the left, Point7 is joined to Point5

CONDITION 2

Add the second Pin-Joint between Point11 to Point7.

·Q: Why Point7 and not Point5 ?

·A: Because Point7 is a child to CAD-Line [image] , you want this Motion-Dimension to reference CAD-Line [image] .

·We do not want the Motion-Dimension to reference the Line in the Base-Part. That was Method 1, above.

Select Point11.

Then try to select Point7

There is ambiguity between Point5 and Point7. Hence, the Select Elements dialog opens.

·ALL the elements you need for the command are made available to you

·The first element you select is at the top of the list.

In the image to the left, we have selected for you Point11 and Point7.

1.CTRL + CLICK Point11 AND Point7

2.Click

STEP 2: Add Motion-Dimension FB two times

The two Parts become joined with a Pin-Joint.

Do Add Motion-Dimension FBs two times.

You must select three elements to do each Add Motion-Dimension FB

Element 1: A Joint.

There is NO ambiguity when you select the Pin-Joint.

There is only ONE Pin-Joint between a Point in the Part that is kinematically-defined and the other Point in the Part that is free.

The Select Elements dialog does NOT open.

Elements 2 & 3: Two Lines – a Solved Line [image] then a Free Line

Select the Horizontal Line [image] and the CAD-Line

The three elements in the Command-Manager

Click [image] in the Command-Manager

You can see the First Motion-Dimension FB.

Add the second Motion-Dimension.

You must select three elements,

These are the element-types

1.Pin-Joint5, there is no ambiguity because the existing Motion-Dimension FB uses Pin-Joint2.

2.CAD-Line10: you must select this CAD-Line because it is a child to a Part that is kinematically-defined and its start-Point is referenced by Pin-Joint6

3.CAD-Line11: you must select this CAD-Line because it is a child to a Part that is not kinematically-defined and its start-Point is referenced by Pin-Joint6

This image shows the end result.

Motion-Dimension FB #1: uses the Horizontal Line that is a child to the Base-Part as a reference Line.

Motion-Dimension FB #2: uses the CAD-Line along the center of the added Part as the reference Line. The CAD-Line is kinematically-defined after you add Motion-Dimension FB #1 - see Method 1

Note: When you add two Motion-Dimensions, the FBs may be on top of each other.

DRAG each FB so you can see each of them.
Positive' Direction of Slide-Joints and Slider

The nursery rhyme : She swallowed a cat, that swallowed a mouse, that swallowed a spider, that swallowed a fly... comes to mind!

A Slider

To add a Motion-Dimension FB (for a Slider) you must select a Slide-Joint, and then one Point from each of the two Lines that define the Slide-Joint.

·The properties of the Motion-Dimension FB are determined by the properties of the Slide-Joint.

·The properties of the Slide-Joint are determined by the properties of the Lines you select to add the Slide-Joint.

·The properties of the Lines are determined by the properties their start-Points and end-Points.

Therefore, the positive-direction of the Motion-Dimension for a Slider is defined by the start-Point and end-Point of the two Lines in the Slide-Joint.

If the positive-direction of the Motion-Dimension is not as you want, you need to add the Lines and Slide-Joint again.

Top-Tip - plan. Drag Lines and Parts from the Start-Point to the end-Point in the same positive direction of the Motion-Dimension.

Always, the Positive Direction of a Motion-Dimension for a Slider :

'...is the Positive Direction of the Line, or CAD-Line, that is a child to the Part that is kinematically-defined before you add the Motion-Dimension FB to the Slide-Joint.

What is the Positive Direction of a Line, CAD-Line, or Part?

The direction in which you drag - from its start-Point to its end-Point - when you add the Line, CAD-Line, or Part.

Examples: positive direction of Sliders

·Line 1 is a child to a Part that is kinematically-defined before you add the Motion-Dimension FB

·Line 2 is a child to a Part that is kinematically-defined after you add the Motion-Dimension FB

I have used the red arrows to show the direction in which I dragged my mouse-point to add the Lines and Parts.

·Line 1 – L1 in the Base-Part- Drag up to the right

·CAD-Line/Part 2 – L2 - Drag up to the right

The Motion-Dimension is 11.9mm.

If you Increase the Motion-Dimension value, you move the Slider up to the right.

The small arrowhead shows the positive direction of the Slider.

·Line 1 – L1 in the Base-Part - Drag up to the right

·CAD-Line/Part 2 – L2 - Drag down from the left

The Motion-Dimension is 34.1mm.

If you increase the Motion-Dimension value, you move the Slider up to the right.

The small arrowhead shows the positive direction of the Slider.

·Line 1 – L1 in the Base-Part - Drag down from the right

·CAD-Line/Part 2 – L2 - Drag up from the left

The Motion-Dimension is 23mm.

If you increase the Motion-Dimension value, you move the Slider down to the left.

The small arrowhead shows the positive direction of the Slider.

·Line 1 – L1 in the Base-Part - Drag down Right to Left

·CAD-Line/Part 2 – L2 - Drag from Right to Left

The Motion-Dimension is 13.2mm.

If you increase the Motion-Dimension value, you move the Slider down to the left.

The small arrowhead shows the positive direction of the Slider.


Add Motion-Path FB

Motion-Path FB

See also Motion-Path dialog

Terminology and Definitions

Motion-Path FB : | A FB that adds a Motion-Point to a sketch-path - see sketch-loop
Motion-Point : | The motion-values at the input to the Motion-Path FB control the motion of the Motion-Point along the sketch-path.

Example applications of a Motion-Path FB:

To control the motion of a robot along a sketch-path

To control the motion of a chain or belt along a sketch-path

To control the motion of an extending-cylinder to raise a Scissor-Lift

Add Motion-Path FB

What to do:

STEP 1: Start the Add Motion-Path FB command

Add Motion-Path FB

1.Click Kinematics FB toolbar > Motion-Path FB

or

1.Click Add menu > Add Motion-Path FB

The Command-Manager has one selection-box.

2.Click a sketch-element from a sketch-path

3.Click [image] in the Command-Manager

The Motion-Path FB is now in the graphics-area (and Assembly-Tree).

AND

A Motion-Point is at the start-Point of the sketch-element you click on the sketch-path.

STEP 2: Open the Motion-Path dialog

1.Double-click a Motion-Path FB in the graphics-area

or

1.See How to Open a dialog

The Motion-Path dialog is now open.

Dialog :

Motion-Path dialog

Compare a Motion-Path FB with a Motion-Dimension FB

Function-Block | Motion-Path FB | Motion-Dimension FB
Motion Element | Motion-Point | Motion-Part
Constraint | sketch-path | Joint
Input | Motion-data at input-connector | Motion-data at its input-connector
SUMMARY | Motion-Point is constrained by a sketch-element and motion-data controls its position, velocity, and acceleration | A Motion-Part is constrained by a joint and motion-data controls its position, velocity, and acceleration.


Add Measurement FB

Show/Hide Hidden Text

Measurement FB

Use a Measurement FB to measure a Dimension.

You can measure the:

·Length of a Line, CAD-Line

·Radius of a Circle, arc

·Distance between two Points**

·Distance between a Line* and a Point**

·Distance between two parallel Lines*

·Angle between two Lines*

·Angle between three Points**

* Line, CAD-Line, X-axis, Y-axis.

** Point, start-Point, end-Point, center-Point, and Motion-Point.

The motion-values at the output-connector(s) of a Measurement FB.

The measurement is usually between sketch-elements that are in different Parts. Thus, the dimension changes throughout the machine-cycle.

The motion-values at the output-connector(s)§ s of a Measurement FB:

·are a function of the Master-Machine-Angle

·include the continually changing dimension

·include the first and second motion-derivative of the dimension.

§ There are two(2) output-connectors when you measure the distance between two Points* - see more details below

Connect wires from the output-connectors of a Measurement FB

You can connect wires from a Measurement FB to a:

·Graph FB or Stats FB - to analyze the dimension and motion-values

·Motion-Dimension FB or - to use the output as the motion-values for a Motion-Part.

·Motion-Path FB - to use the output as the motion-values for a Motion-Point.

·Motion FB - to use the motion-values as the X-axis of a Motion design in MotionDesigner.

·Math FB - to use the motion-values in an equation, or to change the units of the motion-values.

Messages:

Messages in the Feedback-Area may be: '1 Mechanism dependencies detected'. This means, that the motion of a kinematic-chain is a function of (dependent on) the motion (measurement) of a different kinematic-chain. It is usually called Motion-Dependency.

Add Measurement FB

Measurement FB between two Points

Measurement FB between two Points

Add Mearurement Fb

1.Click Kinematics FB toolbar > Measurement FB

or

1.Click Add menu > Measurement FB

2.Click a sketch-element or the sketch-elements between which you want to measure.

In this example, the Measurement FB [image] and Dimension [image] is between two Points

3.Click the graphics-area.

The Measurement FB [image] and Dimension [image] are now in the graphics-area.

Note:

In the graphics-area, to move the:

·Measurement FB [image] – Drag the FB

·Dimension [image] – CTRL + Drag the FB [image] or the Dimension [image] .

Measurement FB

Linear Distance
* Line, CAD-Line, X-axis, Y-axis ** Point, start-Point, end-Point, center-Point, Motion-Point.
Image | Sketch-Elements | Measurement Dimension
 | Line or CAD-Line. | Length: Click the Line*
 | Circle or Arc. | Radius: Click the circle or arc.
 | Point - Line | Perpendicular Distance between the Line and Point. 1.Click the Point** 2.Click the Line*
 | Point - Point | Linear Distance and Angle between two Points. ·Click a Point** ·Click a Point** A Measurement FB between two Points** has two output-connectors: ·Top output-connector: distance between two Points, and first and second motion-derivatives ·Bottom output-connector: angle between two Points, and first and second motion-derivatives
Angle between Three Points
Measurement: Angle between Three Points - Internal Angle and External Angle. ** Point, start-Point, end-Point, center-Point
Image | Sketch-Elements | Measurement Dimension
 | Three Points 1.Click 'Apex' Point** 2.Click Point** 3.Click Point** | Internal Angle The angle is from [image] to [image] in a Counter-Clockwise direction.
 | Three Points 1.Click 'Apex' Point** 2.Click Point** 3.Click Point** | External Angle The angle is from [image] to [image] in a Counter-Clockwise direction.
Angle between Two Lines

After you select the two Lines, and before you click in the graphics-area to place the Measurement Dimension and FB, you can display one of eight angles.

Move your mouse-pointer around the apex of the two lines:

CASE 1: Mouse -Pointer moves Counter-clockwise : 4 angles < 180° : the Acute, Obtuse, Supplementary and Vertical angles

CASE 2: Mouse-Point moves Clockwise : 4 angles > 180° : the reflex angles - or the angles that are external to those angles of CASE 1.

Video: Eight Measurement Angles between two Lines:

Add Angle Dimensions between two Lines

Add Angle Dimensions between two Lines


Add Point-Data FB

Point-Data FB

See also Point-Data dialog

Use a Point FB to measure the motion of a Point* has with respect to the Mechanism Plane.

It has three output-connectors. From top to bottom, the motion-data at the output-connectors are the:

èMotion of the Point* parallel to the X-axis

èMotion of the Point* parallel to the Y-axis

èMagnitude of the motion equal to:

o√(X2 + Y2)

Note: Motion include: Position, Velocity, and Acceleration of the Point*.

* Point, start-Point, end-Point, center-Point, Motion-Point.

The Point must be a child to a Part that is kinematically-defined.

Add Point-Data FB

STEP 1: Add a Point-Data FB to the graphics-area

Add Point-Data FB

1.Click Kinematics FB toolbar > Point-Data FB

or

1.Click Add menu > Add Point-Data FB

Then:

2.Click the graphics-area

The Point-Data FB is now in the graphics-area (and Assembly-Tree).

STEP 2: Open the Point-Data dialog:

1.Double-click the Point-Data FB in the graphics-area

OR

See How to Open a dialog

Point-DATA FB - with no  Point

Point-DATA FB - with no Point

STEP 3: Select a Point

When the box is Select a Point:

1.Click a Point* in the graphics-area.

* Point, start-Point, end-Point, center-Point, Motion-Point.

The box is now: Selected Point is:
Point-Data FB- with a Point

Point-Data FB- with a Point

STEP 4: Close the Point-Data dialog

1.Click [image] in the Point-Data dialog

The motion-data of the Point is now at the output-connectors of the Point-Data FB.

How to use the Point-Data FB:

You can connect a wire from the output-connector of a Point-Data FB:

·To plot the Position, Velocity and Acceleration of the Point with a Graph FB - see Note 1 below

·To the input-connector of a Motion FB. The motion-data from the Point-Data FB become the independent variable for a Motion in MotionDesigner, More usually, the independent variable is the output of a Linear-Motion FB - see Note 2 below

·To the input-connector of a Motion-Dimension FB - see Note 2 below

Note 1:

To plot the Position, Velocity and Acceleration of the Point in the same graph.

1.Drag a wire from the same output-connector of the Point-Data FB three times to different input-connectors on a Graph FB,

2.Use the Y–axis display options in the Graph Interface to display the three different motion-derivatives.

Note 2:

There is a message in the Feedback-Area: '1 Mechanism dependencies detected'.

You should Click Rebuild Now when the number of dependencies becomes more than 1 if the data is critical, before you use the data for a Cam, for example.


Menu | Function-Block | Cam Data

Navigation: MechDesigner User Interface > 2.2 Mechanism-Editor: > Kinematic Function-Blocks >

Return to chapter overview

Add Cam-Data FB

Show/Hide Hidden Text

Cam-Data FB

See also: Cam-Data FB > Cam Analysis ; Cam-Data FB > Cam Coordinates

Why should I use a Cam-Data FB?

After you link a Cam-Data FB to a 2D-Cam, you can use it to:

·calculate and save coordinates of the 2D-Cam cam-profile - see Cam-Coordinates, Cam-Coordinates File Formats

·analyze five different design parameters of the 2D-Cam - see Cam Analysis

Cam-Terminology and 2D-Cam Work-flow.

Terminology:

Terms : | Definitions
Cam : | The Part that supports the Cam-Profile shape. Its motion is the input to the Cam system.
Cam-Shaft : | A rotating-Part (the shaft) onto which you fix a 2D-Cam (or 3D-Cam). The shaft usually rotates with constant angular-velocity.
Cam-Profile : | The surface of a 2D-Cam that is in continuous contact with the Follower-Profile.
Cam-Track : | A groove that is cut into a Cam-Blank with an Outer and an Inner Cam-Profile.
Follower : | The Part that supports the Follower-Profile. Its motion is the output from the cam system.
Follower-Profile : | The surface that interacts with the Cam-Profile.
Follower-Roller : | A Follower-Profile that is cylindrical or barrel-shaped.
Flat-faced Follower : | A Follower-Profile that is a flat surface.
Translating Follower : | A Follower that moves along a straight axis.
Reciprocating : | A sliding-Part that has a non-progressive motion.
Rotating Follower : | A Follower that rotates about a fixed axis with a progressive or non-progressive motion.
Oscillating : | A rotating-Part that has a non-progressive motion.
Progressive Motion : | A motion that moves the Follower in one direction.
Non-Progressive Motion : | A motion that returns the Follower to its original position after each machine cycle.
Indexing : | A progressive, usually rotating motion.
Indexer : | A device whose input is a constant-speed Cam-Shaft and output is a rotating shaft with a progressive motion. After the cam-shaft rotates fully a number of times, the output shaft rotates by 360º.
Cam-Blank : | The material that you need before you cut the shape of the Cam-Profile.

2D-Cam: Work-flow

1.Add a 2D-Cam - see Machine elements toolbar > Add 2D-Cam

If the new 2D-Cam is one from a pair of Conjugate-Cams, or it is one flank of a Groove-Cam

1.a. Add a Conjugate-Cam FB - see Machine elements toolbar > Add Conjugate Cam FB

1.b. Edit the Conjugate-Cam FB to select least two 2D-Cams - see Conjugate-Cam dialog.

2.Select a 2D-Cam or a Conjugate-Cam FB as the Power Source for the Follower - see Configure-Power Source

3.Review the 2D-Cam : Display, Properties, Roller-Life, Cam-Life, ... - see 2D-Cam dialog

4.Add a Cam-Data FB - see Kinematic FBs > Add Cam-Data FB

5.Edit the Cam-Data FB to link it to the 2D-Cam- - see Cam-Data dialog : Cam Analysis

6.Connect wires from the Cam-Data FB to a Graph FB to analyze 5 parameters - see Cam-Data dialog : Cam Analysis

7.Edit the Cam-Data FB again to calculate the Cam's Coordinates - see Cam-Data dialog : Cam-Coordinates

Add Cam-Data FB

Cam-Data FB in Graphic-Area

Cam-Data FB in Graphic-Area

STEP 1: Add a Cam-Data FB to the graphic area

Add Motion FB

1.Click Kinematics FB toolbar > Cam-Data FB

or

1.Click Add menu > Cam-Data FB

2.Click the graphics-area

The Cam-Data FB is now in the graphics-area and Assembly-Tree.

Now, you must link the Cam-Data FB to a 2D-Cam in the model.

See Cam-Data dialog


Menu | Function-Block | Graph

Navigation: MechDesigner User Interface > 2.2 Mechanism-Editor: > Kinematic Function-Blocks >

Return to chapter overview

Add Graph FB

Graph FB

Terminology:

Graph FB : | Connect wires to the input-connector of a Graph FB to plot, over a complete machine-cycle, any data that is available at the output-connectors of other Function-Blocks.
Data-Channel : | Each wire provides three parallel streams of data. For example, the data is linear or angular position, plus the first and second motion-derivatives. Each stream of data on a wire is a Data-Channel.

Add Graph FB

STEP 1: Add a Graph FB to the graphics-area

1.Click Kinematics FB toolbar > Graph FB

or

1.Click Add menu > Add Graph FB

Then :

2.Click the graphics-area

The Graph FB is now in the graphics-area.

STEP 2: Connect wires to the input-connectors of the Graph GB

The Graph FB has five(5) input-connectors.

From the top, the input-connectors are:

·1 – 4: Y-axis inputs - See below: Y-axis Data-Channel Options

·5: X-axis input - See below: X-axis Data-Channel Options

Note: Data-Values at the input-connector for the X-axis (#5 input-connector)

Option 1: no data (not connected). The X-axis is equal to the Master-Machine-Angle

Option 2: data increases steadily. For example, the output-connector of a Linear-Motion FB, or Gearing FB

Option 3: data increases and/or decreases within a range of values. For example, the output-connector of a Motion FB, Measurement FB, or Point-Data FB

Note: if there is a fly-back across the graph, click Rebuild Now - this command may remove the fly-back.

If Rebuild Now does not remove the fly-back, increase the number-of-steps to 360 - see Machine-Settings > Number-of-Steps

STEP 3: Open the Graph FB

1.Double-click the Graph FB in the graphics-area

OR

See How to open a dialog

The Graph dialog is now open.

STEP 4: See: Graph FB Interface.

To review the kinematic, kinetostatic and cam data that you can plot with a Graph FB.

See also:

Application Settings | Number Format | Data Format

Graph FB Interface

Graph FB:

Y–axis : Scales

·Maximum 4 scales, that correspond to motion-value at input-connectors Y1 to Y4

·The color of the Y–axis and the plot-line are the same.

Y–axis : Digital Readout (D.R.O.)

·The X-axis and the Y1 – Y4-axis values at the position of the vertical cursor [image].

·The Number-Format for the X–axis, Y–axis, and data in Clipboard [image] are configured in Application Settings | Number Format tab.

X-axis and Y-axis Data-Channel Selector

·Each wire that is connected to a Y-axis orthe X-axis input-connector has up to 3 Data-Channels

·Select the Data-Channel in the drop-down box - see Data-Channel Selectors

The Graph Area:

·The color-coded graphs for each Y–axis input

·Vertical-Cursor [image] - see more below

Toolbar:

·Save, Print, Graph Settings, Zoom Extents, Pan Left, Pan Right, Copy Graph Data to Clipboard – see [image] below

Vertical-Cursor

When you click in the area of the Graph [image], the Vertical Cursor [image] snaps to your mouse pointer

When you drag your pointer in the graph :

·the Vertical-Cursor follows your pointer

·the Digital Readouts [image] continuously updates to indicate the Y-axis values

·the Master Machine Angle updates to the position of the Vertical Cursor

·the kinematic-chains that are kinematically-defined move to a position that is defined by the Master Machine Angle.

Copy Graph Data to Clipboard

·When you click the right-most icon in the toolbar [image], the graph data is copied to the Clipboard [image].

·Paste this data to Excel, or

·To MotionDesigner in the Data Transfer table. You can plot it as an overlay or use it as a Motion (use Z Raw-Data).

Notes:

·Configure the Number-Format for the X–axis, Y–axis, and 'Data in Clipboard' in Application Settings | Number Format tab.

Data-Channel Selectors:

Each wire you connect to the Graph FB has three Data-Channels. The data-channels that are available are a function of the FB from which you connector the wire to the Graph FB input-connector.

Use the Data-Channel Selectors to select which of the three data-channels to plot.

The data-channels from a:

·Function-Block (Linear-Motion, Gearing, Motion, Motion-Dimension):

oLinear position, velocity, acceleration.

oAngular position, velocity, acceleration.

·Measurement FB or Point-Data FB:

oLinear position, velocity, acceleration of the Measurement dimension or Point's position.

oAngular position, velocity, acceleration of the Measurement dimension.

·Cam-Data FB

oPressure-Angle.
You can plot three Pressure Angles – See Pressure Angle

oCam Radius-of-Curvature.
You can plot Radii-of-Curvature for Inner Cam and the Outer Cam.

oContact Cam-Force

oMaximum Contact-Shear-Stress.
You must know the material-properties to obtain this data - See 2D-Cam dialog.

oEntrainment Velocity
The Entrainment-Velocity for the Inner Cam and the Outer Cam.

·Force-Data FB

If the Force-Data FB references a:

oPin-Joint that is a Power-Source, you can plot Application-Torque for a Servo-motor and Gearbox.

oSlide-Joint that is a Power-Source, you can plot the Application-Load for a Linear Servo-motor.

oPin-Joint or Slide-Joint that is NOT a Power-Source:

§ - Force in the X-axis direction :

§ - Force in the Y-axis direction:

o2D-Cam: you can plot the Contact Force between the Cam-Profile and the Follower-Profile.

oSpring FB: you can plot the Total Force, the X Force and the Y Force acting on the anchor-Point of the Spring.

TOP-TIP:

To show all three Data-Channels from the same output-connector of a Function-Block,

1.Drag three wires from the same output-connector of the Function-Block to three(3) different Graph FB input-connectors.

2.Select the different Data-Channels with the Y-axis Data-Channel Selector drop-down (right-side of graphs)


Mechanism menu: Modelling Function-Blocks

Navigation: MechDesigner User Interface > 2.2 Mechanism-Editor: >

Return to chapter overview

Modeling Function-Blocks

Modeling Function-Blocks

Use Modeling Function-Blocks for more complex modeling.

See also How to Connect FBs

Modeling FB menu (Add menu)

The Modeling Function-Blocks are directly from the Add menu.

Modelling FB menu

Modelling FB menu

Modeling FB toolbar

The Modeling Function-Block toolbar is above the graphics-area.

Modeling FB toolbar

Modeling FB toolbar


Add Point-Cloud FB

Why should I use a Point-Cloud FB?

Generally, a Point-Cloud is an array of coordinates that specify the shape of a 2D or 3D object. You can use a Point-Cloud FB for many reasons - for example, to reverse-engineer the shape of a Cam. From the shape, you can also reverse-engineer the motion of a Follower.

Use the Point-Cloud FB to:

·Import data that represents the shape of a 2D object

·Fit a curve to the data and shape of the 2D object

See also : Point-Cloud FB dialog

Add Point-Cloud FB

What to do :

STEP 1Add a Point-Cloud FB to a Part

Add Point-Cloud FB

1.Click Add menu > Add Point-Cloud FB

OR

1.Click Modeling FB toolbar > Add Point-Cloud FB

The Command-Manager has one selection box. You must select a Part.

2.Click a Part in the graphics-area or Assembly-Tree

3.Click [image] in the Command-Manager

The Point-Cloud FB is now in the graphics-area.

STEP 2Open the Point-Cloud dialog:

1.Double-click a Point-Cloud FB in the graphics-area or Assembly-Tree

OR

See How to Open a dialog.

The Point-Cloud dialog is now open.

STEP 3See Point-Cloud dialog.

Video :

See YouTube: http://youtu.be/IME9Eb4mpQE


Add Briefcase FB

Why should I use a Briefcase FB?

When a model becomes complex, and there are many kinematic-chains in each Mechanism-Editor, it becomes more difficult to identify which Function-Blocks control which Kinematic-Chain.

Example uses of a Briefcase FB:

·Use a Briefcase FBs to hide all of the Function-Blocks from the graphics-area

·Use a Briefcase FB to hide different groups of Function-Blocks. - E.g. Function-Blocks that control one kinematic-chain.

·Name each Briefcase FB to help remind you which FBs are in which Briefcase FB

·Edit each Function-Block directly from the Briefcase FB interface.

·Add a Briefcase FB to a different Briefcase FB.

See also : Briefcase FB dialog

Add Briefcase FB

What to do :

STEP 1:Add a Briefcase FB to the graphics-area:

Add Briefcase FB

1.Add menu > Add Briefcase FB

OR

1.Modeling FB toolbar > Add Briefcase FB

Then:

2.Click the graphics-area

The Briefcase FB is now in the graphics-area.

STEP 2:Open the Briefcase FB dialog

1.Double-click the Briefcase FB in the graphics-area or Assembly-Tree

OR

See How to Open a dialog

STEP 3:See Briefcase FB dialog


Add Statistics FB

Why should I use a Statistics FB?

Statistical data may include values as RMS, Maximum, Minimum, etc. values of a variable (wire data-channel).

Use a Statistics FB to list the Statistical data for the data that is available at the output of a different Function-Block.

See also : Statistics dialog

Add Statistics FB

What to do :

STEP 1:Add a Statistics FB to the graphics-area

Add Statistics FB

1.Click Add menu > Add Statistics FB

OR

1.Click Modeling FB toolbar > Add Statistics FB

Then:

2.Click the graphics-area

The Statistics FB is now in the graphics-area

STEP 2:Connect a wire to its input-connector

1.Drag a wire from a different FB to the input-connector of the Statistics FB

A wire is now connected to the input-connector of the Statistics FB.

STEP 3.Open the Statistics dialog

1.Double-click a Statistics FB in the graphics-area

OR

1.See How to Open a dialog

STEP 4:See Statistics dialog

Notes:

Wires that connect Function-Blocks have 3 Data-Channels (in most cases).

The 3 Data-Channels are usually:

·Position, Velocity, Acceleration (Angular or Linear).

·Total Force, Force X, Force Y (relative to the Mechanism-Plane)

See Data-Channels for more information.

Compare a Graph FB with a Stats FB:

·Graph FB : plot data over one machine-cycle.

·Stats FB : summarize a machine-cycle of data with different statistical parameters.


Add Polynomial-Fit FB

Why should I use a Polynomial-Fit FB?

With Inverse-Kinematics, your motion-design (that you design with MotionDesigner) is defined for a Tool/End-Effector. Then, typically, you add more parts, which you join to the Tool-Part, to create a more complex kinematic-chain. Finally, you use a servo-motor to drive a part that in the kinematic-chain, that has a different motion to the Tool-Part.

To plot the motion for the servo-motor you can use a Measurement FB, add a Graph FB, and then export a list of positional data-points for the servo-controller.

While this is often satisfactory, it is often preferable to give the servo-controller a series of polynomials rather than a list of data-points.

The output from the Polynomial Fit FB is the best-fit motion to the data at its input-connector, but defined as a series of 5th order Polynomials.

You can export the Polynomials directly to MotionDesigner. In MotionDesigner, you can further manipulate the Polynomials, as required.

Add Polynomial-Fit FB

What to do :

STEP 1:Add a Polynomial-Fit FB to the graphics-area

Add Polynomial-Fit FB

1.Click Add menu > Add Polynomial-Fit FB

OR

1.Click Modeling FB toolbar > Add Polynomial-Fit FB

Then:

2.Click the graphics-area

The Polynomial-Fit FB is now in the graphics-area

STEP 2:Connect a wire to its input-connector.

1.Drag a wire from a different FB to the input-connector of the Polynomial-Fit FB

A wire is now connected to the input-connector of the Polynomial-Fit FB.

STEP 3.Open the Polynomial-Fit dialog:

1.Double-click a Polynomial-Fit FB in the graphics-area

OR

1.See How to Open a dialog

The Polynomial-Fit dialog is now open.

STEP 4:See Polynomial Fit dialog

Notes:

Wires that connect Function-Blocks have 3 Data-Channels (in most cases).

The three(3) Data-Channels are usually:

·Position, Velocity, and Acceleration, or

·Total Force, Force X, and Force Y

See Data-Channels for more information.


Add Pattern FB

Why should I use a Pattern FB?

When you have Solids in your model, you can use a Pattern FB to make an array of one or more the Solids.

The Pattern FB is more capable than an Add Array tool as found in your CAD.

The Pattern FB must anticipate the motion of each Solid at each instant of the machine-cycle relative to the other Parts in the model.

When you use the Pattern FB to make an array of a Solid, and hide a Copy at different phases in the machine-cycle, you also remove its Mass-Properties.

See also: Pattern dialog

Add Pattern FB

What to do :

STEP 1Add a Pattern FB to the graphic-data

Add Pattern FB

1.Click Add menu > Add Pattern FB

OR

1.Click Modeling FB toolbar > Add Pattern FB

Then:

2.Click the graphics-area

The Pattern FB is in the graphics-area.

STEP 2Open the Pattern dialog

1.Double-click a Pattern FB in the graphics-area (or Assembly-Tree )

OR

See How to Open a dialog.

The Pattern dialog is now open.

STEP 3See Pattern-FB dialog.

Application Note: Pattern FB and a DRIVING Pulley:

A Driving Pulley is one in which the motion is applied to the Pulley and not to the Motion-Path FB.

If the Pulley makes one rotation in a machine-cycle, the Motion-Point (that represents the motion of the Belt) will not move along the complete length of the sketch-path in one machine-cycle.

If you want to use a Pattern FB to model an array of Solids along the complete length of a Belt, you must make changes to the rotation of the Pulley.

1.Add a Gearing FB to the input-connector of the Motion-Dimension FB that controls the motion of the Pulley

2.Open the Gearing FB dialog

3.Edit the Gearing Ratio = Belt-Length / Pulley-Circumference

The Pattern of the Solid elements should now be at equal spaces along the complete Belt-Length.


Add Math FB

Why should I use a Math FB?

A Math FB allows you to develop new functions that may not be available with other FBs.

Examples:

·Mechanism-Synthesis, when combined with Measurement FBs and Parameter-Control FBs.

·Add two or more Motions to create a new Motion - for example, add a Modified-Sinusoid motion-law to a Constant-Velocity motion-law to give a Starting-Velocity and Ending-Velocity that are not zero.

·Define Parametric equations for Piggyback Sliders.

·...

See also : Math FB dialog

Add Math FB

What to do :

STEP 1Add a Math FB to the graphic-data

Add Math FB

1.Click Add menu > Add Math FB

OR

1.Click Modeling FB toolbar > Add Math FB

Then:

2.Click the graphics-area

The Math FB is in the graphics-area.

STEP 2.Open the Math dialog

1.Double-click the Math FB in the graphics-area

OR

See How to Open a dialog.

The Math dialog is now open.

STEP 3.See Math FB dialog


Add Parameter-Control FB

Why should I use a Parameter-Control FB?

Use a Parameter-Control FB to:

·control a dimension of a sketch-element

·control an Extrusion Depth of an MD-Solid*

·control an Extrusion-Offset of an MD-Solid*

Apply a Parameter-Control FB for Mechanism-Synthesis, animations with more realistic effects.

* When a Parameter-Control FB controls the Extrusion-Depth or Extrusion-Offset of an Extrusion that has many facets, the model is slow to cycle.

See also : Parameter-Control dialog

Add Parameter-Control FB

What to do :

STEP 1Add a Parameter-Control FB to the graphic-data

Add Parameter-Control FB

1.Click Add menu > Add Parameter-Control FB

OR

1.Click Modeling FB toolbar > Add Parameter-Control FB

Then:

2.Click the graphics-area

The Parameter-Control FB is in the graphics-area.

STEP 2:Open the Parameter-Control dialog

1.Double-click the Parameter-Control FB in the graphics-area or Assembly-Tree

OR

1.See How to Open a dialog.

The Parameter-Control dialog is now open.

STEP 3:See Parameter-Control dialog


Add Design-Set FB

Why should I use a Design-Set?

Use Design-Sets to edit a number of dimensions and parameters in one place - the Design-Set.

Add to a Design-Set those dimensions and parameters that you believe to be important to the outcome of a design-objective. When dimensions are in a Design-Set, you cannot edit them in the model. You can add more than one Design-Set to the model.

Different Design Sets can be used for different purposes. A Design-Set to help make changes to a machine for a packaging size change.

A Design-Set should also remind you, or instruct other design engineers, which dimensions and parameters to edit.

You can even add to a Design-Set those dimensions that you do not want to edit. Give it the Label - Do Not Edit! In this way, you cannot accidentally edit the dimensions that you want to protect.

See Design-Set dialog

Add Design FB

Design-Set in graphic-area

Design-Set in graphic-area

STEP 1Add a Design-Set FB to the graphic-data

1.Click Add menu > Add Design-Set FB

OR

1.Click Modeling FB toolbar > Add Design-Set FB

Then:

2.Click the graphics-area

The Design-Set FB is in the graphics-area.
Double-click to open the Design-Set dialog

Double-click to open the Design-Set dialog

STEP 2: Open the Design-Set dialog

1.Double-click the Design-Set FB in the graphics-area or Assembly-Tree.

OR

See How to open a dialog

The Design-Set dialog is now open.

STEP 3: See Design-Set dialog

Notes :

When you add a dimension to a Design-Set, you can edit the dimension only in the Design-Set.

The dimension-lines and extension lines of a Dimension that you add to the Design-Set become gray in the Part-Editor.

A Motion-Dimension FB becomes gray if you add Base-Value of the Motion-Dimension to the Design-Set.

Also, it includes a small icon at its bottom,right corner, to remind you its value has been added to the Design-Set.

See also:

Online Video : Tutorial 7: Design-Sets


Add CAD-Control FB

Why should I use a CAD Control FB?

Use a CAD Control FB to synchronize the motion of one or more parts that are in a SolidWorks® Assembly with the motion of same Parts in a MechDesigner model/assembly.

Question: Why do this when MechDesigner is perfect to synchronize the motions of all of the Parts in a model?

Answer: Because SolidWorks® has useful tools. For example, Collision Verification, Interference Detection, ...

The Clearance Detection tool in SolidWorks® evaluates the exact gap between parts. You can use this tool to check that a 3D-Cam you export to SolidWorks has the same Clearance as the Radial Clearance that you enter in the 3D-Cam dialog.

After you configure the CAD Control dialog, motion-data that controls Parts in MechDesigner model/assembly are piped to the SolidWorks Distance or Angle mates that define the position of a Part in the assembly in SolidWorks®.

Add CAD Control FB

STEP 1Add a CAD-Control FB to the graphic-data

1.Click Add menu > Add CAD-Control FB

OR

1.Click Modeling FB toolbar > Add CAD-Control FB

Then:

1.Click the graphics-area

The CAD-Control FB is in the graphics-area.

STEP 2: Open the CAD-Control dialog:

1.Double-click a CAD-Control FB in the graphics-area

OR

See How to Open a dialog.

The CAD-Control dialog is now open.

STEP 3: See CAD Control dialog

Note:

Angles in SolidWorks® cannot be negative, but they can be in MechDesigner. Thus, you may need to use Gearing FBs to add a constant to the output values so that they have the same minimum and maximum values as those in SolidWorks®.


Add Continuous Crank FB

Why should I use a Continuous-Crank FB?

In a mechanism that is driven by an oscillating-Follower, the motion is usually designed for a Tool-Part and the oscillating motion of the Follower is found with Inverse-Kinematics.

Similarly, a mechanism may be driven by a crank that rotates completely (360º). Again, the motion is designed for the Tool, and the continuously rotating motion for the Crank is found with Inverse-Kinematics.

This is a typical application of the Continuous-Crank FB - it finds the correct length and rotational motion of the Crank.

See also: Continuous-Crank FB dialog

Add Continuous Crank FB

STEP 1: Add a Continuous-Crank FB to the graphics-area

1.Click Modeling FB toolbar > Continuous-Crank FB

Then:

2.Click the graphics-area

The Continuous-Crank FB is now in the graphics-area and Assembly-Tree.

STEP 2: Open the Continuous-Crank dialog:

1.Double-click a Continuous-Crank FB in the graphics-area

OR

See How to Open a dialog.

The Continuous-Crank dialog is now open.

STEP 3: See Continuous-Crank FB dialog


Force elements

Show/Hide Hidden Text

Force elements

To calculate the forces that act on Parts, there must be a minimum of one kinematic-chain that is kinematically-defined and a minimum of one Part with Mass and Inertia properties.

Parts have three sources of Mass Properties (Mass & Inertia):

They Mass Properties are:

·defined by the shape and Extrusion-Depth of a Profile/ Extrusion,

·defined by you as User Mass-Properties

·imported with a SolidWorks part document onto a CAD-Line

You can use each of these to add together the Mass Properties from each source

It is also important to Configure the Power Source to make sure the Power that flows through the kinematic-chain is correct.

Force elements

Use the tools and options in the Force elements menu or toolbar to calculate and show the force-vectors that act on Parts at Joints and the machine elements in your model.

On-line Tutorial: Tutorial 13: Forces Introduction

Force sub-menu

The Force menu is a sub-menu to the Add menu.

Force menu

Force toolbar

The Force toolbar is to the right of the graphics-area.

Forces toolbar

Kinetostatic Forces - Definitions:

FORCE

Action of its surroundings on a body tending to change its state of rest or motion.

LINE OF ACTION OF A FORCE

The line along which the vector that represents a given force lies.

MAGNITUDE OF A FORCE

Number of units of force obtained by comparing a given force with a standard, taken as unit force.

ACTIVE [APPLIED] FORCE

Force capable of producing motion.

REACTION

Force arising in a constraint and acting upon a constrained body due to the action of an active force upon that body.

CENTRIPETAL FORCE

Force causing the centripetal acceleration of a particle.

INERTIA FORCE

Product of the mass of a particle and the negative of its acceleration. Following D'Alembert, the inertia force can be regarded as being in equilibrium with the resultant of all the forces acting on the particle.

CENTRIFUGAL FORCE

Inertia force of a particle moving uniformly along a circular path.

CORIOLIS FORCE

Inertia force equal to the product of the mass of a particle and the negative of its Coriolis component of acceleration.

GRAVITATIONAL FORCE

Force equal to the product of the mass of a particle and the Gravitational Acceleration on Earth - taken as 9.806m/s/s.
Acceleration Definitions:

We calculate for you those Forces that result from these Accelerations :

CORIOLIS ACCELERATION

Component of the absolute acceleration of a point due to its velocity relative to a rotating frame of reference. It equals twice the vector product of the angular velocity of the moving frame of reference and the relative velocity of the given moving point.

CENTRIPETAL ACCELERATION

Acceleration of a point towards the center of curvature of its path as it moves along a fixed curve.

TANGENTIAL ACCELERATION

Component of acceleration of a point collinear with its velocity.

NORMAL ACCELERATION

Component of acceleration of a point normal to its velocity.

ANGULAR ACCELERATION

Rate of change of angular velocity with respect to time.


Force-Vectors: Calculate

Forces-Vectors: Calculate

Enable Force-Vectors: Calculate to silently calculate Kinetostatic Forces Vectors at each joint in each kinematic-chain that is kinematically-defined.

Force-Vectors: Calculate also calculates the Application Load or Application Load Torque for each kinematic-chain.

You must select the correct element as the Power-Source - see Configure Power Source.

 | Forces toolbar > Enable Force-Vectors: Calculate
 | Forces toolbar > Disable Force-Vectors: Calculate
 | Add menu > Forces sub-menu > Enable / Disable Forces-Vectors: Calculate
Note: To calculate the Forces Vectors: ·A minimum of one Part has mass and/or inertia And / Or ·A Spring FB applies an external force to the kinematic-chain
See also: Force-Vectors: Display Kinetostatic Servo-motor and Gearbox selection


Add Force-Data FB

Why add a Force-Data FB?

See also: Force-Data FB dialog

Use a Force-Data FB to measure the force* that acts ON a Point at a Joint, Spring, 2D-Cam, Pulley, or Rack-Pinion.

It is important to Configure Power Source correctly to calculate Force*.

* Force is the generic term we use for Force and Torque data.

Add Force-Data FB

Force-Data FB in graphic-area

Force-Data FB in graphic-area

STEP 1: Add the Force-Data FB to the graphics-area.

1.Click Add menu > Forces sub-menu > Add Force-Data FB

OR

1.Click Forces toolbar > Add Force-Data FB

Then:

2.Click the graphics-area

The Force-Data FB is now in the graphics-area.
Doube-click to edit Force-Data FB

Doube-click to edit Force-Data FB

STEP 2.Open the Force-Data FB dialog

1.Double-click the Force-Data FB to open the Force-Data dialog.

OR

See 'How to open a dialog'
Force-Data FB dialog

Force-Data FB dialog

STEP 3.Link the Force-Data FB to a Force-Element and a Point

A.Select a Force-Element

1.Click a Force-element in the graphics-area or the Assembly-Tree

Force-elements include: Joint, 2D-Cam, Spring, Pulley, Rack-Pinion,

A list of Available Points shows in the box below.

B.Select a Point in the box of Available Points

1.Click a Point in the box below Available Points

If you select a:

·Pin-Joint - there are two(2) Available Points
One Point on each Part of the Pin-Joint

·Slide-Joint - there are four(4) Available Points
Two Points on each Line of the Slide-Joint

·2D-Cam - zero(0) Available Points
Contact Point is selected

·Spring FB - two(2) Available Points
The Spring's Anchor Points

·Rack-Pinion - two(2) Available Points
The Contact-Points between the Rack and Pinion

Note: Even if a Point shows in the Selected Force Output Element box, click the Point in the Available Points box.

C.Complete the command

3.Click [image] to close the Force-Data FB


Configure Power Source

Why Configure Power Source?

There is one Power-Source for each degree-of-freedom in a kinematic-chain.

In the default case, we locate for you the Power-Source for a degree-of-freedom at the Joint whose position and motion are defined by a Motion-Dimension FB. The Power-Source may need to be moved to a different joint or element.

You use the Configure Power-Source interface to specify which element is the Power-Source for each degree-of-freedom in a kinematic-chain.

These elements can be a Power-Source: Joints (as Motors), 2D-Cams, Springs, and pulleys.

To identify the Power-Source

In the default case, there is a Power-Source at a joint whose motion is identified by a Motion-Dimension FB.

A Motor-Symbol [image] represents a Power-Source at a Joint.

To see the Motor-Symbol, enable:

·Force toolbar > Force-Vectors: Display

·Forces toolbar > Force-Vectors: Calculate

To open the Configure Power-Source dialog

There are four(4) methods to open the Configure Power-Source dialog.

Method 1

Double-Click the Motor-Symbol

Double-Click the Motor-Symbol

If you can see a Motor-Symbol

1.Double-click the Motor Symbol.

The Configure Power Source dialog is now open.

METHOD 2

Configure Power Source icon

1.Click the Kinematics-Tree in the Element-Explorer

2.Click the Kinematic-Chain for which you want to identify the Power-Source.

The Kinematic-Chain should be Blue.

3.Click Force toolbar > Configure Power Source icon.

The Configure Power Source dialog is now open.
Configure Power Source from Kinematics-Tree

Configure Power Source from Kinematics-Tree

METHOD 3 (<<< see image above )

In the Kinematics-Tree:

1.Click the Kinematics-Tree in the Element-Explorer

2.Click the Kinematic-Chain

The Kinematic-Chain label in the Kinematics-Tree should be Blue.

3.Right-click the Kinematic-Chain in the Kinematics-Tree

4.Click Configure Power Source in the shortcut menu

The Configure Power Source dialog is now open.

METHOD 4

1.Click the Kinematics-Tree in the Element-Explorer

2.Click the Kinematic-Chain

3.Press the ALT+P keyboard shortcut

The Configure Power Source dialog is now open.

See Configure Power Source dialog.


Add Spring FB

Why add a Spring FB?

See also: Spring FB dialog

Use a Spring FB to add a force between two Points*. The Points* are usually in different Parts.

* Point, start-Point, end-Point, center-Point.

A Spring FB can superimpose these forces:

·Spring Force - a force proportional to the dimensional difference between the Spring's Anchor-Point and its Free-Length.

·Constant Force - a constant force that pulls or pushes the Spring's Anchor-Points, throughout the machine-cycle.

·Coulomb Constant-Force - a constant force that acts in the opposite direction to the relative velocity between the Spring's Anchor-Point.

·Drag-Force - a force that is proportional to the relative velocity between the Spring's Anchor-Points.

·Drag Force-Squared - a force that is proportional to the square of the relative velocity between the Spring's Anchor-Points.

·Force-Function - a force-function that you add to the input-connector of the Spring FB.

The Forces values are superimposed (added) to together to give the Total-Force at the output-connector.

Terminology:

Anchor-Points : | The two(2) Points that define the axis through which the Spring FB applies its Force. You select the Points when you add a Spring FB.
Force element : | A Spring FB is a Force-Element.
Linear Motive Force : | The Spring FB can become a Power-Source. It indicates the Application Force that you must supply to drive the Kinematic-Chain. A Linear Motor would provide the Linear-Force.

Add Spring FB

Spring FB in the graphic-area

Spring FB in the graphic-area

STEP 1:Start the Add Spring FB command

1.Click Add menu > Forces sub-menu > Add Spring FB

OR

1.Click Forces toolbar > Add Spring FB

STEP 2:Select the Anchor-Points

1.Click two different Points - the Anchor-Points - in two different Parts.

The distance between the two Points shows next to your mouse-pointer.

2.Click the graphics-area to place the dimension and the Spring FB.

The Spring FB is now in the graphics-area.

STEP 3:Open the Spring FB dialog

Spring FB in the graphics-area:

Symbol | FB - see Spring FB connectors
Symbol | Spring between the anchor-points
 | Dimension between the anchor-points

Note: Positive (Negative) force values Pull (Push) the Anchor-Points together (apart).

Spring FB States:

The Spring FB can be in three different states.

STATE 1: The Spring FB is enabled.

The default state. The Spring FB exerts a Force that is defined by the parameters in the Spring FB dialog.
Spring FB - Enabled

Spring FB - Enabled

STATE 2: The Spring FB is not enabled.

To enable/disable the Spring FB

1.Edit the Spring FB to open the Spring FB dialog

In the Spring FB dialog

2.Select / deselect the Enable Check-box.

3.Click [image] to close the dialog.
Spring FB > Not enabled

Spring FB > Not enabled

STATE 3: The Spring FB is a Linear Motor

To change the Spring to a Linear-Motor

1.Open the Configure Power Source dialog of the kinematic-chain for which the Spring FB will be Linear-Motor.

In the Configure Power Source dialog:

2.Click the Motion-Dimension FB that applies the motion to the kinematic-chain

3.Click the Spring FB as the Power Source,

The Spring FB is now a Linear Motor.

4.Close the Configure Power Source dialog.

See - Configure Power Source
Spring FB > Linear Motor

Spring FB > Linear Motor


Force-Vectors: Display)

Navigation: MechDesigner User Interface > 2.2 Mechanism-Editor: > Force elements >

Return to chapter overview

Force-Vectors: Display

Forces toolbar > Force-Vectors: Display

Forces toolbar > Enable Force-Vectors: Display

Forces toolbar > Disable Force-Vectors: Display

Menu :

Add menu > Forces sub-menu > Enable/Disable Force-Vectors: Display

Force-Vectors show only when...

·Enable: Force toolbar > Force-Vectors: Calculate

AND

·Enable: Force toolbar > Force-Vectors: Display

AND

·A minimum of one Part is kinematically-defined and it has a mass(kg) - see CAD-Line dialog | Mass Properties.

AND/or

·A Spring FB applies a Force between two Points and the Parts are kinematic-defined.

AND

·Enable: Display Filters toolbar > Display Part-Outlines (default)

Force-Vectors in the graphics-area

Each Force-Vector is the Force that ACTS-ON a Part at a Joint in a kinematic-chain.

Vector Location: as rays from Points at Pin-Joints, Slide-Joints, Springs, Cam Contacts, gear contacts, belts.

Vector Direction: they are in the direction of the Force-Vector

Vector Length: their length is scaled to the magnitude of the Force - see Vector Scale buttons

Vector Magnitude: the Force that acts on the Point is at the arrowhead of each vector

Vector Color: - see below Colors: Part-Outlines and Force-Vectors.

Rotary Driving Moment / Driving Torque

The Torque-Vector is the Application-Torque that a motor and gear-box must be able to drive.

Location: at a Pin-Joint that you select to drive the kinematic-chain - see Configure Power Source

Length: proportional to the magnitude of the Torque.

Important:

The Torque-Vector does NOT include the torque to accelerate the inertia of a Servo-motor or Gearbox

To select and include a Servo-motor and Gearbox - see Kinematic Servo-motor and Gearbox Sizing.

Linear Driving-Force

The Driving-Force is the instantaneous Force to drive the kinematic-chain.

Location: at a Slide-Joint that you select to drive the kinematic-chain - see also: Configure Power Source)

Length: proportional to the magnitude of the Driving-Force.

Important:

The Driving-Force does NOT include a Linear Servo-motor to drive the kinematic-chain.

There is NOT a database of Linear Servo-motors.

Colors: Part-Outlines and Force-Vectors

When you enable Force-Vectors: Display, the color of each Part-Outline is changed.

The colors become the same color as the Force-Vector that ACTS-ON the Part, at a Point in the Part.

TOP-TIP

To help identify which Force-Vectors that act on a Part:

1.Hover above a Part-Outline

The Part-Outline AND the Force-Vector that ACTs-ON the Part change to the selected color, usually RED.

Use Configure Power Source to edit the color of each Force-Vector, and/or to hide Force-Vectors that act on different Parts.

See also: Kinetostatic Torque and Speed dialog


Solid elements

Solid elements

Note:

MD-Solids are those Solids that you add with the Add Profile/Add Auto-Profile commands.

CAD-Solids are those Solids that you import from your 3D-CAD onto a CAD-Line.

The commands in the Solids menu and Solids toolbar relate to MD-Solids only.

The commands in the CAD-Line dialog relate to CAD-Solids only.

To see MD-Solids and CAD-Solids, you must enable Visibility toolbar > Show Solids in Mechanisms

See also : Add CAD-Line

Solids menu

Solids menu

Solids toolbar

The Solids toolbar is above the graphics-area

Solids toolbar


Auto-Layer

What is 'Auto-Layer'?

Auto-Layer automatically uses the Part-Offset and Extrusion-Offset parameters to move all Auto-Profiles and Extrusions in a Mechanism-Editor along the Z-axis.

It is intended that the extrusions do not collide with each other when you cycle the model. Auto-Layer should save you time. However, Auto-Layer is not perfect.

Warning: You cannot undo the Auto-Layer command. If the Extrusions-Offset of each Extrusion is not correct for your design, you must edit each Extrusion to change the Extrusion-Offset and/or Part-Offset parameter.

Top-Tip:

Before you do Auto-Layer, you would usually add Auto-Profiles and MD- Solids to each Part in the Mechanism-Editor.

·Do Solids toolbar > Auto-Profile (Mechanism)

To see the MD-Solids that you add with the Auto-Profile (Mechanism) command:

·Enable Visibility toolbar > Show Solids in Mechanisms

Auto-Layer

Before 'Auto-Layer'

STEP 1:Do the Auto-Layer command.

1.Add menu > Mechanism sub-menu > Solids sub-menu > Auto-Layer

OR

1.Solids toolbar > Auto-Layer

Auto-Layer uses the Extrusion-Offset and Part-Offset parameters in Application-Settings > Auto-Profile dialog to calculate the offset required of each Extrusion.

After 'Auto-Layer'

Video:

Auto-Layer


Solids | Auto-Profile (Part)

Navigation: MechDesigner User Interface > 2.2 Mechanism-Editor: > Solid elements >

Return to chapter overview

Auto-Profile (Part)

What is an Auto-Profile?

An Auto-Profile is an MD-Solid, that we add for you with the Auto-Profile (Part) and Auto-Profile (Mechanism) commands

When you do Add Auto-Profile (Part), we add for you a quasi-sketch-loop and an Auto-Profile / Extrusion to one Part.

See also

Auto-Profile (Mechanism)

Notes:

To see the MD-Solids in a Mechanism-Editors, enable Visibility toolbar > Show Solids in Mechanisms

To edit an Extrusion, see How to open the Extrusion dialog.

Auto-Profile (Part)

Command-Manager Add Auto-Profile

Command-Manager
Add Auto-Profile

STEP 1:Do the Add Auto-Profile command:

1.Click Add menu > Mechanism menu > Solids menu > Add Auto-Profile (Part)

OR

1.Click Solids toolbar > Add Auto-Profile (Part)

The Command-Manager has one selection-box.

In the graphics-area or Assembly-Tree:

2.Click the Part-Outline of the Part that you want to Add or Delete an Auto-Profile

3.Click [image] in the Command-Manager.
Auto-Profile in Mechanism-Editor

Auto-Profile in Mechanism-Editor

IF the Part does not have an Auto-Profile:

We add or you a quasi-Sketch-loop and Auto-Profile / Extrusion to the sketch-loop ...

... to one Part

ELSE

IF the Part does have an Auto-Profile:

We delete for you the Auto-Profile and quasi-sketch-loop ...

... from one Part

The shape of the quasi-sketch-loop is a function of the Joints in the Part and the Bearing Sizes in the Application-Settings > Auto-Profile dialog

<< The image shows the Auto-Profile (Pink) around a Slide-Joint and a Pin-Joint.

Quasi-Sketch-Loops

Original quasi-Sketch-Loop after Add Auto-Profile

Original quasi-Sketch-Loop after Add Auto-Profile

Quasi-sketch-loops combine quasi-Arc and quasi-Line sketch-elements that have these properties:

·They do not have start-Points or end-Points.

·You cannot select, edit, delete quasi-Arcs or quasi-Lines.

·You cannot add a joint between a Part and a quasi-Line.

·There is no Tangent constraint between the quasi-Arc and quasi-Line sketch-elements.

However,

·You can edit the Radius (dimension) of each quasi-Line.

<<< In this image, when you edit the Radius of a quasi-Arc, you can see the Tangent constraint is missing between the quasi-Arc and quasi-Line.
Increased Radius of a quasi Arc.

Increased Radius of a quasi Arc.

To edit an Extrusion - Special-Case

Edit Extusion and shortcut menu

Edit Extusion and shortcut menu

Edit an Extrusion when Visibility toolbar > Show Model in Mechanism is disabled.

1.SHIFT+CLICK the Auto-Profile in the graphics-area

The Auto-Profile and Extrusion are in the Selection-Window.

2.Right-click the Extrusion in the Selection-Window

A shortcut menu shows next to your pointer.

3.Click Edit element in the shortcut menu

The Extrusion dialog opens.

See Extrusion dialog for more information


Solids | Auto-Profiles...

Navigation: MechDesigner User Interface > 2.2 Mechanism-Editor: > Solid elements >

Return to chapter overview

Auto-Profiles (Mechanism))

Auto-Profiles (Mechanism)

An Auto-Profile is a special case of an MD-Solid.

Enable Add Auto-Profile (Part) to add quasi-sketch-loops and Auto-Profiles to all of the Parts in the Mechanism-Editor.

Notes:

·Enable Visibility toolbar > Show Solids in Mechanisms to see MD-Solids in Mechanism-Editors.

·To edit an Extrusion, - see How to open the Extrusion dialog.

Add Auto-Profiles (Mechanism)

What to do :

Parts with Auto-Profiles.

Parts with Auto-Profiles.

To Add Auto-Profiles or to Delete Auto-Profiles.

1.Click Add menu > Mechanism menu > Solids menu > Add Auto-Profile (Mechanism)

OR

1.Click Solids Toolbar > Add Auto-Profiles (Mechanism)

Then:

2.Click the graphics-area

Result:

The Rule to enable or disable is:

IF ≤ 50% of the Parts have Auto-Profiles:

Add quasi-sketch-loops and Auto-Profiles / Extrusions ...

... to all Parts in the active Mechanism-Editor.

ELSE

IF > 50% of the Parts have Auto-Profiles:

Delete Auto-Profiles and quasi-sketch-loops ...

... from all Parts in all kinematic-chains in the active Mechanism-Editor.

Video :

Quasi-Sketch-Loops

Original quasi-Sketch-Loop after Add Auto-Profile

Original quasi-Sketch-Loop after Add Auto-Profile

Quasi-sketch-loops combine quasi-Arc and quasi-Line sketch-elements to a sketch-loop to control the shape of the Auto-Profile.

that have these properties:

·They do not have start-Points or end-Points.

·You cannot select, edit, delete quasi-Arcs or quasi-Lines.

·You cannot add a joint between a Part and a quasi-Line.

·There is no Tangent constraint between the quasi-Arc and quasi-Line sketch-elements.

However,

·You can edit the Radius (dimension) of each quasi-Line.

<<< In this image, when you edit the Radius of a quasi-Arc, you can see the Tangent constraint is missing between the quasi-Arc and quasi-Line.
Increased Radius of a quasi Arc.

Increased Radius of a quasi Arc.


Add / Update Polyline

Why add a Polyline?

A Polyline is a sketch-element.

Use Add Polyline to:

·Add a Polyline to a Gear-Pair or 2D-Cam.

·Update the shape of a Polyline if you edit a Gear-Pair or 2D-Cam

You can add one Polyline to each 2D-Cam and each Gear-Pair.

You can select one Polyline to add many Profiles.

Add Polyline & Update Polyline

STEP 1: Put the MMA to Zero degrees

1.Press ALT+H or the Home key on your keyboard

STEP 2:Start the Add Polyline command:

2.Click Add menu > Mechanism menu > Solids menu > Add Polyline

OR

2.Click Solids Toolbar > Add Polyline

The Command-Manager has one selection-box:

STEP 2:To ADD a Polyline

1.Click a 2D-Cam or Gear-Pair in the graphics-area

STEP 2:To UPDATE a Polyline

1.Click a 2D-Cam or Gear-Pair with has a Polyline that is not the correct copy of the 2D-Cam or Gear-Pair.

<<< image shows the 2D-Cam (in Blue) and the out-of-date Polyline in Dark-Green before Update Polyline.

STEP 3: End the command

1.Click [image] in the Command-Manager

If necessary:

2.Click Rebuild Now to make sure the Polyline is correct.

The Polyline is now a sketch-element in the Part that is equal to the shape or size of the 2D-Cam or Gear-Pair.


Show/Hide Extrusion

What does this tool do?

Use this tool to switch the visibility of an Extrusion.

Before you use this tool, to know if you can or cannot see the Extrusion.

·Use Visibility toolbar > Show Solids in Mechanisms

Show-Hide Extrusion

If you cannot see the Extrusion, (you can see the Profile) in the graphics-area:

1.SHIFT+Click the Profile in the graphics-area

2.Click Solids toolbar > Show-Hide Extrusion

The Command-Manager has one selection-box - the EXTRUSION is selected.

Click [image] in the Command-Manager

Now, you can see the Extrusion

If you can see the Extrusion in the graphics-area.

1.Click the Extrusion in the graphics-area

2.Click Solids toolbar > Show-Hide Extrusion

The Command-Manager has one selection-box - the EXTRUSION is selected.

Click [image] in the Command-Manager

Now, you cannot see the Extrusion

When you hide the Extrusion the color of the Extrusion element-icon in the Assembly-Tree and Selection-Window is gray.

Note: Other methods to Switch the Visibility of an Extrusion:

1.Shift+Click a Profile in the graphics-area.

The Extrusion shows in the Selection-Window

2.Right-click the Extrusion

In the shortcut menu

3.Select Show or Hide Solid Elements


Add Hole

What is a Hole?

A Hole cuts the shape of a sketch-loop through a Profile / Extrusion (MD-Solid) that is in the model.

Note: To see the Hole through the Profile / Extrusion, enable Visibility toolbar > Show Solids in Mechanisms

Add Hole

STEP 1:Start the command Add Hole:

1.Click Add menu > Mechanism menu > Solids menu > Add Hole

OR

1.Click Solids toolbar > Add Hole

The Command-Manager starts.

There is one selection-box.

STEP 2:Select the two elements for the Command-Manager

1.Click a sketch-loop [image] , all of which is inside the bounds of a Profile

2.Click the Profile [image] through which you want to cut the hole

The sketch-loop and the Profile are now in the selection-boxes in the Command-Manager

STEP 3:Complete the Command

1.Click [image] in the Command-Manager

Result:

Assembly-Tree: the Hole element is a child to the Profile element.

graphics-area: the Hole cuts through the Profile / Extrusion.

<<< image, in the Model-Editor, of the Hole that is cut through the MD-Solid.

See also: Sketch-Loop, Profile, Command-Manager

Video:

Add Hole to Profile

Add Hole to Profile


Add Profile / Extrusion

What is a Profile / Extrusion?

A Profile/Extrusion is a Solid.

Use Add Profile/Extrusion to add a Profile to a sketch-loop. We also add for you an Extrusion element as a child to the Profile.

You can add many Profile/Extrusions to the same sketch-loop.

Note:

The Follower-Profile you select when you Add 2D-Cam / Add 3D-Cam is a Profile element.

See also: Shape of the Follower-Profile.

Terminology:

Sketch-Loop : | A series of sketch-elements, that you join end to end to form a closed loop. The start-Points and end-Points where the sketch-elements join together must be merged to one Point. Sketch-loops cannot cross over each other. They cannot branch.
Profile : | Two offset contours that are a copy of the sketch-loop you select when you do Add Profile.
extrusion : | The Solid between the two offset contours.

Preparation for Add Profile / Extrusion

3x Sketch-Loops in a Part

3x Sketch-Loops in a Part

Three example sketch-loops in the model before you do Add Profile:

A Sketch-loop is in a Part

There are three different sketch-loops in the image to the left.

Add Profile / Extrusion

STEP 1:Start the Add Profile command

1.Click Add menu > Mechanism menu > Solids sub-menu > Add Profile

OR

1.Click Solids toolbar > Add Profile

The Command-Manager starts.
3x Sketch-Loops in a Part

3x Sketch-Loops in a Part

STEP 2:Select a sketch-element that belongs to a sketch-loop

1.Click a sketch-element [image] that is in one sketch-loop, or a Polyline

The name of the sketch-element is in the Command-Manager.
3 x Profile Contours in graphic-area

3 x Profile Contours in graphic-area

STEP 3:Complete the command:

1.Click [image] in the Command-Manager.

We add for you a Profile and Extrusion to the sketch-loop that you select.

Do 1 - 3 again to add a Profile to a different, or the same, sketch-loop.

RESULT: graphics-area:

We add for you the two contours of the Profile, which are copies of the sketch-loop, and the Extrusion, that is the Solid between the two Profile contours.

One of the contours is coplanar with the sketch-loop that you select.

Use the Extrusion dialog to move the contours and Extrusion relative to the sketch-loop, as required.

To see the Extrusion, enable Visibility toolbar > Show Solids in Mechanisms

See also How to open the Extrusion dialog

The images shows 3 × Profile / Extrusion.

The default color of the Extrusion is Blue.
3 x Extrusions in graphic-area

3 x Extrusions in graphic-area
Profile and Extrion elements in the Assembly-Tree

Profile and Extrion elements in the Assembly-Tree

Assembly-Tree:

The Profile is a child to the Part in which there is the sketch-loop.

The Extrusion is a child to the Profile.

See also :

Tutorial 4: Add Profile (external link)

Add Auto-Profile, Add Auto-Profiles, Polyline Sketch-Loop

Video Add Profile:

Add a Profile to a Sketch-Loop

Add a Profile to a Sketch-Loop

How to edit an Extrusion

To EDIT an Extrusion Element - with the Selection-Window.

In the graphics-area

1.SHIFT-CLICK the Profile

The Profile and Extrusion show in the Selection-Window.

In the Selection-Window:

2.Right-click the Extrusion

In the shortcut menu

3.Click Edit element

The Extrusion dialog opens.

See Extrusion dialog

OR

SELECTION-WINDOW: Right-Click
ASSEMBLY-TREE -  Right-click Extrusion

ASSEMBLY-TREE -
Right-click Extrusion

To EDIT an Extrusion Element - in the Assembly-Tree

In the Assembly-Tree

1.Click the Profile to expand and see the Extrusion element - a child to the Profile element

2.Click the Extrusion to make sure it has a square orange box around the Extrusion icon

3.Right-click the Extrusion

In the shortcut menu

4.Click Edit element.

How to delete a Profile

ASSEMBLY-TREE - Delete Profile

ASSEMBLY-TREE - Delete Profile

To DELETE a Profile Element

In the graphics-area

1.CLICK the Profile

The Profile shows in the Selection-Window.

In the Selection-Window:

2.Right-click the Profile

In the shortcut menu

3.Click Delete

We delete for you the Profile and the Extrusion elements from the model.


2.3 Part-Editor:

Navigation: MechDesigner User Interface >

Return to chapter overview

About the Part-Editor

Part-Editor

See: Why edit a Part?

Use the Part-Editor to

·edit the length of a Part

·add sketch-elements to Parts and the Base-Part.

After you add sketch-elements:

·add dimensions

·add constraints

You can edit one Part at a time.

To edit a different Part:

1.Close the Part-Editor

Select a different Part:

2.Start the Part-Editor again

Part-Editor workspace

Part-Editor: Example

graphics-area : shows sketch-elements, dimensions, Part-Axes.

Toolbars : are to the left and right of the graphics-area.

Name-tabs : are above the graphics-area. The name of the tab changes from the name of the Mechanism-Editor to the name of the Part.

Menus and Toolbars:

Geometry menu and toolbar to add sketch-elements.

Constraints menu and toolbar to add constraints to, or between, sketch-elements.


How to start (open) the Part-Editor

Navigation: MechDesigner User Interface > 2.3 Part-Editor: >

Return to chapter overview

... start the Part-Editor

Show/Hide Hidden Text

How to start (open) the Part Editor

See also: How to close the Part-Editor

See also: I cannot select the Part-Outline. What to do?

Notes:

The Part-Editor can edit one Part at a time.

To edit a different Part, you must close the Part-Editor to return to the Mechanism-Editor, and then edit the different Part.

Video: How to start the Part-Editor:

5 Ways to Start the Part-Editor

5 Ways to Start the Part-Editor

How to start the Part-Editor - more details

To start (open) the Part-Editor, do one these methods.

METHOD 1: Edit-Part icon

STEP 1: Click a Part-Outline [image] in the graphics-area

STEP 2: Click Edit toolbar > the Edit Part in Part-Editor

The Part-Editor is now open.

Note: The Edit Part icon is to the left of the graphics-area.

See also: How to close the Part-Editor: Method 1

METHOD 2: Selection-Window

Click the Part-Outline in the Graphic-Area

STEP 1: Click a Part-Outline

STEP 1:Select the Part

graphics-area:

1.Click the Part-Outline [image] ( or [image] with some graphic-cards)

or

Assembly-Tree:

1.Click the Part element

STEP 2: In the Selection-Window

1.Find the Part in the list of elements

2.Right-click the Part element

In the shortcut menu

3.Click Edit Element

The Part is now open in the Part-Editor.
STEP 2: Right-click the Part in the Selection-Window, Click Edit element

STEP 2: Right-click the Part in the Selection-Window, Click Edit element

METHOD 3: Double-Click

Double-click a Part-Outline in the graphic-area

Double-click a Part-Outline in the graphic-area

STEP 1:Double-click ...

... the Part-Outline in the graphics-area:

1.Double-click the Part-Outline

OR

1.Double-click a Line, Arc, or Circle sketch-element [image] that you have added to the Part

OR

1.Double-click the Y-axis [image] of the Part

The Part is now open in the Part-Editor.

OR

... the Part element in the Assembly-Tree:

1.Double-click the Part element

The Part is now open in the Part-Editor.
Double-click a Part in the Assembly-Tree

Double-click a Part in the Assembly-Tree

* If you double-click a:

CAD-Line

... the CAD-Line dialog opens

Blend-Curve

... the Blend-Curve dialog opens

Point

... the Point Properties dialog opens

More than one element

... nothing happens.

METHOD 4: Right-Click

Hover+ Right-click a Part-Outline in the graphic-area

Hover+ Right-click a Part-Outline in the graphic-area

In the graphics-area:

1.Move your mouse above the Part-Outline

Note: With some graphic-cards, you must move your mouse to the arc of the Part-Outline near to the Origin [image].

2.Right-Click the Part-Outline

3.Click Edit Part Geometry from the shortcut menu.

The Part is now open in the Part-Editor.

Occasionally, there is a problem with a Graphic-Card

With some graphics cards, you cannot select the Part-Outline to edit a Part. Try these methods:
Select the Part-Outline near start-Point. Select the Part-Outline near start-Point. | Method 1: graphics-area 1.Move your mouse-pointer above the arc of the Part-Outline 2.Double-click your mouse Method 2: Selection-Window 1.Move your pointer above the arc of the Part-Outline - see image 2.Click your mouse one time. Then, in the Selection-Window: 3.Right-Click the Part 4.Click Edit element
OR Double-click the Y-axis OR Double-click the Y-axis | Method 3: OR 1.Double-click the Y-axis to edit a Part,
Select a Part in the Assembly-Tree Select a Part in the Assembly-Tree | Method 4: OR In the Assembly-Tree 1.Right-Click the Part 2.Select Edit element in the shortcut menu.


How to exit (close) the Part-Editor

Show/Hide Hidden Text

How to exit (close) the Part-Editor

See also : How to Start the Part-Editor

When you close the Part-Editor, you return to the Mechanism-Editor.

To close the Part-Editor, do one of these methods.

METHOD 1: De-select Edit-Part in Part-Editor icon

Edit PArt icon

1.Click the Geometry toolbar > Edit Part icon, at the left of the graphics-area.

METHOD 2: Double-click a sketch-element

1.Double-click a Line, Circle or Arc sketch-element.

Note: If you double-click a...

CAD-Line | ...the CAD-Line dialog opens
Blend-Curve | ...the Blend-Curve dialog opens
Point | ...the Point Properties dialog opens
...more than one element, nothing happens.
METHOD 3: Double-click the Y-axis

1.Double-click the Y-axis.

Note: We recommend the Y-axis because the X-axis is collinear with the CAD-Line.
METHOD 4: Right-click

1.Right-click the graphics-area

The shortcut menu shows. The Edit-Part in Part-Editor icon is active.

2.Click the Edit Part in Part-Editor command to de-select it

METHOD 5: Double-click element in Assembly-Tree

1.Double-click the Part in the Assembly-Tree.


Geometry

Part-Editor - Geometry menu and toolbar

In the Part-Editor, use the Geometry menu and toolbar

·to edit the length of an Part

·to add sketch-elements to a Part

·to add dimensions to the sketch-element

·to import a SolidWorks sketch onto a Part

·to use the Merge-Points to combine two Points to one Point

Note:

You cannot add constraints AS you add sketch-elements (Merge-Points is the exception).

You must add constraints AFTER you add the sketch-elements.

TOP-Tip:

Add sketch-elements in ways that are clearly not constrained. E.g Add a Line that is obviously not Horizontal. Then add the Horizontal Constraint.

See also: Constraints menu and toolbar

Part-Editor: Geometry menu

Part-Editor: Geometry toolbar

Part-Editor : Geometry toolbar is to the left of the graphics-area.

Geometry toolbar [Click text to see more...]

Geometry toolbar
[Click text to see more...]

Sketch-Elements and the Base-Part

Before you can add a joint between the Base-Part and a Part, you must edit the Base-Part to add to it a minimum of one(1) sketch-element. You can, of course, add any number of sketch-elements to the Base-Part.

The first sketch-element in the Base-Part?

We recommend that you add a Line as the first sketch-element to the Base-Part.

Why?

A Line gives you flexibility when you need to join other Parts to the Base-Part.

You can select the Line's start-Point and/or end-Point to add Pin-Joints, and the Line to add Slide-Joints, between the Base-Part and a different Part.

You can also reference the Line and/or the start-Point or end-Point to add a Motion-Dimension FB, and so define the motion of a Rocker and/or Slider relative to the Base-Part.

ABOUT GEOMETRY

Point names

·Point - the sketch-element you add to the Part in the Part-Editor with Add Point.

·start-Point - the Point where you mouse-button down at the start of the Drag to add a Line, CAD-Line, Arc, or Blend-Curve.

·end-Point - the Point where you mouse-button up at the end of the Drag to add a Line, CAD-Line, Arc, or Blend-Curve.

·center-Point - the Point where you mouse-button down at the start of the Drag to add a Circle.

·center-Point - the Point at the center of an Arc after you mouse-button up at the end of the Drag to add an Arc.

Edit a Dimension

To edit a dimension:

1.If necessary, de-select Add Dimension and all commands.

2.Double-click the arrowhead of a dimension or extension line ( do not double-click the dimension number).

Sketch-Elements in the Part-Editor:

·Blue: sketch-elements are not Fully defined

·Black: sketch-elements are Fully defined

Sketch-Elements in the Mechanism-Editor:

·Green: Part is kinematically-defined / solved - Part-Outline is also Green.

·Blue: Part is not kinematically-defined / solved - Part-Outline is also Blue.

Note: The default colors may have changed. See:

Application-Settings > Graphics > Display colors > Geometry Defined / Under-Defined

Application-Settings > Graphics > Display colors > Part Solved / Part Unsolved

Trouble-shoot - Geometry

·CTRL+Z should return the geometry to the previous state.,

·If a sketch-element is Black but it should be Blue: delete the sketch-element, and add the sketch-element again

Trouble-shoot - Constraints

To delete a Constraint that you suspect is a problem:

1.SHIFT+CLICK a sketch-element or Point with a Constraint

The sketch-element, and/or Point, and all Constraints that you have added show in the Selection-Window

2.Delete the Constraint from the Selection-Window.

Trouble-shoot - Dimensions

·Delete an angle dimension if it does not increase to be greater than 180º. Move the sketch-element, and add the dimension again.

·Delete a dimension if it does not pass through 0, (angular or linear dimension), and add the dimension again.

Fix Constraint

To FIX a Point, start-Point, end-Point, or center-Point: use the Lock & Specify check-box in the Point Properties dialog.

However, you cannot FIX a Point with the Lock and Specify check-box if the Point is constrained with a Constraint or a Dimension.


Add Dimension

Show/Hide Hidden Text

Add Dimension

Use Add Dimension to add a Linear or Angular Dimension to or between sketch-elements.

Dimensions include the:

·Distance between Points*

·Length of a Line** ; Radius of a Circle or Arc.

·Perpendicular (shortest) Distance from a Point* to a Line**, X-axis, or Y-axis.

·Angle between two Lines, or the Angle from the X-axis or Y-axis to a Line**

·Angle between three Points*

* Point, start-Point, end-Point, and center-Point.

** Line or CAD-Line

Notes:

Usually, do not make a dimension zero. It is better to add a constraint. See Sketch-Constraints

See How to add dimensions, How to edit a dimension.

See also: Number-Format: Precision and Digits, Dimension Font Size

Add Dimension

To Add a Dimension:

1.Click Geometry toolbar > Add Dimension

OR

1.Click Add menu > Geometry sub-menu> > Add Dimension

2.Click the sketch-element, or sketch-elements, to add a linear or angular dimension - see below How to Add a Dimension

The dimension shows near to your mouse-pointer.

3.Click in the graphics-area to place the dimension-line and extension-lines next to your mouse-pointer.

The Dimension dialog opens.

4.Edit the dimension in the dialog

Negative Dimensions?

Do not delete the negative sign from a negative dimension.

See: Why a dimension is negative.

5.Click [image] to close the Dimension dialog

The Dimension is now in the graphics-area.

How to EDIT a dimension:

1.Disable all other commands

2.Double-click the arrowhead of a dimension-line

Why the arrowhead?

·simply, it is easier to click the arrowhead than the dimension-line or extension-line.

AND

·nothing happens if you click the dimension-number

More details: How to ADD a dimension

* Point, start-Point, end-Point, and center-Point.

** Line or CAD-Line

Dimensions to locate a Point

There are two methods to locate a Point.

Method 1: Add Dimensions

Examples | Dimension | How? | Selection-Window & Geometry-Tree
Between 2 Points Between 2 Points | ·Minimum distance between two Points* | ·Click each Point* | DimPtoPn
Perpendicular Distance | ·Perpendicular distance between a Point* and a Line**, X–axis, or Y–axis | ·Click the Point* then the Line** | DimPtoLn

Method 2: Use the Point Properties dialog

This method is possible:

·only with a Point sketch-element

It is not possible with a start-Point, center-Point, center-Point

AND

·not possible if the Point has a dimension or constraint

Example | Dimension | Selection-Window / Geometry-Tree
Point Properties dialog Point Properties dialog | ·Lock and Specify the exact location of a Point* in a Part. | Pointn
 | How?
 | 1.Double-Click a Point* in the Part-Editor OR 1.Double-Click a Point* in the Mechanism-Editor The Point Properties dialog opens - see left Expand Point Coordinates 2.Select the Lock and Specify check-box. 3.Enter 'x' and 'y' values for the Point*, with Part Coordinates * in this case, ONLY a Point sketch-element.

Distance dimensions

Example | Dimension: | How? | Selection-Window / Geometry-Tree
 | ·Length of a Line** | 1.Click the Line** | Dimn
 | ·Distance between two parallel Lines** ·Distance from Y-axis (or X-axis) to a Vertical (or Horizontal) Line** | 1.Click a Point* at one end of the Line** 2.Click the other Line** (or axis). | DimLtoLn
 | ·Shortest distance between two Points* | 1.Click each Point* | DimPtoPn
 | ·Horizontal Distance between two Points* | 1.Add a Vertical Line** from one of the Points* 2.Click the Point** and then the Vertical Line** |
 | ·Vertical Distance between Points* | 1.Add a Horizontal Line** from one of the Points* 2.Click the Point* then the Horizontal Line** |
 | ·Shortest distance between a Point* and a Line** (or axis) | 1.Click the Point* then the Line** (or axis). | DimPtoLn

Radius

Example | Dimension: | How? | In Selection-Window as:
 | ·Radius of a Circle | ·Click the Circumference of a Circle | DimRadiusn
 | ·Radius of an Arc | ·Click the Radius of an Arc | DimRadiusn

Angle

Example

Dimension:

How?

In Selection-Window as:

·Angle between three Points*

·Click the Point* that is the apex of the angle, followed by the other two Points*.

The angle is the clockwise angle from the second Point* to the third Point* you click.

DimAngPPPn

·Angle between two Lines**

·Angle between an axis and a Line**

The Lines** do not need to cross.

·Click each Line**

The angle that we display for you has rules.

See RULES, below

DimAngLtoLn

RULES: There are eight possible angle dimensions:

Before you click your mouse again to fix the angle dimension between the Lines**, you can select which angle to display.

·Move your mouse counter-clockwise around the apex of the two Lines**, to show the acute, obtuse, supplementary, or the vertical angle <180°.

·Move your mouse clockwise around the apex of the two Lines**, to show the reflex angles to the other angles.

Video:

Add 8 possible angles between two Lines

8 possible angles between two Lines


Add Point

Add Point

Add Gearing FB

1.Click Geometry toolbar > Add Point

OR

1.Click Add menu > Geometry sub-menu> > Add Point

Then:

2.Click the graphics-area

The Point is now in the graphics-area.

Different Point Symbols

: Point sketch-element

: start-Point or end-Point - at the end of an Arc or a Line

: center-Point - at the center of an Arc or a Circle

: center-Point - Merged with a start-Point or end-Point of an Arc or Line

: center-Point - Coincident with a start-Point or end-Point

: Locked-Point - see Point Properties dialog

: Motion-Point - added with Add Motion-Path FB.

: Motion-Point - coincident with a Point, start-Point or end-Point.

To add a dimension or locate a Point:

Method 1: Part-Editor: Add dimensions and constraints - see Add Dimension

OR

Method 2: Mechanism-Editor: Use Point Properties dialog > Lock and Edit here

OR

Method 3: Mechanism-Editor: Drag a Point if it has no constraints or dimensions and it has a Trace-Point - see Add Trace-Point

Example

How: | Selection-Window
·Click the graphics-area to approximately locate the Point. | Pointn


Add Line

Add Line

Geometry toolbar

Add Gearing FB

1.Click Geometry toolbar > Add Line

OR

1.Click Add menu > Geometry sub-menu> > Add Line

Then:

2.Drag in the graphics-area from the start-Point to the end-Point of the Line.

Drag: mouse-button-down (start-Point), move your mouse-pointer, mouse-button-up (end-Point).

The Line is now in the graphics-area.

Do Add Line with a free start-Point and/or end-Point.

Do NOT HOVER above a different Point* before you mouse-button-down or mouse-button-up to add the Line.

See also: How to Delete a Constraint

Do Add Line with a merged start-Point and/or end-Point.

Do HOVER above a different Point* before you mouse-button-down or mouse-button-up to add the Line.

See: Hover+Drag Video

* Point, start-Point, end-Point, center-Point.

Coordinate System of a Line / CAD-Line

The Origin (0,0,0) of the Coordinate-System is the start-Point of the Line / CAD-Line

The +X–axis is from the start-Point to the end-Point of the Line / CAD-Line

The +Y-axis is at +90º from the +X-axis, and on the Mechanism-Plane.

Example

How: | Selection-Window
·Drag from the start-Point to the end Point of the Line | ·Linen + ·PointN at each end of the Line


Add Circle

Add Circle

Add Gearing FB

1.Click Geometry toolbar > Add Circle

OR

1.Click Add menu > Geometry sub-menu> > Add Circle

Then:

2.Drag in the graphics-area from the center-Point to approximate its radius

Drag: mouse-button-down (center-Point), move your mouse-pointer, mouse-button-up

The Circle is now in the graphics-area.

Do Add Circle with a free center-Point

Do NOT HOVER above a Point* before you mouse-button-down

See also: How to Delete a Constraint

Do Add Circle with a merged center-Point

Do HOVER above a different Point* before you mouse-button-down

See: Hover+Drag Video

* Point, start-Point, end-Point, center-Point.

Notes :

A Circle is a sketch-loop.

A Circle is the most basic shape of a Follower-Profile.

Top tip :

Add the dimension to define the Radius of the Circle before you add other constraints.

Example

How... | Selection-Window
1.Mouse-button-down at its center-Point... 2.and Drag to estimate the radius of the Circle, and ... 3.Mouse-button-up | Circlen + Pointn at the center-Point


Add CAD-Line

Add CAD-Line

See CAD-Line dialog

Add a CAD-Line to:

·Display* a DXF-Drawing

·Import and display a SOLIDWORKS Part

·Import and display an STL File

·Specify Mass & Inertia Properties

There is one CAD-Line from the start-Point to the end-Point of each Part you add to the model.

Add more CAD-Lines to a Part (and Base-Part) to import more CAD files onto the same Part.

* Before you can display a DXF-Drawing with a CAD-Line, you must use File menu > Open > DXF file-type to add a minimum of one DXF-element to the Assembly-Tree.

Add CAD-Line

Geometry toolbar

Add Gearing FB

1.Click Geometry toolbar > Add CAD-Line

OR

1.Click Add menu > Geometry sub-menu> > Add CAD-Line

Then:

2.Drag in the graphics-area from the start-Point to its end-Point.

Drag: mouse-button-down (start-Point), move your mouse-pointer, mouse-button-up (end-Point).

The CAD-Line is now in the graphics-area.

See CAD-Line dialog

Do Add CAD-Line with a free start-Point and/or end-Point.

Do NOT HOVER above a different Point* before you mouse-button-down or mouse-button-up to add the Line.

See also: How to Delete a Constraint

Do Add CAD-Line with a merged start-Point and/or end-Point.

Do HOVER above a different Point* before you mouse-button-down or mouse-button-up to add the Line.

See: Hover+Drag Video

* Point, start-Point, end-Point, center-Point.

Note :

You can open the CAD-Line dialog from the:

· Part-Editor, Mechanism-Editor AND, if you link a Solid to the CAD-Line, Model-Editor

The CAD-Line in the graphics-area and Assembly-Tree

CAD-Lines in an Added-Part CAD-Lines in an Added-Part | In the graphics-area: Mechanism-Editor : Add-Part - a CAD-Line [image] along the center of the Part. Part-Editor : Add CAD-Line to add one or more CAD-Line [image] to a Part CAD-Lines have a Coordinate System, which is important to orientate CAD files that you import ·+X–axis: from its start-Point [image] to its end-Point ·+Y–axis: at +90º from the +X–axis ·+Z-axis: perpendicular to the Mechanism Plane (towards you in the default view (Front-View))
 | In the Assembly-Tree: ·The CAD-Line is the only sketch-elements that show in the Assembly-Tree. ·The Cad-Line is a child to a Part.


Add Arc

Add Arc

Add Gearing FB

1.Click Geometry toolbar > Add Arc

OR

1.Click Add menu > Geometry sub-menu> > Add Arc

Then:

2.Drag in the graphics-area from the start-Point of the Arc to the end-Point of the Arc

3.Drag again between the start-Point and end-Point to approximate the radius of the Arc

Drag: mouse-button-down (center-Point), move your mouse-pointer, mouse-button-up

The Arc is now in the graphics-area.

Add Arc with a free start-Point and/or end-Point.

Do NOT HOVER above a different Point* before you mouse-button-down or mouse-button-up to add the Arc.

See also: How to Delete a Constraint

Add Arc with a merged start-Point and/or end-Point.

Do HOVER above a different Point* before you mouse-button-down or mouse-button-up to add the Arc.

See: Hover+Drag Video

* Point, start-Point, end-Point, center-Point.

Top tip :

Add a Dimension to define the Radius of the Arc before you drag it or add other Constraints

Example

Example | How: | Selection-Window
 | You must Drag Two times. Refer to the image to the left: 1.FIRST DRAG: from the start-Point to the end-Point of the Arc, then release you mouse. 2.SECOND DRAG: Position your pointer between the start-Point and end-Point of the Arc, and Drag towards the apex of the Arc as you intend it to be drawn, then release your mouse. The Arc has a center-Point, a start-Point and end-Point. | Circlen + Pointn At each end of the Arc.

Video

How to Add an Arc

How to add an Arc


Add Spline

Add Spline

Add Gearing FB

1.Click Geometry toolbar > Add Spline

OR

1.Click Add menu > Geometry sub-menu> > Add Spline

Then

2.Click in the graphics-area to add the first Nodes for the Spline

3.Continue to click at different places* to add more nodes

To end Add Spline:

4.Click the first node again to add a Closed Spline
OR
Click the last node again to add an Open Spline.

* Click a Point (Point, start-Point, end-Point, center-Point) of a different sketch-element to merge it with a node.

The Spline curve is now in the graphics-area.

Edit a Node's Position

Part-Editor: Add dimensions or Constraints

OR

Part-Editor: Drag the node

OR

Mechanism-Editor or Part-Editor : Use the Point Properties dialog

Edit the Spline's Angle at a Node

1.Mechanism-Editor or Part-Editor : Click the Spline to show the Spline-Handles

2.Mechanism-Editor or Part-Editor : Drag the arrowhead of a spline-handle around its Node

3.Mechanism-Editor or Part-Editor : Click the Spline again to hide the Spline-Handles

Edit the Spline's Curvature at a Node

1.Mechanism-Editor or Part-Editor : Click the Spline to show the Spline-Handles

2.Mechanism-Editor or Part-Editor : Drag the arrowhead of a spline-handle further from or nearer to a node

3.Mechanism-Editor or Part-Editor : Click the Spline again to hide the Spline-Handles
Spline-Handles of an Open-Spline and a Closed-Spline

Spline-Handles of an Open-Spline and a Closed-Spline

Notes:

·The direction of the spline at a Node is normal to its spline-handles

·The Radius-of Curvature of the spline at a Node is proportional to the length of its spline-handle

·The Radius-of-Curvature of the spline at a Node is symmetrical to the two sides of its spline-handle.

·You can add Constraints to Nodes, but not the Spline's curve.


Add Blend-Curve

Show/Hide Hidden Text

Add Blend-Curve

See also: Blend-Curve dialog

Add Gearing FB

1.Click Geometry toolbar > Add Blend-Curve

OR

1.Click Add menu > Geometry sub-menu> > Add Blend-Curve

Then:

2.Drag in the graphics-area from the start-Point to its end-Point.

Drag: mouse-button-down (start-Point), move your mouse-pointer, mouse-button-up (end-Point).

The Blend-Curve is now in the graphics-area.

Note:

Add with Free-Points

Do NOT HOVER above a Point* before you mouse-button-down or mouse-button-up.

See also: How to Delete a Constraint

Add with Merged-Points

Do HOVER above a Point* before you mouse-button-down or mouse-button-up.

See: Hover+Drag Video

Note:

The Blend-Curve automatically adjusts its Angle, Curvature, and Curvature-Rate to equal those of the sketch-element with which you merge the Blend-Curve.

* Point, start-Point, end-Point, center-Point.

Example

How: | Selection-Window Assembly-Tree
·Drag from the start-Point [image] to the end Point [image] of Blend-Curve | Blend-Curven Pointn at each end of the CAD-Line The Blend-Curve is a child to the Part.
The default Angle, Curvature and Curvature Rate at the start-Point and end-Point of the Blend-Curve are zero. The images to the left and above are default Blend-Curves. ·The Blend-Curve at the top has been added with a drag from bottom-left to top-right. ·The Blend-Curve at the bottom has been added with a drag from top-right to bottom-left.
·Hover+Drag from the end-Point of a different sketch-element to merge the start-Point of a new Blend-Curve. ·The Blend-Curve matches the Angle, Curvature and Curvature Rate with the other sketch-element.
What is a Blend-Curve?
Continuous Curvature AND Curvature Rate

Continuous Curvature AND Curvature Rate

A Blend-Curve can give a complex and useful 2D path

Blend-Curve Parameters at its start-Point and end-Point:

·Angle

·Curvature

·Curvature-Rate

·Velocity Scaling
Why use a Blend-Curve?
Tangent are NOT Smooth

Tangent are NOT Smooth

This path is NOT smooth - Tangent arcs (with different Radii) have discontinuous Curvature.

Use Blend-Curve to give a smooth open or closed sketch-path. See also Smoothness.

If the Blend-Curve is to guide a Motion-Point which also guides a Part, it is important that:

·The motion of the Motion-Point along a sketch-path does not have discontinuities in position, velocity, acceleration, and jerk.

and

·The shape of the sketch-path does not have discontinuities in angle, curvature, and rate-of-change of curvature.
Smoothness definitions

Smoothness of Sketch-elements.

You are often concerned with the smoothness of the sketch. The smoothness at the transition between sketch-element is important when a Motion-Point moves along the sketch-elements.

 | Angle | Curvature | Curvature Rate
Line joins a Line | Can 'kink', be the same angle (why two Lines?) | NA | NA
Arc joins a Line | Keep the same Angle | Keep the same Curvature (or Radius) | NA
Arc joins an Arc | Keep the same Angle | Keep the same Curvature (or Radius) | NA
Blend-Curve joins a Line | Keep the same Angle | Keep the same Curvature=0 (infinite Radius) | Keep at 0
Blend-Curve joins an Arc | Keep the same Angle | Keep the same Curvature; Radius | Keep at 0
Blend-Curve joins a Blend-Curve | Keep the same Angle | Keep the same Curvature; Radius | Keep the same Curvature Rate


Add Import SOLIDWORKS Sketch FB

Import a SOLIDWORKS sketch

To save you time, you can import SolidWorks sketches directly onto a Part.

See also : Import SW Sketch dialog

Add Import SOLIDWORKS Sketch FB

Add Gearing FB

1.Click Geometry toolbar > Add Import SOLIDWORKS sketch FB

OR

1.Click Add menu > Add Import SW sketch FB

Then:

2.Click the graphics-area

The Import SOLIDWORKS SKETCH FB is now in the graphics-area.

See : Import SW Sketch dialog


Merge Points

About Merge-Points

The Merge-Points command combines two Points* into one Point.

* start-Points, end-Points, center-Points, and/or Points.

When do you need to Merge-Points?

·To sketch a sketch-loop for a Profile / Extrusion

·To sketch an sketch-path for a Motion-Point ( with Add Motion-Path FB )

·To merge the end-Points of Lines-of-Centers when you add two or more Gear-Pairs to design a Gear-Train

See also: Coincident-Constraint.

See also: Hover+Drag technique - it is more efficient than Merge-Points.

Merge-Points

Merge-Points :

Add Gearing FB

1.Click Geometry toolbar > Merge-Points

OR

1.Click Add menu > Geometry sub-menu> > Merge-Points

Then, if the Points* are not coincident:

2.Click a Point* at the end of a sketch-element

3.Click a Point* that at the end of a different sketch-element

4.Click the graphics-area

OR, if the Points* are coincident:

2.Click the two coincident Points*

3.Click the graphics-area

The two Points are now one Point.

* Points : start-Point and/or end-Point of a Line, Arc or Blend-Curve sketch-element.

Notes:

·You CANNOT merge a Point* with the start-Point or end-Point of the CAD-Line along the X-axis of an Part.

·You CAN, however, merge a start-Point or end-Point of a sketch-element if you drag to or from the start-Point or end-Point of the CAD-Line.

Merge-Points

Before | After | Select: | In Selection-Window / Geometry-Tree
Free Points | Merged Points | ·Two different Points at the end of sketch-elements. Click a Point and then a different Point. One Point is deleted (Compare with CoincidentPtoP), and the sketch-elements move together. | PointN
Coincident Points | now Merged-Points | ·Two Coincident Points A Point and the Coincident constraint is deleted | PointN

Video of Merge-Points with Hover Technique.

How to add a Sketch-Loop - Hover Technique

How to add a Sketch-Loop - Hover Technique


Add Transition Curve

The Transition-Curve is not available with the Trial License.

It is ONLY available with the Premium License.

About Transition-Curve

The PSMotion Transition-Curve© is used to eliminate:

·the Polygonal-Action, also referred to as Chordal-Action, and

·the Linear Velocity-Discontinuity

each time a chain-link moves onto a chain-sprocket (chain-tooth).

About Polygonal-Action (Chordal Action) and Chains

Standard Sprocket and Polygonal Action

Standard Sprocket and Polygonal Action

The sprocket with number of teeth, with a tooth pitch, , rotates at a constant speed, (RPM).

In the top image, the chain is tangent with the Pitch-Circle of the Sprocket. However, when the sprocket rotates by radians, the chain link is nearer to the center of the sprocket. Therefore, as the chain moves up and down, the effective radius of the sprocket changes to give a uneven, non-constant chain velocity.

The linear speed of the chain is maximum in the top image.

The linear speed of the chain is a minimum in the bottom image.

The e Linear-Acceleration of the chain is discontinuous at the instant the chain starts to move upwards.

Polygonal-Action creates two(2) problems

·Velocity Variation in the Chain

In the general case, if a Driving Sprocket is rotating at constant Angular Velocity, the chain does not move at constant Linear Velocity.

The ratio of Maximum and Minimum Velocity increases as you reduce the number-of-teeth on the drive sprocket.

·Tension Variation in the Chain.

As a chain link engages with a tooth, the chain accelerates, and thus there is a tension variation.

Also, the pitch of the chain link is not constant.

Usually, it is recommended that you use more than 17 teeth on a standard sprocket. Bicycle sprockets have fewer, but the derailleur compensates for the velocity and tension-variations.

Add Transition-Curve

Toolbar :

Part-Editor : Geometry Toolbar > Transition-Curve

Menu :

Part-Editor : Add menu > Geometry sub-menu> > Transition-Curve

To add a Transition-Curve

1.Click Geometry-toolbar > Transition-Curve

2.Drag to add a Line

The Transition-Curve is added.

You can see that the Transition Curve is easy to add. However, it must be used with Pulleys and Chains to be useful.

A Tutorial will show you how to apply the Transition Curve to a Long-Link Chain.


Constraints

Show/Hide Hidden Text

Part-Editor - Constraints Menu and Toolbar

In the Part-Editor, use the Constraints menu and toolbar to add Constraints.

You can add Constraints

oto a sketch-element

obetween two sketch-elements

obetween a sketch-element and the X-axis or Y-axis

See below: Why cannot I add another Constraint?

See below: How to Delete a Constraint.

See also: Geometry menu and toolbar

Part-Editor: Constraints menu

Constraints menu

Part-Editor: Constraints Toolbar

Part-Editor > Constraints toolbar is to the right of the graphics-area.

Constraints toolbar

How to Delete a Constraint

In the graphics-area, you cannot see Constraints that you have added to or between sketch-elements.

To DELETE a Constraint:

1.SHIFT+CLICK a sketch-element or a Point*

All of the Constraints that apply to the sketch-element or Point* are now in the Selection-Window

In the Selection-Window:

2.Right-click the Constraint you want to delete

3.Click Delete element in the shortcut menu

* Point, start-Point, end-Point, or center-Point
About Merge-Points and Coincident Constraint between Points

Add MERGE-POINTS moves two Points together, and then deletes one of the Points.

Add Coincident Constraint is between two Points*. The command does not delete one of the Points*.

You can delete a Coincident-Constraint- see How to delete a constraint.

Usually, add a Coincident Constraint for construction geometry.

* Points, start-Points, end-Points, center-Points.
OVER-Constrain a sketch-element?

You cannot (usually) add a constraint that OVER-constrains a sketch-element.

For example, a Point* has two degrees-of-freedom.

1.If you add a Coincident Constraint between a Point(1) and a Line (CoincidentPtoL) you remove 1 degrees-of-freedom.

2.Then, if you attempt to add a Coincident Constraint between Point(1) and a different Point (CoincidentPtoP) you attempt to remove 2 more degrees-of-freedom - or to remove 3 degrees-of-freedom in total.

It is not possible to remove three(3) degrees-of-freedom from a Point.

To correct the problem, you must first delete the Coincident Constraint between the Point(1) and the Line (CoincidentPtoL) - see Delete Constraint - then add the Coincident Constraint between the two Points (CoincidentPtoP).


Add Horizontal Constraint

Add Horizontal

Two Points (HorizontalPtoP)

Add Gearing FB

1.Click Constraints toolbar > Add Horizontal

OR

1.Click Add menu > Constraints sub-menu> > Add Horizontal

Then:

2.Click a Point*

3.Click a different Point*

The two Points* are Horizontal - parallel with the X-axis

* Point, start-Point, end-Point, or center-Point

A Line:

Add Gearing FB

1.Click Constraints toolbar > Add Horizontal

OR

1.Click Add menu > Constraints sub-menu> > Add Horizontal

Then:

2.Click a Line**

The Line** becomes Horizontal - parallel with the X-axis

** Line or CAD-Line

Delete Horizontal

1.SHIFT+CLICK a sketch-element with a Horizontal constraint.

The sketch-element and Horizontal constraint show in the Selection-Window.

2.Right-click the HorizontalL or HorizontalPtoP constraint in the Selection-Window

3.Click Delete in the shortcut menu


Add Vertical Constraint

Add Vertical

Two Points:

Add Gearing FB

1.Click Constraints toolbar > Add Vertical

OR

1.Click Add menu > Constraints sub-menu> > Add Vertical

Then:

2.Click a Point*

3.Click a different Point*

The two Points* become Vertical - parallel with the Y-axis

* Point, start-Point, end-Point, or center-Point

A Line:

Add Gearing FB

1.Click Constraints toolbar > Add Vertical

OR

1.Click Add menu > Constraints sub-menu> > Add Vertical

Then:

2.Click a Line**

The Line** becomes Vertical - parallel with the Y-axis

** Line or CAD-Line.

Delete Vertical

1.SHIFT+CLICK a sketch-element with a Vertical constraint

The sketch-element and VerticalL or VerticalPtoP constraint show in the Selection-Window.

2.Right-click the VerticalL or VerticalPtoP constraint in the Selection-Window

3.Click Delete in the shortcut menu


Add Tangent Constraint

Add Tangent

A Line and Circle or Arc :

Add Gearing FB

1.Click Constraints toolbar > Add Tangent

OR

1.Click Add menu > Constraints sub-menu> > Add Tangent

Then:

2.Click a Circle or Arc

3.Click a Line*

The Circle/Arc is Tangent with the Line*

* Line, CAD-Line, X-axis, or Y-Axis

Circle/ Arc and Circle / Arc :

Add Gearing FB

1.Click Constraints toolbar > Add Tangent

OR

1.Click Add menu > Constraints sub-menu> > Add Tangent

Then:

2.Click a Circle or Arc

3.Click a different Circle or Arc

The Circle and/or Arcs are Tangent

Delete Tangent

1.SHIFT+CLICK a sketch-element with a Tangent constraint

The sketch-element and TangentCtoL or TangentCtoC constraint show in the Selection-Window.

2.Right-click the TangentCtoL or a TangentCtoC constraint in the Selection-Window

3.Click Delete in the shortcut menu


Add MidPoint Constraint

Navigation: MechDesigner User Interface > 2.3 Part-Editor: > Constraints >

Return to chapter overview

Add Mid-Point Constraint

Add Mid-Point

A Point and Line :

Add Gearing FB

1.Click Constraints toolbar > Add Mid-Point

OR

1.Click Add menu > Constraints sub-menu> > Add Mid-Point

Then:

2.Click a Point*

3.Click a Line**

The Point* is at the Mid-Point of the Line

* Point, start-Point, end-Point, or center-Point

** Line or CAD-Line

Delete Mid-Point

1.SHIFT+CLICK a sketch-element with a Mid-Point constraint

The sketch-element and Mid-Point constraint show in the Selection-Window.

2.Right-click the Mid-Point constraint in the Selection-Window

3.Click Delete in the shortcut menu


Add Perpendicular Constraint

Add Perpendicular

A Line and Line :

Add Gearing FB

1.Click Constraints toolbar > Add Perpendicular

OR

1.Click Add menu > Constraints sub-menu> > Add Perpendicular

Then:

2.Click a Line*

3.Click a different Line*

The Lines are Perpendicular

* Line, CAD-Line, X-axis, or Y-axis

Delete Perpendicular

1.SHIFT+CLICK a sketch-element with a Perpendicular constraint

The sketch-element and Perpendicular constraint show in the Selection-Window.

2.Right-click the Perpendicular constraint in the Selection-Window

3.Click Delete in the shortcut menu


Add Parallel Constraint

Add Parallel

A Line and Line :

Add Gearing FB

1.Click Constraints toolbar > Add Parallel

OR

1.Click Add menu > Constraints sub-menu> > Add Parallel

Then:

2.Click a Line* sketch-element

3.Click a different Line* sketch-element

The two Lines are Parallel

* Line, CAD-Line, X-axis, or Y-axis

Delete Parallel

1.SHIFT+CLICK a sketch-element with a Parallel constraint

The sketch-element and Parallel constraint show in the Selection-Window.

2.Right-click the Parallel constraint in the Selection-Window

3.Click Delete in the shortcut menu


Add Equal Constraint

Add Equal

A Line and Line :

Add Gearing FB

1.Click Constraints toolbar > Add Equal

OR

1.Click Add menu > Constraints sub-menu> > Add Equal

Then:

2.Click a Line*

3.Click a different Line*

The Length of the two Lines are Equal

* Line or CAD-Line

A Circle (or Arc) and Circle (or Arc) :

Add Gearing FB

1.Click Constraints toolbar > Add Equal

OR

1.Click Add menu > Constraints sub-menu> > Add Equal

Then:

2.Click a Circle* sketch-element

3.Click a different Circle* sketch-element

The Radius of the two Circles* are Equal

* Circles or Arcs

Delete Equal

1.SHIFT+CLICK a sketch-element with an Equal constraint

The sketch-element and Equal constraint show in the Selection-Window.

2.Right-click the Equal constraint in the Selection-Window

3.Click Delete in the shortcut menu


Add Concentric Constraint

Add Concentric

A Circle (or Arc) and Circle (or Arc) :

Add Gearing FB

1.Click Constraints toolbar > Add Concentric

OR

1.Click Add menu > Constraints sub-menu> > Add Concentric

Then:

2.Click a Circle (or Arc)

3.Click a different Circle (or Arc)

The Circle and/or Arc are Concentric

Delete Concentric

1.SHIFT+CLICK a sketch-element with an Concentric constraint

The sketch-element and Concentric constraint show in the Selection-Window.

2.Right-click the Concentric constraint in the Selection-Window

3.Click Delete in the shortcut menu


Add Coincident Constraint

Add Coincident

A Line and Line (CoincidentLtoL) :

Add Gearing FB

1.Click Constraints toolbar > Add Coincident

OR

1.Click Add menu > Constraints sub-menu> > Add Coincident

Then:

2.Click a Line*

3.Click a different Line*

The Lines* are now Collinear.

* Line, CAD-Line, X-axis, or Y-Axis
Before Coincident LtoL

Before Coincident LtoL

After: CoincidentLtoL

A Point and Point (CoincidentPtoP) :

Add Gearing FB

1.Click Constraints toolbar > Add Coincident

OR

1.Click Add menu > Constraints sub-menu> > Add Coincident

Then:

2.Click a Point*

3.Click a different Point*

The Points* are now Coincident.

* Point, start-Point, end-Point, or center-Point

Before CoincidentPtoP

CoincidentPtoP

Point and Line (CoincidentPtoL) ; Point and Circle (CoincidentPtoC)

Add Gearing FB

1.Click Constraints toolbar > Add Coincident

OR

1.Click Add menu > Constraints sub-menu> > Add Coincident

Then:

2.Click a Point*

Then:

3.Click a Line**

The Point* is now Coincident with the ray of the Line**

or

3.Click a Circle or Arc

The Point* is now Coincident with the circumference of the Circle or Arc

* Point, start-Point, end-Point, or center-Point

** Line, CAD-Line, X-axis, or Y-Axis

After
CoincientPtoL

After CoincidentPtoC

Delete Coincident

1.SHIFT+CLICK a sketch-element with a Coincident Constraint.

The sketch-element and CoincidentPtoP, CoincidentPtoL, and/or CoincidentPtoC constraint show in the Selection-Window.

In the Selection-Window:

2.Right-click the CoincidentLtoL, CoincidentPtoP, CoincidentPtoL, or CoincidentPtoC constraint

3.Click Delete in the shortcut menu

Note: Coincident Constraints, Points and Lines, and Degrees-of-Freedom

Coincident Constraint, Points, and Degrees-of-Freedom

A Point* has two degrees-of-freedom.

1.If you add a Coincident Constraint between a Point* and a Line** (CoincidentPtoL) you remove 1 degrees-of-freedom.

2.Then, add a Coincident Constraint between two Points* (CoincidentPtoP) - which attempts to remove 2 more degrees-of-freedom.

However, it is not possible to remove three(3) degrees-of-freedom from a Point*.

Therefore, the Points* do not move together when you add the CoincidentPtoP

To correct the problem, you must delete the CoincidentPtoL - see Delete Constraint.

* Point, start-Point, end-Point, or center-Point

** Line, CAD-Line, X-axis, or Y-Axis


3: Project Explorer

Navigation: MechDesigner User Interface >

Return to chapter overview

3: Project-Explorer

Project-Explorer

The panel to the left of the graphics-area is the Project-Explorer.

It has three areas.

Selection-Window section

The Selection-Window shows the list of elements that you CLICK or SHIFT+CLICK in the graphics-area or Element-Explorer (see below).

Command-Manager section

Commands add new elements to the model. To do many of the commands, you must select other elements that are in the model.

The Command-Manager is a small interface that has a selection-box for each element you must select to add the new element.

Select elements for each selection-box from the graphics-area or Element-Explorer (see below).

Element-Explorer section

The Element-Explorer shows the names of the elements that are in the Model-Editor and Mechanism-Editors.

The Element-Explorer has three trees, but shows only two trees at a time.

In the Model-Editor and in a Mechanism-Editor, the trees are the:

·Assembly-Tree - see image

·Kinematics-Tree - If necessary, click Rebuild Now to compile the Kinematics-Tree

In the Part-Editor, the trees are the:

·Assembly-Tree - see image

·Geometry-Tree - If necessary, click Rebuild Now to compile the Geometry-Tree


Selection-Window

Selection-Window

The Selection-Window is at the top of the Project-Explorer.

The Selection-Window shows the list of the elements that you Click or Shift+Click in the graphics-area or the Element-Explorer.

Click ...

... Elements

Elements in the Selection-Window

Elements in the Selection-Window

Selection list

The list of elements that you Click in the graphics-area or Element-Explorer.

Owner list

Mechanism: when the element is a child to a Mechanism-Editor.

Part: when the element is a child to a Part.

Shift-Click ...

... Sketch-Elements to list their Constraints

You cannot see a Constraint in the graphics-area after you add it to a sketch-element.

SHIFT+CLICK a sketch-element to list in the Selection-Window those Constraints that you have added to the sketch-element.
Constraints in the Selection-Window with SHIFT+CLICK

Constraints in the Selection-Window with SHIFT+CLICK

Selection list

The sketch-element that you SHIFT+CLICK

+ The Constraints that you have added to the sketch-element - for example HorizontalL.

+ The Constraints that you have added between the sketch-element and a different sketch-element - for example, Perpendicular.

Owner list

Part - the Part to which you have added the sketch-element.

... Profiles to list the Extrusion

When you click a Profile, the Extrusion does not show in the Selection-Window if it is not in the graphics-area.

SHIFT+CLICK the Profile to add to the list the Extrusion that is a child to the Profile.
You can EDIT the Extusion or DELETE the Profile

You can EDIT the Extusion
or DELETE the Profile

Selection list

The Profile that you SHIFT+CLICK

The Extrusion that is a child to the Profile.

Owner list

Part: the Part to which you have added the Profile.

Shortcut menu in Selection-Window

Contextual menu in Selection-Window

Contextual menu in Selection-Window

To show the shortcut menu

1. Right-click an element*

Use the shortcut menu to:

·Show Element References - see below

·Edit element

·Delete element

·Rename element

* Show or Hide Extrusion if you right-click an Extrusion

Show Element References

Many elements need other elements to exist in the model. The other elements are Reference Elements.

For example, the Reference Elements of a:

·Line are its start-Point and end-Point

·Pin-Joint are two Points, which may be the start-Point or end-Point of a Line or the center-Point of a Circle.
Reference Elements for a Pulley

Reference Elements for a Pulley

The columns in the dialog identify the element's:

References - the name of the Reference Elements. For example, Profile

Element Type - the type of element. For example, Point

Element Owner - to which the Reference Elements is a child. For example, Part


Command-Manager

Command-Manager

The Command-Manager shows in the Project-Explorer when you must select other elements to do a command.

Select the elements from the graphics-area, Assembly-Tree, and/or the Selection-Window.

Command-Manager example :

Command-Manager -  Before you select elements

Command-Manager -
Before you select elements

Add Motion-Dimension FB

Name of the Command and Short Instruction

Selection-Boxes - each Selection-Box has:

Above : the name of the element-type you must select

Left : an icon to help you identify the element-type

Right : the icon when an element is in the selection-box

or

Right : the icon when an element is not in the selection-box
Command-Manager - Select elements from top to bottom

Command-Manager -
Select elements from top to bottom

continued:

To select the elements for each selection-box:

1.Click an element that is contextual to the top selection-box

The next selection-box [image] automatically becomes active.

2.Continue to click elements that are contextual to each selection-box

To complete the command:

When the bottom selection-box [image] has an element, the [image] [image] becomes colorized.

To complete the command:

1.Click

or

1. Right-click in the graphics-area (usually recommended).

To exit or start the command again:

1.Click [image] [image] to exit the command, but do not add the new element.

or

1.Click [image] [image] to clear the elements from all selection-boxes. You must select each element again.


Element-Explorer

Element-Explorer

The Element-Explorer is at the bottom of the Project-Explorer.

It shows most of the elements that are in the model.

It does not show sketch-elements or sketch-constraints.

There are three(3) Trees to explore.

Element-Explorer example:

Example Elements in the Assembly-Tree

Example Elements in the Assembly-Tree

Assembly-Tree

It is a chronological and hierarchical list of the elements in the Model and Mechanism-Editor.

Kinematics-Tree

It shows when a Mechanism-Editor is active.

It compiles a list of the kinematic-elements into kinematic-chains for the active Mechanism-Editor.

Geometry-Tree

It shows when the Part-Editor is active.

It is a list of the constraints and dimensions that you have added to or between sketch-elements.

It does not list the sketch-elements.

If you click an element in the Element-Explorer it becomes RED (default selection color) in the graphics-area.


Assembly-Tree

Element-Explorer - Assembly-Tree

Names of the elements you add to the model are in the Assembly-Tree.

Each element has an Element Icon and an Element Name.

Example: Assembly-Tree in Explorer-Explorer

Assembly-Tree in Explorer-Explorer

Element Hierarchy

The elements are in the order you add the elements to the model.

The elements also have a hierarchy. For example:

Mechanism elements are children to Plane elements.

Parts, Function-Blocks, Joints, Gears, Belts, ... are children to Mechanism elements.

CAD-Lines, Profiles, 3D-Cams, and 2D-Cams are children to Parts elements.

Parts

To the left of each Part, an icon identifies if the kinematic-chain to which it is associated, is solved, broken, or unsolved.

Solved Part and solved kinematic-chain: Mobility is zero AND all Parts remain joined for all positions of the machine-cycle.

Solved but broken kinematic-chain. Mobility is zero BUT Parts cannot remain joined at all positions of the machine-cycle.

Unsolved kinematic-chain. Mobility is greater than zero(0).

Selected Elements

When you click an element [image] :

·a square [image] shows around the icon, and

·the element shows in the Selection-Window

Shortcut menu:

Right-click an element in the Assembly-Tree, to show a shortcut menu [image] .

You can use the shortcut menu to:

·Show Element References

·Edit Element

·Delete (element)

·Rename ... (element)


Kinematics-Tree

Element-Explorer - Kinematics-Tree

Note: If you cannot see or explore the Kinematics-Tree, click Rebuild now.

See also: Kinematic-Symbols, and Configure-Power Source/ Change Dyad Closure

The Kinematics-Tree is the kinematic-structure of each kinematic-chain in the model.

We compile the Kinematic-Tree for you as you add Kinematic elements and Kinematic FBs to your model.

You can explore to see which elements are in each kinematic-chain. If you click on any kinematic-chain or element in the kinematic-structure, it will show as selected elements in the graphics-area.

You can use the Kinematic-Tree to Configure the Power Source of each kinematic-chain.

This icon is at the top of the Kinematic-Tree to the left of the name Mechanisms.

Note: If you cannot see Mechanisms, or explore the Kinematics-Tree, click Rebuild now.

The structure of the Kinematics-Tree is as follows

Ö Mechanisms:

Ö Kinematic-Chains

Ö Kinematic Sub-assemblies

Ö Kinematic Elements

ÖUnsolved Mechs

Kinematic-Chain

These kinematic-chains have a Mobility of zero(0). The kinematic-chain is kinematically-defined.

You can explore the kinematic-chain to find Kinematic Sub-Assemblies (see below) and kinematic elements.

Unsolved Mechs

These kinematic-chains have a mobility that is greater than zero(0). The kinematic-chains are not kinematically-defined.
Example: Kinematics-Tree in Element-Explorer

Example: Kinematics-Tree in Element-Explorer

Kinematic-Sub-Assemblies (Solved Mechanisms ONLY):

These are compiled as:

1.Motion-Parts

a.Rockers

b.Sliders

2.Motion-Paths

3.Dyads - all dyads have two Parts and three Joints

We represent Dyads for you with a letter for each of its joints:

R = Revolute-Joint = Pin-Joint

P = Prismatic-Joint = Slide-Joint

S = Spherical-Joint = Ball-Joint

a. RRR

b. RRP

c. RPR

d. PRP

e. RPP

f. Ram-R

g. Ram-P

h. SSR

i. SSP

4.Geared-Rockers

5.Rack-Pinion / Pinion-Rack

6.Geared-Pulley


Kinematic-Symbols

Show/Hide Hidden Text

Kinematics-Tree Structure & Symbols

Symbol at top of Kinematics-Tree

TOP-LEVEL

Symbol | State | Mobility
 | Solved Mech | M = 0 | The kinematic-chain: - is solved - is kinematically-defined
 | Unsolved Mechs | M > 0 | The kinematic-chain : - is not fully defined - cannot solve its kinematic-data
SUB-ASSEMBLY LEVEL
Kinematic Sub-Assemblies ·Motion-Parts (Rockers, Sliders) ·Geared-Rockers ·Dyads ·Pulley-Rockers ·Rack-Pinions Sub-assembly Symbols: : the kinematic-chain solves for the complete machine-cycle. : the kinematic-chain is solved now, but not for the complete machine-cycle. : the kinematic-chain is not solved now, at this machine-angle.
 | Example. Kinematic-Chain with four sub-assemblies: ·Rocker, ·Geared-Rocker ·R-R-R Dyad ·R-R-R Dyad
 | Example 1 : A Dyad that never Breaks ... The Symbol is [image] : The Dyad is solved for a machine-cycle (0-360 of the Master Machine Angle).
 | Example 2 : A Dyad that Breaks ... The Symbol is [image] : The Dyad is solved now, but it does not solve for ALL positions of the machine-cycle (0-360 of the Master Machine Angle).
 | Example 3 : -The Dyad is broken The Symbol is [image] : The Dyad is not solved at this position of the machine-cycle (0-360 of the Master Machine Angle).

ELEMENT LEVEL

You can explore the fundamental kinematic elements of each kinematic-chain. At this level you can see: ·Parts ·Joints ·Motion-Dimensions ·Gear-Pairs ·Pulley-Joints The symbol, [image] , also shows next to the elements in each sub-assembly.
 | Example 1 : A Dyad that does not Break The symbol is [image] to show the Dyad is solved for a machine-cycle. The symbol [image] is next to each element in the dyad to show they are solved for a machine-cycle.
 | Example 2 : A Dyad that does Break The symbol is [image] to show the dyad does not solve for a period in the machine-cycle. The symbol [image] also shows next to the elements in the dyad that do not solve for a period in the machine-cycle.
 | Example 2 : A Dyad that is Broken... The symbol is [image] to show the joints in the dyad do not solve at this instant in the machine-cycle. The symbol [image] also shows next to the elements in the dyad that do not solve at this instant in the machine-cycle.

A typical Kinematics-Tree

This Kinematics-Tree has four(4) Kinematic Defined Chains, identified by the [image] icon.

A Rocker is expanded to show three elements:

·Pin-Joint, Part, Mot-Dim Rocker

The R-R-R Dyads is expanded to show it is assembled from:

·Three(3) Pin-Joints , two(2) Parts

Dyad and Joint Symbols:

This symbol is to the left of a Dyad and Joint when it solves for the machine-cycle.

This symbol is to the left of a Dyad and Joint if a Joint does not solve for period of the machine-cycle.

This symbol is to the left of a Dyad and Joint if a Joint does not solve at this instant of the machine-cycle.


Configure Power Source / Change-Dyad-Closure

Kinematics-Tree - shortcut menu

Configure Power Source

See also : Forces toolbar > Configure Power Source

To open the Configure Power-Source dialog:

1.Click a kinematic-chain so that a Red or Orange square encloses the icon

2.Right-click to show 'CONFIGURE POWER SOURCE'

3.Left-click the 'CONFIGURE POWER SOURCE' text to open the dialog.

Change Dyad Closure

See also : Kinematic elements toolbar > Change Dyad Closure - that tool is more convenient and easier to use.

This command rearranges the assembly of the two Parts in RRR, RRP, RPP dyads.

To change the closure of a dyad from the Kinematics-Tree:

1.Click the Dyad so that a Red or Orange square encloses its icon

2.Right-click the icon to show Change Dyad Closure next to you mouse-pointer

3.Click the Change Dyad Closure text to change the closure of the Dyad

The Select Elements dialog shows because you select a Part.

4.Click a Part in the Select-Elements dialog

5.Close [image] to close the Select-Elements dialog

6.Click [image] in the Command-Manger to change the closure of the Dyad


Geometry-Tree

Element-Explorer - Geometry-Tree

Note: If you cannot explore the Geometry-Tree, click Edit menu > Rebuild now.

The Geometry-Tree replaces the Kinematics-Tree when you start the Part-Editor.

Example Geometry-Tree

Example: Geometry in Element-Explorer

Example: Geometry in Element-Explorer

What is a Constraint-Loop?

A Constraint-Loop (labeled Constraints) is a list of the constraints that are between a set of sketch-elements.

If you add a Constraint between sketch-elements that are in different Constraint-Loops, they combine to give one Constraint-Loop.

For example:

·Add Horizontal Constraint to Line1 = Constraint Loop #1

·Add Horizontal Constraint to Line2 = Constraint Loop #2

There are 2 × Constraint Loops.

·Add a Horizontal Constraint between a Point in Line 1 and a Point in Line 2, =

Now there is 1 × Constraint Loop

Constraints and the Selection-Window

If you:

·Click a Line :

the Line shows in the Selection-Window

·SHIFT+Click a Line :

the Line AND any Constraints that have been added to the Line show in the Selection-Window.


4: Feedback Area

Navigation: MechDesigner User Interface >

Return to chapter overview

4: Feedback-Area

Feedback-Area

The Feedback-Area is below the graphics-area.

It has five main areas.

Extended Hints

When you move your mouse over a command in a toolbar, its tool-tip shows in the Extended Hints box.

Note: To see all of the Extended Hint, you may need to drag the separator bar [image] upwards, and/or to the right [image] , a short distance.

You do not need to enable Hints and Tool-Tips. to see them in the Feedback Area.

See Application Settings

Messages

The most recent message is at the top of the list.

Message information:

Count : | The message number since you last cleared the Message-Area of messages.
Topic : | Importance Level: – Information; [image] – Warning; [image] – Error - save your work now!
Message : | The message you should read!
Time : | When the message was displayed.

To clear the Messages:

1.Right-Click, with your mouse-pointer in the Messages area

2.Click Clear Messages in the shortcut menu

Message sounds:

If you enable sounds in Application Options | Accessibility tab, you hear a honk with each new message.

Master-Machine-Angle (MMA) ; Revs ; Machine-Angle-Indicator

The Master-Machine-Angle is the virtual axis, and the virtual input to all kinematic-chains in the model. You can imagine it as a drive shaft that rotates one time per machine cycle.

Master-Machine-Angle (MMA) : | Range 0 – 360, equal to one machine-cycle
Revs : | Number of machine-cycles
Machine-Angle-Indicator [image] : | Read-write - the exact machine-angle

To edit the Master-Machine-Angle:

Exactly : use the Machine-Angle Indicator [image] to:

Move to a Machine Angle : | Enter a Machine-Angle between 0 and 360.
Inch : | Click the the Spin-Box one time to increase or decrease the Machine Angle by the Spin-Increment. Edit the Spin-Increment (by factors of 10) to change the inch-step.
Jog : | Press & Hold the Spin-Box to continuously increase or decrease the Master-Machine-Angle.

Approximately : Drag in the MMA

Mouse-button-down and move you mouse to the left or right, with your mouse-pointer INSIDE the Master-Machine-Angle area.

The orange triangle (▲) below the MMA moves with your mouse-pointer.

See also : Run menu

Kinematic and Kinetostatic Vector Scale Buttons

Use the Velocity, Acceleration, Force, and Torque scale buttons to increase or decrease the length of vectors in the graphics-area.

The buttons do NOT change the values of the vector.

Velocity (V) and Acceleration (A) Vector buttons

Click the up /down arrow-buttons next to:

·V to increase or decrease the length of Velocity vectors

·A to increase or decrease the length of Acceleration vectors

See Point Properties dialog to display the Velocity Vector and Acceleration Vector of a moving Point

Force (F) and Torque ( ) Vector buttons

Click the up /down arrow-buttons next to:

·F to increase or decrease the length of Force-Vectors

· to increase or decrease the length of Torque vectors

See Force-Vectors: Calculate and Force-Vectors: Display to display Force and Torque-Vectors at joints.

See Configure Power Source to make sure the Power flows through the model as intended.

Animation-Speed Slider

Use the Animation Speed Slider to speed-up or slow-down the Animation Speed of the model.

Mouse-button-down and move you mouse to the left or right, with your mouse-pointer INSIDE the Animation-Speed Slider to change the animation speed.

The Animation-Speed does not change the kinematic or force analysis, or motion synchronization between kinematic-chains.

To edit the simulation speed or machine-speed: see Edit menu > Machine-Settings > Cycling Parameters.

See also: Run >Cycle


5: MotionDesigner- 'Link a Motion to a Part'

Navigation: MechDesigner User Interface >

Return to chapter overview

5: MotionDesigner

MotionDesigner

Use MotionDesigner to add, name, and design motions.

Use a Motion FB to link a motion in MotionDesigner to a Motion-Part or Motion-Point in MechDesigner.

To Link a Motion to a Motion-Part

STEP 1: Add a Motion FB to the graphics-area

1.Click Kinematics FB toolbar > Motion FB

2.Click in the graphics-area

The Motion FB is now in the graphics-area.

STEP 2: Open the Motion FB dialog

1.Double-click the Motion FB in the graphics-area or Assembly-Tree

OR

1.See How to Open a dialog

The Motion FB dialog is now open.

STEP 3:Edit the Parameters

Motion Parameters

Select Motion

In the Select Motion list:

1.Select a Motion from a list of the Motion name-tabs

Now, the Motion name has a link with the Motion FB.

after each Motion cycle

·Reset output : Default option; used in most cases.

·Accumulate output : Select when the motion is a progressive motion - for example, the motion is indexing.

See more details : Motion FB dialog

Output Data-Type

·Motion : Default option; use in most cases

·Linear or Rotary : Select when you connect the Motion FB to a Motion-Path FB or Math FB.

Pattern FB

Not normally used.

Query

The inverse of finding the Y-axis value from the X-axis.

For the motion in Select Motion box,

Enter a Y-axis value to find the corresponding X-axis value(s) for the motion in Select Motion.

STEP 4:Click [image] to close the Motion FB dialog.

STEP 5: Connect wires to the input-connector and from the output-connector.

1.Connect a wire to the input-connector of the Motion FB

Usually, (but not always), connect a wire from the output of a Linear-Motion FB or a Gearing FB to the input-connector of the Motion FB.

When you cycle the model, the motion-data at its input-connector control the X-axis value for the Motion you select in STEP 3.

2.Connect a wire from the output-connector of the Motion FB

Usually (not always), connect a wire from the Motion FB to the input of a Motion-Dimension FB or a Motion-Path FB

When you cycle the model, the motion-data at the output-connector is the Y-axis value that corresponds to the X-axis value at its input, for the Motion you select in STEP 3.


6: Memo

Memo dialog

The Memo is a Windows NotePad® style interface.

The Model-Editor and all Mechanism-Editors can have their own Memo. We save the Memo for you with the model file.

In the default case, the Memo opens each time you start MechDesigner.

To disable the Memo when you start MechDesigner:

1.Clear the Automatically Open on Start check-box, at the bottom of the interface [image] .

Memo dialog

To open a Memo at any other time.

1.Right-click the Model name-tab or any Mechanism name-tab

2.Click Open Memo in the shortcut menu.


Navigation: MechDesigner User Interface >

Return to chapter overview

Dialogs:

Dialogs

To build a model:

STEP 1: Add an element | - see Model Editor ; Mechanism Editor ; Part-Editor
STEP 2: Open the element's dialog | - see How to open a dialog
STEP 3: Edit the element's parameters | - see How to edit a Parameter in a dialog
STEP 4: Close the Elements's Dialog Do Steps 1 to 4, again, and again, ... | Close the dialog before you start a different command to add a new element.
Two dialog exceptions: Add Dimension dialog and Add Plane dialog open immediately when you do Add Dimension and Add Plane.

Dialogs

GENERAL DIALOGS
Rename | Replace Old Name with New Name
Model / Mechanism | Lighting, Synchronize CAD-Solids
Application Settings | General, Number-Format, Auto-Profiles, Accessibility, Colors, ...
Machine Settings | Machine Speed, # Steps in Machine-Cycle, Units
Element Properties | Read-only - an element's Motion and/or Force properties
Model-Editor
Add or Edit Plane | Edit Angle of Plane or Offset of Plane
Profile / Extrusion | Edit a an Extrusion - the MD-Solid
CAD: DXF, SOLIDWORKS
DXF-Element | Select a different DXF File, specify the DXF Units of the new DXF element
CAD-Line |
> DXF tab >> DXF Layer Editor | Import DXF File, Convert Entities to MD Sketch-Elements.
> SOLIDWORKS | > CAD-Solid - Import SOLIDWORKS file-type
> Mass Properties | > User Mass-Properties, SOLIDWORKS Mass-Properties, Total Mass Properties.
> STL Import | > Import an STL file
> Display Options | > Edit the Color, Transparency, ...
CAMS: 2D & 3D
2D-Cam | 2D-Cam:
> Parameters | > Edit the Start-Angle and Range (defaults are 0 and 360), Enable Lifetime, Edit Safety-Factor.
> Display | > Display Cam Profile as: Cam-Profile, Pressure-Angle, Contact-Force, Shear-Stress,
> Roller Life | > Edit the Roller bearing, enter factors for ISO 281 calculations (Lubricant, Temperature, Reliability)
> Cam Life | > Edit the Steel/Cast-Iron, Quality, Heat-Treatment, Hardness
Conjugate Cam FB | Required for Force Analysis, Cam-Life, Roller-Life with Conjugate-Cams and Groove-Cams.
Cam-Data FB | Plot Contact-Force, Hertzian Shear-Stress, Radius-of-Curvature, Pressure-Angle, or Sliding-Velocity
Cam-Coordinates | Calculate and Export 2D-Cam Coordinates, Save as STEP, TXT, DXF
3D-Cam | Calculate and Export 3D-Cams - Barrel, Cylindrical, Globoidal.
FUNCTION-BLOCKS
Linear-Motion FB | Output is 0 - 360, again and again - a machine 'clock'.
Gearing FB | Modify motion-values with a Linear function.
Motion FB | Link a Motion in MotionDesigner
Motion-Dimension FB | Edit the Base-Value (angle or position) of a Motion-Part.
Motion-Path FB | Edit the starting position of a Motion-Point, Control the length of a sketch-loop
Point-Data FB | Measure Point's Position, Velocity and Acceleration relative to the Mechanism-Plane.
Measurement FB | Measure Linear or Angular Position, Velocity and Acceleration.
Graph FB | Plot up to 4 graphs as a function of one X-axis
> Graph Settings | > Graph Display
Spring FB | Define a force for a Spring
Force-Data FB | Measure Force or Torque
CAD Control FB | Control SolidWorks mates from MechDesigner
Magnetic-Joint | Glue Profiles/Curves together
Math FB | User defined functions
Statistics FB | Statistics of a motion-values or force-values
Polynomial Fit FB | Fit Polynomials to data at its input-connector
Parameter-Control FB | Control the length of a 'static-dimension', Extrusion-Depth, Extrusion Offset with motion-values at its input-connector.
Continuous Crank FB | Make a Crank rotate fully with a modulated speed, as a function of the motion of a different part in the kinematic-chain.
Modeling TOOLS
Design-Set | Add different dimensions and parameters to one dialog
Briefcase FB | Put other FBs in a Briefcase - to make you model easier to review
Make Movie | Produce a GIF file or series of PNG, JPG, of BMP images
Point-Cloud | Import XY data, convert to a curve
Pattern | Copy CAD-Solids and/or MD-Solids multiple times in space and time
OTHER Dialogs
Point Properties | Edit Position of a Point, Display Velocity and Acceleration Vectors
Blend-Curve | Edit the Angle, Curvature, and Curvature-Rate at the start-Point and end-Point of a Blend-Curve
Ball-Joint | 3D Joint for Spatial Mechanisms, edit its offset from the Mechanism-Plane.
Gear-Pair | Edit the module, number-of-teeth, mesh, ...
Rack-Pinion / Ball-Screw | Edit the module, number-of-teeth, ...
Pulley | Number-of-Teeth on the Pulley
Kinetostatic: Servo-motor and Gearbox Sizing | Size a Gearbox and Servo-motor for the Application.
Configure Power Source | To move a motor or other power source to the correct joint or cam.
Dimension | Edit an Angular or Linear Dimensional Value.
Miscellaneous
Tutorial Videos | Play Tutorial Video
Example Models | Help menu
Select Elements | Choose one or more elements for a list of elements
Dependent Elements | Show those elements that you also delete
View References | Elements that are referenced by another elements


Dialog: Rename Element Element

Navigation: MechDesigner User Interface > Dialogs >

Return to chapter overview

Dialog: Rename Element

Show/Hide Hidden Text

Rename

You can rename all elements.

After you rename the element, you can identify the element-type with its icon that is to the left of the new element-name.

How to Rename an Element:

There are three(3) methods to Rename an element:

METHOD 1: Rename Element dialog

Use this method when you can select the element in the graphics-area, and/or Element-Explorer.
Selection-Window: shortcut menu

Selection-Window: shortcut menu

STEP 1:Open the Rename Element dialog:

1.Click an element, in the graphics-area or the Element-Explorer.

The element is now in the Selection-Window.

In the Selection-Window:

2.Right-click the element that you want to rename

3.Click Rename element in the shortcut menu

The Rename Element dialog is now open.

STEP 2:Enter a New Name to replace the Old Name:

1.Enter a New Name

In this case, the new name for the Line is: CRANK-LENGTH

2.Click [image] to close the Rename Element dialog.

Rename dialog
METHOD 2: Rename the element in its dialog
Rename element: An open dialog

Rename element:
An open dialog

Use this method when a dialog is open:

1.Double-click the element-name at the top of the dialog < see image

2.Enter a new element-name E.g. Coupler-A

3.Press the Enter key ( [image] ) on your keyboard.

Unfortunately, not all element-types have a dialog.
METHOD 3: Rename the element in the Element-Explorer
Rename element: From the Assembly-Tree

Rename element:
From the Assembly-Tree

Do the Windows® method:

1.Click, pause, and click the element-name in the element-explorer or the Selection-Window

2.Enter a new element-name

3.Press the Enter key ( [image]) on your keyboard

Unfortunately, not all element-types show in the element-explorer or the Selection-Window.


Dialog: Edit Model Lighting & Synchronize Solids

Navigation: MechDesigner User Interface > Dialogs >

Return to chapter overview

Dialog: Model / Mechanism Options

Show/Hide Hidden Text

Model / Mechanism Options

See known bugs - 16.1.268

Terminology:

CAD-Solid :

A CAD model that you import onto a CAD-Line - see CAD-Line dialog.

How to open the Model Options dialog

1.Double-click the Model or Mechanism element in the Assembly-Tree

OR

1.Right-click the Model or Mechanism element at the top of the Assembly-Tree

2.Click Edit element in the shortcut menu

The Model Options dialog is now open.

Model Options dialog.

Model Options dialog

Model Options dialog

There are two tabs.

Synchronize CAD Files

The list of CAD files that you have imported onto a CAD-Line are in the box.

There are three buttons you can use to import the CAD files again, to update your MechDesigner model with latest SOLIDWORKS models.

Background

You use the CAD-Line dialog | SolidWorks tab to import a SolidWorks document or CAD-Line dialog > STL Import tab to import an STL file from other CAD.. We use the term CAD-Solid for the a 3D model that you import.

CAD files you save to disc have a time-stamp.

When you open the Model Option dialog, we compare for you the:

·Active Time-stamp of the CAD file the last time you linked it to the CAD-Line

·Current Time-stamp of the CAD file with the time-stamp of the CAD file-name that is on disc.

CAD-File box:

Element-Name

CAD-Lines that have a link to a CAD file. Each CAD-Line has a status icon:

- the CAD file on disc is newer than SolidWorks document on the CAD-Line.

- the CAD file is not on disc in the place expected

- the time-stamp is the same as that of the CAD file on your hard-disk.

Top-Tip

Click an CAD-Line to select it also in the Assembly-Tree.

SOLIDWORKS CAD File name

The CAD file is either:

Not found on your hard-disk

Found on your hard-disk

STL File name

The source file is the STL file that has a link to the CAD-Line.

We check for you that the STL file is in the path, as expected.
Model Option dialog

Model Option dialog

Control Buttons:

Use the control buttons to re-import or find SolidWorks files if they are not up-to-date.

Synch. all files

1.Click Synch. all files button to check you have the most up-to-date SolidWorks files.

The files import again, if needed.

Synchronize Selected Files

In the Element Name list:

1.CTRL+Click each of the CAD-Line that you want to make sure has the latest CAD-Solid

2.Click Synch. Selected Files

We re-import the files for you.

Find Selected File

1.Click a CAD-Line in the list

2.Click Find Selected File... button

3.Browse to find a file that MechDesigner cannot find.

Top-Tip

Click a CAD-Line to select it also in the Assembly-Tree.
Lighting

Group Lights Editor

Model Options > Lighting tab

Model Options > Lighting tab

The slider controls those Affected Lights that have a check in the check-box

1.Click each Affected Light check-box to make lights active.

2.Use the sliders to change their:

·Ambient, Diffuse, and Specular Light Levels

2.Move your mouse-pointer over the graphics-area to update the lighting

Note: It is often better to decrease Ambient Light Levels, and increase Diffuse and Specular Light Levels to view Solids and SOLIDWORKS Parts. I often set one light at 1-1-1 - over my right-hand shoulder!

Individual Light Editor

To turn on or off each light and to control its source point:

1.Use the drop-down box to select a light (Light 1 to 6)

2.Click the check-box to turn the light that is in the drop-down list on or off.

3.Enter numbers into the X, Y, Z and W Position boxes to change the direction of the light in the drop-down box.

·±X, ±Y ±Z directions for each light

·W - not sure how this works!

4.Move your mouse-pointer over the graphics-area to update the lighting

An External link to Light : Good Luck!


Dialog: Edit Application Options

Navigation: MechDesigner User Interface > Dialogs >

Return to chapter overview

Dialog: Application-Settings

Show/Hide Hidden Text

Application-Settings

Use the Application-Settings dialog to edit the working environment.

We save your Application-Settings when you exit MechDesigner to two files, which are:

·<LocalAppData>\Inifiles\MechDesigner.INI

·<LocalAppData>\Inifiles\MechDesigner.XML

·<LocalAppData> is typically C:\users\username\AppData\Local\PSMotion\

Notes:

Delete MechDesigner.INI and MechDesigner.XML:

·to reset MechDesigner to its factory-settings.

·when MechDesigner crashes soon after you open a model as they may be corrupted.

See also: Application-Settings, Themes, Styles, and the Save and Load buttons

How to open the Application-Settings dialog

 | 1.Click Edit toolbar > Application-Settings
OR | 1.Click Edit menu > Application-Settings

The Application Settings dialog is now open.

Application-Settings dialog:

Application Settings dialog

Application Settings dialog

Application-Settings tabs

General

File Options See also: ZXL file-type.

Extract ZXL Files to:

¤Auto. to ZXL sub-directory: Automatically, add a sub-directory to that of the ZXL file in which to extract the files that are in the ZXL file.

¤Specify directory: Specify a path in which to extract files that are in the ZXL file.

þ Enable Auto-Save:

Enable to automatically save the model to overwrite the model file on disc

Note: Before Auto-Save becomes active, save the model with a file-name.

# of Backup files

Automatically make a backup of the models files.
Backup file-type: CXL.1, CXL.2, ... CXL.#; and MTD.1, MTD.2, ...MTD.#

# of Commands between Auto-save

Auto-Save after Number of Commands. Each time we auto-save your model, we:

1.Rename model file-name.CXL and .MTD, to file-name.~CXL and file-name.~MTD

2.Save the model to file-name.CXL and file-name.MTD

Tutorials Video Directory - click the path to specify a path for Tutorials Videos - see Tutorials

User Library Folder - click the path to specify a User Library Folder - see Import Library Files

Allow Internet Downloads : Enable to allow downloads.

Theme Options

Active Theme: After you select a Target Theme, the box shows the Theme.

Target Theme: Select from:

·Charcoal Dark Style (default) , Windows, Aqua Light Slate, Windows10 Dark, Tablet Dark, Slate Classico, Windows 10 Slate Gray, and Windows 10.

Note: Mostly, in this help documentation, the Theme is Charcoal Dark Slate.

CAD Linear Units

Imported DXF Files: units

The scale of a DXF-Drawing are 1:1 when the DXF units you select are equal to those units of the imported DXF-drawing.

See also: Edit DXF-Element

Cam ROC Warning

If | Radius of the Cam-Profile | < % × Radius of Follower-Roller

·The Cam-Profile is more likely to be Undercut

·The Cam-Profile becomes red in the graphics-area.

It is a WARNING ONLY - a soft-limit.
Number Format

Note: Precision of calculations do not change if you edit these parameters.

Data Output Format

Data-format for data you save from a Graph FB or Cam-Coordinates FB.

·Float Number Format: See [image] Internet Link here about number formats

·Precision and Digits - see below

Regional Characters as Separators - Read-Only

List separator (read-only)- the active regional character that separates values.

For example, “,” in a CSV file.

Decimal Separator (read-only) - the active character that separates integer and fractional parts of a number.

For example, “.” in 12.3456

List Separator Options:

Select a separator to use for files that you EXPORT

Dimension Format

þ Show Dimension Names

Top-tip: Rename the Dimension if the Dimension is in a Design-Set - see Rename element

Data-format of dimensions, in the graphics-area

·Precision and Digits - see below

·Dimension Font Size - experiment (typically 14)

·Dimension font - the Windows font picker opens. Experiment.

Notes:

Precision: The number-of-digits in the - before and after the decimal mark.

Digits: The number-of-digits after the decimal separator.

Usually, set : Precision ≥ Digits +3, . However, it depends on your model requirements.

List separator options - read-only

Comma (,) Tab ( ), Colon (:), Space ( ), Semi-colon (;)

Precision and Digits

Example ~ 1234.56789 |  | Digits
 |  | 2 | 4 | 6 | 8
Precision | 2 | 1.2E03 | 1.2E0003 | 1.2E3 | 1.2E3
 | 4 | 1,235.00 | 1,234.0000 | 1,234.000000 | 1,235.00000000
 | 6 | 1,234.57 | 1,234.5700 | 1,234.570000 | 1,234.57000000
 | 8 | 1,234.57 | 1,234.5679 | 1,234.567900 | 1,234.56790000
Graphics tab

Display colors

Edit the color of the symbols in the graphics-area.

Standard colors:

·Part Not Solved (equivalent term is : not kinematically-defined) is blue

·Part Solved ( equivalent term is: kinematically-defined) is a green

XY-axes in the Mechanism-Editor and Part-Editor are:

·Orange: X–axis

·Green: Y–axis

XYZ-axes (RGB) at the Origin in Model-Editor:

·Red: X–axis,

·Green: Y–axis,

·Blue: Z-Axis

Display Options

There are two sliders

<< Low (Sketch Quality) High >>

Slide the handle to the left to decrease, and to the right to increase, the number of facets around the Circle and Arc sketch-elements.

<< Low (Extrusion Quality) High >>

Slide the handle to the left to decrease, and to the right to increase, the number of facets around Extrusions

þShow Function-Block Names (see images left)

Enable to show the names of each Function-Blocks above the FB in the graphics-area.

This is more helpful if you rename Function-Block - see Rename element

þEnable Anti-aliasing*

Enable to remove the jagged edges from the symbols of elements in the graphics-area.

Line-Width

Edit the Line-Width to increase or decrease the thickness of sketch-elements.

* I find Anti-aliasing is good for Lines, bad for Arcs, Circles, and very bad for Gears. I do not Enable Anti-Aliasing.
Display renamed Function-Blocks

Display renamed Function-Blocks

Do display Function-Block names

Do display Function-Block names

Do not display Function-Block names

Do not display Function-Block names
Accessibility tab

Menus

Text Size

Text size of menus and in dialogs.

Large - too big ?

Medium - typical and recommended

Small - OK?

They are a relative to the Icon Size (see below)

Select a font for dialogs - for example, Tahoma

Icon Size

Large - size is 48×48 pixels (too big?)

Medium - size is 32×32 pixels (OK, recommended)

Small - size is 24×24 pixels (OK)

Tiny - size is 16×16 pixels- (too small?)

Note : If the icons in the toolbars to do not change correctly after you change the ICON size, then reset the Icon-size to Medium and, if necessary, re-start MechDesigner.

Language (An English Joke about language)

Languages: English, Italian, German, French, Spanish, Portuguese, Dutch, Polish, Russian, Japanese, Chinese.

Enable Hints with Tool Tips

We also show for you the hints in the Feedback Area.

See also Help menu

Graphics

Symbol Display Size (Pixels):

The size of symbols that represent the elements in the graphics-area.

Symbol Selection Size (Pixels):

The size of the pointer pin-head. Increase to make it easier to select an element, but you may also select more than one element.

Sounds

þSounds Enabled

Enable the check-box to hear a different sound with each message in the Feedback-Area. There are many messages!

Click the buttons to hear the sound for the three types of message.
Auto-Profile tab

Default Sizes

Default Part-Offset (default = 0)

The default offset of all Profile/Extrusions you add to a Part.

Default Ball Radius

The default size of the Ball-Joint symbol.

See also: Add Ball-Joint ; Ball-Joint dialog

Default Bearing Dia.

Default Ground Bearing Dia.

The default dimension given to arcs at moving and fixed Pin-Joints when you do Add Auto-Profile(s).

See also: Add Auto-Profiles

Default Extrusion Depth

The default Extrusion-Depth parameter in the Extrusion dialog.

See also: Add Auto-Profile ; Add Auto-Profiles ; Extrusion dialog


Dialog: Edit Machine Settings

Navigation: MechDesigner User Interface > Dialogs >

Return to chapter overview

Dialog: Machine-Settings

Show/Hide Hidden Text

Machine-Settings

Use the Machine-Settings dialog to edit the Machine Speed, Number-of-Steps in a machine-cycle, and to edit the Engineering Units.

How to open the Machine-Settings dialog

 | 1.Click Edit toolbar > Machine-Settings
OR | 1.Click Edit menu > Machine-Settings

The Machine-Settings dialog is now open.

Machine Settings dialog

Machine Settings dialog

Machine Settings dialog

Cycling Parameters

Cycling Parameters

Cycles ∕ Min: (RPM) ( See also Note 1 )

RPM - Revolutions per Minute.

The Master Simulation-Speed. It sets the rate-of-change of the Master-Machine-Angle.

MotionDesigner reads this parameter.

Number-of-Steps: ( See also Note 2 )

Number of calculation points in a machine-cycle.

Notes:

·Number-of-Steps does not change accuracy of a Cam - see Cam-Coordinates dialog

·Number-of-Steps is the number of data-points along each graph - see Graph FB

·Number-of-Steps is the number of facets along the curve of a Trace-Point - see Trace-Point

·Number-of-Steps is the number of points/dots on the Motor Torque and Speed Curves

·Usually, 120 is good. More than 360 is not usually needed.

See also: Run menu > Step Forward / Step Backward

Engineering Units

Engineering Units

Engineering Units : ( See also Note 3 )

Linear: | mm, cm, meters, inch.
Rotary: | deg, radians, cycles
Force: | N, lbf (pound-force)
Torque: | N.m, N.mm, ft.lbf
Stress: | Pa(N ∕ m2), MPa(N ∕ mm2), PSI(lbf ∕ in2).
Mass: | kg, gms (grams), lb, oz
More about the Machine Settings Parameters.

Note 1:

Cycles ∕ Min does not change the animation-speed.

Change the animation-speed with the Animation Speed Slider.

Note 2:

Do NOT increase Machine-Settings >Number-of-Steps to increase accuracy of a 2D-Cam! Use the Cam-Coordinates dialog to increase the accuracy of the 2D-Cam for manufacture.

120 Steps is ideal. 360 Steps should be the maximum, for nearly all models.

To move the model with small steps (increments), we recommend you use the Spin-Box in the Master Machine Angle.

Note 3:

If you change the dimension units, you do not change the size of the model.

For example, 100 mm becomes 3.94 inches when you change dimensional units from mm to inches.

For example, 100 degrees becomes 1.75 radians when you change dimensional units from degrees to radians.

In all cases, we do not display for you the units in the graphics-area.


Dialog: Edit DXF-Element

Navigation: MechDesigner User Interface > Dialogs >

Return to chapter overview

Dialog: DXF-Element

DXF-Element

Do File Open > DXF file-type to add a DXF-element to the Assembly-Tree.

The DXF element is the container for a DXF-drawing.

Use the DXF-Element dialog to:

·Link the DXF-Element to a different DXF-drawing

·Apply different Linear Units to the DXF-drawing

Use the CAD-Line > DXF tab to:

·Display the DXF-drawing.

How to open the DXF-Element dialog

Editing the DXF-Element from the Assembly-Tree

Editing the DXF-Element from the Assembly-Tree

To edit the DXF-Element

1.Find a DXF-Element [image] in the Assembly-Tree

2.Right-click the DXF-Element

In the shortcut menu:

3.Click Edit Element

OR

See How to open a dialog

The DXF-Element dialog is now open.

DXF-Element dialog

File name, Path, and Units

DXF-Drawing file-name ; Path

1.Click the Browse button to find and select a DXF-drawing.

DXF-Drawing Units

To show the DXF-Drawing to the correct scale, select the DXF Units of the original DXF-Drawing.

To apply a new DXF-Drawing and Units to a DXF-Element:

1.Click Apply [image] to link the DXF-Drawing with the DXF-Element.

2.Click [image] to close the dialog.


Dialog: Add and Edit Plane

Navigation: MechDesigner User Interface > Dialogs >

Return to chapter overview

Dialog: Plane

Show/Hide Hidden Text

Add / Edit Plane

See also: Model Editor > Add Plane and Mechanism-Editor > Add Plane

Planes define the layout of a Machine. You add Mechanism-Editors to Planes.

When you do Add Plane, the Plane dialog opens immediately to specify its parameter(s).

How to open the Plane dialog-box

Edit Plane

The Plane dialog opens automatically when you do Add Plane. To open the Plane dialog at a different time:

1.Right-click a Plane in the Assembly-Tree.

2.Click Edit-element in the shortcut menu

OR

1.See How to Open a dialog

The Plane dialog is now open.

Plane dialog

The Plane dialog has two configurations - which we call the Plane Definitions.

PLANE DEFINITION 1: Offset from Plane

New Plane: Plane6

Plane Parameters

Plane Definition: Offset from Plane

Element box- the element you select as the reference for the Plane Definition

Parameter to edit:

Distance to New Plane

The offset dimension from the Plane in the Element box [image] to the new Plane

Notes:

The new Plane is parallel to the selected Plane.

The Origin of the new Plane is on the Z-axis of the selected Plane.
PLANE DEFINITION 2: Angle from Line

New Plane: Plane5

Plane Parameters

Plane Definition: Angle from Line

Element box: The element(s) you select as the reference for the Plane Definition

Parameters to edit:

Move Plane to end-Point.

Enable to move the origin of the Plane from the start-Point to the end-Point of the Line that is in the Element box

Note: You must Move Plane to End-Point to add a Bevel Gear-Pair.

Rotational Axes

·Rotate around X-axis : Rotate the new Plane around the X-axis direction of the Plane

·Rotate around Y-axis : Rotate the new Plane around the Y-axis direction of the Plane

·Rotate around Z-axis : Rotate the new Plane around the Z-axis direction of the Plane

Notes:

When you select a Line for a new Plane, the:

Default Origin of the new Plane is coincident the Line's start-Point.

Default +ve X-axis of the new Plane is in the direction from the Line's start-Point to its end-Point.

Related topics

Model toolbar > Add Plane (in the Model-Editor tab)

Model toolbar > Add Plane (in any Mechanism-Editor tab)

How to open a dialog

How to edit a parameter


Dialog: Profile/Extrusion

Show/Hide Hidden Text

Profile/Extrusion

See Add Profile/Extrusion

You add a Profile / Extrusion to a sketch-loop.

Use the Extrusion dialog to edit the properties of an Extrusion.

How to open the Extrusion dialog

If you CAN see the Extrusion in the graphic-area

Double-click Extrusion

To open the Extrusion dialog

1.Double-click the Extrusion in the graphics-area

or

1.See How to open a dialog

If you CANNOT see the Extrusion in the graphic-area

SHIFT-CLICK Profile

Profile / Extrusion in the Selection-Window

Profile/Extrusion in Selection-Window

STEP 1: In the graphics-area

SHIFT+CLICK the (Pink) Profile

STEP 2: In the Selection-Window

The Profile and Extrusion show in the Selection-Window

Selection-Window: Right-click the EXTRUSION element

In the shortcut menu:

Click Edit Element.

Alternatively, if you CANNOT see the Extrusion in the graphic-area

CLICK Profile

STEP 1: In the graphics-area

CLICK a (Pink) Profile

The Assembly-Tree expands to identify the Profile [image] and Extrusion

Edit Extrusion from the Assembly-Tree

Profile/Extrusion in Assembly-Tree

STEP 2: In the Assembly-Tree

1.Assembly-Tree: Click the EXTRUSION

The Element name is now blue, the ICON has an orange box

2.Assembly-Tree: Right-Click the EXTRUSION

A shortcut menu shows next to your pointer:

3.shortcut menu: Click Edit Element

The Extrusion dialog is now open.

The Extrusion dialog

Extrusion dialog

There are three separators in the Extrusion dialog.

Depth and Offset

Color, Opacity and Quality

Mass Properties

Click this button to save the Extrusion as a STEP file-type.
Depth and Offset
Extrusion dialog | Depth and Offset

Extrusion dialog | Depth and Offset

Sketch-Loop and Profile contours

Sketch-Loop and Profile contours

Extrusion-Depth (default = see Application-Settings> Auto-Profile tab)

The distance to the Secondary contour [image] from the Primary contour [image] , along the +Z-axis [image] of the Part.

Extrusion-Depth must be positive. Minimum value = 0.001mm

Extrusion-Offset (default = 0)

The distance to the Primary Contour from the dimension that is specified by Part-Offset.

Extrusion-Offset can be negative or positive.

Part-Offset (default = 0)

Applies to ALL Extrusions in a Part.

The distance to the Primary Contour from the Mechanism-Plane to which we add the distance specified by the Extrusion-Offset parameter.

Part-Offset can be negative or positive.

Note: Distance to Primary contour [image] from Mechanism-Plane = Part Offset + Extrusion Offset

The Primary and Secondary Contours of the Profile:

Sketch-Loop

Primary-Contour

Secondary-Contour

Z-axis is perpendicular(⊥) to the Mechanism-Plane
Color, Opacity, Quality

Show Extrusion

To show or hide the Extrusion

Note: To hide Profile (contours), see Display toolbars > Show/Hide Profiles

Color

Button to select the color of the Extrusion with the Windows® Color-Picker

Transparency (slider)

Slider to change the Transparency (1/Opacity) of the Extrusion in the graphics-area

Graphics Quality (slider)

Slider to change the Graphics Quality of the Extrusion

Note: To update to a different Graphics Quality, you may need to edit the Part in the Part-Editor and then close the Part-Editor immediately.

See also: Application Settings | Graphics
Low Quality     High Quality

Low Quality High Quality
Mass Properties

Density

The Mass and Inertia properties (below) change as you edit the Density.

Mass (read-only)

Mass = Density × area of sketch-loop × Extrusion Depth

Inertia (read-only)

Inertia is calculated with respect to the center-of-mass.

The position of the center-of-mass is a function of the shape of the sketch-loop you select to add the Profile. The center-of-mass is on the Mechanism-Plane. The mass is uniformly distributed.

See also CAD-Line dialog > Mass Properties tab


Dialog: Edit CAD-Line

Navigation: MechDesigner User Interface > Dialogs >

Return to chapter overview

Dialog: CAD-Line

CAD-Line

See also: Add CAD-Line, and CAD-Line details.

There is one CAD-Line from the start-Point to the end-Point of each Part you add to the model.

You can add more CAD-Lines to the Base-Part and any Part you add to the model.

Use the CAD-Line dialog to:

·Import and display one CAD-Solid

·Import Mass-Properties from SolidWorks to one CAD-Solid

·Change how to display the CAD-Solid

·Edit the User Mass-Properties of the CAD-Line

·Display one DXF-Drawing.

Note: to import the DXF-Drawing, do File menu > Open DXF-Drawing

How to open the CAD-Line dialog

Double-Click CAD-Line element in an Added-Part

Double-Click a CAD-Line

To open the CAD-Line dialog

1.Double-click a CAD-Line in the graphics-area or Assembly-Tree

OR

1.See How to Open a dialog

Note:

You can open the CAD-Line dialog from a Mechanism-Editor AND the Part-Editor.

The CAD-Line dialog is now open.

CAD-Line dialog

CAD-Line dialog

CAD-Line dialog tabs.

SOLIDWORKS

Mass Properties

DXF

STL Import

Display Options


-> SOLIDWORKS tab

Show/Hide Hidden Text

CAD-Line > SOLIDWORKS tab

See also: Mass-Properties tab, DXF tab, STL Import tab, Display Options tab.

Enable Visibility toolbar > Show Solids in Mechanisms to see CAD-Solids in Mechanism-Editors.

Use the SOLIDWORKS tab to:

·Import a SOLIDWORKS Part/Assembly document ( SOLIDWORKS refers to their CAD files as documents ) onto a CAD-Line - see below.

·Remove a SOLIDWORKS Part/Assembly document from a CAD-Line.

·Open a SOLIDWORKS Part/Assembly document that you have previously imported onto a CAD-Line.

·Control the surface accuracy of a SOLIDWORKS Part/Assembly document when you import it from SOLIDWORKS.

·Rename the CAD-Line to the name of the active SOLIDWORKS Part/Assembly document.

In SolidWorks:

·Make sure the SOLIDWORKS Part/Assembly document you want to import is open and it is the active document.

·Make sure the SOLIDWORKS Part/Assembly document has a file-name.

·Usually, add a Coordinate-System feature to the SOLIDWORKS Part/Assembly document to align it to the CAD-Line.

·Usually, simplify the SOLIDWORKS document to reduce the complexity of the model.

Warning: The SOLIDWORKS Part/Assembly document does not import into MechDesigner if, in SOLIDWORKS, you use a Chinese Traditional font to name a Configuration feature.

Rename the Configuration feature with a Western font.

CAD-Line dialog

SolidWorks tab

CAD-Line dialog> SOLIDWORKS tab

CAD-Line dialog> SOLIDWORKS tab

Import from SOLIDWORKS

CAD-Line dialog > SOLIDWORKS tab

CAD-Line dialog > SOLIDWORKS tab

STEP 1: Click the Read [image] button

WAIT until the:

·SolidWorks® Part/Assembly (read-only) shows in box

·SolidWorks Configuration (read-only) shows in box

·Model Status (read-only) shows in box

Model Status:

Unavailable - before you import SolidWorks® document the first time.

Out of Date - the file in box [image] is older than the current date/time.

Up to Date - the date/time of file in box [image] is the equal to the date/time when imported.

STEP 2: If there is more than one Coordinate-System, select a Coordinate-System [image] .

STEP 3: Click the Import [image] Button

Wait - a large model can take time to import.

Optional Buttons( [image] [image] )

Button [image] : Remove : the SolidWorks® document in box [image] from the CAD-Line

Button [image] : OPEN : the document in box [image] (that you have previously imported) in SolidWorks®

Button [image] : Rename CAD-Line to the file-name of the SolidWorks document in box [image] .

CAD-Solid File Quality

¤ Fine: more vertices

¤ Coarse: fewer vertices

¤ Custom : edit with:

·Linear Deviation [image] : Maximum =0.5mm; Minimum =0.014mm

·Angular Deviation [image] : Maximum =30º; Minimum =0.4º

WARNING : Number-of-Vertices may increase rapidly as you reduce the Linear/Angular Deviation. to give a large file. It will slow down MechDesigner when you try to edit the model.

Often the appearance of the CAD-Solid does not improve. Experiment! See: Edge Angle Limit.


-> Mass Properties tab

Show/Hide Hidden Text

CAD-Line > Mass Properties tab

See also : CAD-Line dialog

Use the Mass-Properties tab

·Enter user-defined mass properties - see below

·Import from SolidWorks the mass-properties of a SolidWorks document - see below

·Review the total mass-properties on the Part - see below

CAD-Line dialog

Mass Properties tab

CAD-Line dialog > Mass- Properties tab

CAD-Line dialog > Mass- Properties tab

User Mass Properties

Mass (Units: )

center-of-Mass: X–axis ( )

center-of-Mass: Y–axis ( )

Note:

The X-axis is the CAD-Line, the Y-axis is at +90º.

The 0,0 is the start-Point of the CAD-Line.

Moment of Inertia ( ) - ( NOT )

The Inertia about the Center-of-Mass.

You can enter of:

Radius-of-Gyration ,

or

Moment-of-Inertia

Moment-of-Inertia: Radius-of-Gyration, and Point-Mass.

Case 1:

If you enter a Mass but do NOT enter a Radius-of-Gyration or Moment-of-Inertia, the Mass is reduced to a Point Mass.

The position of the mass is at (center-of-Mass: X–axis, center-of-Mass: Y–axis).

CASE 2:

If you enter Moment-of-Inertia, then the equivalent Radius-of-Gyration, is :

Case 3:

If you enter Radius-of-Gyration, then the equivalent Moment-of-Inertia, is:

Parallel Axis Theorem

We use for you the Parallel Axis Theorem to calculate the Moment-of-Inertia about the Part's instantaneous center-of-rotation.

= distance to the Center-of-Mass from the center-of-rotation.

SolidWorks Mass Properties

When you import a SolidWorks document onto a CAD-Line, you can also import the SolidWorks Mass-Properties

Button [image] IMPORT / UPDATE SolidWorks Mass Properties

Note: Before you click button [image] , make sure the active SolidWorks document is on the CAD-Line.

Mass (kg)

Mass of the active SolidWorks document.

center-of-Mass - X-axis (mm)

The distance to the center-of-Mass along the X-axis from the start-Point of the CAD-Line.

center-of-Mass - Y-axis (mm)

The distance to the center-of-Mass along the Y-axis from the start-Point of the CAD-Line.

Moment-of-Inertia

The Inertia with respect to the Center-of-Mass

Button [image] Remove SolidWorks Mass Properties

Total Mass Properties

Total Mass Properties:

The Total Mass Properties is ALL CAD-Lines in one Part.

EXPLICITLY: the Total Mass Properties include, for each Part, ALL of those:

·Mass and Mass-Properties as we calculate for you for ALL Profile/Extrusions in the Part

·User Mass-Properties as you define for ALL CAD-Lines in the Part

·SolidWorks Mass-Properties as you define for ALL CAD-Lines in the Part

NOTES:

Parallel-Axis Theorem

Inertia about Part's Rotational-Axis = Total Inertia about center-of-Mass + Mass × (Distance to Part's Rotational-Axis)2

Relationship between Moment-of-Inertia and Radius of Gyration

Total Inertia (about center-of-Mass) = Total Mass × (Radius-of-Gyration)2

Total Mass of Part =

Mass of all Extrusions + Total mass of other CAD-Lines in the same Part

Total Inertia about the Part's center-of-Gravity =

Inertia of all Extrusions + Total Inertia of other CAD-Lines in the same Part


-> DXF tab >

Show/Hide Hidden Text

CAD-Line > DXF tab

See also: DXF-Element

Use the DXF tab to:

·Display* a DXF-Drawing

·Align the DXF-Drawing with the CAD-Line

·Show or Hide different DXF Layers and/or change the Layer colors

·Convert DXF Entities in the DXF Drawing to MD sketch-elements

·Remove the DXF-Drawing from the CAD-Line

* Before you can display a DXF-Drawing with a CAD-Line, you must use File menu > Open > DXF file-type to open and add a minimum of one DXF-element to the Assembly-Tree.

CAD-Line dialog

DXF tab

CAD-Line dialog-box: DXF tab

CAD-Line dialog > DXF tab

Select DXF-Element

After you do File menu > Open DXF file-type, select the DXF-Element in this dialog to show it in the graphics-area.

Select DXF-Element: drop-down list-box

Each DXF-Element has two parts - see example below

1.Click the drop-down arrow to select a DXF-Element

The DXF-drawing shows in the graphics-area immediately.

See here if you cannot see the DXF-drawing in the graphics-area.

Optional buttons:

Edit DXF Layers :

To open the DXF Layers dialog to show or hide different Layers in the DXF-Drawing

Remove DXF :

To remove the DXF-drawing.

DXF-element

For example: DXF : PCD-3.DXF

DXF is the name of the DXF-element in the Assembly-Tree. It is the container for the DXF-drawing.

PCD-3.DXF is the name of the DXF-drawing that you opened File menu > Open > DXF file-type.

If you cannot see the DXF-drawing:

Change the background color of the graphics-area

See Application Settings | color tab.

The DXF-Drawing may be outside of the current graphic view.

See View menu > Zoom-Out. (or use the wheel button on you mouse)

The Linear Units of the DXF-Drawing may be incorrect, which may make the drawing small or big. It is normal to use the same Linear Units as the original DXF-Drawing.

See Edit DXF-Element dialog.

Align DXF to CAD-Line

Align the DXF-Drawing with the CAD-Line, select two(2) DXF-Points.

DXF Point to CAD-Line's Origin

1.Click in the box to make the box Orange - see Note

2.Click the DXF-Point in the DXF-Drawing that you want to move to the start-Point of the CAD-Line

The DXF-Point shows in the box and the box becomes Green

DXF Point to CAD-Line

3.Click in the box to make the box Orange

4.Click a DXF-Point in the DXF-Drawing to move it to the X-axis of CAD-Line.

The DXF-Drawing moves the two(2) DXF-Points to the CAD-Line

Note:

If you can see the DXF-Drawing but cannot see DXF-Points, then:

1.Click the Display Filter toolbar > DXF Points (the toolbar is below the graphics-area)

Convert DXF Entities to MD Lines and Arcs

DXF Line, DXF Arc, and DXF Point entities are dumb.

To convert the DXF entities to sketch-elements that are native to MechDesigner:

Owner Part

This box specifies the Part onto which you convert the DXF entity

Usually, you add the sketch-elements to the same Part as the CAD-Line.

1.Click the Owner Part box to make it Orange

2.Click a Part in the graphics-area or the Assembly-Tree.

The Part should now be in the Owner Part box

DXF Entity

This box is the DXF-Entity you convert to a sketch-element.

3.Click the DXF Entity box to make it Orange

Before you click a DXF-Entity, you may want to:

·Click the Select-Loop radio-button so that, if possible, you convert a number of DXF-Entities to a sketch-loop

·Click the Lock Points radio-button to lock/fix the Points in the sketch-elements to the Part, after you convert the DXF entities to sketch-elements

·Optionally, edit the Merge Radius value to help make a sketch-loop with those DXF entities inside the Merge-Radius' value - I have never found a reason to edit Merge Radius.

4.Click a DXF Entity (a DXF Line or DXF Arc) in the graphics-area

5.Click the Convert to MD Entities button

Repeat 1 to 5 again to convert other DXF Entities to MD sketch-elements.

Note: After you Convert DXF to MD Lines and Arc, you can click the Remove DXF button, in Select DXF Elements.


Dialog: Edit DXF Layers

Navigation: MechDesigner User Interface > Dialogs >

Return to chapter overview

-> -> DXF Layers

CAD-Line > DXF tab > DXF Layers

DXF-Drawings frequently use Layers for different drawing information.

Use the DXF Layers dialog to show or hide each Layer in a DXF-Drawing.

To open the DXF Layers dialog:

1.Click the Edit Layers button in the CAD-Line dialog > DXF tab

DXF Layers dialog

To Show or Hide a Layer:

1.Click a [image] (or [image] ) in the Show column

2.Click the Layer Visible (or Layer Hidden) check-box

To change the color of a Layer:

This option does not work!

See Solid Color in the DXF tab


-> STL Import tab

Show/Hide Hidden Text

CAD-Line > STL Import tab

See also : CAD-Line dialog

Use the CAD-Line dialog > STL Import tab to:

·Import 1 x STL file

·Edit the STL File Units to those Linear Units of the STL file that you save in your CAD.

·Edit the Edge Angle Limit to remove ghost lines in the CAD-Solid that represents the STL-file

Use the STL Import tab if you do not have SOLIDWORKS.

Before and when you save an STL file in your CAD:

Rotate the model in your CAD to the correct orientation relative to the XY-Plane of the Mechanism-Editor before you import it.

Save the model (in your CAD software) as a Binary STL file-type.

Remember the Linear units. If you cannot edit the STL units, they will be SI units - meters (m).

After you import an STL file:

See Display Options tab to move the STL file in the X, Y, Z-axis directions.

CAD-Line dialog

STL Import tab

CAD-Line dialog > STL Import tab

CAD-Line dialog > STL Import tab

Import STL File

To import an STL file:

STL file Import

1.Click the Browse button

2.Explore and select an STL file

3.Click the Import button.

Note: To see the CAD-Solid, enable Visibility toolbar > Show Solids in Mechanisms

Edge Angle Limit

1.Enter a Value in the Edge-Angle Limit box

This parameter can change the apparent quality of the STL file in the graphics-area.

Edge Angle Limit analyzes the acute angle between two adjacent facets of the STL file that represents the Part/Assembly document

·If the acute angle between two adjacent faces is less than(<) the Edge Angle Limit, we do not show a line at the edge of the two facets.

·If the acute angle between two adjacent faces is greater than (>) the Edge Angle limit, we do show a line at the edge of the two facets.

See Top-Tip.

Solid Color button - to edit the color of the STL file:

1.Click the Solid Color button

2.Select a color in the Windows Color Picker®

3.Click OK in the Windows Color Picker®

STL File Units

1.Select the units that are equal to the units of the original STL file.

Try meters, [m], if you are not sure.

Top-Tip

I find these options are a good compromise between the quality of the image, accuracy of the CAD-Solid, and the file-size of the STL file.

Edge Angle Limit =80 (STL Import tab)

Linear Deviation = 0.04 (SOLIDWORKS tab)

Angular Deviation =30 (SOLIDWORKS tab)
Image with too many Facet-Edges

Image with too many Facet-Edges
Image with Facet-Edges OK

Image with Facet-Edges OK

STL FILE-SIZE

The STL file tessellates the surfaces of the CAD model as a mesh of triangles. Each triangle appears as a small face - which we call a facet. The number of facets is a function of:

·the complexity of the original CAD model, and

·how accurately you want the STL file to tessellate the original CAD model.

To build complex models, and to import many STL files, you want:

Small file-size for each STL file

- AND each STL file to appear as the original CAD model

- AND to see only those facets that define real edges in the CAD model.

Strategies to reduce the STL file-size.

Strategy 1: Reduce the complexity of the original CAD Model = SMALL file-size

Add a new configuration for the CAD model. In the new configuration:

·Do a geometry check of the CAD model file to find if it has any small gaps or whiskers.

·Suspend small fillets, especially if they do not have a function.

·Replace fillets with chamfers, especially along straight edges.

·Suspend all fasteners

·Suspend fastener holes and hole features.

·Suspend all cosmetic details.

·Simplify bearing models, and other complex models you may have downloaded from the internet.

Strategy 2: Reduce the accuracy of the STL file

There parameters are in the SOLIDWORKS tab.

Linear Deviation :

The maximum Linear deviation (distance) between the surface of the original CAD model and the tessellated surface of the STL file.

Angular Deviation :

The maximum angular deviation between adjacent facets of the tessellated surface of the STL file.

If you do not have SolidWorks, you must find these parameters in your 3D-CAD before you save to the STL file. It is possible they are options in the Save as > STL file-type dialog.

Strategy 3: Use the Edge Angle Limit parameter - see Import STL File above

STL files will show their facets if the angle in Edge Angle Limit is less than the facet of the CAD-Solid. Experiment. Import the model again each time you edit Edge Angle Limit (80 degrees).

Examples

Below, the two images are of the same SOLIDWORKS part.

They appear to be identical. However, there is a large difference in the number of facets and vertices.
STL tessellation: Large number of Vertices

STL tessellation: Large number of Vertices

BAD - many facets

·Linear Deviation = 0.014mm and

·Angular Deviation = 0.4º

There are

·119132 vertices

·~40000 triangles

·The STL file size is 3.5 Mega Bytes
STL tessellation: Few number of Vertices

STL tessellation: Few number of Vertices

GOOD - few facets

·Linear Deviation = 0.5mm and

·Angular Deviation = 5º

There are:

·7533 vertices

·2500 triangles

·The STL file size is 0.365 Mega Bytes

GOOD - few facets

·Linear Deviation = 0.05mm

·Angular Deviation = 30º

·Edge Angle Limit = 80º

There are:

·7533 vertices

·2500 triangles

·The STL file size is 0.365 Mega Bytes


-> Display Options tab

Show/Hide Hidden Text

CAD-Line > Display Options tab

Use Display-Option tab to:

·Edit the color and transparency of an imported CAD Solid

·Toggle the Show or Hide an imported CAD Solid

·Move an imported CAD Solid in the X, Y, and/or Z-axis directions.
CAD-Line dialog > Display Options tab

CAD-Line dialog > Display Options tab

Display Options

Show SOLID (check-box)

Click the Show Solid check-box to show or hide the CAD-Solid that is on the CAD-Line.

Note: Enable Visibility toolbar > Show Solids in Mechanisms to show CAD-Solids in Mechanism-Editors

Transparency:

Drag the Transparency slider-bar to change the transparency of the CAD-Solid on the CAD-Line. Experiment!

Solid color:

Click the Solid Color button to open and edit the color of the CAD-Solid with the Windows® color picker,

Number of Vertices: (read-only)

Complex files have more vertices. MechDesigner may become slow to respond to new commands when there are many CAD-Solids, each with many Number-of-Vertices.

How many is too many? Try to make Number-of-Vertices < 10,000.

Experiment with the Fine, Coarse and Custom radio-buttons in the SOLIDWORKS tab.

See also: Top-Tips

Top Tips:

Make a new SOLIDWORKS Configuration if there are many features that add vertices for cosmetic reasons.

In the new configuration, reduce the number of vertices:

·Remove Fillets, cosmetic fillets.

·Use Chamfers to show model edges.

·Do not import models with balls in ball bearings!

·Make the model as simple as possible.
CAD Solid XYZ Position

If the imported CAD-Solid is not in the correct place, you can move it in the X, Y, and Z-axis directions.

Note:

You can not rotate an imported CAD-Solid

You must rotate the CAD model in your CAD software before you import it.


Dialog: 3D-Cam

Show/Hide Hidden Text

3D-Cam

See Add 3D Cam

Note:

When you open a model, we do not re-build 3D-Cams to show them in the graphics-area. To open the 3D-Cam dialog, you must find the 3D-Cam in the Assembly-Tree.

How to open the 3D-Cam dialog-box ...

Frequently, you cannot see the 3D-Cam in the graphics-area.

STEP 1: Find the Cam-Part

The 3D-Cam is a child to the Cam-Part.

1.Click the Mechanism-name-tab [image] that has the Cam-Part as a child.

In the graphics-area:

2.Click the Cam-Part [image] has the 3D-Cam as a child.

The Cam-Part (Cam-Shaft1)

is selected in the Assembly-Tree.

STEP 2: In the Assembly-Tree

The 3D-Cam is a child to the Cam-Part.

1.Explore the Cam-Part(Cam-Shaft1)

to show its child elements

2.Right-click the 3D-Cam element

In the shortcut menu:

3.Click Edit Element

in the shortcut menu

The 3D-Cam dialog is now open.

3D-Cam dialog

3D-Cam dialog

There are two buttons at the top of the 3D-Cam dialog:

Click the [image] button to update to the changes that you make in the 3D-Cam dialog.

See below for more details.

There are three tabs:

Cam

Display

Export

CAM tab

Click to expand/collapse Cam Surface Mesh Density
Rims in 3D Cams Rims along the Cam-Flanks (Purple), the Top and Bottom (Orange), and Points along each Rim. | Preamble: Four(4) Cam Faces We specify for you 3D-Cams with four(4) surfaces. The four (4) surfaces are the: ·Cam-Flanks: in contact with the Follower-Roller ·Root: the floor of the cam. It should be deeper into the cam than Follower-Roller ·Top: you do not need this face in the actual cam. We add it to close the 3D-Cam in the model Rims and Points Rims: are along the total length of each surface. There are a number of Rims across each surface that run approximately parallel with each other. Points: we control each Rim with the XYZ points that we calculate for you. You specify the number of Rims and the number of Points in the Cam Mesh Density separator.
 | # Points per Rims: The number of Points along each Rim # Rims per Flanks: The number of Rims across each flank (working surface) of the 3D-Cam. # Rims per Top & Root: The number of Rims across the Root and Top faces (non-working surface) of the 3D-Cam. # Hoops (for CAD) The number of Hoops that wrap around the 3D-Cam and connect the same Point along each Rim. We use Hoops to help SolidWorks model the surfaces.
Click to expand/collapse Roller Parameters

Preamble:

These parameters are for Tapered Follower-Rollers.

[ Linear Velocity ( ) = Radius( ) × Angular Velocity ( ) ]

Cam Flank Velocity: different points on the cam-flank surface are at different radii from the cam's rotational axis.

Therefore, a point that is at a large radius from the Cam's rotational-axis has a greater velocity than a point that is at a small radius.

Cylindrical Follower Velocity: the surface of a cylindrical follower bearing are at equal radii from its own rotational-axis. Therefore, the tangential velocities of all points on the surface of a rotating cylindrical roller are identical.

The velocity of the cam's surface and the follower's surface can only be the equal at one contact radius from the center of the Cam. The follower must be skidding at all other points!

Tapered Follower Velocity: the surface velocity of a tapered-roller increases as its radius increases. If its apex is coincident with the rotational-axis of the cam, it can have a surface speed that is equal to the surface speed of the cam. Thus, it can roll on the cam surface as the cam rotates. This is be possible only during the dwell periods.

Nevertheless, cylindrical or barrel rollers are most often used as they are readily available, cheap, and they can withstand high loads.

Two Extrusions - different Extrusion-Offset

Two Extrusions - different Extrusion-Offset

The Roller Diameter of a Tapered Roller?

First, review the Extrusion-Offset and Extrusion-Depth parameters that define the Profile Extrusion of the Follower-Roller.

Use the Extrusion dialog to make the Extrusion-Depth parameter equal to the Width (or Length) of the Follower-Roller (Frequently, the 'B' parameter in bearing catalogs).

Extrusion dialog: (Note: Part-Offset parameter = 0 mm).

Extrusion-Offset (mm): Position (Z-axis) to the Primary-Contour [image] from the Mechanism-Plane

Extrusion-Depth (mm): = Dimension between the Primary [image] and Secondary [image] -Contours. ONLY a positive value

Note: In image to the left, +Z-axis direction is down

Taper-Angle of the Follower-Roller.

Taper-Angle (degrees) inclines the Flanks of the 3D-Cam. The taper angle pivots about the Secondary-Contour [image] .

This is not as convenient as the Primary-Contour [image] , for which we apologize.

With reference to the image to the left, you can see that a:

·Negative Taper Angle [image] (shown in image): the diameter of the Roller decreases in the +Z-axis direction.

·Positive Taper Angle : the diameter of the Roller increases in the +Z-axis direction.

Z Offset for Debug - ignore.
C = Actual Roller Width

C = Actual Roller Width

Recommendation , if you want to use the Taper-Roller parameter:

Assume the Mechanism-Plane of the Follower-Roller is half (mid-)way through the width of the Follower-Profile. It if is not, then change the dimension below to suit your model.

STEP 1

Edit the Follower-Profile (Extrusion) with the Extrusion dialog

The Extrusion-Offset [image] should be the negative of the Extrusion-Depth [image] .

Extrusion-Depth(mm) = Actual Roller Width(mm) (Equal to dimension C in SKF catalog

Extrusion-Offset (mm) = – Extrusion-Depth(mm) (Equal to negative of dimension – C in SKF catalog.

The Secondary Profile [image] is now on the Mechanism-Plane [image] . The Taper-Angle [image] parameter rotates and pivots on the Mechanism-Plane.

STEP 2:

Use the Roller Clearances separator (see below ) to edit the Root-Clearance and Top-Clearance to extend the flanks as you need for the actual roller and 3D-Cam
Click to expand/collapse Roller Clearances

Preamble:

There must be a small clearance for a Follower-Roller to roll between the Cam's flanks.

Also, you must make sure the Follower-Roller does not touch the Root/Floor of the Cam-Blank.

Thus, Clearances are practical considerations.

To calculate the basic 3D-Cam (without Roller Clearances), we use for you the:

·Radial dimension of the Circle that represents the Follower-Roller.

·Extrusion-Depth of the Extrusion you add to the Circle as the depth of the Cam-Flanks

·Part-Offset + Extrusion-Offset of the Extrusion from the Mechanism-Plane to locate the Cam-Flanks.

You should use the actual dimensions of the Follower-Roller, and use Roller Clearances to give the clearances you need.

Radial-Clearance (mm)

Important: Total Clearance = 2 × Radial Clearance.

A positive Radial Clearance moves the cam-flanks out, from the Follower-Roller.

A negative Radial Clearance moves the cam-flanks in, towards the Follower-Roller.

Root-Clearance

A positive value that moves the Root-Face towards the center of the Cam -see Note.

Add Root-Clearance to make sure the Follower-Roller does not touch the actual Root (the floor) of the cam-groove/track.

Top-Clearance

A positive value that moves the Top-Face away from the center of the Cam - see Note.

Add Top-Clearance to make sure the top-face of the model is outside the Cam-Blank

Note:

The Top-Face may be the Root-Face of the Cam - vice-versa!

To find which is which, Experiment! Enter a value for the Root-Clearance and click the Rebuild button. Observer in the model which face moves.
Click to expand/collapse Flank Length

Preamble:

Flank Length parameters apply to Indexing Cams.

When you add a 3D-Cam, we calculate for you the cam over a complete machine-cycle, 0 – 360. However, Follower-Rollers of indexing cams are not in contact with the cam for a complete machine-cycle, 0 – 360. The Follower-Rollers progressively engage, then disengage with the cam, in a similar way to gear teeth.

You use the parameters in the Flank-Length separator to calculate the cam for the period in which the Follower-Roller is engaged with the cam.

Flank-Length:

Start-Angle

End-Angle

These angles are with respect to the Master-Machine-Angle.

When you edit the Start-Angle and End Angle, we re-calculate for you the Cam from the Start-Angle to the End-Angle.

The number-of-points along the cam do not change. Thus, the points along each rim become nearer to each other.

DISPLAY tab

Click to expand/collapse Display in Graphic-Area

Preamble:

The Display tab controls how you show the 3D-Cam in the graphics-area.

Solids* | Hoops | Rims.

þ Solids*: show or hide, 3D-Cam as an MD-Solid

þ Hoops: show or hide a hoop at each Point - see # Points

þ Rims: show or hide the Rims along the 3D-Cam

* You must enable the Solids check-box to see the 3D-Cam in other Mechanism-Editors and the Model-Editor

Color

·Use the Windows® color-picker to select a color of the 3D-Cam

Transparency

·Use the slider to change the Transparency of the 3D-Cam.

Display Cam Contour as...

·Pressure-Angle

·Cam-Profile

When you show the 3D-Cam as Pressure Angle, the faces have a color-code.

·Red identifies a high Pressure-Angle

·Blue identifies a low Pressure-Angle

Minimum / Maximum

By default, the color-code scales to the maximum and minimum values of the Pressure-Angle

If you want to change the scale, use the Maximum Value and Minimum Value boxes.

Auto-scale button

Click the auto-scale button to reset to the maximum and minimum values again.

Flank 1 visible, Root Visible, Flank 2 Visible, Top Visible

Show or hide each surface.

EXPORT tab

NOTE: From MD13.2, it is easier to save the 3D-Cam as STEP file with the Save button.

Click to expand/collapse SOLIDWORKS Paths

Preamble:

After you export a 3D-Cam to SolidWorks, it is often useful to copy the path and file-name of the SolidWorks document into this dialog. Then, later, you can use this dialog to find the document, and open it again.

Get Cad Part Path button

Copy the path and file-name of the SOLIDWORKS document into the Path of SLDPRT (Cam) box.

Open Cam Part button

Open in SOLIDWORKS the SOLIDWORKS document that is in the Path of SLDPRT ( Cam ) box
Click to expand/collapse SOLIDWORKS Data Transfer

Note: From MD13.2, it is much easier to save the 3D-Cam to a STEP file with the Save button.

Preamble:

We recommend you use save the 3D-Cam as a STEP file - See Rebuild and Save buttons

Alternatively, you can use these buttons to transfer the Cam-Blank, and the 3D-Cam to SOLIDWORKS.

Before you click these buttons:

1.Open SolidWorks

2.Add a new SOLIDWORKS Part and make it the active document.

Transfer Cam Blank button

·We export for you the sketch of the Cam-Blank and its Axis-of-Rotation to SolidWorks.

·We instruct SolidWorks to add a revolved feature with the Cam-Blank and Axis-of-Rotation.

Note: Usually, the sketch of the Cam-Blank is symmetrical about a perpendicular line from the Cam axis and the Follower axis, middle. If the sketch is not symmetrical, then it is possible that SolidWorks mirrors the sketch to the 3D-Cam. To mirror the Cam-Blank: (in SolidWorks), mirror the sketch about the Y–axis and then the X–axis.

Transfer 3D-Cam button

·We export for you each Rim and Hoop

·We instruct SolidWorks to:

oCreate a surface from the Rims of the two Cam-Flanks, and the Top and Root faces

oIf the cam is an Indexing-Cam we add end-cap surfaces

oKnit the surfaces together with the Knit-surfaces feature

Cut 3D-Cam into Cam-Blank button

·We instruct SolidWorks to:

oCut the Knit-surfaces feature from the Cam Blank revolved feature.

oHide the Knit-surfaces feature.

Note: You may need to edit the Surface Cut feature to reverse the direction of the cut.

REBUILD and SAVE buttons

Click to expand/collapse Rebuild and Save Cam buttons

Export tab

Click the [image] button:

·to recalculate the 3D-Cam with updated parameters

·before you transfer the 3D-Cam to SolidWorks

·before you save the 3D-Cam

Click the [image] button:

·to save the cam as a STEP, TXT, or a SLDCRV file-type.

STEP file-type (recommended)

You can open a STEP file-type in most 3D-CAD programs.

See EXAMPLE 1 : Export the 3D-Cam as a STEP file, below.

TXT, SLDCRV file-types

We save for you the XYZ coordinates of each Rim as a separate file.

In the image, left, there 20 Rims. We save for you 20 files, one file for each Rim.
Rims in 3D Cams

Rims along the Cam-Flanks (Purple), the Top and Bottom (Orange), and Points along each Rim.

Export 3D-CAM

Click to expand/collapse METHOD 1: Export the 3D-Cam as a STEP file (RECOMMENDED)

In MechDesigner:

In the 3D-Cam dialog:

1.Click the [image] button

2.Click the [image] button

3.Select STP as the file-type, and save the cam - for example, CAM.STP

Note: STP file-type is the same as the STEP file-type.

SOLIDWORKS

1.Open Cam.STP file in SolidWorks®

2.If you are prompted, do Import Diagnostics.

3.Close Import Diagnostics command

Depending on your SolidWorks® settings, you may need to:

1.Right-Click Cam.STP in the Feature Manager

2.In the shortcut menu: Click Dissolve Feature and Yes, break the link

3.Right-Click - again - the CAM.STP in the Feature-Manager

4.In the shortcut menu: Click Import Diagnostics

In the Import Diagnostics dialog

5.Disable Attempt to Heal All button, and then close the Import Diagnostics command.

6.Save Cam.STP as a SolidWorks® file-type. E.g. Cam.SLDPRT.

SOLIDWORKS: Cam-Blank

In SOLIDWORKS

Open the Cam-Blank:

1.Open the prepared SolidWorks® part Cam-Blank.SLDPRT.

SOLIDWORKS: Insert Part

SOLIDWORKS: Insert Part

SOLIDWORKS: Combine > Subtract

SOLIDWORKS: Combine > Subtract

Continued...

Insert the Cam.SLDPRT file (see Part 1)

2.Insert menu > Part... ; select “CAM.SLDPRT”

3.Click the Tick at the top of the SolidWorks feature manager.

Cam.SLDPRT becomes a feature and a Solid Body (Cam<imported)

Ideally, the orientation of the CAM.SLDPRT is correct relative to the Cam-Blank.SLDPRT. If not, I find it easier to move the sketch of the Cam-Blank to the correct Plane - experiment!

Continued...

4.Insert menu > Feature > Combine:

a.Select Subtract as the Operation Type and,

b.In the Bodies to Combine box, select

i.Cam-Blank as the Main-Body and

ii.Cam<imported> as the Body to Subtract.

SOLIDWORKS: Result

Result:

You should see the Cam-Track in the Cam-Blank.

Note: It is possible that the Solid Body “Cam<imported>” is not in the correct place relative to the Cam-Blank. For example, Cam<imported> and Cam-Blank.SLDPRT are not defined on the correct Planes.

In this case, redefine the sketch-planes of “Cam.Blank” (easiest method) or move “Cam<imported>” (more difficult to do)

To move Cam<imported>, do:

1.Insert menu > Feature > Move/Copy... and select Cam.SLDPRT as the body to move.

Click to expand/collapse METHOD 2: Transfer the data directly to SOLIDWORKS

Not usually recommended - we recommend that you save the Cam as a STEP file - see METHOD 1 - above.

STEP 1:In SolidWorks®,

Make sure the active document is a Part document:

1.Open SolidWorks®

2.Add a new Part

3.Save the new Part

STEP 2:In MechDesigner

In Export tab > SOLIDWORKS Data Transfer

1.Click the Transfer Cam Blank button

We send for you the sketch-loop and rotational-axis in the Cam-Blank tab to SolidWorks.

In the image to the left, you can see in SOLIDWORKS:

·3DSketch1 which is the rotational-axis

·Revolve1 which is the feature that revolves the sketch-loop into the Solid.

See Getting Started Tutorials 6C for more information.

STEP 3:Click the Transfer 3D-Cam button

To make the transfer quicker, show a drop-down menu in SolidWorks®.

For example, show the help menu drop-down.

We do not know why this makes the transfer faster, but it works.

1.Click the Transfer 3D-Cam button

We control SolidWorks to use the data to:

1.Add the Rims as Curve entities

2.Add four Surfaces features (or six if the Flank-Lengths are not from 0 – 360)

a.two Cam Flanks; one Floor, and one Top Surface

b.two 'End-Caps' if the Flank-Lengths are not from 0 – 360.

3.Add the Knit-feature to knit the Surfaces

STEP 4: Click Remove Surfaces from Blank button

1.Click the remove Surfaces from Blank button

The 3D-Cam Surfaces Cut into the Cam-Blank.

Wait! - you should now see the image to the left

If you see ONLY the CAM TRACK and not the Finished Cam (see image below)

STEP 5: Save the Part In SolidWorks®

1.Insert > Cut > With Surface

2.Select the Knitted 3D-Cam Surface - the last feature in the Feature Manager.

3.Edit the Surface Cut feature in SolidWorks® and click the Change Direction button.

4.Hide the Knitted Surface feature of the 3D-Cam.


Dialog: 2D-Cam >

Show/Hide Hidden Text

2D-Cam

2D-Cam: Work-flow

1.Add a 2D-Cam - see Machine elements toolbar > Add 2D-Cam

If the new 2D-Cam is one from a pair of Conjugate-Cams, or it is one flank of a Groove-Cam

1.a. Add a Conjugate-Cam FB - see Machine elements toolbar > Add Conjugate Cam FB

1.b. Edit the Conjugate-Cam FB to select least two 2D-Cams - see Conjugate-Cam dialog.

2.Select a 2D-Cam or a Conjugate-Cam FB as the Power Source for the Follower - see Configure-Power Source

3.Review the 2D-Cam : Display, Properties, Roller-Life, Cam-Life, ... - see 2D-Cam dialog

4.Add a Cam-Data FB - see Kinematic FBs > Add Cam-Data FB

5.Edit the Cam-Data FB to link it to the 2D-Cam- - see Cam-Data dialog : Cam Analysis

6.Connect wires from the Cam-Data FB to a Graph FB to analyze 5 parameters - see Cam-Data dialog : Cam Analysis

7.Edit the Cam-Data FB again to calculate the Cam's Coordinates - see Cam-Data dialog : Cam-Coordinates

How to open the 2D-Cam dialog

To open the 2D-Cam dialog:

1.Double-click a 2D-Cam in the graphics-area or Assembly-Tree.

OR

1.See How to Open a dialog.

The 2D-Cam dialog is now open.

2D-Cam dialog

The 2D-Cam dialog has two formats:

SHORT

EXTENDED

The two tabs are:

Parameters

Display

The two NEW tabs are:

Roller Life

Cam Life
Click to expand/collapse Save Cam Data button

IMPORTANT: Do not use the X and Y Points that you can save with this dialog to manufacture the cam. Add and use a Cam-Data FB to calculate the Cam's Profile for manufacture as XY-Point, BiArcs, or save it as a STEP file.

Click Save Cam Data at the top of the dialog to save the data produced by this dialog to a CSV file-type. The CSV file saves the parameters and the data at each step in the machine cycle - see Machine-Settings dialog > Number of Steps. The CSV saves the Roller and the Cam details when you enable Roller and Cam Lifetime.

Time | X- Coordinates | Y- Coordinates | Contact Force | Contact Shear Stress | Radius of Curvature | Pressure Angle | Sliding Velocity | Cam Angular Velocity | Interferes?
s | mm | mm | N | MPa | mm | degree | mm/s | rad/s | Y/N

See also the output connectors of the Cam-Data FB for other Cam-Analysis.
Click to Expand / Collapse 2D-Cam - work-flow as a diagram


Dialog: 2D-Cam > Parameters tab

Navigation: MechDesigner User Interface > Dialogs >

Return to chapter overview

-> Parameters tab

Show/Hide Hidden Text

2D-Cam > Parameters tab

2D-Cam dialog > Parameters tab

2D-Cam dialog > Parameters tab

Parameters tab

Cam Range and Radius...
Cam Range and Radius tab

Cam Range and Radius tab

Radial Clearance (mm) Default = 0

Cam without Radial Clearance

Cam without Radial Clearance
Cam with 0.2mm Radial Clearance

Cam with 0.2mm Radial Clearance

When Radial Clearance ≠ 0 we calculate for you a Cam-Profile that is offset from the true Cam-Profile.

Examples Radial Clearance ≠ 0

1.Groove-Cam: Radial Clearance =+0.05 : a small clearance for a Roller bearing to fit between the Cam-Flanks of a Groove cam-type.

2.Conjugate-Cam: Radial Clearance =+0.05 : a small clearance to compensate for assembly tolerances with a Conjugate cam-type.

3.Rough-Cut: Radial Clearance = –0.5 : to export data for a rough-cut of the cam (opposite to clearance)

Notes:

a)You can also edit this parameter in the Cam-Coordinates dialog.

b)Stud-type Follower-Roller usually have a large negative tolerance bias - for example. - which may be enough, or too much, clearance for a Groove cam-type.
Cam-Profile RED = Warning

Cam-Profile RED = Warning

Cam ROC 'Soft-Limit' ( %)

Default: see Application Settings > General tab > Cam Radius Soft-Limits = Default value.

This parameter compares the Cam's radius of curvature (ROC) with the Roller's radius.

Warning if ...

... then the Cam-Profile is RED as a warning.

For example: Cam ROC 'Soft-Limit' = 100%

The Cam-Profile is RED where the Cam's Radius-of-Curvature is less than the Roller's Radius.

Cam: Range < 360

Cam: Range < 360

Cam Start - Default = 0 ; [image] Cam Range - Default = 360

·Use Cam-Start to start calculating the Cam-Profile at a different Master Machine Angle.

·Use Cam-Range to display the cam for less than 360° of the machine-cycle

Application examples:

E.g.1: A Cam-Part rotates 2 times / machine-cycle, then enter Cam Start: 0 and Cam Range : 360 / 2 (revs)

E.g.2: To hide one side of a Slot-Cam.
Enable Lifetime, Edit Safety-Factor
Enable Show Roller and Cam Lifetimes

Enable Show Roller and Cam Lifetimes

þShow Roller and Cam Lifetimes

If you enable Show Roller and Cam Lifetime, the 2D-Cam dialog has two new tabs:

·Roller Life - see Roller Life

·Cam Life - see Cam Life

With these tabs:

·We can calculate for you the life of the Outer or the Inner cam-profile. We remove the Groove options in the Display tab

·We display Force-Vectors. To hide Force-Vectors, see Forces toolbar > Force-Vectors - Display

See Display tab > Cam Display options

Safety-Factor (Cam)

We apply for you the Safety-Factor to the Cam's Contact-Stress and the Roller's Equivalent Contact-Load

Cam Life tab

Cam's Dynamic Maximum Contact-Stress = Max Contact-Stress × Safety-Factor (cam)

Roller Life tab

Safety-Factor (Roller) = Safety Factor (Cam)2

Roller's Dynamic Equivalent Load = Equivalent Load × Safety Factor (Cam) × Safety Factor (Cam)

E.g: If Safety-Factor (Cam) = 1.1 ; Safety-Factor (Roller) = 1.21

The Safety Factor should consider at least the following.

What drives the Cam-Shaft? Is it a constant speed servo-motor or a single-cylinder diesel engine?

What does the Follower drive? Is it a simple paper-tucker, or a forging, stamping press?

What is the stiffness, rigidity, inertia, natural-frequency, of the load - is it a long, thin shaft, or a short, stub spindle?

What is the severity of the motion - does it have jerk continuity, or acceleration discontinuity?

How much backlash - does it have forged spur gears, or a precision Planetary gear-box with helical gears?


-> Display tab

Show/Hide Hidden Text

2D-Cam > Display tab

2D-Cam dialog > Display tab

2D-Cam dialog > Display tab

Display tab

Cam Visibilities

There are two formats: Short and Extended.

Short : Cam Visibility -

Cam Visibilities when Show Roller and Cam Lifetimes is NOT enabled

Cam Visibilities when Show Roller and Cam Lifetimes is NOT enabled

When you Disable Show Roller and Cam Lifetimes (see Parameters tab)

Cam Display Options :

¤ Inner - usually the smaller cam-profile

¤ Outer - usually the larger cam-profile

¤ Groove - the Inner and Outer Cam-Profiles

¤ Pitch-center - the path of the center-point of a Follower-Profile bearing relative to the Cam-Part. This is only meaningful when the Follower-Profile is a roller bearing.

You can enable:

q Pitch-center - enable to show the path of the center-Point of a Follower-Roller relative to the Cam-Part. This is only meaningful when the Follower-Profile is a roller bearing.

q Show Radius-of-Curvature - enable to show the Radius-of-Curvature at the contact-point of the Cam-Profile and the Follower-Profile.

Extended : Cam Visibility

Cam Visibilities when Show Roller and Cam Lifetimes is enabled

Cam Visibilities when Show Roller and Cam Lifetimes is enabled

When you Enable Show Roller and Cam Lifetimes (see Parameters tab)

Cam Display Options ::

¤ Inner - Inside / Internal cam-profile only

¤ Outer - Outside / External cam-profile only

You can enable:

q Pitch-center - enable to show the path of the center-Point of a Follower-Roller relative to the Cam-Part.

q Show Radius-of-Curvature - enable to show the Radius-of-Curvature at the contact-point of the Cam-Profile and the Follower-Roller
Cam Display Options

Select one from:

¤Cam-Profile (default)

¤Maximum Shear-Stress*

¤Contact Force*

¤Pressure-Angle

* Configure the Power Source to calculate correctly.

Cam-Profile Line Thickness: (default =1)

Edit the thickness of the Cam-Profile.

Cam-Profile Color button

Edit the color of the Cam-Profile.

It is useful when there are many Cam-Profiles in your model, and you change each Cam-Profile to a different color.

TOP-TIP - rename the 2D-Cam element to the color you select for the Cam-Profile.

Show Instant centers : For the kinemagicians!

Without and With End-Caps

Without and With End-Caps

Enable Show END-Caps check-box

Without End-Caps

With End-Caps

This check-box shows only when MechDesigner detects an open-cam.

An open-cam is one in which the start and end of the Cam-Profile are not in the same place.

With Slot-Cam types, it is often possible to close the Cam-Profile with End-Caps that have radii equal to that of the Follower-Roller.

Note: Very often, Slot-Cams do not transfer to SolidWorks. This is because the can be duplicate XY-Points.
Click to expand/collapse Example Display Options:
Cams in Graphic Area as 'Cams Only' | ¤ Cam Profile Outer [image] and Inner [image] cams are continuous lines. Pitch-Center Path [image] is a dashed line.
Cams in Graphic Area as 'Maximum Contact Shear Stress' | ¤ Maximum Shear-Stress Maximum Shear Stress value next to the contact point Color of the cam agrees with the color-bar Color-bar indicates the scale of the Maximum Shear-Stress Notes: Maximum Shear-Stress is below the surface, at 0.78 × Contact Width for Line-Contact. Maximum Shear-Stress is = 0.3 × Contact Stress for Line-Contact.
Cams in Graphic Area as 'Cams Contact Force' | ¤ Contact Force Contact Force is at the contact point. Color of the Cam and Color-Bar agree with the Contact Force
Cams in Graphic Area as 'Cams Pressure Angle | ¤ Pressure Angle Pressure Angle is adjacent to the contact point Color of the cam agrees with the color-bar Color-bar as scale of the Pressure Angle See also Pressure Angle


-> Roller Life tab

Show/Hide Hidden Text

2D-Cam > Roller Life tab

Notes:

Before you can calculate the Roller Life, use the Configure the Power Source for the kinematic-chain with the Follower-Part to make sure its power is from the 2D-Cam. See Configure Power Source

Catalog names for Follower-Roller bearings include Track-Rollers, Track-Followers, and Cam-Followers.

To Calculate Roller Life, you must:

Parameters tab ( Parameters tab > Enable Lifetimes, Edit Safety-Factor )

STEP 1:Enable Show Roller and Cam Life

STEP 2:Enter a Safety Factor (CAM)

Note: The Roller's Safety-Factor is equal to the Square of the Cam's Safety-Factor.

Top-Tip - Enter Safety-Factor = 1 to help you the basic Roller Life results, then enter parameters.

Roller Life tab

STEP 1:Select a Roller bearing manufacturer and Roller bearing

If you Enable ISO 281 Modification Factors:

STEP 2:Select or enter a Reliability Factor

STEP 3:Enter the Oil Operating Temperature, and Oil Viscosity at two other Temperatures (usually 40ºC and 100ºC)

STEP 4:Enter the Lubrication Type and select the Contamination Level.

Review the Roller's Lifetime
2D-Cam dialog > Roller Life tab  Select a Manufacturer and Bearing Part-Number of Parameter

2D-Cam dialog > Roller Life tab
Select a Manufacturer and Bearing Part-Number of Parameter

Roller Life tab

Select a Roller bearing Manufacturer and Part-Number.

STEP 1: Select a Follower-Roller bearing Manufacturer

1.Click the drop-down list box to select a Follower-Roller Bearing Manufacturer

Available Manufacturers : SKF, INA/FAG, KOYO, NSK, THK

When you select a manufacturer, the bearing Part-Numbers and their parameters show in the table below [image] .

STEP 2: Select a Roller Bearing from the table

Note: Click a Header to sort by that Header. For example, click OD to sort by Outside-Diameter.

1.Click a Part-Number from the table

Cam-Follower Radius & Follower-Roller Part- Number

Cam-Follower Radius
& Follower-Roller Part- Number

IMPORTANT NOTES

A.The Circle sketch-element that represents the Follower-Roller must have a Radius dimension. Otherwise you get mysterious messages!

B.The Radius of the sketch-element that represents the Follower-Roller changes IMMEDIATELY to the OD/2 of the bearing you select (± Radial Clearance).

C.The Radius dimension of the Circle sketch-element that represents the Follower-Roller becomes read-only.

D.The Part-Number of Follower-Roller is under the Radius dimension - see image.

E.To edit the Radius of the Follower-Roller:

·Select a different Part-Number for the Roller bearing

or

·Disable Show Roller and Cam Lifetimes check-box, and then edit its Radius dimension with the Part-Editor.

You can see immediately the Basic Rating Life, in the L10 for Roller: Part Number separator.
ISO 281 Parameters

To see these factors, enable the ISO 281 Modification Factors

We calculate for you the and modification factors as you enter the parameters below.

ISO 281 Modification Factors

ISO 281 Modification Factors

Reliability Factor (a1)

There are two ways to specify the Reliability Factor.

·Reliability drop-down: Use the drop-down to select, from a standard list of reliability percentages.

The drop-down list is the standard range of Reliability Factors (90 to 99.95%), as given in ISO 281.

or

·Reliability Factor: as a percentage.

In this case, we find for you the nearest Reliability Factor to the Reliability-Factors in the drop-down list.

Operating Viscosity

The viscosity of the Oil (or Base Oil in a Grease) is function of its Viscosity Grade, Viscosity Index, and the Operating Temperature.

To calculate these, you must enter parameters.

·Operating Temperature,

·Temperature,

·Temperature , and Viscosity at Temperature

·Temperature , and Viscosity at temperature

Rules:

· and

Note:

The ISO VG of an oil equates to and

Lubricating Oil and Grease datasheets usually provide the Viscosities at and .

Lubrication Type

The contamination factors can be determined for the following lubrication methods:

¤Oil Filtered On-Line: Circulating oil lubrication with the oil filtered on-line before being supplied to the bearings

¤Oil Filtered Off-line: Oil bath lubrication, or circulating oil lubrication with off-line filters (or without filtration)

¤Grease.

Oil-Mist Lubrication is not considered.

Contamination Factors for each Lubrication-Type

Oil Filtered On-Line

Select, in the drop-down list box, the Filtration Ratio, .

The operating, or actual, Filtration-Ratio should be as high, and if not higher, than the Filtration-Ratio you select.

· - the contamination particle size, in μm, with ISO 11171 calibration.

· - filtration ratio at contamination particle size

The designation (c) signifies that the particle counters — of particles of size — shall be APC (automatic optical single-particle counter) calibrated in accordance with ISO 11171.

Also, the oil system shall have cleanliness within the range indicated by the cleanliness code according to ISO 4406 - for example, 17/14

Filtration Ratio and Filtration Code

; ISO 4406 Code; -/13/10

; ISO 4406 Code; -/15/12

; ISO 4406 Code; -/17/14

; ISO 4406 Code; -/19/16

Oil Filtered Off-Line

Select, in the drop-down list box, the Cleanliness Codes, according to ISO 4406, that best represents the anticipated operating condition.

Filtration Code

ISO 4406 Code; -/13/10

ISO 4406 Code; -/15/12

ISO 4406 Code; -/17/14

ISO 4406 Code; -/19/16

ISO 4406 Code; -/21/18

Grease

Select, in the drop-down list box, the Level of Contamination that best represents the operating conditions.

Level of contamination

Operating Conditions

High cleanliness

Clean assembly with careful flushing; good sealing in relation to operating conditions; re-greasing carried out continuously or at short intervals

Bearings, greased for life with effective sealing capacity in relation to operating conditions - for example, sealed bearings

Normal cleanliness

Clean assembly with flushing; good sealing in relation to operating conditions; re-greasing according to manufacturer’s specification

Bearings, greased for life with proper sealing capacity in relation to the operating conditions - for example, shielded bearings

Slight to typical contamination

Clean assembly; moderate sealing capacity in relation to operating conditions; re-greasing according to manufacturer’s specifications

Severe contamination

Assembly in workshop; bearing and application not adequately washed after mounting; poor sealing capacity in relation to operating conditions; re-greasing intervals longer than recommended by manufacturer

Very severe contamination

Assembly in contaminated environment; inadequate sealing; long re-greasing intervals
Roller Life : Bearing P/N

These parameters are calculated automatically when you select a Roller, and/or enable ISO 281 factors.

Life for the seleced Roller(Cam-Follower Bearing)

Life for the seleced Roller(Cam-Follower Bearing)

Basic Rating Life,

This states that if the bearing load, , is equal to the Basic Dynamic Load Rating, , then there is a 90% reliability that the bearing survives 1 million rotations, if manufactured with commonly used high quality material, of good manufacturing quality, and operating under conventional operating conditions.

Basic Rating Life

Operation in Hours

If the cam speed is constant, it is often preferable to calculate the life in the number of operating hours.

Basic Rating Life (Hours)

Operation in Years

Also, it is often preferable to calculate the life in operating years. This is based on 8760 hours (24hours, 365 days) a year.

Basic Rating Life (Years)

Basic Load Rating (at 90% reliability) (millions of revolutions)

Basic Load Rating (at 90% reliability) (operating hours)

Basic Load Rating (at 90% reliability) (operating years)

Basic dynamic load rating (kN) of the Roller bearing

Equivalent dynamic bearing load ( kN ) (See image above : Equiv Load)

The load continuously changes as the Cam rotates. Thus, we calculate for you an equivalent load.

Roller rotating speed (RPM)

The speed continuously changes as the Cam rotates. Thus, we calculate for you an equivalent speed.

Exponent of the life equation

= 3 for ball bearings

=10/3 for roller bearings

Modified Rating Life,

Modified Rating Life - as per ISO 281

Two factors must be calculated:

· - a factor for Reliability - see below

· - a factor calculated with a System Approach - see below

see above for

see below for an explanation of the and factors.

Operation in Hours

If the cam speed is constant, it is often preferable to calculate the life in the number of operating hours.

Modified Rating Life (Hours)

Operation in Years

Also, it is often preferable to calculate the life in operating years. This is based on 8760 hours (24hours, 365 days) a year.

Modified Rating Life (Years)

Basic Life Rating (at 90% reliability) (millions of revolutions)

Modified Life Rating (at reliability) (millions of revolutions)

Modified Life Rating (at reliability) (operating hours)

Basic Load Rating (at 90% reliability (operating years))

Life modification factor for Reliability - see below

Life modification factor for Systems Approach - see below

Basic dynamic load rating (kN) of the Roller bearing

Equivalent Dynamic bearing load ( kN )

The load usually continuously changes as the Cam rotates. Thus, we calculate for you an equivalent load.

Roller rotating speed

The speed usually continuously changes as the Cam rotates. Thus, we calculate for you an equivalent load.

Exponent of the life equation

= 3 for ball bearings

=10/3 for roller bearings

Operating Life

The operating life is defined as the life actually achieved by the bearing. It may differ significantly from the calculated life.

The operating life cannot be calculated!

Due to the wide variety of possible installation and operating conditions, it is not possible to precisely predetermine the operating life. The most reliable way of arriving at a close estimate is by comparison with similar applications.

Possible factors influencing the operating life

Wear or fatigue as a result of:

·deviating operating data

·misalignment between the shaft and housing

·insufficient or excessive operating clearance

·contamination

·insufficient lubrication

·excessive operating temperature

·oscillating bearing movement with small swivel angles (false brinelling)

·high vibration and false brinelling

·high shock loads (static overloading)

·prior damage during mounting

Bearing Life Modification Factors

Life Modification Factors for Reliability, a1

The Reliability Factor is constant for all application conditions.

The drop-down list has the standard Reliability Factor percentages (90 to 99.95%), as given in ISO 281.

Modified Life Rating (at reliability) (millions of revolutions)

Reliability

Failure Probability

Factor

%

%

millions rotations

-

90

10

1

95

5

0,64

96

4

0,55

97

3

0,47

98

2

0,37

99

1

0,25

99,2

0.8

0,22

99,4

0.6

0,19

99,6

0.4

0,16

99,8

0.2

0,12

99,9

0.1

0,093

99,92

0.08

0,087

99,94

0.06

0,080

99,95

0.05

0,077

Life Modification Factor: a System Approach, aiso

The Life Modification factor, , is a complex interaction between Oil or Grease Viscosity Grade, Filtration, Contamination, Oil Operating Temperature, the Fatigue load capacity of the Roller, the rotational-speed of the Roller, and the diameter of the Roller.

The equations given in ISO 281 to calculate these factors are empirical, complex, and interrelated. All of the factors, except , are a function of the bearing speed and bearing load. In a cam mechanism, the speed and load on the roller continually change. Therefore, we calculate for you the factors at each step and integrate them to find their equivalent values.

Life modification factor, using a systems approach

Fatigue Limit of Bearing (N)

Dynamic Load (N)

Viscosity Ratio (-)

Contamination Factor (-)

Fatigue Limit of Bearing, ( )

ISO 281 defines the fatigue limit, , for a bearing as the load below which metal fatigue does not occur.

With poor lubrication, or contamination of the lubricant in particular, the bearing can fatigue at loads which are significantly below the fatigue limit, .

For the fatigue limit to be a valid value, the lubricant film must fully separate the rolling elements from the raceways and that dents from contaminants or from handling do not exist on the rolling surfaces.

The contamination factor, takes into account how the level of solid particle contamination of the lubricant influences the calculated bearing fatigue life. The particles cause indentations in the rolling surfaces of the bearing, and these indentations increase the local contact stress, which reduces the expected fatigue life.

· means perfectly clean conditions without any indentations.

· means severely contaminated conditions resulting in pronounced indentations.

In the SKF rating life model, contamination, designated by the contamination factor, , acts as a stress raiser, thereby reducing the fatigue load limit to .

We then compare the reduced fatigue load limit, , to the actual bearing load, , to give a fatigue resistance value of

·Clean conditions and a load that is less than the fatigue load limit results in a high fatigue resistance value.

·Contaminated conditions and a load that is more than the fatigue load limit results in a low fatigue resistance value.

The stress-raising influence of contamination on bearing fatigue depends on a number of parameters, including: bearing size, relative lubricant condition, size and distribution of solid contaminant particles and types of contaminants (soft, hard, etc.). Therefore, it is not meaningful to specify precise values for the contamination factor that would have general validity.

If a catalog does not list the Fatigue Load Limit, and the mean bearing diameter is less than . (nearly all Follower-Roller Bearings are less than ), then you can use this approximation:

Roller and needle bearings, with a Mean Diameter < 100mm.

Ball bearings, with a Mean Diameter < 100mm

Mean Diameter = (Outside Diameter + Inside Diameter) / 2

Viscosity Ratio,

The Viscosity Ratio, , indicates the quality of the lubricant film formation.

The lubricant-film separates the raceway and rolling-elements. It is expressed as:

Reference Kinematic Viscosity - a function of the bearing's diameter and its rotating speed.

Kinematic Viscosity at operating temperature - function of oil viscosity grade and temperature.

Note 1: Viscosity Ratio, , assumes that the surface finish and hardness are for Follower-Roller bearings.

Note 2: An approximate relationship between Film Thickness Ratio and Viscosity Ratio, , is:

Film Thickness Ratio - the ratio of the actual film thickness to the composite roughness of the rolling elements and raceway surfaces.

Minimum film thickness

RMS Roughness of the Rolling-Elements, or Rolling-Raceways.

Notes:

A Viscosity-Ratio less than 0.1 is outside of the limits of ISO 281. It is near to metal-to-metal contact.

A Viscosity-Ratio greater than 4 is the maximum that can be used by ISO 281. However, ISO 281 simply states that the Viscosity-Ratio is equal to 4 if it is actually greater than 4. A viscosity-ratio greater than 4 is getting too high for bearings. The needles or balls may slide and refuse to roll in the 'thick-oil', or the oil may churn and increase the oil and bearing temperatures.

A Viscosity-Ratio in the range of 1.5 - 2.5 is approximately ideal.

Reference Kinematic Viscosity,

The Reference Kinematic-Viscosity, (sometimes called the Rated, or Required Viscosity) is the viscosity that is required to separate the surfaces, with combined Cam-Profile and Follower-Roller Roughness values : .

It assumes that the oil is a mineral oil, with a Viscosity-Index of approximately 100.

Synthetic Hydrocarbon type oils can be used.

if

if

- inside diameter of Follower-Roller

- outside diameter of Follower-Roller

Kinematic Viscosity, , at, operating temperature,

We calculate for you the Viscosity, , at the Operating Temperature, from the Viscosity at two other temperatures.

Nearly always, the two temperatures are and , but not necessarily.

The lubricant's data-sheet usually specifies the Viscosity at ( ) and ( )

You must enter all four parameters in the dialog:

·2 x temperatures, and , and

·2 x viscosity at those two temperatures, and

You must also enter the Operating-Temperature, .

We calculate the Viscosity at the Operating-Temperature, .

Contamination Factor,

If a contaminant particle moves to the inside of a bearing the rollers (or balls), outer-race, and inner-race are prone to dent because of the small internal bearing clearances and the small rolling radii of the rollers (or balls). An indent leads to localized stress, which will decrease the life of the bearing.

The contamination may even prevent the rollers (or balls) rotating.

The contamination factors that reduce the lifetime of a Follower-Roller bearing are a function of the:

·diameter of the Follower-Roller

·lubricant film thickness (viscosity ratio, )

·size, type, and hardness of the particle contaminant.

Guide values for the contamination factor are in the table below. They are typical levels of contamination for well lubricated bearings.

Contamination and Lubrication Method.

We can find for you the contamination factors with these lubrication methods:

·Circulating oil lubrication with the oil filtered on-line before it is supplied to the bearings.

·Oil bath lubrication or circulating oil lubrication with off-line filters.

·Grease lubrication.

Circulating oil lubrication with On-Line Filtration, before being supplied to the bearings.

In order to achieve the calculated bearing rating life, the bearings must be operated both from the beginning and after oil changes under the assumed conditions. It is therefore important to clean the bearings and the application thoroughly before mounting. It is also important to filter the oil before it is introduced into the system. The filter used for this purpose should be at least as effective as the filter in the system itself.

For recirculating oil lubrication with continuous oil filtration, the contamination factor, can be determined by means of equations (or diagrams). The diagrams or equations to be used is selected on the basis of the filter retention rate βx(c) according to ISO 16889 and the oil cleanliness code according to ISO 4406. The index (c) is the (automatically counted) particle size in according to ISO 1171.

Oil bath Lubrication, or Recirculating Oil Lubrication, with Off-Line Filtration.

For oil bath lubrication or recirculating oil lubrication with offline filtration, the contamination factor, , can be determined by means of equations or diagrams. You base which diagram you select on the oil cleanliness code. according to ISO 4406.

The filtration ratio , with particle size in according to ISO 16889[6], is the most influencing factor. The contamination level corresponds mainly to the condition of the oil before it passes the on-line filter.

NOTE

Research concludes that it is difficult to accurately find the oil cleanliness especially if you analyze very clean oils. It is easy to pollute an oil-sample, with oil additives that precipitate into the oil and particle calculation.

Grease Lubrication, Contamination Factors

It is much easier to seal a bearing that is lubricated with a grease than with an oil. The design of the machine is often much simpler.

With grease-lubricated Follower-Roller bearings, we differentiate between bearings:

·that you (or the OEM) lubricate one time for the lifetime of the bearings

·that you must re-lubricate.

In general terms lifetime lubrication does not depend on the bearing but on the requirements of the particular application.

For grease lubrication, you must estimate the Contamination Level from the descriptions below.

Step 1: Consider the potential contamination from the application. For example, is the Follower-Roller running in an open cam-track near to the stack of case-blanks in a Case-Packer? If yes, I would use the Severe Contamination.

Step 2: Find the Viscosity Ratio, - see above

Step 3: Find mean diameter, - see above

Step 4: Calculate the level of Contamination,

The contamination level can be very low with open, small bearings. Therefore, you should at least purchase Shielded Follower-Roller bearings if the diameter is less than 40mm.

Simplified Values of Oil Contamination Factor ,

Contamination Level

Extremely high cleanliness:

Particle size less than lubricant film thickness, laboratory conditions

1

1

High Cleanliness:

Oil filtered with extremely fine filter

Equivalent to bearing greased for life with good seals.

Very clean mounting with careful flushing, Continuous re-lubrication

0.8 to 0.6

0.9 to 0.8

Normal Cleanliness:

Oil filtered with fine filter.

Equivalent to bearing greased for life and shielded

0.6 to 0.5

0.8 to 0.6

Slight Contamination:

Oil is slightly contaminated.

0.5 to 0.3

0.6 to 0.4

Typical Contamination:

Conditions typical of bearings without integral seals, course filtering, wear particles and ingress from surroundings

0.3 to 0.1

0.4 to 0.2

Severe Contamination:

Bearing Environment heavily contaminated, Bearing inadequately sealed

0.1 to 0

0.1 to 0

Very high or Extremely high contamination

0

0

Contamination Level for Grease Lubrication

High Cleanliness:

Very clean assembly, careful flushing; very good sealing system relative to the operating conditions; re-greasing is continuous or at short intervals

Sealed bearings that are greased for life, with appropriate sealing capacity for the operating conditions.

Normal Cleanliness:

Clean assembly; good sealing system relative to the operating conditions; re-greasing according to manufacturer’s specifications

Shielded bearings, greased for life with proper sealing capacity for the operating conditions,

Slight to Typical Contamination

Clean assembly; moderate sealing capacity relative to the operating conditions; Re-greasing according to manufacturer’s specifications

Severe Contamination:

Assembly in workshop; bearing and application not adequately washed prior to mounting; ineffective seal relative to the operating conditions; re-greasing intervals longer than recommended by manufacturer

Very Severe Contamination

Assembly in contaminated environment; inadequate sealing system; too long re-greasing

intervals

Contamination Levels, ISO 4406 (Contamination of Oil)

The table below provides scale values as a function of particle concentration (particles/ml) - it is from ISO 4406

A three number code defines the amount of contamination for three particle sizes: 4, 6, and 14 μm. Each time a number increases by 1, the quantity of particles is doubled for a particular particle size.

Example: ISO code = 21 / 19 / 17

This Contamination Class describes a fluid containing:

·between 10,000 and 20 ,000 particles of ≥ 4 μm(c) per 1 ml sample

·between 2,500 and 5 ,000 particles of ≥ 6 μm(c) per 1 ml sample

·between 640 and 1 300 particles of ≥ 14 μm(c) per 1 ml sample

If the leading number is missing, then that size of particle is not counted.

Scale Number | More than | Up to
28 | 1,300,000 | 2,500,000
27 | 640,000 | 1,300,000
26 | 320,000 | 640,000
25 | 160,000 | 320,000
24 | 80,000 | 160,000
23 | 40,000 | 80,000
22 | 20,000 | 40,000
21 | 10,000 | 20,000
20 | 5,000 | 10,000
19 | 2,500 | 5,000
18 | 1,300 | 2,500
17 | 640 | 1,300
16 | 320 | 640
15 | 160 | 320
14 | 80 | 160
13 | 40 | 80
12 | 20 | 40
11 | 10 | 20
10 | 4 | 10
9 | 2.5 | 4
8 | 1.3 | 2.5
7 | 0.64 | 1.3
6 | 0.32 | 0.64
5 | 0.16 | 0.32
4 | 0.08 | 0.16
3 | 0.04 | 0.08
2 | 0.02 | 0.04
1 | 0.01 | 0.02
0 | 0 | 0.01


-> Cam Life tab

Show/Hide Hidden Text

2D-Cam > Cam Life tab

To Calculate Cam Life, you must :

Parameters tab

STEP 1:Enable Show Roller and Cam Life

STEP 2:Enter a Safety Factor (Cam)

See Parameters tab > Enable Lifetimes, Edit Safety-Factor

Cam Life tab

STEP 1:Enable / Disable “Allow Pitting to ~15% of the Cam Surface”

STEP 2:Select a Steel Category, Heat-Treatment, and Steel Quality for the Cam

STEP 3:Enter the Steel's Hardness as HV, HB, or HRC, within the Minimum and Maximum Hardness Limits

Review the Cam's Lifetime
2D-Cam dialog > Cam Life tab

2D-Cam dialog > Cam Life tab

Cam Life: tab

Enable Pitting Factor

Allow Pitting to ~15% of Cam Surface

Steels and Cast-Irons of Categories 1, 2, 3, 4, 6, 8, 9, 10, and 11 (See Cam Life Results below)

These categories allow a small amount of surface pitting to occur, at which time the pitting stabilizes. This is called non-progressive pitting.

If you allow up to ~15% pitting, the cam-life is extended.

In mission-critical applications, for example manned flight - you would not Allow Pitting.

Also, if this is a new and important application, then I would not Allow Pitting.
Cam Material and Hardness
Enter the Hardness as HB, HV, or HRC

Enter the Hardness as HB, HV, or HRC

Select a Steel Category, Heat-Treatment, and Quality

There are 14 Steel/Cast-Iron and Heat-Treatment categories, each with 3 Quality levels (ML,MQ,ME) - identical to the ISO 6336-5 Standard for Gears.

Steels Categories and Heat-Treatment

1.Normalized, Low-Carbon Wrought-Steelsa - St

2.Normalized, Low-Carbon, Cast-Steelsa - St(cast)

3.Black Malleable Cast-Iron - GTS (perl)

4.Nodular Spheroidal Cast-Iron - GGG ( [image] - see image above )

5.Grey Cast-Iron - GGG

6.Through-Hardened Wrought Carbon-Steelb - V

7.Through-Hardened Wrought Alloy-Steelsb - V

8.Through-Hardened Cast Carbon-Steel - V(cast)

9.Through-Hardened Cast Alloy-Steel - V(cast)

10.Case-Hardened Wrought-Steelsc - Eh

11.Flame or Induction-Hardened Wrought or Cast-Steels (IF)

12.Nitrided Nitriding Wrought-Steelsd - NT(nitr)

13.Through-Hardened Nitrided-Steelb - NV(nitr)

14.Through-Hardened Nitro-Carburized Wrought-Steele - (NV (nitr-car)

a - ISO 4948-2 (ISO10020) Part 2 - Classification of unalloyed and alloy steels according to main quality classes and main property or application

b - ISO 683-1 - Heat-treated Steels, alloy steels and free-cutting steel Part 1 - Quenched & Tempered unalloyed steels

c - ISO 683-11 - Heat-treated Steels, alloy steels and free-cutting steel Part 11 - Wrought Case Hardening steels

d - ISO 683-10 - Heat-treated Steels, alloy steels and free-cutting steel Part 1 - Quenched & tempered unalloyed steels

e - ISO 683-1, ISO683-10, or ISO 683-11

Steel Quality

The Steel Quality Standards are:

ML - Modest demands on the material quality and the heat treatment process

MQ - Material Quality and Heat-Treatment standards met by experienced manufacturer.

ME - High degree of reliability of Material Quality and Heat-Treatment process.

The requirements to be met for different steel qualities include: Chemical Analysis, Melting Practice, Surface Crack Detection after machining, and Hardness must be measured. Sometimes, to confirm the analysis a test piece is prepared and heat-treated together with cam - See ISO 3663-5.

Enter the Steel's Hardness within the High and Low Hardness Limits

Enter a Hardness value in the HB, HV, or HRC hardness scale - see image above

The default Hardness is the average of the Upper and Lower Hardness Limits

The Hardness you enter must be within the Upper Hardness Limit and Lower Hardness Limit. The limits are specified in ISO 6336-5.

Lower H Limit ≤ Actual Hardness (HB, HV, HRC) ≤ Upper H Limit

In the example above, you can enter a Hardness in the range of 175-300HB, 178-315HV, or 9-32HRC.

When you enter a Hardness value under one of the Hardness Scales, the other two Hardness Scales update automatically.

Cam-Life Results

Inner / outer flank + Steel Category # , Quality, and Category Name

The Orange Separator indicates the Flank, Steel Category, Steel Quality, Heat-Treatment Type and/or Steel-Type with Steel Acronym are indicated in the separator.

E.G: Inner Flank: 004 ML Nodular / Ductile / Spherical Cast Iron (GGG)

Flank : Inner

Steel Category : 004

Steel Quality : ML

Steel Name : Nodular / Ductile / Spherical Cast Iron

Steel Acronym : GGG

The Results are:

Maximum Contact Stress (MPa - Mega-Pascals)

When you select the Follower-Roller - see Roller-Life tab - we can use the combined Geometry and Materials of the Cam and the Follower-Roller to calculate the maximum contact-stress.

Maximum Dynamic Contact-Stress - (MPa - Mega-Pascals)

Maximum Contact-Stress × Safety Factor - see Parameters tab > Enable Lifetime, Edit Safety-Factor

Maximum Allowable Contact Stress

A property of the Steel-Category, Heat-Treatment, and Steel Quality that you select, together with the Surface Hardness that you enter - see above Cam Materials and Hardness

Dynamic / Allowable (-)

Ratio of Maximum Dynamic Contact-Stress : Maximum Allowable Contact Stress.

We apply the ratio to the Y-axis on the plot of Life(X-axis) vs Ratio of Dynamic/Allowable(Y-axis) - see plot below. Each Steel Category has a different plot.

Depth of Max Shear Stress (mm)

The Maximum Shear-Stress is below the surface. The Depth of Maximum Shear-Stress is a function of the size and shape of the contact between the Follower-Roller and Cam-Profile.

Recommended: Minimum Depth of Surface-Hardness > ~2 × Depth of Maximum Shear-Stress.

Maximum Shear Stress

Approximately 0.78 x Maximum Contact-Stress (depending on the contact geometry).

Dynamic Shear-Stress

Maximum Shear-Stress x Safety-Factor - see Parameters tab > Enable Lifetime, Edit Safety-Factor

S-N (Log-Log) Curves for different Steel Categories (based on ISO 6336) Y-axis = Maximum Dynamic Contact-Stress/Allowable Contact-Stress of Steel, Quality, Hardness X-axis = Life in Number of Machine-Cycles

S-N (Log-Log) Curves for different Steel Categories (based on ISO 6336)
Y-axis = Maximum Dynamic Contact-Stress/Allowable Contact-Stress of Steel, Quality, Hardness
X-axis = Life in Number of Machine-Cycles

Cam Lifetime:

Y (in graph below) = Maximum Dynamic Contact Stress Allowable Contact Stress

When Y=1, Cam Lifetime = 1.

1 Life of Steel-Categories 1: 1.0 × 10^9 cycles,

1 Life of Steel-Categories 2: 1.5 × 10^7cycles;

1 Life of Steel Categories 4: 5.0 × 10^6 cycles

1 Life of Steel Categories 4: 5.0 × 10^6 cycles

When Y > 1, Cam Lifetime is reduced.

When Y < 0.85, Cam-Lifetime is infinite (Greater than 10^10 cycles)

When Life < 10^5 cycles, Contact-Stress plays a more important role, also, ratcheting and shakedown stress.

Cam-Life N (Millions of Cam Rotations)

Millions of Cycles, 99% reliability.

Maximum - 10,000,000,000 (1010 rotations / 10 billion)

Cam-Life Hrs

Number of Hours, based on Millions of Cam-Life Rotations and Machine Speed (RPM).

Cam-Life Yrs

Number of Years, based on 8760 hours per year.


Dialog: Conjugate-Cam-FB

Conjugate-Cam FB

See: Add Conjugate Cam FB.

What are Conjugate Cams?

A Conjugate Cam pair

A Conjugate Cam pair

A typical Conjugate Cam has two Cams that rotate on one axis/shaft. They drive two Follower-Rollers that oscillate or index on a different shaft.

In the image to the left, the blue and orange Cams rotate together on one shaft. The blue Cam-Profile is in continuous contact with the blue Follower-Roller, and the Orange Cam-Profile is in continuous contact with the Orange Follower-Roller.

Why use a Conjugate Cam FB?

Typically, to do the force and stress analysis of a 2D-Cam, you select one 2D-Cam as the Power Source in the Configure Power-Source dialog.

However, if two Cams (Conjugate Cams) on one kinematic-chain drive two Followers, on a different kinematic-chain, you must add and configure a Conjugate Cam FB. Then, select the Conjugate-Cam FB as the Power-Source in the Configure Power Source dialog - only then should you do the force and stress analysis.

Groove Cams are also conjugate cams.

You cannot use the Inner and Outer Flanks of one 2D-Cam.

In a machine, a Groove Cam may have one Follower-Roller. However, to do the Force Analysis (Contact-Force, Shear-Stress, Cam Life, and Roller Life), you need to add two coincident Follower-Rollers. and two 2D-Cams. In the 2D-Cam dialogs, select the Inner Cam for one 2D-Cam, and the Outer Cam for the other 2D-Cam.

Then add the Cam-Conjugate FB.

2D-Cam: Work-flow

1.Add a 2D-Cam - see Machine elements toolbar > Add 2D-Cam

If the new 2D-Cam is one from a pair of Conjugate-Cams, or it is one flank of a Groove-Cam

1.a. Add a Conjugate-Cam FB - see Machine elements toolbar > Add Conjugate Cam FB

1.b. Edit the Conjugate-Cam FB to select least two 2D-Cams - see Conjugate-Cam dialog.

2.Select a 2D-Cam or a Conjugate-Cam FB as the Power Source for the Follower - see Configure-Power Source

3.Review the 2D-Cam : Display, Properties, Roller-Life, Cam-Life, ... - see 2D-Cam dialog

4.Add a Cam-Data FB - see Kinematic FBs > Add Cam-Data FB

5.Edit the Cam-Data FB to link it to the 2D-Cam- - see Cam-Data dialog : Cam Analysis

6.Connect wires from the Cam-Data FB to a Graph FB to analyze 5 parameters - see Cam-Data dialog : Cam Analysis

7.Edit the Cam-Data FB again to calculate the Cam's Coordinates - see Cam-Data dialog : Cam-Coordinates

How to open a Conjugate Cam dialog

To open the Conjugate-Cam dialog:

1.Double-click the Conjugate-Cam FB

OR

1.See How to Open a dialog

The Conjugate-Cam dialog is now open.

Conjugate-Cam dialog

Conjugate-Cam dialog

In the graphics-area or Assembly-Tree:

1.Click a 2D-Cam

2.Click a different 2D-Cam

The two 2D-Cams are in one kinematic-chain and must be capable of being the Power-Source for a one other kinematic-chain.

Each 2D-Cam drives the Inner-Cam-Flank OR the Outer Cam-Flank.

3.Click [image] to close the dialog.

Note 1 : If the 2D-Cams you select do not drive the same Follower-Part, you get this message in the Feedback Area.

Message

To do Force Analysis of the Conjugate Cams, you must select the Conjugate-Cam FB in the Configure Power Source dialog.

To remove a 2D-Cam

1.Select the 2D-Cam in the list

2.Click

Select Conjugate Cam in the Configure Power Source dialog-box

DEFAULT: Configure Power Source dialog

DEFAULT: Configure Power Source dialog

Configure the Power Source

1.Click the Kinematics-Tree tab in the Element-Explorer

2.Click the Kinematics-Chain that includes the Follower Part

3.Right-click the Kinematic-Chain

4.Click Configure Power-Source to open the Configure Power-Source dialog - see image above

The Pin-Joint [image] is the default Motor Element (Power-Source) - see image above

Notice also the Motor Symbol [image] to the left of the Pin-Joint - see image above

In the Configure Power-Source dialog - see image below

5.Click the Conjugate Cam [image] in the list of elements - see image below

The Conjugate-Cam [image] replaces the Pin-Joint as the Motor Element [image] (Power-Source) - see image below

Notice the Motor Symbol [image] is now to the left of the Conjugate-Cam - see image below

6. Click [image] to close the dialog.

Now you can do Contact-Force Analysis for the Conjugate-Cams.
Conjugate-Cam as the Power-Source

Conjugate-Cam as the Power-Source


Dialog: Function-Block: Cam-Analysis

Navigation: MechDesigner User Interface > Dialogs >

Return to chapter overview

Dialog: Cam-Data FB

Show/Hide Hidden Text

Cam-Data FB > Cam-Analysis

See also Add Cam-Data FB

2D-Cam: Work-flow

1.Add a 2D-Cam - see Machine elements toolbar > Add 2D-Cam

If the new 2D-Cam is one from a pair of Conjugate-Cams, or it is one flank of a Groove-Cam

1.a. Add a Conjugate-Cam FB - see Machine elements toolbar > Add Conjugate Cam FB

1.b. Edit the Conjugate-Cam FB to select least two 2D-Cams - see Conjugate-Cam dialog.

2.Select a 2D-Cam or a Conjugate-Cam FB as the Power Source for the Follower - see Configure-Power Source

3.Review the 2D-Cam : Display, Properties, Roller-Life, Cam-Life, ... - see 2D-Cam dialog

4.Add a Cam-Data FB - see Kinematic FBs > Add Cam-Data FB

5.Edit the Cam-Data FB to link it to the 2D-Cam- - see Cam-Data dialog : Cam Analysis

6.Connect wires from the Cam-Data FB to a Graph FB to analyze 5 parameters - see Cam-Data dialog : Cam Analysis

7.Edit the Cam-Data FB again to calculate the Cam's Coordinates - see Cam-Data dialog : Cam-Coordinates

Link the Cam-Data FB to a 2D-Cam

After you add a Cam-Data FB, you must link it to a 2D-Cam. To link it you must open the Cam-Data dialog.

Double-click FB to open the dialog-box

1.Double-click the Cam-Data FB to open the Cam-data dialog

OR

1.See How to open a dialog

The Cam-Data dialog is now open

Selected 2D-Cam is box [image] : is empty. You must now select a 2D-Cam.
Cam-Data dialog - NOT linked to a 2D-Cam

Cam-Data dialog - NOT linked to a 2D-Cam
Click to select a 2D-Cam

Click to select a 2D-Cam

2.Click a 2D-Cam in the graphics-area or the Assembly-Tree

The 2D-Cam is now in the Selected 2D-Cam is [image] box - see image below.

3.Click [image] ( ) to close the Cam-Data dialog

Cam-Data FB linked to 2D-Cam 'Cam Outer'

Cam-Data FB linked to 2D-Cam 'Cam Outer'

The caption above the Cam-Data FB is the element-name of the Cam-Data element - see Rename element dialog

The caption above the element-name is the name of the 2D-Cam element, that has the link with the Cam-Data FB.

TOP-TIP: When there is more than one 2D-Cam in the Mechanism-Editor:

1.Edit the color of the 2D-Cam - see 2D-Cam dialog : Display tab > Display Options

2.Rename the 2D-Cam element to its color - see Rename dialog

Now, it is easier to see which 2D-Cam has a link with which Cam-Data FB.

You can now :

·Analyze 5 Cam parameters - see Cam-Analysis Parameters

·Calculate the Cam's Coordinates - see Cam-Coordinates dialog

Cam-Data FB: Cam Analysis Parameters

Analysis Parameters from Cam-Data FB

Analysis Parameters from Cam-Data FB

The five output-connectors from the Cam-Data FB provide:

·F : Contact Force : See Note 1

·Ԏ : Contact Maximum Shear Stress : See Note 2

·ρ : Radius-of-Curvature : See Note 3

·μ : Pressure Angle : See Note 4

·Ue : Sliding Velocity : see Note 5

Drag wires from the output-connectors of the Cam-Data FB to a Graph FB, a Math FB or a Statistics FB

Make sure you select the correct Cam-Profile (Inner, Outer, or Pitch-Center Path) in the Y–axis display option of the Graph FB interface.

Top-Tip:

Connect wires from the same output-connector of different Cam-Data FBs to the same Graph FB. E.g. Plot Pressure-Angle for up to four 2D-Cams with one Graph FB.

AND

Set the Minimum and Maximum Y-axis values of all graphs to be equal to each other. Use the Set all option in the Graph Settings. Then it is even easier to compare the same parameter for each 2D-Cam with the same limits. If plot exceeds the limits, it is easier to see.

Note 1:

Do Configure the Power Source before you can analyze the Contact-Force.

If Contact-Force is 0.0N in the Graph FB, and the Configure Power Source is correct, change the Cam from Inner to Outer, or vice versa, in the Graph FB > Y-axis Options.

Note 2:

Do Configure the Power Source before you can analyze the Contact-Force.

If Shear-Stress is 0.0Nm–2 in the Graph FB, and the Configure Power Source is correct, change the Cam from Inner to Outer, or vice versa, in the Graph FB > Y-axis Options.

The Maximum Shear Stress is not on the surface of the Cam - it is a little below its surface. The Maximum Shear Stress and its depth below the surface is a function of the material properties of the contacting bodies.

Material Properties:

·Follower-Profile: ,

·Cam-Profile: taken from the Steel Selection in the Cam-Life tab of the 2D-Cam dialog.

There calculations have assumptions. The most significant assumption is that friction is zero, and the bodies are perfectly smooth.

Note 3:

By convention, the Radius-of-Curvature (RoC) of a Roller is positive.

When the cam is convex relative to the Roller, the RoC of the cam is positive.

When the cam is concave relative to the Roller, the RoC of the cam is negative.

Radius-of-Curvature of the Pitch-Curve is not available. If you need to know the Radius-of-Curvature of the Pitch-Curve, export the Radius-of-Curvature of the Inner and Outer cams to Excel, and calculate their average.

Note 4:

The Pressure Angle is through the center of the Follower-Roller. There are two other Pressure Angles available: the Contact Pressure Angle of the Inner and Outer Cams - these are labeled as Inside Cont. PR, Ang. in the Graph FB > Y-axis display options.

These should be used with a Flat-Faced Follower only.

We cannot calculate for you the Pressure Angle for a Stationary Cam.

Note 5:

The Sliding-Velocity assumes the Follower-Profile does not roll (even if the Profile represents a Roller; it assumes it slides over the Cam-Profile. Use the Sliding-Velocity to calculate the Film Thickness of the lubricating oil between the Follower-Profile and Cam-Profile. If you know the surface finish of the Cam-Profile and the Follower-Profile, you can also calculate the Film Thickness Ratio, . This is an important parameter as it strongly influences the life of the cam. A Film Thickness Ratio of less than 1 means that metal asperities of the Follower-Profile and Cam-Profile contact each other, and wear occurs.

Sliding Velocity = (Velocity of Cam-Profile – Velocity of Follower-Profile)

Entrainment Velocity = (Velocity of Cam-Profile +Velocity of Follower-Profile) ÷ 2

Slip-Slide-Ratio = Sliding-Velocity ÷ Entrainment Velocity
Contact Force / Contact Shear-Stress

You must do Configure Power Source to calculate correctly the Contact-Force and Contact Shear-Stress.

There are four methods to show the Contact-Force between the Cam and the Follower.

Display in the graphics-area:

1.Forces toolbar > Display Force-Vectors button.

Two equal and opposite Force-Vectors radiate from the Contact-Point between the Cam and Follower. They are:

·the force that ACTS-ON the Follower-Profile and Follower-Part

·the force vector that ACTS-ON the Cam-Profile and Cam-Part.

You must analyze whether the force between the Cam-Profile and the Follower-Profile is active or not active.

2.Use: 2D-Cam dialog > Display tab > Cam Display Options > Contact-Force.

Plot with a Graph-FB:

3.Add a Force-Data FB, edit it select the 2D-Cam as the Force element, plot with a Graph FB.

4.Use the Cam-Data FB to plot Contact Force from the top output-connector with a Graph FB.

Contact-Force is = 0 N if Contact-Force ≤ 0 N.

Method 4 is preferred when you need to know whether the Cam-Force becomes less than zero.


Dialog: Cam Coordinates Data

Navigation: MechDesigner User Interface > Dialogs >

Return to chapter overview

Dialog: Cam Coordinates

Show/Hide Hidden Text

Cam-Data FB > Cam-Coordinates

See Add Cam-Data FB

Use a Cam-Data FB to

Calculate the Coordinates of the Inner, Outer, and Pitch-Line of the Cam-Profile.

·Calculate the Cam-Profile as XY-Points

·Calculate the Cam-Profile as as BiArcs

·Export the Cam-Profile directly to SolidWorks

·Save the Cam-Profile as STP (STEP), TXT, DXF, and SLDCRV file-types

Before you save the Cam as a STP file, you can define the:

·Plate Diameter, Plate Thickness, Bore Hole Diameter, and, if the Cam is a Groove-Cam, the Depth of the Cam-Profile

2D-Cam: Work-flow

1.Add a 2D-Cam - see Machine elements toolbar > Add 2D-Cam

If the new 2D-Cam is one from a pair of Conjugate-Cams, or it is one flank of a Groove-Cam

1.a. Add a Conjugate-Cam FB - see Machine elements toolbar > Add Conjugate Cam FB

1.b. Edit the Conjugate-Cam FB to select least two 2D-Cams - see Conjugate-Cam dialog.

2.Select a 2D-Cam or a Conjugate-Cam FB as the Power Source for the Follower - see Configure-Power Source

3.Review the 2D-Cam : Display, Properties, Roller-Life, Cam-Life, ... - see 2D-Cam dialog

4.Add a Cam-Data FB - see Kinematic FBs > Add Cam-Data FB

5.Edit the Cam-Data FB to link it to the 2D-Cam- - see Cam-Data dialog : Cam Analysis

6.Connect wires from the Cam-Data FB to a Graph FB to analyze 5 parameters - see Cam-Data dialog : Cam Analysis

7.Edit the Cam-Data FB again to calculate the Cam's Coordinates - see Cam-Data dialog : Cam-Coordinates

Cam-Data dialog: Cam-Coordinates

If necessary, link the Cam-Data FB with a 2D-Cam - see Cam-Analysis

- Cam-Coordinates toolbar

- End-Caps - this box shows ONLY when the first coordinate of the Cam does not equal the last coordinate. For example, a linear Slot-Cam.

- Inner / Outer - to indicate the status of the Cam-Coordinate calculations and Cams.

- Cam Options - to calculate, display, and/or save the cam-profile coordinates for the Inner, Outer, Groove, or Negative Groove cam-type. The Negative Groove cam-type applies to the STEP file-type only.

- Radial Clearance - to offset the Cam-Profile from the true Cam-Profile

- # Points to calculate the XY-Points ( see toolbar [image] below )

or

- BiArc Error to calculate the BiArcs ( see toolbar [image] below )

Cam-Coordinates toolbar:

Click icon to switch between XY-Points and BiArcs.

Clear ALL Data from the Table

Save Cam-Coordinate data as:

·STP(STEP)- XY Points [image] only

·DXF

·CSV (Comma Separated Values) - Header, then # Data-Point, X-data, Y-data, Z-data as 0.0

·TXT - Header, then # Data-Point, X-data, Y-data, Z-data as 0.0

·SLDCRV (SOLIDWORKS Curve file, tab delimited ) - XY Points only , X-data, Y-data, Z-data as 0.0

Note: If this icon is not enabled, then make sure the Plate-Radius parameter is larger than the Maximum Radius of the Outer Cam.

See STEP File Options.

Copy Coordinates to your Clipboard

If Cam Option [image] is Groove Cam, click to toggle between:

- Inner Cam-Profile

- Outer Cam-Profile

- Pitch-Curve ( XY-Points only )

Toggle how to calculate the Cam:

XY-Points - Calculate Cam with X-Y Coordinates

Enter the Number-of-Points ( # Points )

Use [image] to toggle between the Inner, Outer, and Pitch-Circle of the Cam-Profile.

Calculate the 2D-Cam at equal increments of the Master Machine Angle.

BiArcs - Calculate Cam with BiArcs with a maximum Chordal Error (see BiArcs)

Enter the maximum Chordal-Error as BiArc Error

The number of BiArcs is a function of the Bi-Arc Error and the shape of the Cam-Profile.

Before you click this button, make sure that SOLIDWORKS is open and the active document is a part document (SLDPRT).

BiArcs are sent to SOLIDWORKS as Arc sketch entities.

XY-Points are sent to SOLIDWORKS as a list for the SOLIDWORKS Curve feature. Use Convert-Entities in SOLIDWORKS to convert the Curve to a Spline sketch entity. See also Note 4

We calculate for you the XY Points automatically

We calculate for you the Bi-Arcs automatically, but it takes more time to complete.

If the Traffic-Light remains RED, click the Traffic-Light icon again.

Display a preview of the Cam-Profile.

Read-only - the Cam is Open or it is Closed

- End Caps

End Caps relate only to Slot-Cams, also known as Linear-Cams, or Ramp-Cams.
End-Caps - Show

End-Caps - Show

Show or Hide End-Caps

End-Caps work well when the independent axis to the Follower moves in one direction only - see image “End-Caps - Show”

If the independent axis reverses its direction in the middle of its travel, you see False End-Caps in the middle of the Slot-Cam. - see image: “Slot-Cam with 'False' End-Caps”.

Before you export Cam-Coordinates we recommend you add a dummy slot-cam - and move the main axis of the Slot-Cam in one direction at Constant-Velocity, over one machine-cycle.

To make sure the Constant-Velocity is correct:

1.Connect a wire from a Linear-Motion-FB to a Gearing FB

2.In the Gearing FB, enter a Gearing Ratio = maximum Travel distance of Cam/360).

3.Connect a wire from the Gearing FB to the Motion-Dimension FB as the motion of the Slot-Cam.

As the MMA increases from 0 to 360, the Cam travels from 0 to Maximum Travel distance of Cam (mm).
Slot-Cam with 'False' End-Cams

Slot-Cam with 'False' End-Cams
End-Caps - Hide

End-Caps - Hide

- Cam Status

The cam-coordinates have been calculated.

The Radius-of-Curvature is greater than the Cam ROC Soft-Limit parameter as set in the 2D-Cam dialog

The cam-coordinates have not been calculated - usually after you edit the # Points or the BiArc Error.

It is not possible to calculate the cam-coordinates correctly, possibly because of under-cutting.

The cam-coordinates have been calculated.

The Cam's Radius-of-Curvature is less than Cam ROC Soft-Limit as set in the 2D-Cam dialog - Undercutting is possible.

- Cam Options

Calculate, Display, and/or Save the Cam-Coordinates:
 | ·Inner Cam-Profile ONLY
 | ·Outer Cam-Profile ONLY
 | ·Groove-Cam If you select Groove-Cam option, AND if you toggle [image] [image] to XY-Points, then you can also toggle [image] [image] to calculate the Pitch-Circle coordinates.
 | ·Negative-Groove The Negative-Groove option applies only when you want to save the Cam as a STEP file-type - see [image] [image] . The STEP file is the space filled by the path of the Follower-Roller along the Cam-Profile (plus or minus any Radial Clearance).

- Radial-Clearance

Example Radial-Clearance

Cam with 0.2mm Radial Clearance

Cam with 0.2mm Radial Clearance

See also : 2D-Cam dialog > Parameters tab > Cam Range and Radius

Radial Clearance (mm) Default = 0 , Negative or Positive

Positive Value - we re-calculate the cam for you to give a clearance between the Follower-Profile and the Cam-Profile.

AND:

Negative Value - we re-calculate the cam for you to give a interference between the Follower-Profile and the Cam-Profile.

Applications:

Groove-Cam - add clearance (Positive Value) for a Follower-Roller in a Groove cam-type (See Note )

Conjugate-Cam - to add a small clearance (Positive Value) to compensate for tolerances in the cam assembly.

Rough-Cut - to oversize an Inner-Cam or undersize an Outer-Cam for a Rough-cut. Radial-Clearance should be a Negative-Value

Note: Stud-type Follower-Rollers often have a large negative tolerance bias - for example, . You may consider that to be enough clearance.

- Cam-Coordinates

Max Chord-Error with BiArcs Max Chord-Error with BiArcs | set to Biarcs Apply this maximum Chord-Error between the Cam-Profile and the BiArcs.
Number of XY Points Number of XY Points | set to XY-Points Calculate these number of Points for the Cam-Profile at equal increments of the Master-Machine Angle.

Options for: Save as .STEP file-type

When you save the Cam as a STP (STEP) file, you can use these parameters.

- STEP-Only - To indicate the Front Face or the Back Face from which to extrude the Groove-Cam by Cam-Depth (see also [image] )

- STEP-ONLY - Dimensions for the Cam-Plate (see [image] [image] )

- STEP-ONLY - Schematics to indicate the Cam type, and if the Plate-Radius and Bore-Radius are suitable (see also [image] )

- STEP-ONLY - (Stationary Cam only) - enter an X-Offset and Y-Offset to move the center of the Cam-Plate, as required.

- Min. Inner-Cam and Max. Outer-Cam. Read-only radius of the Cam-Profiles to help you specify the Plate-Radius and Bore-Radius (see also [image] )

Dimensions for STEP file ONLY

These images are of a Groove cam-type that are saved as the STEP file-type, and then opened in SolidWorks to show the features.
 | Plate-Depth The total depth of the Cam-Plate.
 | Cam-Depth The depth of the Cam cut into the Cam-Plate. The width of the Cam-Flanks. Minimum Plate-Depth – Cam-Depth ≥ 2 mm
 | Plate-Radius The radius of the Cam-Plate, when you select an Outer or a Groove-Cam
 | Bore-Radius The radius of the hole through the center of the Cam-Plate

Schematics of Cam type and are the Dimensions OK or Not-OK?

Status of Cam Type, Blank-Radius and Bore-Radius relative to Cam-Size

The Plate-Radius [image] parameter applies to Outer and Groove Cams only

The Bore-Radius [image] parameter applies to all Cam types

Groove-Cam

Plate-Radius is OK - it is greater than the Maximum Radius of the Outer Cam

Bore-Radius is OK - it is less than the Minimum Radius of the Inner Cam

Groove-Cam

Plate-Radius is NOT OK - it is less than the Maximum Radius of the Outer Cam

Bore-Radius is OK - it is less than the Minimum Radius of the Inner Cam

Groove-Cam

Plate-Radius is OK - it is greater than the Maximum Radius of the Outer Cam

Bore-Radius is NOT OK - it is greater than the Minimum Radius of the Inner Cam

Groove-Cam

Plate-Radius is NOT OK - it is less than the Maximum Radius of the Outer Cam

Bore-Radius is NOT OK - it is greater than the Minimum Radius of the Inner Cam

Inner-Cam ONLY

Plate-Radius is 0mm

Bore-Radius is 0mm - the Cam does not include a Hole through its center

Inner Cam ONLY

Plate-Radius is OK - it is greater than the Maximum Radius of the Outer Cam

Bore-Radius is OK - it is less than the Minimum Radius of the Inner Cam

Inner-Cam ONLY

Plate-Radius is NOT OK - but, this dimension is ignored with Inner Cams

Bore-Radius is OK - it is less than the Minimum Radius of the Inner Cam

You can save the STEP file.

Inner-Cam ONLY

Plate-Radius is OK - it is greater than the Maximum Radius of the Outer Cam

Bore-Radius is NOT OK - it is greater than the Minimum Radius of the Inner Cam

You can NOT save the STEP file.

Outer-Cam ONLY

Plate-Radius is OK - it is greater than the Maximum Radius of the Outer Cam

Bore-Radius is OK - it is less than the Minimum Radius of the Inner Cam

Outer Cam ONLY

Plate-Radius is NOT OK - it is less than the Maximum Radius of the Outer Cam

Bore-Radius is OK - it is less than the Minimum Radius of the Inner Cam

You can NOT save the STEP file.

Outer-Cam ONLY

Plate-Radius is OK - it is greater than the Maximum Radius of the Outer Cam

Bore-Radius is NOT OK - it is greater than the Minimum Radius of the Inner Cam

You can save the STEP file.

Negative Groove-Cam

Plate-Radius is OK - it is greater than the Maximum Radius of the Outer Cam

Bore-Radius is OK - it is less than the Minimum Radius of the Inner Cam

Minimum/Maximum Radius of Cams, Offset X and Offset Y.

Minimum of Inner-Cam and Maximum of Outer-Cam (see also [image] )

These value are useful to know when you want to make sure there is a minimum difference between the:

·Bore-Radius and the minimum radius of the Inner Cam.

·Plate-Radius diameter and the maximum radius of the Outer Cam.

X-Offset and Y Offset

When the Cam is stationary, enter an X-Offset and Y-Offset to move the center of the Cam-Plate relative the 0,0 of the Mechanism-Plane / Base-Part.

X Offset = 0, Y Offset = 0

Read-only if the Cam is a not stationary.

Image left: the Blank-Radius and Blank-Bore with Offset-X=0,-Y=0.

Center-X = 20, Center-Y = 30

Image left: the Blank-Radius and Blank-Bore with Offset-X=20,Y=30.

The maximum radius of the Blank-Bore can be increased, and the minimum radius of the Blank-Radius can be decreased.

Notes:

Note 1: When a 2D-Cam is a child to a rotating-Part, make sure that the start-Point (origin) of the rotating-Part is at the rotating center.

Note 4: Cam-Data and SOLIDWORKS.

Default Plane in SOLIDWORKS: When you export the Cam-Profile as a SLDCRV file and import that file into SOLIDWORKS, with Insert > Curve > Curve Through XYZ Points... the Cam will be coplanar with the Front-Plane of the SOLIDWORKS part document.

To move the Cam-Profile to a different Plane:

1.Calculate the Cam-Profile as XY-Points

2.Save it as a SLDCRV file-type.

3.Open the SLDCRV file in EXCEL - the cam-coordinates use the A, B, and C columns, which are the X, Y, and Z cam-coordinates, respectively

4.To move the Cam to the

a.TOP Plane: Move the C column to the D column, the B column to the C column, and the D column to the B-column (that is, swap the B and C columns)

b.RIGHT Plane: Move the C column to the D column, the B column to the C column, move the A column to the B column, and the D column to the A column (that is, swap the A and C columns)

5.Save the Data as a CSV (MS-Dos) file

6. Close the file in EXCEL

7.Use Windows File Explorer to rename the file to file-name.SLDCRV

8.In SOLIDWORKS, do Insert > Curve > Curve Through XYZ Points... and browse to file-name.SLDCRV

To mirror the cam: Multiply the X-column data by –1, to mirror the data about the Y-axis.

Note5: The Cam as BiArc Data has six columns:

1 | 2 | 3 | 4 | 5 | 6
Arc Radius | Arc Start Point X Coordinate | Arc End Point X Coordinate | Arc Start Point Y Coordinate | Arc End Point Y Coordinate | Arc Angle Range (degs)


Dialog: Function-Block: Linear-Motion

Show/Hide Hidden Text

Linear-Motion FB

See Add Linear-Motion FB

The default output from the Linear-Motion FB is equal to the Master-Machine-Angle (MMA).

Use the Linear-Motion dialog to advance or delay the output relative to the Master-Machine-Angle.

The Linear-Motion FB does not have an input-connector.

How to open the Linear-Motion dialog-box

To open the Linear-Motion dialog

1.Double-click the Linear-Motion FB in the graphics-area.

OR

1.See How to Open a dialog

The Linear-Motion dialog is now open.

Linear-Motion dialog

Linear Motion FB dialog

Linear Motion FB dialog

Start-Angle

Enter a real number in the data-box

A positive value advances the output relative to the MMA.

Output Options

¤ Reset each Cycle (default)
Output = Master Machine Angle +

¤ Accumulate
Output = (Revs × 360) + Master Machine Angle +

The function of the Linear-Motion FB is:

If Reset [image] then Output = MMA + start-angle

or

If Accumulate [image] then Output = (Revs × 360) + Master Machine Angle + Start-Angle


Dialog: Function-Block: Gearing

Show/Hide Hidden Text

Gearing FB

see Add Gearing FB

Use a Gearing FB to change motion-values* with a mathematical function.

Open the Gearing FB dialog to edit the parameters in the mathematical function.

The default parameters do not change the motion-values.

* Position, Velocity, and Acceleration, with Linear or Angular motion-units.

How to open the Gearing FB dialog-box

To open the Gearing FB dialog

1.Double-click the Gearing FB in the graphics-area.

OR

1.See How to Open a dialog

The Gearing FB dialog is now open.

Gearing FB dialog

Gearing FB dialog

Gearing FB dialog

Ratio and Phase
Ratio and Phase

Ratio and Phase

Gearing Parameters

Gearing Ratio (See Gearing as 'Real' or 'Ratio' below)

Add after Gearing-Ratio

Add before Gearing-Ratio

The Gearing function.

The Gearing FB function is:

Output = { [image] × (Input + [image] ) } +

Gearing as 'Real' or 'Ratio'
Ratio of Pulley Teeth

Ratio of Pulley Teeth

Enter the Gearing Ratio in one of two ways:

Gearing as 'Real'

Gearing as 'Ratio'

If you enable Gearing as Real:

Gearing Ratio : ± Real Number - see above

If you enable Gearing as Ratio:

Gearing Ratio = [image] Output-Pulley / [image] Input-Pulley

Enter

Input-Pulley : ± Integer, and 0

AND

Output-Pulley : + Integer

Example:

Gearing-Ratio = 1.5

Add After Gearing-Ratio = 83

Add Before Gearing-Ratio = 23

Input = 37


Dialog: Function-Block: Motion

Show/Hide Hidden Text

Motion FB

see Add Motion FB

A Motion FB is a direct link to a Motion that is in MotionDesigner.

Open the Motion FB dialog to select a Motion.

Connect wires to its input and output-connectors.

·Motion-values at its input-connector control the X-axis of the Motion you select.

·Motion-values at its output-connector are those Y-axis values that correspond with the X-axis value at the input for the Motion that you select.

The Motion FB selects the left-most Motion name-tab as the default Motion.

How to open the Motion FB dialog

To open the Motion FB dialog

1.Double-click a Motion FB in the graphics-area

OR

1.See How to Open a dialog

The Motion FB dialog is now open.

Motion FB dialog

Motion FB dialog

Motion FB dialog

Motion Parameters

Select Motion:

Click the drop-down box to select a Motion from MotionDesigner.

The default link is to the left-most Motion name-tab and Motion.

After each Motion Cycle:

This parameter relates to progressive (indexing) motions, in which the motion-values at the start and end of the motion are not equal.

A Motion-Cycle is one revolution of the Master-Machine Angle from 0 to 360.

After each Motion-Cycle, at MMA=0, you can:

¤Reset Output: (default)

Start Position* (Machine-Cycle N) = Start-Position (Machine-Cycle 1)

¤Accumulate Output:

Start-Position* (Machine-Cycle N) = End-Position (Machine-Cycle N-1)

* Start-Position: See MotionDesigner > Blend-Point (or Segment) Editor > Y-axis values ...

Output Data-Type

¤ Motion : (default, for Rockers and Sliders)

¤ Linear *

¤ Rotary *

* You must select Linear or Rotary if you connect a wire from a Motion FB to a Motion-Path or a Math FB.

Notes :

Usually, the motion-data at the input to a Motion FB increase at a constant rate from 0 to 360, again and again.

However, the motion-data at the input to the Motion FB can fluctuate in any way.

For example, the input can be from a Motion FB, a Point-Data FB, or a Measurement FB.
Pattern

Ignore this separator
Query

Enter a Y-axis value

The values in the box (below) are the X-axis values that relate to the Y-axis value for the Selected Motion - see Motion Parameters

Reset or Accumulate after each Motion-Cycle?

This is best explained with an example model:

1.Design an Indexing Motion in MotionDesigner with two Segments:

Segment 1: Index (X-axis: 0-240; Y-axis: 0-90)

Segment 2: Dwell (X-axis: 240-360, Y-axis: 90).

2.Connect a Linear-Motion FB to a Gearing FB. Connect the Gearing FB to a Motion FB. Connect the Motion FB to a Motion-Dimension FB which controls an rotating Motion-Part.

3.Edit the Motion FB.

Select the Indexing Motion you have designed.

Select Reset as the After each motion-cycle parameter

4.Edit the Gearing FB.

Edit the Gearing Ratio. Enter 4

5.Cycle the model with ALT+C on your keyboard.

Result:

As the MMA increases from 0 to 360, the output from the Gearing FB increases from 0 to 1440 ( Gearing Ratio × 360 )

As the MMA increases from 0 to 360, the output from the Motion FB increases from 0 to 90, and jumps to 0 again each time the input is an integer multiple of 360.

The indexing-shaft resets its position 4 times.

6.Edit the Motion FB.

Select the Indexing Motion you have designed.

Select Accumulate as the After each motion-cycle parameter

7.Cycle the model with ALT+C on your keyboard.

Result:

As the MMA increases from 0 to 360, the output from the Gearing FB increases from 0 to 1440 ( Gearing Ratio × 360 )

As the MMA increases from 0 to 360, the indexing-shaft indexes 4 times, to make one complete revolution, as the input increases from 0 to 1440.


Dialog: Function-Block: Motion-Dimension

Show/Hide Hidden Text

Motion-Dimension FB

see Add Motion-Dimension FB

A Motion-Dimension FB

·identifies a Part as a Motion-Part - a Rocker or Slider.

·controls the starting position of the Motion-Part

·controls the positive direction of the Motion-Part

The two icons in the graphic-area for a Motion-Dimension FB

The two icons in the graphics-area for the FB are:

The Motion-Dimension FB controls the angular position (ANGLE) of a Rocker

The Motion-Dimension FB controls a Linear position (DISTANCE) of a Slider

How to open the Motion-Dimension dialog

To open the Motion-Dimension dialog:

1.Double-click the Linear or Angular Motion-Dimension FB in the graphics-area

or

1.See How to Open a dialog

The Motion-Dimension dialog is now open.

Motion-Dimension dialog

Motion-Dimension dialog

The Motion-Dimension FB function is:

Motion-Dimension = Base-Value [image] + Input Motion-Value

Output Motion-Value [image] = Base-Value [image] + Input Motion-Value

Note: Units (angular or linear) of the motion-data are defined by the data-type at the input-connector.

Base and Motion Values

Base-Value (read-write)

The constant contribution to the Motion-Dimension

Motion-Value (read-only)

The motion contribution to the Motion-Dimension is the motion-value at the input-connector.

Base-Value + Motion-Value (read-write)

Base-Value + Motion-Value = Motion-Dimension of the Rocker or Slider.

Directions

Negate Motion-Values

¤ Positive Motion-Values : Motion-Value × 1 ( default )

¤ Negative Motion-Values : Motion-Value × –1

Negate Base-Values

¤ Positive Base-Value : Base-Value × 1 ( default )

¤ Negative Base-Value - Base-Value × –1

Note:

The positive direction of a:

Rocker is counter-clockwise

Slider is in the direction of the arrowhead on the Slide-Joint - See Positive Direction of Sliders


Dialog: Function-Block: Motion-Path

Show/Hide Hidden Text

Motion-Path FB

see Add Motion-Path FB

IMPORTANT:

Motion-values at the input to a Motion-Path FB controls the motion of a Motion-Point along a sketch-path.

The motion-values at the input must be Linear or Rotary. See also Motion FB dialog

When the Data-Type at the input is:

·Linear, the linear position of the Motion-Point along the sketch-loop = Linear motion-value*

·Rotary, the linear position of the Motion-Point along the sketch-loop = Angular motion-value* × (total length of sketch-loop / 360)

* See also Linear Offset and Phase Offset parameters - see here

See more Data-Type and Motion-Points

How to open the Motion-Path dialog

To open the Motion-Path dialog

1.Double-click the Motion-Path FB in the graphics-area

OR

1.See How to Open a dialog

The Motion-Path dialog is now open.

Motion-Path dialog

Motion-Path dialog

Point Parameters tab

Point Parameters

# Motion-Points: | Default = 1

To edit the number of Motion-Points along the sketch-loop.

1.Increase or decrease the # of Motion-Points

2.Click button [image] . at the bottom of Point Parameters separator.

Motion-Points distribute equally along the Phase-Range [image] and Length-Range [image] of the sketch-loop.

If there is a Pin-Joint between a Part and a Motion-Point, you must add the Pin-Joint again.

Phase Range | Default = 360 which is equivalent to the total length of the sketch-loop

Linear-Range | Default = Length of the sketch-loop.

When # Motion-Points >1, the Motion-Points are distributed equally along the Phase-Range and Linear-Range of the sketch-loop.

1.Edit the Phase Range [image] (deg)

OR

1.Edit the Linear Range [image] (mm)

When you edit Phase-Range [image] , the Linear-Range updates automatically, and vice-versa.

These two parameters indicate the proportion of the sketch-loop over which to distribute Motion-Points (when # Motion-Point >1).

These parameter distribute Motion-Points (when # Motion-Points > 1) over a range (length) that is different to the total-length of the sketch-loop.

The distribution of the Motion-Points is best illustrated with examples. We urge you to EXPERIMENT.

Example

Say : Actual length of a sketch-loop is 120.0mm

The Number of Motion-Points = 3

Default: Phase-Range =360 (and Linear-Range = 120.0)

The 3 Motion-Points are equally spaced over 120.0mm. The distance between each Motion-Point = 127.5/3 =40.5mm

Position of Motion-Point #1 = 0mm, Motion-Point #2 = 42.5mm, and Motion-Point #3 = 85.0mm

Edit Phase-Range = 120 (and Linear-Range = 42.5)

The 3 Motion-Points are distributed over a linear-length of 127.5/3 = 42.5mm

The distance between each Motion-Points is 42.5/(3-1) = 21.25mm

Position of Motion-Point #1 = 0mm, Motion-Point #2 = 21.25, and Motion-Point #3 = 42.5mm

Phase Offset (deg) [image] | Default = 0

Linear Offset (mm) [image] | Default = 0

Phase Offset and Linear Offset move ALL of the Motion-Points along the sketch-loop. The offset value indicate the position of Motion-Point #1 when the motion-value at the input-connector of the Motion-Path FB is equal to 0; or when a wire is not connected to its input-connector.

Phase-Offset: equates the length of the sketch-loop to 360 degrees of a circle.

Linear-Offset: equates the length of the sketch-loop to its actual linear length.

Example - we urge you to EXPERIMENT.

A sketch-loop is 127.5mm long. There is 1 Motion-Point.

·A Phase-Offset=40 (deg) moves Motion-Point #1 to 127.5×40 ∕ 360=14.16mm along the sketch-loop. All other Motion-Points move the same distance.

·A Linear-Offset=40 (mm) moves Motion-Point #1 to 40mm along the sketch-loop. All other Motion-Points move the same distance.

button

If you change Number of Motion-Points [image] parameter, you must click the button to generate Motion-Points.

Point List and Data Display

Headers: Name | Index | Phase (read-only)

·Name is the name to identify the Motion-Point

If you click on a Motion-Point in the list, it shows as red in the graphics-area.

·Index is the # Motion-Point

·Phase is the relative displacement along the sketch-path, relative to the fist Motion-Point

Display Motion-Point #1 as:

You can show the position of Motion-Point #1 on the sketch-loop.

¤Show Nothing - nothing shows above the Motion-Point #1 in the graphics-area

¤Show Distance - the linear position of Motion-Point #1 moves along the sketch-loop

¤Show Phase - the angular phase of Motion-Point #1 moves along the sketch-loop. 360 is the total-length of the sketch-path.

Length Control tab

Control Length of Path

Select a dimension to control the length of the sketch-loop that is associated with the Motion-Path FB.

The dimension becomes the Control-Dimension - see Note 1

Important

In the Part-Editor, the sketch-loop should be fully defined before you select the Control-Dimension.

Then, as you edit the Control-Dimension, the shape of the sketch-loop is more predictable - see Note 1

/

To control the length of the Motion-Path with a Dimension:

1.Click the Button

The Part-Editor opens.

2.Click a dimension that can control the total length of the sketch-loop - see Note 1

The Part-Editor closes.

The name of the Control-Dimension is now under the button [image] .

For example, DimPtoP2

When you do not want to control the length of the Motion-Path with a dimension:

1.Click

Parameters

Control-Dimension Length - read-only

The active value of the Control-Dimension.

Actual Path Length - read-only

The active length of the sketch-loop associated with the Motion-Path FB

Target Path Length

Edit the length of the sketch-loop associated with the Motion-Path FB - see Note 2

Note: if the Spin-box tool does not show, double-click in the data-box

Control-Dimension Min [image] / Max [image] - see Note 3 below

When you select the Control-Dimension:

·Control-Dimensions Minimum [image] is estimated as 0.5 × Control-Dimension - see Note 3.

·Control-Dimensions Maximum [image] is estimated as 2.0 × Control-Dimension - see Note 3.

If required:

4.Edit the Control-Dimension Minimum [image] and Maximum [image] limits - see Note 2.

Belt Tooth Pitch

The Belt-Tooth-Pitch does not change the belt length.

The diameter of a Pulley is a function of the number of teeth AND Belt Tooth-Pitch.

See Pulley dialog
Notes 1,2,3

Note 1: control-dimension. The control-dimension is a dimension in the Part-Editor.

The dimension you can select has rules.

The Control-Dimension must be a Linear dimension.

DimPtoP# | the distance between two Points
DimL# | the length of a Line

The control-dimension cannot be:

DimPtoL# | the perpendicular distance form a Point to a Line, or a Point to the X-axis, or a Point to the Y-axis
DimLtoL# | the distance between two parallel Lines
AnglePPP# AngleLtoL# | an angle
 | Gray before you select it. For example, it is controlled with a Design-Set

Note 2: Target Path-Length

Edit the Target Path-Length with small increments. If the Actual Path Length does not change, see Note 3

Note 3: Control-dimension min and/or MAX

Message in Feedback-Area (below the graphics-area)

The default values for the Control-Dimension Min or Max are such that the Actual-Path Length can be equal to the Target Path Length.

However, it is possible that the Root-Finding Math is confused!

To reset the Root-finding Math:

·Increase or decrease the Control-Dimension Min/MAX, then try to edit the Target-Path-Length again.

·You may need to edit these values to be almost equal to the actual length of the Control-Dimension.
Transition Curve tab

Information coming with MD16

MOTION-PATH AND DATA TYPES

Data-Type and MOTION-POINTS

The position of the Motion-Points along the sketch-loop is a function of the Data-Type at the input-connector to the Motion-Path FB. The Data-Type at the input-connector must be Linear or Rotary.

Data-Type = Linear

The position of the Motion-Point #1 along the sketch-loop has a scale of 1 : 1 with the motion-value at the input-connector to the Motion-Path FB

the position of the Motion-Point #1 along the sketch-loop = motion-value at input-connector(mm).

Data-Type = Rotary

The position of Motion-Point #1 along the sketch-loop has a scale of 360 : 1 × Path-Length.

∴ the position of the Motion-Point #1 along the sketch-loop = Total Length of the sketch-loop × motion-value at input-connector(degrees)/360)


Dialog: Function-Block: Graph

Graph FB

see Add Graph FB

Use a Graph FB to plot Kinematic Motion-Data, Kinetostatic Force-Data and Cam-Data.

There are:

è4 × Y-axis input: the top four(4) input-connectors

è1 × X-axis input: the bottom input-connector is the X-axis for all of the graphs.

If you do not connect a wire to the X-axis input-connector, the X-axis of the graph is one machine-cycle, 0 – 360.

How to open the Graph Interface

To open the Graph FB dialog

1.Double-click the Graph FB in the graphics-area.

OR

1.See How to Open a dialog.

The Graph interface is now open.

Graph Interface

Grap dialog/interface

Y–axes

There is one Y-axis scale for each wire that you connect to an input-connector. Maximum = 4

From left to right, the Y-axis scales correspond to each wire that you connect to an input-connectors, from top to bottom.

The color of each Y–axis scale is the same as the graph.

1.Edit the colors with the Graph Setting dialog.

The minimum and maximum of the Y-axis scale are the minimum and maximum values of the data at the input-connector.

1.Edit the minimum and maximum values for the Y-axis scales with the Graph Setting dialog.

Y–axis Data-Channels (Drop-Down): See also Y–axis Data-Channel Display Options

Each wire that you connect to an input-connector has 3 Data-Channels.

1.Click the drop-down arrow to select which Data-Channel to plot for each wire at the input-connector.

Digital Readout (D.R.O.):

The X–axis and the Y1 to Y4-axis values in the Digital Readout are those values of the graph at the position of the vertical cursor

The Number-Format for the X–axis and Y–axis values is configured in Application Settings | Number Format tab.

Graph Area:

There is a graph for each wire you connect to a Y-axis input-connector

Graph toolbar:

Save data as

Print graphs

Open Graph Settings dialog

Zoom-Out

Zoom-In

Zoom-Extents

Pan Left

Pan Right

Copy Graph Data to Clipboard – see below

Vertical-Cursor

When you click or drag your pointer in the graph-area [image]:

·the Vertical-Cursor moves with your pointer

·the Digital-Readouts [image] are equal to the Y-axis values of the Vertical-Cursor

·the Master Machine Angle continuously updates to equal the X-axis value of the Vertical-Cursor

·the kinematic-chains that are kinematically-defined move to agree with the Master Machine Angle.

Graph Data in Clipboard

To list the graph data-values [image],

1.Click the right-most icon in the Graph toolbar [image] .

There is one data-point for each Machine Step - see Machine-Settings dialog > Number-of-Steps.

You can Paste the data:

·to Excel, or Notepad, ...

·to the MotionDesigner Data-Transfer Table

From the Data-Transfer Table, you can paste the data:

·as a dumb Overlay-Trace to compare it with a motion

·to a Position List, Acceleration List, or Z Raw Data segment-type, and link it to a Motion-Part or Motion-Point.

Y-Axis Data-Channels:

Each wire that you connect to a Graph FB has three(3) data-channels.

Use the drop-down arrow to select which Y-Axis Data-Channel [image] to plot for each Y-axis.

The Data-Channels that are available are a function of the Function-Block and wire you connect at the input to the Graph FB.

Data-Channels:

Kinematic Function-Blocks (Linear-Motion, Gearing, Motion, Motion-Dimension) you can plot:

·Linear or angular position

·Linear or angular velocity

·Linear or angular acceleration

Measurement FB or Point-Data FB you can plot:

·Linear or angular position

·Linear or angular velocity

·Linear or angular acceleration

Cam-Data FB

·Pressure Angle.
You can plot three Pressure Angles – See Pressure Angle

·Radius-of-Curvature.
You can plot the Radii-of-Curvature of the Inner and the Outer Cam.

·Contact Cam Force

·Maximum Contact Shear Stress.

·Sliding-Velocity
Plot the Sliding-Velocity between the Cam-Profile and Follower-Profile for the Inner Cam and the Outer Cam.

Force-Data FB

The output form a Force-Data FB is a function of the element with which it is linked. See Force-Data FB dialog

If you link a Force-Data FB to a:

ŸPin-Joint with a Motor, you can plot the Application Load.

ŸSlide-Joint with a Motor, you can plot the Application Load

ŸJoint that does not have a Motor, you can plot:

þTotal Force ( FT = √(FX2 + FY2)

þForce along the X-coordinate of a Point: FX

þForce along the Y-coordinate of a Point: FY

Ÿ2D-Cam: you can plot the Cam Contact Force

ŸSpring FB: you can plot the Total Force, X Force, Y Force acting on the Anchor-Point.

Why are the Y–axis values in the DRO different to the vector-values in the main graphics-area?

The values may be slightly different because, in the graph, the X–axis and Y–axis values at the D.R.O. must jump from 'machine -step' to 'machine-step'. See Machine Settings dialog > Number-of-Steps.

In the graphics-area, the vector values are calculated for the value of the Master Machine Angle, which may not coincide with a machine step.


Dialog: Function Block - Graph - Graph Settings

Navigation: MechDesigner User Interface > Dialogs >

Return to chapter overview

Graph Function-Block: Graph Settings

Show/Hide Hidden Text

Graph FB > Settings

How to open the Graph-Settings

1.Click Graph toolbar > Graph Settings icon in the Graph toolbar to open the Graph Settings form..

The settings are:

·Graph Name

·Color of each Graph Line

·Maximum and Minimum scale for each Y-axis,

·Maximum and Minimum scale for the X-axis

Graph-Settings dialog

Graph-Settings dialog

Title and Y-axis Input Selection

Graph Title

The Graph Title - for example, Pressure Angle, shows above the graph plots.

Y–axis Input

Click the drop-down to select for which Y-axis Input you want to edit

You can select:

·Y1 to Y4

or

·Set all : to apply the same Y-axis and X-axis settings to ALL Y-axis inputs.

Top Tip 1:

As an example, use Set all to set the same Maximum and Minimum values for all of the plots. Then, if all of the input-connectors will plot the Pressure-Angle of different a 2D-Cam, it is easier to check where the Pressure Angle exceeds the Maximum or Minimum set limits.

Top-Tip 2:

The Radius-of-Curvature of a 2D-Cam can easily be a very large value. The large values are not that important. The small values are more important.

Set the Maximum and Minimum values at approximately 3 × the radius of a Follower-Roller.

Y-Axis & X-Axis

The Y-axis parameters apply one the Y-axis Input or ALL Y-axis Inputs- see Title and Input Selection

Y-axis:

Auto-Scale Y-Axis: check-box

þAuto-scale Y-minimum / Y-minimum values for the Y-axis input

qEnter the Y-maximum and Y-minimum values for the Y-axis input

Y maximum: / Y minimum: Edit when the Auto-Scale Y-axis check box is Clear

Graph Line color: click the Graph Line color button

Use the Windows® pop-up color picker, to select a different color.

X–axis:

The X-axis values apply to all graph plots.

Auto-Scale x-Axis:

þAuto-scale the X-maximum and X-minimum values for the X-axis.

qEnter the X-maximum and X-minimum values for the X-axis


Dialog: Function-Block: Point-Data

Point-Data FB

see Add Point-Data FB

The Point FB measures motion-values of a Point* with respect to the Mechanism Plane.

The Point FB has three output-connectors. From top to bottom, the data at the output-connectors are:

èmotion-values parallel to the X-axis

èmotion-values parallel to the Y-axis

èMagnitude of the motion-values equal to:

o√(X2 + Y2)

Note: Motion-Values include the Position, Velocity, and Acceleration of the Point*.

* The Point must be a child to a Part that is kinematically-defined.

* Point, start-Point, end-Point, center-Point, and Motion-Point

How to open the Point-Data FB dialog

To open the Point-Data dialog

1.Double-click the Point-Data FB in the graphics-area

OR

1.See How to Open a dialog

The Point-Data dialog is now open.

Point-Data dialog

Point-Data dialog; without Point

Point-Data dialog; without Point

Select a Point:

1.Click a Point in the graphics-area

Point-Data dialog; with Point

Point-Data dialog; with Point

When the correct Point is in the selection-box

2.Click [image] to close the Point-Data dialog

How to use the Point-Data FB

The data at the output-connectors includes the Position, Velocity, and Acceleration values. Connect wires from the Output-Connectors to input-connector of:
1: | A Graph FB to plot the Position, Velocity and Acceleration of the Point in the X and Y–axis directions (see: Top-Tip)
2: | A Motion FB to use the motion-values of the Point as the independent (X-axis) of a Motion.
3: | A Motion-Dimension FB or a Motion-Path FB - to use the motion-values directly to move a Motion-Part or Motion-Point
4: | a: A Math FB to use the motion-values to calculate another function that is not available directly to you. b: A Math FB to convert the data-type from motion-values to a different data-type. E.g. Force(N).
Top-Tip : | To plot Position, Velocity, and Acceleration of a Point in one Graph FB: 1.Drag three wires from one of the output-connectors of the Point-Data FB to three different input-connectors of a Graph FB 2.Use the Y–axis display options to select each motion-derivative.
See also : | Connecting FBs


Dialog: Function-Block: CAD Control

CAD Control FB

see Add CAD-Control FB.

Use a CAD Control FB to synchronize Distance or Angle mates in a SolidWorks® Assembly model with the motion of Parts in a MechDesigner model.

You can control up to four(4) SolidWorks® mates with one CAD-Control FB.

Why use a CAD-Control FB? You can use the powerful Evaluation / Validation Tools in SolidWorks® to check clearance on Cams, for example.

See Getting Started Tutorial 6C3: Examine 3D-Cam Clearances

CAD-Control dialog

STEP 1: Connect wires to the input-connectors of the CAD-Control FB from other FBs in your model.

The motion-values at the output of a FB you connect should control a Motion-Dimension and be equivalent to a Distance or Angle Mate in SolidWorks that you want to control.

If you want to control a Distance (or Angle) Mate, then make sure Output Data Type in the Motion FB dialog(s) are set to Linear (or Rotary).

STEP 2: Open the SolidWorks Assembly.

STEP 3: Double-Click a CAD-Control FB in the graphics-area, to open this dialog

If necessary, click Dimension and CAD Model Path to expand the dialog.

STEP 4: Click the Refresh button.

When you click the Refresh button, We find for you all of the Dimension and Angle mates in your SolidWorks® Assembly model.

STEP 5: Click the Available Dimensions down-arrow button to see the mates that have been found in the SolidWorks® Assembly model.

STEP 6: Click, in the Available Dimension list, each Dimension or Angle mate you want to control.

Repeat to select all of the mates you want to control - to a maximum of 4.

Note: You must select the mates in the same order (sequence) as the wires that are connected to the input-connectors of the FB.

The mates show in the CAD-Dimension Names to Drive box.

If the mates are not in the same sequence as the wires you can click the Clear CAD Dimensions button.

You can select the mates again.

STEP 7: Click the Drive CAD Enabled check-box at the top of the dialog.

DO NOT CLOSE THE DIALOG - YOU CAN ONLY CONTROL THE MATES WITH THIS DIALOG OPEN.

The position of the Parts in the SolidWorks® Assembly model move* when you move the your model in MechDesigner.

STEP 8: Click [image] at the top of the dialog when you have finished using the evaluation and analysis tools in SolidWorks®.

* Only use the Home, Step Back or Step-Forward buttons in the Run toolbar. Do not use the Cycle button.


Dialog: Function-Block: Math (with Calculator)

Math FB (with Calculator)

See Add Math FB See also : Tutorial 18: Math FB

Use a Math FB to add new math functions.

Use a Math FB to change the Data-Type and units . For example, change Motion units to Force units, and connect a Math FB to a Spring FB.

A Calculator interface can help you select different functions.

How to open the Math FB dialog

To open the Math FB dialog:

1.Double-click the Math FB in the graphics-area

OR

1.See How to Open a dialog

The Math FB dialog is now open.

Math FB dialog

Math FB dialog

Math FB dialog

Math FB Interface

Add Input button

1.Click the button to add an input-connectors to the Math FB.

You need one input-connector for each variable or parameter in your equation.

Add Output button

1.Click the button to add an output-connector from the Math FB.

You need one output-connector for each output.

Update button

1.Click the button when you:

·Change the Output Data-Type

·Edit an equation

Output Data-Type

The Output Data-Type applies to All of output-connectors from the Math FB.

To select a different Output Data-Type

1.Click the drop-down box

2.Select the Output Data-Type

Notes: Inside the Math FB, all units are SI units.

A change to the Data-Type may change the value at the output-connector of the Math FB.

Equations

There are three(3) Equations for each output-connector

See below for more explanations.

Output Data-Type. Output-Connectors, Data-Channels

The Output Data-Type controls the base units for all of the equations and results of the equations at the output-connectors.

Each output-connector has three(3) Data-Channels.

You can enter one(1) equation for each Data-Channel.

Therefore, you can enter three(3) equations for each output-connector

For example:

If you select Linear Coordinates as the Output Data-Type then ALL equations use Linear Units

If you have two(2) output-connectors, there are 6 equations.

·The units for Data-Channels 0 & 3 are Dis, with units of

·The units for Data-Channels 1 & 4 are Vel, with units of

·The units for Data-Channels 2 & 5 are Acc, with units of

·Data-Channels/Equations 0, 1, 2 are for output-connector 1

·Data-Channels/Equations 3, 4, 5 are for output-connector 2

Wire Numbers / input-connectors and Data-Channels

The image below shows three(3) Wires connected to three(3) Input-Connectors.

Each Wire has three Data-Channels.
3 Wires, 3 Input-Connectors Each wire has 3 Data-Channels

3 Wires, 3 Input-Connectors
Each wire has 3 Data-Channels

Wire-Numbers - refer to the image above.

Wire numbers start at 0

·Input-Connector 1, Wire 0 - connected to the TOP input-connector

·Input-Connector 2, Wire 1

·Input-Connector 3, Wire 2 - connected to the BOTTOM input-connector

Each wire has 3(three) data-channels.

Each data-channel is designated with a letter:

·p = Data-Channel 1

·v = Data-Channel 2

·a = Data-Channel 3

The format to reference a Wire-Number and Data-Channel in an equation is

Data-Channel (Wire-Number)

Example - Entries in an Equation:

p(0) : p refers to Data-channel 1 ; and (0) refers to input-connector 1

a(2) : a refers to Data-channel 3 ; and (2) refers to input-connector 3

v(1) : v refers to Data-channel 2 ; and (1) refers to input-connector 2

How many input and output-connectors?

As an example, to calculate Power :

P = Ʈ . ω

Power (N.m./sec) = Torque(N.m.) × Angular Velocity (rad/sec)

Torque data and Angular-Velocity data are inputs to the equation.

Power is the output.

You need two input-connectors and one output-connector.

Edit the Math FB to open the Math FB dialog.

1.Add two Input-Connectors with the Add-Input button

2.Select Power for the Output Data-Type.

3.Click UPDATE button

Prepare the model (see above)

1.Add a Rocker - see Tutorial 1

2.Edit the CAD-Line of the Rocker, to open the CAD-Line dialog.

In CAD-Line dialog > Mass Properties tab > User Mass Properties .
Enter a value for the Mass.

Enter X and Y values to move the Center-of-Mass away from the start-Point (origin) of the CAD-Line.

3.Add a Force-Data FB, open the Force-Data FB dialog, select the Pin-Joint, and select the Point in the Base-Part to find the Torque that acts-on the Base-Part.

See image above - the Data-Channels on the wire of the Force-Data FB [image] and the Motion-Dimension FB

The Math FB uses SI units for all data 'inside'.

Enter the Equation

Click the first equation in the Math FB

The Equation-Editor opens - see below.

You need to enter this equation@

Q0 [Power] = p(0)*v(1)

p(0) = Wire-Number 0 (top input-connector), Channel 1 (p = Torque)

×

v(1) = Wire-Number 1 (input-connector below top), Channel 2 (v = Angular Velocity)

SYNTAX and VALID Equations

Click the Update after you edit the equation to find out if the syntax is correct

For example, it may not have correct number of parentheses. The reason is given as a message in the Feedback-Area.

The [image] at the left of each equation shows if its syntax is correct.

IMPORTANT

Data from Motion FBs

If you connect a wire from a Motion FB to the input of a Math FB, Set the Output Data-Type in the MOTION FB to Linear or Rotary.

MORE ABOUT UNITS 'inside' the Math FB

There are 4 possible sources of confusion with respect to 'units' when you use the Math FB.

SI Units

Inside the Math FB, the units are SI.

Example:

·If the Motion FB is set to Rotary, and the output from it is 90º, then the value internal to the Math FB is 1.57radians.

·If the Motion FB is set to Linear, and the output from it is 100mm, the value internal to the Math FB is 0.1m.

If you multiply these together with the Math FB, the internal result is 0.157 - of course.

SI Units are converted to Engineering Units

The SI units and values that are internal to the Math FB are converted back to Engineering Units of the Output Data-Type.

Example continued...

·If the Output Data-Type is Linear Coordinates, then 0.157 becomes 157mm at the output-connector when the Engineering Units in the Machine Settings dialog are mm.

·If the Output Data-Type is Rotary Coordinates, then 0.157 becomes 9º at the output-connector when the Engineering Units in the Machine Settings dialog are degrees.

The reason? 0.157rads (inside the Math FB) = 9º (outside the Math FB).

Linear-Coordinates to a Rocker, Rotary-Coordinates to a Slider

Example continued...

Rotary units connected to a Linear Slider - that is probably not intended

In the Math FB, if you set the Output Data Type to Rotary Coordinates, then 0.157 becomes 0.157rads internally. This becomes 9º at the output, when the Engineering-Units are degrees.

If you connect the Math FB to a Motion-Dimension FB to move a Slider, then the 9º becomes 9mm.

Linear Units connected to a Rotary Rocker - that is probably not intended

In the Math FB, if you set the Output Data Type to Linear Coordinates, then 0.157 is 0.157m internally. This becomes 157mm at the output when the Engineering-Units are mm.
If you connect the Math FB to a Motion-Dimension FB to move a Rocker, then the Rocker rotates 157º.

Equation-Editor with Calculator

Equation-Editor with Calculator

Equation-Editor with Calculator

The Equation-Editor provides a few of the common mathematical functions you can add to each equation.

Note 1:

When open and close brackets show within a function button, you must enter a constant value or an variable value at an input-connector.

Example 1: Sin( ),

You can enter a constant - Sin(3.14)

You can also enter a variable - Sin(p(1)) - to calculate the Sine of the continuously varying position values of the second input-connector and wire.

Note 2:

·p(0) is data on data-channel 1, at the top, or input-connector #1,

·p(1) is data on data-channel 1, at input-connector #2,

·p(2) is data on data-channel 1, at input-connector #3, ...

Note 3:

ALL data 'inside' the Math FB are SI units.

Calculator Functions

1.Position, Velocity, and Acceleration Values for an linear or angular input

·P( ) ; V( ) ; A( )

2.Standard Algebra

·Arithmetic: +, –, ∕ , *

·Power: ^

·Brackets: ( )

3.Boolean

·> : <output> =1 if <value 1> > <value 2>, else 0

·< : <output> =1 if <value 1> > <value 2>, else 0

4.Trigonometry (all inputs in radians)

·Standard: Sin( ), Cosine( ), Tangent( )

·Hyperbolic: Sinh( ), Cosh( ), Tansh( )

·Inverse: ArcSin( ), ArcCos( ) , ArcTan2( ; )

5.Limit (input ; maximum value ; minimum value) :

<output> = <input> if <input> is less than maximum value AND more than minimum value.

<output> = <maximum-value> if <input> is greater than maximum

<output> = <minimum-value> if <input> is less than minimum

6.OverLimit (input ; limit-value) :

<output> = <input> if <input> is 'greater than limit-value'

<output> = <limit-value> if <input> is 'less than limit-value'

7.UnderLimit (input ; limit value) :

<output> = <input> if <input> is 'less than limit-value'

<output> = <limit-value> if <input> is 'greater than limit-value'

8.XLimits (input ; maximum value ; minimum value) :

<output> = <input> if <input> is 'greater than maximum value' OR less than minimum value'.

<output> = <maximum-value> if <input> is 'less than maximum' AND 'more than minimum-value

<output> = <minimum-value> if <input> is 'greater than minimum-value AND 'less than maximum-value'

9.Numerical Keypad

10.1...9, 0, Π.

11.Abs( )

12.Mag( ; ) (assumes the two values are 'orthogonal' and uses Pythagoras to find the 'resultant')

13.Sqrt( );

14.DegToRad( )

15.RadToDeg( )

Limit Function

Limit (input ; maximum value ; minimum value) :

<output> = <input> if <input> is less than maximum value AND greater than minimum value.

<output> = <maximum-value> if <input> is greater than maximum

<output> = <minimum-value> if <input> is greater than minimum

Note that the arguments in the Limit Function are SI units for the units in the model.

For example, 75 millimeters in the model is 0.075 meters in the function.

Under Limit Function

UnderLimit (input ; limit value) :

<output> = <input> if <input> is 'less than limit-value'

<output> = <limit-value> if <input> is 'greater than limit-value'

Over Limit Function

OverLimit (input ; limit-value) :

<output> = <input> if <input> is 'greater than limit-value'

<output> = <limit-value> if <input> is 'less than limit-value'


Dialog: Function-Block: Statistics

Statistics FB

See Add Statistics FB

If you can connect a wire to a Graph FB to plot its data over a complete machine-cycle ...

... then you can connect a wire to a Statistics FB to find statistical data for the complete machine-cycle.

Compare with Element Properties dialog, which displays the data-values at the Master Machine Angle only.

There are two steps you need to do to get Statistics for a Data-Channel on a wire.

STEP 0: Connect a wire to the input of the Statistics FB.

A wire that you connect from the output-connector of a FB to the input-connector of the Statistics FB has three Data-Channels.

For example, the three Data-Channels at the output-connector of a Motion-Dimension FB are the three motion-derivatives of the Motion-Dimension

STEP 1: Select the Data-Channel

STEP 1.Open the Statistics dialog

To open the Statistics FB dialog

1.Double-click the Statistics FB in the graphics-area

OR

1.See How to Open a dialog

The Statistics FB dialog is now open.
Statistics FB dialog

Statistics FB dialog

Channel / Derivative

STEP 2.Click the Derivative drop-down and select the derivative for which you want Statistics

Derivative | ≡ Data-Channel
Dis. | Linear Displacement or Angular Displacement; or Torque
Vel. | Linear Velocity or Angular Velocity; or Force X
Acc. | Linear Acceleration or Angular Acceleration; or Force Y

* The Data-Channels in the drop-down box are always: Dis, Vel, and Acc , even if the actual units are different. The actual units:

·For a Kinematic-FB are three(3) motion-derivatives

·For a Force-Data FB are Total Force/Torque, Force X, Force Y.

Ignore the other separators in the dialog.

STEP 3.Click [image] to close the Statistics dialog

STEP 2: Show the Statistics Properties

Statistic Properties dialog

Statistic Properties dialog

STEP 1.Open the Properties box

1.CTRL + Click the Statistics FB in the graphics-area

The Properties box is now open.

Read the Statistical Properties for the Data-Channel of the wire that is connected to its input-connector.

Mean

Ans Max

Maximum

Minimum

RMS

Standard Deviation

Standard Error

Maximum Sum

Note: to edit the Number-Format for the Statistics Properties, use:

Application-Settings > Number-Format > Data-Output Format > Digits and Precision


Dialog: Function-Block: Polynomial-Fit

Polynomial-Fit FB

See also: Add Polynomial Fit FB

Before you use this tool, I recommend you save your work.

Then save it again with a new model file-name.

About Polynomial FB

The Polynomial Fit FB finds a concatenated series of Polynomials (5th order) that are approximately equal to the data at its input-connector.

After you do a Polynomial-Fit, you can:

·Transfer Polynomials directly to MotionDesigner as a new Motion name-tab.

·Connect a wire from the output-connector of the Polynomial-Fit FB to the input-connector of a different FB.

·Export the motion-values that you calculate as a text-file.

·Export the values for position, velocity, and acceleration at the beginning and end of each polynomial segment as a CSV file.

·Export the polynomials segments in a format suitable for the Schneider-Electric® EPAS4 servo-controller.

How to open the Polynomial-Fit dialog

After you add a Polynomial-Fit FB to the graphics-area:

1.Double-click the Polynomial-Fit FB in the graphics-area

OR

1.See How to Open a dialog

The Polynomial-Fit dialog is now open.

Polynomial-Fit dialog

Polynomial-Fit FB dialog/interface.

Polynomial-Fit FB dialog/interface.

The Polynomial-Fit dialog:

Acquire and Save Toolbar - acquire and save results.

Analysis of Results - RMS errors and the number of Polynomials.

Settings for Polynomial Fitting Algorithms - tolerances, limits, and range for polynomial fitting.

Graph Plots: for the input-data and the calculated data from the Polynomials.

Graph toolbar - view and save the graph-data in different ways.

Graph Legend. - graph plot color scheme for original data and fitted Polynomials, for each motion-derivative

Acquire and Save toolbar

Acquire and Save Results toolbar

Acquire and Save Results toolbar

The toolbar buttons are:

Acquire (Capture, Get One Cycle) :

Click this button to acquire data at the input-connector for one machine-cycle - this is the Raw-Data.

Fit Polynomials to Data :

Click to Fit Polynomials to the Raw-Data. - see Settings for Polynomial Fitting Algorithms.

Stop Algorithms : (see also Auto-Run)

The algorithms usually fit polynomials within a few seconds. If you do not see the results after a few seconds, then click this button to stop the algorithms.

Save Coefficients :

Click to save the results to a CSV file, or a EPAS4 file that is suitable for a Schneider Electric servo-controller.

Auto-Run :

Immediately allow the algorithms to find polynomials fit the data to the accuracy as specified, and with less or equal to the maximum number of polynomials.

Send Polynomials to MotionDesigner :

Send the Polynomials to MotionDesigner as a new motion. Add a new Motion name-tab.

Note on Blend-Point Control-Buttons: After you send the Polynomials to MotionDesigner, none of the Match Control Buttons are active. Instead, the Start motion-value of a segment, is equal to the End motion-value of the previous-segment. Obviously, you can choose to Match the motion-values as part of your motion-design process.

Analysis of Results

Number of Fitted Polynomials in Fit (read-only)

The number of Polynomials in the numerical solution.

See also: Maximum Polynomial Count. in the Settings for Polynomial Fitting Algorithms.

RMS Position Error, RMS Velocity Error, RMS Acceleration Error (read-only).

They give the RMS (Root, Mean, Square) error for each motion-derivative between the Polynomial-Fit and the data at the input-connector as a percentage.

Settings for Polynomial Fitting Algorithms

Parameters to enter before you click Fit Polynomials to Data (button [image] in the Acquire and Save toolbar, above)

Position, Velocity, Acceleration buttons.

Click each button to identify the motion-derivatives to which you want to Fit Polynomials.

Position, Velocity, Acceleration Tolerance %

Enter the tolerance, as a %, for each motion-derivative, within which the Fitted Polynomials should represent the data at the input-connector.

Machine Angle Range

Optionally, reduce the range for which you want to calculate Polynomials

Number of Points

The number of data points that are calculated from the Polynomials, to plot the graphs.

Point in Tolerance Sample of Points

The number of points that the algorithm uses to fit each polynomial to the data at the input-connector.

Maximum number of Polynomials.

Upper limit of the number of Fitted-Polynomials in the data.

Minimum Segment Width.

Lower Limit for the width of a Segment

Split Segment at Zero Acceleration / Velocity check-boxes

Force the solutions to split the motion (add a new Segment) at which the Acceleration / Velocity crosses zero - positive to negative and vice versa.

Graph toolbar

The toolbar buttons are:

Print Graphs : Print the graphs immediately to the default printer

Save Graph Data: Save the Data to a text file.

Zoom Out and Zoom In to the Graph Details

Pan Left and Pan Right : Click to save the results to a CSV file, or a EPAS4 file that is suitable for a Schneider-Electric servo-controller.

Zoom Extents

Toggle display: Plot three separate graphs OR Plot three stacked on-top of each other

Toggle display: Do show Graph Legend OR Do NOT show Graph Legend

Graph Legend

Graph plot color scheme for

·original, or input, data

·fitted data calculated from the fitted polynomials

·each motion-derivative

·Cursor - you can click ON a graph of each motion-derivative to show a cursor.

The X-Y data-values of the active cursor is above the graphs.


Dialog: Function-Block: Parameter-Control

Parameter-Control FB

See: Add Parameter-Control FB

Motion-values at the input-connector to a Parameter Control FB can control these parameters:

·dimension when the Driven Parameter is a dimension

·Extrusion depth when the Driven Parameter is a Profile

·Extrusion-Offset when the Driven Parameter is an Extrusion.

Add one Parameter-Control FB to control elements with one Motion.

How to open the Parameter-Control dialog

To open the Parameter-Control dialog

1.Click the Parameter-Control FB in the graphics-area or the Assembly-Tree.

The Parameter-Control FB is now in the Selection-Window

2.Right-click the Parameter-Control FB element in the Selection-Window

3.Click Edit element in the shortcut menu

OR

See How to Open a dialog.

The Parameter-Control dialog is now open.

Parameter-Control dialog

Parameter-Control dialog

The controls in the Parameter Control dialog are:

Enable / Disable check-box

Top-Box - Profiles and Extrusions are here when you select them in the graphics-area.

Click which of the elements to control in the Top-Box to copy it to the Bottom-Box

Bottom-Box - Parameters and Control Action that are updated by the motion-values at the input to the Parameter Control Fb.

Delete - to remove an element from the dialog - preselect the element.

OK, Cancel and close, Cancel & Undo all changes, Help icon

Control Actions - the action that the Parameter-Control FB completes.

How to use Parameter-Control dialog

To enable the FB

þ Enabled

1.Click the check-box to enable the dialog.

To control a Dimension

1.Mechanism-Editor: Click the sketch-element that has a dimension (which you have added with the Part-Editor )

OR

2.Part-Editor: Click a dimension, or the sketch-element with a dimension.

In the Bottom-Box

·The Dimension shows as the Driven-Parameter

·The Part shows as the Solve-Element

·Update Dimension shows as the Control-Action

To control the Extrusion-Depth of a Profile/Extrusion:

1.Mechanism-Editor: Click a Profile.

The Profile and Extrusion show in the Top-Box.

In the Parameter-Control dialog :

2.Click the Profile in the Top-Box.

In the Bottom-Box:

·The Profile shows as the Driven-Parameter

·The Extrusion shows as the Solve-Element

·Update Extrusion-Depth shows as the Control-Action

To control the Extrusion-Offset of a Profile/Extrusion:

1.Mechanism-Editor: Click the Profile (the Pink contour of a sketch-loop).

The Profile and Extrusion show in the Top-Box.

In the Parameter-Control dialog:

2.Click the Extrusion in the Top-Box.

In the Bottom-Box:

·The Extrusion shows as the Driven-Parameter

·The Extrusion shows as the Solve-Element

·Rebuild Solid shows as the Control-Action - this is actually the Extrusion-Offset.

To delete an element:

1.Click an element in one of the boxes.

2.Click

We remove for you the element and parameter from the Parameter-Control dialog.


Dialog: Function-Block: Pattern

Show/Hide Hidden Text

Pattern FB

See Add Pattern FB

If you use regular CAD, you know about circular and linear arrays. In MechDesigner, there is more complexity because parts have complex motions.

·A Pattern FB makes Copies of Profile/Extrusions and CAD-Solids - see Solids,

·The Pattern FB anticipates the motion of each Copy and puts each Copy at a different phase of the machine-cycle.

·The Pattern FB can show or hide each Copy for the machine-cycle.

·The Pattern FB can show or hide each Copy as it passes through different phases of the machine-cycle.

Use Visibility toolbar > Show Solids in Mechanisms to see the Copies of the Solids that are generated by the Pattern FB.

How to open the Pattern FB dialog

Open the Pattern FB dialog:

1.Click the Pattern FB in the Assembly-Tree.

The Pattern FB is now in the Selection-Window

2.Right-click the Pattern FB element in the Selection-Window

3.Click Edit element in the shortcut menu

OR

1.See How to Open a dialog.

The Pattern Elements dialog is now open.

Pattern dialog

Pattern FB dialog

Pattern FB dialog

There are two tabs in the Pattern dialog:

Pattern Elements tab

Phase Visibilities tab

Pattern Elements tab

Enable and Pattern Type

1.Click Enable check-box to make the Pattern dialog active

2.Click Space Pattern or Phase Pattern.

These two options take a snap-shot of the path of a Solid. The Pattern shows copies of the Solid at equal increments of its path in the machine-cycle.

¤ Space Pattern (Note: I rarely use this option!)

When you cycle the model:

a)Each copy of the Solid moves with the Part

OR

¤ Phase Pattern

a)Each copy of the Solid moves along the normal path of the Solid.

b)Each copy of the Solid is at an advanced position in the machine-cycle.

Pattern Elements

Pattern-Elements

Pattern-Elements

Solid elements from which we make for you copies for the Space Pattern or Phase Pattern.

There are two categories of Solid elements you can add as Pattern Elements:

·MD-Solids - Profile/Extrusions - you MUST select the Extrusion

·CAD-Solids - Solids you import onto a CAD-Line - you can select the CAD-Solid or the CAD-Line.

Motion to Linearize

It is intended that a Motion FB linearize the motion of the Solids in a Pattern-Elements [image] . Experiment!

·If the Solids in the Pattern-Elements [image] move as you expect, do not add a Motion FB.

·If the Solids in the Pattern-Elements [image] do not move as you expect, do add a Motion FB - but this may not solve the problem!

Add SOLIDS to the Pattern-Elements box

Pattern-Elements toolbar

1.Pattern-Elements toolbar: Click the Padlock [image] to unlock the toolbar

2.graphics-area: SHIFT+CLICK Profile elements to add Extrusion elements that you cannot see

OR

2.graphics-area: CLICK Extrusion elements that you can see to add Extrusion elements

OR

2.graphics-area or Assembly-Tree: Click CAD-Lines onto which a CAD-Solid has been imported.

3.Pattern-Elements toolbar: Click the Padlock [image] to lock the toolbar and box.

Solid elements are now in the Pattern Elements box as Extrusions and/or CAD-Lines.

To add a Motion FB to the Motion to Linearize box

Pattern-Elements toolbar

1.Pattern-Elements toolbar: Click the Padlock [image] to unlock the Pattern-Elements toolbar.

2.graphics-area or Assembly-Tree: Click a Motion FB

3.Pattern-Elements toolbar: Click the Padlock [image] to lock the Pattern-Elements toolbar and box.

A Motion FB is now in the Motions to Linearize box

To remove a Solid [image] or Motion FB

Pattern-Elements toolbar

1.Pattern-Elements toolbar: Click the Padlock [image] to unlock the Pattern-Elements toolbar.

2.Click to select a Pattern-Element or a Motion FB

3.Click the Remove Solid [image] or the Remove Motion FB [image] button in the Pattern-Elements toolbar

4.Pattern-Elements toolbar: Click the Padlock [image] to lock the Pattern-Elements toolbar and box.

Phase Visibilities tab

To help you understand what the Phase-Visibilities can do, it is helpful to think of a chain around a circular 12-hour clock. The chain moves continuously around the clock. One of the chain-links is the Source Pattern-Element (Solid).

·Use PHASES to decide how many chain-links you want in the chain - called # Copies

·Use PHASES to hide one or more chain-links (the Copies) permanently, all the way around the clock.

·Use Pattern Visibility to hide each chain-link, one link after the next link, as it moves between hours, for example, between 6 and 9 o'clock.

Phases

Phases are copies of Pattern-Elements.

# Copies: from 1 to 100 : The number of copies of the Pattern-Elements to be in the Pattern

The format of the Phases separator is slightly different for the Space Pattern and the Phase Pattern.

IF Space Pattern

Start Angle, Final Angle:

·The Copies show at equal intervals from the Start Angle to the Final Angle.

IF Phase Pattern

Final Angle = ?

The concept of a Motion-Period becomes important.

If Final Angle is 360, then the Motion-Period is equal to 1 Machine-Cycle

If Final Angle is, for example, 20º, the Motion-Period is 20º.

·The # Copies show at regular intervals within one Motion-Period, from Home Angle (MMA=0) to Final Angle.

·The Phase Pattern repeats one time for each Motion-Period or 36 ∕ 20 = 18 times in 1 Machine-Cycle

·You can show or hide each copy within each Motion-Period - see Phase Visibility separator.

Hide Source Pattern Element:

Source Pattern Elements are those Solids that are you select in the model as Pattern-Elements , and show in the Pattern Elements separator of the Pattern-Elements tab.

Nearly always, hide the source Pattern-Element. This is because the source Pattern-Element and the first copy (at 0°) are at the same position. It can be become confusing if you intend to hide the Copy (at 0°) but the Source Pattern-Element remains in the model.

1.Click a Pattern-Element in the Pattern Elements separator and Pattern-Elements tab

It should show in the Phase-Visibilities

2.Click the Hide Source Pattern Element check-box

Copies Box

·To hide a copy for the Motion-Period, click a [image] to show a [image].

·To show a copy for the Motion-Period, click the [image] to show a [image].

Pattern Visibility

Phase-Visibilities > Pattern-Visvibility

Phase-Visibilities > Pattern-Visvibility

Note: Pattern Visibility [image] shows only if you select Phase Pattern - see Enable and Type.

Use Pattern Visibility to show or hide a Pattern-Element for different periods within the Motion-Period.

To edit the Visibility of a Pattern-Element:

1.Click an Extrusion or CAD-Line in the Pattern Elements box - see Pattern-Elements tab

The element - Extrusion or CAD-Line - must show in the Pattern-Element to Edit [image] box.

2.Click the Edit Visibility of Pattern-Element... button [image] .

The Pattern Visibility interface is now open.

You can now edit the Visibility of the element that is in the Pattern-Element to Edit [image] box

How to use the Pattern Visibility interface

Refer to the image below:

Pattern-Element box (top-left)- Identifies the Pattern-Element you are editing.

Phase Visibility Timing Chart - this chart controls the Visible-Period of the Pattern-Element (Solid) in the Motion-Period.

As an example

In the image below, the chart is High from 0º to 360º. This means the Visible-Period for the Pattern-Element is a complete motion-period.

There are two(2) Nodes that identify and specify the timing of each Visible-Period in the chart.

·Node at the Start - Start-Node

·Node at the End - End-Node

To edit a Visible-Period for the Pattern-Element you must edit the timing of the Start-Node and/or End-Node.

STEP 1.(Example) Edit the Start-Node and End-Node to define a Visible-Period.

1.Click the Start-Node [image] .

When a Start-Node is Red ...

2.Edit the Node's Timing

Do 1 and 2 again, but click the End-Node [image] , to define the Visible-Period for the Pattern-Element

The image below shows the new timing of the Visible-Period for the Pattern-Element (Extrusion).

It starts at 50 and end at 150 in the Machine-Cycle.

STEP 2.(Example continued...) Add a new Visible-Period

- see image above.

1.Click [image] Add Node button

2.Click the Phase Visibility Chart in a free area [image] that is not within the Visible-Period 50 to 150 - see cursor in the image above

There is now a new Visible-Period in the Phase-Visibility Chart - see image below.

STEP 3.Edit the Start-Node and End-Node to define the timing of the new Visible-Period.

1.Click the Start-Node [image] or End-Node [image] of the new Visible-Period

When a Node is Red ...

2.Edit the Node's Timing

Do 1 and 2 again to define the new Visible-Period for the Pattern-Element

The image below shows two Visible-Periods for the Pattern-Element (Extrusion)

Visible Period [image] - Starts at 50 and ends at 150

Visible-Period [image] - Starts at 200 and ends at 300

STEP 4.(Example continued...) Delete a Visible-Period

1.Click the Start-Node or End-Node of the Visible Period you want to delete

In the image above the End-Node [image] of Visible-Period [image] is Red ...

2.Click [image] DELETE-Node

The Visible-Period [image] is removed for the Pattern-Element (Extrusion)

The image below shows one Visible-Period for the Pattern-Element (Extrusion)

You can now Click [image] to close the Pattern Visibility interface.


Dialog: Function-Block: Briefcase

Show/Hide Hidden Text

Briefcase FB

See: Add Briefcase

Use a Briefcase FB to hide other Function-Blocks from the graphics-area.

You can use one Briefcase FB to hide all of the Function-Blocks. However, I usually add one Briefcase FB for each machine function.

You can also hide a Briefcase FB inside a different Briefcase FB.

How to open the Briefcase FB dialog

Open the Briefcase FB dialog:

1.Double-click the Briefcase FB in the graphics-area

OR

1.See How to Open a dialog

The Briefcase dialog is now open.

Briefcase FB dialog

Briefcase FB dialog

Briefcase FB dialog

Display Options

<< write a label >> (For example TRANSLATING-LINK)

After you add Function-Blocks to the Briefcase FB, you can enter a name to remind you of their function in the model. The name shows as a label above the Briefcase FB in the graphics-area.

Background color and Transparency

Use the Background Color button to edit the color of the Briefcase Display Window -see example below.

Use the Transparency slider to edit the transparency/opacity of the Briefcase Display Window.

Show-Function-Blocks in a Window Frame

þEnable Show-Function-Blocks in a Window Frame to show the Briefcase Display Window

qDisable Show-Function-Blocks in a Window Frame to hide the Briefcase Display Window

SHORT-CUT - To toggle Show-Function-Blocks in a Window Frame

1.Move your mouse above a Briefcase FB

2.CTRL+Click
Add / Remove Function-Blocks

Add FBs to the Briefcase

1.Click the Padlock [image] to unlock the Briefcase

The Padlock [image] icon becomes unlocked - see image.

2.Click FBs in the graphics-area

When you click a FB, it moves from the graphics-area to the Function-Blocks [image] box in the Briefcase.

3.Click the Padlock [image] again to lock the Briefcase.

Remove FBs from the Briefcase:

1.Click the Padlock [image] to unlock the Briefcase

2.Click a FB that is in the Function-Blocks [image] box to make the active FB.

3.Click the Red Cross [image] button.

The FB returns to the graphics-area, outside of the Briefcase Display Window.

4.Do 1 - 3 again to remove a different FBs.

5.Click the Padlock [image] again to lock the Briefcase

Arrange FBs in the Briefcase Display Window.

1.Click Show Elements check-box [image] - see above.

2.Click the Arrange FBs [image] button

The FBs are now arranged in a linear array in the graphics-area.

You may need to drag FBs to arrange the FBs within the linear array.

Note: SHORT-CUT: CTRL+CLICK a Briefcase FB to show then hide the Briefcase Display Window

Add all FBs that are connected with wires 'upstream' of a FB

1.Click a FB in the Function-Blocks box [image] in the Briefcase

2.Click the Add All Upstream icon

The FBs that are connected to its input-connector are now in the Function-Block box.

Add all FBs that are connected with wires 'downstream' of a FB

1.Click a FB in the Function-Blocks box [image] in the Briefcase

2.Click the Add All Downstream icon

The FBs that are connected to its output-connector are now in the Function-Block box.

Remove all FBs from the Briefcase

1.Click the Remove All icon

The FBs are now in the graphics-area

Example:

Briefcase FB and label: translating-link.

Briefcase Display Window is a colored box, with a blue border.

·The window re-size as you drags, add, or remove Function-Blocks.

·Drag the Briefcase FB [image] to move the Briefcase Display Window


Dialog: Function-Block: Point-Cloud

Show/Hide Hidden Text

Point-Cloud FB

See Add Point-Cloud

Do two steps in the Point Cloud dialog:

STEP 1: Import-data (TXT file-type).

For example, import the X,Y coordinates of a cam-profile, which you have measured with a Coordinate Measurement Machine (CMM).

STEP 2: Fit-a-Curve to the data

Fit a Curve function to the data that you import.

How to open the Point-Cloud dialog

Open the Point-Cloud dialog:

1.Double-click a Point-Cloud FB in the graphics-area

OR

...see How to open a dialog

The Point-Cloud dialog is now open.

Point-Cloud dialog

Point-Cloud dialog

STEP 1: Import Data

STEP 2: Fit Curve to Data

STEP 1: Import Data

Do A, B, and C.
Import and Browse buttons

Import and Browse buttons

Example File Format

Example File Format

A. Browse...

Click the Browse... button to find a data-file.

The data-file must by an ASCII, or TXT file-type.

The file-name you select shows in the Data-File (read-only) box.

A preview of the data in the file is in the box below.

B. Edit File-Format

Any Header in the data-file is not imported.

The data should be rows of data-points - see Data-Points below

You can remove extra data from columns/rows with the Edit File-Format box. See File Formats below.

C: Import button

When the File Format is correct (see below), click the Import button to import the Point-Cloud data-file.

We plot for you the Point-Cloud on the Part to which the Point-Cloud FB is a child.

The Point-Cloud plot is a continuous line in the graphics-area.

See also: Messages

Data-Points

The File Format must include at least these terms:

·(x) (y) : if each data-point is an X and Y coordinate

OR

·(Radius) (Angle) : if each data-point is a Radius and Angle coordinate.

Characters that are ignored in the data-file:

·Header lines, when entered as text.

·ASCII characters that are NOT : . , -, 0–9, in all lines.
Optional: Data Offset and Scale option

Optional: Data Offset and Scale option

Options:

x , y

When you add a Point-Cloud, you select a Part. The Part has an origin - its start-Point - where its XY coordinates are (0,0)

If the origin of the Point-Cloud has an offset relative to the origin of the Part, you can remove the offset. Enter -X, -Y, the negative of the offset.

Or, to offset the Point-Cloud, by (X,Y), enter (X,Y) values.

File Rotary Units ; File Linear Units

Select the units that match those of the original Point-Cloud data-file.

File Formats:

Pre-Select a File Format

To help you with the formatting, you can use the Pre-Select a File Format from the drop-down list-box.

When any of these formats do not represent the format of the data in your data-file, then edit the format in the Edit File Format box directly.

Example: Data-Files & File-Formats and the Enter File Format text.

Example 1: Data-File:

Example data-file to import as a Point-Cloud

Enter File Format: () () (x) (y)

Why?

Line 1 | Is Not imported - text only (A, B, C, ... Z)
Line 2 | Is Not imported - text only (A, B, C, ... Z)
Line 3 Column 1 & Column 2: | Is Not imported because of () () in the File Format () () (x) (y) removes these two Columns
Line 3 Column 3 & Column 4 | Is Imported because the (x) (y) in the File Format () () (x) (y) identify that these Columns as x, y data
Lines 4, 5, 6, ... | Equal to Line 3

Example 2: Data-File

Data Format: N100 G00 X10 Y25 Z27

Enter File Format: () () (x) (y) ()

Why?

N100 G00 X10 Y25 Z27 | Letters not imported (A, B, C, ... Z)
N100 G00 X10 Y25 Z27 | Column 1, Column 2, and Column 5 - not imported - the () in the File Format () () (x) (y) ()
10 25 | Imported - the (X) and (Y) in the File Format () () (x) (y) ()

Feedback Messages:

STEP 2: Fit Curve to Data

When you import Point-Cloud data, the chart [image] shows the Point-Cloud, the Curve, Nothing, or the Point + Curve

In the chart below, the Continuous Curve does not follow the Point-Cloud data - this is intended and for illustration ONLY.

The two charts show as one chart after you successfully Fit the Continuous Curve to the Point-Cloud data when you increase the number of Harmonics.
Point-Cloud dialog > Fit Curve to Data tab

Point-Cloud dialog > Fit Curve to Data tab

Parameters

Original Data Accuracy

This is a judgment you must make. Start with 0.1 then reduce it to approximately 0.001 - but see Original Data Accuracy for more thoughts.

Auto-Fit check-box and Fit Curve button

Usually, click the Auto-Fit button to make it active - see options

Increase the # Harmonics

Edit the # Harmonics

The Continuous-Curve becomes nearer to the Imported Data as you increase the # Harmonic [image] .

Fit-Quality =0 >> 1

When Fit Quality Traffic Light becomes Green, ...

or

When the number in the Fit-Quality Number box [image] is near to, or equal to, one(1), ...

... STOP - do not increase the number of Harmonics.

Display Options

Click one of the four radio-buttons

¢Show Nothing

¢Points only

¢Points and Curve

¢Curve Only

The view of the Continuous-Curve and the Point-Cloud in the graphics-area match the P, V, or A [image] button.

Steps to do in Fit Curve

A.Edit the # Harmonics

þAuto-Fit Check-box

The Curve updates immediately each time you edit the # Harmonics

qAuto-Fit check-box is clear.

The Curve only updates when you click Fit Curve

B.Repeat A

Increase the # Harmonics until the Fit-Quality =~1, and the Traffic-Light is Green or Orange.

We recommend the Maximum # Harmonics <= # Data-Points in the Point-Cloud / 3.

Velocity and Acceleration Graphs and Filter Width

The default plot is Position. If you want to plot the Point-Cloud and the Curve as Velocity or Acceleration ( [image]), then click the V or the A icon.

Even if the Fit Quality = 1, you can continue to increase the number of # Harmonics to improve the fit of the Velocity and/or Acceleration Curve to the Point-Cloud.

However, we recommend the Maximum # Harmonics = # Points in the Point-Cloud/3.

If the plot of the Velocity or Acceleration data is noisy you can smooth the noise (remove the noise) with the Filter-Width [image] . This may help you identify the original Motion-Law.

Original Data Accuracy

Thoughts:

·Consider an Original Data Accuracy of 0.1, then reduce it to approximately 0.001.

·Do not enter a value that is more accurate than the original accuracy of the data. For example, if the data has 2 d.p. , then 0.05 OK, and 0.001 is not a sensible value. However, experiment, as you find that more accuracy gives you better results.

·Is the skill of the person that measured the Cam-Profile a factor?

·Is the Cam-Profile clean? Is the Cam-Profile worn? Is the Cam-Profile damaged?

Machine Measurement Accuracy Approximations: per 100mm Diameter of Cam Diameter:

·Temperature-Controlled (18-22ºC) CMM approximately 0.2 - 2µm

·Non-temperature-controlled CMM approximately 2 - 10µm (~h4 for a 100mm shaft)

·Portable CMM approximately 5 - 20µm (~h5-h6 for a 100mm shaft)

·Test Rigs are variable, but you should aim for approximately 20 - 100µm (~h8-h9 for a 100mm shaft)


Dialog: Function-Block: Design-Set

Show/Hide Hidden Text

Design-Set FB

See Add Design-Set

Use Design-Sets to edit a number of dimensions and parameters in one place - with the Design-Set dialog.

Add to a Design-Set those dimensions and parameters that you believe to be important to the outcome of a design-objective. You can add more than one Design-Set to the model.

Question:

Why use a Design-Set?

Answers: Three(3) good reasons:

A.Frequently, you edit many times the same dimensions and parameters to improve a design objective. With a Design-Set, you can add them to the Design Set interface, and edit them continually.

B.If you need to open the model after a period of time, the Design-Set reminds you of which dimensions and parameters are important to your design. Also, you can give your model to a different engineer, and tell him to ONLY edit the dimensions and parameters in the Design-Set.

C.When dimensions are in a Design-Set, you cannot edit them in the model. A Design-Set can prevent accidental changes to the model. Also, you can add those dimensions to a Design-Set specifically to stop you editing them.

IMPORTANT

After you add a dimension to a Design-Set, you CAN ONLY use the Design-Set to edit that dimension.

To edit a dimension in the Part-Editor again, you must delete the dimension from the Design-Set.

A dimension that is in the Design-Set is gray in the Part-Editor - to indicate you cannot edit it.

Top-Tips:

1.Rename each dimension to a function-name, to help you recognize it in the Design-Set.

2.Rename each Design-Set to remind of its design-objective.

See Show Dimension-Names , and Show Function-Block Names

How to open the Design-Set FB dialog

Edit the Design-Set FB

1.Double-click the Design-Set FB in the graphics-area

OR

1.See How to Open a dialog

The Design-Set dialog is now open.

Design-Set dialog

Design-Set toolbar
Design-Set - LOCKED

Design-Set dialog - LOCKED

Design-Set - UNLOCKED

Design-Set dialog - UNLOCKED

When you open the Design-Set dialog, the toolbar is locked. It is NOT active.

The Design-Set toolbar icons - when active -are:

: Add element-row

: Delete element-row

: Padlock : Lock / Unlock Toggle

: Rebuild Model

: OK, Close, Undo Edits, Help

To enable the Design-Set toolbar icons

1.Click the Padlock icon [image] .

The icons and the Design-Set in the toolbar become colorized and active.
Add or Delete Element-Rows
Design-Set - 2 Element Rows

Design-Set - 2 Element Rows

To add Element-Rows

1.Click the Padlock [image] - the toolbar is now colorized.

2.Click Add Element-Row [image] one time for each dimension or parameter you want to add to the Design-Set.

In the image above, there are two Element-Rows [image] [image] .

The active Element-Row.

The active Element-row [image] has a white box around its perimeter.

To make a different Element Row the active Element-Row:

1.Click in the Select in graphics [image] label - or the parameter name

To delete an Element-Row

1.Click the Select in Graphics label to make it the active Element-Row

2.Click Delete Element-Row

Link a Dimension to an Element-Row

1.If necessary, open the Design-Set dialog

2.Click the Select in graphics label of an Element-Row, so that it becomes the active Element-Row.

3.Edit a Part

4.Click the arrowhead of a dimension in the Part-Editor

Result:

The Dimension name [image] replaces the Select in graphics (DimPtoP4)

The Dimension Units name replace the Property Value (DimUnits)

The Dimension value [image] replaces the Property Value (42.87580515)

The Locked Padlock [image] becomes colorized. In this state, you cannot overwrite this Element-Row.

The next Element-Row becomes the Active Element-Row (a white box is around the Element-Row)
Maximum and Minimum 'Hard-Limits'

Maximum and Minimum 'Hard-Limits'

It is frequently useful to set maximum and minimum limits for each dimension or parameter in the Design-Set.

To set the Maximum and Minimum limits:

1.Click the up/down arrow Min-Max button [image] - see image above

The Minimum and Maximum data-boxes becomes active.

2.Edit the Minimum and Maximum values.

3.Continue to edit the Dimension [image] - but now it cannot be less-than or more-than the Minimum or Maximum values, respectively...
Replace a Dimension or Parameter

To replace a Dimension or Parameter in an Element-Row with a different Dimension or Parameter.

1.Click the Dimension name to make it the Active Element-Row.

2.Click the Locked Padlock [image] so that it becomes Grey Unlocked Padlock.

3.Click a different Dimension in the graphics-area.

4.Click the Grey Unlocked Padlock so it be becomes the Locked Padlock [image] again.

Parameter Lists in different Element-Types:

In addition to dimensions, you can link parameters from dialogs for different element types.

For example: Parameters for FBs, Parameters for a Gear-Pair, Parameters for a CAD-Line, and more.

Link a Parameter (from a dialog-box) with an Element-Row

Select the Element-Type:

1.Open the Design-Set dialog

2.Click the Element-Row to make it the Active Element-Row

3.Click the Padlock icon, to unlock the Design-Set.

4.Click the element-type in the graphics-area or the Assembly-Tree

If the Element-Type has only one(1) Parameter

The Parameter passes immediately into the Element Row.

If the Element-Type has two(2) or more Parameters:

A box opens with a list of Parameters that you can select.

See below: 'Parameter Lists in different-elements' below. If you cannot identify the Parameter from its name, then do not use it.

1.Click the Parameter in the list

2.Click the [image] button to close the Parameter box

The Parameter name and its value shows in the Element-Row in the Design-Set.

Available Element-Types and their Parameters

Linear-Motion Function-Block

When you click a Linear Motion FB, you add:

·Linear Motion as the Element Name

·OutputStart_Units as the parameter.

OutputStart_Units ≡ Start-Angle parameter in the Linear-Motion dialog.
Motion-Dimension Function-Block

When you click a Motion-Dimension FB, you add:

Mot-Dim Rocker (or Slider) as the Element Name

BaseUnits as the parameter.

BaseUnits ≡ Base-Value in the Motion-Dimension dialog.
Gearing Function-Block
Gear-Pair

Do not select Phase1 or Phase2 for the Design-Set.
Rack-Pinion / Ball-Screw
CAD-Line
Pulley

When you click a Pulley, you add

·Path Joint as the Element Name

·Tooth-Count as the parameter.

Tooth-count ≡ number of Pulley teeth parameter in the Pulley dialog.


Dialog: Function-Block: Continuous-Crank

Continuous-Crank

See also Add Continuous-Crank

It is often the case, in a multi-part mechanism, that the motion is designed for the Tool-Part (the Part with the tooling).

The Tool-Part is often driven by a different Part in the mechanism, which is the Driving-Part. We derive for you the motion of the Driving-Part from the Tool-Part by inverse-kinematics.

Usually, with a Cam mechanism, the Driving-Part is an Follower that oscillates, which is moved by a Cam.

However, there is also the case in which the Driving-Part rotates fully, but with a non-uniform speed. This is a special-case. To make sure this can happen, the Driving-Part must be exactly the correct length, and its motion, also derived by inverse-kinematics from the motion of the Tooling, is more complex.

This is one application of the Continuous-Crank FB.

How to open the Continuous-Crank FB dialog

Edit the Continuous-Crank FB:

1.Double-click the Continuous-Crank FB in the graphics-area

OR

1.See How to Open a dialog

The Continuous-Crank dialog is now open.

Continuous-Crank dialog

Continuous-Crank dialog - not enabled

Continuous-Crank dialog - not enabled

STEP 1: Select Crank Behavior and Direction

Crank Behavior

CONTINUOUS - the Part rotates continuously.

reversing - the Part rotates to ~180º, and then return back to ~0º.

Crank Direction

If Crank Behaviour is Continuous, then:

Counter-Clockwise - the Part rotates in the Counter-Clockwise direction

Clockwise - the Part rotates in a Clockwise direction

If Crank Behaviour is Reversing, to change Crank closure, see Change-Dyad Closure.
Continuous-Crank dialog- enabled

Continuous-Crank dialog- enabled

STEP 2: Activate the Not Selected box

1.Click in the box labeled Not Selected

The Box is now Orange

You can now select a Part.

STEP 3: Click a Part that you want to be the Continuous-Crank

1.Click a Part in the graphics-area or Assembly-Tree.

The Continuous-Crank Part must have a Pin-Joint that joins it to the Base-Part.

The Part immediately changes its length so that it can rotate continuously or oscillate by ~180º. If there is a problem, see Messages at the bottom of the dialog.

STEP 4: Confirm the behavior is as expected

1.Do Run toolbar > Cycle Continuously (ALT+C)

STEP 5: Click [image] to close the dialog.

Messages at the bottom of the dialog:

When you select a Part as the Continuous Crank, there is be a message at the bottom of the dialog.

Message | Meaning
Valid | The Part can be a continuous Crank
Failed assign pivot-Point | We could not find for you the rotating-axis.
Impossible crank length: Geometry is inconsistent | For example, the Motion-Part does not move, and thus the length of the Crank must zero(0).

Continous-Crank dialog


Dialog: Function-Block: Spring

Spring FB

See Add Spring FB

Use a Spring FB to apply a force between two Points. The name that we use for the two Points is Anchor-Points.

Force units are defined in the Machine-Settings dialog > Engineering Units - default Force units are Newtons (N).

See also:

Machine Settings > Engineering Units

Configure Power Source

How to open the Spring FB dialog

In Mechanism-Editor:

1.Double-click the Spring-FB in the graphics-area

OR

1.See How to Open a dialog

Note: It is not necessary to connect a wire to the input-connector or from the output-connectors of the Spring FB. The input and output-connectors provide extra functionality - see Here

The Spring dialog is now open.

Spring dialog

Spring FB dialog

Spring FB dialog

Spring Parameters

þ Check-box to enable the Spring FB.

Spring-Rate:

Force Contribution:

= Spring-Rate × | Spring-Length – Free-Length |

Spring-Length is the distance between the two anchor-points.

The Force always tries to move the anchor-point to the Free-Length (They cannot, of course).

Free-Length:

The natural length of the Spring, when it is not joined to the Anchor-Points.

Constant-Force:

A positive force PULLS the Anchor-Points together (o>>> + <<<o)

A negative force PUSHES the Anchor-Points apart (o<<< — >>>o)

Velocity Parameters

Coulomb (Constant) Friction Force (Ff = μ.Fn )

A Constant Force that is opposite to the direction of the motion.

You can use it to approximate a Friction-Force.

Note: Friction Force is NOT constant in general. Friction-Force is proportional to the Contact-Force between two bodies, and the Contact-Force is not generally constant.

Viscous Coefficient (Fv α V ( N/(mm/s) )

A Force that is proportional to the relative velocity between the Points.

The Force is opposite to the direction of motion.

For example, if the Damping Coefficient = 4 and the Velocity is +100mm/s, (anchor points moving away from each other), the force pulling the points together is a force of 400N.

Drag Factor (Fd α V2) ( N/((mm/s)2 ) )

A Force that is proportional to square of the relative velocity between the Points. For example, air resistance.

The Force is opposite to the direction of motion.

For example, if the Drag Factor = 4, and the Velocity = +100mm/s (anchor-points are moving apart), then the force pulling the anchor-points together is a force of 40000N.

Input and output-Connectors

Output-Connectors

The Spring-FB has two output-connectors.

Top : | Distance, Velocity, Acceleration of the dimension between the anchor-points.
Bottom : | Total Force, Force-X, Force-Y acting on anchor-points. or Driving-Force = Linear Motive Force, if you configure the Spring FB as a Linear Motor - see Configure Power Source

Input-Connector - see more at Spring FB dialog

The Spring-FB has one input-connector.

Connect a wire to the input-connector of a Spring FB to add a Force-Function to the Total-Force that is exerted by the Spring-FB.

The units of the data-values at the input-connector must be Force, for example, Newtons.

If necessary, use a Math FB to convert values and units to Force units.

For example: To convert 100mm at the input to a Math FB to 100N, you must:

1.Change the Output Data Type to Force (N) - see Math FB dialog > Output data-type

AND

2.Multiply the input-value by 1000 to convert 0.1m to 100N


Dialog: Function-Block: Force-Data

Force-Data FB

See: Add Force-Data FB , Configure Power Source

Use the Force-Data FB to measure the Force that acts on a Point at a Joint, Spring, or the Contact-Point of a 2D-Cam.

To use the Force-Data FB correctly, you must also do Configure Power Source.

How to open a Force-Data dialog

To open a Force-Data dialog:

1.Double-click the Force-Data FB in the graphics-area.

OR

2.See How to Open a dialog

The Force-Data dialog is now open. –

Force-Data dialog

Force-Data dialog

Selection

STEP 1.Select a Force Element:

A Force-element is a: Joint, Cam, Gear, Rack, Ball-screw or a Spring

1.Click a Force element in the graphics-area or the Assembly-Tree.

The Force element should now be in the Select Force Element box

<<< in the image: Pin-Joint is the Force element

In the box below:

A list of Available Points, each with a Point Owner

Each Available Point is a child to the Force element

STEP 2.Select a Point:

1.Click a Point in the Available-Points box, above

A Point should now be in the Selected Force Output Elements box

The output from the Force Data FB is the Force ACTING ON the selected Point.

List of AVAILABLE-POINTS for each type of Force element

·Pin-Joint - there are 2 Available Points
Each Point that makes the Pin-Joint.

·Slide-Joint - there are 4 Available Points
Two Points on each Line that make the Slide-Joint.

·2D-Cam - there are 0 Available Points
The contact point is assumed.

·Spring FB - there are 2 Available Points
The Point that anchors each end of the Spring FB.


Dialog: Point: Vectors and Point Location

Navigation: MechDesigner User Interface > Dialogs >

Return to chapter overview

Dialog: Point Properties

Show/Hide Hidden Text

Point Properties

Use the Point-Properties dialog to:

·Show the Velocity Vectors and Acceleration Vectors of a Point*.

·Find the exact X and Y coordinates of a Point* in the XY-Plane of the Mechanism-Editor.

·Find the exact x, y and z coordinates of a Point* relative to the xy-axes of a Part.

·Edit the x, y (and z) positions of a Point*, in a Part - ONLY if the position of the Point* does not have ANY dimensions or constraints.

* Point, start-Point, end-Point, center-Point.

How to open the Point Properties dialog

To open the Point Properties dialog

1.Double-click the Point in the graphics-area

OR

1.See How to Open a dialog

The Point Properties dialog is now open.

Point Properties dialog

Point-Properties dialog

Kinematic Vectors

Velocity and Acceleration Vector check-boxes

qShow Velocity Vector - evaluated at each machine step with closed-form algorithms

qShow Acceleration Vector - evaluated at each machine step with closed-form algorithms

qShow Numerical Vectors - calculated numerically with a simple difference algorithm.

NOTE: Usually, do not show the Numerical Vectors. If you do show them, you will need to jog the MMA back and forward by a small angle so that we can calculate the values correctly. If you see there is a difference between the numerical vectors and the Kinematic Vectors, please email psmotion!

If you show Velocity and Acceleration vectors, or both:

·The length of the vectors are proportional to the Point's instantaneous Velocity and Acceleration.

·The direction of the Vectors are in the direction of the Velocity and Acceleration

·The magnitude of the vectors are at the Vectors' arrowhead.

See Edit menu >Application-Settings > Graphics > Display Colors to edit the color of the vectors.

Scope

Calculate and display the Velocity and Acceleration Vectors relative to the:

·Local xyz axes - Mechanism Axes (default)

·Global XYZ axes - MODEL AXES.

Velocity Vector Options

Display Velocity Vectors as:

·Magnitude (default) of the Velocity, or

·X component only of the Velocity, or

·Y component only of the Velocity, or

·z Component only of the Velocity

Use only the X, Y, and Z Velocity component to compare a X, Y, or Z Velocity component of Point in different mechanisms.

For example, to compare the X (or Y or Z) velocity of a Point on a Transfer-Tool with the velocity of a conveyor.

Scale and Length of Vectors

Edit the length of the vectors, use the buttons in the Feedback-Area:

V Click [image] [image] to increase / decrease the length of the Velocity Vector

A Click [image] [image] to increase / decrease the length of the Acceleration Vector

See: App-Settings > Graphics tab > Display colors | Vel/Acc Vectors
Mechanism Coordinates (read-only)

The Point coordinates (X, Y, Z ) relative to the Origin of the Mechanism-Plane and Base-Part.

The X, Y, Z dimensions are read-only.
Point Coordinates: Read-Write

Point with Constraints

If the Point has one or more constraint (for example, Vertical Constraint, or a Dimension), then you cannot edit its x, y coordinates with this dialog.

You can edit its z coordinates.

Point without Constraints

If the Point does not have a constraint (or dimension) in the Part, then it is possible to edit the position of the Point in this dialog

Lock and Edit Point's Position:

The Point coordinates (x , y, z) are relative to the Part's axes:

¤Lock and Edit here

Edit the x, y and/or z coordinate of the Point

Note:

If you click Lock and Edit here check-box, you cannot edit the position of the Point with the Part-Editor.

¤Edit in Part-Editor

You can edit the position of the Point with the Part-Editor.


Dialog: Edit Dimension

Navigation: MechDesigner User Interface > Dialogs >

Return to chapter overview

Dialog: Dimension

Dimension dialog

The Dimension dialog opens when you add a Dimension to a sketch-element.

You can, of course, edit the dimension later.

IMPORTANT: You cannot edit a Dimension when a command is active - even if Add Dimension is active.

Deselect all commands to edit a Dimension.

How to open the Dimension dialog (in the Part-Editor)

Edit a dimesnion

Edit a dimesnion

To open the Dimension dialog:

1.De-select ALL commands

2.Double-Click the arrowhead of a dimension

OR

1.See How to Open a dialog

Note: Nothing happens if you click the number - R34.46 in the image to the left.

The dimension dialog is now open.

Dimension dialog

Dimension dialog

To edit the dimension parameter-value in the Dimension dialog, do one or all of these:

·Enter a value, and press the enter key ( [image]) on your keyboard, OR

·Enter an equation, and press the enter key ( [image]) on your keyboard, OR

·Use the Spin-Box tool, OR

·Right-click the data-box, and use the Zero / Round / Copy / Paste shortcut menu

See How to edit a parameter in a dialog


Dialog: Blend-Curve

Show/Hide Hidden Text

Blend-Curve

See also Add Blend-Curve

About the Blend-Curve

A Blend-Curve is a sketch-element that has a start-Point and an end-Point.

Use the Blend-Curve dialog to edit geometric-properties AT its start-Point and AT its end-Point. The properties you can edit are its:

·Angle

·Curvature

·Curvature Rate

Typically, you merge the start-Point and/or end-Point of the Blend-Curve with other sketch-elements.

The default geometric-properties make sure that the Blend-Curve has geometric continuity with adjacent sketch-elements.

Case 0 : You do NOT merge the Blend-Curve with another sketch-element. You can edit these geometric-properties at its start-Point and end-Point:

·Angle (default = 0)

·Curvature (default = 0)

·Curvature Rate (default = 0)

Case 1 : You do merge the start-Point and/or end-Point of the Blend-Curve with a Line.

·Angle is equal to the angle of the Line

·Curvature is equal to zero

·Curvature Rate is equal to zero

Case 2 : You do merge the start-Point and/or end-Point of the Blend-Curve with an Arc.

·Angle is equal to the tangent of the Arc

·Curvature is equal to 1 / Radius of the Arc (m)

·Curvature Rate is equal to zero

Case 3 : You do merge the start-Point and/or end-Point of the Blend-Curve with a Blend-Curve.

Edit the end-Point of a Blend-Curve that you merge with the start-Point of an adjacent, or following, Blend-Curve.

In the Blend-Curve dialog, edit the:

·Angle : Disable the end-Point Angle check-box: edit the Angle - the angle of the adjacent Blend-Curve with equal the angle you enter.

·Curvature : Disable the end-Point Curvature check-box: edit the Curvature - the curvature of the adjacent Blend-Curve with equal the curvature you enter.

·Curvature-Rate : Disable the end-Point Curvature-Rate check-box: edit the Curvature-Rate - the curvature-rate of the adjacent Blend-Curve with equal the curvature-rate you enter.

You can edit the geometric-properties

·Exactly : with the Blend-Curve dialog

·Approximately : with the Blend-Curve drag-handles.

Edit Exactly

Open the Blend-Point dialog

In the Part-Editor or the Mechanism-Editor:

1.Double-click the Blend-Curve in the graphics-area

OR

1.See How to Open a dialog

The Blend-Curve dialog is now open.
Blend-Curve dialog

Blend-Curve dialog

There are two separators:

Start-Point...

End-Point...

The parameters are the same for the two separators.

Start Point ... / End Point ...

Angle (Units: º):

Blend / Free check-box:

þ (DEFAULT) The angle of the Blend-Curve (at its start-Point / end-Point) is equal to the angle of the adjacent sketch-element

q Edit the angle of the Blend-Curve (at its start-Point / end-Point).

Curvature k (Units:1 ∕ meter):

Blend / Free check-box:

þ(DEFAULT) The curvature of the Blend-Curve (at its start-Point / end-Point) is equal to the curvature of the adjacent sketch-element.

qEdit the curvature for the Blend-Curve (at its start-Point / end-Point).

Curvature-Rate dk ∕ ds (Units: 1 ∕ m^2):

Blend / Free check-box:

þ The curvature-rate of the Blend-Curve (at the start-Point / end-Point) is equal to the curvature-rate of the adjacent sketch-element

q (DEFAULT) Edit a curvature-rate for the Blend-Curve (at its start-Point / end-Point).

Velocity Scaling (no units)

Increase Velocity-Scaling to inflate the balloon!

Decrease Velocity-Scaling to deflate the balloon!

Velocity Scaling does not have units.

Default = 1 ; Maximum = 10 ; Minimum 0.01

Edit Approximately

Enable / disable Blend-Curve drag-handles
Drag handles in the Graphic-Area

Drag handles in the Graphic-Area

To show the Drag-Handles

1.Click the Blend-Curve one time

Now, you can see the Drag-Handles at the start-Point and the end-Point

There are two(2) Drag-Handle types:

Arrowhead Drag-Handle

Circle Drag-Handle (not easy to see)
Blend-Curve drag-handles

Arrowhead Drag-Handle

Arrowhead Drag-Handles - this controls the Angle and the Velocity-Scaling Factor

1.Double-click an Arrowhead Drag-Handle to enable it.

The Drag-Handle should now be blue - it is enabled

2.Drag the blue arrowhead relative to the start-(or end-)Point:

Rotate the arrowhead to control the angle of the Blend-Curve.

Move the arrowhead away to increase the Velocity-Scaling factor

3.Double-click the Arrowhead Drag-Handles again.

The Drag-Handle should now be green - it is disabled.

Circle Drag-Handle

Circle Drag-Handle - this controls the Curvature

1.Double-click a Circle Drag-Handle (not easy to see!)

The Drag-Handle should now be blue (not easy to see!) - it is enabled.

At the default position (vertically-up), the Curvature = 0 (a straight-line).

2.Rotate the blue circle around the start (or end-)Point:

In a clockwise direction to increase the +ve curvature

In a counter-clockwise direction to increase the -ve curvature

When the blue circle is vertically-down the Curvature is a large +ve or –ve value.

3.Double-click the Circle Drag-Handle again.

The Drag-Handle should now be green - it is disabled.

Note on Curvature and Curvature-Rate

Curvature and Curvature-Rate

Curvature (k) = 1 / Radius of Curvature

The Radius-of-Curvature and the Curvature of a simple sketch-elements is constant. For example:

·Radius of Curvature of a Line = ∞, Curvature of a Line = 0

·Radius of Curvature of an Arc or Circle = Radius, Curvature of a Circle = 1 ∕ Circle Radius,

For example, if a circle has a radius of 20mm, its curvature = 1/0.02m = 50/m.

However, the Radius-of-Curvature continually changes along a general curve.

Thus, the Curvature also continually changes along a general curve.

Curvature-Rate = dk/ds

Curvature-Rate = rate-of-change of curvature (k) with respect to the displacement (s) along the curve.


Dialog: Import SOLIDWORKS Sketch FB

Import SOLIDWORKS Sketch FB

See also : Add Import SOLIDWORKS Sketch FB

See also: CAD-Line > DXF tab

Use the Import SW sketch FB to import sketches from a SOLIDWORKS document.

Limitations:

·Cannot import Blocks, Parabolas, Ellipses, ... . Safe to say, you can import Lines and Arcs.

·Limited to perhaps 20 sketch-elements.

·Construction and center-lines are imported as Lines.

·Constraints are not imported

·By default, end-Points and center-Points of Lines and Arcs are Locked. To unlock, see Point Properties dialog.

How to open the Import SOLIDWORKS Sketch dialog

Import SOLIDWORKS Sketch FB in PART-EDITOR

Import SOLIDWORKS Sketch FB in PART-EDITOR

1.Mechanism-Editor: Edit the Part to which you have added the Import SW sketch FB

2.Part-Editor: Double-click the Import SW sketch FB

OR

2.See How to Open a dialog

The Import SolidWorks Sketch dialog is now open.

Import SolidWorks Sketch dialog

STEP 1: In SOLIDWORKS.

1.Edit a SOLIDWORKS sketch to make it active

This image shows the active sketch in SOLIDWORKS.

IMPORTANT:

To import the sketch, it must be active in SOLIDWORKS.
Import SolidWorks sketch dialog

Import SolidWorks sketch dialog

STEP 2.Import the active in SOLIDWORKS

In the Import SolidWorks sketch dialog:

1.Click button [image] .

Document name [image] shows the active SolidWorks document (SLDPRT) file-name

Sketch name [image] shows the active sketch name, as in the SolidWorks feature-tree

Button [image] becomes colorized.

2.Click button

WAIT until the SOLIDWORKS sketch shows in your Part-Editor.

Button [image] becomes colorized.

If you edit the sketch in SolidWorks

3.Click button [image] to Refresh, or Update the sketch

Note: To use the same Import SW sketch FB to import a different SolidWorks sketch:

4.Click button [image] to clear the Document name and the sketch-name from [image] &

This image shows the active sketch in the MechDesigner graphics-area.


Dialog: Ball-Joint

Ball-Joint

See: Add Ball-Joint. Tutorial 12: Design a Spatial Mechanism

Use the Ball-Joint for spatial mechanisms.

You must add a Ball-Joint to each end of one Part.

Connecting-Part : the derived name of a Part that has a Ball-Joint at each end.

One of the two Ball-Joint joins the Connecting-Part to a Part (frequently, a Motion-Part) in a different Mechanism-Editor.

The other Ball-Joint, at the other end of the Connecting-Part, joins it to a Part in the active Mechanism-Editor.

How to open the Ball-Joint dialog

There are two Ball-Joints, with one at each end of a Connecting-Part.

The Ball-Joint element symbol may be inside the symbol of the Connecting-Part.

1.Move your mouse-pointer above the end of the Connecting-Part until the symbol for the Ball-Joint is red - see image.

2.Click the symbol for the Ball-Joint [image] .

The Ball-Joint element should be in the Selection-Window

3.Right-click the Ball-Joint in the Selection-Window

4.Click Edit Element in the shortcut menu.
Ball-Joint in the Selection-Window

Ball-Joint in the Selection-Window

The Ball-Joint dialog is now open.

Ball-Joint dialog

Ball-Joint dialog

Ball Diameter

Diameter of the Ball symbol in graphics-area.

Ball-Diameter does NOT effect the Kinematic-Analysis.

Ball Offset (±)

Perpendicular distance (±) from the Mechanism Plane to the center of the Ball-Joint.

Ball-Offset does effect the Kinematic-Analysis.

Ball Mass

Mass of the Ball-Joint.

Its center-of-mass is coplanar with the Mechanism-Plane. even if the Ball-Offset ≠ 0.

Example of Ball-Offset : Z = 10mm

<<< the image shows the model from the left view - View toolbar > View Left (Shortcut : F7).

Ball-Joint : on the Mechanism-Plane when Ball-Offset = 0mm.

In the image the Ball-Offset = +10mm in the +Z-axis direction.

When to use the Ball-Offset parameter?

The symbols of all other Kinematic elements are on the Mechanism-Plane. However, the center of a Ball-Joint is frequently not on the Mechanism-Plane. The kinematic-analysis is correct only when the distance to the center of the Ball-Joint from the Mechanism-Plane is also correct.

See also: Ball-Joint Configurations


Dialog: Magnetic-Joint

Show/Hide Hidden Text

Magnetic-Joint

A Magnetic-Joint pulls a Circular Profile to be in continuous contact with an Irregular Profile / Curve*. The Circular Profile and the Irregular Profile / Curve are in different Parts and kinematic-chains.

After you add the Magnetic-Joint, the motions of the two kinematic-chains are related by the contact between the Circular Profile and Irregular Profile / Curve.

* The shape of the irregular Profile can be:

·a Profile that you add to a sketch-loop

or

·a Curve that we calculate for you from a Point-Cloud

How to open the Magnetic-Joint dialog

See also: Add Magnetic-Joint.

Before you edit a Magnetic-Joint:

1.Click the Home key on your keyboard to move the MMA to zero.

2.Click a Magnetic-Joint FB in the graphics-area (see image to the left)

The Magnetic-Joint element is in the Selection-Window

3.Right-click the Magnetic-Joint element in the Selection-Window

4.Click Edit element in the shortcut menu.

OR

1.See How to Open a dialog

Note: There are three states for the Magnetic-Joint icon.

Enabled Magnetic-Joint - We did find a solution

Disabled Magnetic-Joint - Magnetic-Joint is not active.

Enabled Magnetic-Joint - We did not find a solution

Magnetic-Joint dialog

Magnetic-Joint dialog

The Magnetic-Joint dialog has three separators:

Following Options

Radius Control

Advanced

Following Options

þEnable Magnetic-Joint check-box

The circular Profile is in continuous contact with the irregular Profile or Point-Cloud.

qDisable Magnetic-Joint check-box

The circular Profile moves to the Base-Value (Linear or Angular position) as specified by the Motion-Dimension FB that was in continuous contact with the irregular Profile.

Outside

The circular Profile [image] moves to the external (outer) side of the irregular Profile [image] .

Inside

The circular Profile [image] moves to the internal (inner) side the irregular Profile [image] .

Note:

The INSIDE option does not find a solution as successfully as the Outside option.
Radius Control

Optionally, edit the effective radius of the Circular Profile.

qNot Overriding Circle Radius (default)

þModify Circle Radius

For example:

Radius = 0mm

When the Radius is 0mm, the center of the Circular Profile moves along the Irregular Profile as normal.

Radius = 3mm

When the Radius is 3mm (for example), the center of the Circular Profile is 3mm inside the Irregular Profile.

This is useful if you use a CMM machine with a probe diameter that is different to the Follower-Roller, and the CMM software does not have Probe Compensation.

When the CMM data does not compensate for the Probe Diameter, you would enable Modify Cycle Radius to recreate the contact between the irregular-Profile and the Follower-Roller.

Offset Profile Radius = Radius of Actual Follower-Roller – Radius of CMM Probe

R = Rcf – Rp

Rcf = Follower-Roller Radius;

Rp = CMM Probe Radius.
Advanced
4 Possible Contact Solutions between Circular-Profile and a simple Irregular-Profile

4 Possible Contact Solutions between Circular-Profile and a simple Irregular-Profile

When you add a Magnetic-Joint, the Circular Profile uses numerical techniques to find a contact with the Irregular Profile.

To humans, it is easy to see the contact that you want. But mathematically, even when the Irregular-Profile is a simple shape, there are usually a minimum of 4 solutions - see image to the left. MechDesigner may find the solution you want, or a solution you do not want, or even fail to find a solution at all.

BEFORE YOU ADD THE MAGNETIC-JOINT - it is best to edit the Base-Value parameter in the Motion-Dimension FB, to put the Circular Profile within 0.5 x Radius of Circular-Profile.

To Edit the starting position of the Circular-Profile

1.Run menu > Home (or use the Alt+H keyboard shortcut) to put the MMA at 0.

2.Open the Motion-Dimension dialog to be controlled by the Magnetic-Joint.

3.Edit the Base-Value to position the Circular-Profile to be ≤ 0.5 × Radius of the Circular-Profile from the Irregular-Profile.

The factors in Advanced help us to find for you the solution you want.

Reset Range Factor (default = 2)

This factor limits the range of values within which to search for a solution for the Motion-Dimension, when the model is at the Home position (MMA = 0).

A Reset Range Factor = 1 is equal to the 1 × Radius of the Circular Profile.

The smaller Reset Range Factor, the nearer you should edit the Base-Value to put the Circular Profile to the Irregular-Profile before you add the Magnetic-Joint.

Running Range Factor (Default = 1)

MechDesigner must find a solution for contact between the Circular and Irregular-Profiles of the Magnetic-Joint contact at all steps in the machine-cycle. There are frequently at least 4 solutions - see image, left and top.

However, the solution at any step in the machine-cycle should not be hugely different from the previous solution.

Use the Running Range Factor to limit the range of Motion-Dimension values within which to search for a solution from the previous solution, at each step of the solution cycle.

Running Range Factor = 1 is equivalent to 1 × Radius of Circular-Profile that is contact with the Irregular-Profile.

Reduce the Running Range Factor if the Circular-Profile does not remain in contact with the Irregular-Profile, as you cycle the model.


Dialog: Gear-Pair

Show/Hide Hidden Text

Gear-Pair

See: Add Gear-Pair

Terminology and definitions:

Gear Mesh : | Inter-locking gear-teeth that allow a torque and motion to be transmitted from one shaft to a different shaft.
External Gear Mesh : | The gears have teeth that engage and diverge out from their centers-of-rotation.
Internal Mesh : | One of the gears has teeth that converge into its center-of-rotation.
Simple Gear-Pair : | Two gears that rotate about two fixed centers.
Epicyclic Gear-Pair : | One gear rotates about its own center AND its center also orbits around the center of the other gear.

How to open the Gear-Pair dialog

Edit the Gear-Pair:

1.Double-click a Gear-Pair in the graphics-area or Assembly-Tree.

OR

1.See How to Open a dialog

The Gear-Pair dialog is now open.

Gear-Pair dialog

Gear-Pair dialog

There are three tabs in the Gear-Pair dialog.

Define tab

Adjustments tab

Parameters tab

Define tab

Gear Mesh and # Teeth

Gear Mesh - see Terminology above

oExternal

OR

oInternal

Read-only

Gear Center-Distance

See also center-distance calculation in Adjustments tab

Number-of-Teeth, z1 (Minimum =5)

The number of-teeth on the input-gear - called the Driving-Gear

Number-of-Teeth, z2 (Minimum = 5)

The number of-teeth on the output gear - the Driven-Gear in the Gear-Pair.
Gear Segmentation Parameters

Notes:

A Gear-Segment is a gear that must oscillate.

Gear 1 and/or Gear 2 can be a Gear-Segment

Gear # Segmentation

¤Complete Gear - a normal full gear

¤Gear Segment - a gear that is not complete, it has fewer number-of-teeth.

To reduce the number-of-teeth of Gear 1 or Gear 2:

1.Click to enable ⊚ Gear-Segment

2.Edit the Start Angle : Minimum = 0, Maximum = 360

3.Edit the Segment Range : Minimum = 0; Maximum 360

Each Gear has an integer number-of-teeth.

Adjustments tab

Adjustments

Gear-Slip (degrees)

These parameters move Gear 1 and Gear 2 around at the Pin-Joint.

This parameter rotates the gear teeth, not the Part.

Top-Tip: To keep the gears in mesh:

Gear-Slip 2 = –Z1

( Z2 × Gear-Slip 1)

Clearance (move gears apart)

This parameter changes the length of the Line-of-Centers that is between the two Gears.

Usually, Clearance is a +ve value for External Gears, and a –ve value for Internal Gears. See Notes on recommended backlash.

An alternative way to change the clearance is to reduce (by machining) the size of the gear-teeth and not to change the center-distance. We do not include for you a parameter with this deign option. However, it is the standard method to provide backlash in commercial gear-boxes. Talk with the machinist.

Center-Distance Calculation

If External Mesh, then center-Distance = Clearance + (Module×(Number-of-Teeth Gear1+Number-of-Teeth Gear2)÷2)

If Internal Mesh, then center-Distance = Clearance + (Module×(Number-of-Teeth Gear1+Number-of-Teeth Gear2)÷2)

Notes: Recommend Backlash/Clearance.

·Minimum: 0.006 × (center-Distance)0.5

·Maximum: 0.024 × (center-Distance)0.5

Also, I have read that:

·Minimum normal backlash = 0.03×module + 0.05 mm

If the torque reverses each machine cycle, then you should aim for the minimum recommended backlash.

Parameters tab

Gear Tooth Parameters

Use Gear Tooth Parameters to define the size and shape of the gear teeth.

Module m = P.C.D (in mm) ∕ Number-of-Teeth.

Pressure-Angle α - default = 20º

Standard gears are 20º.

Other standards are:

·14º, 17.5º (weaker, quieter),

·22.5º and 25º (stronger, noisier).

Addendum, ha - default = m.

The radial height of the gear tooth from the Pitch Circle to the top of the tooth.

Dedendum, hf - default = m × 1.25.

The radial depth of the gear tooth below the Pitch Circle to the root of the tooth.

The Dedendum is usually larger than the Addendum to give clearance for the teeth.

If 0.25<m<1, Dedendum is usually = m × 1.4

If m>1, Dedendum is usually = m × 1.25

Root-Radius, rf - Default is 0.3 × m

The small fillet between the Flank and the Root of the Gear Tooth.

Note: In reality, if the gear is manufactured from a Hob/Rack Cutter, then the root of the gear is a Trochoid.

# Points along Profile

The number of 'facets' along the gear tooth flank (and around the two Root Radii).

To display Gears more accurately, increase the number of points.

Otherwise, 4 is adequate, 10 is good.

There is a CPU overhead when drawing Gear-Pairs, do not increase the number of facets without a good reason.
Gear Terminology: Working Depth, Addendum, Dedendum, Whole Depth, Pitch Circle

For information:

Working Clearance = Dedendum - Addendum

Working Depth = Addendum × 2

Total Depth = Addendum + Dedendum
Gear Parameters

ALL READ-ONLY

Contact-Ratio:

Contact-Ratio should not be less than 1.1. Contact-Ratio should be a minimum of 1.2 for working gears.

Working Clearance = Dedendum - Addendum

The distance between the top land of a gear tooth and the bottom land of the gear with which is meshed.

Gear 1 PCD & Gear 2 PCD

PCD = Pitch Circle Diameter.

PCD = Module × Number-of-Teeth, (m×z)

Normal Backlash (mm)

This is the gap (backlash) between the gear-flanks you can measure with a 'feeler gauge'.

Normal Backlash is a function of the center Distance Adjustment parameter ONLY.

Angular Backlash - Gear 1 (deg) jΘ1

This parameter gives the maximum rotation of Gear 1 if you do not move Gear 2.

Angular Backlash is a function of the center Distance Adjustment parameter ONLY.

Angular Backlash - Gear 2 (deg)

This parameter gives the maximum rotation of Gear 2 if you do not move Gear 1.

Angular Backlash is a function of the center Distance Adjustment parameter ONLY.

Contact-Ratio

The Contact-Ratio gives the number-of-teeth that are in contact, on average, as they pass through the meshing point. A contact ratio between 1 and 2 means that contact alternates between one and two pairs of teeth at any one time. Gears that have a high contact-ratio are smoother and quieter. The contact-ratio of an Internal Gear-Pair is higher than that of a similar External Gear-Pair, even greater than 2.

If the Contact-Ratio is too low, then consider these options:

·Decrease the pressure-angle

·Increase the number-of-teeth

·Increase the working-depth

Useful Gearing Calculations and Equations

Gearing Equations
TO OBTAIN | FROM KNOWN | USE THIS FORMULA
Pitch Diameter | Module, m, number-of-teeth, N | D = mN
Circular Pitch | Module | pc = m.π = D.π ∕ N
Module | Diametrical Pitch, Pd | m = 25.4 ∕ Pd
Number-of-Teeth | Module, m, Pitch Diameter, D | N = D ∕ m
Addendum | Module, m | a = m
Dedendum | Module, m | b = 1.25m
Outside Diameter | Module, m, Pitch Diameter, D, or number-of-teeth, N | Do = D + 2m = m (N + 2)
Root Diameter | Pitch Diameter, D, Module, m | DR = D – 2.5m
Base Circle Diameter | Pitch Diameter & Pressure Angle | Db = D cos μ
Base Pitch | Module, m, & Pressure Angle, μ | pb = m π cos μ
Tooth Thickness at Standard Pitch Diameter | Module, m | Tstd = π. m ∕ 2
center Distance | Module, m, number-of-teeth, N | C = m . (N1 + N2) ∕ 2
Contact Ratio for Spur Gears ( 1 < CR < 2 ) | Outside Radii, Base Circle Radii, center Distance, Pressure Angle | CR = (√R012 – Rb12 + √R022 – Rb22 – C sin μ) ∕ m π cos μ
Backlash (linear) | Change in center Distance, ΔC | B = 2( ΔC )tan μ
Backlash (linear) | Change in Tooth Thickness, ΔT | B = ΔT
Backlash (linear) along Line-of-action | Linear Backlash along Pitch Circle, B | BLA = B cos μ
Backlash, Angular | Linear Backlash, D | Ba = 6880 B ∕ D (arc minutes)
Min. No. of Teeth for No Undercutting | Pressure Angle, μ | Nc = 2 ∕ sin2 μ Nc (20º) = ~17 Teeth
Useful Gearing Definitions
Term | Definition
Addendum: | the height of the gear tooth above the pitch circle diameter
Backlash: | the angle the output-shaft of the gearbox can move without the input-shaft moving
Base Circle: | an imaginary circle used in involute gearing to generate the involutes that form the tooth profiles
Bevel Gears: | used for right-angle applications. There are two types of bevel gears which are straight and spiral
center distance: | distance between the axes of two meshed gears - Length of the Line-of centers
Circular Thickness: | the thickness of the tooth on the pitch circle.
Dedendum: | the depth of the tooth below the diameter of the pitch circle.
Diametrical Pitch: | the teeth per inch of the diameter of the pitch circle
Differential Gear: | a bevel gear which allows two shafts to rotate at a different speed.
Gear: | a wheel with teeth that meshes with another wheel with teeth to translate motion.
Gear center: | the center of the pitch circle.
Gear Train: | two or more gears meshed by their teeth. A gear train generates power speed through the meshed gears rotating
Gear Ratio: | the ratio between the numbers of teeth of meshing gears.
Helical Gear: | gear with the gear teeth cut at angles
Line of Contact: | the line or curve along which two tooth surfaces are tangent to each other
Involute: | the curve which describes a line which is unwound from the circumference of the gear
Pinion: | a small cogwheel which fits into a larger gear or track.
Pitch Circle: | the curve of intersection of a pitch surface of revolution and a plane of rotation
Pitch Diameter: | the diameter of the pitch circle
Pitch Radius: | the radius of the pitch circle
Planetary Gears: | a system that consists of three components: the sun gear, ring gear, and two or more planet gears. The sun gear is in the center, the ring gear is the outermost gear, and the planet gears are the gears surrounding the sun gear inside the ring gear.
Pressure Angle: | the angle between the line-of-action and the normal (90º, perpendicular) to the surface of the tooth
Spiral Bevel Gears: | shafts whose axes are perpendicular (90º) to each other and are used in right-angle applications
Spur Gear: | connect parallel shafts which have involute teeth that are parallel to the shaft
Sun Gear: | a gearwheel that rotates around its own axis and has other gears (planet gears) that rotate around it
Torsional Strength: | the measure of the amount of torque that a radial shaft can sustain during its rotation in a mechanical system
Working Depth: | the max depth a tooth of one gear extends into the tooth gear of a mating gear
Worm Gear: | a gear with one or more teeth with screwed threads
Gear Modifications
Image | Term
 | Crowning:
 | End-Relief
 | Topping and Semi-Topping
 | End Radius and Edge Radius/End Relief Top Round/Semi-topping
 | Definition of Circular Pitch, p Circular Pitch = pitch circle circumference(pi.d) / number of teeth(z) ; p = Π.d / z Module = Pitch Diameter(d) / Number of Teeth(z) ; m = d/z Circular Pitch(p) / Module(m) ; p/m = Π Pitch Diameter(d) = module(m) × number of teeth(z) ; d = m.z


Dialog: Rack-Pinion / Ball-screw

Show/Hide Hidden Text

Rack-Pinion / Ball-Screw

See: Add Rack-Pinion

After you add a Rack-Pinion element, you can (optionally) convert it to a Ball-Screw and Nut.

A Pinion is a gear-wheel with teeth that engage with a straight gear, or Rack.

A Ball-Screw is a shaft with threads that engage with a Nut with the same thread.

The motion of the Rack (or Pinion) controls the motion of the Pinion (or Rack).

Or, the motion of the Ball-Screw (or Nut) controls the motion of the Nut (or Ball-Screw).

Use the Rack-Pinion dialog to edit the parameters for the Rack and Pinion (module, number, etc), or a Ball-Screw (Pitch, Diameter, ...).

How to open the Rack-Pinion dialog

Edit the Rack-Pinion:

1.Double-click a Rack-Pinion in the graphics-area or Assembly-Tree.

OR

1.See How to Open a dialog

The Rack-Pinion dialog is now open.

Rack-Pinion / Ball-Screw dialog

Rack-Pinion / Ball-Screw dialog

Rack-Pinion / Ball-Screw dialog

The format of the Rack-Pinion dialog changes when you enable:

·Rack-Pinion (default)

OR

·Ball-Screw

Rack-Pinion enabled:

Tooth Parameters

Module = PCD. ÷ Number-of-Teeth on Pinion

Rack/Pinion Ratio (degrees), per Rack Displacement (mm).

Read-only:

Rack/Pinion Ratio (deg/mm) - number of degrees the Pinion must rotate to move the Rack by 1mm.

Pitch Circle Diameter (mm) - the effective diameter of the Pitch Circle of the Pinion. The abbreviation is P.C.D.

P.C.D. (mm) = Number-of-Teeth × Module

Pressure Angle (Default = 20º).

The Pressure Angle of gears is usually 20º. Other standard Pressure-Angles are: 14º, 17.5º (weaker, quieter), 22.5º and 25º (stronger, noisier).

Addendum (Usually = Module).

The height of the gear tooth from the Pitch-Circle to the tip of the tooth.

Dedendum (Usually = Module × 1.25 (Module>1)).

The depth of the gear tooth below the Pitch-Circle to the root of the tooth.

The Dedendum is larger than the Addendum to give clearance for the tooth-tip of the two gears that engage with each other.

Root Radius (Usually = 0.3 × Module)

The small fillet between the Flank and the Root of the Gear Tooth.

Points per Tooth Flank

The number of points on each Involute of each gear tooth. 6 is OK. More points make your model slower to edit.
Rack and Pinion Parameters

Shift the Rack by:

Move the rack along its pitch-line by # number-of-teeth.

Number-of-Teeth, Rack:

The number-of-teeth on the Rack.

Edit the Number-of-Teeth on the Rack so that it stays in mesh with the Pinion for a machine-cycle

# Number-of-Teeth, Pinion:

The number-of-teeth on the Pinion.

As you increase the number-of-teeth, the PCD increase, unless you also edit the Module.

Align Mesh:

When you add two(2) Racks to one(1) Pinion, you usually see two(2) Pinions on the same axis. If you want to see one(1) Pinion, click one of these options:

¤Shift Rack

¤Shift Pinion

¤Do not Shift

Rack on the:

The positive-direction of Rack-Pinion and Ball-Screw model are specified when you select Right or Left.

¤Right (default)

When the Pinion (Ball-Screw Shaft) rotates Counter-Clockwise, the Rack (Ball-Screw Nut) move in the Positive-Direction of the Slide-Joint.

¤Left

When the Pinion (Ball-Screw Shaft) rotates Clockwise, the Rack (Ball-Screw Nut) move in the Negative-Direction of the Slide-Joint.

Ball-Screw enabled :

Ball Screws Parameters

The symbol in the graphics-area for a Ball-Screw is a Helix/Screw.

There are two parameters:

·Ball-Screw Lead (mm) - distance the Sliding-Part moves after one(1) rotation of the Rotating-Part.

·Ball-Screw Diameter (mm) - diameter of the Ball-Screw symbol in the graphics-area.

The length of the Ball-Screw is equal to the length of the Line in the sliding-Part - see Add Rack-Pinion.

The Nut (Sliding-Part) of the Ball-Screw moves in the Positive-Direction of the Slide-Joint when the Rack-Side is set to Right - see General tab


Dialog: Pulley

Pulley

See Add Pulley

A Pulley is a wheel with teeth that engage with a toothed-belt. The belt wraps around the pulley.

The path of the belt is controlled with a sketch-loop

The motion of the belt is controlled with motion-values at the input-connector to a Motion-Path FB.

Use the Pulley dialog to edit the number-of-teeth on a Pulley.

How to open the Pulley dialog

Double-Click a Pulley

Double-Click a Pulley

To edit the Pulley:

1.Double-click a Pulley in the graphics-area or Assembly-Tree.

OR

1.See How to Open a dialog

The Pulley dialog is now open.

Pulley dialog

Pulley dialog

Pulley Parameters

Number-of-Teeth

The number-of-teeth around the circumference of the Pulley.

The Number-of-Teeth and Tooth-Pitch (see Motion-Path FB) control the P.C.D of the Pulley and the radius of the Arc in the sketch-path.

Pitch-Circle-Diameter (PCD) - read-only

The diameter of the Pitch-Circle, which is co-radial with the neutral line of the Belt.

Belt Parameters

Tooth Pitch - read-only ( Edit with the Motion-Path dialog )

The linear distance between two adjacent teeth on the belt.

Belt Length - read-only

The total length of the belt. It is equal to the length of the sketch-loop that wraps around the Pulleys.

The length of the Belt will change as you edit the Number-of-Teeth on a Pulley,

You can select a dimension that will control the Belt-Length with the Motion-Path dialog.

Sprocket Parameters (Apply with Transition-Curve)

Details coming soon...


Dialog: Feedscrew [ Scroll]

Navigation: MechDesigner User Interface > Dialogs >

Return to chapter overview

Dialog: Feedscrew (Scroll)

Show/Hide Hidden Text

Feedscrew ( Scroll)

See Add Scroll

We have labeled the dialog as Feedscrew and Scroll because they are both common terms.

Other terms include: Worms, Infeed Screws, Gusanos, and Tortillas sin fin.

Use the Feedscrew (Scroll) dialog to:

·Set the number-of-points along the feedscrew surface for each 'rim'

·Set the Start and End - the 'range' - of the 3D-Cam

·Edit the display of the feedscrew in the graphics-area

·Export the feedscrew to SolidWorks®

·Rebuild the feedscrew with the current or active settings.

·Save the feedscrew data that defines the surface mesh.

To Open the Feedscrew dialog

1.Double-click a Feedscrew in the graphics-area

OR

1.see How to open a dialog

Feedscrew dialog

Buttons at top of dialog

Rebuild and Save Data buttons

·Use the Rebuild button to

ore-calculate the points along each 'rim' when you change a parameter

obefore you use the Save Data button

obefore you transfer the Feedscrew to SolidWorks

·Use the Save Cam button to save the feedscrew mesh data as text files.

Number of Points

Preamble:

·We specify a Feedscrew with a surface.

·There are a number of lines, that we call Rims, along the feedscrew surface.

·There is one Rim for each Motion-Point as defined by the Motion-Path FB.

·There are a number-of-points along each Rim.

Parameters:

Number-of-Points:

Number-of-points along each Rim. - 860 in dialog to left

Screw Start/End

Preamble:

When you add a Feedscrew, we calculate for you the surface for a complete cycle of the MMA : 0 – 360

Use this separator to edit the range of the MMA for which you want to calculate the feedscrew.

The Number-of-Points along each rim does not change.

Parameters:

Feedscrew Start-Angle

·Edit the Start-Angle

Feedscrew End-Angle

·Edit the End-Angle

Display

Preamble:

The 'MechDesigner Display' edits how the surface of the Feedscrew shows in the graphics-area.

Controls:

'Surfaces' ; 'Rims' check-boxes

Use the check-boxes to Show or Hide Surface, and Show or Hide Rims.

Solids: show or hide, with the color in the 'color' control, and with the Transparency given by the 'Slider'.

Rims: show or hide the Rims along the Feedscrew.

Color

·Use the Windows color picker to select a color for the Feedscrew and Rims.

Transparency

·Use the slider to change the Transparency of the Feedscrew.

SOLIDWORKS Data Transfer

Preamble: When you have set the correct parameters in this dialog: Number-of-Point and Start/End Angles, then you can export the Feedscrew to SolidWorks. To do this

1.Open SolidWorks

2.Add and Save a new Part

3.Make sure the new Part is the 'active' document in SolidWorks

Buttons:

Create Feedscrew Blank in SolidWorks

·We export for you the sketch of the Feedscrew Blank and its Axis-of-Rotation'

·We instruct SolidWorks for you to use the Feedscrew Blank and Axis to add a 'Revolved' feature

Create Feedscrew Surface in SolidWorks

·We export for you the XYZ data of each Rim to a 'Curve' feature

·We instruct SolidWorks for you to use the Curves to Insert a Boundary Surface feature.

Cut Feedscrew Surface into Blank.

·We instruct SolidWorks for you to cut the Revolved feature with the Boundary Surface

See Troubleshooting below.

SOLIDWORKS Paths

Preamble:

After you have sent the Feedscrew to SolidWorks, it is often useful to link the its file-name in SolidWorks with the Feedscrew element that is in MechDesigner. At a later date, when you open this Feedscrew dialog again, you can reopen the part in SolidWorks.

Buttons:

Get Cad Part Path button: Click this button to link the CAD file-name in SolidWorks with the Feedscrew.

The file-name, with its full path, is put into the 'Path of Feedscrew in SolidWorks is :

Open Cam Part button: Click this button to open the part with the file-name in the 'Path of Feedscrews in SolidWorks is' box.

Before this is possible:

1.You have previously transferred a Feedscrew to SolidWorks and saved the file,

AND

2.You have already clicked the button 'Get Cad Part Path' button.

Trouble-shooting the Feedscrew in SOLIDWORKS

The last command: 'Cut Feedscrew Surface into Blank' [image] may not work. CHECK 1: In SolidWorks, inspect the length of the Scroll Blank [image] relative to the Scroll-Surface [image] . In the image to the left, the left of the Scroll-Blank [image] is to the left of the end of the Scroll-Surface [image] . In this case, the 'Cut Scroll Surface from Blank' (button [image] in dialog) does not work.
You must, in SolidWorks, or MechDesigner 1.Edit the sketch of the Scroll-Blank I prefer to edit the sketch in SolidWorks.
2.Move the end of the sketch to the right of the end of the Scroll-Surface. In this sketch, I have added a dimension between the end of the Scroll-Surface and the left of the Sketch-Blank.
 | To help, I have, in SolidWorks, dragged the 'Revolve' feature to below 'Feed-Screw Scroll Boundary-Surface'. Then, as I edit the sketch for the Sketch-Blank I can see the end of the Scroll-Surface.
CHECK 2: After you close the sketch and rebuild the model. the Surface-Cut feature in SolidWorks might cut to the incorrect side of the Scroll-Surface - see image to the left. In this case:
 | 1.Edit the Feed-Screw Scroll Boundary-Surface feature in SolidWorks 2.Click the direction arrow - see image- to reverse the direction of the Cut.
In the image, you can see the Scroll-Blank has been cut correctly by the Scroll-Surface. However, the Feed-Screw Scroll Boundary-Surface feature is still shown in the model
 | CHECK 3: Edit the Feed-Screw Scroll Boundary-Surface feature to hide it from the display. See image.
Finally, the scroll is correct.


Dialog: Configure Power Source

Show/Hide Hidden Text

Configure Power Source

To calculate Forces and Torques correctly, you must make sure the Power Source is correct for each degree-of-freedom in each kinematic-chain in your model.

The default Power-Source for a degree-of-freedom is at the joint whose motion you control with a Motion-Dimension FB.

Use the Configure Power-Source dialog to move the Power-Source to a different element.

For example, the Power Source for a kinematic-chain with a Follower is a 2D-Cam.

When the Power-Source for each degree-of-freedom is correct, the forces that we calculate for each element are also correct.

If the Power-Source element is a :

·Pin-Joint - we calculate for you the Torque (Application-Torque) that you need at the output from a Motor and Gearbox - see Gearbox and Servo-Sizing.

·Slide-Joint - we calculate for you the Motive-Force that you need from a Linear-Motor.

·2D-Cam / Conjugate Cam - we calculate for you the Contact-Force, Contact-Stress, Cam-Life, and Roller-Life - see 2D-Cam dialog

·Spring - we calculate for you the Motive-Force when you configure the Spring as a Linear-Motor.

How to open the Configure Power Source dialog

You must first select a Kinematic-Chain in the Kinematics-Tree.

In the Kinematics-Tree :

1.Click the Kinematics-Tree in the Element-Explorer

2.Click the Kinematic-Chain for which you want to specify the Power-Source

The Kinematic-Chain is Blue.

There are three methods to open the Configure Power Source dialog when the Kinematic-Chain is Blue :

METHOD 1 : Forces toolbar

Configure Power Source icon

1.Click Force toolbar > Configure Power Source icon

METHOD 2 : Right-Click and Shortcut menu

Configure Power Source from Kinematics-Tree

Configure Power Source from Kinematics-Tree

1.Right-click the Kinematic-Chain

2.Click Configure Power Source in the shortcut menu

METHOD 3 : Hot-key combination

1.Press the ALT+P keyboard shortcut on your keyboard.

The Configure Power Source dialog is now open.

Configure Power Source dialog

You must Configure the Power Source for each Kinematic-Chain.

There are two tabs in the dialog:

Power Source tab

Motion Dimensions
Configure Power Source dialog > Power Source

Configure Power Source dialog > Power Source

Motion-Dimensions and Motor Elements Box

In box [image] , even if the Motor Element to the right of a Motion-Dimension is correct, please do 1 and 2

1.In box [image] - Click a Motion-Dimension - Rocker or Slider - to make it active

2.In box [image] - Click a Motor Element

The Motor Element in box [image] is now the Power-Source for the active Motion-Dimension in box [image] .

See also : Tutorial 13 - Forces: introduction.

See also : Machine elements toolbar > Add Conjugate-Cam FB.

Display Colors tab
Configure Power Source dialog > Display Colors tab

Configure Power Source dialog > Display Colors tab

For EACH Part you can:

·Change the color of the Part-Outline and Force-Vectors that act on the Part.

·Display the Force-Vectors that act on the Part:

·At the Joint

·As a Polygon of Forces

·At the Joint and as a Polygon of Forces

The Polygon of Forces does not help me much!

or

·Hide the Force-Vectors that act on the Part


Dialog: Servo-Gearbox Sizing Torque-Speed

Navigation: MechDesigner User Interface > Dialogs >

Return to chapter overview

Dialog: Servo-motor and Gearbox Sizing

Show/Hide Hidden Text

Kinetostatic Torque and Speed

Note: The options for a Linear Motor with a Slide-Joint will become available in a later release.

Use the Kinetostatic Torque and Speed dialog to:

·Select a Planetary Gearbox from the major gearbox manufacturers

·Select a Servo-motor from the major manufactures

·Plot the Application Load Torque-Speed curve, in four quadrants

·Plot the Gearbox Load Torque-Speed curve, in four quadrants

·Plot the Servo-motor Torque and Speed curve; in four quadrants, find the Maximum and RMS Torque values

·Calculate the Duty-Cycle as a percentage of the machine-cycle

Note: Use this tool with one degree-of-freedom kinematic-chains. Email PSMotion if the kinematic-chain has two or more degrees-of-freedom, each with a servo-motor.

How to open the Kinetostatic-Torque and Speed dialog

STEP 1: Enable:

·Force toolbar > Force-Vectors: Calculate

·Force toolbar > Force-Vectors: Display

You must be able to see the Motor-Symbol at a joint [image] - see image below. A Motor Symbol is at the Pin-Joint that is a Power Source.

STEP 2: Move the Power Source to the correct joint

·Force toolbar > Configure Power Source

STEP 3: Open the Kinetostatic Torque-Speed dialog:

1.Click the Motor Symbol [image] in the graphics-area

The Pin-Joint shows in the Selection-Window.

2.Right-Click the Pin-Joint

3.Click Edit element in the shortcut menu.

OR

See How to open a dialog

The Kinetostatic Torque-Speed dialog is now open.
Application (Load) Torque vs Speed plot
FOUR QUADRANT: TORQUE(LOAD) vs SPEED

FOUR QUADRANT: TORQUE(LOAD) vs SPEED

Before you select a Gearbox or Servomotor, the plot is Torque vs Speed of the Application Load, in four-quadrants.

The is the load that the Servo-motor and Gearbox must drive. It does NOT include the load to drive the inertia and friction of the Gearbox and Servo-motor.

Four-Quadrant - Why 4 Quadrants?

When inertia is the dominant load, we characterize the load for you as:

+ Torque, + Speed - when accelerating the load in the positive direction

– Torque, + Speed - when decelerating the load in the positive direction

– Torque, – Speed - when decelerating the load in the negative direction

+ Torque, - Speed - when decelerating the load in the negative direction

STEP 1: Auto-Filter and Range-Factor

Auto-Filter check-box

The Auto-Filter check-box is at the top and right of the dialog.

q Auto-Filter OFF

When Auto-Filter is off, you can select from 1000s of Gearboxes.

þAuto-Filter ON

We recommend that you enable the Auto-Filter. When Auto-Filer is enabled, the Gearboxes presented are limited to those that have a:

·Lower-Torque Capacity that is greater than the Torque required to move the Application Load.

·Upper-Torque Capacity that is determined by the Range-Factor.

The Range-Factor is at the top of the dialog.

Thus, the capacity of the Gearboxes that are listed for you are summarized by:

Application-Load ≤ Gearbox Capacity ≤ Application-Load × Range-Factor

Example: Auto-Filter ON, Range-Factor: 1.3

Lower Gearbox Torque Capacity = Equivalent Application (Load) Torque (21.495 N.m.)

Upper Gearbox Torque Capacity = Range Factor × Equivalent Application (Load) Torque (1.3 × 21.495 = 27.944 N.m.)
STEP 2: Select a Gearbox Manufacturer

Select a Gearbox Manufacturer

There are four Gearbox manufacturers from which you can choose: APEX, Neugart, Vogel, and Wittenstein

Note: If you need us to list a different Gearbox Manufacturer, then please email us.
STEP 3: Select a Gearbox Model

Select a Gearbox Model

Gearbox manufacturer and Gearbox model part numbers

Gearbox manufacturer and Gearbox model part numbers

When you select a Gearbox Manufacturer, and Auto-Filter is ON, and you have entered a Range-Factor, the list of Gearboxes is limited to those whose capacity can satisfy these in-equalities:

Manufacturer |  | The Selected Gearbox Manufacturer
Model |  | The Selected the Gearbox Model Part Number Each manufacturer has a different Model Part-Number format.
Series |  | Series - from the selected Model
i | # | Gearbox Ratio | from the Model
T2N | Nm | Rated Torque referred to output-shaft | - data sheet -
T2MAX | Nm | Max. Torque referred to output-shaft | - data sheet -
n2N | RPM | Rated Speed referred to output-shaft | - data sheet / i -
n2MAX | RPM | Max. Speed referred to output-shaft | - data sheet / i -

T2max ≤ T2MAX ≤ RF × T2max

Maximum Application (Load) Torque ≤ Maximum Output Torque of the Gearbox ≤ Range-Factor × Maximum Application (Load) Torque

T2m ≤ T2N ≤ RF × T2m

Equivalent Application (Load) Torque ≤ Rated Output Torque Capacity of the Gearbox ≤ Range-Factor × Equivalent Application (Load) Torque

n2max× i ≤ n1MAX

Maximum Application (Load) Speed × Gearbox Ratio (i) ≤ Maximum Input Speed of the Gearbox

n2n × i ≤ n1N

Average Application (Load) Speed (or Equivalent, Mean) × Gearbox Ratio (i) ≤ Rated Input Speed of the Gearbox
Gearbox Parameters Check List.
Gearbox Parameters Summary Sheet

Gearbox Parameters Summary Sheet

After you select a Gearbox model, its Gearbox Parameters Summary Sheet show. This form is read-only.

On the left of the sheet, there should be four(4) × [image] to indicate that the Gearbox has the capacity to drive the Application Load and satisfies the 4 requirements.

Peak Torque ≥ Maximum Application Torque

Rated Torque ≥ Equivalent Application Torque

(Max Output Speed) ≥ Maximum Application (Load) Speed

(Rated Output Speed) ≥ Equivalent Application (Load) Speed

Notes: Speed parameters in brackets ( ) are referred to the output-shaft. They are calculated from the Gear-Ratio of the Gearbox.

Other Parameters include:

·Backlash

·Stiffness

·Efficiency

·Shaft Diameter - the input-shaft diameter, which is not in the list until you select a Servo-motor.

·Inertia - referred to the input, which is not in the list until you select a Servo-motor.

Note: Not all Gearbox manufacturers provide all of these parameters.
Gearbox Output Torque vs Speed plot
Torque-Speed plot at Output of Gearbox.

Torque-Speed plot at Output of Gearbox.

When you select a Gearbox, the Torque (N.m.) vs Speed (RPM) plot changes to indicate whether the Gearbox has the capacity to drive the Application Load.

The color code is :

·Green : Torque AND Speed of the Load ≤ Rated Gearbox Capacity

·Amber : Torque OR Speed of the Load ≥ Rated Gearbox Capacity ≤ Maximum Gearbox Capacity

·Red : Torque OR Speed of the Load ≥ Maximum Gearbox Capacity
Torque-Speed at Gearbox at Output with Gearbox Limits

Torque-Speed at Gearbox at Output with Gearbox Limits

Gearbox Torque and Speed Limits.

The Show Gearbox Limits check-list box is located above the Gearbox selection box.

q Show Gearbox Limits enabled

The axes are auto-scaled to the Maximum Torque and Speed, at the output of the Gearbox.

þShow Gearbox Limits disabled

The axes are auto-scaled to the Maximum Torque and Speed Capacity, referred to the output of the Gearbox.

This helps you compare the Torque and Speed Capacity of the Gearbox with the Application Load.

The Limits of Torque and Speed are shown as boxes.

Before you select a servo-motor, the limit boxes and their color codes indicate the:

·Dark Blue : Maximum Torque and Speed capacity of the Gearbox

·Light-Blue : Rated (or Nominal) Torque and Speed capacity of the Gearbox

·Light-Brown : Equivalent Torque and Speed of the Application Load
STEP 4: Select a Servo-motor Manufacturer

Select a Servo-motor Manufacturer

There are many Servo-motor manufacturers from which to select.

When you select a Servo-motor Manufacturer, we find for you those Servo-motors that have the Torque and Speed Capacity required by the Application Load.
Servo-motor manufacturers and Servo-motor part numbers

Servo-motor manufacturers and Servo-motor part numbers

Note: If you need us to list a different Servo-motor Manufacturer, then please email us.
STEP 5: Select a Servo-motor Model

Select a Servo-motor Model

When you select a Servo-motor Manufacturer, and Auto-Filter is ON, and you have entered a Range-Factor, the list of Servo-motor is limited to those whose capacity can satisfy these in-equalities:

Manufacturer |  | The Selected Manufacturer
Model |  | The Selected the Model. Each manufacturer has a different model format.
Series |  | Series - from the Selected Model
d1 | mm | Motor Shaft Diameter | - data sheet -
Tn | Nm | Rated Torque | - data sheet -
Tmax | Nm | Max. Torque | - data sheet -
Nn | RPM | Rated Speed | - data sheet -
Nmax | RPM | Max Speed | - data sheet -

d1max≤ D ≤ d1min

The Servo-motor Shaft Diameter, D, must fit directly into the Gearbox, d1.

Note: Precision Planetary Gearboxes can accept a range of shaft diameters at their input. The Gearbox inertia, which is referred to its input, is different for each shaft diameter.

Tmax ≤ Tmot max ≤ RF × Tmax

Maximum Application Load Torque referred to the Gearbox input-shaft

≤ Maximum Servo-motor Torque Capacity ≤

Range-Factor × Maximum Application Load Torque referred to the Gearbox input-shaft

Tm≤ TN ≤ RF × Tm

Equivalent Application (Load) Torque referred to the Gearbox input-shaft

≤ Rated Servo-motor Torque Capacity ≤

Range-Factor × Equivalent Application (Load) Torque referred to the Gearbox input-shaft

n1max ≤ Nmax

Maximum Application Speed referred to the Gearbox input-shaft ≤ Maximum Servo-motor Speed

n1N ≤ N1N

Average Application Speed (or Equivalent, Mean) ≤ Rated Servo-motor Speed

Pn ≤ Pr

Application Power < Servo-motor Power Capacity
Servo-motor Parameters Check List.
Servo-motor Parameters Summary Sheet

Servo-motor Parameters Summary Sheet

When you select a servo-motor model, its Servo-motor Parameters Summary Sheet show. This form is read-only.

To the left of the sheet, there should be five(5) × [image] to indicate that the Servo-motor has the capacity to drive the Application Load and also satisfies those 5 × requirements.

Peak Servo-motor Torque ≥ Maximum Application (Load) ÷ i

Rated Servo-motor Torque ≥ Equivalent Application (Load) Torque ÷ i

Max Servo-motor Speed ≥ Maximum Application (Load) Speed × i

Continuous Servo-motor Speed ≥ Equivalent Application (Load) Speed × i

Rated Power > Nominal Load Power.

Other Parameters include:

·Vdc - Bus Voltage for Drive

·Jm - Servo-motor Inertia

·D - Servo-motor shaft diameter.
Servomotor Torque vs Speed plot
Torque-Speed plot of Servo-motor

Torque-Speed plot of Servo-motor

When you select a Servo-motor, colors of the dots for the Torque (N.m.) vs Speed (RPM) plot changes to indicate whether the Servo-motor has the Capacity to drive the Application Load or not.

The color code is :

·Green : Torque AND Speed of the Load ≤ Rated Servo-motor Capacity

·Amber : Torque OR Speed of the Load ≥ Rated Servo-motor Capacity ≤ Maximum Servo-motor Capacity

·Red : Torque OR Speed of the Load ≥ Maximum Servo-motor Capacity

Motor Torque and Speed Limits.

The Show Motor Limits check-list box is located above the Motor selection box.

q Show Motor Limits Enabled

The axes are auto-scaled to the Maximum Torque and Speed, at the Servo-motor Drive Shaft.

þShow Motor Limits Disabled

The axes are auto-scaled to the Maximum Torque and Speed Capacity of the Selected Servo-motor

This helps you compare the Torque and Speed Capacity of the Servo-motor with the Application Load referred to its input-shaft.

The Limits of Torque and Speed are shown as boxes.

· Purple : Maximum Torque and Speed capacity of the Servo-motor

· Pink : Rated (or Nominal) Torque and Speed capacity of the Servo-motor

·Light-Brown : Equivalent Torque and Speed of the Application Load
Why is the Motor Torque is different to the Mechanism Torque

The Torque we calculate for you when you Display Force-Vectors is the torque to move the mechanism only. This is the Application Torque. The Application Torque does not include the Torque to move the motor and gearbox. It is necessary to add the Torque to accelerate the motor and the gearbox to the Torque in the graphics-area.

Clearly, the Torque to move motor depends on the inertia of the motor and gearbox as well as the gearbox ratio.

The higher the gear ratio, the less Application Torque the motor 'sees'. But the motor must run faster and accelerate more. This influences the overall power, as well as system efficiency.
More on Torque vs Speed Curves

The performance characteristics of a brushless servo motor (motor/drive combination) are described by a torque/speed operating envelope.

As shown below, the colored areas of the curve identify the Exceeded Duty, Continuous Duty, and Intermittent Duty working areas of the system.

Exceeded Duty

To maximum speed and/or the maximum torque, of the gearbox and/or Servo-motor must be exceeded. Usually, to make sure this cannot happen, there is a Current (amps) Limit on the Power Drive.

Continuous Duty Zone (S1)

The continuous duty zone is bounded by the maximum continuous stall torque up to the intersection with the intermittent duty line. The continuous torque line is set by either the motor’s maximum rated temperature, or the drive's rated continuous current output, whichever is less.

The system maximum continuous or 'voltage line' is set by the voltage rating of the drives, the line voltage supplied, and the motor winding.

The system can operate on a continuous basis anywhere within this area, assuming the ambient temperature is 40°C or less.

Intermittent Duty Zone (S5)

The intermittent duty zone is bordered by the peak-stall torque and the system voltage line. The peak torque line is set by either the drives’ peak current rating, which the drive can give for a limited time, or the maximum rated peak current for the motor, whichever is less. Higher torque levels may be achievable at higher power levels.
Typical Torque / Speed Duty Capability of a Brushless Servomotor.

Typical Torque / Speed Duty Capability of a Brushless Servomotor.

Peak Torque: (ԎPS ) The Peak Torque the Motor and Gearbox at Stall Speed

Continuous Stall Torque: (ԎCS ). The Continuous Torque the Motor and Gearbox can give Continuously at Stall Speed.

Maximum Speed: (ωMAX ) Maximum possible speed of the Motor and Gearbox. Not attainable when the voltage is limited by the drive.

Knee Speed: (ωK ) The Speed at 'knee' in peak envelope that is the intersection of the Peak Torque with the Voltage Torque/Speed Limit Line.

Continuous Rated Torque:(ԎCR ). The Continuous Torque at the Speed of the Rated Power.

Rated Speed: (ωR ) The Rated Speed or Speed at Rated Power. The motor can operate at this speed with the supply voltage.
How we calculate the Motor Torque and Motor Speed

The Reflected Inertia at the Motor shaft usually continuously changes in a machine-cycle.

With Constant Inertia Mechanical Systems it is easy to calculate Inertia Torque.

With mechanisms, the Torque is dependent on reflected inertia that is a function of Acceleration, Velocity, and Position.

PSMotion has developed algorithms to calculate these, which give a true indication of the reflected inertia at a motor shaft for even the most complex mechanisms.

The equations below, are calculated at every instant in a machine-cycle.

Usually, you aim to make the Reflected Load Inertia = (Motor + Gearbox) Inertia.

However, when the Load Inertia is not constant, it is more difficult to select the Motor and Gearbox.

Speed:

ωm = N × ωL

αm = N . αL

Torque

Tm = - αm (JG + JM) + sign(TVD)

TL = (TMD ∕ N ) ∕ η

TT = Tm + TL

N = Gear Ratio

ωm = Motor Angular Velocity

ωL = Load Angular Velocity

TT = Total Torque

Tm = Motor Torque

TL = Load referred to Motor Shaft

TVD = Viscous 'Drag' Torque. It is always opposite to the direction of motion

TMD = Torque derived by your model at the Motor Shaft ( f{PL , ωL, αL } )

JG = Inertia of Gearbox

JM = Inertia of Motor

αm = Motor Acceleration

αL = Load Acceleration

η = Gearbox Efficiency


Dialog: Movie

Show/Hide Hidden Text

Movie

When you continuously-cycle a model in MechDesigner, commercial video-recording software may not record each step in a machine-cycle. Also, it is difficult to record exactly one machine-cycle. Make-Movie solves these problems.

Movie and File-Types

Use File menu > Movie to:

·record and save a movie as a GIF file-type

or

·record and save a sequence of images as JPEG, JPG, PNG, and BMP file-types

We append a number to each image. The numbers are 000, 001, 002, ... Number-of-Frames

or

·save one image - a snapshot of the model.

Note:

The GIF file-type produces a large file when the movie's frame-size and/or the number-of-frames is large.

Top-Tip:

Do not append the file-name with a number.

Movie dialog

Make-Movie dialog

You should see a rectangle in the graphics-area. You will record everything inside the rectangle.

The rectangle is the Frame.

Usually, edit the size and position of the Frame.

Frame Size and Position

1.Use the Pre-select a Frame Size... drop-down list-box to select a typical frame size.

OR

1.Edit Width and Height to the frame.

2.Edit the Left and Top of the frame.

The rectangle in the graphics-area should now be where you want to record.

File-name and File-type

1.Click the File-name and file-type... button [image] (at the bottom of this separator)

In the Windows® Save as dialog:

a.Browse to a File-path and enter a File-name

b.Use the Save as type list-box to select a file-type.

c.Click the Save button

Important: read Movie and File-type

The File-path and File-name are now in boxes [image] [image] .

Make Movie...

1.Edit the Number-of-Frames box (Default = 30 Frames, Minimum=5 ; Maximum=10000)

2.Edit the Start-Angle ( Default = 0 ; Minimum > 0, Maximum ≤ Machine End-Angle )

3.Edit the End-Angle ( Default = 360 ; 720 ≥ Maximum > Minimum)

4.Select

oInclude Last Frame , or

oExclude Last Frame

Experiment! View the movie in your Video Player to see if there is a stutter at the end of the movie.

Make Movie button

5.Click the button

When you click the button:

a)We move the model to the Start-Angle.

b)We compile the movie (GIF file-type), or save the images (PNG, JPG, BMP file-types), at equal increments of the machine-angle, from the Start-Angle to the End-Angle.

Please wait while we save for you the file(s) to your PC / Laptop.

OR

Single Shot button

5. Click the button

When you click the button, we save for you a Single Snapshot of the model at the active Master-Machine Angle.

To compile the images as a movie.

To compile PNG images as a movie, I use Avidemux 2.6 - a free tool that you can download from the internet. My lawyer tells me I cannot recommend it.

In Avidemux 2.6:

1.Open the first image in the sequence of images - for example, Hinge-A000.png

Open the first image only. Avidemux2.6 automatically imports the other images in the numbered sequence.

2.Save the movie with the MP4 movie format.

Save the Movie file with the same frame-size as the recorded images.

MP4, with the x264 codec, is the recommended format for YouTube®.


Dialog: Element Properties

Show/Hide Hidden Text

Element Properties dialog.

The Element Properties dialog is a list of an element's motion and force data at the Master Machine Angle.

Elements Properties include:

oP : a Position, or linear value

oV : a Vector

oℝ : a Real Number

o|n| : Absolute Real Number

oX, Y, ΔX, ΔY, Θ, ω, α, ΔΘ, Δω, Δα

All of the properties are read-only.

You can open a dialog to view the Element's Properties.

The dialog can stay open to read the Element's properties at different phases of the machine cycle.

Note: New 16-1-372+

In the graphics-area, when you hover above an element, the Element Properties show in the Extend-Hints box in the Feedback Area.

How to open the Element Properties dialog

In the graphics-area

+ Click an element

For example: a CTRL+Click a wire between two Kinematic FBs.

The wire has 3 Data-Channels

The Data-Channels are Linear or Angular Position, Velocity and Acceleration.

Element Properties dialog (read-only)

At the top of the dialog you can see the Element's Name, Element's Part, and Element's Mechanism.

The Element is a child to the Element's Part, which is a child to the Element's Mechanism

Wire Element Properties dialog

CTRL + Click a wire

A wire has a 3 Data-Channels

In the example: the three Data-Channels are Displacement(Position), Velocity, and Acceleration

The Data Type is Linear.

Part Element Properties dialog

CTRL + Click a Part-Outline

At the top of the dialog you can see the Element's Name, the Element's Part, and the Element's Mechanism.

Properties:

P - Position

·Kinematic: Angle of Part in Mechanism Plane, Angular Velocity or Part in Mechanism Plane

·Instant Center: The Part has an instant center of rotation: X and Y coordinates of the instant-center in Mechanism Coordinates

·Centroid: X and Y coordinates of the Center of Mass

·Mass: Value

·Inertia: Value
Pin-Joint Element Properties dialog

CTRL + Click a Pin-Joint

At the top of the dialog you can see the Element's Name, the Element's Part, and the Element's Mechanism.

Property:

·Power On: True or False (T or F) - if the Pin-Joint has the Power Source - see Configure Power Source

·Broken: True or False (T or F) - if the Joint does not solved (Broken) at this instant in the machine-cycle

·Solved: True or False (T or F) - if the Joint is a child to a kinematic-chain that is kinematically-defined

·Bearing Force

oFx and Fy ; Vectors in Mechanism Coordinates

·Torque

oTz ; Vector normal to Mechanism Plane (if the Pin-Joint is the Power Source)
Slide-Joint: Element Properties dialog

CTRL + Click a Slide-Joint

At the top of the dialog you can see the Element's Name, the Element's Part, and the Element's Mechanism.

Property:

·Power On: True or False (T or F) - if the Power Source is given to this Pin-Joint - see Configure Power Source

·Broken: True or False (T or F) - if the Joint does not solved Broken) at this instant in the machine-cycle

·Solved : True or False (T or F) - if the Joint is a child to a kinematic-chain that is kinematically-defined

·Drive Force

oFx ; Force along positive direction of Slide-Joint (if the Power Source is the Slide-Joint
Point: Element Properties dialog

CTRL+Click a Point

At the top of the dialog you can see the Element's Name, Element's Part, and Element's Mechanism.

The Element is a child to the Element's Part, which is a child to the Element's Mechanism

Properties:

(P - Position ; V- Vectors)

·P Part Pos: Position of the Point; Part Coordinates

·P Mech Pos: Position of the Point; Mechanism Coordinates

·P Glob Pos: Position of the Point; Global Coordinates (Z does not show!)

·V Velocity, V Acceleration

oi,j: the coordinates of the Velocity / Acceleration Vector, X and Y directions; Mechanism Coordinates

o|n|: the magnitude of the Velocity / Acceleration Vector

oΘ: the direction of the Velocity / Vector Vector
Line: Element Properties dialog

CTRL + Click a Line.

At the top of the dialog you can see the Element's Name, the Element's Part, and the Element's Mechanism.

Property:

·Line Data:

oΔx, Δy : the change in x and y from the Line's start-Point and end-Point

o|n|: the length of the Line

oΘ: the angle of the Line relative to the Mechanism Coordinates

·Kinematic:

oω : angular velocity of the Line

oα : angular acceleration of the Line
Circle: Element Properties dialog

CTRL + Click a Circle.

At the top of the dialog you can see the Element's Name, the Element's Part, and the Element's Mechanism.

Property:

·Radius:

o|n|: the Radius of the Circle

·center:

ox & y : the position of the center of the Circle in Mechanism Coordinates
Arc: Element Properties dialog

CTRL + Click an Arc.

At the top of the dialog you can see the Element's Name, the Element's Part, and the Element's Mechanism.

Property:

·Radius:

o|n|: the Radius of the Circle

·center:

ox & y : the position of the center of the Arc in Mechanism Coordinates

·Start

ox & y : the position of the start-Point of the Arc in Mechanism Coordinates

oΘ : the angle of the start-Point from the center of the Arc

·End

ox & y, the position of the end-Point of the Arc in Mechanism Coordinates

oΘ : the angle of the end-Point from the center of the Arc
Cam: Element Properties dialog

CTRL + Click a 2D-Cam.

At the top of the dialog you can see the Element's Name, the Element's Part, and the Element's Mechanism.

Property:

Contact 1 & 2:

ox & y: the coordinates of the contact between the Inner and Outer Cam-Profiles and the Follower-Profile.

Pressure Angle 1 & 2:

oΘ : the Pressure Angle of the Follower-Roller with the Inner and Outer Cam-Profiles

Curvature 1 & 2:

o|n| : the Radius of Curvature of the Inner and Outer Cam-Profiles

Force

oFx & Fy : the Contact Force of the Cam on the Roller, given in the X and Y directions, with Mechanism Coordinates

ONLY if you have selected a Follower-Roller and Steel Type for a 2D-Cam with the 2D-Cam dialog

Roller L10 Lifetime [Hrs] - The Lifetime in Hours of the Follower-Roller, Lubrication Conditions, and Factor-of-Safety that you select in the 2D-Cam dialog.

Cam Lifetime [Hrs] - the lifetime in hours of the Cam Profile (Outer or Inner) , with the Steel Type, Quality, Hardness, and Factor-of-Safety that you enter in the 2D-Cam dialog.


Dialog: Select Elements

Select Elements

If, when you select elements to do a command, there is ambiguity as to which Element(s) to actually use for the command, the Select Elements dialog opens automatically.

It lists all of the elements that you select, including the Points you want to select.

You must CTRL+Click the elements to do the command.

Select-Elements dialog

Select-Elements dialog

In the Select-Elements dialog:

1. + Click ALL of the elements you need to do the command.

The [image] becomes colorized only after you select the elements that are compatible with the active command.

2.Click [image] to close the Select-Elements dialog

If the Command-Manager is also active:

3.Continue to select the elements, as required.

and / or

4.Click [image] in the Command-Manager to complete the command.


Dialog: Delete Dependent Elements

Delete Dependent Elements

Warning - When you delete the 'element' you will also delete these elements.

Warning for Delete Dependents

Many elements depend on (need) other elements

The Delete Dependents dialog is a warning to you that, if you want to delete an element, you will also delete one or more other elements.

You can:

·Delete element and Dependents- click the [image] button

OR

·Cancel Delete - click the [image] button

For example:

When you add a Pin-Joint, you select two Points in two different Parts.

If you want to delete the one of the Points that needs the Pin-Joint, you are warned that you also delete the Pin-Joint.


Dialog: View References

Show Element References

See also: Delete Dependent Elements

Many elements reference, or need, other elements.

Show Element References lists those elements that a more complex element needs to build.

For example, when you add a Pin-Joint, you select two Points in two different Parts. Therefore, the Reference Elements of the Pin-Joint are the two Points.

Selection--Window: Right-Click

To see the Element References for an element:

1.Click an Element in the graphics-area or the Assembly-Tree

The element should be in the Selection-Window

Right-click the element in the Selection-Window

2.Click Show Element References in the shortcut menu

The List References for: element-name shows.
EXAMPLE: Element References for 2D-Cam

EXAMPLE: Element References for 2D-Cam

The example shows the:

·Reference Element name

·Number(?)

·Reference Element Type

·Reference Element Owner


Dialog: Tutorials

Download Tutorials

To open the Download Tutorials dialog

File toolbar > Download Tutorial Videos

File menu > Download Tutorial Videos

Download Tutorials dialog

When the Download Tutorials dialog opens:

1.Click a video on the left of the dialog.

If this is the first time you have downloaded that video. please wait until it downloads to your computer

If, at a different time, you click to play the same video, it should play immediately from your hard-disk.

Video display too small?

If the video dialog is too small, drag the right and bottom sides of the dialog to increase its size.

Where do the Videos download to?

The default path is <LocalAppData> \ Tutorials\ *.mp4

To change the download path, see Application-Settings > General tab > File Options separator > Tutorial Video Directory.
Download Tutorials dialog

Download Tutorials dialog


How to... and FAQs

How to... and FAQs

General: How to... and FAQs

How to...

... edit and save my Styling

... open a dialog

... edit a Parameter in a dialog.

... Rename an Element

FAQs

Why is it taking a long time to add or edit elements?
Model-Editor: How to... and FAQs

How to stop Solid elements turning red
Mechanism-Editor: How to... and FAQs

How to...?

... show Velocity and Acceleration Vector

... edit a 2D-Cam, Gear-Pair, Profile

... edit Profiles and Extrusions

... change the assembly configuration of a mechanism

... move a Motion-Dimension (and not the FB)

... export a Cam directly to SOLIDWORKS

... model a Pin in a Slot

... to export my Cam as a Smooth Curve to SolidWorks/SolidEdge

FAQs

What do the different colors of Part-Outlines mean?

What is the hierarchy of Extrusions?

What are different 2D-Cam elements?

Why can I not see the Base-Part properly?

Why can I not add an Angle or Linear Motion-Dimension FB?

How many Mechanism-Editors can I add?

How many Kinematic-Chains can I add to a Mechanism-Editor?
Part-Editor: How to... and FAQs

How to...

... edit the Length of a Part

... delete Sketch-Elements

... delete Constraints

... add a Sketch-Loop

FAQs

How many Parts can I edit at a time?

Why edit a Part?

How to start the Part-Editor to edit a Part?

Can I edit (and other questions relating to) the Part-Outline?

What are the color codes for sketch-elements in the Part-Editor?

Why is a dimension 'negative' in the Dimension dialog?

Why do I need to add geometry to the Base-Part?


General: How to and FAQs

General FAQs

How to...

... edit and save my Styling

... open a dialog

... edit a Parameter in a dialog.

... Rename an Element

FAQs

Why is it taking a long time to add or edit elements?


How to...

How to...?

... edit and save my Styling

... open a dialog

... edit a Parameter in a dialog.

... Rename an Element


How do I Edit, Save, and Move my Styling?

Navigation: MechDesigner User Interface > How to... and FAQs > General: How to and FAQs > How to... >

Return to chapter overview

... edit, save, and move my Styling

How to edit your Settings, Styles and Theme.

We call the Style, Theme, and Settings the Styling.

Each time you exit MechDesigner, we save for you the Styling to MechDesigner.INI and MechDesigner.XML.

MechDesigner uses the Styling automatically the next time it starts.

Styling Definitions:

Theme : | Border, Icon, and dialog colors. Use Application Settings : General tab > Theme Settings > Target Theme Select one of these Themes: Windows, Charcoal Dark Slate, Aqua Light Slate, Windows10 Dark, Tablet Dark, Slate Classico, Windows10 Slate Gray, Windows 10. Note, this help uses Charcoal Dark Slate.
Style : | Load a Style Click the button to open a Style Dark.XML - is intended to be used with dark themes, for example, Charcoal Dark Slate. Light.XML - is intended to be used with light theme, for example, Aqua Light Slate. Save a Style Click the button: Save any changes you have made to Style file-name Do NOT overwrite Dark.XML or Light.XML.
Application Settings : | Edit icon-sizes, number-formats and colors for different elements: ·Application-Settings > Graphics tab > Display Colors There are many other settings you can make to suit your preferences. Note: You can also save and load these with the Save and Load buttons

Save the Styling

You may want to save your personal styling, especially if different people use MechDesigner on the same PC.

1.File menu > Application-Settings :

2.Click the Save button at the bottom of the Application-Settings dialog.

The default path for your Styling should open <CommonAppData>\PSMotion\Style \ Comma\ or \Stop\

You see Dark.XML and Light.XML files (and others).

DO NOT OVERWRITE these files.

·Save the Styling to ...style\Comma\My-style-name.XML if your number system uses a comma ',' as the decimal symbol.

·Save the Styling to ...style\Stop\ My-style-name.XML if your number system uses a stop '.' as the decimal symbol.

Move your Styling

You may want to move your styling to a different computer for your own use, or to distribute the Styling to all Workstations.

1.Save the active Styling to a My-file-name.XML - see preceding section.

Remember, DO NOT OVERWRITE the default Dark.XML and Light.XML files.

2.Exit MechDesigner

3.Use File-Explorer to navigate to:

·<CommonAppData>\PSMotion\style\Comma if your number system uses a comma ',' as the decimal symbol.

·<CommonAppData>\PSMotion\style\Stop if your number system uses a stop '.' as the decimal symbol.

Note 1: <CommonAppData> is usually C:\ProgramData\

Note 2: If you cannot see C:\ProgramData\ ... then in Windows File Explorer:

a)Click View tab

b)Click Hidden Items check-box in the Show/hide group-box.

4.Copy My-style-name.XML, to a USB stick, for example.

You also need to make copies of the MechDesigner.INI and MechDesigner.XML files

5.Use File-Explorer to navigate to path: <LocalAppData> C:\users\<user-name>\AppData\Local\PSMotion\IniFiles\

6.Copy MechDesigner.INI and MechDesigner.XML to a USB stick.

On the other Workstation:

7.Replace the MechDesigner.INI and MechDesigner.XML files on the workstation, with the files on your USB stick

8.Copy My-style-name.XML from your stick into the path used for styling - see preceding sections.

9.Start MechDesigner on the workstation

10.Click Application-Settings > Load button

11.Load My-style-name.XML from the USB stick as the new style.

12.Click Save button

Save the Styling to <CommonAppData> is usually C:\ProgramData\

The Theme, Style and Application-Settings are saved automatically as defaults. They load the next time you start MechDesigner.


... open a dialog

Show/Hide Hidden Text

How to open a dialog

There are many methods you can use to open an element's dialog.

With all methods, you must be able to select the element. You can select the element in three places:

·graphics-area

·Assembly-Tree

·Selection-Window

It may be helpful to use a Selection-Filter to filter for the type of element you want to edit.

See Selection-Filters

To open an element's dialog, do one of these methods:

Method 1: Use the Selection-Window

Click

1.Click the element (see also the SHIFT-CLICK exception below) in the graphics-area or the Assembly-Tree

The element is now in the Selection-Window

2.Right-click the element in the Selection-Window

A shortcut menu shows next to your pointer

3.Click Edit element in the shortcut menu

The element's dialog opens.

SHIFT+CLICK

SHIFT+CLICK Profile

An Extrusion is a child to a Profile. It is possible to show or hide the extrusion from the graphics-area. When the Extrusion is hidden from the graphics-area:

1.SHIFT+CLICK the Profile contour that is the parent to the extrusion in the graphics-area

The Profile AND Extrusion are now in the Selection-Window.

2.Right-click the Extrusion

In the shortcut menu:

3.Click Edit element to open the Extrusion dialog.

The Extrusion dialog opens.
Method 2: Double-Click the element

Summary:

You open the dialog only if you double-click one element.

Double-click one element in the:

·graphics-area

·Assembly-Tree

·Selection-Window

Double-click to open the element's dialog-box Double-click to open the element's dialog-box | Example: Edit a Motion-Dimension FB Double-Click in the graphics-area 1.Move your mouse-pointer above the element so that only the element you want to edit changes color to the Selection Color (usually, it becomes red). 2.Double-click the element When it is difficult to double-click only the element in the graphics-area: ·Edit the Symbol Selection Size - See Edit toolbar > Application Settings > Accessibility tab. ·Use Selection Filters to filter for the element type you want to edit. ·Use Display Filters to hide other element types OR Double-click in the Assembly-Tree 1.Double-click the element in the Assembly-Tree.
Double-Click element in Assembly-Tree Double-Click element in Assembly-Tree
Double-Click element in Selection-Window Double-Click element in Selection-Window | OR Double-click in the Selection-Window 1.First, click the element in the graphics-area or the Assembly-Tree one time so that it shows in the Selection-Window. When the element is in Selection-Window, 2.Double-click the element in the Selection-Window.
Method 3: Right-Click the element

Summary:

1.Right-click the element in the Selection-Window, the Assembly-Tree and graphics-area

2.Click Edit-Element in the shortcut menu.

Click, then Right-Click in Assembly-Tree Click, then Right-Click in Assembly-Tree | Example: Edit a Motion-Dimension FB In the Assembly-Tree: 1.Click to select the element in the Assembly-Tree 2.Right-click the element In the shortcut menu: 3.Click Edit Element
Right-click in the graphic-area Right-click in the graphic-area | In the graphics-area: 1.Click the graphics-area to deselect all elements 2.Hover + Right-click an element. The shortcut menu shows. In the shortcut menu: 3.Click Edit Element
Method 4: Edit toolbar > Edit Element tool
Edit element icon | 1.Click the element you want to edit in the Selection-Window, Assembly-Tree or graphics-area 2.Click Edit toolbar > Edit Element icon
Click element in Graphic-Area Click element in Graphic-Area Click element in Assembly-Tree Click element in Assembly-Tree |  | For example, you want to edit a Gearing FB to open its dialog. In the graphics-area, Assembly-Tree, or Selection-Window: 1.Click the Gearing FB in the Selection-Window or 1.Click the Gearing FB in the graphics-area or 1.Click the Gearing FB in the Assembly-Tree
Click 'Edit-Element' icon in Edit menu Click 'Edit-Element' icon in Edit menu |  | 2.Click Edit toolbar > Edit Element The Gearing-FB dialog is now open.

Special Cases:

To edit a dimension in the Part-Editor

Double-click Arrowhead

De-select other commands. Most usually, Add Dimension is active, which you must de-select.

1.Double-Click the arrowhead of a dimension to open the Dimension dialog

If you try to click the dimension number - R34.46 in the image to the left - MechDesigner does not respond.
To edit a Gear-Pair or 2D-Cam

When you click a Gear-Pair or 2D-Cam it is possible to click four elements:

·the Gear-Pair (or 2D-Cam) - select it in the Selection-Window

·a Polyline - you cannot edit a Polyline

·a Profile and Extrusion - you can only edit the Extrusion.
To edit an Extrusion
Shift-click a Profile

Shift-click a Profile

To edit an Extrusion that you cannot see, but you can see its Profile or Auto-Profile.

1.SHIFT-CLICK the PINK Profile element

The Profile AND Extrusion elements are now in the Selection-Window.

2.Right-click the Extrusion element in the Selection-Window

3.Click Edit element in the shortcut menu.
Reasons you cannot edit an element

You cannot edit an element when:

·A different dialog is open. Close all other dialogs. (ALT+F4 if you cannot see the dialog).

·You double-click two or more elements. You open none or one dialog.

·A command is active, in the Command-Manager. You must complete or cancel that command.

·You cannot edit the element - for example, a Slide-Joint


... edit a Parameter in a dialog

Show/Hide Hidden Text

A parameter-value in a dialog

In this example, the parameter is Dimension in the Dimension dialog, and the parameter-value is 300.

In the image, I have added three colored boxes

300

Parameter-value - the value, in the data-box, to edit and apply to the element.

10

Spin-Increment - the change to the parameter-value each time you click a Spin-Box arrow - see Spin-Box tool

Spin-Box tool: see more Spin-Box tool

Note: If you cannot see the Spin-Box tool:

Double-click with your mouse in the Parameter-value box

How to edit parameters in a dialog.

There are three different methods you can use to edit a value in the parameter box.

Method 1: Keyboard
Dimension dialog-box | Enter a value directly: 1.Use your keyboard to enter a value in the data-box 2.Press the Enter key ( [image] ) on your keyboard to update the parameter to the new value You must press the Enter key.
Equation in Dimension box Equation in Dimension box | Enter a value as a symbolic equation: 1.Use your keyboard to enter a symbolic-equation in the data-box 2.Press the Enter key ( [image] ) on your keyboard to update to the new value You must press the Enter key.
Symbolic parameters for an Equation: ·Simple Arithmetic: +, –, *, / ·Indices: ^, Sqrt() ·Trigonometric (Angles are Radians): pi, Sin(), Cos(), Tan(), Sinh, Cosh, Tansh, ArcSin(), ArcCos(), ArcTan2( ; )
Method 2: Spin-Box tool

Spin-Box tool

Spin-Box arrowhead buttons (in the CYAN-BOX)

Top & Left arrowhead : to subtract (–) the parameter-value [image] by the Spin-Increment

Top & Right arrowhead : to add (+) the parameter-value [image] by the Spin-Increment

Bottom & Left arrowhead : to divide (÷) by the Spin-Increment

Bottom & Right arrowhead : to multiply (×) by the Spin-Increment

EXAMPLE:

Edit the Parameter-Value

·Click the Top & Left [image] arrowhead: Subtract the Spin-Increment(1) [image] from the parameter-value
Parameter-value after one click is 67.12345 – Spin-Increment = 66.12345

·Click the Top & Right [image] arrowhead two times: Add the Spin-Increment(1) [image] to the parameter-value [image] 2 x
Parameter-value after one click is 66.12345 + 2 × Spin-Increment = 68.12345

Edit the Spin-Increment

·Click the Bottom & Left [image] arrowhead: Divide the active Spin-Increment by 10
The active Spin-Increment value after one click is 1 ÷ 10 = 0.1

·Click the Bottom & Right [image] arrowhead two times: Multiply the active Spin-Increment by 10 [image] 2 x
The active Spin-Increment value after two clicks is 0.1 × 10 × 10 = 10.

WARNING: The model re-builds each time you click the top arrowhead buttons in the Spin-Box tool. If the model is complex, there is a long time to update the model.
Method 2A: Show / Hide the Spin-Box
Double-click to hide Spin-Box

Double-click to hide Spin-Box

< >

Double-Click
Double-click to hide Spin-Box

Double-click to hide Spin-Box

Double-click, with your mouse-pointer in the data-box, to hide the Spin-Box.

Double-click the data-box again to show the Spin-Box.
Method 3: Zero / Round / Copy / Paste

To see the Zero / Round / Paste / Copy shortcut menu:

1.Right-click with your mouse-pointer inside the parameter box

2.Click:

·Zero - the parameter-value becomes zero(0), or the smallest possible value for the parameter.

·Round - the parameter-value becomes the nearest value that is exactly divisible by the Spin-Increment.

Note: The Spin-Increment is below the data-box. It is ten(10) in the image to the left - see Spin-box tool

·Copy - to copy the parameter-value to your clipboard.

·Paste - to paste your clipboard to the parameter-value.


Navigation: MechDesigner User Interface > How to... and FAQs > General: How to and FAQs > How to... >

Return to chapter overview

... rename an element

See Rename dialog


Navigation: MechDesigner User Interface > How to... and FAQs > General: How to and FAQs >

Return to chapter overview

FAQs

FAQs

What are the System Requirements?

Why is it taking a long time to add or edit elements?


Why is it taking a long time to add elements?

Tips for Working with Large Models:

·Disable Auto-Rebuild. Then experiment. You can continue to add many elements successfully when rebuild is inactive. Use Rebuild-Now every 4-5 commands to rebuild.

·Number-of-Steps : Make 90 steps, or even less. You do not need many steps as you build the model.

·Disable Show Solids in Mechanisms : You do not need to show the Solids to add elements, to review the kinematics, or to calculate Forces.

·Image Quality : If you must show Solids, then experiment with the Image-Quality. Do this when there are many Solids in the model.

·Spin-Box tool. Do not use the Spin-Box tool. The model re-calculates with each click of the Spin-Box. Use your keyboard to enter new values in each data- box.


Cam-Terminology

Terminology:

Terms : | Definitions
Cam : | The Part that supports the Cam-Profile shape. Its motion is the input to the Cam system.
Cam-Shaft : | A rotating-Part (the shaft) onto which you fix a 2D-Cam (or 3D-Cam). The shaft usually rotates with constant angular-velocity.
Cam-Profile : | The surface of a 2D-Cam that is in continuous contact with the Follower-Profile.
Cam-Track : | A groove that is cut into a Cam-Blank with an Outer and an Inner Cam-Profile.
Follower : | The Part that supports the Follower-Profile. Its motion is the output from the cam system.
Follower-Profile : | The surface that interacts with the Cam-Profile.
Follower-Roller : | A Follower-Profile that is cylindrical or barrel-shaped.
Flat-faced Follower : | A Follower-Profile that is a flat surface.
Translating Follower : | A Follower that moves along a straight axis.
Reciprocating : | A sliding-Part that has a non-progressive motion.
Rotating Follower : | A Follower that rotates about a fixed axis with a progressive or non-progressive motion.
Oscillating : | A rotating-Part that has a non-progressive motion.
Progressive Motion : | A motion that moves the Follower in one direction.
Non-Progressive Motion : | A motion that returns the Follower to its original position after each machine cycle.
Indexing : | A progressive, usually rotating motion.
Indexer : | A device whose input is a constant-speed Cam-Shaft and output is a rotating shaft with a progressive motion. After the cam-shaft rotates fully a number of times, the output shaft rotates by 360º.
Cam-Blank : | The material that you need before you cut the shape of the Cam-Profile.


Model Editor: How to... and FAQs

Navigation: MechDesigner User Interface > How to... and FAQs >

Return to chapter overview

Model-Editor: How to... and FAQs

Model-Editor FAQs

How do I stop the solids turning red?


How to stop Solids turning red

How to stop Solids turning Red as your mouse-pointer moves over them.

In the Model-Editor, Solids become red as you mouse-over them (default color in Application-Settings > Graphics tab)

To stop this, filter for an element that is not in the Model-Editor.

For example, Filter for Points. Points are not in the Model-Editor, and therefore Solids do not become red as you mouse-over them.

See Filters menu (Filters toolbar) > Filter Points.


Mechanism Editor: FAWs, How to...?

Navigation: MechDesigner User Interface > How to... and FAQs >

Return to chapter overview

Mechanism-Editor: How to... and FAQs

Mechanism-Editor: How to ... and FAQs

How to...

... show Velocity and Acceleration Vector?

... edit a 2D-Cam, Gear-Pair, Profile?

... edit Profiles and Extrusions?

... change the assembly configuration of a mechanism?

... move a Motion-Dimension (and not the FB)?

... export a Cam directly to SOLIDWORKS?

... model a Pin in a Slot?

... to export my Cam as a Smooth Curve to SolidWorks/SolidEdge

FAQs

What do the different colors of Part-Outlines mean?

What is the hierarchy of Extrusions?

What are different 2D-Cam elements?

Why can I not see the Base-Part properly?

Why can I not add an Angle or Linear Motion-Dimension FB?

How many Mechanism-Editors can I add?

How many Kinematic-Chains can I add to a Mechanism-Editor?


How to...

How to...

... show Velocity and Acceleration Vector

... edit a 2D-Cam, Gear-Pair, Profile

... edit Profiles and Extrusions

... change the assembly configuration of a mechanism

... move a Motion-Dimension (and not the FB)

... model a Pin in a Slot

... to export my Cam to SolidWorks, or to SolidEdge


How do I display Velocity and Acceleration Vectors Point?

Navigation: MechDesigner User Interface > How to... and FAQs > Mechanism Editor: How to... and FAQs > How to... >

Return to chapter overview

... show Velocity & Acceleration Vectors

How to show Velocity and Acceleration Vectors

Point Properties dialog.


... edit a 2D Cam, Gear-Pair, or Profile

Navigation: MechDesigner User Interface > How to... and FAQs > Mechanism Editor: How to... and FAQs > How to... >

Return to chapter overview

... edit a 2D-Cam, Gear-Pair, or Profile

How to edit a 2D-Cam / Gear-Pair with Polyline, Profile, and Extrusion elements.

When you add a Polyline to a 2D-Cam or Gear-Pair, then add Profile/Extrusion to the Polyline, there are four coincident elements.

You cannot edit:

·Profile - you can only delete a Profile, which also deletes the Extrusion that is the child to the Profile.

·Polyline - you can only update a Polyline - see Solids menu > Add / Update Polyline

You can edit:

·Extrusion

·2D-Cam - see below

To edit the 2D-Cam or Extrusion:

2DCam-Polyline-Profile-Extrusion

The Extrusion is visible in graphics-area

1.Click in the graphics-area over the 2D-Cam you want to edit - the edge of the Extrusion

All four elements (2D-Cam, Polyline, Profile, Extrusion) show in the Selection-Window

In the Selection-Window:

2.Right-click the 2D-Cam that you want to edit

or

2.Right-click the Extrusion you want to edit

Then:

3.Click Edit Element in the shortcut menu

The Extrusion is NOT visible in graphics-area

1.SHIFT+Click in the graphics-area over the 2D-Cam you want to edit - the edge of the Extrusion

All four elements (2D-Cam, Polyline, Profile, Extrusion) show in the Selection-Window

In the Selection-Window:

2.Right-click the 2D-Cam that you want to edit

or

2.Right-click the Extrusion you want to edit

Then:

3.Click Edit Element in the shortcut menu

2DCam-Polyline-Profile-Extrusion
4 Elements in Selection-Window

4 Elements in Selection-Window
2D-Cam, Profile, Extrusion in Assembly-Tree

2D-Cam, Profile, Extrusion in Assembly-Tree

In the Assembly-Tree:

1.Find the expand the Part element in the Assembly-Tree

2.Click the 2D-Cam or the Extrusion in the Assembly-Tree

3.Right-click the 2D-Cam or the Extrusion that you want to edit

4.Click Edit Element in the shortcut menu


... edit Profiles and Extrusions

How to edit a Profile and Extrusion element

NOTE:

An Extrusion is a child to a Profile.

·You can ONLY Edit Extrusions

·You can ONLY Delete Profiles

AND:

·If you delete a Profile, you also delete its child Extrusion.

Edit the Extrusion

SHIFT+CLICK Profile element

SHIFT+CLICK Profile element

Edit the Extrusion

When the Extrusion (Solid) is not in the graphics-area

graphics-area - Option 1:

The image to the left shows Profiles contours (Pink is the default color) for two elements in the graphics-area

1.Mechanism-Editor: Click a Mechanism name-tab to make it the active Mechanism-Editor

2.Mechanism-Editor: Spin the View to show the Pink Profile contours in the graphics-area

3.SHIFT+ Click a Profile

4.Selection-Window: Make sure the Profile and Extrusion show in the Selection-Window

5.Selection-Window: Right-click the Extrusion in the Selection-Window

6.Selection-Window: Click Edit element in the shortcut menu
Profile AND Extrusion in Selection-Window

Profile AND Extrusion in Selection-Window

graphics-area - Option 2:

1.Mechanism-Editor: Hover + Click one Profile/Extrusion

2.Mechanism-Editor: Right-Click the Profile/Extrusion in the graphics-area.

3.Mechanism-Editor: Click the Edit Element in the shortcut menu.

Assembly-Tree - OPTION 3:

1.Mechanism-Editor: In the graphics-area, click the Part that is the parent to the Profile.

In the Assembly-Tree, the Part element shows with a square around the Element icon

2.Assembly-Tree: Expand the tree for the Part to show the Profile and Extrusion elements

3.Assembly-Tree: Right-click the Extrusion

4.Assembly-Tree: Click Edit element in the shortcut menu

Delete a Profile?

Delete the Profile (and the Extrusion)

1.Mechanism-Editor: Click a Profile in the Assembly-Tree or the graphics-area.

The Profile shows in the Selection-Window

2.Right-Click the Profile

3.Click Delete element in the shortcut menu.


... change the assembly configuration of a mechanism

How to change the Assembly-Configurations of a Mechanism

See : Change the Closure of a Dyad


... move a Motion-Dimension (not the FB)

How to move a Motion-Dimension - (Rocker and Slider)

CTRL + Drag the Motion-Dimension FB to move the Motion-Dimension.

OR

Drag the Motion-Dimension FB to move the FB


... model a Pin in a Slot

How to model a Pin in a Slot

See INTERNET LINK [image] MechDesigner: Getting Started Tutorial 2A: Four-Bar Kinematic-Chains STEP 2.8 Kinematic-Chains: Model a Pin in a Slot.


... export a Cam directly to SOLIDWORKS

Show/Hide Hidden Text

How to export a Cam to SolidWorks or Solid Edge

Calculate the coordinates of the cam profile with a Cam-Data FB.

You can calculate the cam profile as a series of Points or as a series of Biarcs.

To export the cam profile data to SOLIDWORKS from MechDesigner as a series of Points

Open a Cam-Data dialog:

1.Calculate the Cam-Coordinates at Equal increments of the Master Machine Angle - say 360 for a typical plate size of cam

2.Make sure the SolidWorks is open, and a Part document, existing or new, is the active document.

3.Click the send SolidWorks button in the toolbar.

The data in SolidWorks is a Curve feature.

The Curve feature is on the XY-Plane, which is the Front View in SOLIDWORKS.

Note: To move the Curve feature to the XZ or the YZ Plane. In the Cam-Coordinated dialog:

1.Save the Data as a TXT file-type

2.Edit the data in Excel®, and swap the X-data, or Y-data, with the Z-data

3.Save the data to NotePad®

In SOLIDWORKS:

4.Click Insert menu > Curve > Curve Through XYZ Points

5.Import the data, and close the Curve feature dialog

6.Select a Plane that is coplanar or parallel to the Curve feature

7.Start a sketch on the Plane

8.Use Convert Entities in SolidWorks® sketch editor

9.Extrude the Curve.

You can see the Cam does not have any facets.

To import into other CAD

Open Excel®

1.Open the file, with file-type as... *.TXT

2.Select delimiter, as a ',' or 'tab'.

You want the 'X' and 'Y' Cam Points in separate columns.

Experiment with the import options if necessary.

3.Tidy up the data, remove headers etc.

4.Move all the data so the first X Point starts at Cell A1, and the first Y Point at B1.

5.Add a Column for the Z-Axis, and fill it with Zeros (0).

6.If necessary, make the first and last point to be identical.

Experiment as necessary.

7.If necessary, scale the Cam-Data to the units you are working in your CAD

8.Save your data as an Excel® spreadsheet, for back-up purposes.

9.Save your Data to a NotePad® file.

You use the file that you save in Excel® or NotePad® to import into your CAD.
Import Cam Data into Solid Edge

Insert Object / Curve by Table

Select:

1.Surfacing tab → Curves group → Keypoint → Curve By Table

2.On the Insert Object dialog, set the Create from File option and click OK.

Browse to and Open your Excel® spreadsheet

Curve by Table uses an Excel spreadsheet to define a construction curve. The spreadsheet, which is embedded in the Solid Edge document, allows you to more easily import your data.

Solid Edge: Curve by Table Parameters dialog

Solid Edge: Curve by Table Parameters dialog

Curve by Table Parameters

Curve Fit

·Linear Segment

Creates line segments between the data points in the table.

·Smoothing Off

Applies the direct curve fit method to the data points in the table. Using this method, the curve passes directly through the points.

·Smoothing On

Applies the 'least squares' curve fit method to the data points in the table. When you select this option, you enable the tolerance drop list. Using this method, the curve path is controlled by the tolerance value and does need to touch the points.

·Tolerance

Allows you to specify a tolerance for the Smoothing On option. It is the maximum distance the curve can deviate from the points.

Curve End Conditions

·Open

To specify an open curve. For example, the first and last data points do not touch each other or any part of the curve.

·Closed

To specify a closed curve. For example, the first and last data points can touch one another or any part of the curve. When this option is set, the Periodic and Natural options become available.

·Periodic

Connects the first data point with the last data point to make a smooth tangent closed curve.

·Natural

Creates a closed curve without a tangency condition.

Note: The Curve by Table feature fails if the first and last data points in the spreadsheet are coincident. If you select 'Closed', delete the last point in the table if it is coincident with the first point.

Coordinate System

Allows you to select coordinate systems to offset the curve data to. Make the coordinate system prior to creating the curve through table of points.

Number-of-points

Records the total number-of-points in spreadsheet.

Possible Problems with Curve by Table

The following are possible error messages resulting from Curve by Table:

·Invalid Geometry: Edit Feature Inputs

The data points in the spreadsheet are incorrect. Check the spreadsheet and make certain you have input at least two rows of X,Y,Z coordinates, have not skipped any cells, and have not entered data points that define a curve that runs back through itself either in 2D or 3D.

·Curve Is Self Intersecting

The curve runs back through itself in 2D or 3D. Change the data points in the spreadsheet.

·Units Set Out Of Range

The units are too large. Make sure the diameter of the model is less than five kilometers.

·Curve By Table Feature Failed

Closed and Periodic options are set on the Curve Table Parameters dialog, and the first and last data points in the spreadsheet are coincident. Change one of the coincident data points.


FAQs

FAQs

What do the different colors of Part-Outlines mean?

What is the hierarchy of Extrusions?

What does Kinematically-Defined mean?

I cannot select a Part-Outline? What do I do?

What are different 2D-Cam elements?

Why can I not see the Base-Part properly?

Why can I not add an Angle or Linear Motion-Dimension FB?

How many Mechanism-Editors can I add?

How many Kinematic-Chains can I add to a Mechanism-Editor?

Troubleshoot

All of the elements are not in phase with each other - for example, a Profile is not synchronized with the sketch-loops.


What are Part Outlines and their Colors?

Navigation: MechDesigner User Interface > How to... and FAQs > Mechanism Editor: How to... and FAQs > FAQs >

Return to chapter overview

What are Part-Outlines and their colors?

What are Part-Outlines?

A Part-Outline is the symbol for a Part. You can change the size of the Part-Outline in the Edit menu > Application Settings | Accessibility tab.

You cannot edit a Part-Outline.

·Double-click a Part-Outline to edit the Part in the Part-Editor.

·The color of the Part-Outline helps you identify if the Part is kinematically-defined.

Why do Part-Outlines have different colors?

You can edit the colors of the Parts that are kinematically-defined and not kinematically-defined in the Edit menu > Application-Settings > Graphic tab > Display Colors > Part Solved / Part Not Solved.
Free (1) / Completely-Free(3) Free (1) / Completely-Free(3) | Blue Part-Outlines - or near to Blue. The Part is NOT kinematically-defined. Other names for Blue Parts are: ·Completely-Free [image] - without a Joint ·Free [image] - with a Joint, but not kinematically-defined ·Part Not Solved
2 Parts kinematically-defined 2 Parts kinematically-defined | Green Part-Outlines - or near to Green The Part is kinematically-defined. Other names for Green Parts are: ·kinematically-defined ·Part Solved Note: The Base-Part is always a Part that is kinematically-defined, and therefore near to Green.
Part-Outlines : Forces Vectors Part-Outlines : Forces Vectors | Multi-colored Part-Outlines Each Part has a random color when, in the Forces Toolbar, you: ·Enable Calculate Forces and ·Display Force-Vectors The color of the Part-Outline is the same as the color of the Force-Vector that acts-on the Part.


What is the hierarchy of Extrusions?

What is the Hierarchy of Extrusion?

The Parent to Child hierarchy is as follows:

MODEL > PLANE > MECHANISM > PARTS > (sketch-loop) > (Auto) PROFILE > EXTRUSION > HOLE

There are a number of elements that must 'co-exist' to create Extrusions for Solid Modeling. It is helpful to understand the: ·Commands that you need to use ·Actions that MechDesigner adds to the model for you.
Command 1 : | Add sketch-elements to Lines, CAD-Lines, Arcs, Circles to define the shape of a sketch-loop OR Add Polyline to a 2D-Cam or a Gear-Pair
MechDesigner : | è | Sketch-Loops: ...we recognize for you a sketch-loop
Command 2 : |  | è | Add Profile: Select a sketch-element that one sketch-element in a sketch-loop
MechDesigner : |  |  | è | Extrusions: ... are added with a Add-Profile
Command 3 : |  |  |  | è | Add Holes: Through Extrusions

See Tutorial 4 How to add sketch-loops

Information:

·A Sketch-Loop is series of sketch-elements [image] , joined end-to-end, or a Circle, added to a Part.

·The Sketch-Loop cannot have branches - 'T-bars'

·The Sketch-Loop cannot cross itself - 'Figure-of-Eights'.

·Sketch-Elements and Sketch-Loops do NOT show in the Assembly-Tree.

·To add a Profile, select a Sketch-Loop [image] , to define the shape - called the contour - of the Profile

·The Profile is two contours: the Primary Contour [image] and the Secondary Contour [image] .

·The Profile contours are offset from each other, they can only be offset along the Z-axis of the Part; the Secondary Contour is always at a more positive Z-axis value (it is in-front of the Primary Contour when viewed from the 'Front' view).

·The Extrusion [image] simply fills the space between the Primary and Secondary Contours of the Profile.

·Extrusions have a few more properties: visibility, density, color, opacity, etc.

·The location of the Profile contours are edited with the Extrusion dialog.

·You can sketch many Sketch-Loops in each Part - hence Add many Profile and Extrusions

·You can supply many Profiles from one Sketch-Loop - each with different offsets

·You can use a sketch-loop to cut a hole through an Extrusion


What does kinematically-defined mean?

What does kinematically-defined mean?

When the Mobility of a kinematic-chain is zero, it is kinematically-defined

In summary: All Parts in the model must be kinematically-defined before you should analyze any kinematic and force data.

There are two kinematic-states of Parts.

Not kinematically-defined :

The Mobility of a Part is one or more.

kinematically-defined :

The Mobility of a Part is zero.

Mobility of a Kinematic-chain = # Degrees-of-Freedom – # Motion-Dimensions.

# Degrees-of-Freedom of a kinematic-chain

N = Number of Parts

J= Number of Joints


I cannot select the Part-Outline! What to do?

Why can I not select the Part-Outline?

Occasionally, with some graphic-card, especially on Laptops, you cannot select the Part-Outline easily.

Try these different methods to see which works best for you.

METHOD 1: Select near start-Point. METHOD 1: Select near start-Point. | Method 1: 1.Move your pointer above the arc of the Part-Outline - see image 2.Double-Click your mouse or 2.Click your mouse The Part should be in the Selection-Window 3.Right-Click the Part 4.Click Edit element in the shortcut menu
METHOD 2: Double-click the Y-axis METHOD 2: Double-click the Y-axis | Method 2: 1.Double-click the Y-axis to edit a Part,
METHOD 3: Select in the Assembly-Tree METHOD 3: Select in the Assembly-Tree | Method 3: In the Assembly-Tree: 1.Right-Click the Part 2.Select Edit element in the shortcut menu


What are the different 2D-Cam elements?

2D-Cam: Elements, Properties, Parameters, Analysis, Coordinates

These are the different elements and Function-Blocks you need to know, and how they are related.

Usually, do these steps

1.Add a 2D-Cam - see Add 2D-Cam

If the new 2D-Cam is one of a Conjugate-Cam pair, or one Flank of a Groove-Cam (Body-Closed Cam) then:

1.a. Add a Conjugate-Cam FB

1.b. Edit the Conjugate-Cam FB to add the the flanks of two 2D-Cams - see Conjugate-Cam dialog.

Then:

2.Select the 2D-Cam or the Conjugate-Cam as the Power Source for the Follower - see Configure-Power Source

Then:

3.Open the 2D-Cam dialog to review 2D-Cam's Properties.

2D-Cam Properties include:

·Display the Inner OR Outer, Inner AND Outer, Pitch-Circle

·Display Cam-Profile as Profile-Only, Pressure Angle, Contact-Force, Shear-Stress

·Indicate at Contact-Point the Pressure Angle, Contact-Force, Shear-Stress, Radius-of-Curvature

·Display Color, Line thickness of Cam-Profile

·Roller Life: Edit the Roller manufacturer, Roller model, Oil/Grease Lubrication Temperature, Oil/Grease Properties, Oil/Grease Contamination

·Cam Life: Edit the Cam's Steel Category, Steel Quality, Steel Heat-Treatment, Steel Hardness.

Then:

4.Add a Cam-Data FB - see Add Cam-Data FB

5.Link a 2D-Cam to the Cam-Data FB - see Link the Cam-Data FB to a 2D-Cam

Then:

6.Connect wires from the Cam-Data FB to a Graph FB to analyze 5 different parameters of the 2D-Cam - see Cam-Analysis Parameters

7.Calculate the Cam-Coordinates - see Cam-Coordinates dialog

Output-Connectors from Cam-Data FB:

èContact-Force

èContact-Shear-Stress

èRadius-of-Curvature

èPressure-Angle

èSliding Velocity

Calculate Cam-Coordinates

èSave as DXF, TXT, STEP

èTransfer Cam directly to SOLIDWORKS

èSave as: XY-Coordinates, Biarcs, STEP


Why can I not see the Base-Part properly?

Reasons the Base-Part does not show correctly.

Why is the Base-Part not Green?

The Base-Part is not Green!

The Base-Part is not Green!

If the Base-Part is a not Green, it is possible that Force-Vectors: Display is enabled.

Force toolbar > Force-Vectors: Display is enabled

1.Click to disable Force Vectors: Display

Result

Force toolbar >Force-Vectors: Display is disabled

The Base-Part should be Green.

Why is half of the Base-Part hidden by a Plane?

BasePart partial hidden by a Plane.

BasePart partial hidden by a Plane.

If the Base-Part is partly hidden by a Plane, then:

Visibility toolbar > Show Solids in Mechanism is enabled

When you enable Show Solids in Mechanism, we also show Planes.

To hide Planes, do:

Disable Visibility toolbar > Show Solids in Mechanism to hide Solids and Planes.

AND / OR

Disable Display toolbar > Display Planes to hide Planes

Why is the Base-Part not Green?

The Base-Part is not green.

The Base-Part is not green.

The Part-Outline of the Base-Part is in a different Mechansim-Editor.

The Part-Outline of the Base-Part is in a different Mechansim-Editor.

You can see Kinematic and sketch-elements of other Mechanism-Editors when these are enabled:

Enable Show other Kinematic and Sketch-Elements - (Visibility toolbar)

Click to disable.

AND

Enable Mechanism name-tab light-bulb in the other Mechanism-Editor (Right-click Mechanism name-tab)


I cannot add an Angle (or Linear) Motion Dimension FB. Why?

Navigation: MechDesigner User Interface > How to... and FAQs > Mechanism Editor: How to... and FAQs > FAQs >

Return to chapter overview

I cannot add an Angle (or Linear) Motion-Dimension FB. Why?

Motion-Dimension: Commands and Elements.

You must select three elements when you add a Motion-Dimension FB as a Rocker. They are:

·A Pin-Joint...

·...followed by two Line sketch-elements.

However, you may find you cannot select one of the Lines to complete the command.

This can happen when:

·there is already a Motion-Dimension FB at the Pin-Joint

·the Point at the Pin-Joint is not a child to the Line that radiates from the Pin-Joint.

·the Pin-Joint that you select is not a Pin-Joint between the two Lines you want to select.

Read this topic: Add Motion-Dimension.


How many Mechanism Editors can I add?

Navigation: MechDesigner User Interface > How to... and FAQs > Mechanism Editor: How to... and FAQs > FAQs >

Return to chapter overview

How many Mechanism-Editors can I add?

How many Mechanism-Editors/Tabs can I add?

47 Mechanism Editors in one MechDesigner Model

You can add as many Mechanism-Editors and Tabs to as many Planes as you like.

It is possible to design complete machines in one Mechanism-Editor. Alternatively, you can model a machine with many Mechanisms Editors, each contributing a kinematic-chain.

The model to the left shows 47 Mechanism-Editors.


How many Kinematic-Chains in a Mechanism Editor?

Navigation: MechDesigner User Interface > How to... and FAQs > Mechanism Editor: How to... and FAQs > FAQs >

Return to chapter overview

How many Kinematic-Chains in a Mechanism-Editor?

How many Kinematic-Chains can I add to each Mechanism-Editor?

160 Kinematic-Chains in one Mechanism Editor.

You can add as many Kinematic-chains as you need to model your machine. Within the capacity of your PC and RAM.

For example, in the image to the left, I have modeled 160 kinematic-chains on one Mechanism-Editor - all Sliders with a Motion


Troubleshooting

How to update those Profile/Extrusions that are not above the sketch-loop or Polyline of a 2D-Cam or Gear-Pair.

To update Profile-Extrusions that you have added to sketch-loops:

1.Home the model - Click the Home key on your keyboard, or do Run menu > Home

2.Edit a Part, then close the Part-Editor immediately.

3.Click Rebuild Now to rebuild the model.

To update those Profiles/Extrusion that you have added to a and Polyline (which you have added to a 2D-Cam or Gear-Pair:

1.Home the model - Click the Home key on your keyboard, or do Run menu > Home

2.Click Add / Update Polyline

3.Click the 2D-Cam or Gear-Pair that you want to correct

4.Click Rebuild Now to rebuild the model.


Part Editor: How to... and FAQs

Navigation: MechDesigner User Interface > How to... and FAQs >

Return to chapter overview

Part-Editor: How to... and FAQs

Part-Editor: How to... and FAQs

How to...

... start the Part-Editor to edit a Part

... edit the Length of a Part

... delete Sketch-Elements

... delete Constraints

... add a Sketch-Loop

FAQs

How do I know I am using the Part-Editor?

Why edit a Part?

How many Parts can I edit at a time?

Can I edit (and other questions relating to) the Part-Outline?

What are the color codes for sketch-elements in the Part-Editor?

Why is a dimension 'negative' in the Dimension dialog?

Why do I need to add geometry to the Base-Part?

My sketch has disappeared, what do I do?

What are the colors used in the Part-Editor?


How to...

How to...

... start the Part-Editor

... edit the Length of a Part

... delete Sketch-Elements

... delete Constraints

... add a Sketch-Loop


... edit the Length of a Part

How to edit the Length of a Part, or to edit a Dimension

Part in Mechanism-Editor

Part in Mechanism-Editor

Start the Part-Editor.

STEP 1: Double-Click the Part-Outline of the Part you want to edit

You are now using the Part-Editor.
Double-click arrowhead of dimension

Double-click arrowhead of dimension

The length of the Part is the dimension between the start-Point and end-Point:

STEP 2: Double-Click the arrowhead of the dimension

The Dimension dialog opens.

STEP 3: Enter a new dimension

There are four(4) methods you can use to enter a new value to edit the dimension:

A: Enter a new dimension directly with your keyboard

B: Enter an equation with your keyboard

C: Use the spin-box tool

D: Right-click the data-box, then click Zero, Round, Copy or Paste.

Notes:

A & B: Direct and Equation: Click the ENTER key ( [image]) on your keyboard to update the dimension to the new value.

C: Spin-Box: The dimension AND the model updates immediately - if the model is large, there is a delay after each click

D: Round: The Dimension changes to the nearest value that is exactly divisible by the Spin-Increment

Dimension dialog-box

Dimension dialog-box - contextual menu

Dimension dialog-box - contextual menu

Enter an equation for the dimension

Enter an equation for the dimension

More on EQUATIONS:

You can enter:

·Simple Arithmetic: +, –, *, ∕

·Powers: ^, Sqrt()

·Trigonometric (Angle in Radians)

oSin(), Cos(), Tan(),

oSihn, Cosh, Tansh

oArcSin(), ArcCos(), ArcTan2( ; )


... delete Sketch-Elements

How to delete Sketch-Elements:

To delete one sketch-element:

1.Click the element in the graphics-area

The element shows in the Selection-Window.

2.Right-click the element in the Selection-Window

3.Click Delete in the shortcut menu

or

To delete multiple sketch-elements

1.Drag a window to select multiple sketch-elements in the graphics-area.

2.Click the Delete key on your keyboard


... delete Constraints

How to delete a sketch Constraint

You cannot see Geometric-Constraints in the graphics-area.

1.SHIFT+CLICK a sketch-element in the graphics-area

The sketch-element AND any constraints that you have added to it show in the Selection-Window.

2.Right-click the constraint in the Selection-Window

3.Click Delete in the shortcut menu

Note: If a Constraint has been added specifically to a Point, (a Point, start-Point, end-Point or center-Point) then you must click the Point, and not the sketch-element, to see the constraint in the Selection-Window.


... add a Sketch-Loop

Show/Hide Hidden Text

How to add a sketch-loop.

A sketch-loop is a continuous 'string' of sketch-elements. The start-Points and end-Points are merged into one Point.

A sketch-loop can be a closed sketch-loop or an open sketch-loop.

About Merge-Points and Coincident-Constraint

Each Line, Arc, Blend-Curve has a Point at its ends. These Points are the start-Point and end-Point.

To join sketch-elements, into a continuous string, you can:

·Add a Coincident Constraint between the end-Point of the one sketch-element with the start-Point of another sketch-element

See Constraints toolbar > Add Coincident

Add Coincident does not remove a Point.

OR

·Merge the end-Point of a one sketch-element with the start-Point of another sketch-element

See Geometry toolbar > Merge-Points

Add Merge-Points does remove a Point

Why Merge-Points?

You can add a Profile to a sketch-loop.

You can add a Motion-Path FB (with Motion-Point) to a an open or closed sketch-loop. This means you can add a Belt, guide the motion-path for a Robot, ...

Sketch-Loops with the Hover Technique and Merge-Points Tool

There are two ways to merge two Points into one Point:

·Dynamically, as you add the sketch-elements, with the Hover Technique

·Later, with Geometry toolbar > Merge-Points.

Video of Hover Technique
Why do Sketch-Loops fail?

Condition 1: Coincident Points, and not Merged

Points that are coincident are not recognized as part of a sketch-loop.

Condition 2: Branches

You CANNOT merge three Points into one Point - for example, the ends of three Lines or Arcs - you have a 'Branch-Point'. A Branch-Point is not O.K.

Condition 3: Figures=of-Eight

A sketch-element can not cross another sketch-element in the same sketch-loop.

A sketch-element cannot touch, another sketch-element in the same sketch-loop.
Example sketch-loops

Video of Hover Technique

Circle

The Circle is a sketch-loop. A Circle is used for a Follower-Roller.

Lines

Lines joined, with Points merged.

Lines and Arcs

Lines and Arcs, with Points merged.

Arcs and Arcs

Arcs and Arcs, with Points merged.


FAQs

FAQs

How do I know I am using the Part-Editor?

Why edit a Part?

How many Parts can I edit at a time?

Can I edit (and other questions relating to) the Part-Outline?

What are the color codes for sketch-elements in the Part-Editor?

Why is a dimension 'negative' in the Dimension dialog?

Why do I need to add geometry to the Base-Part?

My sketch has disappeared, what do I do?

What are the colors used in the Part-Editor?


How many Parts can I edit at one time?

How many Parts can I edit at a time?

You can edit one Part at a time.

To edit a different Part, you must:

1.Close the Part-Editor to return to the Mechanism-Editor

2.Select the Part-Outline to edit the Part in the Part-Editor


Why edit a Part?

Show/Hide Hidden Text

Why Edit a Part?

There are many reasons why you may want to edit a Part.

Edit the Length of Parts

You must edit the Part to specify its exact length.

See also: Edit the Length of a Part, Edit Dimension

Add Point and or Line to locate Pin-Joints, Slide-Joints, and Ball-Joints

In a Part, you can use the CAD-Line for a Slide-Joint and its start-Point and end-Points for Pin-Joints

To add a joint between a Part and the Base-Part, you MUST add a minimum of one sketch-element to the Base-Part.

You can also add new Lines, CAD-Lines, and Points for joints at other locations in any Part.

Trace Points

You can add a Point to a Part and then view the trace of that Point on the Mechanism-Plane during a machine-cycle.

See Add Trace-Point.

Sketch-Loops

You must sketch a sketch-loop before you can add a Profile / Extrusion.

Use the Part-Editor to add the sketch-elements for the sketch-loop.

Cam-Follower Profiles

Each Cam needs a Follower-Profile.

Use the Part-Editor to a sketch-loop for the Follower-Profile.

You must also sketch the shape of the Cam-Blank for 3D-Cams.

Plot exact Kinematic Data

For any Point* that you add to a Part, you can:

·Show the instantaneous kinematic vectors (Velocity and Acceleration) of the Point with the Point Properties dialog

·Plot motion-values of Position, Velocity and Acceleration throughout the machine-cycle with the Point-Data FB or Measurement FB that you wire to a Graph FB

* Point, start-Point, end-Point, center-Point, and Motion-Point.

Add a CAD-Line

You can add CAD-Lines to any Part. You can use the CAD-Line to import DXF-Drawings, SolidWorks parts, or STL file-types.

CAD-Lines can be on top of each other, or at different positions in the Part.

There is a CAD-Line between the start-Point and end-Point of every Part you add to the model.

Constraint Based Editing Tools for Mechanism Synthesis

See Mechanism-Synthesis.

·Three, Four and Five Position Synthesis

·Coupler Curve and Coupler Point Synthesis

·Function Generation

To add sketch-elements for a Measurement FB Dimension

Add a Measurement FB between two sketch-elements. See Add Measurement FB

The output from a Measurement FB is the dimension, velocity, and acceleration between the two sketch-elements.

The output from a Point-Data FB is position, velocity and acceleration of a Point.

You can use the output of a Measurement FB or Point-Data FB as the independent variable (X-axis) of a different FB.

Add a Point or Line for a Spring FB

Add a Point or Line added to anchor a Spring FB.

Add a sketch-loop for a Motion-Path.

A Motion-Path FB needs an open or closed sketch-loop.

You must add a Motion-Path FB to add a Pulley - the sketch-loop is the path of the Belt.


How do I know I am using the Part-Editor?

How do I know I am using the Part-Editor and not the Mechanism-Editor?

Part in Mechanism-Editor Part in Mechanism-Editor | Mechanism-Editor: ·There is more than one Part - usually ·There is a Part-Outline around each Part ·The XY-axes, at the start-Point of each Part, are relatively small.
Part in Part-Editor Part in Part-Editor | Part-Editor: ·You cannot see the Part-Outline ·The XY-axes are relatively large ·There is a Dimension for the length of the CAD-Line from the start-Point to the end-Point.


Can I edit (and other questions relating to) the Part-Outline?

Can I edit the Part-Outline? ... and other questions that relate to the Part-Outline.

Part-Outline in the Graphic-Area

Part-Outline in the Graphic-Area

Can I edit the Part-Outline?

No.

The Part-Outline is the symbol for the Part element.

What do I do with a Part-Outline?

You select the Part-Outline to edit the Part in the Part-Editor,

You select the Part-Outline when you add more complex elements.

E.g.: Select the Part-Outline as the Cam-Part, when you do Add 2D-Cam.

Can I change the size of the Part-Outline symbol?

YES.

Use the Application Settings > Accessibility tab > Graphic > Symbol Display Size

Must I display Part-Outlines in the graphics-area?

NO.

To hide Part-Outlines, see Display Filters > Show/Hide Part-Outlines.

You can double-click the Y-axis to edit a Part.

You must display Part-Outlines to display Force-Vectors.

Can I hide individual Part-Outlines?

No.

Can I change the color of the Part-Outlines?

We recommend you use the default color of a Green Part Outlines for Parts that are kinematically-defined.

We recommend you use the default color of a Blue Part-Outline for Parts that are not kinematically-defined.

You can use the Configure Power Source to edit the color of individual Parts when you calculate and display Force-Vectors.


Why is the dimension 'negative' in the Dimension dialog'?

Why is my dimension negative?

Negative Dimensions.

The – sign appears if the coordinate of a dimension is negative.

Generally, do not delete the – sign, but edit the dimension in the normal way.

More Details

Lines have an X-Y coordinate-system.

·The 0,0 of a Line is at its start-Point

·The +X-axis of a Line is from its start-Point(1) to its end-Point(2)

·The +Y-axis of a Line is at +90º from Line.

When you add a dimension that is a perpendicular-distance from the Line, the:

·dimension is Positive if in +y-axis half of the Line (blue area in the image)

·dimension is Negative if in the –y-axis of the Line (green area in the image)

In the top image:

·Dimensions from the Line(1 to 2) to Points a and b are positive

·Dimensions from the Line to Points c and d are negative

The X & Y-axes of a Part also have their own coordinate-system.

The bottom image to the left shows the Coordinate-System of the Y-axis

The local +x-axis of the Y-axis of a Part is along the Y-axis!

In the bottom image:

A dimension from the from Y-axis to Point (a or b) in the Blue area is Positive.

A dimension from the Y-axis to a Point (c or d) in the Green area is negative.


Why do I need to add Geometry to the Base-Part?

Why do I need to add geometry to the Base-Part?

1.Why is there not a CAD-Line in the Base-Part?

We do not want you to automatically add Joints to the Origin of the Base-Part.

However, you are welcome to do this.

2.Why?

For the Base-Part, we have found it to be useful to add Points and Lines that are not at the Origin or along the X-axis or Y–axis.

3.Why?

You can edit the dimensions later, and also add the dimensions to a Design-Set.

4.Why edit Points and Lines in the Base-Parts?

a.Edit the dimension and move the Joints, if the Points or Lines are used for Joints

b.Move the Plane and Mechanism-Editor in the Machine Frame, if a Line is used for a new Plane and Mechanism-Editor.


My sketch has disappeared. What do I do?

Trouble-shooting the sketch-editor.

Where is my Sketch?

Incorrect Arc

To recover a sketch that changes in an unexpected way:

Use Edit menu > Undo, or CTRL + Z

Sometimes the Sketch 'Collapses' to a small dot.

Use Edit menu > Undo or CTRL + Z

Sometimes the Sketch explodes to the size of a planet.

Use Edit menu > Undo or CTRL + Z
Correct Arc - After Undo

Correct Arc - After Undo

Why is my sketch BLACK when it should be BLUE?

Note:

Blue means the geometry is Not Solved.

Black means the geometry is Fully Solved.

Sometimes, a sketch-element is BLACK but you know it should be BLUE. You should be able to add a dimension or constraint to it, but you cannot.

Or, a sketch-element is BLUE when it should be BLACK.

The best solution is to do one of these actions:

·Delete the sketch-element, and add it again.

·Shift-Click the sketch-element so it and the constraints that you have added to it show in the Selection-Window

·Right-click a constraint, or the sketch-element, and select Delete Element in the shortcut menu.

OR

·Use Edit menu > Undo or CTRL + Z

Then add a different constraint.

You can add the same constraint again, or use a different constraint, to see if the sketch-element turns BLACK.

In our defense, the Part-Editor is continuously improved.

Why is my sketch Blue, and I cannot add any more constraints?'

Sometimes, a sketch-element is BLUE but you cannot add more constraints.

You might be able to drag a sketch-element that is blue, but when you come to add a new constraint, MechDesigner does not accept it.

In this case, a new constraint may remove two degrees-of-freedom, but the sketch has only one remaining degree-of-freedom.

Example:

Add Coincident Constraint between the center-Point of a Circle and a Point at the end of a Line.

If: the center-Point of the Circle has a Coincident Constraint with the Line

Then: it is not possible to also add a Coincident-Constraint with the start-Point or end-Point of the Line

1.SHIFT+CLICK the Line or the center-Point of the Circle so the Coincident-Constraint shows in the Selection-Window

2.Delete the Coincident Constraint using the Selection-Window


What are the color codes of the Part-Editor?

Color-codes of Elements in the Part-Editor

You can control the Color for the two states of Geometry.

·Geometry Under Defined - we usually describe this color as Blue in this help

·Geometry Fully Defined. - we usually define this color as Black in this help

... in Application-Settings > Graphics tab > Display Colors

Other Colors

·Reference Geometry is Orange

A Gray dimension is also:

·in a Design-Set

·the length of the Line between the two gears of a Gear-Pair

·the radii of a Pulley

·a Controlling-Dimension that controls the length of a Motion-Path.


MotionDesigner User Interface

Navigation: »No topics above this level«

Return to chapter overview

MotionDesigner Reference & User Interface

MotionDesigner: Main User Interface

We update the MechDesigner model for you immediately as you use edit a motion in MotionDesigner.

MotionDesigner :

Blend-Point and Segment, Edit, File, and View toolbars

Motion name-tabs - see also Rename Motion

Motion-toolbar

Machine Speed - edit in MechDesigner > Edit menu > Machine-Settings

Motion Values at Pointer

Position, Velocity, Acceleration, Jerk (P.V.A.J) Motion-Graphs.

MotionDesigner: Float or Dock

When you start MechDesigner, MotionDesigner is docked to the right of the main application-window.

To Float MotionDesigner :

1.Click MechDesigner > Visibility toolbar > Dock / Float MotionDesigner

MotionDesigner is now floating.

The first time only:

2.Re-size and re-position MotionDesigner.

To Dock MotionDesigner :

1.Click MechDesigner > Visibility toolbar > Dock / Float MotionDesigner

MotionDesigner is now docked again to the right of MechDesigner's main application-window.

MotionDesigner: Toolbars

Toolbars:

MotionDesigner toolbars
 | Blend-Point & Segment toolbar
 | Edit toolbar
 | File toolbar
 | View toolbar
 | Motion toolbar (below the graphs)
Motion toolbar

MotionDesigner: Motion name-tabs

Motion name-tabs

4 x Motion name-tabs

4 x Motion name-tabs

In the image, there are four Motion name-tabs:

Motion0 is the name of the default motion.

Motion1 (2,3,4, ...) are the default motion names for those you with Add Motion.

Two motions have been renamed to Y Axis and X Axis - see Rename motion below.

To add a new Motion

Add New Motion

Add New Motion

1.Click File toolbar > Add New Motion

To rename a Motion

To rename a motion.

1.Right-click a motion-graph area or its Motion name-tab

2.Click Rename in the shortcut menu

Motion: Rename dialog

Motion: Rename dialog

3.Enter a new name in the Rename dialog

4.Click the [image] at the top to close the Rename dialog

or

1.Do Edit toolbar > Active Motion-Settings > Motion tab > Motion Name > Motion name

MotionDesigner: Motion-Values at Pointer

Motion-values at your mouse-pointer

1.Move your mouse-pointer to a motion-graph, or to a Blend-Point.

The X and Y motion-values show near to your pointer.

See also: Motion-Value Evaluator


Terminology and Symbols

MotionDesigner Terminology:

Segments :

A Segment

A motion is split into segments.

Segments join together, end-to-end (concatenate), to create a motion, usually over one machine-cycle.

We control the shape of a Segment with its Motion-Law and its motion-values at its start (X1, Y1 in the image), and its end (X2, Y2 in the image).

The Segment Editor controls for the Selected-Segment, its:

·Segment-Width (X2 – X1)

·motion-value Y1 at X1 for the Selected-Segment

·motion-value Y2 at X2 for the Selected-Segment

·Motion-Law

Depending on the Motion-Law, you may be able to control its:

·motion-values at X1 and X2 for one or all motion-derivatives: P, V, A, J - a total of eight possible motion-values

·Segment-Parameters ( not all Motion-Laws )

·Segment Range ( not all Motion-Laws )

Blend-Points :

A Blend-Point

A Blend-Point does not have a SEGMENT-WIDTH.

A Blend-Point has one X-axis value (X1 in the image), and two Y-axis values (Y1 and Y2 in the image).

The Blend-Point Editor controls the motion-values of the Blend-Point at the start (beginning) of the Selected-Segment.

Use the Blend-Point Editor to edit the:

·value X1

·motion-value Y1 at the End of Previous-Segment

·motion-value Y2 at the Start of Selected-Segment

Depending on the Motion-Law, you may be able to control its:

·motion-values at Y1 and Y2 for one or all motion-derivatives P, V, A, J - a total of eight possible motion-values.

Other Terminology

Motion-Law :

You must select a Motion-Law for each Segment. The Motion-Law should be able to satisfy the motion requirements for your design. Each Motion-Law is a mathematical function. The Motion-Law, together with the motion-values at its start and end, control the motion-values between each Blend-Point.

Motion-Derivative :

Velocity, Acceleration, and Jerk the three motion-derivatives of Position.

Segment Editor :

Use the Segment Editor to edit the Segment-Width, to select the Motion-Law, to edit the Segment-Parameters, and to edit the motion-values at the Start of the Selected-Segment and at the End of the Selected-Segment.

Blend-Point Editor :

Use the Blend-Point Editor to edit motion-values of the Blend-Point that is at the start of the Selected-Segment.

Edit where on the X-axis values and also edit the Y-axis motion-values at the End of the Previous-Segment, y1, and at the Start of the Selected-Segment, Y2.

Selected-Segment :

The segment to which you apply the motion-values that are in the Segment Editor.

The Blend-Point Editor applies its motion-values to the Blend-Point that is at the start of the Selected-Segment.

In the motion graphs, the Selected-Segment is a different color to the other segments.

Previous-Segment :

The segment that precedes (is to the left of / is earlier than / is before) the Selected-Segment. If the Selected-Segment is the first segment, then the Previous-Segment is the last segment.

Next-Segment :

The segment that follows (is to the right of / is later than / is after) the Selected-Segment. If the Selected-Segment is the last segment, then the Next-Segment is the first segment.

End of the Previous-Segment :

Refers to the last motion-value of the segment that is one segment earlier than the Selected-Segment.

If the Selected-Segment is Segment 1, then End of the Previous-Segment is the motion-value at the end of the motion.

Start of Selected-Segment :

Refers to the first motion-value of the Selected-Segment.

Symbols

There are two triangles at each Blend-Point.
 | Blend-Point
 | Active Blend-Point - has an outline. The Blend-Point that is at the start of the Selected-Segment.
 | The Start of a Segment. The symbol may be Green, Black, Clear, or Grey.
 | The End of a Segment. The symbol may be Black, Clear, or Grey.
Note: To increase the size of the symbols, see: Active-Motion-Settings > Accessibility > Line and Symbol Sizes > Symbol Size.


BLEND-POINT (NODE) EDITOR

Show/Hide Hidden Text

BLEND-POINT (NODE) EDITOR

See also: SEGMENT EDITOR.

How to open the BLEND-POINT EDITOR

METHOD 1: Use the toolbar icon
Blend-Point Editor icon

Blend-Point Editor icon

1.Click Blend-Point & Segment toolbar > Open Blend-Point Editor

The Blend-Point Editor is now open.

BLEND-POINT (NODE) EDITOR

The Blend-Point Editor edits the motion-values for the Blend-Point that is at the start of the Selected-Segment.

You can change the Selected-Segment and Blend-Point with the Next and Previous arrows [image] - see below

BLEND-POINT EDITOR

Blend-Point Number / Segment Number

Each Blend-Point and Segment has a number. The start of the motion - see Motion-Start - is Blend-Point # 1.

The motion-values in the Blend-Point Editor apply to the Blend-Point Number.

The Blend-Point number increases by 1 when you click the Next [image] button

The maximum Blend-Point Number is equal to the number of segments in the motion.

X-axis Values [image] - See Blend-Point - X-axis Controls

Summary

These parameters do NOT change the Motion-Width, but they do change the Segment-Width.

Motion Start (default = 0)

Edit to advance (make earlier) or delay (make later) the motion relative to 0 on the X-axis.

X-axis

Edit to move the active Blend-Point along the X-axis

The active Blend-Point is at the start of the Selected-Segment.

See also Warning.

Units: See Active-Motion-Settings > Motion tab > Motion Units

Y-Axis Values [image] - See Blend-Point - Y-axis Controls

Summary

Use the Blend-Point Editor to edit the motion-values at the:

End of the Previous-Segment

AND / OR

Start of the Selected-Segment

The motion-derivatives ( P V A J ) that you can edit are a function of the:

·Motion-Law

·Y-axis Control-Buttons settings.

To use the Blend-Point Editor efficiently, it is important to understand how to use the Y-axis Control-Buttons.

Previous / Next / OK / Help buttons

Previous:

Make the Previous-Segment the Selected-Segment.

Change the Blend-Point number by – 1

Next:

Make the Next-Segment the Selected-Segment.

Change the Blend-Point number by + 1

Close the Blend-Point Editor

Open the MotionDesigner contextual help.


Blend-Point Editor: X-axis Values

Navigation: MotionDesigner Reference & User Interface > BLEND-POINT (NODE) EDITOR >

Return to chapter overview

Blend-Point Editor: X–axis Values

BLEND-POINT EDITOR : X-axis Values

When you edit the X-axis value of a Blend-Point, you change the Segment-Width of the Previous-Segment and the Selected-Segment.

You do NOT change the Motion-Width.

However, please read this Warning - Bumping Blend-Point

X-axis Values

X-axis values of Blend-Point #3

X-axis values of Blend-Point #3

Motion Start

Edit to move the whole motion relative to the Master Machine Angle

The Motion-Width does not change.

X-axis

Edit to move the Blend-Point, of Blend-Point number [image] (3 in this image), along the X-axis - however, see SPECIAL CASE and WARNING

The other Blend-Points do not move - however, see WARNING

Special Case: X-axis value if Blend-Point Number = 1

If Blend-Point Number = #1

·You CANNOT edit its X-axis value

·Its X-axis value is always equal to the Motion-Start value.

However:

If you attempt to increase its X-axis value (move it to the right) ...

... you increase the Segment-Width of the Previous-Segment* and decrease the Segment-Width of the Selected-Segment (see WARNING).

If you attempt to decrease its X-axis value (move it to the left) ...

... you decrease the Segment-Width of Previous-Segment* and increase the Segment-Width of the Selected-Segment (see WARNING).

* : in this special-case, the Previous-Segment is the last segment in the motion.

WARNING: Bumping Blend-Points !

If you edit the X-axis value such that you bump a Blend-Point into an adjacent Blend-Point:

·the active Blend-Point AND the adjacent Blend-Point move together along the X-axis.

·AND the Segment-Width of the Previous-Segment (or Next-Segment) is then very short (e.g. 0.0000036 degrees) and invisible to you.

·AND the Motion-Width increases by a small amount (e.g. the Motion-Width increase to 360.0000036 degrees).

If you edit the X-axis value to separate the Blend-Points:

·the Motion-Width does not revert to 360 degrees.

You must use the Segment Editor to edit the Segment-Width of each segment to edit the Motion-Width. E.g., to make the Motion-Width equal to 360 again.

EXAMPLE:

Motion-Start and X-axis Value of Blend-Point #3

Motion-Start and X-axis Value of Blend-Point #3

Blend-Point Number

The Blend-Point number is #3

X-axis value

Motion Start value is 0º.

X-axis value of Blend-Point #3 is 180º

You should edit the X-axis value of Blend-Point # 3 within these limits:

·Minimum > 90º - at Blend-Point number 2

·Maximum < 270º - at Blend-Point number 4

As you edit the X-axis value, the Blend-Point moves to the left(<) or to the right(>)

See also: WARNING, above.

See also: How to edit a value in a data-box.


Navigation: MotionDesigner Reference & User Interface > BLEND-POINT (NODE) EDITOR >

Return to chapter overview

Blend-Point Editor: Y–axis Values

Blend-Point Editor: Y-axis Values

Two Motion-Values [image] [image] (for each Motion-Derivative).

It is important to know that there are two motion-values at a Blend-Point. There is a motion-value at the:

·End of the Previous-Segment

AND

·Start of the Selected-Segment.

Also, because there are four motion-derivatives, there is a total of eight (8) motion-values at each Blend-Point.

Y-axis Values

In the image above, the two motion-values relate to the Position motion-derivative only.

End Position (of the Previous Segment) = 10mm

Start Position (of the Selected-Segment) = 30mm

You can see the two motion-values in the position plot and in the End Position [image] and Start Position [image] data-boxes.

Note: the Start Position and end-Position are usually forced to equal each other - see Control-Buttons, below.

Control Buttons (for each Motion-Derivative) :

See more at Control Buttons: States and Patterns

End Control button - to control the motion-value at the End of the Previous-Segment.

This control-button has three(3) states - Do Edit, Do Not Edit, and Can Not Edit

Match Control button - to control the flow of motion-values from the end of the Previous-Segment to the Start of the Selected-Segment.

This control-button has two(2) states -

Do Force Start of the Selected-Segment = End of the Previous-Segment

Do NOT Force Start of the Selected-Segment = End of the Previous-Segment

Start Control button - to control the motion-value at the Start-of the Selected-Segment.

This control-button has three(3) states - Do Edit, Do Not Edit, and Can Not Edit

Example: Y-axis Values : Control-Buttons with EACH Motion-Derivative

In this example, the state of the three Control-Buttons for the Position motion-derivative are:

EDIT the motion-value ...of the END Position of Previous-Segment

DO NOT force the start Position to equal the end Position

EDIT the motion-value ...of the START Position of the Selected-Segment


Blend-Point Editor: Control-Button: States and Patterns

Navigation: MotionDesigner Reference & User Interface > BLEND-POINT (NODE) EDITOR >

Return to chapter overview

Control-Button 'States and Patterns'

Blend-Point Editor Control-buttons

Whether you can control the motion-values of a Blend-Point is a function of the:

A.Motion-Law

B.Motion-Derivative

C.Control-Buttons states

You must understand how to use the Control-Buttons in the Blend-Point Editor (and the Segment Editor).

CONTROL-BUTTONS

Each motion-derivative (P V A J) has three Control-Buttons.

Each Control-Button has different states. Please read carefully the definitions in this table.

Definition:

Do edit End (motion-value) of Previous-Segment : It is possible and Do control the motion value

Do NOT edit End (motion-value) of Previous-Segment : It is possible, but Do Not control the motion value

CAN NOT edit End (motion-value) of Previous-Segment : It is NOT possible to control the motion-value

Do NOT Match : Do NOT FORCE the Start (motion-value) of the Selected-Segment to equal the End (motion-value) of the Previous-Segment

Do Match : DO FORCE the Start (motion-value) of the Selected-Segment to equal the End (motion-value) of the Previous-Segment

Do edit Start (motion-value) of Selected-Segment : It is possible and Do control the motion value

Do NOT edit Start (motion-value) of Selected-Segment : It is possible, but Do Not control the motion value

CAN NOT edit Start (motion-value) of Selected-Segment : It is NOT possible to control the motion-value

Control-Button: Patterns: 1- 9

The state of each Control-Button can combine to give nine possible patterns.

These patterns are:

Pattern 1

▼ ▼ ▼ | ▼ ▼ | ▶ Start of Selected-Segment : Possible but DO NOT control the value
 | ▶ | End of the Previous-Segment ≠ Start of the Selected-Segment
▶ | End of Previous-Segment : Possible but DO NOT control a value

Pattern 2

▼ ▼ ▼ | ▼ ▼ | ▶ Start of Selected-Segment : Possible but DO NOT control the value
 | ▶ | End of the Previous-Segment ≠ Start of the Selected-Segment
▶ | End of Previous-Segment : Possible and DO control the value

Pattern 3

▼ ▼ ▼ | ▼ ▼ | ▶ Start of Selected-Segment : Possible and DO control the value
 | ▶ | End of the Previous-Segment ≠ Start of the Selected-Segment
▶ | End of Previous-Segment : Possible but DO NOT control the value

Pattern 4

▼ ▼ ▼ | ▼ ▼ | ▶ Start of Selected-Segment : Possible and DO control the value
 | ▶ | End of the Previous-Segment ≠ Start of the Selected-Segment
▶ | End of Previous-Segment : Possible and DO control the value

Pattern 5

▼ ▼ ▼ | ▼ ▼ | ▶ Start of Selected-Segment : NOT possible to control the value
 | ▶ | End of the Previous-Segment = Start of the Selected-Segment
▶ | End of Previous-Segment : Possible but DO NOT control the value

Pattern 6

▼ ▼ ▼ | ▼ ▼ | ▶ Start of Selected-Segment : NOT possible to control the value
 | ▶ | End of the Previous-Segment = Start of the Selected-Segment
▶ | End of Previous-Segment : Possible and DO control the value

Pattern 7

▼ ▼ ▼ | ▼ ▼ | ▶ Start of Selected-Segment : NOT possible to control the value
 | ▶ | End of the Previous-Segment = Start of the Selected-Segment
▶ | End of Previous-Segment : NOT possible to control the value

Pattern 8

▼ ▼ ▼ | ▼ ▼ | ▶ Start of Selected-Segment : Possible but DO NOT control the value
 | ▶ | End of the Previous-Segment ≠ Start of the Selected-Segment
▶ | End of Previous-Segment : NOT possible to control the value

Pattern 9

▼ ▼ ▼ | ▼ ▼ | ▶ Start of Selected-Segment : Possible and DO control the value
 | ▶ | End of the Previous-Segment ≠ Start of the Selected-Segment
▶ | End of Previous-Segment : NOT possible to control the value


SEGMENT EDITOR

Show/Hide Hidden Text

SEGMENT EDITOR

See also : Blend-Point (Node) Editor.

How to open the Segment Editor

METHOD 1: Use the toolbar icon

Segment-Editor icon

1.Click Blend-Point & Segment toolbar > Open Segment Editor

The Segment Editor is now open.
METHOD 2: Click the Segment in the motion-graph

1.Move your mouse-pointer over the graph line of a segment.

A short section of the segment becomes red

2.Click your mouse-button

The Segment Editor is now open.

SEGMENT EDITOR

We immediately update the model for you as you edit motion-values with the Segment Editor.

SEGMENT-EDITOR

Segment Number

The active Segment Number is the number of the Selected-Segment.

The Segment Number indicates to which Segment the motion-values and parameter values in the Segment Editor apply.

X-axis Values

Summary

Segment Start (read-only) - the X-axis value at the start of the selected-segment

Segment-Width - See more here

Segment End (read-only) - the X-axis value at the end of the selected-segment

Y-axis Values

Summary

A Segment(3)

The SEGMENT Editor edits motion-values at the:

Start of the Selected-Segment

End of the Selected-Segment

The motion-derivatives ( P V A J ) you can edit are a function of the:

·Motion-Law

·Y-axis Control-Buttons settings.

Segment Range

Available only with Traditional Motion-Laws

- See more Segment-Range

Segment Motion-Law

Summary

Motion-Law Selector

Use the drop-down box to select the Motion-Law for the Selected-Segment.

WARNING

After you select a Motion-Law for a Segment, click somewhere in the motion graph area to remove the focus from the Motion-Law Selector list-box.

- See more: Segment Motion-Laws

Segment Parameters [image] - See more: Segment-Parameters

Available only with Traditional Motion-Laws

Previous / Next / OK / help buttons

Make the Previous-Segment be the Selected-Segment

Make the Next-Segment be the Selected-Segment

Close the Segment Editor and apply the new motion-values and parameter settings to the Selected-Segment.

Open the contextual help


Segment Editor: X-axis Values / Segment-Width

Segment Editor : X-Axis Values

X-Axis Values

Segment-Start (read-only) : The X-axis value at the start of the Selected-Segment

SEGMENT-WIDTH (read-write) : Enter the width of the Selected-Segment - use X-axis Units.

Segment-End (read-only) : The X-axis value at the end of the Selected-Segment

SEGMENT-EDITOR - X-axis Values - Segment-Width Parameter

SEGMENT-EDITOR - X-axis Values - Segment-Width Parameter

WARNING:

When you edit the Segment-Width you also edit the Motion-Width.

If you do not want the Motion-Width to change, you must edit the Segment-Width of a minimum of two segments.

X-axis Units

You control the X-axis units with Active-Motion-Settings > Motion tab > Motion Units > X-axis

The default X-axis Units are degrees.

See also: Segment-Range, Segment-Parameters, Y-axis values


Segment Editor: Y-axis Values / Control-Buttons

Navigation: MotionDesigner Reference & User Interface > SEGMENT EDITOR >

Return to chapter overview

Segment Editor: Y–axis Values

Segment Editor: Y-axis values

Two Motion-Values (for each Motion-Derivative).

The Segment-Editor controls motion-values at the:

·Start of the Selected-Segment

AND

·End of the Selected-Segment .

There are four motion-derivatives.

Therefore, you can control a total of eight(8) motion-values in each Segment.

SEGMENT-EDITOR - Example Y-axis Value of Position only

SEGMENT-EDITOR - Example Y-axis Value of Position only

Y-axis Values

Two Motion-Values [image] [image] (for each motion-derivative: Position, Velocity, Acceleration, and Jerk):

Start (motion-value of Motion-Derivative):

Start Position = 50mm

End (motion-value of Motion-Derivative):

End Position = 150mm

You can see the two motion-values in the position plot and in the Start Position [image] and End Position [image] data-boxes.

These data-boxes have two possible states: read-only or read-write

Control Buttons [image] [image] [image] (for each Motion-Derivative) :

See more at Control Buttons: States and Patterns

Start Control button - to control the motion-value at the Start of the Selected-Segment.

This button has three(3) possible states.

Do control (the motion-value at the) Start of the Selected-Segment

Do NOT control (the motion-value at the) Start of the Selected-Segment

Not possible to control (the motion-value at the) Start of the Selected-Segment

Match Control button - to control the flow and continuity of motion-values from the Previous-Segment to the Selected-Segment.

This button has two(2) possible states -

Do Force (motion-values at) Start of the Selected-Segment = End of the Previous-Segment

Do NOT Force (motion-values at) Start of the Selected-Segment = End of the Previous-Segment

End Control button - to control the motion-value at the End of the Selected-Segment.

It has three(3) possible states -

Do control (the motion-value at the) End of the Selected-Segment

Do NOT control (the motion-value at the) End of the Selected-Segment

Not possible to control (the motion-value at the) End of the Selected-Segment

See also BLEND-POINT EDITOR CONTROL BUTTONS

Segment Editor: Possible Control-Button Settings


Segment-Editor: Segment Motion-Law

Navigation: MotionDesigner Reference & User Interface > SEGMENT EDITOR >

Return to chapter overview

Segment Editor: Motion-Law Selector

Segment Editor: Segment Motion-Law

Motion-Law Selector

Use the drop-down list-box to select the Motion-Law for the Selected-Segment.

WARNING

After you select a Motion-Law, click somewhere in the motion graph area to remove the focus from the Motion-Law Selector list-box.

See: Motion-Laws


Segment Editor: Segment-Parameters

Segment Editor : Segment Parameters

The Segment Parameters separator is available with many (not ALL) Traditional Motion-Laws.

The actual Segment-Parameters are unique to the Motion-Law.

Their details are described with each Motion-Law.

The best way to learn about the different Segment Parameters is to experiment with their values.

Segment-Parameters with the Sine-Constant Acceleration-Cosine motion-law

Segment-Parameters with the Sine-Constant Acceleration-Cosine motion-law

The image above shows the three Segment-Parameters for the Sine-Constant-Acceleration-Cosine motion-law.

The Constant-Fraction parameter, refers to the Non-Zero Constant Acceleration, and not the Zero Constant-Acceleration.

Note: Commercial Indexers

Commercial Indexers frequently use a Modified-Sine with motion-law with 20%, 33%, 50%, or 66% Constant-Velocity of the index-period.

A period of Constant-Velocity:

·reduces the maximum velocity and a

·reduces a Cam's Pressure-Angle.

·increases the minimum width between the cam-tracks of a Globoidal-Cam, to increase the width of the rib.

In MotionDesigner, you can enter any percentage of Constant Velocity.

See also: Segment-Range, Segment-Width


Blend-Point & Segment toolbar

Blend-Point & Segment toolbar

SEGMENT EDITOR

BLEND-POINT EDITOR

Insert Blend-Point

Insert Blend-Point At

Insert Segment

Append Segment

Delete Segment

Data-Transfer Table

About Blend-Points (Nodes) and Motion-Values

Each Blend-Point has:

One value [image] on the X-axis for all motion-derivatives

Two values [image] [image] on the Y-axis for each motion-derivative

is a Y-axis value at the end of the Previous-Segment

AND

is a Y-axis value at the start of the Selected-Segment

The Y-axis values can be

forced to be equal, or

forced to be different, or

not specified, or

one is specified and the other is not specified

To control the X-axis value and the Y-axis-values of each Blend-Point, use the:

·Blend-Point Editor

and / or

·Segment Editor


Segment: Insert

Insert Segment

Use Insert-Segment to add a new segment that immediately to the left of the Selected-Segment.

Insert Segment

1.Click Blend-Point & Segment toolbar > Insert Segment

A new segment is now immediately to the left of the Selected-Segment.

The new segment is now the Selected-Segment.

Notes:

The Segment-Width of the new segment is 90º. *

The new Motion-Width is 90º wider. *

Use the Segment Editor to reduce the Segment-Width of one or more segments, to reduce the Motion-Width again.

To add a new segment, but do NOT increase the Motion-Width, use

·Insert Blend-Point at or

·Insert-Blend-Point.

* 90º or an equivalent for other X–axis units


Segment: Append

Append Segment

Use Append-Segment to add a new segment to the end of the last segment and motion.

Append Segment

1.Click Blend-Point & Segment toolbar > Append Segment

A new segment is now at the end of the motion, after the last segment.

The new segment is now the Selected-Segment.

Notes:

The Segment-Width of the new segment is 90º. *

The new Motion-Width is 90º wider. *

Use the Segment Editor to reduce the Segment-Width of one or more segments, to reduce the Motion-Width again.

To add a new segment, but do NOT increase the Motion-Width, use

·Insert Blend-Point at or

·Insert-Blend-Point.

* 90º or an equivalent for other X–axis units


Segment: Delete

Delete Segment

Use Delete-Segment to remove the Selected-Segment.

Delete Segment

Use your mouse to select a segment. It is now the Selected-Segment.

To delete the Selected-Segment:

1.Click Blend-Point & Segment toolbar > Delete Segment

The Selected-Segment has been removed from the motion.

Notes:

The Segment Width of the Previous-Segment increases by the Segment-Width of the segment that you delete.

The Motion-Width does not change.

You do not get a warning.


Blend-Point: Insert

Navigation: MotionDesigner Reference & User Interface > Blend-Point & Segment toolbar >

Return to chapter overview

Blend-Point: Add (approximately)

Insert Blend-Point (approximately)

To split one segment into two segments.

To add a Blend-Point on the X-axis at the value you click with your mouse.

Insert Blend-Point 'Approximately'

Insert Blend-Point 'Approximately'

1.Click Blend-Point & Segment toolbar > Insert Blend-Point

2.Move your mouse-pointer to a motion graph to approximately the position along the X-axis at which you want to Insert a new Blend-Point.

3.Click the motion-graph.

A new Blend-Point splits the Segment at the X-axis value of your mouse-pointer. The segment becomes two segments.

The two Segments have the same motion-law.

See also: TOP-TIP: Motion Planning

See also:

Add Blend-Point At


Tools: Insert-Blend-Point At

Navigation: MotionDesigner Reference & User Interface > Blend-Point & Segment toolbar >

Return to chapter overview

Insert-Blend-Point Exactly at ...

Insert Blend-Point at (exactly)

To split one segment into two segments.

To specify an exact value on the X-axis for a new Blend-Point.

Insert Blend-Point 'Exactly'

Insert Blend-Point AT

STEP 1.Do Insert Blend-Point at...

1.Click Blend-Point & Segment toolbar > Insert Blend-Point at ...

The Insert Blend-Point at... dialog opens.
Insert Blend-Point AT dialog

Insert Blend-Point AT dialog

STEP 2.Edit the X-axis value of the Blend-Point

1.Edit the Insert Blend-Point at.,.

A new Blend-Point is at the X-axis value as specified in the dialog

2.Click [image] to close the dialog

Note:

You cannot enter an X-axis value that is:

·Less than the Motion-Start

·Greater than Motion-Width + Motion-Start

See-also: TOP-Tip: Motion Planning


Open Data-Transfer Table

Open Data-Transfer Table

Use this command to open the Data-Transfer Table

Use the Data-Transfer Table to export and to import motion-files.

Open Data-Transfer Table

Open Data-Transfer Table

To open the Data-Transfer Table:

1.Click Blend-Point & Segment toolbar > Data-Transfer Table

The Data-Transfer Table is now open- see Data-Transfer Table


File toolbar

File Toolbar

File toolbar

Add Motion

Open and Append Motion

Save all - See Note

Save all as... - See Note

Save Active Motion as... - See Note

Print Active Motion

Print all Motions

Delete Active Motion

NOTE:

When you save a MechDesigner model to a CXL file (default), we also save for you all of the motions to an MTD file with the same file-name as the CXL file. Thus, when working in the normal way, you do not need to save MotionDesigner motion files.

However, you can also use the MOTIONDesigner > File toolbar > Save all as, or Save Active Motion, ... to save all or only the active motion to a different MTD file-name.

Why save a motion to a different file-name?

If a motion-design is complex you may want to save it and then re-import it. You can then use it as the basis of a new motion for a different product, size, format, or machine.

You can also re-import a motion to experiment with it to try different motion options.


File: Add New Motion

Add New Motion

To add a new Motion name-tab.

Add New Motion

Add New Motion

1.Click File toolbar > Add New Motion

Motion name-tabs

The new Motion name-tab is now the active Motion name-tab.

The new Motion name-tab is to the right of all other Motion name-tabs.

The new Motion name-tab is a motion with four Flexible-Polynomial segments.

See also:

Motion name-tabs

Open and Append


File: Open and Append

Open and Append Motion

To open motion files you have saved to append to those existing Motion name-tab(s).

1.Click File toolbar > Open and Append

See also: Add Motion

Open and Append Motion file-types

MTD: MotionDesigner file-type

The MTD file may include any number of motions. Each motion in the MTD file will add a Motion name-tab.

DA: Jetter file-type

TXT: Logix 5000 Cam file (beta-testing) file-type

SHP: Camlinks & Motion file-type


File: Save All Motions

Save All

To save all motions to one file.

1.Click File toolbar > Save All

MotionDesigner files-types are MTD file-type.

Note: We save for you all of your motions to the MTD file-type when you save the MechDesigner model.

See also: Open And Append, Save All As, Add Motion, Save, Close


File: Save All Motions As...

Show/Hide Hidden Text

Save all as ...

To save all motions to one file with a new file-name:

1.Click File toolbar > Save All as ...

Note: When you save the MechDesigner model to a CXL file, we also save for you all of the motions in MotionDesigner to one MTD file with the same file-name as the CXL file.

See also: Save All, Save Active Motion, Delete/Remove, Add Motion , Open and Append

Save as Motion file-types

MTD: MotionDesigner file-type

Save all of the Motions to one MTD file.

DA: Jetter file-type

Save as the Jetter Automation file-type - see below.

TXT: Logix 5000 Cam file (beta-testing) file-type

Save as the Allen-Bradley (Rockwell) Logix 5000 Cam file-type.
Jetter File-Type Dialog-box

Write Comments to File

Click the check-box if you want the DA file to explain the function and parameter of each line

Header Data box

Use the check-box to write, as text, at the top of the DA file:

·File Path - the path is in the box- it is read-only.

- or -

·Project Name - you must write the Project Name in the box

Register Number at Start box

Enter a Register Offset in the box

OK, Close, Cancel or Help buttons

MotionDesigner saves each motion to a different file. The file-name is the Motion name-tab.

Notes on the DA file

All motion-type are saved as the Polynomial file-type, with their coefficients.

If the segment is a Traditional Motion-Law of the Harmonic Type, for example Modified-Sinusoid, then:

1.The actual Mod-Sine segment is divided into sub-segments.

The Blend-Points for the sub-segments are at the 'natural' positions within the Segment.

2.The sub-segments are saved as Polynomials.

The Polynomial coefficients minimize the error between the actual Segment and the Polynomial Segment.

For example:

·Modified-Sinusoid Motion-Law has three sub-segments

·Modified-Trapezoidal Motion-Law has five sub-segments

To review the Blend-Points and the sub-segments, do Open and Append and select the DA file-type after you save it.


File: Save Active Motion

Show/Hide Hidden Text

Save Active Motion

To save the active Motion only:

1.Click File toolbar > Save Active Motion

See also: Motion file-types, below

See also: Save All , Save

Save Active Motion File-Types:

MTD: MotionDesigner File-Type.

The active motion is saved to the MTD file-type

DA: Jetter File-Type

This is the Jetter Automation file-type - see below.

TXT: Logix 5000 Cam file (beta-testing)

This is the Allen-Bradley (Rockwell) Logix 5000 Cam file-type.

Jetter File-Type Dialog-box

Jetter .DA  Save as interface

Jetter .DA Save as interface

When you select DA as the file-type, this interface opens.

You have the option to enter these parameters:

Write Comments to File

Click the check-box if you want the DA file to explain the function and parameter of each line

Header Data box

Use the check-box to write, as text, at the top of the DA file:

·File Path - the path is in the box- it is read-only.

- or -

·Project Name - you must write the Project Name in the box

Register Number at Start box

Enter a Register Offset in the box

OK, Close, Cancel or Help buttons

MotionDesigner saves the motion as a .DA file-type. The file-name is the same as the Motion name-tab.

Notes on the DA file

All motion-types are saved as a polynomial file-type, with their coefficients.

If the segment is a Traditional Motion-Law of the Harmonic Type, for example Modified-Sinusoid, then:

1.The actual Mod-Sine segment is divided into sub-segments.

The Blend-Points for the sub-segments are at the 'natural' positions within the Segment.

2.The sub-segments are saved as Polynomials.

The Polynomial coefficients minimize the error between the actual Segment and the Polynomial Segment.

For example:

·Modified-Sinusoid Motion-Law has three sub-segments

·Modified-Trapezoidal Motion-Law has five sub-segments

To review the Blend-Points and the sub-segments, you can do: Open and Append and select the DA file-type after you save it.


Navigation: MotionDesigner Reference & User Interface > File toolbar >

Return to chapter overview

File: Print

Print Active Motion

File toolbar > Print Motion

Prints the active Motion


Navigation: MotionDesigner Reference & User Interface > File toolbar >

Return to chapter overview

File: Print All

Print All Motions

File toolbar > Print ALL Motions

Print all of the motions.


File: Close Active Motion

Navigation: MotionDesigner Reference & User Interface > File toolbar >

Return to chapter overview

File: Delete Active Motion

Delete Active Motion

WARNING - there is No Warning !!!

There is No WARNING that you will delete the Motion name-tab

AND

you cannot UNDO THIS

File toolbar > Delete Active Motion IMMEDIATELY

1.Click the name-tab of the motion that you want to delete

2.Click File toolbar > Delete Active Motion

Notes:

·You cannot delete all Motions name-tabs - one Motion name-tab must be available.

·You cannot delete a motion that has a link with a Motion FB (in MechDesigner).


Edit toolbar

Edit Toolbar

Edit toolbar | Undo
 | Redo
 | Active Motion Settings / Rename Motion
 | Sweep Display
 | Auto-Update
 | Display Motion Chart


Edit: Undo

Undo

Edit toolbar > Undo

... to undo the previous motion edit.

You can continue to undo more edits.

Note: You may need to click in the MotionDesigner Application Window before you use Undo.

See also: Redo


Edit: Redo

Redo

Edit toolbar > Redo

1.Click Edit toolbar > Redo to redo the last undone command.

You can continue to redo all undone commands.

Each Motion name-tab has its own Redo stack.

See also: Undo, Command History


Edit: Active Motion Settings

Show/Hide Hidden Text

Active Motion Settings

Edit Toolbar : Active Motion Settings | Edit toolbar > Active Motion Settings Each motion has settings.
Active Motion Settings dialog Active Motion Settings dialog |  | There are four tabs: ·Motion ·Advanced ·Number-Format ·Accessibility
Note: The settings become the default settings when you exit MechDesigner.
Motion tab
Motion name-tab (read-write)

Motion name-tab (read-write)

Motion Name

Motion Name (read-write) (default = Motion0, Motion1, ... )

Enter a new Motion Name with your keyboard.

Press the ENTER key on your keyboard.

The new Motion-Name is now the Motion name-tab.

Motion Cycle Data

Number-of-POINTS (read-write) ( default = 360)

The number-of-points along the active motion graph.

Note: Enter Number-of-Points = 361 to put a Motion-Point exactly on each machine-degree as defined by the MMA.

RPM [ Cycles/Min ] (read-only)

RPM : Machine cycles per minute.

See: MechDesigner - Edit menu>Machine Settings>Cycling Parameters>Cycles/Min

Seconds / Cycle ( read-only )

Seconds / Cycle = 60 / Cycles/Min

Motion Units

X–axis Units: ( default = degrees )

Units available: counts: sec, msec, cycle, degree, radian.

Y–axis Units: ( default = degrees or mm )

Units available: mm, cm, m, inch, degree, radian, cycle, count

Position : | Units
Velocity : | Units/s
Acceleration : | Units/s2
Jerk : | Units/s3

Note:

Change from Angular to Linear Units, or vice versa: If you change from Angular Units to Linear Units, then

The motion does not have a different physical value when you select different Y-axis units. E.g. 90mm becomes 0.090m, or 3.543inches.
Advanced tab

X-axis Parameters

[UNITS] at Start ( default = 0 )

Edit Unit data-type in Motion tab > Motion Units

Y-axis Parameters

Counts / Degree ( default =1 )

Edit Unit data-type in Motion tab > Motion Units

Counts at Start ( default = 0 )

Edit Unit data-type in Motion tab > Motion Units

Number Format tab

Number Format

Format ( default : General )

See Number Format

Precision (default = 6 )

See Precision

Digits (default = 3 )

See Digits

Accessibility tab

Colors

þShow Grid : Enable to show the horizontal and vertical grid lines in the graph-plot area.

Colors : edit with Windows Color Picker® :

·Line: of all segments, but not the Selected-Segment

·Grid: the vertical and horizontal Grid-Lines

·Axis Color : X and Y-axis text

·Background: the graph area

·Selected: the Selected-Segment (typically Red)

·Overlay: see Overlay-Trace

Line and Symbol Sizes

Line Thickness (default = 1 ; Maximum = 8 )

The plot thickness, in pixels, of the motion segments

Symbol Size (default = 2 ; Maximum = 8 )

The scale/size of the Blend-Point symbols


Edit: Sweep-Display

Sweep-Display

Use to evaluate exact motion-values at any X-axis value as defined by the Cursor-Position parameter. A vertical cursor shows at the X-axis value and Cursor-Position.

BUG: The Cursor does not sweep correctly when Motion-Start ≠ 0.

see Blend-Point Editor > X-axis Values > Motion-Start.

To open the Sweep-Display dialog:

1.Click Edit toolbar > Sweep-Display icon

Sweep-Display dialog

Sweep-Display

Cursor Position: (read-write)

The X-axis value at which to evaluate exact motion-values.

Position, Velocity, Acceleration, Jerk (read-only)

The exact Position, Velocity, Acceleration, and Jerk motion-values at the X-axis value as defined by the Cursor-Position.

The advantage of the Sweep Display is that you can see a Cursor.

The advantage of the Motion-Value Evaluator is that you can enter an X-axis value greater than the last X-axis point - see Notes below.

See also: Motion-Width, Number of Steps, Motion-Value Evaluator

Notes:

Edit Digits and Precision of the motion-values with:

Edit toolbar > Active Motion Settings > Number Format tab | Number-Format separator.

Maximum Cursor Position = Motion-Width – Number of Steps / Motion-Width.

For example: If Motion-Width = 360. and:

Number-of-Steps = 360; Maximum Cursor Position ≤ 359

Number-of-Steps = 3600; Maximum Cursor Position ≤ 359.9


Edit: Rebuild Motions

Auto-Update Motion

Edit toolbar > Rebuild icon

Enable - to rebuild the model as you edit a motion-value.

or

Disabled - to edit motion-values quickly. The model may not update to the new motion-value after each edit.


Edit: Display Motion Chart

Auto-Update Motion

Edit toolbar > Display Motion-Chart

Display all of the motions as a chart in one display.

You can choose to display all of the P, V, A, or J charts.

You can choose to display the motions above or over each other.

You can also Print the chart.


View toolbar

View Toolbar

View Toolbar

Show Position Graph

Show Velocity Graph

Show Acceleration Graph

Show Jerk Graph

Zoom Out

Zoom In

Zoom Extents

Pan Left

Pan Right

Notes on Motion Graphs

You must show a minimum of one graph.

If you show more than one graph:

·the Position graph is above all other graphs

·the Velocity graph is below the Position graph, and above the Acceleration and/or Jerk graph

·the Acceleration graph is below the Velocity graph, and above the Jerk graph

·the Jerk graph is below all other graphs.


View: Show Position Graph

Show Position

View toolbar > Show POSITION Graph

Enable or Disable Show Position graph.

Note:

·Position is the absolute place, similar to an X, Y, Z coordinate.

·Displacement is a movement from one position to a different position.

See also: Show Velocity, Show Acceleration, Show Jerk


View: Show Velocity Graph

Show Velocity

View toolbar > Show VELOCITY Graph

Enable or Disable Show Velocity graph.

Note:

Velocity is the rate-of-change of Position with respect to time.

See also: Show Position, Show Acceleration, Show Jerk


View: Show Acceleration Graph

Show Acceleration

View toolbar > Show ACCELERATION Graph

Enable or Disable Show Acceleration graph.

Note:

Acceleration is the rate-of-change of Velocity with respect to time.

See also: Show Position, Show Velocity, Show Jerk


View: Show Jerk Graph

Show Jerk

View toolbar > Show JERK Graph

Enable or Disable Show Jerk graph.

Note:

Jerk is the rate-of-change of Acceleration with respect to time.

See also: Show Position, Show Velocity, Show Acceleration


View: Zoom-In

Zoom-In

View toolbar > Zoom-In

Expand the X–axis (NOT the Y-axis) to see less of the motion.

See also: Zoom-Out, Zoom Extents, Pan Left, Pan Right


View: Zoom-Extents

Zoom-Extents

View toolbar > Zoom Extents

Scale the X-axis to equal the Motion-Width.

See also: Zoom-In, Zoom-Out, Pan Left, Pan Right


View: Pan Left

Pan-Left

View toolbar > Pan Left

Move the X-axis of the motion graph to the right.

This tool does not change the timing of the motion.

To change the timing of the motion, see:

Blend-Point Editor > X-axis values > Motion-Start.

See also: Zoom-In, Zoom-Out, Zoom Extents, Pan Right


View: Pan Right

Par Right

View toolbar > Pan Right

Move the X-axis of the motion graph to the left.

This tool does not change the timing of the motion.

To change the timing of the motion, see:

Blend-Point Editor > X-axis values > Motion-Start.

See also: Zoom-In, Zoom-Out, Zoom Extents, Pan Right


View: Zoom-Out

Zoom-Out

View toolbar > Zoom-Out

Contract the X–axis (NOT the Y-axis) to see more of the motion.

See also: Zoom-In, Zoom Extents, Pan Left, Pan Right


Motion toolbar

Motion toolbar

The Motion toolbar is below the graphs.

To see all of the Motion toolbar, you may need drag to the left the vertical divider that is between MotionDesigner and MechDesigner.

Motion-Law Selector

Motion-Width (read-only)

Motion Value Evaluator


Motion Law Selector

Navigation: MotionDesigner Reference & User Interface > Motion toolbar >

Return to chapter overview

Motion-Law Selector

Motion-Law Selector

Motion-Law Selector list box

Motion-Law Selector list box

It is below the Motion graphs, at the left side of the Motion toolbar.

First, before you can use the Motion-Law Selector:

1.Click a above or below a segment to move the program focus to MotionDesigner.

2.Click above or below a segment to make it the Selected-Segment

Now, use the Motion-Law Selector to:

·Identify the Motion-Law of the Selected-Segment

AND/OR

·Use the drop-down to select a different Motion-Law for the Selected-Segment

See also Motion-Laws


Motion-Width

Motion-Width (read-only)

Motion-Width = ∑ Segment-Widths

IMPORTANT

Most typically, for all of your motions, the Motion-Width = 360. Then, the timing of the motion will equal the timing of the Master-Machine-Angle (MMA)

To edit the Motion-Width, you must use the Segment Editor to edit the Segment-Width of one or more segments.

Motion-Width of one machine-cycle, when the X-axis units are:

Degrees: Motion-Width =360

Radians: Motion-Width =

Seconds: Motion-Width = 60 / (Cycles / Minute)

Milliseconds: Motion-Width = 60 000 / (Cycles / Minute)

Cycle/Minute

See MechDesigner: Edit menu > Machine-Settings > Cycling Parameters.

To edit the X-axis Units:

Active Motion-Settings > Motion tab > Motion Units > X-axis


Motion-Value Evaluator

Motion-Values Evaluator

Machine-Angle(1) : Evaluate Motion-Values(2)

Machine-Angle(1) : Evaluate Motion-Values(2)

For any real number you enter as a Machine-Angle [image] , we evaluate for you the exact motion-values [image] (P, V, A, J).

See also: Motion-Values at Pointer, Sweep-Display


Transfer motion-values to the Data-Transfer Table from motion-graphs and then export the motion-data values; Import motion-data values to the Data-Transfer Table and transfer the data to List Segment-Types; Display a dumb Overlay-Trace above existing motion-graphs.

Data-Transfer Table

Use the Data-Transfer Table to:

·Import data from an application (e.g. NotePad, Excel) to the table and then to a List segment-type

·Export data from a segment or the complete motion to the table and then to an application

·Display data that is in the table as a dumb-graph over a motion-graph - see Overlay Trace

Open the Data-Transfer Table

Blend-Point and Segment toolbar

Blend-Point and Segment toolbar

To open the Data-Transfer Table:

1.Click Blend-Point & Segment toolbar > Data-Transfer Table icon.

The Data-Transfer Table is now open.

Data-Transfer Table

Data Transfer Table

Data Transfer Table

Note: X-axis, Row 0 is at the Motion-Start.

Data-Transfer Table toolbar

Clear all data from the table: Remove all the data from the Data-Transfer Table.

Save data to a CSV, TXT, or DAT file-type: Save all of the data in the motion-graphs to a CSV, TXT, or a DAT file-type.

Open and load data from a CSV, TXT, DAT file-type: Load data in a CSV, TXT, or DAT file-type, and paste into the table.

Copy all data to clipboard: Copy all data in the Data-Transfer Table to the Windows© clipboard.

Copy selected data to clipboard: Copy the selected data to the Windows© clipboard.

Cut selected data to clipboard: Remove selected data from the Data-Transfer Table and copy to the Windows© clipboard

Paste clipboard to table: Paste data in the Windows© clipboard to the Data-Transfer Table, starting at the active cell.

Delete selected data from table: Delete the selected data from the Data-Transfer Table.

Get data from List segment-type: The Selected-Segment must be a List Segment-Type.

Put data to a List segment-type: The Selected-Segment must be a List Segment-Type.

Get all displayed P,V,A,J data: Transfer to the Data-Transfer Table the motion-values for each motion-derivative graph

Get all displayed P,V,A,J segment data: Transfer to the Data-Transfer Table, for the Selected-Segment only, the motion-values of each motion-derivative graph

Show data as an Overlay-Trace : Display the motion-values that are in the Data-Transfer Table as an Overlay-Trace. You can toggle this icon to show or hide the overlay-trace.

An Overlay-Trace is a dumb graph that shows with the active motion graph.

Toggle: Include/Ignore last value in Data-Transfer Table

Often you want to transfer the motion-values that are in the Data-Transfer Table to another application. Your application may need:

·the last data-value in the table to equal the first data-value in the table

·the last data-value in the table to equal the last data-value in the motion

Note: you may need to increase or decrease the Number of Points in the motion by 1 to get a motion-value exactly at each degree or millisecond.

Data-Transfer Table: Shortcut menu

Right-click in the Data-Transfer Table to show the shortcut menu.

Copy Selected Data to the Clipboard

Clear all data from table

Load data from a CSV or TXT file-type

Save to Text File

Copy all data to clipboard

Copy selected data to clipboard

Cut selected data from table

Paste data from clipboard to table

Delete selected data from table

Get all displayed P,V,A,J segment data

Toggle: include/ignore last value in Data-Transfer Table

Get all displayed P,V,A,J motion data

Show Data as an Overlay Trace

What happens when you PUT data to a List segment-type

When you PUT data to a List segment-type:

·MotionDesigner re-calculates for you the data in your list to put the correct number of points, which are proportional to the segment-width of the List Segment-Type.

·MotionDesigner numerically calculates for you all motion-derivatives from the data.

The minimum number-of-points (rows) you can transfer to a List Segment-Type is 6. We recommend many more than 6 points.

Get data from Motion / Segment

When you GET data from the motion or a segment:

Number-of-Columns: X-axis + each displayed motion-derivative

Number-of-Rows (Motion): = Number-of-Steps in Active Motion Settings

Number-of-Rows (Segment): = Number-of-Steps × Segment-Width / Motion-Width


Tools: Data Transfer: Clear

Navigation: MotionDesigner Reference & User Interface > Data-Transfer Table >

Return to chapter overview

Data-Transfer: Clear

Clear All data from the Data-Transfer Table

Click to clear, or remove, all data from the Data-Transfer Table.


Save data to a CSV or TXT file-type

Navigation: MotionDesigner Reference & User Interface > Data-Transfer Table >

Return to chapter overview

Data-Transfer: Save Data

Save All or Selected Data to a Text File

Click to Save all data in the graphs to a file.

You can save the file with these file-types: CSV, TXT, or DAT.

The data does not need to be in the Data-Transfer Table.

File-type | Description | Data
CSV | Comma Separated Values Numbers separated with the List separator | Index Number, X-axis value, Motion-Value at X-axis value for each graph.
TXT | Numbers separated with List Separator | Index Number, X-axis value, Motion-Value at X-axis value for each graph.
DAT | Compatible with Camlinks DAT file-type. | Index Number, X-axis value, Motion-Value at X-axis value for each graph.


Load a CSV or TXT file-type

Navigation: MotionDesigner Reference & User Interface > Data-Transfer Table >

Return to chapter overview

Data-Transfer: Load Data

Open a Text File

Open a file that is a CSV, TXT or DAT file-type.

The data in the file fills the table from the active cell in the Data-Transfer Table

The data is usually intended for a segment that is a List Segment-Type or an Overlay Trace.

List Segments-Types are:

·Position List : MotionDesigner numerically differentiates the data to create Velocity, Acceleration, and Jerk.

·Acceleration List : MotionDesigner numerically integrates the data to create Velocity and Displacement.

·Z Raw-Data : MotionDesigner numerically differentiates the data to create Velocity, Acceleration, and Jerk.


Copy all data to clipboard

Navigation: MotionDesigner Reference & User Interface > Data-Transfer Table >

Return to chapter overview

Data-Transfer: Copy All to Clipboard

Copy all Data

Copy all data in the Data-Transfer Table to the Windows® Clipboard.


Copy selected data to clipboard

Navigation: MotionDesigner Reference & User Interface > Data-Transfer Table >

Return to chapter overview

Data-Transfer: Copy

Copy Selected Data

Save data to the Windows® Clipboard.

Select the Data:

1.Click a cell in the table

2.SHIFT+Click a different cell

The data is now selected.

3.Click this icon in the Data Transfer toolbar.

The selected data is now on your Clipboard.


Cut selected data from table

Navigation: MotionDesigner Reference & User Interface > Data-Transfer Table >

Return to chapter overview

Data-Transfer: Cut

Cut Selected Data from Table to Clipboard

Use to cut the Selected Data* from the table and place on your Windows Clipboard.

You can:

·Paste the data to a computer application, such as Notepad®, WordPad®, Word®, Excel®, etc.

·Paste the data back into the Data-Transfer Table.

* Selected Data:

1.Click a cell in the table

2.SHIFT+Click a different cell

The highlighted data is now the Selected Data.

See also:

Data-Transfer: Copy,

Data-Transfer: Paste


Paste data from clipboard to table

Navigation: MotionDesigner Reference & User Interface > Data-Transfer Table >

Return to chapter overview

Data-Transfer: Paste

Paste Data to Table

Paste data from your clipboard to the Data-Transfer Table.

1.Click a cell in the table

2.Click the icon to paste the data

The data is now in the Data-Transfer Table.

See also:

Data-Transfer: Cut

Data-Transfer: Copy


Navigation: MotionDesigner Reference & User Interface > Data-Transfer Table >

Return to chapter overview

Data-Transfer: Delete

Delete Selected Data from Table

Delete selected data* from table.

* To select data:

1.Click a cell in the table

2.SHIFT+Click a different cell

The Selected Data is now the Selected Data.

See also:

Data-Transfer: Copy

Data-Transfer: Paste


Get data from List Segment-Type

Navigation: MotionDesigner Reference & User Interface > Data-Transfer Table >

Return to chapter overview

Data-Transfer: Get List Data

Get Data from a List Segment-Type

Note: This icon is in the toolbar only when the Selected-Segment is a List Segment-Type.

Get List Data : to get the data that you originally put to the List Segment-Type with the Put List Data icon.

List Segment-Types are:

·Position-List

·Acceleration-List

·Z-Raw-Data

See also:

Put List Data

Get Segment Data


Put data to List Segment-Type

Navigation: MotionDesigner Reference & User Interface > Data-Transfer Table >

Return to chapter overview

Data-Transfer: Put List Data

Put Data to a List Segment-Type

This icon is in the toolbar only when the Selected-Segment is a List Segment-Type.

Put List Data : to put data* that you select from the Data-Transfer Table to a List Segment-Type.

To Select data:

1.Click a Header to select all of the data under that header that column

2.Click Put Data to List Segment

OR

1.Click a cell in the table

2.SHIFT + Click a different cell* in the table

The highlighted data is now the Selected-Data.

3.Click Put Data to List Segment

After you put the data-points to the List Segment-Type, :

1.MotionDesigner re-samples your data to allocate the number of motion-points that are proportionate to the Segment-Width and Number-of-Points in the Motion

2.Calculates all motion-derivatives

* The minimum number-of-points you can select in the Data-Transfer Table is 6.

You should usually put many more than 6 points to the List Segment-Type.

List Segment-Type are

·Position-List

·Acceleration-List

·Z-Raw-Data

See also:

Get List Data

Get Motion Data

Get Selected-Segment Data

Overlay-Trace


Navigation: MotionDesigner Reference & User Interface > Data-Transfer Table >

Return to chapter overview

Data-Transfer: Get Motion Data

Get Motion Data from displayed Graphs

Get Motion Data

Transfer to the Data-Transfer Table the motion-values of the complete motion and of the displayed graphs.

·# Columns: X-axis + each motion-derivative that is displayed as a graph.

·# Rows : Number-of-Steps

See Active Motion Settings > Motion tab > Motion Cycle Data > Number-of-Steps

Number Format : see Active Motion Settings > Number-Format tab > Number-Format > Precision / Digits

Units : see Active Motion Settings > Motion tab > Motion-Units > X-Axis / Y-Axis units


Get Segment Motion Data

Navigation: MotionDesigner Reference & User Interface > Data-Transfer Table >

Return to chapter overview

Data-Transfer: Get Segment Data

Get Segment Data from Graphs

Get Segment Motion-Data

Transfer to the Data-Transfer Table the motion-values of each motion-derivative for the Selected-Segment.

·# Columns : X-axis + each motion-derivative that is displayed as a graph.

·# Rows : Number-of-Steps × Segment-Width(degrees) / 360

Number Format : see Active Motion Settings > Number-Format tab > Number-Format > Precision / Digits

Units : see Active Motion Settings > Motion tab > Motion-Units > X-Axis / Y-Axis units


Show data as Overlay-Trace

Navigation: MotionDesigner Reference & User Interface > Data-Transfer Table >

Return to chapter overview

Data-Transfer: Overlay Trace

Overlay-Trace

Show the data that is in the Data-Transfer Table as a dumb graph together with the active Motion.

The dumb graph is the Overlay-Trace.

Note:

The MTD or ZXL file-types do not save the Overlay-Trace or the data in the Data-Transfer Table.

If the data is important, and the data is not available from a Motion graph or a Graph FB (MechDesigner) then we recommend that you put the data to a new Motion of one segment that is a List Segment-Type. Also, rename the new Motion to Overlay-Trace, or a name to remind you that the data is intended for an Overlay-Trace in a different motion.

Position, Velocity, Acceleration motion-values for Overlay-Trace.

Position, Velocity, Acceleration motion-values for Overlay-Trace.

Overlay-Trace (in Orange) and the active Motion

Overlay-Trace (in Orange) and the active Motion

To show an Overlay-Trace

1.Make sure there is data in the Data-Transfer Table (see Prepare the Data for an Overlay Trace, below)

2.Click the Overlay-Trace icon in the toolbar.

The data shows as the Overlay-Trace together with the active motion.

3.Click in the graph to scale the graphs correctly.

The active-motion and the Overlay-Trace rescale to their maximum and minimum values.

To hide the Overlay-Trace:

1.Click the Overlay-Trace icon again

We disable the plot of the Overlay-Trace.

To edit the color of the Overlay-Trace

MotionDesigner > Edit toolbar > Active Motion Settings > Accessibility tab > Overlay Trace color button.

Prepare the Data for an Overlay Trace

The data in the Data-Transfer Table should be arranged as follows:

·Data in Column 2, from Row 0, displays in the Position graph.

·Data in Column 3, from Row 0, displays in the Velocity graph.

·Data in Column 4, from Row 0, displays in the Acceleration graph.

·Data in Column 5, from Row 0, displays in the Jerk graph.

Note:

·The Overlay-Trace shows even if the data in Columns 2,3,4,5 are not motion-derivatives of each other.

·The Overlay Trace shows only for each column of data in the Data-Transfer Table - we do not calculate other motion-derivatives for you.

Overlay-Trace example:

To show the motion-values of Motion0 as an Overlay Trace in Motion1.

If necessary:

1.Click File toolbar > Add Motion to add a Motion1 as a new motion name-tab

2.Click View toolbar > P, V, A, J buttons to show all motion-derivatives in Motion1

3.Click Motion0 name-tab to make it the active motion

4.Click View toolbar > P, V, A, J buttons to show all motion-derivatives in Motion0

Open the Data-Transfer Table.

5.Click Blend-Point and Segment Editor toolbar > Data-Transfer Table.

Get the motion-values from Motion0 into the Data-Transfer Table.

6.Click Data-Transfer Table > Get Motion Data.

The Data-Transfer Table fills with the motion-values for each motion-derivative in Motion0.

Make Motion1 the active motion.

7.Click Motion1 name-tab to make it the active motion

Show the data that is in the Data-Transfer Table as the Overlay-Trace in Motion1.

8.Click Data-Transfer Table > Overlay Trace button

The motion-values of Motion0 are now an Overlay Trace in Motion1.

9.Click in the Graph of Motion1 to re-scale Motion1 and the Overlay Trace.

The graphs rescale to show the maximum and minimum of the Motion1 and the Overlay-Trace.


Get Last Point

Toggle: Do Transfer or Do Not Transfer Last Motion Point

OR

A Toggle for when you GET Motion-Data:

·Do transfer the last motion data point from the motion graphs to the Data-Transfer Table.

or

·Do not transfer the last motion data point from the motion graphs to the Data-Transfer Table.

Example:

1.Edit the Number of Points = 361.

The Number-of-Points parameter is set in the Active Motion Settings > Motion tab.

2.Toggle IN the Get Last Point

3.Click Get Motion Data

The number of rows in the Data-Transfer Table = 0 to 360, a total of 361 rows

4.Click Clear Data from the Table

5.Toggle OUT the Get Last Point

6.Click Get Motion Data

The number of Rows in the Data-Transfer Table = 0 to 359, a total of 360 Rows

Frequently, when you want to transfer the motion-data in the Data-Transfer Table to another application, your other application may need:

·the last row in the table to be equal to the first row in the table

or

·the last row in the table to be equal to the last point in the motion

See also:

See Active Motion Settings > Motion tab > Motion Cycle Data > Number-of-Points


Motion-Laws and Cam-Laws

Navigation: MotionDesigner Reference & User Interface >

Return to chapter overview

Motion-Laws for Segments

Motion-Laws - also called Cam-Laws.

Select the Motion-Law for each segment with the Motion-Law Selector or the Segment-Editor.

Each Motion-Law is a mathematical expression that defines how an output variable changes as a function of an input variable.

The mathematical expressions evaluate exactly the displacement, velocity, acceleration, and jerk motion-values. You do not need to know any mathematics.

For convenience, we can separate the motion-laws into three groups.

Note: We list the motion-laws for you in the Motion-Law Selector alphabetically (English spelling).

Traditional Motion-Laws

The Traditional Motion-Laws (also named Standard Motion-Laws) have been used for many years in cam mechanisms for Rise and Return segments, usually with a Dwell segment between them.

The Traditional Motion-Laws are based on:

·Trigonometric Functions, and/or

·Polynomials Functions

Traditional Motion-Laws:

1.Constant-Acceleration & Deceleration - Polynomial Function

2.Constant-Velocity - Polynomial Function

3.Cubic - Polynomial Function

4.Cycloidal - Trigonometric Function

5.Cycloidal Constant-Velocity 50% -Trigonometric Function

6.Dwell - Polynomial Function

7.Modified-Sinusoid - Trigonometric Function

8.Modified-Trapezoidal - Trigonometric Function

9.Polynomial 2-3 - Polynomial Function

10.Polynomial 3-4-5 - Polynomial Function

11.Polynomial 4-5-6-7 - Polynomial Function

12.Polynomial Low Impact Crossover - construct with two Flexible-Polynomial segments

13.Quadratic - Polynomial Function

14.Ramp - Trigonometric Function

15.Simple-Harmonic - Trigonometric Function

16.Sine-Constant-Cosine Acceleration - Trigonometric Function

a.SCCA with Constant-Velocity 20%, 33%, 50%, 66%.... -

17.Sine-Squared - Trigonometric Function

18.Sinusoidal - Trigonometric Function

19.Triple-Harmonic - Trigonometric Function

You can edit the Segment Parameters in the Segment Editor to get a motion-law similar to:

a.Triple Harmonic - Modified Trapezoidal

b.Triple Harmonic - Modified Sine

c.Triple Harmonic - Zero Jerk at Crossover

20.Flexible Polynomial

Throw: a motion-law is a rise segment followed immediately by a return segment.

You must design these different Throw motion-laws with two Flexible Polynomial segments. They have different continuity, and shape as they rise and return from the maximum displacement.

a.Throw: Quick-Return 1 - Finite Jerk @ Start / End

b.Throw: Quick-Return 2 - Zero Jerk @ Start / End

c.Throw: Rapid-Return 1: Finite-Jerk @ Start/End/Mid-Point

d.Throw: Rapid-Return 1: Zero Jerk @ Start/End, Finite Jerk @ Mid-Point

Low Impact at Crossover uses two Flexible-Polynomial segments to give one Rise motion-law. The Jerk is zero when the Acceleration changes to Deceleration.

e.Low Impact at Crossover

Special Motion-Laws

These meet the needs of specific applications.

25.Y–Inverse-Sinusoid : when applied to the motion of a crank, it gives a constant linear velocity at the tip of a crank. Maximum of one Y-Inverse-Sinusoid segment per crank rotation.

26.CV Inverse Crank : similar to the Y-Inverse-Sinusoid, Not limited to one Crank-Constant-Velocity segment per motion.

27.Flexible-Polynomial - a VERY important and useful motion-law - see also Motion-Laws 20 a-e

28.Ramp - also a useful motion-law - see also Motion-Law 5, Cycloidal CV50

29.Asymmetric Motion-Laws

List Segment-Types

You can import your own motion-values to a List Segment-Type:

29.Position-List

30.Acceleration-List

31.Z-Raw-Data

When to use the Flexible Polynomial OR a Traditional, or the both Motion-Laws?

Flexible-Polynomial is the default motion-law. It is very powerful. We recommend that you learn how to use it effectively and efficiently.

Traditional Motion-Laws have advantages in some circumstances.

We recommend that you use:

·All Flexible-Polynomials - to give powerful and flexible motion-design possibilities

or

·All Traditional Motion-Laws - the easiest to design a Rise and Return type motion

or

·A mixture of Flexible-Polynomial and Traditional Motion-Laws - most difficult motion-design but may have advantages

German Technical VDI guidelines 2143 Parts 1 and 2

The Motion-Laws available in MotionDesigner exceed the German Technical VDI-guidelines 2143 Papers (Part) 1 and 2. Also bear in mind, that a motion at a cam-follower or servomotor is usually found by MechDesigner with Inverse-Kinematics. When this is the case, the motion at the cam-follower or servomotor is not the same as the motion-design that is given to the tooling, or Motion-Part.


Acceleration-List [Import Data]

Navigation: MotionDesigner Reference & User Interface > Motion Laws / Cam-Laws for Segments >

Return to chapter overview

Acceleration-List (Import Data)

Acceleration List

See also: Position-List, Z-Raw Data

Motion-Description

The Acceleration List is a List Segment-Type.

Use it to import Acceleration data.

See Position-List to learn how to Import data to a List Segment-Type.

Motion-Values

We integrate (numerically) your data for you to calculate and show the Velocity and Position graphs.

We re-sample your data to give the correct number-of-points in the segment, such that:

Number-of-Points in the Acceleration List Segment = Segment-Width × Number-of-Steps in Motion / 360

Segment Parameters

None

Segment-Range

None

Sampling Acceleration-Data - recommendations.

Acquire acceleration-data of a machine component with an Accelerometer Sensor.

·We recommend a DC-Accelerometer Sensor that gives an output from 0 to 1000Hz.

·From 0Hz is important. At 0Hz, you can use ±g to calibrate the accelerometer by turning it over (g = ~9811mm/s/s).

·Import the data for one machine cycle. You can use an Encoder on a machine shaft to trigger the start and end the Acceleration Data acquisition.

·You get better results if you sample the data from a Dwell to a Dwell.

·Although there are mathematical techniques to compensate for any bias in the Acceleration Data, we do not use them when we integrate the your Acceleration data to get Velocity and Position.


Constant Acceleration and Deceleration Motion-Law

Navigation: MotionDesigner Reference & User Interface > Motion Laws / Cam-Laws for Segments >

Return to chapter overview

Motion-Law: Constant-Acceleration and-Deceleration

Constant-Acceleration and Constant-Deceleration Cam-Law, Motion-Law

Motion Description

A Traditional Motion-Law. Its name is often give Constant-Acceleration, or Triangular Velocity.

It has the lowest nominal maximum Constant Acceleration of the Dwell-Rise-Dwell type motion-laws. For this reason, historically, it was recommended for cam motion-design. It is still commonly used for Servo and Stepper motions.

However, it has many disadvantages - see Application-Notes, below.

Motion-Values

You CAN control the:

Start Position

The Start-Position usually flows from the End-Position of the Previous-Segment.

End Position

You CANNOT control the:

Start Velocity & End Velocity

Start Acceleration & End Acceleration

Start Jerk & End Jerk

Segment Parameters

None

Segment-Range

Start-Range

End- Range

0 ≤ Start-Range < End-Range ≤ 1

See also : Tutorial 5: Edit the Start of a Traditional Motion-Law.

See also : Tutorial 9: Asymmetrical Motions.
Constant-Acceleration - Constant-Deceleration Motion-Law - Parabolic Motion (Cam-Law)

Constant-Acceleration - Constant-Deceleration Motion-Law - Parabolic Motion (Cam-Law)

Motion-Law Coefficients

Velocity Coefficient :

Acceleration Coefficient :

Jerk Coefficient :

Jerk at Crossover :

Application Notes

The Constant-Acceleration motion-law was used in the past because it has the lowest nominal acceleration of the Traditional Motion-Laws. However, it has infinite-jerk at three points: at its start, end, and at its crossover. This makes it a very poor choice form a dynamic-response viewpoint. Infinite-Jerk incites vibrations in any mechanical system. We do not recommend this motion-law if the Period-Ratio is less than 10, or even 20.

Dynamic Performance

The actual acceleration of a payload is significantly more than the nominal Constant-Acceleration value because of induced vibrations. For this reason, this motion-law should only be used in applications where inertia effects are insignificant.

Pressure-Angle Considerations

This motion-law produces a relatively large pressure-angle - and so might need a large cam for a given lift. The pressure-angle for this motion-l varies quite severely throughout this Motion-Law indicating that it is unsuitable for roller follower applications because of the severe accelerations imposed on the roller that induce roller slip.

Drive-Torques

This law performs badly in terms of drive torque considerations. This law has a discontinuity in Drive Torque, indicating shock loading and noise in operation. Particularly notable is the sudden reversal of the inertia torque factor, and hence of the torsional strain energy, at the crossover of the motion segment. These reversals contribute to noise, shock loading, and vibration during operation.


Constant Velocity Motion-Law

Navigation: MotionDesigner Reference & User Interface > Motion Laws / Cam-Laws for Segments >

Return to chapter overview

Motion-Law: Constant-Velocity

Constant-Velocity Cam-Law, Motion-Law

This is a Polynomial motion type.

See also : Constant-Velocity: Two Positions.

Motion-Description

The Velocity is constant for the period of the segment-width.

Motion-Values

You CAN control the:

Start-Position

The Start-Position usually flows from the End-Position of the Previous-Segment.

Start-Velocity

The Start-Velocity usually flows from the End-Velocity of the Previous-Segment

You CANNOT control the:

End-Position

The End-Position is a calculated from the Start-Position, Start-Velocity, and Segment-Width

End-Velocity

The End-Velocity is equal to its Start-Velocity

Start Acceleration = End-Acceleration = 0

Start-Jerk = End-Jerk = 0

Segment Parameters

None

Segment-Range

None

Example - Velocity Continuity

1.Use the Motion-Law Selector to change the motion-law of a segment to a Constant-Velocity.

2.Click above or below the segment in the motion-graphs.

The Constant-Velocity segment is now the Selected-Segment.

3.Open the Blend-Point Editor

1.Set the Match Control Button to Flow / Match - see image

The Velocity at the Start of the Selected-Segment is now forced to be equal to the Velocity at the End of the Previous-Segment.

The Start Velocity becomes read-only.

2.Edit the End Velocity

You should see that the Start-Velocity [image] is equal to the End-Velocity.
Blend-Point Editor: Velocity Equal at Blend-Point.

Blend-Point Editor: Velocity Equal at Blend-Point.
Smooth Flow of Velocity at Blend-Point Equal Gradients of Position Graph at Blend-Point

Smooth Flow of Velocity at Blend-Point
Equal Gradients of Position Graph at Blend-Point

Example 2 - VELOCITY DIS-CONTINUITY

Definition of a Motion Dis-continuity:

The motion-values change instantly, such that there is a step between two adjacent motion-values. The motion-discontinuity is associated with a motion-derivative. E.g.: A motion has a Velocity discontinuity

A Velocity discontinuity is not recommended, of course. There is infinite acceleration at the Velocity discontinuity - which is mechanically not possible. A Velocity discontinuity puts a kink in the Position graph.

An example of a Velocity Dis-Continuity.

1.Use the Motion-Law Selector to change a motion-law of a segment to a Constant-Velocity.

2.Click above or below the segment in the motion-graphs.

The Constant-Velocity segment is now the Selected-Segment.

3.Open the Blend-Point Editor

4.Set the Match Control-Button to Do Not Match

5.Enter a Start-Velocity [image] value that is not equal to the End-Velocity [image] value.
Blend-Point Editor: Velocities at Blend-Point are not Equal

Blend-Point Editor: Velocities at Blend-Point are not Equal
Step in Velocity Graph, & Kink(corner) in Position Graph. Step in gradient at Blend-Point in Position-Graph.

Step in Velocity Graph, & Kink(corner) in Position Graph.
Step in gradient at Blend-Point in Position-Graph.


Constant-Velocity -Two Positions

Navigation: MotionDesigner Reference & User Interface > Motion Laws / Cam-Laws for Segments >

Return to chapter overview

Constant-Velocity : Two Positions

Constant-Velocity | Two Position

See also : Constant-Velocity.

Motion-Description

Use the Flexible-Polynomial to define a segment that has Constant-Velocity between Two-Positions.

The Velocity is calculated from the Segment-Width and the difference between the End-Position and Start-Position.

You must make sure the Velocity at the end of the Previous-Segment is equal to the velocity of this segment.

The Acceleration and Jerk Values at the start and end of the segment are zero.

Motion-Values

You CAN control the:

Start-Position

The Start-Position usually flows from the End-Position of the Previous-Segment.

End-Position

You CANNOT control the:

Start-Velocity & End-Velocity

Start-Acceleration & End-Acceleration

Start-Jerk & End-Jerk
SEGMENT EDITOR: Control-Buttons for a 'Two Position | Constant-Velocity motion-law.

SEGMENT EDITOR: Control-Buttons for a 'Two Position | Constant-Velocity motion-law.

1.Use the Motion-Law Selector to select a Flexible-Polynomial motion-law

2.Select the Segment

3.Open the Segment Editor

4.De-select Velocity, Acceleration and Jerk Match (Flow) Control-Buttons

5.De-select Start-Velocity, Start-Acceleration, Start-Jerk Control-Buttons

6.De-select End-Velocity, End-Acceleration, End-Jerk Control-Buttons

7.Enter the Start-position and End-Position

8.Enter the correct X-axis values.
2 Position, Constant-Velocity BUT Step Change in Velocity

2 Position, Constant-Velocity
BUT Step Change in Velocity

Note:

When the Constant-Velocity segment is one segment of a complete machine-cycle use a Gearing FB, to replace a Motion FB - assuming a Linear-Motion FB is connected to the input of the Gearing FB.

When the Gearing-Ratio = 1 (in the Gearing dialog), the output equals its input, it increases steadily from 0 to 360.

If you enter Gearing Ratio =270/360, the output is from 0 to 270, when its input is from 0 to 360.

Thus, you can see it is easy to use a Gearing FB to output a Constant-Velocity for a complete a machine-cycle.


Cubic Motion-Law

Cubic Cam-Law, Motion-Law

Motion-Description

A Traditional Motion-Law. The Jerk motion-values of this motion-law are constant.

Use it when you want the Jerk to be a constant value, or the Acceleration to change linearly.

When the Velocity at its start and end are equal zero, it is the same as the Polynomial 2-3.

Motion-Values

You CAN control the:

Start Position

The Start Position usually flows from the End Position of the Previous-Segment.

End Position

Start Velocity

The Start Velocity usually flows from the End Velocity of the Previous-Segment

End Velocity

You CANNOT control the:

Start Acceleration & End Acceleration

Start Jerk & End Jerk

Segment Parameters

None

Segment-Range

None

Cubic Motion-Law


Cycloidal Motion-Law

Cycloidal Cam-Law, Motion-Law

Motion Description

A Traditional Motion-Law.

A motion with continuous Velocity and Acceleration from start to end. There is Jerk discontinuity at its start and end.

Motion-Values

You CAN control the:

Start Position

The Start-Position usually flows from the End-Position of the Previous-Segment.

End Position

You CANNOT control the:

Start Velocity & End Velocity

Start Acceleration & End Acceleration

Start Jerk & End Jerk

Segment Parameters

None

Segment-Range

Start-Range - default = 0

End-Range - default = 0

0 ≤ Start-Range < End-Range ≤ 1

See also : Tutorial 5: Edit the Start of a Traditional Motion-Law.

See also : Tutorial 9: Asymmetrical Motions.
Cycloidal Motion-Law (Cam-Law)

Cycloidal Motion-Law (Cam-Law)

Motion-Law Coefficients

Velocity Coefficient :

Acceleration Coefficient :

Jerk Coefficient :

Jerk at Crossover :

Application Notes

Dynamic Performance

This Motion-Law is recommended in applications where the period ratio is near to 5, but the input drive is stiff and the shaft speed does not fluctuate significantly under load. It has a good acceleration characteristics at the load and should be used in systems where low residual vibration (vibration after the end of the motion segment) is desired.

Pressure Angle Considerations

It gives a relatively large pressure angle - and so might need a large cam for a given lift and predetermined pressure angle limits, to reduce it.

Drive Torques

This Motion-Law is recommended in applications where no sudden change of input torque is a requirement. Its torque characteristics are particularly good in relation to the other Traditional Motion-Laws when the period ratio is less than approximately 10.


Cycloidal-CV50 Motion-Law

Cycloidal-CV50 Cam-Law, Motion-Law

Motion-Description

A Traditional Motion-Law. Use the Ramp Motion-Law to design a Cycloidal-CV50.

The Cycloidal-CV50 has three phases:

·Phase 1: Acceleration : first ½ wave of a Sine function : 25% of the Segment-Width.

·Phase 2: Zero Acceleration, Constant Velocity : 50% of the Segment-Width.

·Phase 3: Deceleration : last ½ wave of a Sine function : 25% of the Segment Width

A motion with continuous Velocity and Acceleration, from start to end, The Jerk is finite at its start and end.

Its peak Acceleration is quite high, but its peak Velocity is quite low.

Motion-Values

You CAN control the:

Select the RAMP Motion-Law :

Start Position

The Start-Position usually flows from the End-Position of the Previous-Segment.

End Position

You CANNOT control the:

Start Velocity & End Velocity - by definition, they are zero(0)

Start Acceleration & End Acceleration - by definition, they are zero(0)

Start Jerk & End Jerk - by definition, they are finite

Segment Parameters

The Segment-Parameter values in the Ramp motion-law to give the Cycloidal CV50 motion-law.

Start-Fraction × 100 = % of Segment-Width

End-Fraction × 100 = % of Segment-Width

Segment-Range

Start-Range

End- Range

0 ≤ Start-Range < End-Range ≤ 1
Cycloidal-CV50 (50% is Constant-Velocity (with Ramp Motion-Law / Cam-Law

Cycloidal-CV50 (50% is Constant-Velocity (with Ramp Motion-Law / Cam-Law

Motion-Law Coefficients

Velocity Coefficient :

Acceleration Coefficient :

Jerk Coefficient :

Jerk at Crossover :

Application Notes:

Dynamic Performance

The Cycloidal CV50 Motion-Law is recommended in applications where you need the peak velocity to be low when compared to others. It has a large Peak Acceleration, with a short duration, thus more likely to induce vibrations.

Pressure Angle Considerations

It gives a relatively low pressure angle - because of its low peak velocity.

Drive Torques

This Motion-Law is not recommended in many applications as it gives a sudden change in torque. The input transmission rigidity would need to be high.


Dwell Motion-Law

Dwell Cam-Law, Motion-Law

Motion Description

Dwell is a Traditional Motion-Law. It is a Polynomial Motion-Law.

The Dwell motion-law has a constant Position, or zero displacement.

By definition, its motion-values for Velocity, Acceleration, and Jerk are zero throughout the Segment-Width.

Motion-Values

You CAN control the:

Start Position

The Start Position usually flows from the Position at the end of the Previous-Segment

You CANNOT control the:

End Position - by definition, it is equal to the Position at its Start

Start Velocity & End Velocity - by definition, they are zero(0)

Start Acceleration & End Acceleration - by definition, they are zero(0)

Start Jerk & End Jerk - by definition, they are zero(0)

Segment Parameters

None

Segment-Range

None

Application Notes:

Use a Dwell when you want a tool to be stationary.

However, Dwell segments are used too frequently. Why?

The other segments become shorter in duration, and their peak accelerations also increase. Shorter segment are more likely to induce vibration in the mechanism. The Peak Torque of the drive-shaft also increases, and reverses from a positive to a negative torque more rapidly. This can lead to wind-up and over-run of the drive-shaft.

Top-Tip

Try not to use a Dwell segment unless you need a tool to be absolutely stationary for at least 20° range of the X-axis.

If the dwell is less than 20°, then. as an alternative, try to delete the Dwell segment. Then, use segments that are before and after the 'dwell' that have zero jerk-values at the Blend-Point that replaces the Dwell segment.


Flexible-Polynomial Motion-Law

Flexible-Polynomial Cam-Law, Motion-Law

Motion Description

You can use the Flexible-Polynomial motion-law for many, or most, design applications.

You can, for each motion-derivative (P, V, A, J) :

·edit the motion-values at its start and end,

·not edit the motion-values at its start and end

·force the motion-value at its start to match the motion-value at the end of the Previous-Segment

You can use the Flexible-Polynomial to replicate a motion-law that is based on any of the other Polynomial Functions:

·Dwell, Constant-Velocity, Cubic, Quadratic, Throw, Poly 345 and Poly 4567 motion-laws.

Finally, you can edit the Flexible-Polynomial to design a motion-law you don't even know you need!

See [image] Tutorial: Introduction to the Flexible-Polynomial Motion-Law.

Motion-Values

You CAN choose to edit the:

Start Position and END Position

Start Velocity and End Velocity

Start Acceleration and End Acceleration

Start Jerk and End Jerk

You CANNOT edit the:

None

Segment Parameters

None

Segment-Range

None

Flexible-Polynomial


Throw Motion-Law

The Throw Motion-Law

Unlike other motion-laws, the Throw motion-law rises and immediately returns.

To design a Throw motion-law we use two Flexible Polynomial segments. This provides you with many motion-design options.

Throw type motion-laws:

·have zero velocity and acceleration at their start and end, and

·have continuous acceleration at the mid-point, and

·acceleration is usually not zero at its mid-point.

To give different motion characteristics, you can control the Jerk values at the start and end of the Rise and Return, and also Jerk continuity at its mid-point.

·Throw Quick-Return 1

·Throw Quick-Return 2

·Throw Rapid-Return 1

·Throw Rapid-Return 2

·Low Impact at Crossover


Throw Quick-Return: 1: Finite Jerk @ Start/End Motion-Law

Throw Quick-Return 1 - Finite Jerk at Start and End

Throw Quick-Return 1 - Finite Jerk at Start and End.

This Throw Quick-Return 1 is the classic Rise-Return motion-law. It has a Quick-Return when compared to two Polynomial 345 segments because it has a negative acceleration at its maximum displacement - at the transition from Rise to Return.

Throw Quick Return 1 - Finite-Jerk at Start and End

Throw Quick Return 1 - Finite-Jerk at Start and End

Motion-Values of each motion-derivative

Start of rise segment 1 :

·Position = 0

·Velocity = 0

·Acceleration = 0

·Jerk = Unspecified ( Actual value = 320 mm/s/s/s )

Mid-Point :

·Position = 1

·Velocity = 0

·Acceleration = Unspecified ( Actual value = –26.666 mm/s/s )

OR Acceleration = –20 mm/s/s

·Jerk = 0

End of return Segment 2 :

·Position = 0

·Velocity =0

·Acceleration = 0

·Jerk = Unspecified ( Actual value = –320 mm/s/s/s )

See also:

·Throw: Quick Return: Zero Jerk @ Start/End/Mid-Point

·Throw: Rapid Return: Finite Jerk @ Start/End/Mid-Point

·Throw: Rapid Return: Smooth-Start/End


Motion-Law-Throw-Quick-Return-Zero Jerk @ Start/End

Navigation: MotionDesigner Reference & User Interface > Motion Laws / Cam-Laws for Segments > Throw Motion-Law >

Return to chapter overview

Throw Quick-Return: 2: Zero Jerk @ Start/End/Mid-Point

Throw: Quick-Return with Zero Jerk at its Start and End

The Throw Motion-Law

Unlike the other motion-laws, the Throw motion-law rises from its Start-Position to its maximum displacement, and then returns to its Start-Position.

Use two Flexible Polynomial segments to design the Throw motion-law. Usually, the two segments have equal durations, but it is not necessary.

Throw: Quick-Return 1 - Zero Jerk at Start and End.

Because you use two Flexible-Polynomial segments to design the Throw motion-law, you can enter different motion-values and motion-constraints at its start, its maximum displacement, and at its end.

All Throw motion-laws have zero velocity and acceleration at their start and end.

This Throw motion-law also has zero Jerk at its start and end.

This Throw has a Quick-Return because it has a negative acceleration at its maximum displacement - the transition from Rise to Return.

See also:

·Throw: Quick Return 1 Finite Jerk @ Start/End/Mid-Point

·Throw: Rapid Return: Finite Jerk @ Start/End/Mid-Point

·Throw: Rapid Return: Smooth-Start/End

Throw: Quick-Return - Zero Jerk at its Start-and End.

THROW: Quick-Return Zero Jerk Start, Middle, End

THROW: Quick-Return Zero Jerk Start, Middle, End

Motion-Values of each motion-derivative

Start of rise segment 1 :

X =0

·Position = 0

·Velocity = 0

·Acceleration = 0

·Jerk = 0

Mid-Point :

X=180 (you can move the X-axis value of the mid-point)

·Position = 1

·Velocity = 0

·Acceleration = Unspecified (Actual value = -40.0mm/s/s )

·Jerk = 0

End of return Segment 2 :

X=360

·Position 2 = 0

·Velocity = 0

·Acceleration = 0

·Jerk = 0


Motion-Law: Throw - Rapid-Return

Navigation: MotionDesigner Reference & User Interface > Motion Laws / Cam-Laws for Segments > Throw Motion-Law >

Return to chapter overview

Throw Rapid-Return 1: Finite-Jerk @ Start/End/Mid-Point Motion-Law

Throw: Rapid-Return Finite Jerk

The Throw Motion-Law

Unlike other motion-laws, the Throw motion-law rises from its Start-Position to its maximum displacement, and then returns to its Start-Position.

To give you maximum flexibility, use two Flexible Polynomial segments to design the Throw motion-law. Usually, the two segments have equal durations, but it is not necessary.

Throw: Rapid-Return 1 - Zero Jerk at Start and End.

Because you use two Flexible-Polynomial segments to design the Throw motion-law, you can enter different motion-values and motion-constraints at its start, its maximum displacement, and at its end.

This Throw has a Quick-Return because it has a LARGE negative acceleration, and unspecified Jerk, at its maximum displacement - the transition from Rise to Return.

See also:

·Quick Return 1: Finite Jerk @ Start/End/Mid-Point

·Quick Return 2: Zero Jerk @ Start/End/Mid-Point

·Rapid Return 2: Smooth-Start/End

Two Segment 'Rapid-Return Motion 1

Motion-Values of each motion-derivative

Start of Rise segment 1 :

·Position = 0

·Velocity = 0

·Acceleration = 0

·Jerk = Unspecified ( Actual value = 260.6m/s/s/s )

Middle Blend-Point*:

·Position = 1

·Velocity = 0

·Acceleration = Unspecified ( Actual value = -58.84mm/s/s )

·Jerk = Unspecified ( Actual value = ±521.167mm/s/s/s )

End of Return segment 2 :

·Position 2 = 0

·Velocity = 0

·Acceleration = 0

·Jerk = Unspecified ( Actual value = -260.6mm/s/s/s )

* Edit the X-axis value of the middle Blend-Point to give an asymmetrical motion.


Motion-Law: Throw - Very Rapid Return

Navigation: MotionDesigner Reference & User Interface > Motion Laws / Cam-Laws for Segments > Throw Motion-Law >

Return to chapter overview

Throw Rapid-Return 2: Zero-Jerk @ Start/End Motion-Law, Finite at Mid-Point

Throw: Rapid-Return with Zero Jerk

The Throw Motion-Law

Unlike other motion-laws, the Throw motion-law rises from its Start-Position to its maximum displacement, and then returns to its Start-Position.

To give you maximum flexibility, use two Flexible Polynomial segments to design the Throw motion-law. Usually, the two segments have equal durations, but it is not necessary.

Throw: Rapid-Return 2 - Zero Jerk at Start and End, unspecified at its mid-point.

Because you use two Flexible-Polynomial segments to design the Throw motion-law, you can enter different motion-values and motion-constraints at its start, its maximum displacement, and at its end.

All Throw motion-laws have zero velocity and acceleration at their start and end.

This Throw motion-law also has zero Jerk at its start and end.

This Throw has a Quick-Return because it has a LARGE negative acceleration, and unspecified Jerk, at its maximum displacement - the transition from Rise to Return.

The Throw type motion-law it typically symmetrical. You can make it asymmetrical, if you move the X-axis value at its mid-point.

See also:

· Throw Quick Return 1: Finite Jerk @ Start/End/Mid-Point

· Throw Quick Return 2: Zero Jerk @ Start/End/Mid-Point

· Throw Rapid Return 1: Finite-Jerk @ Start/End/Mid-Point

Two Segment 'Rapid-Return with Zero Jerk at Start/End, 2'

Motion-Values of each motion-derivative

Start of rise segment 1 :

·Position = 0

·Velocity = 0

·Acceleration = 0

·Jerk = 0

Mid-Point :

·Position = 1

·Velocity = 0

·Acceleration = Unspecified (Actual value = -98.mm/s/s )

·Jerk = Unspecified (Actual value = ±1303mm/s/s/s )

End of return Segment 2 :

·Position 2 = 0

·Velocity = 0

·Acceleration = 0

·Jerk = 0


Motion-Law: Low-Impact Velocity at Crossover

Navigation: MotionDesigner Reference & User Interface > Motion Laws / Cam-Laws for Segments >

Return to chapter overview

Low Impact Crossover Motion-Law

Low Impact at Crossover.

Impact, Overrun, and Crossover.

Crossover is the timing at which acceleration becomes a deceleration, and vice versa.

At crossover, machine components traverse backlash to impact with each other.

As the Torque reverses, the load may drive the motor. The drive motor may accelerate so that, for a short period, the motor rotates faster than intended. This is called overrun. As a result, the velocity and acceleration of the cam-follower may also be greater than intended.

A motion-law with Low Jerk at Crossover means the acceleration change less rapidly at crossover - which also means the Jerk is low at crossover. As the acceleration is low for a longer period, the velocity changes less rapidly, to reduce Impacts and Overrun.

Low Impact at Crossover.

Low or Zero Impact at Crossover motion-law is not available in the Motion-Law Selector. Use two Flexible Polynomial motion-laws.

Velocity and Acceleration are zero at the start and end.

Acceleration and Jerk are zero at the mid-point.

The Low Impact at Crossover is typically symmetrical. You can make it asymmetrical if you move the X-axis and the Position at the mid-point. The maximum Velocity should not change, but the maximum Acceleration and Jerk values increase.

Motion-Law Coefficients

Velocity Coefficient :

Acceleration Coefficient :

Jerk Coefficient :

Jerk at Crossover :

Two Flexible Polynomial segments to give Low Jerk at Crossover motion-law.
Low Jerk at Crossover (with two Flexible-Polynomial Segments)

Low Jerk at Crossover (with two Flexible-Polynomial Segments)

Motion-Values of each motion-derivative - Normalized values

Start of rise segment 1 :

X = 0 ( 0º )

·Position = 0

·Velocity = 0

·Acceleration = 0

·Jerk = Unspecified ( Actual value = 80 mm//s/s/s )

Mid-Point :

X = 0.5 (180º )

·Position = 0.5

·Velocity = Unspecified ( Actual value = 1.6667 mm/s )

·Acceleration = 0

·Jerk = 0

End of return Segment 2 :

X = 1 ( 360º )

·Position = 1

·Velocity = 0

·Acceleration = 0

·Jerk = Unspecified ( Actual value = 80 mm//s/s/s )


Modified Sinusoid Motion-Law

Navigation: MotionDesigner Reference & User Interface > Motion Laws / Cam-Laws for Segments >

Return to chapter overview

Modified-Sinusoid Motion-Law

Modified-Sinusoid Cam-Law, Motion-Law

Motion Description

A Traditional Motion-Law. Its name is often reduced to Mod-Sine.

A motion with continuous Velocity and Acceleration, from start to end. The Jerk is finite at its start and end.

Motion-Values

You CAN control the:

Start Position -

The Start Position usually flows from the End-Position of the Previous-Segment

End Position

You CANNOT control the:

Start Velocity and End Velocity

Start Acceleration and End Acceleration

Start Jerk and End Jerk

Segment Parameters

None

Segment-Range

Start-Range

End- Range

0 ≤ Start-Range < End-Range ≤ 1

See also : Tutorial 5: Edit the Start of a Traditional Motion-Law.

See also : Tutorial 9: Asymmetrical Motions.
Modified-Sinusoid Cam-Law / Motion-Law

Modified-Sinusoid Cam-Law / Motion-Law

Motion-Law Coefficients

Velocity Coefficient :

Acceleration Coefficient :

Jerk Coefficient :

Jerk at Crossover :

Application Notes

The Modified Sinusoid motion-law has finite jerk throughout the segment.

It has an relatively low peak velocity, but a relatively high value of the nominal acceleration.

Dynamic Performance

This Motion-Law is a good general purpose type particularly in applications where the period ratio is between 5 and 10, particularly if the input drive is flexible or it has backlash. It performs well with respect to residual vibration after the segment is complete.

Pressure Angle Considerations

This one of the Traditional Motion-Laws that produce a relatively small pressure angle, and so a small cam for a given lift and pre-prescribed maximum pressure angle.

Drive Torques

The nominal drive torque characteristics and the actual torque values are low even for low values of Period Ratio are good for this motion-law. The low peak values and the smooth variation of drive torque during the motion-law further emphasize the suitability of this motion-law where the input drive is flexible or has backlash.

More information:

The Acceleration function is a series of Sinusoid functions.

·a ¼ Sine wave function, starting from zero acceleration, for 12.5% of the Segment-Width.

·a ½ Cosine function, for 75% the Segment-Width

·a ¼ Sine wave function, returning to zero acceleration, for 12.5% of the Segment-Width.


Modified-Trapezoidal Motion-Law

Modified-Trapezoid Cam-Law, Motion-Law

Motion Description

A Traditional Motion-Law. Its name is often reduced to Mod-Trap.

A motion with continuous Velocity and Acceleration, from start to end. The Jerk is finite at its start and end. Its peak acceleration is moderate.

Motion-Values

You CAN control the:

Start Position

The Start-Position usually flows from the End-Position of the Previous-Segment.

End Position

You CANNOT control the:

Start Velocity and End Velocity

Start Acceleration and End Acceleration

Start Jerk and End Jerk

Segment Parameters

None

Segment-Range

Start-Range

End- Range

0 ≤ Start-Range < End-Range ≤ 1

See also : Tutorial 5: Edit the Start of a Traditional Motion-Law.

See also : Tutorial 9: Asymmetrical Motions.
Modified Trapezoid Cam-Law / Motion-Law

Modified Trapezoid Cam-Law / Motion-Law

Motion-Law Coefficients

Velocity Coefficient :

Acceleration Coefficient :

Jerk Coefficient :

Jerk at Crossover :

Application Notes

The Modified Trapezoidal motion-law has finite jerk throughout the segment.

It has an average peak nominal acceleration compared to the other Traditional Motion-Laws.

Dynamic Performance

This Motion-Law is a good general purpose type particularly in applications where the period ratio is above about 5.

It is not good in applications where the input drive has backlash or is relatively flexible. As long as the drive satisfies these conditions, then this segment exhibits low residual vibrations.

Pressure Angle Considerations

This is one of the Traditional Motion-Laws that produce a relatively large pressure angle - and so might need a large cam for a given lift and pre-prescribed maximum pressure angle.

Drive Torques

This Motion-Law exhibits a rapid reversal of inertia torque at the crossover (mid) point.

Only the Constant-Acceleration Motion-Law is more rapid, of the Traditional Segments. It is unsuitable to drive heavy masses at high speeds (even though the maximum acceleration is low). The rapid reversal of torque may give rise to severe vibrations and shock loading especially if the period ratio is less than 10.

More information:

The acceleration function of the Modified-Trapezoidal is:

·0.125 of Segment-Width - 1/4 Sine function

·0.250 of Segment-Width - Constant-Acceleration

·0.250 of Segment-Width - 1/2 Cosine function

·0.250 of Segment-Width - Constant-Acceleration

·0.125 of Segment-Width - 1/4 Sine function


Polynomial 2-3 Motion-Law

Polynomial 2-3 Cam-Law, Motion-Law

Motion Description

A Traditional Motion-Law. Its name is often reduced to Parabolic Velocity, or Poly 23.45.

A motion with continuous Velocity, from start to end.

There are large Acceleration-Discontinuities, with infinite jerk, at its start and end.

It gives a low peak velocity, but a high peak Acceleration.

It has a low Jerk value at the crossover point (the mid-point).

Its Torque characteristic is very good.

Motion-Values

Use the Control-Buttons and the Flexible Polynomial motion-law

Flexible-Polynomial Control-Buttons for POLYNOMIAL 2-3

Flexible-Polynomial Control-Buttons for POLYNOMIAL 2-3

Edit the Start Position

The Start-Position usually flows from the End-Position of the Previous-Segment.

Edit the End Position

Use the Control-Buttons to force the Start-Velocity and End-Velocity to Zero (units/s)

Deselect the Start-Acceleration, End-Acceleration, Start-Jerk, and End-Jerk Control-Buttons.

Segment Parameters

None

Segment-Range

None

See also : Tutorial 5: Edit the Start of a Traditional Motion-Law

See also : Tutorial 9: Asymmetrical Motions

Polynomial 2-3

Motion-Law Coefficients

Velocity Coefficient :

Acceleration Coefficient :

Jerk Coefficient :

Jerk at Crossover :

Application Notes

Dynamic Performance:

This Motion-Law is not recommended for applications where the period-ratio < 10,

There are large Acceleration-Discontinuities, with infinite Jerk, at its start and end.

Pressure Angle Considerations

This is a Traditional Motion-Law that produces a relatively low pressure angle

Drive Torques

The torque characteristics of this motion law are good compared to other traditional motion-laws, when.


Polynomial 3-4-5 Motion-Law

Polynomial 3-4-5 Cam-Law, Motion-Law

Motion Description

A Traditional Motion-Law. Its name is often reduced to Poly-345.

A motion with continuous Velocity and Acceleration, from start to end. The Jerk is finite at its start and end. It has finite Jerk throughout.

It gives a relatively low nominal peak velocity, but a relatively high peak nominal Acceleration. It has a relatively low Jerk value at the crossover point (the mid-point). It is commonly used in high-speed mechanisms.

Motion-Values

You CAN control the:

Start Position

The Start-Position usually flows from the End-Position of the Previous-Segment.

End Position

You CANNOT control the:

Start Velocity and End Velocity

Start Acceleration and End Acceleration

Start Jerk and End Jerk

Segment Parameters

None

Segment-Range

None

See also : Tutorial 5: Edit the Start of a Traditional Motion-Law

See also : Tutorial 9: Asymmetrical Motions
Polynomial 3-4-5 Motion-Law / Cam-Law

Polynomial 3-4-5 Motion-Law / Cam-Law

Motion-Law Coefficients

Velocity Coefficient :

Acceleration Coefficient :

Jerk Coefficient :

Jerk at Crossover :

Application Notes

Dynamic Performance:

This Motion-Law is recommended for applications where the period ratio is less than 10, particularly where the input drive is stiff and the shaft speed does not fluctuate significantly under load.

It has good acceleration characteristics and is suitable for applications that need low levels of residual vibration.

Pressure Angle Considerations

This is a Traditional Motion-Law that produces a relatively large pressure angle - and so might need a larger cam for a given lift and pre-prescribed maximum pressure angle.

Drive Torques

The torque characteristics of this motion law are good compared to other traditional motion-laws, when the period ratio is less than 10. IT is recommended when no sudden change in torque is allowed.


Polynomial 4-5-6-7 Motion-Law

Polynomial 4-5-6-7 Cam-Law, Motion-Law

Motion Description

A Traditional Motion-Law. Its name is often reduced to Poly-4567.

A motion with continuous Velocity and Acceleration, from start to end. The Jerk is finite at its start and end. It has finite Jerk throughout.

It has a high maximum-velocity, high maximum-acceleration, high crossover jerk. Only the Modified-Trapezoidal (of those with finite Jerk) has a greater crossover jerk.

At its start and end, the Y-axis values do not change much with a significant X–axis change - e.g. 0.02% Y-axis with 5% X-axis change.

Therefore, a cam needs accurate machine if it is to reproduce this segment. A larger cam often helps, or an encoder with a high resolution.

If possible, increase the segment-width to reduce its maximum Velocity, Acceleration and Jerk values.

Motion-Values

You CAN control the:

Start Position

The Start-Position usually flows from the End-Position of the Previous-Segment.

End Position

You CANNOT control the:

Start Velocity and End Velocity

Start Acceleration and End Acceleration

Start Jerk and End Jerk

Segment Parameters

None

Segment-Range

None

See also : Tutorial 5: Edit the Start of a Traditional Motion-Law.

See also : Tutorial 9: Asymmetrical Motions.
Polynomial 4-5-6-7 Motion-Law / Cam-Law

Polynomial 4-5-6-7 Motion-Law / Cam-Law

Motion-Law Coefficients

Velocity Coefficient :

Acceleration Coefficient :

Jerk Coefficient :

Jerk at Crossover :

Application Notes

Dynamic Performance:

This Motion-Law is recommended in applications where the period ratio is between about 5 and 10. It has a low residual vibration. However, the high peak acceleration means every effort should be made to increase the duration of the segment.

Pressure Angle Considerations

This has a relatively large maximum-acceleration and maximum velocity, which increase the maximum pressure-angle.

Drive Torques

It has a high peak torque.


Position-List [Import Data]

Navigation: MotionDesigner Reference & User Interface > Motion Laws / Cam-Laws for Segments >

Return to chapter overview

Motion-Law: Position-List

Import Data: Position List

The Position List is a List Segment-Type.

The Position-List is a segment that uses the Data-Transfer Table to import your data as the motion-values.

Other List Segment-Types are Z-Raw-Data and Acceleration-List

STEP 1.Add a new Motion

Add New Motion

Add New Motion

See also Add Motion

STEP 2.Delete Segments

Usually, the data you want to import is for one motion cycle.

In that case, you need one segment in the motion.

You must delete three segments from the default motion-law.

See Delete Segment

STEP 3.Change the Motion-Law of the segment to Position-List

See Motion-Law Selector > Position List

STEP 4.Import your motion-values (data) into the Data-Transfer Table

1.Open the Data-Transfer Table

2.Click a cell in the first row of the Data-Transfer Table to make it the active cell.

To transfer data from a data file:

3a : Copy & Paste data from your clipboard into the Data-Transfer Table

or

3a : Use the toolbar icon Load Data from a CSV or TXT file-type

or

3a : Get all displayed P, V- A J Segment-Data or Get all displayed P, V , A, J Motion Data from a different Motion name-tab.

Motion-values (data) are now in the Data-Transfer Table.

STEP 5.Transfer the data from the Data-Transfer Table to a Position List segment-type.

To transfer all of the data:

1.Select the Position motion-values in the Data-Transfer Table

To select the data, you can click the header in the Data-Transfer Table with the Position motion-values.

2.Click Put List Data [image] in the Data-Transfer Table toolbar.

Note : These two icon show only when the segment is a List Segment-Type.

OR

To transfer a section of the data:

1.CLICK the first data-point you want to paste

2.SHIFT+CLICK the last data-point you want to paste

When the cells are active:

3.Click Put List Data [image] in the Data-Transfer Table toolbar.

Note : Get Data and Put Data icons show only when the segment is a List Segment-Type.

STEP 6.SCALE the data.

After you transfer the data, the minimum and maximum values are equal to the actual values in your data.

However, you can also scale the data.

To scale the data:

If the actual First and Last data points are EQUAL:

Scale-Factor and Position-List Use when First = Last data point.

Scale-Factor and Position-List
Use when First = Last data point.

1.Open the Segment Editor

2.Expand Segment Parameters

3.Edit the Scale Factor parameter.

Notes:

If required, to see the Segment Parameters, expand and collapse the Segment Motion-Law .

A Scale Factor = 1 scales the data to the actual minimum and maximum values.

You can edit the Start Position to offset the data on the Y-axis

You can edit the Motion-Start (Blend-Point Editor, only) value to move the data along the X-axis.

The Velocity, Acceleration and Jerk values scale automatically.

If the actual First and Last data points are NOT EQUAL

SEGMENT EDITOR : Start and End Positions of a Position-List segment

SEGMENT EDITOR : Start and End Positions of a Position-List segment

1.Start the Segment Editor or Blend-Point-Editor

2.Edit the Start-Position and End-Position


Quadratic Motion-Law

Quadratic Cam-Law, Motion-Law

Motion Description

A Traditional Motion-Law. This is a Polynomial motion-law.

The Velocity increases or decreases linearly.

Acceleration is constant, but it is discontinuous at its start and end.

Jerk is generally zero, but has infinite Jerk at its start and end.

Motion-Values

You CAN control the:

Start Position

The Start-Position usually flows from the End-Position of the Previous-Segment.

End Position

Start Velocity

You CANNOT control the:

End Velocity

Start Acceleration and End Acceleration

Start Jerk and End Jerk

Segment Parameters

None

Segment-Range

None

Quadratic Motion-Law

In the image above of 1 Quadratic segment, the motion-values are:

·Start Position = 0mm

·End Position = 1mm

·Start Velocity = 0mm/s

Applications

Segments with Constant Acceleration, Linearly Increasing-Velocity, or Linearly Decreasing Velocity.

You can use this to model a Part under the influence of a Constant-Acceleration, or a constant force or torque.


Ramp Motion-Law

Ramp Cam-Law, Motion-Law

A Traditional Motion-Law

Motion Description

The Ramp motion-law has three phases:

Phase 1: Acceleration : first ½ wave of a Sine function (see Segment-Parameters)

Phase 2: Zero Acceleration : Constant Velocity

Phase 3: Deceleration : last ½ wave of a Sine function : (see Segment-Parameters)

You can design an Asymmetric Segment, in which the Phase 1 is longer or shorter than Phase 2.

Velocity and Acceleration are continuous from start to end.

Jerk is finite but discontinuous at the start and end of Phase 1 and of Phase 3.

Motion-Values

You CAN control the:

Start-Position

The Start-Position usually flows from the End-Position of the Previous-Segment.

End-Position

You CANNOT control the:

Start Velocity and End Velocity

Start Acceleration and End Acceleration

Start Jerk and End Jerk

Segment Parameters

Start-Fraction × 100 = % of Segment-Width to accelerate from zero-velocity* to maximum-velocity

End-Fraction × 100 = % of Segment-Width to decelerate from maximum-velocity to zero-velocity**

Start-Fraction + End Fraction 1

Constant-Velocity Fraction = 1- Start-Fraction – End-Fraction

* assuming Start-Range is zero

** assuming End-Range is zero

Segment-Range

Start-Range

End- Range

0 ≤ Start-Range < End-Range ≤ 1

See also : Tutorial 5: Edit the Start of a Traditional Motion-Law

See also : Tutorial 9: Asymmetrical Motions
1 x Ramp Segment, Symmetrical

1 x Ramp Segment, Symmetrical

Applications

Asymmetric Segments, in which the Acceleration phase is longer or shorter than the Deceleration phase.

Motion with a long displacement, in which the maximum-velocity is less than other motion-laws.

Asymmetrical Example (see image below)

·Start-Fraction ≠ End-Fraction

·Start-Fraction = 0.7

·End-Fraction = 0.3

·Start-Fraction + End-Fraction = 1

Constant-Velocity % = 0%

E.g.: RAMP Segment: Start-Fraction = 0.7, End-Fraction = 0.3 (Constant-Velocity Fraction = 0)

E.g.: RAMP Segment: Start-Fraction = 0.7, End-Fraction = 0.3
(Constant-Velocity Fraction = 0)


Simple-Harmonic Motion-Law

Simple Harmonic Motion Cam-Law, Motion-Law

A Traditional Motion-Law.

Motion Description

This Motion-Law has the lowest maximum velocity of all the Traditional Motion-Laws. However, it also produces infinite jerk at its start and end.

This makes it a poor choice form a dynamic viewpoint if you use it between Dwell segments in a Dwell-Rise-Dwell type motion.. However, you can usefully apply it between Flexible-Polynomial segments, with which it is possible to remove the acceleration discontinuities at its start and end.

Motion-Values

You CAN control the:

Start-Position

The Start-Position usually flows from the End-Position of the Previous-Segment.

End-Position

You CANNOT control the:

Start Velocity and End Velocity

Start Acceleration and End Acceleration

Start Jerk and End Jerk

Segment Parameters

None

Segment-Range

None

See also : Tutorial 5: Edit the Start of a Traditional Motion-Law.

See also : Tutorial 9: Asymmetrical Motions.

Simple-Harmonic-Motion Motion-Law

Motion-Law Coefficients

Velocity Coefficient :

Acceleration Coefficient :

Jerk Coefficient :

Jerk at Crossover :

Application Notes

Dynamic Performance:

This law should be used in applications where inertia loading is not very significant. When Period-Ratio is less than 10, this law will give shock loading, noise, and vibration during operation.

The actual acceleration at the load being driven by this Motion-Law is always more than the nominal value, and for this reason, this segment should only be used in mechanical applications where inertia effects are insignificant.

Pressure Angle Considerations:

This is one of the Traditional Motion-Laws that produce a relatively small pressure angle - and so might allow a smaller cam for a given lift. OR for a given limit to Pressure-Angle, this motion-law can give a smaller cam, and/or a shorter motion segment.

Drive Torques:

When considering drive torques in isolation, the nominal torque for this Motion-Law is the best of Traditional Motion-Laws - it has both the lowest value and the smoothest variation throughout the segment. However, the motion discontinuities at its beginning and end cannot be ignored, as these will lead to shock loading.

For compliant systems of high speed systems (Period Ratio between 2 and 10) the Modified Sine and the Cycloidal are preferred.


Sine-Constant-Cosine (SCCA) Motion-Law

Sine-Constant-Cosine Acceleration (SCCA) Cam-Law, Motion-Law - a Traditional Motion-Law

Motion Description

The Segment-Parameters make this motion-law very flexible. It is possible to get many of the Traditional Motion-Laws that are based on Sine and Cosine harmonics.

See below: Segment-Parameters for Traditional Motion-Laws.

Motion-Values

You CAN control the:

Start Position

The Start-Position usually flows from the End-Position of the Previous-Segment.

End Position

You CANNOT control the:

Start Velocity and End Velocity

Start Acceleration and End Acceleration

Start Jerk and End Jerk

Segment Parameters

The SCCA motion-law is a defined by a sequence of trigonometric segments in acceleration motion-derivative. The motion-law is symmetrical, thus the sequence is:

0.0 ≤ X ≤ 0.5

a.Sine Fraction

b.Constant Fraction

c.Cosine Fraction:

d.Zero Acceleration

0.5 ≤ X ≤ 1

d.Zero Acceleration

c.Cosine Fraction

b.Constant Fraction

a.Sine Fraction

Example Motion-Law - see image below

a = 0.25 ; 25% : Total Sine Acceleration Fraction

b = 0.25 ; 25% : Total Constant Acceleration Fraction

c = 0.25 ; 25% : Total Cosine Acceleration Fraction

∴ d = 1 – a – b – c = 0.25 ; 25% Total Zero Acceleration Fraction

Rules for the segment parameters:

Segment-Parameters may be zero, but not all.

Segment-Parameters cannot be negative.

Segment-Range

Start-Range

End-Range

0 ≤ Start-Range < End-Range ≤ 1

An Example Sine Constant-Cosine Acceleration Law.

Example motion with Sine-Constant-Cosine Motion Law with Segment Parameters: Sine Fraction a=0.25, Constant b=0.25, Cosine Fraction c=0.25

Example motion with Sine-Constant-Cosine Motion Law with Segment Parameters: Sine Fraction a=0.25, Constant b=0.25, Cosine Fraction c=0.25

Segment Parameters to give other Traditional Motion-Laws.

MOTION-LAW: | Coefficients |  | Parameters
 | Cv | Ca | a | b | c
Modified Trapezoidal: | 2 | 4.89 | 0.25 | 0.5 | 0.25
'Lazy' Modified Trapezoidal: | 2 | 4.88 | 0.333 | 0.333 | 0.333
Modified-Sine: | 1.760 | 5.5 | 0.25 | 0 | 0.75
Modified-Sine CV 20%: | 1.528 | 5.999 | 0.2 | 0 | 0.6
Modified-Sine CV 33%: | 1.404 | 6.616 | 0.1667 | 0 | 0.5
Modified-Sine CV 50%: | 1.275 | 8.0127 | 0.125 | 0 | 0.375
Modified-Sine CV 66%: | 1.168 | 11.009 | 0.0833 | 0 | 0.25
Cycloidal: | 2 | 6.2832 | 0.5 | 0 | 0.5
Cycloidal CV 50%: | 1.333 | 8.378 | 0.25 | 0 | 0.25
Constant Acceleration-Deceleration: | 2 | 4 | 0 | 1 | 0
Trapezoidal Velocity CV33%: | 1.5 | 4.5 | 0 | 0.6667 | 0


Sine-Squared Motion-Law

Sine-Squared Cam-Law, Motion-Law

A Traditional Motion-Law.

Motion Description

This maximum velocity and maximum acceleration are large when compared with other motion-laws. However, it has zero crossover jerk.

At the start and end of this Motion-Law, the Y-axis does not change very much with a significant X–axis change. E.g. 0.02% Y-axis after 5% X-axis change.

Therefore, to accurately reproduce the Motion-Law, it needs precise machining, a large cam, or an encoder with a high resolution. If possible, increase the segment-width by ~20% to reduce the maximum Velocity, Acceleration, and Jerk values.

Motion-Values

You CAN control the:

Start Position

The Start-Position usually flows from the End-Position of the Previous-Segment.

End Position

You CANNOT control the:

Start Velocity and End Velocity

Start Acceleration and End Acceleration

Start Jerk and End Jerk

Segment Parameters

None

Segment-Range

None

See also : Tutorial 5: Edit the Start of a Traditional Motion-Law.

See also : Tutorial 9: Asymmetrical Motions.
Sine-Squared Motion-Law / Cam-Law

Sine-Squared Motion-Law / Cam-Law

Motion-Law Coefficients

Velocity Coefficient :

Acceleration Coefficient :

Jerk Coefficient :

Jerk at Crossover :

Application Notes

Dynamic Performance:

This Motion-Law is recommended in applications where the period ratio is greater than 10.

Pressure Angle Considerations

This has a relatively large maximum-acceleration and maximum velocity, which increases the maximum pressure-angle.

Drive Torques

It has a high peak torque.


Sinusoidal Motion-Law

Sinusoid Cam-Law, Motion-Law

This is a Traditional Motion-Law

Motion Description

This motion-law is a Sinusoid or Sine-Wave. The Segment-Parameters can define the number-of-cycles, the phase at which the first cycle starts, and the amplitude of the Sinusoid.

Motion-Values

You CAN control the:

Start Position

The Start-Position usually flows from the End-Position of the Previous-Segment.

You CANNOT control the:

End Position

Start Velocity and End Velocity

Start Acceleration and End Acceleration

Start Jerk and End Jerk

Segment Parameters

Phase - (degrees)

Enter the circular degrees at the start of the segment

Number-of-Cycles - (360 degrees / Cycle)

Enter Number-of-Cycles

One machine-cycle = 360 of the circular sinusoidal function.

Amplitude

This is the Maximum amplitude of the Sine wave

Amplitude = Peak-to-Peak / 2

Segment-Range

Start-Range

End- Range

0 ≤ Start-Range < End-Range ≤ 1
SINUSOID  segment  Amplitude =0.5 ; Number of Cycles = 1, Phase = 0

SINUSOID segment
Amplitude =0.5 ; Number of Cycles = 1, Phase = 0


Triple-Harmonic Motion-Law

Show/Hide Hidden Text

Triple-Harmonic Motion-Law

A Traditional Motion-Law

Motion Description

The Triple-Harmonic Motion-Law can approximate the Cycloidal, Modified-Trapezoidal, Modified Sine, Polynomial 3-4-5 Motion-Laws by using the Segment-Parameters

Motion-Values

You CAN control the:

Start Position

The Start-Position usually flows from the End-Position of the Previous-Segment.

End Position

You CANNOT control the:

Start Velocity and End Velocity

Start Acceleration and End Acceleration

Start Jerk and End Jerk

Segment Parameters

Three Segment-Parameters:

First Harmonic

Second Harmonic

Third Harmonic (calculated automatically from First Harmonic and Second Harmonic)

Segment-Range

Start-Range

End- Range

0 ≤ Start-Range < End-Range ≤ 1
TRIPLE HARMONIC 1st Harmonic = 4.983 ; 2nd Harmonic = 2.6 ; 3rd Harmonic = 0

TRIPLE HARMONIC
1st Harmonic = 4.983 ; 2nd Harmonic = 2.6 ; 3rd Harmonic = 0

Triple Harmonic as Approximate Motion-Laws

Cycloidal

Parameter 1 (First Harmonic):

Parameter 2 (Second Harmonic): 0.0

Parameter 3 (Third Harmonic): 0.0
Modified Trapezoidal

Parameter 1 (First Harmonic): 6.04

Parameter 2 (Second Harmonic): 0.0

Parameter 3 (Third Harmonic): 0.73
Modified Sine

Parameter 1 (First Harmonic): 5.1968

Parameter 2 (Second Harmonic): 1.769

Parameter 3 (Third Harmonic): 0.6057
Polynomial 3-4-5

Parameter 1 (First Harmonic): 5.9

Parameter 2 (Second Harmonic): 0.704

Parameter 3 (Third Harmonic): 0.9

Triple Harmonic and other Motion-Laws

Zero-Jerk at Start, End and Cross-over

Parameter 1 (First Harmonic):

Parameter 2 (Second Harmonic): 0.0

Parameter 3 (Third Harmonic):

Zero-Jerk at Cross-over

Parameter 1 (First Harmonic): 4.9832

Parameter 2 (Second Harmonic): 2.6

Parameter 3 (Third Harmonic): 0.0
Zero-Jounce* at Start

Parameter 1 (First Harmonic): 7.79

Parameter 2 (Second Harmonic): -2.29

Parameter 3 (Third Harmonic): -1.08

* Jounce is a term used for rate-of-change of Jerk.


Triple-Harmonic Modified Sinusoid Motion-Law

Navigation: MotionDesigner Reference & User Interface > Motion Laws / Cam-Laws for Segments > Triple-Harmonic Motion-Law >

Return to chapter overview

Triple-Harmonic: Modified Sine Motion-Law

Triple-Harmonic: Approximate Modified Sine

This motion is approximately equal to the Modified-Sinusoid motion-law.

1.Select the Triple Harmonic in the Motion-Law Selector

2.Open the Segment Editor.

3.Edit the Segment Parameters:

·First Harmonic = 5.1968

·Second harmonic = 1.7690

·Third Harmonic = 0.6057

We calculate the Third harmonic for you, based on the segment is a Dwell-Rise-Dwell type segment.

Segment-Parameters

Segment-Parameters that approximate the Modified Sinusoid motion-law.

Segment-Parameters that approximate the Modified Sinusoid motion-law.
Pseudo Modified-Sinusoid motion-law from 3 Harmonics.

Pseudo Modified-Sinusoid motion-law from 3 Harmonics.

Summary

This motion-law is continuous and symmetrical.

It is near to the traditional Modified Sinusoid Cam-Law.

However, because it has only three harmonics, it is smoother at the higher derivatives.

The maximum velocity is slightly lower and the nominal acceleration is slightly higher than the Modified-Sinusoid motion law.


Triple-Harmonic Modified-Trapezoidal Motion-Law

Navigation: MotionDesigner Reference & User Interface > Motion Laws / Cam-Laws for Segments > Triple-Harmonic Motion-Law >

Return to chapter overview

Triple-Harmonic: Modified Trapezoidal Motion-Law

Triple-Harmonic: Approximate Modified Trapezoidal

This motion is approximately equal to the Modified-Trapezoidal motion-law.

1.Select the Triple Harmonic in the Motion-Law Selector

2.Open the Segment Editor.

3.Edit the Segment Parameters:

·First Harmonic = 6.04 (optionally 5.96)

·Second Harmonic = 0.0

·Third Harmonic = 0.7296 (optionally 0.9696)

We calculate the third harmonic for you, based on the fact that the segment always creates a D-R-D segment.

Segment-Parameters:

Example Harmonic Settings that give an Acceleration similar to a Modified Trapezoid.

Segment-Parameters that approximate the Modified Trapezoid motion-law
Pseudo Modified-Trapezoid motion-law from 3 Harmonics.

Pseudo Modified-Trapezoid motion-law from 3 Harmonics.

Summary

This law is continuous to Acceleration.

The output motion is near to the traditional Modified Trapezoidal Acceleration Cam-Law. However, it can be described by one mathematical function.

The maximum velocity is the same as the traditional law, but the nominal acceleration is slighter greater.


Triple-Harmonic Zero-Jerk-at-Crossover Motion-Law

Navigation: MotionDesigner Reference & User Interface > Motion Laws / Cam-Laws for Segments > Triple-Harmonic Motion-Law >

Return to chapter overview

Triple-Harmonic: Zero-Jerk-at-Crossover Motion-Law

Triple-Harmonic: 'Approximate Zero-Jerk at Crossover'

Crossover : the point at which the Acceleration changes to Deceleration, or vice-versa

When Jerk is zero as the acceleration changes from a positive value to a negative value, we say the Motion-Law has Zero Jerk at Crossover. Acceleration changes slowly.

When acceleration changes slowly, and it is also near to zero, the velocity also changes slowly.

If there is backlash in the mechanical transmission between the follower and the tool, then backlash is traversed as the force changes from a positive action to a negative action. Since the velocity happens to be changing slowly, the impact velocity should also be small, with this motion-law.

Note: the Force changes when the total force on the mechanical element changes sign. The force in the system is not only a function of the Motion-Law. The Force may also include: constant, spring, damping and other forces).

To use this Motion-Law:

1.Select Triple Harmonic

2.Open the Segment Editor.

3.Edit the Segment Parameters:

First Harmonic =

Second harmonic = 0.0

Third Harmonic =

We calculate the third harmonic for you, based on the fact that the segment always creates a D-R-D segment.

Harmonic Settings that give an Acceleration with Zero Jerk at Crossover

Harmonic Settings that give an Acceleration with Zero Jerk at Crossover
Pseudo Zero Jerk at Start, End and at Crossover from 3 Harmonics.

Pseudo Zero Jerk at Start, End and at Crossover from 3 Harmonics.


Y-Inverse-Sinusoid [Special]

Navigation: MotionDesigner Reference & User Interface > Motion Laws / Cam-Laws for Segments >

Return to chapter overview

Motion-Law: Y–Inverse-Sinusoid

Y–Inverse-Sinusoid

Note: The Y-Inverse-Sinusoid motion-law is usually applied to a rotating part, e.g. a Crank. There can be only one Y-Inverse-Sinusoid segment in each motion.

The Constant-Velocity Inverse Crank is a similar motion-law. There can be more than Constant-Velocity Inverse Crank one segment in each motion.

Motion-Description

We can explain this motion-law if we project the motion of a Point that is at the end of a rotating Crank onto a Line.

When a Crank rotates with Constant angular velocity, the motion of a Point that we project onto any Line is Simple-Harmonic-Motion.

When the Crank rotates with the Y-Inverse-Sinusoid motion-law, the motion of a Point that we project onto a particular Line is Constant Linear Velocity.

Motion-Values

You CAN control the:

Start-Position - control with the Segment-Parameters - see below.

End-Position - control with the three Segment-Parameters - see below.

You CANNOT control the:

Start Velocity and End Velocity

Start Acceleration and End Acceleration

Start Jerk and End Jerk

Segment Parameters

Example Segment Parameters

Example Segment Parameters
Schematic of Crank made to give a constant linear velocity from Angle(4) (defined by Start-Position(1), to Angle(5), defined by the End-Position(2).

Schematic of Crank made to give a constant linear velocity ...

Angle [image] is to Blue line relative to any other line, as defined by the Base-Value of the Motion-Dimension FB.

Radius of Rocker (Example is 100mm)

The Radius of the Rocker (rotating-Part) controls the minimum and maximum distance from the rotating-axis of the Green point, at the end of the Rocker, projected onto the Blue line.

Start-Position [image] (Example SP=–50mm)

Directional Distance from the rotating-axis of the Green point projected onto the Blue line when the Green point starts to move with Constant-Velocity along the Blue line.

End-Position [image] (Example EP = 50mm)

Directional Distance from the rotating-axis of the Green point projected onto the Blue line when the Green point ends moving with Constant-Velocity along the Blue line.

We calculate for you the angles [image] and [image] for the Rocker relative to the Blue Line, from the Start-Position and End-Position.

Note:

The Crank rotates Counter-Clockwise when Start-Position is Negative and End-Position is Positive.

The Crank rotates Clockwise when End-Position is Negative and Start-Position is Positive.

Segment-Range

Start-Range

End- Range

0 ≤ Start-Range < End-Range ≤ 1

Video: Y-Inverse-Sinusoid Example

Video: Y-Inverse-Sinusoid Example

Y-Inverse Sinusoid

Example: with two segments.

Crank rotates in a Counter-Clockwise direction

Constant-Velocity Starts at 50mm to Left of Crank-Center (angle 120º)

Constant-Velocity Ends at 50 to Right of Crank-Center (angle 60º)

Segment 1:

·X-axis Start = 0 ; End = 90º

The Y–Inverse Sinusoid Segment-Parameters are:

·Radius of Rocker = 100mm, Start Position = -50, End Position = 50mm.

With these Segment-Parameters:

·The Y–axis is 120º†, when the Master Machine Angle (MMA) is 0º .

·The Y–axis is 60º, when the Master Machine Angle is 90º .

Segment 2:

·X-axis Start = 90º, End = 360º (0º)

A Flexible-Polynomial

·The Y–axis is 60º, when the Master Machine Angle is 90º (= end of Segment 1)

·The Y–axis –240º when the Master Machine Angle is 360º .

Thus the Crank makes a full rotation from +120 to -240 in a counter-clockwise direction.


Z-Raw-Data [Import Motion]

Navigation: MotionDesigner Reference & User Interface > Motion Laws / Cam-Laws for Segments >

Return to chapter overview

Z-Raw-Data (Import Data)

Import Data: Z-Raw-Data

Z-Raw-Data is a List Segment-Type.

The Z-Raw-Data is a segment that uses the Data-Transfer Table to import your data as the motion-values.

See also: Acceleration-List, Position-List, Tools: Data-Transfer,

STEP 1.Import your data to the Data-Transfer Table

1.Use the Motion-Law Selector to select Z-RAW-DATA for a segment.

2.Open the Data-Transfer Table

3.Click the cell at the left and top row (cell equivalent to A1) of the Data-Transfer Table to make it the active cell.

To import your data to into the Data-Transfer Table.

4.Do:

a.Copy and Paste your data into the Data-Transfer Table

or do:

a.Open a CSV, TXT or DAT (Camlinks based) file

or do:

a.Get Motion-Values from a different motion or segment

Note: In your original data, include as many decimal points as possible.

The data is now in the Data-Transfer Table

STEP 2.Move your data to the Z-Raw-Data segment from the Data-Transfer Table

1.Click the Pos header in the Data-Transfer Table to select the column of data

2.Click Put List Data [image] in the Data-Transfer Table toolbar.

To move a sub-section of the data:

1.Click the first data point you want in move to the Z-Raw-Data

2.SHIFT + Click the last data point you want to move to the Z-Raw-Data

3.Click Put List Data [image] in the Data-Transfer Table toolbar

Note : Get Data and Put Data icons show only when the segment is a List Segment-Type

Data-Transfer Table toolbar

Data-Transfer Table toolbar

The data is a plot in the Z-Raw Data segment in the motion graph.

Result: MotionDesigner :

·Does nothing if you select less than 5 data-points. MotionDesigner tells you to select more data-points!

·Transforms the data to calculate motion-values that coincide with the motion-values in the segment.

·Numerically differentiates the data to create Position, Velocity, Acceleration, and the Jerk motion-values.

In the Data-Transfer Table:

·You can use the Get Motion Data button or the Get Segment Data button to get the new Position, Velocity, Acceleration, and Jerk motion-values that MotionDesigner has calculated for you from your data.

·When the segment is a List Segment-Type, you can use the Get List Data button to move the original data back to the table.
Example of Z-Raw Data Segment

Example of Z-Raw Data Segment


CV Inverse Crank [Special]

Navigation: MotionDesigner Reference & User Interface > Motion Laws / Cam-Laws for Segments >

Return to chapter overview

CV Inverse Crank

CV (Constant-Velocity) Inverse Crank

Motion-Description

We can explain this motion-law if we project the motion of a Point that is at the end of a rotating Crank onto a Line.

When a Crank rotates with Constant angular velocity, the motion of a Point that we project onto any Line is Simple-Harmonic-Motion.

When the Crank rotates with the CV-Inverse-Crank motion-law, the motion of a Point that we project onto a particular Line is Constant Linear Velocity.

Motion-Values

Start Position - control with the Segment-Parameters - see below.

End Position - control with the Segment-Parameters - see below.

You CANNOT control the:

Start Velocity and End Velocity

Start Acceleration and End Acceleration

Start Jerk and End Jerk

The actual velocity, acceleration, and jerk values, and the distance the Point moves along the Line are a function of the:

·Segment-Width

·Length of the Rocker/Crank

·Segment-Parameters

Segment Parameters

Typical Segment-Parameters for the CV Inverse-Crank motion-law

Typical Segment-Parameters for the CV Inverse-Crank motion-law
Schematic of Crank made to give a constant linear velocity from Angle(4) (defined by Start-Position(1), to Angle(5), defined by the End-Position(2).

Svchematic to help you understand how to use the CV Inverse Crank motion-law.

The Segment-Parameters are ANGLES:

Min Vel [image] (Minimum Velocity)

The Angle relative to the Base-Value [image] angle that you control with the Motion-Dimension FB at which the Crank rotates with Minimum-Velocity.

Rel Start [image] (Relative Start)

The angle, relative to the angle you control with Min Vel [image] , at which Point [image] starts to move along the Orange Line with Constant-Velocity.

Rel End [image] (Relative End)

The angle, relative to the angle you control by Min Vel [image], at which Point [image] ends the move along the Orange Line with Constant-Velocity.

Note:

The Crank rotates Counter-Clockwise when Rel. Start is Negative and Rel. End is a Positive.

The Crank rotates Clockwise when Rel. Start is Positive and Rel. End is Negative.

Segment-Range

Start-Range

End- Range

0 ≤ Start-Range < End-Range ≤ 1
Example motion with 2 x CV Inverse-Crank motion-laws

Example motion with 2 x CV Inverse-Crank motion-laws

EXAMPLE

Two CV Inverse Crank segments in one Motion.

Segment [image] : Constant-Velocity Inverse-Crank

·X-axis : 0 to 90º

Segment Parameters are:

·Angle of Minimum Velocity = 90º

·Relative Start Angle = –30º

·Relative End = 30º

With these Parameters:

·X-axis = 0º ; Y–axis = 60º.

·X-axis =90 ; Y–axis = 120º

Segment [image] : Flexible-Polynomial

·X-axis : 90 to 180º

·Y-axis at Start P=120. V, A, J flow from the end of the Constant-Crank-Velocity Segment.

·Y-axis at End 240º

Segment [image] : Constant-Velocity Inverse-Crank

·X-axis : 180 to 270º

Segment Parameters are:

·Angle of Minimum Velocity = 270º

·Relative Start Angle = –30º

·Relative End = 30º

With these Parameters:

·X-axis = 180º ; Y–axis = 240º

·X-axis = 270 ; Y–axis = 300º

Segment [image] : Flexible-Polynomial

·X-axis : 90 to 180º

·Y-axis P at Start = 300º. V, A, J flow from the end of the Constant-Crank-Velocity Segment.

·Y=axis at End = 420º.


How to? and other FAQs...

Navigation: MotionDesigner Reference & User Interface >

Return to chapter overview

How to? and other FAQs...

How to and other FAQs

How to .... ?

1.How to design a Motion - First Steps

2.How to edit a value in a data-box

3.How do I edit the start of the motion so it does not start at 0. What is 'Motion-Design'

FAQs

1.What is 'Motion-Design'?

2.Where is the Spin-Box in the Segment / Blend-Point Editor?


How to?

How to .... ?

1.How to design a Motion- First Steps?

2.How to edit a value in a data-box?

3.How do I edit the start of the motion so it does not start at 0. What is 'Motion-Design'?

4.How to Improve a Motion?


How to Design a Motion - First Steps.

Motion Design

It is always important to try to improve the design of your motion when you need to improve the performance of a machine.

First Steps

To design a motion:

1.Plan and sketch the Motion for the tool over one machine-cycle

Note on the sketch:

·the Motion name - usually relate the name to the tooling function or interaction with the packaging. Try to make it short.

·the key positions of the tooling

·each segment

·if a segment has a velocity requirements? - e.g. to track a pack during heat-sealing

·if a segment has a minimum time-periods? - e.g. for heat-sealing jaws

·if the motion-cycle is progressive (indexing) or non-progressive (rise and return)

·...

2.Use the Blend-Point Editor, set the position of each Blend-Point to zero, then close the Blend-Point Editor.

3.Use Insert-Blend-Point to split the motion into the number of segments you believe you need,- or delete segment

4.Use the Blend-Point Editor, to make sure the Match Control-Button for each Blend-Point is set to Do Match. If the motion is a progressive motion, set the Blend-Point #1 to Do NOT Match.

5.If a segment has a particular motion, e.g. Constant-Velocity, use the Motion-Law Selector to change the motion-law.

6.Use the Blend-Point Editor to define the approximate X-axis value of each Blend-Point and the Segment-Width for each segment. Begin to define the duration of each segment making some shorter and others longer. The total duration remains as 360°.

7.Edit the motion-values at the start and or end of each segment - using the Blend-Point Editor and Segment Editor - to fully satisfy the motion requirements.

There should not be any acceleration discontinuities.

If possible, avoid Jerk-discontinuities.

If possible, remove short Dwell segments. Try to replace with Zero Velocity, Acceleration, and Jerk at the Blend-Point.

8.Complete the motion design for all of the axes on a machine.

See also: What is a motion?


How to edit a value in data-box

Show/Hide Hidden Text

Edit a value in a data-box.

A typical Dialog and Parameter with data-box.

You edit motion-values or parameter-values in exactly the same way in all dialog-boxes.

This image is the Dimension dialog that you use in MechDesigner.

It has one parameter (Dimension) and data-box (currently set to 300).

In this image of the Dimension dialog, I have added a 'window' to highlight the parameter box.

The three areas of the parameter box are:

300

Parameter value - the data-value that you edit and apply to the element.

10

Spin-Increment value - edit with the arrows at the bottom of the Spin-Box control

Spin-Box control: arrowheads - see below

If you cannot see the Spin-Box:

·Double-click in the Parameter value box.

·Again, double-click, if required.

How to edit parameters in a dialog.

There are three different procedures you can use to edit a parameter in a dialog.

1: Enter the Parameter Value with your Keyboard

 | Enter a value directly: 1.Use your keyboard to enter the data-value 2.Press the Enter key on your keyboard to update to the new value You must press the Enter key.
 | Enter a value as a symbolic equation: 1.Use your keyboard to enter an equation 2.Press the Enter on your keyboard to update to the new value You must press the Enter key
Symbolic parameters for an Equation: ·Simple Arithmetic: +, –, *, / ·Indices: ^, Sqrt() ·Trigonometric (Angles are Radians), Sin(), Cos(), Tan(), Sinh, Cosh, Tansh, ArcSin(), ArcCos(), ArcTan2( ; )

2: Use the 'Spin-Box' tool

Spin-Box arrowhead buttons (in the CYAN-BOX)

Top : Left arrowhead to subtract (–) the parameter-value [image] by the Spin-Increment

Top : Right arrowhead to add (+) the parameter-value [image] by the Spin-Increment

Bottom : Left arrowhead to divide (÷) the Spin-Increment [image] by 10

Bottom : Right arrowhead to multiply(×) the Spin-Increment [image] by 10

EXAMPLE:

Edit the Parameter-Value

·Click the Top & Left [image] arrowhead: Subtract the Spin-Increment(1) [image] from the parameter-value
Parameter-value after one click: 67.12345 – Spin-Increment = 66.12345

·Click the Top & Right [image] arrowhead two times: Add the Spin-Increment(1) [image] to the parameter-value [image] 2 x
Parameter-value after one click: 66.12345 + 2 × Spin-Increment = 68.12345

Edit the Spin-Increment

·Click the Bottom & Left [image] arrowhead: Divide the Spin-Increment by 10
Spin-Increment value after one click: 1 ÷ 10 = 0.1

·Click the Bottom & Right [image] arrowhead two times: Multiply the Spin-Increment by 10 [image] 2 x
Spin-Increment value after one click: 0.1 × 10 x 10 = 10

WARNING: The model re-builds each time you click the top arrowhead buttons in the Spin-Box tool. If the model is complex, it may be a long time to update the model.

Show / Hide the Spin-Box

< >

'Double-Click'

Double-click inside the data-box to hide the Spin-Box.

Double-click inside the data-box again to show the Spin-Box.

3: Use the Zero/Round shortcut menu

To see the Zero / Round / Paste / Copy :

1.Right-click inside the data-box

The Zero / Round / Copy / Paste shortcut-menu shows.

·Zero - the parameter-value becomes zero(0), or the smallest possible value for the parameter-value

·Round - the parameter-value becomes the nearest value that is exactly divisible by the Spin-Increment. The Spin-Increment is below the data-box - ten(10) in the image

·Copy - to copy the parameter-value to your clipboard.

·Paste - to paste the parameter-value from your clipboard.


How to start my motion at 30º not at 0º

Frequently, the timing of a motion means the X-axis value of Blend-Point #1, the start of Segment #1, cannot be at 0 .

In this case you want to move Blend-Point #1 from 0.

To move Blend-Point #1 to a value that is not 0, edit the Motion-Start parameter in the Blend-Point Editor.

The motion moves along the X-axis by the Motion-Start parameter.

STEP 1.Open the Blend-Point Editor

Blend-Point Editor icon

Blend-Point Editor icon

Use the toolbar.

1.Click Blend-Point & Segment toolbar > Start Blend-Point Editor

The Blend-Point Editor is now open.

STEP 2.Expand the X-axis values separator

STEP 3.Edit the Motion-Start-parameter

Motion Start

Edit Motion- Start to move Blend-Point #1 and all of the motion moves relative to the Master Machine Angle.


Navigation: MotionDesigner Reference & User Interface > How to? and other FAQs... >

Return to chapter overview

FAQs

FAQs

1.What is 'Motion-Design'?

2.Where is the Spin-Box in the Segment / Blend-Point Editor?


What is 'Motion Design'?

Motion Design

There are many disciplines that use the term Motion Design: E.g.: Graphic Design, Dance Choreography.

However, in MotionDesigner, you usually design motions for machine elements. In machinery, all the machine parts have mass and inertia. As such, the forces that develop between machine elements that are a result of their motions are also important. Parts with inertia must be moved carefully, especially as speeds are increased. If motions are not designed carefully, machine elements vibrate needlessly.

MotionDesigner

MotionDesigner provides all the tools to design motions for high-speed, multi-axis machines, such as those found in the packaging, assembly, textile industries.

What is Motion Design?

1.A motion is a sequence of positions for a machine element - or a Rocker or Slider in MechDesigner.

2.A motion-design satisfies a number of position, velocity, acceleration, and/or jerk specifications for the angle or distance between two parts throughout a machine cycle.

3.When the number of motion specification become extensive or complex, it is difficult to find one mathematical function that can satisfy the motion specification throughout a machine cycle.

4.Therefore, it is convenient to split a motion into segments. Segments are joined end-to-end (concatenated, to give the technical term). The number of segments in the machine-cycle is dependent on the number of different motion requirements in the machine-cycle.

5.The process of splitting into segments is called segmentation. The image above shows a motion split into 4 segments.

6.Each segment may have a different math function, which is its motion-law. Select the motion-law that can satisfy the motion specification during its segment period.

7.A Motion-Law has different parameters that you can edit to satisfy different motion specification.

8.A Blend-Point is at the instant when one segment ends and another starts.

9.There are two editors in MotionDesigner

·Segment Editor

·Blend-Point-Editor


Where is the Spin-Box in the Segment-Editor/Blend-Point Editor?

Navigation: MotionDesigner Reference & User Interface > How to? and other FAQs... > FAQs >

Return to chapter overview

Where is the Spin-Box in the Segment Editor/Blend-Point Editor?

In the Segment Editor and the Blend-Point, it is convenient to edit motion-parameters with the Spin-Box tool.

However, the Spin-Box tool may not show at the right-side of the motion-parameter.

To show or hide the Spin-Box tool

If the Spin-Box tool is not to the right-side of a motion-parameter:

1.Double-Click with your mouse-pointer in the data-box.

The first time you double-click, the Spin-Box does NOT show.

1.Double-Click again with your mouse-pointer in the data-box.

Now the Spin-Box shows.


Motion Design Considerations

Motion Design Considerations

1.Refresher on Blend-Point and Segments

2.Segment Blending and Motion (Dis)Continuity

3.Motion-Laws Compared

4.Motion Design - Dynamic Considerations

5.How to Improve a Motion


Refresher: Blend-Point and Segments

A Refresher on Segments and Blend-Points in MotionDesigner

1.A motion evaluates the displacement of a machine element at each instant of a machine-cycle.

2.In addition to the Position, the important motion-derivatives are also evaluated exactly at all machine angles.

The process of motion-design defines at particular instances of the machine cycle the exact values for position, velocity, acceleration, and/or jerk. Mathematical-functions evaluate the motion-values at all other instances of the machine cycle.

When the motion requirements becomes complex, it is difficult to find a single mathematical-function that satisfies all of the motion's requirements for a complete machine cycle.

Therefore, you usually split, or divide, the machine-cycle into two or more motion-periods that you join end-to-end to give a complete machine cycle. You can then use a different mathematical-function for each motion-period.

Use the term Segment for each motion-period.

Use the term Blend-Point for the instance in the machine-cycle at the start and end of each Segment.

Not only do motion-designers need to control when and where to split the motion into different Segments, they must also select the mathematical function that can best satisfy the motion requirements at all points in the Segment.

The mathematical-functions, from which you can select, have been chosen by PSMotion to meet the different requirements of most machine designs, each with different applications or advantages.

Each mathematical-function is called a Motion-Law or Cam-Law.


Motion-Blending and Motion-Continuity

Navigation: MotionDesigner Reference & User Interface > Motion Design Considerations >

Return to chapter overview

Segment Continuity

see also: Impact, Acceleration Shock, How to Blend Two Segments

Motion Discontinuity

Motion-Law Discontinuity

Motion Discontinuity Definition.

A motion discontinuity is one in which the Y-axis of a motion-derivative has two values at one instant on its X–axis. The name of the motion-discontinuity refers to the lowest motion-derivative in which the motion-discontinuity occurs. For example, the motion has an acceleration-discontinuity.

There are two example motions above and below.

In the image above, the motion-law is the Constant Acceleration & Deceleration Motion-Law. It has three(3) motion-discontinuities. The motion-discontinuity that is in the middle is the most aggressive, as it changes from the maximum acceleration to the maximum deceleration.

Segment Discontinuity

The motion above also has an Acceleration-Discontinuity.

This discontinuity can be eliminated when the motion-laws are Flexible-Polynomial.

Segment Blending

Segment Blending considers the motion-values at the Blend-Points.

It is recommended that you design your motions with at least Position, Velocity, and Acceleration continuity.

Jerk motion continuity may also be appropriate, but not in all circumstances.

In MotionDesigner it is possible to design motions with motion-discontinuities at any motion-derivative, even Position. A Position motion-discontinuity is only needed with a progressive, (indexing) motion, in which the position at the end of the index motion is different to the position at the start of the index motion. Clearly, the mechanical system does not move from one position to the next in zero time. It does not have a positional motion-discontinuity.

Position Continuity

A Step-change in Position?

Mechanical systems cannot respond to a Position-Discontinuity - to move from one position to a different position in zero time! It would be a magic trick! Cartoon characters can do this motion, but not mechanical systems. A Cam would need a step in it.

You must use at least the Match Control button in the Segment and Blend-Point Editors to give Position-Continuity.

Velocity Continuity

A Step-change in Velocity?

Mechanical system cannot respond to a Velocity-Discontinuity. You are trying to make the system respond as if it has been hit.

A Servo motor would need to change its speed instantly, with infinite acceleration. This is unattainable.

A Cam would have a corner, or kink.

Acceleration Continuity

A Step-change in Acceleration?

Mechanical systems do not like Acceleration-Discontinuities. The mechanical system vibrates.

Do this experiment to see an Acceleration-Discontinuity:

1.Clamp (or hold down) a 300mm ruler at one end, so it hangs over the edge of a table.

2.Release a coin from zero height onto the ruler, near to its end.

The velocity-impact is zero because you release the coin from zero-height.

The ruler experiences a step change in force (gravitational force) as you release the coin on to it.

The ruler vibrates with a displacement amplitude of about two times the final resting position of the ruler with the coin on it

Jerk Blending and Continuity

A Step-change in Jerk?

Finally, it is sometimes required that adjacent segments have Jerk-Continuity.

Jerk-Continuity gives the least mechanical vibration in the mechanical system, at the expense of higher peak nominal accelerations.

When Jerk is Zero at the start of a segment, there is only a tiny change of the Position graph for the first 10º of input. It is almost a dwell for the first 10º.

If it frequently possible to increase the duration of a segment, and thereby reduce the accelerations.


Motion-Laws Compared

Motion-Laws.

A motion is made from usually more than one segment. You select the motion-law for each segment with the Motion-Law Selector.

A common question is 'Which motion-law is best?'

When the motion is complex, possibly with many segments, that must satisfy many different position, velocity, and acceleration requirements, it is almost impossible to answer the question: 'Which motion-law is best?'.

However, when the motion is simple, when the segments are arranged for a Dwell-Rise-Return-Dwell motion, then it is easier to select a motion-law that is best for the mechanical system.

Which Motion-Law?

You see that, with many of the motion-laws, especially the 'Traditional Motion-Laws', you can only control the position at the start and end of the segment. When you give the same position at the start and the same position at the end of the segment , then the displacement plot of each Traditional Motion-Law is almost the same!

Surely, if you want to move the part, then why worry as to which motion-law you select for the segment?

The question is 'Why are there so many different motion-laws when each provides nearly the same result?'.

Actually, it is the shape of the acceleration plot, and not the displacement plot, that become more important as machine-speed is increased.

Although there is little difference between the Displacement of each Motion-Laws, there is more difference between their Velocity plots, and a large difference between their Acceleration plots. The shape of the Acceleration plot has a significant influence on the dynamic response of the part.

For this reason, it is the shape of the acceleration plot that gives the name to a Traditional Motion-Law, and not the shape of the displacement plot.

When the motion is simple, it is easier to explore the advantages and disadvantages of each motion-law.

See also: General Design Information Manual( coming 2019): Design of Cam Mechanical Systems.

Initial Selection

See below the relative ratings of the most common Traditional Motion-Laws. You can use the ratings to help you select a law at the initial stage of a machine design. The ratings range from1 (bad) to 5 (excellent). The ratings apply to Dwell-Rise Dwell type motions.

Of the laws listed, the Modified Sine(MS) is the best for general purposes. Its particular merit is that it is very tolerant of a bad input drive and transmission (elasticity, backlash, wear, low inertia). It is frequently the first choice of cam designers and is almost always used by commercial manufacturers of cam-operated indexing and oscillating mechanisms.

Additionally, you can look at the Motion-Law Coefficients of the common motion-laws. These indicate the relative peak values of the Velocity and Acceleration.

Cam-Law Designation | Peak Acceleration | Output Vibration | Peak Velocity | Impact | Input Torque | Input Vibration | Residual Vibration
Constant Acc & Dec | 5 | 1 | 2 | 1 | 1 | 1 | 1
Simple Harmonic | 3 | 1 | 4 | 4 | 5 | 2 | 1
Modified Trapezoid | 3 | 3 | 2 | 2 | 2 | 3 | 3
Modified Sinusoid | 2 | 4 | 3 | 4 | 4 | 4 | 4
Cycloidal | 1 | 5 | 2 | 3 | 3 | 4 | 5

Explanatory Notes

Peak Acceleration

This merit rating applies to the nominal maximum output acceleration during the motion period, calculated by the motion-law equation.

Output Vibration

Output vibration is superimposed on the nominal output acceleration, thereby increasing the nominal peak value. The vibration severity depends on the elasticity and operating speed of the mechanism. The merit rating applies to mechanisms of average rigidity running at fairly high speed.

Peak Velocity

Peak Velocity is the nominal maximum output velocity during the motion period, calculated by the motion-law equation. Its value is also increased by superimposed vibration.

Impact / Backlash

Impact forces occur at the locations of backlash in the mechanism when the changeover from acceleration to deceleration occurs. The severity of the impact depends on how gradually the changeover takes place. That is, how low the jerk is at point of impact. Strictly speaking, it is the changeover from positive to negative force or torque that matters, but in most high speed systems, that almost coincides with the acceleration changeover.

Input Torque

The nominal input torque of a mechanism varies throughout the motion period and is a function of the output load profile, and the velocity pattern. The peak acceleration and the peak velocity do not coincide and neither coincides with the peak input torque. Motion-Laws with good, that is low, acceleration do not necessarily have good input torque.

Input Vibration

The elasticity and backlash of the input transmission can cause serious 'over-run'. This is when the sudden reversal of the input torque at the changeover from acceleration to deceleration - or load - causes the cam to jump forwards before it can transmit a decelerating force to the output. The more gradual that the nominal input torque changes over, the less severe is the overrun and its consequences.

Residual Vibration

Residual Vibration takes place in the dwell period immediately following the motion period in high speed or elastic systems. Its amplitude depends on the vibration generated during the motion period, and the degree of damping present in the output transmission. It is very difficult to add sufficient damping to high speed mechanisms to eliminate residual vibration, so the choice of a motion-law is vital in some cases.


To Improve a Motion

Improve the Motion

This is a very subjective problem. A good motion for one application may not be a good motion for another.

An attempt to answer...

Assumptions:

·The motion is for a machine, and not a cartoon character.

·The motion is intended for a machine where the machine elements reciprocate, oscillate, index, or the speed modulates in some way.

General Advice:

·If possible, use the Flexible Polynomial Motion-Law for all of the segments in your motion. This motion-law has the most motion-design flexibility.

·Remove Velocity discontinuities.

·Remove Acceleration Discontinuities, in nearly all machine design circumstances

·Always ask yourself “Can I reduce the number of segments?” Use a minimum number of segments.

·Always ask yourself “Can I delete a Dwell Segment?” Try to remove Dwell Segments - especially short dwells. Usually it is better to remove a Dwell segment, and give the adjacent segments zero velocity, acceleration and jerk.

·Reduce the number of motion-specifications.

E.g. You can make a motion continuous in position, but do not control the actual position at a Blend-Point.

·Try to make the peak acceleration values of each segment similar to each other, or try to give similar motion durations.

This is not always possible or desirable. But consider balancing the motion to give similar motion durations or peak accelerations, or both.

·Can you increase the distance a part is moved but give it a little more time.

Why select different Motion-Laws?

A motion-law might:

·give more flexibility for you to control the motion-derivatives at the Blend-Points

·suit the mechanical system. For example, the motion-law might have a 'low peak maximum velocity'.

·give a good dynamic response to the mechanical system. For example, the motion-law might have a good response to system backlash, low drive stiffness.

·agree with a company preference(!) - for example Modified Sinusoid is often a company preference.

However, I nearly always design my motions with Flexible-Polynomial segments as they give me almost all of the flexibility I need.


Motion: Dynamic Considerations

Dynamic Response and Considerations

Use vibration terminology to describe the dynamic performance and response (or output) of a mechanical system to a regular, repeating motion design (or input).

Nominal Motion: The intended (input) motion that you want the mechanical part or system to follow. It is given by your motion design in MotionDesigner and MechDesigner.

Transient Motion: The actual (output) motion that the mechanical part or system has during the motion period.

Residual Vibration: The actual (output) motion that the mechanical part or system has after the motion period. This term usually applies to the dwell period after an indexing motion period.

Dynamic Performance

All mechanical systems have a degree of elasticity. In applications, the elasticity means that the resulting actual accelerations at the driven tooling (the output and the point where the motions is actually applied to the product) is greater than the nominal acceleration as applied by the cam-follower (the input and the point where the motion is intended) and predicted by the Motion-Law. This issue is a reality of all mechanical systems.

Transient oscillations, or vibrations, occur in all mechanical systems when the input motion-law has a discontinuity in the function at any motion derivative, particularly lower derivatives such as velocity and acceleration.

The Dynamic Performance, or Dynamic-Response, is a result of many factors.

The speed of the drive shaft (cycle speed) is one of the factors which determine the Period Ratio (speed category) of the mechanism. Others being:

·the natural frequency,

·the segment duration angle

·the range of movement (lift) - this being the LEAST significant.

Besides the effect of these factors on jerk and the resultant distortion of the actual motion produced, the maximum allowable operating speed is also influenced by the accuracy of profile manufacture. The adverse effect of local profile inaccuracies is aggravated as the machine-speed increases. But, in some cases, it may be compensated by the flexibility of the system. Very stiff mechanisms are to be preferred in all cases, provided the cam profile is smooth.

Account must be taken of the compliance of the following system.

Residual Vibration

Vibration levels don't stop when the segment is finished! Residual vibration levels should be considered. If high vibration levels are experienced by the system in a dwell immediately after a segment, then frequently the machine tooling may well be out of position as another mechanism tries to interact with it. Some designers then redesign the motion with an even longer dwell (= shorter motion segment) creating even more vibrations and longer to wait. This is not usually good solution to the problem.

Period Ratio

In order to provide an accurate definition of the operating characteristics of a mechanism, including induced vibration of the following system, use the non-dimensional parameter called Period-Ratio.

The Period-Ratio is the ratio of the:

Ratio of the Period (duration) of the motion segment to the Period (duration) of the fundamental vibration of the following system.

Period-Ratio >10 indicate stiff, low mass systems, operating at moderate or low shaft speeds.

Period-Ratio <5 occur in systems with compliant followers, a large driven mass or high shaft speed which produces a short motion segment duration.

Period Ratio < 5 represents very compliant and/or high speed mechanisms.

Mechanisms operating at moderate speeds with fairly stiff follower systems would be indicated by Period-Ratio values of approximately 10.

For Period-Ratio values of more than 20, the acceleration at the driven mass approaches the nominal acceleration defined by the Motion-Law and the dynamic response of the follower system may be neglected when determining actual accelerations.

However, it is very important to note:

In the case of the Simple-Harmonic-Motion and the Constant-Acceleration motion-laws, the actual acceleration are always significantly more than the nominal value, no matter what the Period-Ratio or machine speed.

Motion-Laws or motions that exhibit discontinuities in acceleration (infinite jerk), at any point in their cam profile, produce particularly severe vibrations at the driven mass.

The actual acceleration/deceleration at the driven mass is up to 2 times the nominal acceleration when driven by a (cam) motion with infinite jerk. The nominal acceleration ignores the flexibility or compliance in the following mechanical system.

Pressure Angle Considerations.

Clearly, this relates to Cam designs, and the influence of Motion-Law on the Pressure Angle of Cams.

The pressure angle and the way in which it varies throughout a DRD motion segment depends upon the basic dimension of the cam, the type of the follower (roller, or flat faced) and, to a lesser extent on the particular cam-law employed.

Drive Torque

The operating torques for a cam system depends on the Motion-Law and may influence the choice of the most suitable one.

In general, you want the cam-shaft to rotate as near as possible to constant-velocity. You should design the input drive system to reduce the effect of the varying Drive Torque on the speed of the cam-shaft.

Typically, make drive shaft short, and large a diameter as possible. Add a flywheel to the input near to the Cam.

Maximize the rotating speed of the drive motor with a gear-box. The armature of the motor acts as a flywheel. The Load Torque (and its variation), referred to the motor are minimized.

There are three Torque factors to consider:

Constant Load Factor

This is the component of torque required to overcome the constant component of the external load on the cam follower! The constant load is usually due to the weight of the following system (or the referred weight), the load at the start of the motion due to any spring constraint, and also friction. This is usually the least significant of the three, for a 'normal' cam driven system - but it depends on the other two!

Inertia Torque Factor

This is the component of torque required to accelerate the mass of the follower assembly. It is usually the most significant in normal systems - but that depends on the others!

Spring Stiffness Torque Factor

This component is due to the linear change of spring constraint with the follower movement. This factor is based on the minimum spring force required at the point of maximum deceleration to maintain contact between the follower and the cam. The spring, might be an 'air-cylinder' which might be either a 'constant force' or as a 'fixed air mass'.

The magnitude of the total drive torque gives some indication of the amount of torsional deflection in the drive shaft and therefore the amount of segment motion distortion that may occur. The distortion tends to attenuate (reduce) the accelerations and amplify (increase) the decelerations of the follower. An abrupt reversal of torque (e.g. due to backlash in the drive train) results in torsional vibration in the driving shaft which is transmitted through the cam to the driven system. Such distortions can be reduced by increasing the torsional stiffness of the shaft and by increasing the mass moment of inertia, especially near the cam.

Motion distortion can result from shaft bending/flexing ( due to cam contact forces)The shaft size and the position of its support bearings should be chosen to minimize any distortion of the cam-shaft.

Motion distortion can also result from the deflection of the cam-follower support shaft due to the pressure angle and cam contact-force.

Jerk

The Jerk function is related to the rate-of-change of the strain-energy of the system throughout the motion design.

Jerk should not be considered in isolation; it must be considered with the systems rigidity/stiffness and its operating speed.

The machine designer is usually most interested in jerk:

·Start and End Jerk: At the start and end of a motion or segment

·Maximum Jerk: Motions with zero jerk at the start, may have a large maximum acceleration. The mechanical system strains more when the acceleration is increased.

·Crossover Jerk: The value of jerk as the acceleration changes sign from positive to negative, or vice versa. This is called the crossover jerk. Low values crossover jerk are beneficial for systems with backlash. Backlash typically traverses once the velocity has reached its peak and begins to reduce. Standard 'Rise' Motions, between dwells, with low 'crossover jerk' has lower peak velocity. A low peak velocity means a reduced impact as the backlash traversal is completed.

·Continuity of Jerk: For many of the Traditional Motion-Laws, jerk changes instantaneously from zero to some finite value immediately after the motion segment starts. This induces vibrations in the mechanical system being driven. Other motions start and end with infinite jerk - this is an even worse condition. These motion are not usually preferred.


TOP-TIPS

TOP-TIP #1

When you start using MotionDesigner, it is easy accidentally to design a motion with a very short-segment that you cannot see in the graph, and that you do not know or want in your motion.

To see if there is a very short segment:

1.Open the Blend-Point Editor or the Segment Editor

2.Click the Next button, to move the Selected-Segment across the complete motion

If you click the Next button, but you cannot see the Selected-Segment in the motion graphs, then you have found a very short segment.

3.Click the Delete Segment button to remove the very short segment

TOP-TIP #2

On paper, plan you motion over one machine-cycle before you begin with MotionDesigner.

From your plan, you should:

1.Know if the motion is a progressive or non-progressive motion (indexing type, or Rise and Return type)

2.Know how many segments you need in your motion - over a full machine cycle.

3.Approximate the positions of each Blend-Point.


.topic 594
Animation Speed Slider: to control the apparent motion of the model.
Animation Speed is not Simulation Speed.

See: Animation Speed Slider, Simulation Speed.
.topic 595
ASSEMBLY-TREE: At the bottom of the Project-Explorer.
A hierarchical and chronological list of the elements in the model.

See more details:  Assembly-Tree
See also: Kinematics-Tree, Geometry-Tree

DE:  Baugruppe baum
.topic 666
Auto-Profile: a Profile that we add or delete with these two commands:
Solids toolbar > Add Auto-Profile (Part) to one Part
Solids toolbar > Add Auto-Profile (Mechanism) to all Parts
These commands toggle to add (or remove):
a sketch-loop in one or all Parts
an Auto-Profile / Extrusion linked to each sketch-loop

You can ONLY edit the dimension of the Arcs in each sketch-loop.
You cannot add Pin-Joints, Slide-Joints or Planes to sketch-elements in the sketch-loop.

See Solids toolbar > Add Auto-Profile (Part)
See Solids toolbar > Add Auto-Profiles (Mechanism)
See: Sketch-Loop, Profile Element
.topic 1204
Grounded and Standard Bearing Sizes relate to Auto-Profiles. They are the default diameters of circle at Pin-Joints that are added with Add Auto-Profiles. They are defined in the Application Settings dialog

Grounded Bearing : a Pin-Joint with the Base-Part.
Standard Bearing : a Pin-Joint not with the Base-Part.
.topic 1064
Part-Axes
in Mechansim-Editor
Part-Axes in Mechanism-Editor
The XY-axis symbol is small.

Part-Axes
in Part-Editor
Part-Axes in Part-Editor
The XY-axis symbol is large.

Coordinate-system of a Part
X-axis: from start-Point to end-Point
Y-axis: on Plane, +90º from X-axis
Z-axis: see Right-Hand-Rule
X,Y,Z = 0,0,0 at start-Point
.topic 1160
BALL-JOINT BEARINGS AND CONFIGURATIONS
With all Configurations, if needed, use the Ball-Joint dialog to edit the offset of the Ball-Joint from the Mechanism Plane.

Clevis
You can use this bearing as a 'clevis' joint.

Side
You can join this bearing to the side of a Part.

Ball and Socket

Images courtesy of Igus - www.igus.co.uk.
.topic 815

Ball-Joints - add two(2) Ball-Joints: one(1) Ball-Joint at each end of one(1) Part.
 Ball-Joint - at end of Connecting Part
between Point in Connecting-Part and a Point in part in Mechanism B.
 Ball-Joint - at other end of Connecting Part

Connecting Part : the Part to which you add a Ball-Joints at each end.

Other names for a Ball-Joint in the engineering community are: Rod-End Bearing, Heim Joint (USA), Rose-Joint Bearing (UK).

See more: Connecting-Part
See: Add Ball-Joint,  Ball-Joint dialog; Ball-Joint Configurations

.topic 100
Base-Part:
Part-Outline and XY-axes
Base-Part: the Part that is the fixed frame of a Mechanism-Editor.
 Origin (0,0), the XY-axes
 Green and Rectangular Part-Outline.
Edit the Base-Part to add sketch-elements

See also: Part, Free Part, Connecting Part
.topic 1413
Motion-Dimension FB: Base-Value : angle of a Rocker or the position of a Slider when a wire is not connected to its input-connector.

Motion-Path FB: Base-Value: the position of a Motion-Point along a sketch-loop when a wire is not connected to its input-connector.
.topic 930

A Bell-Crank is a Part that is usually connected to the Base-Part with a Pin-Joint.
Two more Pin-Joints at two other Points to create a two levers.
The lengths of the levers define if the Bell-Crank amplifies or attenuates the motion.
.topic 1017
3 BiArcs, 2 Tangents
What are Biarcs?
Biarcs are a series of Arcs that are Tangent with each other.
In the image:
Arc 1 is Tangent with Arc 2 at B
Arc 2 is Tangent with Arc 3 at C
Radius R1 ? Radius R2 ? Radius R3
.topic 1324
Bird's Nest is a term I use to describe a tangled length of fishing line. Sometimes when we add a 2D-Cam, it is not easy to see the Cam because something is incorrect with the model!
.topic 1502
2 x CAD-Lines
In this image, there are two(2)× CAD-Lines:
 - 1 x CAD-Line : we add for you with a Part you add to the model
 - 1 x CAD-Line : that that user has added with the Part-Editor

All CAD-Lines have a Coordinate-System:
Origin (0,0,0) - its start-Point
+X-axis - from its start-Point to its end-Point
+Y–axis (+90°) - on the Mechanism-Plane; +Z-axis See Right-Hand-Rule

See also : Part-Editor: Add CAD-Line, CAD-Line dialog

.topic 1004
A Cam is a shape, in a moving or stationary Part (called the Cam-Part) that imparts a relative motion to a different part (called the Follower-Part). A Follower-Profile is the shape help in the Follower-Part that is in continuous contact with the Cam. There must be relative movement between the Cam-Part and Follower-Part.

See also: Follower-Shapes, Add 2D-Cam, Add 3D-Cam
.topic 1422

Cam Contact Point - the small symbol at the intersection of a Follower-Profile and a Cam-Profile of a 2D-Cam. The symbol is similar to the Position G.D.T. symbol.

See also Follower-Profile Shapes

.topic 109
 Save 2D Cam as :
Bi-Arcs
Equal Angle Increments
STEP :
N/A
Inner, Outer, Groove
DXF :
Inner, Outer
Inner and/or Outer
SLDCRV :
-
Inner, Outer, Pitch-Curve
TXT* :
Inner, Outer
Inner, Outer, Pitch-Curve
CSV* :
-
Inner, Outer, Pitch-Curve
* TXT and CSV file-types have a header. SLDCRV file-types do not have a header, but we add 0 for the Z column. SLDCRV can be import directly to SolidWorks.

Export to SOLIDWORKS :
Inner, Outer
Inner, Outer
.topic 1290
Cam-Coordinates - 0,0 of Cam-Coordinates
When you design a rotating-Cam, make sure the Pin-Joint includes the start-Point of the rotating Cam-Part.
.topic 1162
Follower Motion: A Follower is a Part in a kinematic-chain. The motion of a Follower is:
controlled directly with a Motion FB and Motion-Dimension FB, or
controlled by the measured motion of a different Part in a different kinematic-chain, or
stationary.

See also Follower-Profile Shapes
.topic 1363
Camlinks was a kinematics program developed by Dr. George Rooney that was the fore-runner of MechDesigner. After Dr George Rooney's death, in 2004, we undertook to start again.
.topic 711
Camlinks Outlines are NOT DXF elements. Historical Note for Camlinks user: DXF files that were imported into a Camlinks file were saved as 'Outlines' in the Camlinks MEC file. When importing a Camlinks.MEC File into MechDesigner you have the option to leave the Camlinks 'Outlines' as 'Outlines', or they are changed into native MechDesigner Sketch-Elements. Keeping the outlines as dumb outlines is fast but inflexible. Converting the 'Outlines' to MechDesigner sketch-elements is slower but more flexible, and may not work. But, then you can edit them in the Part-Editor. If you are importing the Camlinks File for the first time, or you know the 'Outlines' are many and complex, then my advice is to use the 'Camlinks Outlines' Option in the Import Camlinks .MEC File.
.topic 895
The Maximum Contact Shear Stress is important to calculate the Fatigue Life of 2D-Cams and Follower-Profiles.

The Maximum Shear Stress is below the surface of the Cam-Profile. Its maximum value is a function of a number of parameters: Radius-of-Curvature of the Follower-Profile and the Cam, Material properties of the Cam and Follower-Profile (Young's Modulus and Poison's Ratio - see 2D-Cam dialog) the Contact Force between the Cam and Follower-Profile, and the Width(depth) of the Cam and Follower-Profile, and whether the Follower-Profile Roller is Cylindrical or Crown shaped.

Also, the calculations make these assumptions:
The width of the 2D-Cam is the same as the Extrusion Depth of the Follower-Profile.
The 2D-Cam and Follower-Profile are 'Isotropic'.
The 2D-Cam and Follower-Profile are 'Linearly Elastic'.
The dimensions of the contact area are small in comparison with the radii of the un-deformed bodies in the vicinity of the contact.
The shape of the deformed surfaces adjacent to the contact area is a rectangle or elliptical.
The bodies are frictionless; only normal stresses arising during contact are considered. Relative displacements in the X and Y directions are neglected.
The surfaces are free from surface debris and not lubricated.
See also: Equations to calculate Maximum Contact Shear Stress.
.topic 814

Cam Terminology:
 Follower-Profile -see Follower-Profile Shapes
 Cam-Profile - the contour that is in continuous contact with the Follower-Profile.
 Pitch-center - the path of the center of the Follower-Profile relative to the Cam-Part.
 Base-Circle - the circle that is tangent with the minimum radius of the Cam-Profile.
.topic 728
 'Standard' Pressure Angle
Pressure Angle:
It is the angle µ between the instantaneous normal force acting on the Follower-Roller by the cam (or visa-versa), and the instantaneous velocity vector of the center of the Follower-Roller.

See Cam-Data FB dialog

Contact Pressure Angle
Contact Pressure Angle:
Not used very often
It is the angle µ(contact) between the instantaneous normal force acting on the Follower-Roller by the cam (or visa-versa), and the instantaneous velocity vector of the contact point of the Follower-Roller.
.topic 1427

Cam-Undercutting occurs if:
If the Cam's Radius-of-Curvature is negative and it is less than the Radius of the Follower-Profile/Roller
| ?cam | < R follower-roller
.topic 1019
Closures: Dyads frequently have different kinematic closures. When it is possible to assembly two parts of the Dyad such that the resultant motion of the parts is different, then it is in a different Closure.
.topic 649
Command-Manager: in the Project-Explorer, shows when you start a command that must reference other elements.
The Command-Manager gives a hint, an instruction, and one or more selection-boxes for elements that you must select to do the command.

See more details: Command-Manager.
.topic 1273
When you use your mouse to use add commands you may find the command is:
Persistent: you can use the command again and again.
Not Persistent: you must select the command again to use it again.
.topic 1364

Congruent Triangles are the same size, shape. To move one over another triangle, you can rotate them about an axis perpendicular to the Plane.
Equal internal angles
Equal side-lengths
Each angle is in the same direction.
 and  are Congruent.
 and  are the same shape but not Congruent.
.topic 1602
Conjugate Cams / Oscillating Follower
Conjugate-Cam  (Body-Closed Cam) - a minimum of two 2D-Cams on a Part, (e.g. a rotating Cam-Shaft) that are each in continuous contact with a minimum of two follower-Rollers on a different Part. (e.g. an Oscillating Follower).
A Groove Cam is a special case of a Conjugate Cam.

See Machine-Elements menu > Add Conjugate Cam FB
.topic 860

Connecting Part: the derived-name of A Part after you join it to two(2) other Parts with two(2) Ball-Joints.
See Add Ball-Joint, Ball-Joints

To edit the:
Ball-Diameter, use the Ball-Joint dialog.
SHAFT-Diameter, edit the Connecting-Part, add circle sketch-element anywhere in the part. The Connecting-Part takes the dimension as its radius.
.topic 1054
Toolbars are available for each editor-type - Model-Editor, Mechanism-Editor, and Part-Editor.

See Model Editor, Mechanism-Editors Part-Editor.
.topic 857
A Crank is a Rocker that rotates with a Constant Angular Velocity.
.topic 1430
Cycle is the term we use to run the model.
To cycle the machine, use commands in the Run menu and toolbar.

See Machine Settings dialog, for Number-of-Steps in one machine-cycle.
.topic 1165
Decimal Mark or Separator is the generic term for the symbol used to separate the integer part from the fractional part of a number when it is written in decimal form.
In the UK it is a '.' - also called a stop, or a period
In Europe it is a ',' - also called a comma
.topic 1323
MEC is the file extension of Camlinks Files. You can open a .MEC file with File | Open Mec File icon (after you have added a Mechanism-Editor)
Camlinks was another mechanism and motion design software. Now not available.
.topic 731
The Degrees-of-Freedom (DOF) of a kinematic-chain has a number of definitions. One definition is: The number of independent coordinates that are needed to define the position of an Part or a kinematic-chain.

Use the Gruebler Equation to calculate the Degrees-of-Freedom of each kinematic-chain. For planar kinematic-chains, it is:
F - degrees-of-freedom, n - number of Parts, l - number of joints

An important related term is Mobility.
.topic 709
A Design-Set lets you collect to edit in one dialog different dimensions, Motion-Dimensions, parameters in FBs, parameter of certain elements.

See Add Design-Set, Design-Set dialog
.topic 700
A dialog is an interface that includes parameters that you can edit to modify an element in the model.
For example, Edit the number-of-teeth on each gear in a gear-pair with the Gear-Pair dialog.

See also: How to open a dialog?
See also: Dialogs
.topic 921
A Measurement FB, (see Kinematic FB toolbar >Add Measurement FB, displays the distance or angle between two(2) Lines or the angle between three(3) Points (In the special case where the selected sketch-elements are in different Mechanism-Editors, it is called a Reference Dimension). The Measurement FB gives the dimension and the first and second motion-derivatives (rate-of-change of the dimension) at its output-connector.
The dimension in the graphics-area next to the Measurement FB is equivalent to a driven-dimension.
You can use use the motion-values at the output-connector from a Measurement FB as the motion-values for a different kinematic-chain. We use the term Late-Gearing to identify those kinematic-chains driven by the motion-values from a different kinematic-chain.

See also: Reference Dimension, 'Static' Dimension, Add Measurement FB.
.topic 922
A Reference Dimension is a dimension from Measurement FB where the dimension is between sketch-elements that are in different Mechanism-Editors.
Toggle in: Show other Kinematic and Sketch elements to add a reference dimension in different Mechanism-Editors.
See also: Measurement Dimension, Motion-Dimension, Dimension
.topic 669
Dimension: a Dimension in the Part-Editor - it controls the Length or Radius of a sketch-element, or the Distance or Angle between two lines or three Points. Dimensions are added to, or between, sketch-elements.
Unlike a Motion-Dimension that controls the motion of Motion-Parts.

Also: Measurement Dimension, Reference Dimension, Motion-Dimension
.topic 117
DRAG in the graphics-area
Mouse-button-down ...move your mouse ...mouse-button-up.
.topic 1298
Digital-Readout: the value of a parameter or variable.
.topic 702

When you File>Open | DXF file-type,  MechDesigner adds a DXF-Element to the Assembly-Tree.
The DXF element is a container for the DXF-Drawing.
Edit the DXF element to change the DXF-drawing, and/or its Units.
Make the Units equal to those of the original DXF-Drawing.
.topic 787
The DXF Entities are the separate parts of a DXF Outline. The set of DXF Entities is the DXF Outline. You cannot edit DXF Entities.
They are NOT MechDesigner sketch-elements.

 See also: DXF Outlines
.topic 703
DXF File, or DXF-Drawing - Drawing Exchange Format, is an open sourced CAD file format for drawings, usually 2D Drawings.

A DXF-Drawing is associated with a DXF Element in the Assembly-Tree
See File menu > Open : DXF file-type

Link a DXF Element to a CAD-Line. to show the DXF-Drawing.
.topic 788
DXF Layers: DXF Entities in a DXF-Drawing are frequently on different Layers. Each Layer can have different a color.

See DXF Layers Editor dialog.
.topic 850
When File> Open DXF, we open it as a DXF-Outline. You cannot edit DXF-Entities in a DXF-Outline.

See also: DXF-Entities
.topic 641
DYADS (also called an ASSUR Group, or a Baranov Truss) are an assembly of:
2 Parts and
3 Joints.
- Join the two Parts to each other, and
- Join each Part to two other Parts that are kinematically-defined.

Each Dyad is in the Kinematics-Tree where we identify the type of Dyad by its joints.

PLANAR-DYADS: the joints are identified with R and P :
R is a Revolute-Joint that is identical to a Pin-Joint.
P is a Prismatic-Joint that is identical to a Slide-Joint.
Planar Dyads are: RRR,  RRP,  RPP,  PRP,  RPR

SPATIAL-DYADS: two S joints, plus one P or one R Joint.
S is a Spherical-Joint is identical to a Ball-Joint.
Spatial Dyads are: SSR, SSP.

Compare Dyads with: Motion-Parts, Geared Rocker, Pulley
.topic 727
The are three editor types:
Model-Editor -  to view the Solids, and to add Mechanism-Editors, add Planes, ...
Mechanism-Editor - to add Parts, Joints, and all kinematic and machine-elements
Part-Editor - to add sketch-elements and sketch-constraints to Parts.
.topic 652
Element-Explorer - is at the bottom of the Project-Explorer. It compiles the elements in the model into different tree-structures.
The trees structures are the Assembly-Tree, Kinematics-Tree and the Geometry-Tree.
.topic 111
Elements:  objects, or items, that you add to the model.
Edit parameters of many elements with its dialog.

See How to open a dialog?
.topic 1010

Selected Elements are:
red in the graphics-area
in the Selection-Window
In the Assembly-Tree with a square around the Element Icon

Image to the left: Part element icon, with the Part has been renamed to 'Longest'.
.topic 119
Many elements need other elements in the model that they reference.

For example, when you add a Pin-Joint you select two Points. Thus, the two Points are termed Reference-Element to the Pin-Joint.
.topic 1156
Joke: A dwarf clairvoyant escaped from jail. The police put out a statement that there is a 'Small Medium at Large'.
Native English speakers understand this Joke.
To explain to speakers of English as a second language...
A Dwarf is a 'Small Person'.
A 'Clairvoyant' (a person who can foretell the future) is also 'a Medium'.
A person who has 'escaped from jail' is someone who is 'at large', especially a Police term.
Small, Medium and Large are all related to size, of course.
So, when the Police say: 'A Small Medium is at Large', it is funny because the words are all size related yet the phrase actually means something entirely different. It is a play on words.
It also explains why translating between languages is sometimes not easy.
.topic 796
Extrusion Density in the Extrusion dialog. Each Extrusion has a density. We calculate for you the Mass and Inertia at its Center of Gravity. The default density is 7,800kg / m^3 - a low carbon steel.

See also: Extrusion dialog, Mass Properties CAD-Line
.topic 679

Extrusion-Depth (mm)
distance between the Profile Contours
distance from Primary Contour to the Secondary Contour

See Profile element.
.topic 665

Extrusion is an MD-Solid element. It is a child to a Profile or Auto-Profile

See Extrusion dialog

See also Add Profile, Add Auto-Profile,
See also: Show/Hide Solids in Mechanisms,
.topic 681

Extrusion-Offset + Part-Offset =
distance from the Sketch-loop to the Profile Primary contour

Distance to its Secondary Contour from its Primary Contour is the Extrusion-Depth.

The sketch-loop is always on the Mechanism-Plane.

.topic 696
Follower-Profile Shapes
Follower-Profile: the shape that is in continuous contact with the Cam.
Follower-Profile: a sketch-loop with a Profile / Extrusion.

Follower Shapes

1: Follower-Roller
A Circle represents a Follower-Roller.
It represents a bearing or Pin that is a Cylindrical, or Crown/Barrel shaped. It is the most common shape for a Follower-Profile

2: Flat-faced Follower
The 4×Lines as a sketch of a long rectangle represents a Flat-Faced-Follower.
The rectangle must be long enough so that the Flat-Face is always in contact with the Cam-Profile

3: Multi-Contour Follower
For example, four Arcs, with Tangent constraints,
joined as an ellipse.

4: Knife-Edged Follower
An arc, with a small radius. The small Arc represent the knife-edge. A true knife-edge is not practically possible.
.topic 1177
Kinetostatic Forces are those forces and reaction forces in parts and at joints that are a consequence of their movement.
We tend to use the terms:
Drive Torque (also called the Application-Load) for the moment a Rotary Motor must provide to the kinematic-chain.
Drive Force for the linear force a Linear Motor must provide to the kinematic-chain.
.topic 881
Gearing FB : Amplify(increase), or Attenuate(decrease), add to, subtract from motion-values at its input-connector. See Add Gearing FB
.topic 127

Graph FB : has four(4) Y-axis inputs and one(1) input for the X-axis. You can plot any of the three Data-Channels on each wire that you connect to the Graph FB.

See also: Add Graph FB,
.topic 882
Linear-Motion FB
Linear-Motion FB : default output = Master Machine Angle.

See also: Add Linear-Motion FB, Linear-Motion dialog
.topic 637
FB = Function-Block.
You must add and connect Kinematic-FBs with wires from output to input-connectors. Kinematic FBs specify motions for Motion-Parts and Motion-Points.

See also: Kinematic FB menu & toolbar, Modelling FB menu & toolbar
See also: Getting-Started-Tutorials-5 Kinematic-FBs for Motion
.topic 1277

Line-of-centers: (shown as a schematic (not as in the model) thick green line) is the imaginary Line drawn between the center points of two gears in a Gear-Pair. The Line-of-centers gives the distance between the 'Bearing Housings' for the Gear centers. The Line-of-centers may be stationary (simple, compound) or rotate (epicyclic, planetary, differential) relative to the mechanism frame.
.topic 1001
Circular Pitch is the circumference of gear / number of teeth
Circular Pitch:

Gear Module is the metric size, in millimeters(mm), of a gear-tooth.
To get Module, we drop the irrational number, , from Circular Pitch.
 Gear Module:
or, Gear Module(mm) = P.C.D.  /  number-of-teeth
Units of module are mm, but they are usually omitted.

Industry Standard Modules
P.C.D. Pitch-Circle-Diameter - definition
.topic 1015
External Mesh
Internal Mesh
A Gear-Pair is two gear-wheels in mesh.

External Mesh : two gear-wheels have gear-teeth that point outwards from the center-of-rotation.
Internal Mesh : one gear-wheels has gear-teeth that point inwards towards the center-of-rotation.
Gear-Train: The Driven-Gear of a Gear-Pair-A is the Driving-Gear of Gear-Pair-B. and the Driven-Gear of Gear-Pair-B drives/is the Driving-Gear of Gear-Pair-C, and the ...

See Add Gear-Pair, Gear-Pair dialog, Gear Module, Industry Standard Gear Modules
.topic 1014

P.C.D. - Pitch-Circle-Diameter.

P.C.D. = Module * Number-of Teeth

See Module

.topic 1002
Pressure Angle 14.5º
Pressure Angle 20º
Pressure Angle 25º
The Gear Pressure Angle is the angle between the 'Line of Action' and the Line Perpendicular to the Line-of-centers.
The Gear Pressure Angle is most easily appreciated when the gears are positioned so that the contact point coincides with the Line-of-centers, as in the images above. The 'Line-of-Action' and the perpendicular to 'Line-of-centers' are shown for Gear Pressure Angles of 20º, 25,º & 14.5º.
.topic 1041

A Gear-Train is more than one Gear-Pair that you connect in series, in which the driven gear of one Gear-Pair is the driving-gear of another Gear-Pair.
.topic 653
Geometry-Tree : replaces the Kinematics-Tree when you edit a Part.
The Geometry-Tree is a list of constraints and dimensions that you have added to a Part with the the Part-Editor.

See more details: Element-Explorer | Geometry-Tree
See also: Assembly-Tree, Kinematics-Tree
.topic 1006
graphics-area: the workspace where you add the elements to represent your model.
.topic 642

Joints (DE Gelenk): constrain Parts to move relative to each other in a defined way.
There are three types of joint in MechDesigner:
Pin-Joint
Slide-Joint
Ball-Joint
.topic 640
Kinematic-Chain that is kinematically-defined: a kinematic-chain with a Mobility of zero.
Its number of Motion-Dimension FBs is equal to its degrees-of-freedom.
The kinematic-chain shows this  symbol in the Kinematics-Tree.

See also: Part that is kinematically-defined, Part that is free
.topic 639
Kinematic-Chains : a minimum of two Parts that are joined with a minimum of one Joint,
We list the kinematic-chains in the Kinematics-Tree.

See Kinematic-Chain that is kinematically-defined.
.topic 657

Kinematic elements toolbar: the toolbar to the left of the graphics-area in a Mechanism-Editor.

Add Part
Add Pin-Joint
Add Slide-Joint
Add Ball-Joint
Change Dyad Closure
Add Pulley Joint
Add Trace-Point
Add Reference-Geometry

See also: Machine-Elements toolbar, Kinematic FB toolbar
Modeling FB toolbar
.topic 1046

.topic 608
The Kinematics-Tree is in the Element-Explorer.
The Kinematics-Tree shows the mechanisms as kinematic-chains. When a Kinematic-Chain is kinematically-defined, you can explore its elements in the Kinematic-Tree.
Each Kinematic-Chain ( with Green Part-Outlines) may have:
Motion-Parts,
Dyads and
Geared Rockers
Pulleys
Rack

See also: Assembly-Tree, Geometry-Tree
.topic 710
A machine-cycle: a cycle of the Master-Machine-Angle from 0 to 360.

see Master-Machine-Angle
.topic 713
Simulation Speed: This is the Cycles per Minute that you enter in the Machine Settings dialog. The kinematic-data and force-data is dependent on the simulation speed.
Simulation Speed is not the same as the Animation Speed.

See also the Machine Settings dialog,  Animation Speed.
.topic 662
Master Machine Angle Slider [MMA]
Master Machine Angle (MMA): at the bottom, left of the application.
The output from the MMA increases at a uniform rate from 0 to 360, again and again, when you cycle the model (ALT+C). It is a virtual machine-axis.

MMA - Approximate Value: Drag with your cursor along the scale.
The triangle below the MMA scale moves as you drag your mouse.
MMA - Exact Value: Read / Write to the data-box to the right of the scale. Use the Spin-Box tool to edit with large or small increments.

Revs: the number of complete machines-cycles of the MMA.

Use ALT+H to move the MMA=0 and REVS= 0

DE: Master-Maschinenachse. Ein Bereich von 0 bis 360.

See Master Machine Angle
.topic 1381
Mechanism-Analysis: the determination of motion (position, velocity and acceleration) and forces in a mechanism or machine.
In MechDesigner, Mechanism-Analysis is available at every instant in a machine-cycle for every Mechanism you design.

Compare with Mechanism Synthesis
.topic 705
Mechanism-Editors: You can add one or many Mechanism-Editors. For example, see here.
Use Mechanism-Editors to build one or many kinematic-chains.
Each Mechanism-Editor is related to a Plane - a Mechanism Plane
Mechanism-Editors have a:
Mechanism name-tab,
Toolbars
graphics-area
Base-Part
.topic 1110
Mechanism: 'Mechanism', 'kinematic-chain', 'linkage'.
We use 'kinematic-chain' when describing 'parts with joints'.
We might use 'Mechanism' when being more general - for example Mechanism Synthesis.
.topic 1380
Mechanism Synthesis: the application of geometry to find a mechanism that provides a design requirement. The requirements include: Position Synthesis, Function Generation, Coupler Point Synthesis. There are three stages Mechanism Synthesis:
Type Synthesis (gives the type of mechanism: linkages, gears, cams, belts...)
Number Synthesis (gives the number of Parts, how many degrees-of-freedom)
Dimensional Synthesis (gives the exact lengths of Parts, the exact Cam-Profile)

Compare with Mechanism Analysis
.topic 505

 Model name-tab identified by the Model icon.

 Mechanism name-tabs - identified by:
Light-bulb - see Show other kinematic and sketch-elements
Color Spot - see Edit color of other kinematic and sketch-elements

 Part name-tab - identified by the Part icon and Part name - it replaces the Mechanism name and Icon when you edit a Part.
.topic 1501

.topic 1383
Part-Editor > Geometry toolbar > Merge-Points
To Merge-Points efficiently, use the Merge with Hover Technique.

When you merge two Points* from two different sketch-element, you eliminate one of the two Points.
* usually start-Points and end-Point, and occasionally a center-Point.

You must Merge-Points to make a closed sketch-loop for a Profile and an open or closed sketch-path for a Motion-Point FB

See also: Add Merge-Point, Merge with Hover Technique
.topic 717
The Mobility of a kinematic-chain is:
Mobility =  # Degrees-of-Freedom – # Motion-Dimension FBs
It is critical that the Mobility of each kinematic-chain is zero(0) before you do any analysis.

See also: Kinematic-chain that is kinematically-defined
.topic 661
In MechDesigner, the verb 'to model' means 'to represent'. The noun 'model' means the complete set of elements.
.topic 706
There is one Model-Editor.
The Model-Editor shows when you start MechDesigner.

Use the Model-Editor to:
View the overall layout of the model
Add Planes to Planes, Add Mechanism-Editors to Planes
Select and edit Solid elements.

See also Model/Mechanism Option dialog
.topic 722
Motion-Values: linear or angular values of Displacement, Velocity, Acceleration, and Jerk, as a function of the Master-Machine-Angle or Time.

See also: Motion-Part, Motion-Point. Math FB
.topic 1024
A Blend-Point is a node at which you can enter motion-values.
.topic 1159
Motion-Derivative: the rate-of-change of a motion variable, usually with respect to time or machine angle. Motion-Derivative: of Displacement are Velocity, Acceleration, and Jerk.
We derive for you each Motion-Derivative symbolically. This means that we evaluate the values of each motion-derivative exactly, at any machine-angle.
.topic 785
Motion-Dimension:  the angle of a Rocker or the position of a Slider.

See also: Motion-Dimension FB, Dimension, Measurement Dimension, Reference Dimension
.topic 723
Base-Value : the value of a Motion-Dimension when you do not connect a wire to the input-connector of a Motion-Dimension FB*

Base Value + motion-value :  the value of the Motion-Dimension when you do connect a wire to the input-connector of a Motion-Dimension FB.

* Or the value at the input-connector is zero.
.topic 635
A Motion-Dimension FB controls the angle of a Rocker or the position of a Slider relative to the position of a different Part.

See Add Motion-Dimension FB.
.topic 643

Motion-Part: a derived name:
A Motion-Dimension FB controls the Linear or Angular position and motion of a Part (the Motion-Part) relative to a different Part.
There are two types of Motion-Part:
 Rocker - a Motion-Part that rotates.
 Slider - a Motion-Part that slides.

See also: Part that is kinematically-defined
Compare with Motion-Point
.topic 1370
Motion-Point FB
A Motion-Point that we add for you to a sketch-path (open or closed) when you add a Motion-Path FB.
The motion-values at the input to the Motion-Path FB control the motion of the Motion-Point along the sketch-path.
Applications: Robot-Path, Chains/Belts, Scissor-Lifts, Ram-R and Ram-P Dyads

See: Add Motion-Path FB, sketch-loop.
Compare with Motion-Part

.topic 1369
When you add a Motion-Path FB to a sketch-element / sketch-path we add for you a Motion-Point to the sketch-element / sketch-path.
Motion-values at the input-connector of the Motion-Path FB control the motion of the Motion-Point along sketch-element / sketch-path
Applications: Use as the motion and path of a Belt, Robot.

See also Motion-Path FB dialog, Motion-Point, Add Motion-Path FB
.topic 784
The motion-value is added to the Base-Value to give the Total Value of a Motion-Dimension.
.topic 849
Number-of-Steps in the Machine-Setting dialog : the number of increments to complete one machine-cycle.
.topic 1514
Overlay-Trace is a tool in MotionDesigner to plot a motion as a second plot. The overlay-trace is dumb.
.topic 570
Parts are the rigid-bodies you add to the model, and join together to build kinematic-chains. The Base-Part is the fixed Part in each Mechanism-Editor.
Parts have three degrees-of-freedom.

Part in Mechanism-Editor
Parts in the Mechanism-Editor
- see Part (added to the model)
- see Base-Part

Parts in the Part-Editor
do NOT have a Part-Outline
X-axis is from start-Point and along the CAD-Line.
Y-axis at 90° to X-axis, on the Mechanism-Plane.
CAD-Line from start-Point to end-Point
Dimension - Length of the CAD-Line
Part in Part-Editor

Kinematic states of a Part
a Part is Kinematically-Defined (also called a Solved or Green Part)
a Part is Not Kinematically-Defined (also called a Free or Blue Part)

See also: Add Part, Part-Outline, Note on Parts

.topic 1172
Part in Mechanism-Editor
Part in the Mechanism-Editor:
 Oval Part-Outline - the symbol you click to select or to edit the Part
 CAD-Line - from its Start-Point to its end-Point.

Compare with Base-Part
See also: Added Part in Part-Editor
.topic 678
Part in Part-Editor
 large X-axis - along the CAD-Line of the Part
 large Y-axis - at +90° to the X-axis.

A Part you add to the model has a:
 CAD-Line from start-Point to end-Point,
 Length dimension of the CAD-Line
Use the Part-Editor to add sketch-elements, dimensions, and constraints.
See also: Base-Part, How to Start the Part-Editor

.topic 877

Derived names for Parts:
Free has one joint, but moves freely.
Completely-Free has zero joints

Parts that are Free AND Completely Free:
are NOT kinematically-defined
are NOT solved
.topic 590
Part that is Kinematically-defined : a Part with zero(0) Mobility
All Parts in a kinematic-chain must be kinematically-defined before you can analyze the kinematics and forces.

See also: Part that is Free, kinematic-chain that is kinematically-defined
.topic 680
Part Offset(mm)- a parameter in the Extrusion dialog. It moves all Profiles / Extrusions that are in one Part along the Z-axis of the Part.
A positive or negative number. Most often, Part-Offset = 0mm.

See also: Extrusion Offset and Extrusion Depth.
.topic 614
Part-Outlines: Base-Part(1), Part(2)
Part-Outline: the symbol of a Part.

The shape of the Part-Outline of a:
 Base-Part is Rectangular
 Part is Oval

Part-Outline Colors (typically)
 Green: Solved, kinematically-defined
 Blue: Not Solved, Not kinematically-defined
.topic 1077
Rotating-Part: a Part that you join to a different Part with a Pin-Joint. The Parts can only rotate relative to each other. The Pin-Joint as the center-of-rotation.
.topic 1050
Equations in data-box. To edit the data-value of a parameter, you can enter an equation: Degrees are in Radians
E.g: Sin(1)  0.8415
If you need to enter a value for , you can enter:
3.14 - 2dp Note: 22/7  3.143 (often not accurate enough)
3.14159 - 5dp. Note: 355/113  3.141593... usually good enough
3.14159265 - 8dp
3.14159265358 - 11dp
.topic 591
2 x Pin-Joints
Pin-Joint - a joint between two Points in two different parts.
The Parts rotate relative to each other.

Symbols for a Pin-Joint:
 Circle - it moves relative to the Base-Part.
 - POS Geometric Drawing Symbol - it cannot move relative to the Base-Part.
A Pin-Joint is also known as a Revolute Joint, or a Hinge Joint.

See: Slide-Joint, Ball-Joint, Add Pin-Joint

.topic 792
2D-Cam and Pitch-Center
Pitch-Center  - the path, or locus, of the center of a circular Follower-Roller relative to the Cam-Part, throughout a machine-cycle.
When the shape of the Follower-Profile is not circular, the Pitch-Center does not have a useful meaning.
Other terms: Pitch-Curve, Pitch-Center-Curve.

See also: 2D-Cam dialog
.topic 1049

Pitch-Circle Diameter (PCD)
The effective diameter of a Belt as it passes around a Pulley.
The Number-of-Teeth (see Pulley dialog) and the Tooth-Pitch (see Motion-Path dialog) control the PCD.
Tooth-Pitch:
The Linear distance between adjacent teeth.
.topic 503
Planes in Model-Editor
A Plane is an element.

You can add to Planes:
Mechanism-Editors

You can add Planes to:
Planes
Lines
X-axis of a Part
Y-axis of a Part

See
Add Plane (Model-Editor)
Add Plane (Mechanism-Editor)

DE: Der Ebene ist ein Element. Fügen Sie einen Mechanismus um die Ebene Element.
Plane in Mechanism-Editor

.topic 859
Mechanism-Plane: the XY-Plane of the active Mechanism-Editor. It is the Plane you select when you do Add Mechanism.
Symbols of Kinematic-element and sketch-elements are on the Mechanism-Plane.
Ball-Joint - the only kinematic-element that can be offset from the Mechanism-Plane.
MD-Solids extrude perpendicular to the Mechanism-Plane.

See also: Part Plane
.topic 1310
Part Plane: is the XY-Plane of a Part. It is coplanar with the active Mechanism-Plane
The X-axis of each Part is collinear with its CAD-Line.
.topic 1605
POINTS : can be added with Part-Editor > Add Point.
Points are also the:
Start-Point and End-Points of a CAD-Line, Line, Blend-Curve, ARC
center-Point of an Arc and Circle
nodes of a Spline

START-POINT : at mouse-button-DOWN to start the sketch-element.
END-POINT : at mouse-button-UP to end the sketch-element.
center-Point: at mouse-button-DOWN to start Add Circle
.topic 1425
Point-Cloud : a general term for X,Y,(Z) data that define the outline shape of an object.
You can add a Point-Cloud FB to a Part to import Point-Cloud data
Curve: Use the Point-Cloud dialog to calculate a curve that is a smooth-fit to the Point-Cloud data.
You can use the curve as the 'irregular' profile with a Magnetic-Joint.

See: Add Point-Cloud, Add Magnetic-Joint
.topic 1009
Polyline : a sketch-element that is a copy of a 2D-Cam or Gear-Pair when you do the Add Polyline command.
Notes:
You can add a Profile / Extrusion to a Polyline.

See also:  Add Polyline,, Gear-Pair
.topic 1468
A Power-Source is the element that provides the Driving Force or Torque for each degree-of-freedom in a Kinematic-Chain.
Use the Configure Power Source dialog to select a Joint, Spring, 2D-Cam or Gear-Pair as the Power-Source for a kinematic-chain.

See Configure Power-Source dialog
.topic 183

Sketch-Loop and
Profile-Contours
Profile element
Two contours that are copies of a sketch-loop
Profile contours define the Extrusion Depth.

See:
Add Profile
Auto-Profile
.topic 650
The Project-Explorer is to the left of the graphics-area.
It includes:
the Selection-Window (top),
the Command-Manager (middle), and
the Element-Explorer (bottom).
.topic 1023
Pinion driven Rack
Rack and Pinion
The example shows a Rack driven by the Pinion.
The Rack's motion is a function of the
 - the motion of the Pinion
 - the number-of-teeth on the Pinion
 - the side of the Pinion the Rack slides.

.topic 1362
Ram-P - a special Motion-Part, a pseudo-Dyad.
In the Dyad, there are two Parts that are configured as an RRP Dyad. In the Ram-P you control the length of one Part with a Motion-Path FB.

See also Ram-R
.topic 1361
Dyad: Ram-R
Ram-R : Two Parts, with three Pin-Joints (RRR). One Point in the middle Pin-Joint (RRR) moves along a Line. - it is a Motion-Point that you add to the Line with Add Motion-Path FB. The input wire to the Motion-Path FB controls its motion.

Air Cylinders and Scissor-Lifts need a  Ram-R Dyads

See also Ram-P, Motion-Point
.topic 1016
Translation, in which the paths of all Points on a Part are straight, parallel lines.
.topic 1507
The 'Release - Version - Build' number.
.topic 1042
Right-Hand-Rule
.topic 644

Rocker: derived-name for a Part that:
is joined to a Part with a Pin-Joint
uses a Motion-Dimension FB to define its angle and motion.

It is a Part that is kinematically-defined.

See also: Crank, Slider
.topic 1066
A Geared-Rocker is the Driven-Gear of a Gear-Pair. The motion of a Geared-Rocker is a function of the motion of the Driving-Gear, the ratio of the gear-teeth, and the Mesh of the Gear-Pair.

The Driving-Gear is the Part that is kinematically-defined before you do Add Gear-Pair. After you do Add Gear-Pair, you can select the Driving-Gear or the Driven-Gear, or any other Part, in the kinematic-chain as the Power-Source.

See Motion-Part, Dyad, Pulley-Rocker
See: Add Gear-Pair, Gear-Pair dialog
.topic 1386
A Pulley-Rocker is a rotating, Part that is kinematically-defined that is driven by a Motion-Point and Driving-Pulley/Rocker.

See Motion-Part, Dyad, Add-Pulley
.topic 651
SELECTION-WINDOW is at the top of the Project-Explorer. It shows the elements that you click in the graphics-area, the Assembly-Tree, Kinematics-Tree, or the Geometry-Tree.

To edit an element that is in list of elements in the Selection-Window
Right-click any element to show a shortcut menu
Click:
Edit element
Delete element
Rename element
Show Element References

See more details: Selection-Window
.topic 655
Arc: a sketch-element that you can add to a Part with the Part-Editor.

See also: Point, Line, CAD-Line, Circle, Blend-Curve, Polyline.
See also: Add an Arc Video
.topic 1378
Blend-Curve between a Line and Arc sketch-elements
A Blend-Curve is a sketch-element. At its start-Point and end-point you can edit its angle, curvature and curvature rate.
It is often used to guide Motion-Points.

See: Add Blend-Curve, Blend-Curve dialog, Motion-Path FB
.topic 612
CAD-Lines in an Added-Part
There are two(2) CAD-Lines in the image.

CAD-Line is from the start-Point to end-Point of a Part.

CAD-Line has been added to the Part with the Part-Editor,

CAD-Lines and Coordinate system:
+X–axis from its start-Point to its end-Point.
+Y–axis:+90, on the Mechanism-Plane.
.topic 656
A Circle is a sketch-element you can add to a Part.
A Circle is the most basic sketch-loop. It is frequently used as the shape of the Follower-Profile for a Cam

See also: Point, Line, Arc. Blend-Curve.
.topic 664
Sketch-Element Constraints: are:
Equal, Parallel, Perpendicular, Coincident, Concentric, Mid-Point, Tangent, Horizontal, Vertical.

See Part-Editor
.topic 663
Sketch-Element Dimensions: length of Lines**, radius of Arcs and Circles, perpendicular distance between a Line** and Point*, distance between two parallel Lines**, position of Point* from the X-axis or Y-axis (or other Lines, Point) angle between two Lines**, angle between three Points*.

* : start-Point, end-Point, center-Point, Point, Motion-Point
** : Lines, CAD-Lines, X-axis, Y-axis
.topic 575
Line - in the Part-Editor, a sketch-element that you add to a Part.
A Line has a start-Point and an end-Point.
The positive direction of a Line is from its start-Point to its end-Point.

See also: Arc, Point, Circle, CAD-Line, Blend-Curve, Spline
.topic 182
Point : in the Part-Editor, a sketch-element you add with Add Point.

Note: start-Point and end-Point at ends of a Line, CAD-Line, Blend-Curve,,and Arc; & center-Point at the center of a Circle, and Arc.

See also: Add Point, Point Vector and Location, Add Trace-Point, Add Point-Data FB., Merge-Points
.topic 654
Sketch-elements: Point, Line, Circle, Arc, CAD-Line, Blend-Curve, Spline, Polyline.

See also: open and closed sketch-loop
See also: Part-Editor
.topic 1485
Open and Closed Splines
A Spline is a sketch-element. It is defined by the position, gradient, curvature of constraint points along the Spline shape.
The Spline can be open or closed.
If you click a Spline one time, then the drag-handles  show You can drag the arrow-heads to control the gradient and the curvature of the spline at the Point.
You can drag the handles in the Mechanism-Editor and Part-Editors.

See also: Blend-Curve.
.topic 613
Sketch-Loops are Closed
Sketch-Paths are Open or Closed
Sketch-Loop & Sketch-Path
Derived-names for 1 or more sketch-elements that you join end-to-end with Merged-Points.
We use the terms:
Sketch-Loop for a Profiles/Extrusion
Closed
Sketch-elements can not cross

Sketch-Path for a Motion-Path FB
Open  or Closed
Sketch-elements can cross

Sketch-elements cannot branch
.topic 1048
quasi-Sketch-Loop
Quasi-sketch-loops (from Auto-Profile command) combine Arc and Line quasi-sketch-elements that have these properties:
You cannot select, edit, delete the Arcs and Lines
You cannot add a joint to a Line, start-Point, or end-Point.
You can edit the Radius (dimension) of each Arc.
There is no Tangent constraint between Line and Arc sketch-elements.
The image shows a quasi-sketch-loop around the start-Points and end-Points that are in the Part.

.topic 636
Slide-Joint
A Slide-Joint constrains Lines* from two(2) parts to be collinear *Lines and/or CAD-Lines.

Symbol for Slide-Joint is:
  narrow rectangle
  wide rectangle
  positive direction arrowhead

The length of the rectangles are the equal to the Lines that make the Slide-Joint.
See also: Pin-Joint, Ball-Joint, Slider
See also Positive Direction of Slide-Joint

.topic 648
Slider
Slider - derived-name for a Part that
you join to a Part with a Slide-Joint
uses a Motion-Dimension FB  to control its position and motion.

It is a Part that is kinematically-defined

See also: Rocker, Dyads
.topic 1078
Sliding-Part: a Part that you join to a different Part with a Slide-Joint.
The Parts can translate relative to each other, with the Slide-Joint as the linear translation direction.
.topic 1301

There are two Solid types:
MD-Solids
- Extrusions
See: Add Profile and Auto-Profile
CAD-Solids
- 3D-CAD you import onto CAD-LinEs
See: CAD-Line dialog
.topic 1472
Spin-Box tool [the arrowheads in the 'green-box'].
The Spin-Box tool is a convenient way to edit a parameter data-value in a dialog.
Edit the parameter-value
Click the top arrow buttons to edit the parameter-value by the spin-increment
Edit the Spin-Increment:
Click the bottom arrow buttons to edit the Spin-Increment by factors of 10.

SHOW or HIDE the Spin-Box tool
Double-click in the data-box to toggle between Show or Hide the spin-box tool.
Shortcut menu:
Right-click in the data-box to show the Zero/Round/Copy/Paste shortcut menu.

.topic 1313
An STL file-type is derived from the word "Stereo-lithography." The STL file-type gives the xyz coordinates of the vertices and normals of triangles that describe the surface of the 3D object.
Each triangle is defined by its normal and three points at its vertices. You can have a coarse, fine, or custom number of triangles and vertices.
The number of triangles in the STL file is a balance between unmanageable file-size (too many triangles) and small file-size, (but too few vertices to define the shape well) The optimum is a model in which the model has the appearance of reasonably smooth surfaces, and a manageable file-size.

The STL File should be saved as a Binary file, and typically in meters. You can select the original Units in the CAD-Line dialog when you import the STL file.
.topic 738
Symbols represent elements in the graphics-area. Click the Symbol to identify the element in the Selection-Window

Size of Symbols: see Application Settings | Accessibility tab
.topic 1426
Use the Kinetostatic Torque-Speed dialog to select a Servo-motor and Gearbox to drive an Application Torque.
Find a Servomotor from the Load Torque, the Inertia and Acceleration of the Motor and Gearbox.
Find the best Gear-Ratio for the Gearbox.
Note:  When you Calculate and Display Force Vectors, the Moment couple in the graphics-area is the Application-Torque . It is the Torque you need at the output from a Servomotor and Gearbox to move the kinematic-chain. It does not include the Torque to move the Servo-motor and Gearbox.

See Kinetostatic Torque Speed Curve dialog.
.topic 671
Trace-Point shows the path of moving Point on the Mechanism Plane over a machine-cycle.
Other terms are: Locus, Coupler Curve.

See Kinematic elements toolbar > Add Trace-Point.
.topic 1013
Transition-Curve
A Transition-Curve is a curve that guides a chain onto a sprocket.
It removes the curvature discontinuity and chordal /  polygonal action.

.topic 1526
ZXL file-type: all file-types are wrapped up in one file. The files include: CXL, MTD, and may also include DXF, STL, SLDPRT, SLDASM file-types.
.topic 15

Do Flow : Start of the Selected-Segment = End of the Previous-Segment
The motion-values must flow from segment to segment - left to right
Also: Do Match

Do Not Flow : Start of the Selected-Segment ? End of the Previous-Segment
The motion-values do not flow from segment to segment - left to right
Also: Do NOT Match
.topic 11
List Segment-Type: those segments that allow you to import your own motion-data. The List segment-types are:
Position-List
Acceleration-List
Z-Raw-Data

.topic 3800
Motion-Width (Read-Only)
Motion-Width: the sum of segment-widths (in X-axis units)
Motion-Width is typically 360, when X-axis units are degrees.
Motion-Width is at the bottom of the motion graphs - next to the Motion-Law Selector

See also: Segment-Width, Motion-Law Selector.

.topic 12
Period: duration in seconds or degrees of a motion or segment measured along its X-axis.
E.g. Time-Period of 0.2 seconds. OR Index-Period of 60°, Dwell-Period of 120°.

See also: Segment-Width


Open LXL file-type

Navigation: »No topics above this level«

Return to chapter overview

File | Open - LXL File-Type

File > Open > LXL file-type

Open a Library file (LXL file-type) that you have saved at another time - see Save as Library File.

SEE > NEW in MD16 Import Library File

To open a Library File with File > Open

1.Click to select a Plane, a Part; or select Nothing:

If you:

·Select a Plane - the Library file opens onto a new Mechanism-Editor as a child to the Plane

·Select a Part - the Library fie opens onto the Part as a child to the Part.

·Select nothing - the Library fie opens and merges with the active Mechanism-Editor.

2.Click File > Open

The Windows® File Open interface starts.

3.In the Files of type drop-down, select Library files (*.LXL)

4.Select, a Library File

5.Click the Open button

You can now save the original model before you open the Library File.

You should now see the Library file as a new Mechanism-Editor, as a child to a Part, or merged with the active Mechanism-Editor.


About

Navigation: »No topics above this level«

Return to chapter overview

Help > About

Show/Hide Hidden Text

Help > About dialog

There are four tabs:

MD XXX V-R-B tab

Version: MechDesigner XXX V.R.B
XXX = PRO - Professional ; STD = Standard ; TRL = Trial V. R . B : Version - Release - Build
Type : | Win64
Features: | FULL Version
Release Date: | dd-mm-yyyy

Graphics tab

Graphics Card Supplier: | For example: NVIDIA Corporation
OpenGL Version: | For example: 4.5.0 NVIDIA 361.91
Graphics Card Model | For example: GeForce GTX 970/PCIe/SSE2
OpenGL Extension | For example: GL...AMD_multi_draw_indirect, GL_AMD,_.... and others.
Type Library tab

SolidWorks® Type-Libraries / Installed Version of SolidWorks

Each version of SolidWorks uses a different Type Library file.

In the image above :

·SolidWorks Type Library: 2021

·Installed Version of SolidWorks: 2021

When the year is the same, you are All good to go.

If the versions are not the same, then Run as Administrator when you start MechDesigner, and check again.

Note: From MD15 - the correct Type Libraries are installed automatically with your installation, and it checks which version of SolidWorks you are using each time you start MechDesigner.

Protection Key

MechDesigner Software Key | Mdxx_x_x-xxxx-xxxx-xx
Program Expiry Date | Lifetime / Expiry Date
Support | Have Support + Expiry date / Without Support
Code Features | PREM, STAN, LITE (TEST (code testing only))
License Duration | Lifetime / Annual


Filters

Filter and Display menus and toolbars

Filter: Selection Filters and Display Filters menus

Display Filters & Selection Filters menus

Display Filters & Selection Filters menus

Filters: Display Filter, Selection Filter, (and View) toolbars

The Display Filters, Selection Filters (and View) toolbars are BELOW the graphics-area.

Display Filters & Selection Filters (and View) toolbars - collapsed

Display Filters & Selection Filters (and View) toolbars - collapsed


Help

Help menu

Help menu commands

 | Open Local Help The Local Help is copied to <CommonAppData>\ Help \ when you install MechDesigner. To get contextual help: ·Click Help menu > Open Local Help, and/or ·Click the [image] icon in a dialog, and/or ·Press the F1 key when you move your mouse over a command icon.
 | On-line Help You need an Internet connection. We open for you the MechDesigner's Help Welcome Page. The On-Line help has many tutorials.
 | Download Latest Help... You MUST have Administrator Rights Download the Local Help to make sure you have the latest version. 1.Click Help menu > Download Latest Help... 2.Click Download Now button
 | Download Example Models 1.Click a model from the list of Examples Wait for the model to download. Some models are large. Please be patient to make sure the file downloads. To show the Solids that are in the model, click: ·Edit toolbar > Auto Update / Rebuild ·Visibility toolbar > Show Model in Mechanisms to show Solids ·Filters menu > Display Filters > Show/Hide Planes to hide Planes that may hide other elements in the model.
 | Toggle Hints Use to show tool-tips next to your mouse-pointer. 1.Click to Toggle Off (You may need to click this two(2) times) 2.Click again to Toggle On See also Application Settings
 | Download Tutorial Videos: See Tutorials dialog
Internet sub-menu >
 | About dialog tabs: MechDesigner - 16.1.54: (Release.Version.Build) Graphics - your Graphics Card Supplier, OpenGL Version, Graphics Card Model, OpenGL Extensions Type-Libraries: Last used version of SOLIDWORKS and installed version of SOLIDWORKS Type-Libraries Protection Key - Your License Settings See About dialog


Internet menu

Navigation: »No topics above this level«

Return to chapter overview

Help > Internet

Help menu > Internet

You need an internet connection.

PSMotion Home Page

A link to: psmotion dot com in your web-browser.

Report Bug, Send Mail, Feature Request

Report Bug / Feature Request

Please send all Bugs and Feature Requests to support at psmotion dot com

Send Mail

Send emails to support at psmotion dot com or sales at psmotion dot com

Download Example Models


View

View toolbar and menu

The View toolbar is below the graphic area.

It has the typical View options of CAD software.

View menu

View menu

View toolbar

The View toolbar is BELOW the graphics-area.

View toolbar

View toolbar icons

View from the: Front ; Back ; Left ; Right ; Top ; Bottom Front-View is the XY-Plane of the active Mechanism-Editor F3 key on your keyboard is the s short-cut key for the Front-View TOP-TIP: Clipped Models - if part of the model is large, it may not display correctly. The model is clipped. If the model is clipped: 1.Click Front-View (F3) 2.Click Zoom-Extents
 | View Align ·Part-Editor : Click View Align to view the Part with a horizontal X-axis. ·Mechanism-Editor : Click View Align to view the Base-Part with a horizontal X-axis.
 | View Normal to a Plane To make the view normal(⊥) to a Plane: 1.Click View Normal to Plane 2.Click a Plane 3.Click [image] in the Command-Manager
 | SPIN Spin button + Mouse-Button-Down + move your mouse-pointer to Spin the model. Shortcut: - not usually recommended SHIFT key + Mouse-Button Down + move your mouse-pointer to Spin the model. Spin Shortcuts with keyboard arrow-keys - recommended 10º Spin : LEFT / RIGHT & UP / DOWN keyboard arrow-keys. 30º Spin : CTRL + LEFT / RIGHT & UP / DOWN keyboard arrow-keys. 90º Spin : SHIFT + LEFT / RIGHT & UP / DOWN keyboard arrows-keys.
 | PAN Pan button + Mouse-Button-Down + move your mouse-pointer to Pan the model. Shortcut: CTRL key + Mouse-Button Down + move your mouse-pointer to Pan the model. Notes: With practice, you can also use your middle-mouse-wheel to Zoom Out then Zoom-In. If the model is a large, wait for the model to move when you move your mouse-pointer.
 | Zoom Extents To display the complete model. If the complete model does not show, do Front-View(F3), then Zoom-Extents.
 | Zoom In SHORTCUT: Mouse Wheel: Zoom in/out at your mouse position.
 | Zoom Out SHORTCUT: Mouse-Wheel: Zoom in/out at your mouse position.
 | Zoom Windows With your mouse, drag a window for the new model view.


AnimationSimulation

Animation Speed Slider: to control the apparent motion of the model.

Animation Speed is not Simulation Speed.

See: Animation Speed Slider, Simulation Speed.


Assembly Tree

ASSEMBLY-TREE: At the bottom of the Project-Explorer.

A hierarchical and chronological list of the elements in the model.

See more details: Assembly-Tree

See also: Kinematics-Tree, Geometry-Tree

DE: Baugruppe baum


Auto-Profile

Auto-Profile: a Profile that we add or delete with these two commands:

·Solids toolbar > Add Auto-Profile (Part) to one Part

·Solids toolbar > Add Auto-Profile (Mechanism) to all Parts

These commands toggle to add (or remove):

·a sketch-loop in one or all Parts

·an Auto-Profile / Extrusion linked to each sketch-loop

You can ONLY edit the dimension of the Arcs in each sketch-loop.

You cannot add Pin-Joints, Slide-Joints or Planes to sketch-elements in the sketch-loop.

See Solids toolbar > Add Auto-Profile (Part)

See Solids toolbar > Add Auto-Profiles (Mechanism)

See: Sketch-Loop, Profile Element


Auto-Profiles-GroundedBearing

Grounded and Standard Bearing Sizes relate to Auto-Profiles. They are the default diameters of circle at Pin-Joints that are added with Add Auto-Profiles. They are defined in the Application Settings dialog

Grounded Bearing : a Pin-Joint with the Base-Part.

Standard Bearing : a Pin-Joint not with the Base-Part.


Axes

Part-Axes in Mechansim-Editor Part-Axes in Mechansim-Editor | Part-Axes in Mechanism-Editor The XY-axis symbol is small.
Part-Axes in Part-Editor Part-Axes in Part-Editor | Part-Axes in Part-Editor The XY-axis symbol is large. Coordinate-system of a Part X-axis: from start-Point to end-Point Y-axis: on Plane, +90º from X-axis Z-axis: see Right-Hand-Rule X,Y,Z = 0,0,0 at start-Point


Ball-Joint Configurations

BALL-JOINT BEARINGS AND CONFIGURATIONS With all Configurations, if needed, use the Ball-Joint dialog to edit the offset of the Ball-Joint from the Mechanism Plane.
Rod End Bearing Image | Clevis You can use this bearing as a 'clevis' joint.
Rod End Bearing Image | Side You can join this bearing to the side of a Part.
Ball and Socket Bearing Image | Ball and Socket Images courtesy of Igus - www.igus.co.uk.


Ball-Joints

Ball-Joints - add two(2) Ball-Joints: one(1) Ball-Joint at each end of one(1) Part.

Ball-Joint - at end of Connecting Part

between Point in Connecting-Part and a Point in part in Mechanism B.

Ball-Joint - at other end of Connecting Part

Connecting Part [image] : the Part to which you add a Ball-Joints [image] [image] at each end.

Other names for a Ball-Joint in the engineering community are: Rod-End Bearing, Heim Joint (USA), Rose-Joint Bearing (UK).

See more: Connecting-Part

See: Add Ball-Joint, Ball-Joint dialog; Ball-Joint Configurations


BasePart

Base-Part:  Part-Outline and XY-axes

Base-Part:
Part-Outline and XY-axes

Base-Part: the Part that is the fixed frame of a Mechanism-Editor.

Origin (0,0), the XY-axes

Green and Rectangular Part-Outline.

Edit the Base-Part to add sketch-elements

See also: Part, Free Part, Connecting Part


MD-POP-BaseValue

Motion-Dimension FB: Base-Value : angle of a Rocker or the position of a Slider when a wire is not connected to its input-connector.

Motion-Path FB: Base-Value: the position of a Motion-Point along a sketch-loop when a wire is not connected to its input-connector.


Bell Crank

Image of Bell Crank

A Bell-Crank is a Part that is usually connected to the Base-Part with a Pin-Joint [image] .

Two more Pin-Joints [image] [image] at two other Points to create a two levers [image] [image] .

The lengths of the levers define if the Bell-Crank amplifies or attenuates the motion.


MD-POP-BiArc

Image of BiArcs

3 BiArcs, 2 Tangents

What are Biarcs?

Biarcs are a series of Arcs that are Tangent with each other.

In the image:

Arc 1 is Tangent with Arc 2 at B

Arc 2 is Tangent with Arc 3 at C

Radius R1 ≠ Radius R2 ≠ Radius R3


BirdsNest

Bird's Nest is a term I use to describe a tangled length of fishing line. Sometimes when we add a 2D-Cam, it is not easy to see the Cam because something is incorrect with the model!


CAD-Line

2 x CAD-Lines

2 x CAD-Lines

In this image, there are two(2)× CAD-Lines [image] :

- 1 x CAD-Line [image] : we add for you with a Part you add to the model

- 1 x CAD-Line [image] : that that user has added with the Part-Editor

All CAD-Lines have a Coordinate-System:

·Origin (0,0,0) - its start-Point

·+X-axis - from its start-Point [image] to its end-Point

+Y–axis (+90°) - on the Mechanism-Plane; +Z-axis See Right-Hand-Rule

See also : Part-Editor: Add CAD-Line, CAD-Line dialog


Cam

A Cam is a shape, in a moving or stationary Part (called the Cam-Part) that imparts a relative motion to a different part (called the Follower-Part). A Follower-Profile is the shape help in the Follower-Part that is in continuous contact with the Cam. There must be relative movement between the Cam-Part and Follower-Part.

See also: Follower-Shapes, Add 2D-Cam, Add 3D-Cam


MD-Cam-Contact-Points

Cam Contact Point - the small symbol at the intersection of a Follower-Profile and a Cam-Profile of a 2D-Cam. The symbol is similar to the Position G.D.T. symbol.

See also Follower-Profile Shapes


Cam-Coordinates-Formats-2D

Save 2D Cam as : | Bi-Arcs | Equal Angle Increments
STEP : | N/A | Inner, Outer, Groove
DXF : | Inner, Outer | Inner and/or Outer
SLDCRV : | - | Inner, Outer, Pitch-Curve
TXT* : | Inner, Outer | Inner, Outer, Pitch-Curve
CSV* : | - | Inner, Outer, Pitch-Curve
* TXT and CSV file-types have a header. SLDCRV file-types do not have a header, but we add 0 for the Z column. SLDCRV can be import directly to SolidWorks.
Export to SOLIDWORKS : | Inner, Outer | Inner, Outer


Cam-Coordinates: Local-PartCoordinates

Cam-Coordinates - 0,0 of Cam-Coordinates

When you design a rotating-Cam, make sure the Pin-Joint includes the start-Point of the rotating Cam-Part.


Cam Follower Motion

Follower Motion: A Follower is a Part in a kinematic-chain. The motion of a Follower is:

·controlled directly with a Motion FB and Motion-Dimension FB, or

·controlled by the measured motion of a different Part in a different kinematic-chain, or

·stationary.

See also Follower-Profile Shapes


Maximum Shear Stress

The Maximum Contact Shear Stress is important to calculate the Fatigue Life of 2D-Cams and Follower-Profiles.

The Maximum Shear Stress is below the surface of the Cam-Profile. Its maximum value is a function of a number of parameters: Radius-of-Curvature of the Follower-Profile and the Cam, Material properties of the Cam and Follower-Profile (Young's Modulus and Poison's Ratio - see 2D-Cam dialog) the Contact Force between the Cam and Follower-Profile, and the Width(depth) of the Cam and Follower-Profile, and whether the Follower-Profile Roller is Cylindrical or Crown shaped.

Also, the calculations make these assumptions:

1.The width of the 2D-Cam is the same as the Extrusion Depth of the Follower-Profile.

2.The 2D-Cam and Follower-Profile are 'Isotropic'.

3.The 2D-Cam and Follower-Profile are 'Linearly Elastic'.

4.The dimensions of the contact area are small in comparison with the radii of the un-deformed bodies in the vicinity of the contact.

5.The shape of the deformed surfaces adjacent to the contact area is a rectangle or elliptical.

6.The bodies are frictionless; only normal stresses arising during contact are considered. Relative displacements in the X and Y directions are neglected.

7.The surfaces are free from surface debris and not lubricated.

See also: Equations to calculate Maximum Contact Shear Stress.


Maximum Shear Stress

Maximum Constant Pressure and Shear Stress Calculations.

Line Contact

Symbol | Parameter
F | Applied force
ν1 | Cam-Profile Poisson’s ratio
E1 | Cam-Profile Elastic modulus
v2 | Follower-Profile Poisson’s ratio
E2 | Follower-Profile Elastic modulus
d1 | Cam Diameter-of-Curvature - Note Diameter.
d2 | Follower-Profile Diameter
l | Width of Cam and Follower-Profile or Follower-Roller Extrusion Depth of Cam Profile.

Parameter

Symbol

Equation

Contact half-width

b

Maximum Hertzian Contact Pressure

Pmax

Pmax = 2 * F ∕ π.l.b

Maximum Contact Shear Stress

Ʈmax

Ʈmax = 0.3 * Pmax

The Maximum Contact Shear Stress,Ʈmax, is at a depth below the Cam and Roller Surfaces at about Z = 0.786×b.

You should make sure that the of case hardness depth is a minimum of 1.41×b, even better to make sure it is 2×b

Typical Stress against Depth from Contact Surface
Stress vs Depth

Stress vs Depth

Notes

Modulus of elasticity (Young’s modulus): The rate-of-change of unit tensile or compressive stress with respect to unit tensile or compressive strain for the condition of uni-axial stress within the proportional limit. Typical values: Aluminum: 69 GPa ; Steel: 200GPa.

Poisson’s ratio: The ratio of lateral unit strain to longitudinal unit strain under the condition of uniform and uni-axial longitudinal stress within the proportional limit. Typical values: 0.3.

Proportional Limit: The largest value of stress up to which a linear relation still exist between stress and strain (Hooke’s Law).

Cylindrical contact: The contact of two Cylinders parts where contact point turns to a rectangular area equal to a width 2b.

Shear stress: A form of a stress acts parallel to the surface (cross section) which has a cutting nature.

Stress: Average force per unit area which results strain of material.


Cam Pitch Centre Path

Cam Terminology:

Follower-Profile -see Follower-Profile Shapes

Cam-Profile - the contour that is in continuous contact with the Follower-Profile.

Pitch-center - the path of the center of the Follower-Profile relative to the Cam-Part.

Base-Circle - the circle that is tangent with the minimum radius of the Cam-Profile.


Pressure Angle

Pressure Angle Definition 'Standard' Pressure Angle | Pressure Angle: It is the angle μ between the instantaneous normal force acting on the Follower-Roller by the cam (or visa-versa), and the instantaneous velocity vector of the center of the Follower-Roller. See Cam-Data FB dialog
Contact Pressure Angle Defintion Contact Pressure Angle | Contact Pressure Angle: Not used very often It is the angle μ(contact) between the instantaneous normal force acting on the Follower-Roller by the cam (or visa-versa), and the instantaneous velocity vector of the contact point of the Follower-Roller.


Cam-Radius-of-Curvature

Cam-Undercutting occurs if:

If the Cam's Radius-of-Curvature is negative and it is less than the Radius of the Follower-Profile/Roller

| ρcam | < R follower-roller


Camlinks

Camlinks was a kinematics program developed by Dr. George Rooney that was the fore-runner of MechDesigner. After Dr George Rooney's death, in 2004, we undertook to start again.


Camlinks Outlines

Camlinks Outlines are NOT DXF elements. Historical Note for Camlinks user: DXF files that were imported into a Camlinks file were saved as 'Outlines' in the Camlinks MEC file. When importing a Camlinks.MEC File into MechDesigner you have the option to leave the Camlinks 'Outlines' as 'Outlines', or they are changed into native MechDesigner Sketch-Elements. Keeping the outlines as dumb outlines is fast but inflexible. Converting the 'Outlines' to MechDesigner sketch-elements is slower but more flexible, and may not work. But, then you can edit them in the Part-Editor. If you are importing the Camlinks File for the first time, or you know the 'Outlines' are many and complex, then my advice is to use the 'Camlinks Outlines' Option in the Import Camlinks .MEC File.


Clipped Views

Clipped Models - part of the model does not display in the graphics-area.

Models of large machines, for example, large rotary machines, can become clipped. If the model is clipped:

1.Click Front-View

2.Click Zoom-Extents


Closures

Closures: Dyads frequently have different kinematic closures. When it is possible to assembly two parts of the Dyad such that the resultant motion of the parts is different, then it is in a different Closure.


Command Manager

Command-Manager: in the Project-Explorer, shows when you start a command that must reference other elements.

The Command-Manager gives a hint, an instruction, and one or more selection-boxes for elements that you must select to do the command.

See more details: Command-Manager.


Commands

When you use your mouse to use add commands you may find the command is:

·Persistent: you can use the command again and again.

·Not Persistent: you must select the command again to use it again.


Congruent Triangles

Congruent Triangles are the same size, shape. To move one over another triangle, you can rotate them about an axis perpendicular to the Plane.

·Equal internal angles

·Equal side-lengths

·Each angle is in the same direction.

· [image] and [image] are Congruent.

· [image] and [image] are the same shape but not Congruent.


MD-Conjugate-Cams

Conjugate Cams / Oscillating Follower

Conjugate Cams / Oscillating Follower

Conjugate-Cam (Body-Closed Cam) - a minimum of two 2D-Cams on a Part, (e.g. a rotating Cam-Shaft) that are each in continuous contact with a minimum of two follower-Rollers on a different Part. (e.g. an Oscillating Follower).

A Groove Cam is a special case of a Conjugate Cam.

See Machine-Elements menu > Add Conjugate Cam FB


Connecting Part

Connecting Part [image] : the derived-name of A Part after you join it to two(2) other Parts with two(2) Ball-Joints [image] [image] .

See Add Ball-Joint, Ball-Joints

To edit the:

·Ball-Diameter, use the Ball-Joint dialog.

·SHAFT-Diameter, edit the Connecting-Part, add circle sketch-element anywhere in the part. The Connecting-Part takes the dimension as its radius.


Contextual-Toolbar

Toolbars are available for each editor-type - Model-Editor, Mechanism-Editor, and Part-Editor.

See Model Editor, Mechanism-Editors Part-Editor.


Crank

A Crank is a Rocker that rotates with a Constant Angular Velocity.


Cycle

Cycle is the term we use to run the model.

To cycle the machine, use commands in the Run menu and toolbar.

See Machine Settings dialog, for Number-of-Steps in one machine-cycle.


Decimal Mark

Decimal Mark or Separator is the generic term for the symbol used to separate the integer part from the fractional part of a number when it is written in decimal form.

·In the UK it is a '.' - also called a stop, or a period

·In Europe it is a ',' - also called a comma


Definition: Mec Files

MEC is the file extension of Camlinks Files. You can open a .MEC file with File | Open Mec File icon (after you have added a Mechanism-Editor)

Camlinks was another mechanism and motion design software. Now not available.


Degrees-of-Freedom

The Degrees-of-Freedom (DOF) of a kinematic-chain has a number of definitions. One definition is: The number of independent coordinates that are needed to define the position of an Part or a kinematic-chain.

Use the Gruebler Equation to calculate the Degrees-of-Freedom of each kinematic-chain. For planar kinematic-chains, it is:

F - degrees-of-freedom, n - number of Parts, l - number of joints

An important related term is Mobility.


Design Set

A Design-Set lets you collect to edit in one dialog different dimensions, Motion-Dimensions, parameters in FBs, parameter of certain elements.

See Add Design-Set, Design-Set dialog


Dialogue

A dialog is an interface that includes parameters that you can edit to modify an element in the model.

For example, Edit the number-of-teeth on each gear in a gear-pair with the Gear-Pair dialog.

See also: How to open a dialog?

See also: Dialogs


Dimension Measurement

A Measurement FB, (see Kinematic FB toolbar >Add Measurement FB, displays the distance or angle between two(2) Lines or the angle between three(3) Points (In the special case where the selected sketch-elements are in different Mechanism-Editors, it is called a Reference Dimension). The Measurement FB gives the dimension and the first and second motion-derivatives (rate-of-change of the dimension) at its output-connector.

The dimension in the graphics-area next to the Measurement FB is equivalent to a driven-dimension.

You can use use the motion-values at the output-connector from a Measurement FB as the motion-values for a different kinematic-chain. We use the term Late-Gearing to identify those kinematic-chains driven by the motion-values from a different kinematic-chain.

See also: Reference Dimension, 'Static' Dimension, Add Measurement FB.


Dimension-Reference

A Reference Dimension is a dimension from Measurement FB where the dimension is between sketch-elements that are in different Mechanism-Editors.

Toggle in: Show other Kinematic and Sketch elements to add a reference dimension in different Mechanism-Editors.

See also: Measurement Dimension, Motion-Dimension, Dimension


Dimensions

Dimension: a Dimension in the Part-Editor - it controls the Length or Radius of a sketch-element, or the Distance or Angle between two lines or three Points. Dimensions are added to, or between, sketch-elements.

Unlike a Motion-Dimension that controls the motion of Motion-Parts.

Also: Measurement Dimension, Reference Dimension, Motion-Dimension


MD-DRAG

DRAG in the graphics-area

Mouse-button-down ...move your mouse ...mouse-button-up.


DRO

Digital-Readout: the value of a parameter or variable.


DXF Element

DXF Element in Assembly Tree

When you File>Open | DXF file-type, MechDesigner adds a DXF-Element [image] to the Assembly-Tree.

The DXF element [image] is a container for the DXF-Drawing.

·Edit the DXF element to change the DXF-drawing, and/or its Units.

·Make the Units equal to those of the original DXF-Drawing.


DXF Entities

The DXF Entities are the separate parts of a DXF Outline. The set of DXF Entities is the DXF Outline. You cannot edit DXF Entities.

They are NOT MechDesigner sketch-elements.

See also: DXF Outlines


DXF File

DXF File, or DXF-Drawing - Drawing Exchange Format, is an open sourced CAD file format for drawings, usually 2D Drawings.

A DXF-Drawing is associated with a DXF Element in the Assembly-Tree

See File menu > Open : DXF file-type

Link a DXF Element to a CAD-Line. to show the DXF-Drawing.


DXF Layers

DXF Layers: DXF Entities in a DXF-Drawing are frequently on different Layers. Each Layer can have different a color.

See DXF Layers Editor dialog.


DXF Outline

When File> Open DXF, we open it as a DXF-Outline. You cannot edit DXF-Entities in a DXF-Outline.

See also: DXF-Entities


Dyad

DYADS (also called an ASSUR Group, or a Baranov Truss) are an assembly of:

·2 Parts and

·3 Joints.

- Join the two Parts to each other, and

- Join each Part to two other Parts that are kinematically-defined.

Each Dyad is in the Kinematics-Tree where we identify the type of Dyad by its joints.

PLANAR-DYADS: the joints are identified with R and P :

·R is a Revolute-Joint that is identical to a Pin-Joint.

·P is a Prismatic-Joint that is identical to a Slide-Joint.

Planar Dyads are: RRR, RRP, RPP, PRP, RPR

SPATIAL-DYADS: two S joints, plus one P or one R Joint.

·S is a Spherical-Joint is identical to a Ball-Joint.

Spatial Dyads are: SSR, SSP.

Compare Dyads with: Motion-Parts, Geared Rocker, Pulley


Editor

The are three editor types:

·Model-Editor - to view the Solids, and to add Mechanism-Editors, add Planes, ...

·Mechanism-Editor - to add Parts, Joints, and all kinematic and machine-elements

·Part-Editor - to add sketch-elements and sketch-constraints to Parts.


Model Tree Explorer

Element-Explorer - is at the bottom of the Project-Explorer. It compiles the elements in the model into different tree-structures.

The trees structures are the Assembly-Tree, Kinematics-Tree and the Geometry-Tree.


Element-Selected

Selected Elements are:

·red in the graphics-area

·in the Selection-Window

·In the Assembly-Tree with a square around the Element Icon

Image to the left: Part element icon, with the Part has been renamed to 'Longest'.


Elements

Elements: objects, or items, that you add to the model.

Edit parameters of many elements with its dialog.

See How to open a dialog?


Elements-Reference

Many elements need other elements in the model that they reference.

For example, when you add a Pin-Joint you select two Points. Thus, the two Points are termed Reference-Element to the Pin-Joint.


English Joke

Joke: A dwarf clairvoyant escaped from jail. The police put out a statement that there is a 'Small Medium at Large'.

Native English speakers understand this Joke.

To explain to speakers of English as a second language...

1.A Dwarf is a 'Small Person'.

2.A 'Clairvoyant' (a person who can foretell the future) is also 'a Medium'.

3.A person who has 'escaped from jail' is someone who is 'at large', especially a Police term.

Small, Medium and Large are all related to size, of course.

So, when the Police say: 'A Small Medium is at Large', it is funny because the words are all size related yet the phrase actually means something entirely different. It is a play on words.

It also explains why translating between languages is sometimes not easy.


Extrusion Density

Extrusion Density in the Extrusion dialog. Each Extrusion has a density. We calculate for you the Mass and Inertia at its Center of Gravity. The default density is 7,800kg ∕ m^3 - a low carbon steel.

See also: Extrusion dialog, Mass Properties CAD-Line


Extrusion Depth

Extrusion-Depth (mm)

·distance between the Profile Contours

·distance from Primary Contour [image] to the Secondary Contour

See Profile element.


Extrusion

Extrusion is an MD-Solid element. It is a child to a Profile or Auto-Profile

See Extrusion dialog

See also Add Profile, Add Auto-Profile,

See also: Show/Hide Solids in Mechanisms,


Extrusion Offset

Extrusion-Offset + Part-Offset =

·distance from the Sketch-loop [image] to the Profile Primary contour

Distance to its Secondary Contour [image] from its Primary Contour is the Extrusion-Depth.

The sketch-loop [image] is always on the Mechanism-Plane.


Follower-Profile-Shapes

Follower-Profile Shapes Follower-Profile: the shape that is in continuous contact with the Cam. Follower-Profile: a sketch-loop with a Profile / Extrusion.
Follower Shapes
 | 1: Follower-Roller A Circle represents a Follower-Roller. It represents a bearing or Pin that is a Cylindrical, or Crown/Barrel shaped. It is the most common shape for a Follower-Profile
 | 2: Flat-faced Follower The 4×Lines as a sketch of a long rectangle represents a Flat-Faced-Follower. The rectangle must be long enough so that the Flat-Face is always in contact with the Cam-Profile
 | 3: Multi-Contour Follower For example, four Arcs, with Tangent constraints, joined as an ellipse.
 | 4: Knife-Edged Follower An arc, with a small radius. The small Arc represent the knife-edge. A true knife-edge is not practically possible.


Forces

Kinetostatic Forces are those forces and reaction forces in parts and at joints that are a consequence of their movement.

We tend to use the terms:

·Drive Torque (also called the Application-Load) for the moment a Rotary Motor must provide to the kinematic-chain.

·Drive Force for the linear force a Linear Motor must provide to the kinematic-chain.


Function-Block-Connectors

Function-Block (abbrev. is FB)

output-connector [image] > right

input-connector [image] < left

Wires [image] connect Function-Blocks

Motion-Values or Force-Values flow immediately from one FB to the next.


Function-Block Gearing

Gearing FB : Amplify(increase), or Attenuate(decrease), add to, subtract from motion-values at its input-connector. See Add Gearing FB


MD-Function-Block-Graph

Graph FB : has four(4) Y-axis inputs and one(1) input for the X-axis. You can plot any of the three Data-Channels on each wire that you connect to the Graph FB.

See also: Add Graph FB,


Function-Block Linear Motion

Linear-Motion FB

Linear-Motion FB : default output = Master Machine Angle.

See also: Add Linear-Motion FB, Linear-Motion dialog


Function Blocks

FB = Function-Block.

You must add and connect Kinematic-FBs with wires from output to input-connectors. Kinematic FBs specify motions for Motion-Parts and Motion-Points.

See also: Kinematic FB menu & toolbar, Modelling FB menu & toolbar
See also: Getting-Started-Tutorials-5 Kinematic-FBs for Motion


Gears-Line-ofCentres

Line-of-centers: (shown as a schematic (not as in the model) thick green line) is the imaginary Line drawn between the center points of two gears in a Gear-Pair. The Line-of-centers gives the distance between the 'Bearing Housings' for the Gear centers. The Line-of-centers may be stationary (simple, compound) or rotate (epicyclic, planetary, differential) relative to the mechanism frame.


Gear Module

Circular Pitch is the circumference of gear / number of teeth

Circular Pitch:

Gear Module is the metric size, in millimeters(mm), of a gear-tooth.

To get Module, we drop the irrational number, , from Circular Pitch.

Gear Module:

or, Gear Module(mm) = P.C.D. ∕ number-of-teeth

Units of module are mm, but they are usually omitted.

Industry Standard Modules

P.C.D. Pitch-Circle-Diameter - definition


MD-Gear-Module-Standard

Standard Gear Modules Series 1 is most preferred, Series 3 is least preferred.

Standard Gear Modules
Series 1 is most preferred, Series 3 is least preferred.


Gear-Pair

External Gear Mesh

External Mesh

Internal Mesh

A Gear-Pair is two gear-wheels in mesh.

External Mesh : two gear-wheels have gear-teeth that point outwards from the center-of-rotation.

Internal Mesh : one gear-wheels has gear-teeth that point inwards towards the center-of-rotation.

Gear-Train: The Driven-Gear of a Gear-Pair-A is the Driving-Gear of Gear-Pair-B. and the Driven-Gear of Gear-Pair-B drives/is the Driving-Gear of Gear-Pair-C, and the ...

See Add Gear-Pair, Gear-Pair dialog, Gear Module, Industry Standard Gear Modules


POP-Gears-PCD

P.C.D. - Pitch-Circle-Diameter.

P.C.D. = Module * Number-of Teeth

See Module


Gear Pressure Angle

Pressure Angle 14.5º

Pressure Angle 14.5º

Gear Pressure Angle 20º

Pressure Angle 20º

Pressure Angle 25º

Pressure Angle 25º

The Gear Pressure Angle is the angle between the 'Line of Action' and the Line Perpendicular to the Line-of-centers.

The Gear Pressure Angle is most easily appreciated when the gears are positioned so that the contact point coincides with the Line-of-centers, as in the images above. The 'Line-of-Action' and the perpendicular to 'Line-of-centers' are shown for Gear Pressure Angles of 20º, 25,º & 14.5º.


POP-Gear-Train

A Gear-Train is more than one Gear-Pair that you connect in series, in which the driven gear of one Gear-Pair is the driving-gear of another Gear-Pair.


Geometry Tree

Geometry-Tree : replaces the Kinematics-Tree when you edit a Part.

The Geometry-Tree is a list of constraints and dimensions that you have added to a Part with the the Part-Editor.

See more details: Element-Explorer | Geometry-Tree

See also: Assembly-Tree, Kinematics-Tree


Graphic Area

graphics-area: the workspace where you add the elements to represent your model.


Joint

Joints (DE Gelenk): constrain Parts to move relative to each other in a defined way.

There are three types of joint in MechDesigner:

·Pin-Joint

·Slide-Joint

·Ball-Joint


Kinematic Chain

Kinematic-Chains : a minimum of two Parts that are joined with a minimum of one Joint,

We list the kinematic-chains in the Kinematics-Tree.

See Kinematic-Chain that is kinematically-defined.


Kinematic-Elements Toolbar

Kinematic elements toolbar: the toolbar to the left of the graphics-area in a Mechanism-Editor.

Add Part

Add Pin-Joint

Add Slide-Joint

Add Ball-Joint

Change Dyad Closure

Add Pulley Joint

Add Trace-Point

Add Reference-Geometry

See also: Machine-Elements toolbar, Kinematic FB toolbar

Modeling FB toolbar


Kinematically-Defined Chain

Kinematic-Chain that is kinematically-defined: a kinematic-chain with a Mobility of zero.

Its number of Motion-Dimension FBs is equal to its degrees-of-freedom.

The kinematic-chain shows this [image] symbol in the Kinematics-Tree.

See also: Part that is kinematically-defined, Part that is free


Kinematic Tree

The Kinematics-Tree is in the Element-Explorer.

The Kinematics-Tree shows the mechanisms as kinematic-chains. When a Kinematic-Chain is kinematically-defined, you can explore its elements in the Kinematic-Tree.

Each Kinematic-Chain ( with Green Part-Outlines) may have:

·Motion-Parts,

·Dyads and

·Geared Rockers

·Pulleys

·Rack

See also: Assembly-Tree, Geometry-Tree


Library File

User Library File path is defined in:

Application Settings > General tab > File Options > User Library File


Machine Cycle

A machine-cycle: a cycle of the Master-Machine-Angle from 0 to 360.

see Master-Machine-Angle


Machine Simulation Speed

Simulation Speed: This is the Cycles per Minute that you enter in the Machine Settings dialog. The kinematic-data and force-data is dependent on the simulation speed.

Simulation Speed is not the same as the Animation Speed.

See also the Machine Settings dialog, Animation Speed.


Master Machine Angle

Master Machine Angle Slider [MMA]

Master Machine Angle Slider [MMA]

Master Machine Angle (MMA): at the bottom, left of the application.

The output from the MMA increases at a uniform rate from 0 to 360, again and again, when you cycle the model (ALT+C). It is a virtual machine-axis.

MMA - Approximate Value: Drag with your cursor along the scale [image] .

The triangle below the MMA scale moves as you drag your mouse.

MMA - Exact Value: Read / Write to the data-box [image] to the right of the scale. Use the Spin-Box tool to edit with large or small increments.

Revs: the number of complete machines-cycles of the MMA [image] .

Use ALT+H to move the MMA=0 and REVS= 0

DE: Master-Maschinenachse. Ein Bereich von 0 bis 360.

See Master Machine Angle


Mechanism-Analysis

Mechanism-Analysis: the determination of motion (position, velocity and acceleration) and forces in a mechanism or machine.

In MechDesigner, Mechanism-Analysis is available at every instant in a machine-cycle for every Mechanism you design.

Compare with Mechanism Synthesis


Mechanism Editor

Mechanism-Editors: You can add one or many Mechanism-Editors. For example, see here.

Use Mechanism-Editors to build one or many kinematic-chains.

Each Mechanism-Editor is related to a Plane - a Mechanism Plane

Mechanism-Editors have a:

·Mechanism name-tab,

·Toolbars

·graphics-area

·Base-Part


Mechanism-General

Mechanism: 'Mechanism', 'kinematic-chain', 'linkage'.

We use 'kinematic-chain' when describing 'parts with joints'.

We might use 'Mechanism' when being more general - for example Mechanism Synthesis.


Mechanism-Synthesis

Mechanism Synthesis: the application of geometry to find a mechanism that provides a design requirement. The requirements include: Position Synthesis, Function Generation, Coupler Point Synthesis. There are three stages Mechanism Synthesis:

·Type Synthesis (gives the type of mechanism: linkages, gears, cams, belts...)

·Number Synthesis (gives the number of Parts, how many degrees-of-freedom)

·Dimensional Synthesis (gives the exact lengths of Parts, the exact Cam-Profile)

Compare with Mechanism Analysis


Mechanism tab

Model name-tab identified by the Model icon.

Mechanism name-tabs - identified by:

·Light-bulb - see Show other kinematic and sketch-elements

·Color Spot - see Edit color of other kinematic and sketch-elements

Part name-tab - identified by the Part icon and Part name - it replaces the Mechanism name and Icon when you edit a Part.


Merge-Points Defintions

Part-Editor > Geometry toolbar > Merge-Points

To Merge-Points efficiently, use the Merge with Hover Technique.

When you merge two Points* from two different sketch-element, you eliminate one of the two Points.

* usually start-Points and end-Point, and occasionally a center-Point.

You must Merge-Points to make a closed sketch-loop for a Profile and an open or closed sketch-path for a Motion-Point FB

See also: Add Merge-Point, Merge with Hover Technique


Mobility

The Mobility of a kinematic-chain is:

Mobility = # Degrees-of-Freedom – # Motion-Dimension FBs

It is critical that the Mobility of each kinematic-chain is zero(0) before you do any analysis.

See also: Kinematic-chain that is kinematically-defined


Model

In MechDesigner, the verb 'to model' means 'to represent'. The noun 'model' means the complete set of elements.


Model Editor

There is one Model-Editor.

The Model-Editor shows when you start MechDesigner.

Use the Model-Editor to:

·View the overall layout of the model

·Add Planes to Planes, Add Mechanism-Editors to Planes

·Select and edit Solid elements.

See also Model/Mechanism Option dialog


Motion Data

Motion-Values: linear or angular values of Displacement, Velocity, Acceleration, and Jerk, as a function of the Master-Machine-Angle or Time.

See also: Motion-Part, Motion-Point. Math FB


Motion-Blend-Point

A Blend-Point is a node at which you can enter motion-values.


Motion Derivative

Motion-Derivative: the rate-of-change of a motion variable, usually with respect to time or machine angle. Motion-Derivative: of Displacement are Velocity, Acceleration, and Jerk.

We derive for you each Motion-Derivative symbolically. This means that we evaluate the values of each motion-derivative exactly, at any machine-angle.


Motion_Dimension

Motion-Dimension: the angle of a Rocker or the position of a Slider.

See also: Motion-Dimension FB, Dimension, Measurement Dimension, Reference Dimension


Base Value

Base-Value : the value of a Motion-Dimension when you do not connect a wire to the input-connector of a Motion-Dimension FB*

Base Value + motion-value : the value of the Motion-Dimension when you do connect a wire to the input-connector of a Motion-Dimension FB.

* Or the value at the input-connector is zero.


Motion Dimension

A Motion-Dimension FB controls the angle of a Rocker or the position of a Slider relative to the position of a different Part.

See Add Motion-Dimension FB.


Motion Driven Part

Motion-Part: a derived name:

A Motion-Dimension FB controls the Linear or Angular position and motion of a Part (the Motion-Part) relative to a different Part.

There are two types of Motion-Part:

Rocker - a Motion-Part that rotates.

Slider - a Motion-Part that slides.

See also: Part that is kinematically-defined

Compare with Motion-Point


Motion Point

Motion-Point FB

A Motion-Point that we add for you to a sketch-path (open or closed) when you add a Motion-Path FB.

The motion-values at the input to the Motion-Path FB control the motion of the Motion-Point along the sketch-path.

Applications: Robot-Path, Chains/Belts, Scissor-Lifts, Ram-R and Ram-P Dyads

See: Add Motion-Path FB, sketch-loop.

Compare with Motion-Part


Motion Path FB

When you add a Motion-Path FB to a sketch-element / sketch-path we add for you a Motion-Point to the sketch-element / sketch-path.

Motion-values at the input-connector of the Motion-Path FB control the motion of the Motion-Point along sketch-element / sketch-path

Applications: Use as the motion and path of a Belt, Robot.

See also Motion-Path FB dialog, Motion-Point, Add Motion-Path FB


MotionDimension-Motion Value

The motion-value is added to the Base-Value to give the Total Value of a Motion-Dimension.


Number-of-Steps

Number-of-Steps in the Machine-Setting dialog : the number of increments to complete one machine-cycle.


Overlay-Trace

Overlay-Trace is a tool in MotionDesigner to plot a motion as a second plot. The overlay-trace is dumb.


Part

Parts are the rigid-bodies you add to the model, and join together to build kinematic-chains. The Base-Part is the fixed Part in each Mechanism-Editor.

Parts have three degrees-of-freedom.
Part in Mechanism-Editor

Part in Mechanism-Editor

Parts in the Mechanism-Editor

- see Part (added to the model)

- see Base-Part

Parts in the Part-Editor

·do NOT have a Part-Outline

·X-axis [image] is from start-Point and along the CAD-Line [image] .

·Y-axis [image] at 90° to X-axis, on the Mechanism-Plane.

·CAD-Line from start-Point to end-Point

·Dimension [image] - Length of the CAD-Line
Part in Part-Editor

Part in Part-Editor

Kinematic states of a Part

·a Part is Kinematically-Defined (also called a Solved or Green Part)

·a Part is Not Kinematically-Defined (also called a Free or Blue Part)

See also: Add Part, Part-Outline, Note on Parts


Part Notes

Part in Mechanism-Editor

Part in Mechanism-Editor

Part in the Mechanism-Editor:

Oval Part-Outline - the symbol you click to select or to edit the Part

CAD-Line - from its Start-Point [image] to its end-Point [image] .

Compare with Base-Part

See also: Added Part in Part-Editor


Part Editor

Part in Part-Editor

Part in Part-Editor

large X-axis - along the CAD-Line of the Part

large Y-axis - at +90° to the X-axis.

A Part you add to the model has a:

CAD-Line from start-Point to end-Point,

Length dimension of the CAD-Line

Use the Part-Editor to add sketch-elements, dimensions, and constraints.

See also: Base-Part, How to Start the Part-Editor


'Free' Part

Derived names for Parts:

·Free [image] has one joint [image], but moves freely.

·Completely-Free [image] has zero joints

Parts that are Free AND Completely Free:

·are NOT kinematically-defined

·are NOT solved


Kinematically Defined Part

Part that is Kinematically-defined : a Part with zero(0) Mobility

All Parts in a kinematic-chain must be kinematically-defined before you can analyze the kinematics and forces.

See also: Part that is Free, kinematic-chain that is kinematically-defined


Part Offset

Part Offset(mm)- a parameter in the Extrusion dialog. It moves all Profiles / Extrusions that are in one Part along the Z-axis of the Part.

A positive or negative number. Most often, Part-Offset = 0mm.

See also: Extrusion Offset and Extrusion Depth.


Part Outline

Part-Outlines: Base-Part(1), Part(2)

Part-Outlines: Base-Part(1), Part(2)

Part-Outline: the symbol of a Part.

The shape of the Part-Outline of a:

Base-Part is Rectangular

Part is Oval

Part-Outline Colors (typically)

Green: Solved, kinematically-defined

Blue: Not Solved, Not kinematically-defined


Rotating Part

Rotating-Part: a Part that you join to a different Part with a Pin-Joint. The Parts can only rotate relative to each other. The Pin-Joint as the center-of-rotation.


Pin-Joint

2 x Pin-Joints

2 x Pin-Joints

Pin-Joint - a joint between two Points in two different parts.

The Parts rotate relative to each other.

Symbols for a Pin-Joint:

Circle - it moves relative to the Base-Part.

- POS Geometric Drawing Symbol - it cannot move relative to the Base-Part.

A Pin-Joint is also known as a Revolute Joint, or a Hinge Joint.

See: Slide-Joint, Ball-Joint, Add Pin-Joint


Pitch Centre Path

2D-Cam and Pitch-Center

2D-Cam and Pitch-Center

Pitch-Center [image] - the path, or locus, of the center of a circular Follower-Roller relative to the Cam-Part, throughout a machine-cycle.

When the shape of the Follower-Profile is not circular, the Pitch-Center does not have a useful meaning.

Other terms: Pitch-Curve, Pitch-Center-Curve.

See also: 2D-Cam dialog


Plane

Planes in Model-Editor

Planes in Model-Editor

A Plane is an element.

You can add to Planes:

·Mechanism-Editors

You can add Planes to:

·Planes

·Lines

·X-axis of a Part

·Y-axis of a Part

See

·Add Plane (Model-Editor)

·Add Plane (Mechanism-Editor)

DE: Der Ebene ist ein Element. Fügen Sie einen Mechanismus um die Ebene Element.
Plane in Mechanism-Editor

Plane in Mechanism-Editor


Mechanism Plane

Mechanism-Plane: the XY-Plane of the active Mechanism-Editor. It is the Plane you select when you do Add Mechanism.

·Symbols of Kinematic-element and sketch-elements are on the Mechanism-Plane.

·Ball-Joint - the only kinematic-element that can be offset from the Mechanism-Plane.

·MD-Solids extrude perpendicular to the Mechanism-Plane.

·See also: Part Plane


Plane-Part

Part Plane: is the XY-Plane of a Part. It is coplanar with the active Mechanism-Plane

·The X-axis of each Part is collinear with its CAD-Line.


Point

POINTS : can be added with Part-Editor > Add Point.

Points are also the:

·Start-Point and End-Points of a CAD-Line, Line, Blend-Curve, ARC

·center-Point of an Arc and Circle

·nodes of a Spline

·START-POINT : at mouse-button-DOWN to start the sketch-element.

·END-POINT : at mouse-button-UP to end the sketch-element.

·center-Point: at mouse-button-DOWN to start Add Circle


Point-Cloud

Point-Cloud : a general term for X,Y,(Z) data that define the outline shape of an object.

You can add a Point-Cloud FB to a Part to import Point-Cloud data

Curve: Use the Point-Cloud dialog to calculate a curve that is a smooth-fit to the Point-Cloud data.

You can use the curve as the 'irregular' profile with a Magnetic-Joint.

See: Add Point-Cloud, Add Magnetic-Joint


Polyline

Polyline : a sketch-element that is a copy of a 2D-Cam or Gear-Pair when you do the Add Polyline command.

Notes:

·You can add a Profile / Extrusion to a Polyline.

See also: Add Polyline,, Gear-Pair


Power-Source

A Power-Source is the element that provides the Driving Force or Torque for each degree-of-freedom in a Kinematic-Chain.

Use the Configure Power Source dialog to select a Joint, Spring, 2D-Cam or Gear-Pair as the Power-Source for a kinematic-chain.

See Configure Power-Source dialog


Profile

Sketch-Loop [image] and

Profile-Contours

Profile element

Two contours [image] [image] that are copies of a sketch-loop

Profile contours define the Extrusion Depth.

See:

Add Profile

Auto-Profile


Project Explorer

The Project-Explorer is to the left of the graphics-area.

It includes:

·the Selection-Window (top),

·the Command-Manager (middle), and

·the Element-Explorer (bottom).


POP-Rack-Pinion

Pinion driven Rack

Pinion driven Rack

Rack and Pinion

The example shows a Rack driven by the Pinion.

The Rack's motion is a function of the

- the motion of the Pinion

- the number-of-teeth on the Pinion

- the side of the Pinion the Rack slides.


Ram-P

Ram-P - a special Motion-Part, a pseudo-Dyad.

In the Dyad, there are two Parts that are configured as an RRP Dyad. In the Ram-P you control the length of one Part with a Motion-Path FB.

See also Ram-R


Ram-R

Dyad: Ram-R

Ram-R : Two Parts, with three Pin-Joints [image] [image] [image] (RRR). One Point in the middle Pin-Joint [image] (RRR) moves along a Line. - it is a Motion-Point that you add to the Line with Add Motion-Path FB [image] . The input wire to the Motion-Path FB controls its motion.

Air Cylinders and Scissor-Lifts need a Ram-R Dyads

See also Ram-P, Motion-Point


POP-Rectilinear-Translation

Translation, in which the paths of all Points on a Part are straight, parallel lines.


Reference Geometry

Reference Geometry is a sketch-element that we copy onto the Base-Part in the active Mechanism-Editor from a Part in a different Mechanism-Editor. If you edit or move the source sketch-element, the Reference Geometry in the active Mechanism-Editor also updates to the new size or position. Reference-Geometry updates dynamically through a machine-cycle.


Release-Version-Build

The 'Release - Version - Build' number.


POP-Right-Hand-Rule

Right-Hand-Rule


Rocker

Rocker: derived-name for a Part that:

·is joined to a Part with a Pin-Joint

·uses a Motion-Dimension FB [image] to define its angle and motion.

It is a Part that is kinematically-defined.

See also: Crank, Slider


Geared Rocker

A Geared-Rocker is the Driven-Gear of a Gear-Pair. The motion of a Geared-Rocker is a function of the motion of the Driving-Gear, the ratio of the gear-teeth, and the Mesh of the Gear-Pair.

The Driving-Gear is the Part that is kinematically-defined before you do Add Gear-Pair. After you do Add Gear-Pair, you can select the Driving-Gear or the Driven-Gear, or any other Part, in the kinematic-chain as the Power-Source.

See Motion-Part, Dyad, Pulley-Rocker

See: Add Gear-Pair, Gear-Pair dialog


Rocker-Pulley

A Pulley-Rocker is a rotating, Part that is kinematically-defined that is driven by a Motion-Point and Driving-Pulley/Rocker.

See Motion-Part, Dyad, Add-Pulley


Selection Window

SELECTION-WINDOW is at the top of the Project-Explorer. It shows the elements that you click in the graphics-area, the Assembly-Tree, Kinematics-Tree, or the Geometry-Tree.

To edit an element that is in list of elements in the Selection-Window

1.Right-click any element to show a shortcut menu

2.Click:

oEdit element

oDelete element

oRename element

oShow Element References

See more details: Selection-Window


Arc

Arc: a sketch-element that you can add to a Part with the Part-Editor.

See also: Point, Line, CAD-Line, Circle, Blend-Curve, Polyline.

See also: Add an Arc Video


Blend-Curve

Blend-Curve between a Line and Arc sketch-elements

Blend-Curve between a Line and Arc sketch-elements

A Blend-Curve is a sketch-element. At its start-Point and end-point you can edit its angle, curvature and curvature rate.

It is often used to guide Motion-Points.

See: Add Blend-Curve, Blend-Curve dialog, Motion-Path FB


CAD-Line

CAD-Lines in an Added-Part

CAD-Lines in an Added-Part

There are two(2) CAD-Lines [image] [image] [image] in the image.

CAD-Line [image] is from the start-Point to end-Point of a Part.

CAD-Line [image] has been added to the Part with the Part-Editor,

CAD-Lines and Coordinate system:

·+X–axis from its start-Point [image] to its end-Point [image] .

·+Y–axis:+90, on the Mechanism-Plane.


Circle

A Circle is a sketch-element you can add to a Part.

A Circle is the most basic sketch-loop. It is frequently used as the shape of the Follower-Profile for a Cam

See also: Point, Line, Arc. Blend-Curve.


Sketch Element Constraints

Sketch-Element Constraints: are:

Equal, Parallel, Perpendicular, Coincident, Concentric, Mid-Point, Tangent, Horizontal, Vertical.

See Part-Editor


Sketch Element Dimensions

Sketch-Element Dimensions: length of Lines**, radius of Arcs and Circles, perpendicular distance between a Line** and Point*, distance between two parallel Lines**, position of Point* from the X-axis or Y-axis (or other Lines, Point) angle between two Lines**, angle between three Points*.

* : start-Point, end-Point, center-Point, Point, Motion-Point

** : Lines, CAD-Lines, X-axis, Y-axis


Line

Line - in the Part-Editor, a sketch-element that you add to a Part.

A Line has a start-Point and an end-Point.

The positive direction of a Line is from its start-Point to its end-Point.

See also: Arc, Point, Circle, CAD-Line, Blend-Curve, Spline


Point

Point : in the Part-Editor, a sketch-element you add with Add Point.

Note: start-Point and end-Point at ends of a Line, CAD-Line, Blend-Curve,,and Arc; & center-Point at the center of a Circle, and Arc.

See also: Add Point, Point Vector and Location, Add Trace-Point, Add Point-Data FB., Merge-Points


POP-Sketch-Element-Spline

Open and Closed Splines

Open and Closed Splines

A Spline is a sketch-element. It is defined by the position, gradient, curvature of constraint points along the Spline shape.

The Spline can be open [image] or closed [image] .

If you click a Spline one time, then the drag-handles [image] show You can drag the arrow-heads to control the gradient and the curvature of the spline at the Point.

You can drag the handles in the Mechanism-Editor and Part-Editors.

See also: Blend-Curve.


Sketch Elements

Sketch-elements: Point, Line, Circle, Arc, CAD-Line, Blend-Curve, Spline, Polyline.

See also: open and closed sketch-loop

See also: Part-Editor


Sketch-Loop

Sketch-Loops are Closed Sketch-Paths are Open or Closed

Sketch-Loops are Closed
Sketch-Paths are Open or Closed

Sketch-Loop & Sketch-Path

Derived-names for 1 or more sketch-elements that you join end-to-end with Merged-Points.

We use the terms:

Sketch-Loop for a Profiles/Extrusion

·Closed

·Sketch-elements can not cross

Sketch-Path for a Motion-Path FB

·Open [image] [image] or Closed

·Sketch-elements can cross

Sketch-elements cannot branch


MD-POP-sketch-loop-quasi

quasi-sketch-loop in Part-Editor

quasi-Sketch-Loop

Quasi-sketch-loops (from Auto-Profile command) combine Arc and Line quasi-sketch-elements that have these properties:

·You cannot select, edit, delete the Arcs and Lines

·You cannot add a joint to a Line, start-Point, or end-Point.

·You can edit the Radius (dimension) of each Arc.

·There is no Tangent constraint between Line and Arc sketch-elements.

The image shows a quasi-sketch-loop around the start-Points and end-Points that are in the Part.


Slide-Joint

A Slide-Joint constrains Lines* from two(2) parts to be collinear *Lines and/or CAD-Lines.

Symbol for Slide-Joint is:

narrow rectangle

wide rectangle

positive direction arrowhead

The length of the rectangles are the equal to the Lines that make the Slide-Joint.

See also: Pin-Joint, Ball-Joint, Slider

See also Positive Direction of Slide-Joint


Slider

Slider - derived-name for a Part that

·you join to a Part with a Slide-Joint

·uses a Motion-Dimension FB [image] to control its position and motion.

It is a Part that is kinematically-defined

See also: Rocker, Dyads


Sliding-Part

Sliding-Part: a Part that you join to a different Part with a Slide-Joint.

The Parts can translate relative to each other, with the Slide-Joint as the linear translation direction.


Solids

There are two Solid types:

MD-Solids

- Extrusions

See: Add Profile and Auto-Profile

CAD-Solids

- 3D-CAD you import onto CAD-LinEs

See: CAD-Line dialog


Spin-Box-Tool

Spin-Box tool [the arrowheads in the 'green-box'].

The Spin-Box tool [image] [image] is a convenient way to edit a parameter data-value in a dialog.

·Edit the parameter-value
Click the top arrow buttons [image] to edit the parameter-value [image] by the spin-increment

·Edit the Spin-Increment [image] :
Click the bottom arrow buttons [image] to edit the Spin-Increment by factors of 10.

SHOW or HIDE the Spin-Box tool

·Double-click in the data-box to toggle between Show or Hide the spin-box tool.

Shortcut menu:

·Right-click in the data-box to show the Zero/Round/Copy/Paste shortcut menu.


STL

An STL file-type is derived from the word "Stereo-lithography." The STL file-type gives the xyz coordinates of the vertices and normals of triangles that describe the surface of the 3D object.

Each triangle is defined by its normal and three points at its vertices. You can have a coarse, fine, or custom number of triangles and vertices.

The number of triangles in the STL file is a balance between unmanageable file-size (too many triangles) and small file-size, (but too few vertices to define the shape well) The optimum is a model in which the model has the appearance of reasonably smooth surfaces, and a manageable file-size.

The STL File should be saved as a Binary file, and typically in meters. You can select the original Units in the CAD-Line dialog when you import the STL file.


Symbols

Symbols represent elements in the graphics-area. Click the Symbol to identify the element in the Selection-Window

Size of Symbols: see Application Settings | Accessibility tab


Torque-Speed Curves

Use the Kinetostatic Torque-Speed dialog to select a Servo-motor and Gearbox to drive an Application Torque.

·Find a Servomotor from the Load Torque, the Inertia and Acceleration of the Motor and Gearbox.

·Find the best Gear-Ratio for the Gearbox.

Note: When you Calculate and Display Force Vectors, the Moment couple in the graphics-area is the Application-Torque . It is the Torque you need at the output from a Servomotor and Gearbox to move the kinematic-chain. It does not include the Torque to move the Servo-motor and Gearbox.

See Kinetostatic Torque Speed Curve dialog.


Trace

Trace-Point shows the path of moving Point on the Mechanism Plane over a machine-cycle.

Other terms are: Locus, Coupler Curve.

See Kinematic elements toolbar > Add Trace-Point.


POP-Transition-Curve

Transition-Curve

A Transition-Curve [image] is a curve that guides a chain onto a sprocket.

It removes the curvature discontinuity and chordal / polygonal action.


ZXL-FILE

ZXL file-type: all file-types are wrapped up in one file. The files include: CXL, MTD, and may also include DXF, STL, SLDPRT, SLDASM file-types.


Show/Hide Force Vectors

Navigation: »No topics above this level«

Return to chapter overview

Show/Hide Force-Vectors

Visibility toolbar > Force-Vectors: Display

See Force toolbar > Force-Vectors: Display


Show/Hide Model in Active Mechanism/All Mechanism

Navigation: »No topics above this level«

Return to chapter overview

Solids In Active or All Mechanisms

Visibility toolbar > Show Solids in Active or All Mechanism-Editors

NOTE - there is not a Visibility menu

This command relates to Solid and Plane elements.

 | Visibility toolbar > Show Solids in the active Mechanism-Editor ONLY
 | Visibility toolbar > Show Solids in all of the Mechanism-Editors
MUST also be enabled: ·Visibility toolbar> Show Solids in Mechanisms Options: ·Visibility toolbar > Solids Display Mode: Shaded, Wire-Frame, or Shaded AND Wire-Frame ·Visibility toolbar > Model as Orthonormal or Perspective View


Active-Motion-Settings

Active-Motion-Settings: Name, # Steps, Units, Colors, ...


Backlash

Backlash: a physical gap between two machine elements that transmit a force or torque between each other. Backlash is usually detrimental to the performance of the machine. After Backlash is traversed, the two machine component have different velocities - and there is an impact. However, in special circumstances, backlash may reduce residual vibration!

Other names: Play, Lash (especially with auto-engines), Lost-motion.


Blend-Point

Active Blend-Point

Active Blend-Point [image] :

The Blend-Point at the start of the Selected-Segment [image] .

See also Selected-Segment


MT-BPE-ControlButtons

Blend-Point Editor Control-Buttons:

Each Motion-Derivative has 3 Control-Buttons -

Each Control-Button can have different states.

control / Edit End of Previous-Segment button has two states:

·State 1: Do control End of Previous-Segment

·State 2: Do Not control End of Previous-Segment.

·STATE 3: CAN NOT control End of Previous-Segment

Flow / Match / Make Equal button has two states:

·STATE 1: Do Flow : Start of the Selected-Segment = End of the Previous-Segment

·STATE 2: Do Not Flow : Start of the Selected-Segment ≠ End of the Previous-Segment

control (also Edit) button has two states:

·State 1: Do control Start of the Selected-Segment.

·State 2: Do Not control Start of the Selected-Segment

·STATE 3: CAN NOT control Start of the Selected-Segment


Counts

Counts and Count/Unit : the term for one X–axis and Y–axis unit, set in the Active Motion Settings

E.g.: a Servo motor encoder has 4096 counts per rotation and the Count/unit can be set to 4096/360.


Cross-Over

Cross-over - as accelerations changes 'sign'.

Cross-over - as accelerations changes 'sign'.

Crossover: the point at which the acceleration changes its sign

Crossover Jerk is the rate of change of acceleration (Jerk) at crossover. It is important because this the time at which backlash traverses (nominally, in systems with no or very low friction). A low jerk means the acceleration does not change rapidly. When the acceleration does not change rapidly and the absolute acceleration is also near to zero, then the velocity does not change rapidly, also. Thus, impact after backlash also tends to be lower.


Cyclesperminute

Cycles-per-Minute: number of times the machine repeats its main function in one minute. The Cycles-per-Minute parameter is set in : MechDesigner > Edit menu > Machine Settings.


Data Format

General

The value is converted to the shortest possible decimal string using fixed or scientific format. Trailing zeros are removed, a decimal point appears only if necessary.

Scientific (Exponent)

The value is converted to a string of the form '-d.ddd...E+dddd'. The resulting string starts with a minus sign if the number is negative, and one digit always precedes the decimal point. The total number of digits before the exponent in the resulting string (including the one before the decimal point) is given by the Precision parameter. The 'E' exponent character in the resulting string is always followed by a plus or minus sign and up to four digits. The Digits parameter is the minimum number of digits in the exponent (between 0 and 4).

Fixed

The value is converted to a string of the form '-ddd.ddd...'. The resulting string starts with a minus sign if the number is negative, and at least one digit always precedes the decimal point. The number of digits after the decimal point is given by the Digits parameter--it must be between 0 and 18. If the number of digits to the left of the decimal point is more than the specified precision, the resulting value uses scientific format.

Number

The value is converted to a string of the form '-d,ddd,ddd.ddd...'. The Number format corresponds to the Fixed format, except that the resulting string contains thousand separators.


Decimal-Places

Digits : the number of digits (numbers) after the decimal separator.

Maximum = 10.


Indexer-Defintions

A commercially available Indexer is a cam device with an input and output-shaft. When the Input-shaft (cam) rotates continuously, the output-shaft indexes progressively. After a number of index motions, the output shaft returns to its original position.

Some definitions that are used with Indexers:

Number-of-Stops: number-of times the output-shaft must index to make one complete rotation.

Index-Angle: rotational angle of the index-motion of the output-shaft.

Index Angle (degrees) = 360 / Number-of-Stops

Index-Period: rotational angle of the input-shaft to complete the Index-Angle of the output-shaft.

Dwell-Period: rotational angle of the input-shaft to complete the Dwell.

Index-Period + Dwell-Period = 360°


MT-Impact

Impact: two bodies meet at the same position but they do not have the same velocity. See also Backlash


Jerk-Defintion

Jerk - the rate-of-change of Acceleration with respect to time.

High values of Jerk tend to incite vibrations in mechanical systems.


List-Segment-Type

List Segment-Type: those segments that allow you to import your own motion-data. The List segment-types are:

·Position-List

·Acceleration-List

·Z-Raw-Data


MotionDesigner: Master Machine Angle

Master Machine Angle (MMA) (read-write): - it has a range from 0 to 360.

Note: MMA of 360 = MMA of 0

The MMA is at the bottom and left of the MechDesigner interface. You can edit and read its:

·Approximate Value: drag the orange pointer below the MMA.

·Exact Value: read or enter a value in the data-box to the right of the MMA.

Revs: the number-of-cycles that the MMA has completed. Use the ALT+H keys on your keyboard to return the MMA and Revs to 0.

DE: Master-Maschinenachse. Ein Bereich von 0 bis 360.


Mathematical Function

Mathematical functions: we define for you motion-values for a segment when you select its motion-law, and motion-values at its start and end, and edit any other parameter values.

We use the mathematical-function to evaluate (enumerate) for you a motion-value at ANY point from its start to its end.


Motion Continuity

1,2,3-  Motion Discontinuity 4,5 - Motion Continuity

1,2,3- Motion Discontinuity
4,5 - Motion Continuity

Motion Discontinuity [image] [image] [image] : defined by the lowest motion-derivative in which there is an instantaneous step in the motion graph.

Motion-Continuity [image] [image] : has motion-continuity when a motion-derivative does not have a step in its motion-graph, and in its lower motion-derivatives.

For mechanical systems, it is important to make sure that the Position, Velocity, and Acceleration motion graphs have motion-continuity. This means Jerk will be finite at all times in its graph.

For example, a motion has an Acceleration-Discontinuity when there is a step in its Acceleration motion graph (but there is not a step in the Velocity and Position graphs).

A motion is continuous in Acceleration when there is not a step in its Position, Velocity and Acceleration motion graphs.


Motion Derivative

Motion-derivative : the rate-of-change of a motion-value with-respect-to time. In MotionDesigner, you can graph/plot four(4) motion-derivatives.

·Position

·Velocity : derivative of Position with respect to time

·Acceleration : derivative of Velocity with respect to time

·Jerk : derivative of Acceleration with respect to time


Motion Index

Indexing Motion : the Y-axis of a motion progresses. The position at the end of a progressing motion is not the same position at its start.

Motion-Laws that are used in Indexing devices are: Modified Sine, Modified-Sine with a Constant-Velocity, Cycloidal. Each have applications, and advantages and disadvantages.

See Indexer


Motion Laws

Motion-Law: the name of the function* that you apply to each segment. The name of the Motion-Law is derived from the:

·Shape of the Acceleration graph - e.g. Modified Trapezoid

·Mathematical definition - e.g. Triple Harmonic, Cubic

·Motion function - e.g. Constant-Velocity, Dwell

The mathematics is based on Polynomial or Harmonic functions.

Each Motion-Law has advantages and disadvantages. Thus, you should select a Motion-Law for the application.

* You do not need to know any Mathematics.

Other terms for Motion-Law are: Cam-Law or Segment Type.

See Motion-Laws for more details.


MechDesigner-Motion-Part

Motion-Parts: (a MechDesigner element): a Part that has its motion specified by motion-values at the input-connector to a Motion-Dimension FB.

See also: Motion-Point


Motion-Points

Motion-Point (a MechDesigner element): is added to a sketch-element with Add Motion-Path FB.

See also: Motion-Part


Motion Width

Motion-Width (Read-Only)

Motion-Width: the sum of segment-widths (in X-axis units)

Motion-Width is typically 360, when X-axis units are degrees.

Motion-Width is at the bottom of the motion graphs - next to the Motion-Law Selector

See also: Segment-Width, Motion-Law Selector.


Motions with Dwell Segments-DRDR

Traditional Motion with Dwell Segments

Motions with one or more Dwell segment between Rise or Return Segments are frequently used with industrial cams. Acronyms for the common motions are:

·DRD - a Dwell , then a Rise (or Return), then a Dwell (an indexing motion)

·DRRD - a Dwell then a Rise, then a Return, then a Dwell.

·RRRR - a continuous sequence of Rise and Returns, no Dwells.

Note : a Rise-Return motion is often a quick turnaround; the motion is called a Throw.

See also: Segment, Motion-Laws


Next Segment

Next-Segment [image] is

AFTER the

Selected-Segment

Next-Segment [image] - the segment after (later-than, to the left of) the Selected-Segment.

See also: Previous-Segment, Selected-Segment.

NOTES:

If the Selected-Segment is the last (right-most)segment, then the Next-Segment is the first (left-most) segment in the motion.

Of course, the Next-Segment becomes the Selected-Segment immediately after you select it!


MotionDesigner-Number-of-Steps

Number-of-Points along the motion graph - Default - 361 points.

The maximum is 100,000?. The minimum is 2?

A high Number-of-Points in not usually important.

Number-of-Steps in MotionDesigner ≠ Number-of-Steps in MechDesigner

See Active Motion Settings > Motion tab > Motion > Number-of-Steps


P, V, A, J

P.V.A.J. - short for Position, Velocity, Acceleration, and Jerk motion-derivatives.

See Show Position, Show Velocity, Show Acceleration, Show Jerk


MotionDesigner-Period-Ratio

Period-Ratio is the ratio of two time-periods in a mechanical system.

Period-Ratio = Period of Motion : Period of the 1st Harmonic of Vibration

Period-Ratio varies with machine-speed. Aim to keep the Period Ratio > 10.

Period-Ratio < 5 Dynamic problems, such as residual-vibrations.

Period Ratio > 10 - High Stiffness / Low Inertia.

Period-Ratio < 5 - Low Stiffness / High Inertia.


Acceleration

Acceleration: the rate-of-change of Velocity with respect to time.

Notes: If you increase the speed of a machine by 2×, the nominal acceleration increases by 4×. Machine components must reach 2× the velocity in 0.5× the time.

Traditional Motion-Laws are frequently named with reference to the shape of the acceleration profile. E.g. Modified Trapezoidal.


Acceleration-Nominal

Nominal Acceleration: the acceleration defined by the mathematical function of the Motion-Law and the Blend-Point motion-values. The nominal acceleration is shown in the Acceleration graph of MotionDesigner.

Machine components always experience accelerations more than the nominal acceleration. If there is a step in the nominal acceleration, then machine components will vibrate and their actual accelerations can be more than 2× the nominal acceleration values.


Acceleration-Shock

Acceleration Shock: an instantaneous, or step change in acceleration. It is frequently called an Acceleration Discontinuity. Mechanical systems vibrate when there is an acceleration discontinuity in the Nominal Acceleration.


MotionDesigner-Position

Position: where a machine element is located relative to an origin. Position relates to an angular-position or a linear-position.

Displacement is change of position.


MotionDesigner-Previous-Segment

Previous-Segment [image] BEFORE the Selected-Segment

Previous-Segment [image] - the segment before (earlier than, sooner than, to the left of) the Selected-Segment [image] .

Notes:

Of course, the Previous-Segment becomes the Selected-Segment as soon as you select it!

If the Selected-Segment is the first (left-most), then the Previous-Segment is the last (right-most) segment.


MotionDesigner-Segment

The Default Motion

The default Motion has four segments.

Segments:

A motion is split into segments.

Each segment

·has a finite duration - its Segment Width

·has a Motion-Law

·has a Blend-Point at its start and end


MotionDesigner-Segment-Parameters

Segment-Parameters (in the Segment Editor) modify the characteristics of many Traditional Motion-Laws. You must study each Traditional Motion-Law to understand the influence of each Segment Parameter.

See also Segment-Parameters

See: Segment-Width, Segment-Range, Traditional Motion-Laws


MotionDesigner-Segment-Range

Segment-Range - Start-Range and End-Range. (Segment Editor Only)

Segment-Range parameters - when available - clip the start and/or the end of motion-laws. Segment-Range does NOT change the Segment-Width.

Default Values: Start-Range = 0 ; End-Range = 1.

Range of Values : 0 ≤ Start-Range ≤ End-Range ≤ 1.

·If Start-Range > 0 the start of the mathematical function is removed

·If End-Range < 1 the end of the mathematical function is removed

The Segment-Width does NOT change

See Segment-Range.

See also: Segment-Width, Segment-Parameters


MotionDesigner-Segment-Selector

The Motion-Law Selector is below the motion graphs. To change the motion-law for a segment:

1.Select the segment in the graph so it becomes the Selected-Segment.

2.Use the drop-down arrow to select a motion-law.

3.The motion-law you select becomes the Selected-Segment.

There are many different motion-laws that you can use for different design applications.


MotionDesigner-Segment-Width

Segment-Width - number-of degrees (or time) along the X-axis of a Segment - see X–axis units.

Edit the Segment-Width of the Selected-Segment with the Segment Editor.

Alternatively, Edit the X-axis value of each Blend-Point with the Blend-Point Editor.

See: Segment-Range, Segment-Parameters


MotionDesigner-Selected-Segment

The Selected-Segment is the RED ( [image] ) segment.

The default color of the Selected-Segment is different to the others - usually RED (or ORANGE). To make a segment the Selected-Segment:

1.Click above [image] or below [image] the segment - not on the segment

If you click on a segment, you open the Segment Editor.

See also: Previous-Segment, Next-Segment.


MotionDesigner-Sig-Figures

Precision the total number of digits in a number. This applies to:

·Sweep Display

·Data in the Data-Transfer Table

The minimum value is 5 and the maximum value is 15.


MotionDesigner-Motion-Laws-Standard-Traditional

Traditional Motion-Laws are those motions that have been used for many years in Industrial Cams. These motion-laws frequently have a Dwell Segment before and after them. The velocity and acceleration is usually zero at the start and end.

They are usually fixed-order Polynomials (for example, 3-4-5 Polynomial) or based on a combination of other laws (for example, the Modified Trapezoidal).

They are historically important.

See also Motions with Dwell Segments: Segment, Motion-Laws


MotionDesigner-Sweep-Display-Cursor

Sweep-Display Cursor is the vertical line across all of the motion graphs.

that is at the Cursor Position given in the Sweep-Display dialog.


MotionDesigner-Velocity-Defintion

Velocity - the rate-of-change of position with respect to time.


MotionDesigner-X-Units

X–axis units are based on time, angle, or cycles.

Select the X-axis units in the Active-Motion-Settings dialog. The options are: Counts, secs(seconds); msecs(milliseconds); cycles(machine cycles); degrees; and radians.

See Active Motion Settings >Motion tab


MotionDesigner-X-Values

X–axis value is the numerical value of the X–axis.


Y-Units

Y–axis Units - set in the Active Motion Settings dialog: you can choose: mm, cm, m, inch, degree, radian, cycle, count.

Motion Derivatives

·You can choose a different Y–Unit for each motion-derivative.

·The motion derivatives are always calculated using time.

oVelocity is Unit/sec

oAcceleration is Unit/sec/sec

oJerk is Unit/sec/sec/sec